
//-------------------------------------------------------------------------
//   Copyright 2002-2024 National Technology & Engineering Solutions of
//   Sandia, LLC (NTESS).  Under the terms of Contract DE-NA0003525 with
//   NTESS, the U.S. Government retains certain rights in this software.
//
//   This file is part of the Xyce(TM) Parallel Electrical Simulator.
//
//   Xyce(TM) is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   Xyce(TM) is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with Xyce(TM).
//   If not, see <http://www.gnu.org/licenses/>.
//-------------------------------------------------------------------------


//-------------------------------------------------------------------------
//
// Purpose        :
//
// Special Notes  : Generated from verilog file bsimcmg.va with ADMS
//                  interface for Xyce 7.9.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.7
//
// Creation Date  : Thu, 23 May 2024 20:30:06
//
//-------------------------------------------------------------------------
// Shut up clang's warnings about extraneous parentheses
#ifdef __clang__
#  pragma clang diagnostic ignored "-Wparentheses-equality"
#endif

#include <Xyce_config.h>
#include <N_DEV_ADMSbsimcmg_111.h>


#include <N_DEV_Const.h>
#include <N_DEV_DeviceOptions.h>
#include <N_DEV_DeviceMaster.h>
#include <N_DEV_ExternData.h>
#include <N_DEV_SolverState.h>
#include <N_DEV_Message.h>

#include <N_LAS_Matrix.h>
#include <N_LAS_Vector.h>

  #include <N_ANP_NoiseData.h>

#include <N_UTL_FeatureTest.h>
#include <unordered_map>
using std::unordered_map;

#include <algorithm>

// Xyce_config.h contains a VERSION macro from autoconf, and some
// Verilog-A models like to define a variable of that name.  This can be
// a serious problem, and we don't need the VERSION macro.  Get rid of it.
// This must happen *after* all includes of Xyce headers, each of which
// includes Xyce_config.h!
#ifdef VERSION
#undef VERSION
#endif

namespace Xyce {
namespace Device {
namespace ADMSbsimcmg_111 {
namespace AnalogFunctions {
double ln_one_plus_exp(double x)
{
double ln_one_plus_exp;
{
if ((x>37))
{
ln_one_plus_exp = x;
}
else
{
if ((x<(-37)))
{
ln_one_plus_exp = exp(x);
}
else
{
ln_one_plus_exp = log((1.0+exp(x)));
}
}
}
return(ln_one_plus_exp);
}
// Derivative of Analog Function ln_one_plus_exp
double d_ln_one_plus_exp(double x  , double d_x )
{
// Function return variable and total deriv
double ln_one_plus_exp;
double d_ln_one_plus_exp;
// Derivatives of return value w.r.t input vars
double d_ln_one_plus_exp_d_x=0;
{
if((x>37))
{
d_ln_one_plus_exp_d_x=1.0;
ln_one_plus_exp=x;
}
else
{
if((x<(-37)))
{
d_ln_one_plus_exp_d_x=exp(x);
ln_one_plus_exp=exp(x);
}
else
{
d_ln_one_plus_exp_d_x=(1.0/(1.0+exp(x)))*exp(x);
ln_one_plus_exp=log((1.0+exp(x)));
}
}
}
d_ln_one_plus_exp = d_ln_one_plus_exp_d_x*d_x;
return(d_ln_one_plus_exp);
}

// Evaluator class implementations for Analog Function ln_one_plus_exp
  // Constructor
  ln_one_plus_expEvaluator::ln_one_plus_expEvaluator(double x)
  {
    ln_one_plus_expReturn_ = evaluator_(x);
  }
  // method to get precomputed values into double vars 
  double ln_one_plus_expEvaluator::getValues(double  x)
  {
    // Silence unused argument warnings
    (void) x;
    // Copy all precomputed values into corresponding output
    return(ln_one_plus_expReturn_.value);
  }
  // method to get total deriv w.r.t some variable via chain rule 
  // given precomputed derivs of function w.r.t. args and derivs of args
  // w.r.t desired vars
  double ln_one_plus_expEvaluator::getDerivs(double x  , double d_x)
  {
    // Function total deriv
    double d_ln_one_plus_exp;
    // Silence unused argument warnings
    (void) x;
    d_ln_one_plus_exp = ln_one_plus_expReturn_.deriv_WRT_x*d_x;
    return(d_ln_one_plus_exp);
  }
  // method that actually performs our computations.
  ln_one_plus_expEvaluator::returnType ln_one_plus_expEvaluator::evaluator_(double x)
  {
  // Function value and derivs variables, and a returnType to store everything
  double ln_one_plus_exp;
  ln_one_plus_expEvaluator::returnType ln_one_plus_expReturn;
  // Derivatives of return value w.r.t input vars
  double d_ln_one_plus_exp_d_x=0;
  // declared local variables
{
if((x>37))
{
d_ln_one_plus_exp_d_x=1.0;
ln_one_plus_exp=x;
}
else
{
if((x<(-37)))
{
d_ln_one_plus_exp_d_x=exp(x);
ln_one_plus_exp=exp(x);
}
else
{
d_ln_one_plus_exp_d_x=(1.0/(1.0+exp(x)))*exp(x);
ln_one_plus_exp=log((1.0+exp(x)));
}
}
}
  // now save outputs and derivs into appropriate return vars
  ln_one_plus_expReturn.value=ln_one_plus_exp;
  ln_one_plus_expReturn.deriv_WRT_x = d_ln_one_plus_exp_d_x;
  return(ln_one_plus_expReturn);
  }

} // namepace AnalogFunctions


//This is necessary because the IntPair usage can trip undefined references
    const int Instance::admsNodeID_d;
    const int Instance::admsNodeID_g;
    const int Instance::admsNodeID_s;
    const int Instance::admsNodeID_e;
    const int Instance::admsNodeID_t;
    const int Instance::admsNodeID_di;
    const int Instance::admsNodeID_si;
    const int Instance::admsNodeID_di1;
    const int Instance::admsNodeID_si1;
    const int Instance::admsNodeID_ge;
    const int Instance::admsNodeID_gi;
    const int Instance::admsNodeID_q;
    const int Instance::admsNodeID_n;
     const int Instance::admsNodeID_GND;
   // Additional IDs for branch equations


void
Traits::loadInstanceParameters(ParametricData<ADMSbsimcmg_111::Instance> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have an instance parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSINSTTEMP", 0.0, &ADMSbsimcmg_111::Instance::admsInstTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device instance temperature");
  p.addPar("L", static_cast<double>(3.0e-8), &ADMSbsimcmg_111::Instance::L)
    .setUnit(U_METER)
    .setDescription("Designed gate length")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("D", static_cast<double>(4.0e-8), &ADMSbsimcmg_111::Instance::D)
    .setUnit(U_METER)
    .setDescription("Diameter of the cylinder (GEOMOD = 3)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TFIN", static_cast<double>(1.5e-8), &ADMSbsimcmg_111::Instance::TFIN)
    .setUnit(U_METER)
    .setDescription("Fin thickness")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("FPITCH", static_cast<double>(8.0e-8), &ADMSbsimcmg_111::Instance::FPITCH)
    .setUnit(U_METER)
    .setDescription("Fin pitch")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NFIN", static_cast<double>(1.0), &ADMSbsimcmg_111::Instance::NFIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of fins per finger (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NGCON", static_cast<int>(1), &ADMSbsimcmg_111::Instance::NGCON)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of gate contact (1 or 2 sided)");
  p.addPar("ASEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::ASEO)
    .setUnit(U_METER2)
    .setDescription("Source-to-substrate overlap area through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ADEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::ADEO)
    .setUnit(U_METER2)
    .setDescription("Drain-to-substrate overlap area through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::PSEO)
    .setUnit(U_METER)
    .setDescription("Perimeter of source-to-substrate overlap region through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::PDEO)
    .setUnit(U_METER)
    .setDescription("Perimeter of drain-to-substrate overlap region through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ASEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::ASEJ)
    .setUnit(U_METER2)
    .setDescription("Source junction area (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ADEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::ADEJ)
    .setUnit(U_METER2)
    .setDescription("Drain junction area (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::PSEJ)
    .setUnit(U_METER)
    .setDescription("Source-to-substrate PN junction perimeter (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::PDEJ)
    .setUnit(U_METER)
    .setDescription("Drain-to-substrate PN junction perimeter (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGSP", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::CGSP)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-source fringe capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGDP", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::CGDP)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-drain fringe capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSP", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::CDSP)
    .setUnit(U_FARAD)
    .setDescription("Constant drain-to-source fringe capacitance (all CGEOMOD)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRS", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::NRS)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of source diffusion squares")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRD", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::NRD)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of drain diffusion squares")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LRSD", 0.0, &ADMSbsimcmg_111::Instance::LRSD)
    .setUnit(U_METER)
    .setDescription("Length of the source/drain")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NFINNOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::NFINNOM)
    .setUnit(U_UNKNOWN)
    .setDescription("If non-zero, nominal number of fins per finger")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DTEMP", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::DTEMP)
    .setUnit(U_DEGC)
    .setDescription("Variability in device temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELVTRAND", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::DELVTRAND)
    .setUnit(U_VOLT)
    .setDescription("Variability in Vth")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Instance::U0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Variability in carrier mobility")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IDS0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Instance::IDS0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Variability in drain current for miscellaneous reasons")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGC0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Instance::IGC0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate to channel current scale factor")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGB0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Instance::IGB0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate to body current scale factor")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("COVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::COVS)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-source overlap capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("COVD", 0.0, &ADMSbsimcmg_111::Instance::COVD)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-drain overlap capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TGAA", static_cast<double>(5.0e-9), &ADMSbsimcmg_111::Instance::TGAA)
    .setUnit(U_METER)
    .setDescription("Thickness of individual GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSUS", static_cast<double>(2.0e-9), &ADMSbsimcmg_111::Instance::TSUS)
    .setUnit(U_METER)
    .setDescription("Separation between GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("HPFF", static_cast<double>(5.0e-9), &ADMSbsimcmg_111::Instance::HPFF)
    .setUnit(U_METER)
    .setDescription("Fin-height of parasitic finFET")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WGAA", static_cast<double>(6.0e-9), &ADMSbsimcmg_111::Instance::WGAA)
    .setUnit(U_METER)
    .setDescription("GAA body width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS1", static_cast<double>(0), &ADMSbsimcmg_111::Instance::DWS1)
    .setUnit(U_METER)
    .setDescription("Total width correction for 1st GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH1", static_cast<double>(0), &ADMSbsimcmg_111::Instance::DACH1)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 1st GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS2", 0.0, &ADMSbsimcmg_111::Instance::DWS2)
    .setUnit(U_METER)
    .setDescription("Total width correction for 2nd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH2", 0.0, &ADMSbsimcmg_111::Instance::DACH2)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 2nd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS3", 0.0, &ADMSbsimcmg_111::Instance::DWS3)
    .setUnit(U_METER)
    .setDescription("Total width correction for 3rd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH3", 0.0, &ADMSbsimcmg_111::Instance::DACH3)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 3rd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS4", 0.0, &ADMSbsimcmg_111::Instance::DWS4)
    .setUnit(U_METER)
    .setDescription("Total width correction for 4th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH4", 0.0, &ADMSbsimcmg_111::Instance::DACH4)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 4th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS5", 0.0, &ADMSbsimcmg_111::Instance::DWS5)
    .setUnit(U_METER)
    .setDescription("Total width correction for 5th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH5", 0.0, &ADMSbsimcmg_111::Instance::DACH5)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 5th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS6", 0.0, &ADMSbsimcmg_111::Instance::DWS6)
    .setUnit(U_METER)
    .setDescription("Total width correction for 6th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH6", 0.0, &ADMSbsimcmg_111::Instance::DACH6)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 6th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NGAA", static_cast<int>(1), &ADMSbsimcmg_111::Instance::NGAA)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of GAA bodies per fin");
  p.addPar("SUBBANDMOD", static_cast<int>(0), &ADMSbsimcmg_111::Instance::SUBBANDMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Switch for GAAFET quantum subband model (0: off; 1: on)");
  p.addPar("MOBSCMOD", static_cast<int>(0), &ADMSbsimcmg_111::Instance::MOBSCMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Switch for GAAFET geometry dependent mobility model (0: off; 1: on)");
  p.addPar("NF", static_cast<int>(1), &ADMSbsimcmg_111::Instance::NF)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of fingers");
  p.addPar("XL", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::XL)
    .setUnit(U_METER)
    .setDescription("L offset for channel length due to mask/etch effect")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XW", static_cast<double>(0.0), &ADMSbsimcmg_111::Instance::XW)
    .setUnit(U_METER)
    .setDescription("W offset for GAA channel width due to mask/etch effect")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("M", static_cast<double>(1.0), &ADMSbsimcmg_111::Instance::m)
    .setUnit(U_UNKNOWN)
    .setDescription("multiplicity factor")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&instSens)
#endif // Xyce_ADMS_SENSITIVITIES
;


}

void Traits::loadModelParameters(ParametricData<ADMSbsimcmg_111::Model> &p)
{
  // Set up each parameter directly, using the up-cased variable name
  // as the tag.

  // This kludge is to force us always to have a model parameter
  // that the device manager can set to the temperature, even if we have
  // no "TEMP".
  p.addPar("XYCEADMSMODTEMP", 0.0, &ADMSbsimcmg_111::Model::admsModTemp)
    .setExpressionAccess(NO_DOC)
    .setUnit(U_DEGK)
    .setCategory(CAT_TEMP)
    .setDescription("Internal-use parameter for setting device model temperature");
  p.addPar("L", static_cast<double>(3.0e-8), &ADMSbsimcmg_111::Model::L)
    .setUnit(U_METER)
    .setDescription("Designed gate length")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("D", static_cast<double>(4.0e-8), &ADMSbsimcmg_111::Model::D)
    .setUnit(U_METER)
    .setDescription("Diameter of the cylinder (GEOMOD = 3)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TFIN", static_cast<double>(1.5e-8), &ADMSbsimcmg_111::Model::TFIN)
    .setUnit(U_METER)
    .setDescription("Fin thickness")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("FPITCH", static_cast<double>(8.0e-8), &ADMSbsimcmg_111::Model::FPITCH)
    .setUnit(U_METER)
    .setDescription("Fin pitch")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NFIN", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::NFIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of fins per finger (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NGCON", static_cast<int>(1), &ADMSbsimcmg_111::Model::NGCON)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of gate contact (1 or 2 sided)");
  p.addPar("ASEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ASEO)
    .setUnit(U_METER2)
    .setDescription("Source-to-substrate overlap area through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ADEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ADEO)
    .setUnit(U_METER2)
    .setDescription("Drain-to-substrate overlap area through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSEO)
    .setUnit(U_METER)
    .setDescription("Perimeter of source-to-substrate overlap region through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDEO", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDEO)
    .setUnit(U_METER)
    .setDescription("Perimeter of drain-to-substrate overlap region through oxide")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ASEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ASEJ)
    .setUnit(U_METER2)
    .setDescription("Source junction area (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ADEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ADEJ)
    .setUnit(U_METER2)
    .setDescription("Drain junction area (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSEJ)
    .setUnit(U_METER)
    .setDescription("Source-to-substrate PN junction perimeter (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDEJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDEJ)
    .setUnit(U_METER)
    .setDescription("Drain-to-substrate PN junction perimeter (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGSP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGSP)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-source fringe capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGDP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGDP)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-drain fringe capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CDSP)
    .setUnit(U_FARAD)
    .setDescription("Constant drain-to-source fringe capacitance (all CGEOMOD)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NRS)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of source diffusion squares")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NRD)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of drain diffusion squares")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LRSD", 0.0, &ADMSbsimcmg_111::Model::LRSD)
    .setUnit(U_METER)
    .setDescription("Length of the source/drain")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NFINNOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NFINNOM)
    .setUnit(U_UNKNOWN)
    .setDescription("If non-zero, nominal number of fins per finger")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DTEMP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DTEMP)
    .setUnit(U_DEGC)
    .setDescription("Variability in device temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELVTRAND", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DELVTRAND)
    .setUnit(U_VOLT)
    .setDescription("Variability in Vth")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::U0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Variability in carrier mobility")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IDS0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::IDS0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Variability in drain current for miscellaneous reasons")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGC0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::IGC0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate to channel current scale factor")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGB0MULT", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::IGB0MULT)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate to body current scale factor")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("COVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::COVS)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-source overlap capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCOVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCOVS)
    .setUnit(U_FARAD)
    .setDescription("L-term of COVS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCOVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCOVS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of COVS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCOVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCOVS)
    .setUnit(U_FARAD)
    .setDescription("P-term of COVS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCOVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCOVS)
    .setUnit(U_FARAD)
    .setDescription("W-term of COVS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2COVS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2COVS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of COVS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("COVD", 0.0, &ADMSbsimcmg_111::Model::COVD)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant gate-to-drain overlap capacitance (CGEOMOD = 1)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCOVD", 0.0, &ADMSbsimcmg_111::Model::LCOVD)
    .setUnit(U_FARAD)
    .setDescription("L-term of COVD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCOVD", 0.0, &ADMSbsimcmg_111::Model::NCOVD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of COVD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCOVD", 0.0, &ADMSbsimcmg_111::Model::PCOVD)
    .setUnit(U_FARAD)
    .setDescription("P-term of COVD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCOVD", 0.0, &ADMSbsimcmg_111::Model::WCOVD)
    .setUnit(U_FARAD)
    .setDescription("W-term of COVD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2COVD", 0.0, &ADMSbsimcmg_111::Model::P2COVD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of COVD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TGAA", static_cast<double>(5.0e-9), &ADMSbsimcmg_111::Model::TGAA)
    .setUnit(U_METER)
    .setDescription("Thickness of individual GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSUS", static_cast<double>(2.0e-9), &ADMSbsimcmg_111::Model::TSUS)
    .setUnit(U_METER)
    .setDescription("Separation between GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("HPFF", static_cast<double>(5.0e-9), &ADMSbsimcmg_111::Model::HPFF)
    .setUnit(U_METER)
    .setDescription("Fin-height of parasitic finFET")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WGAA", static_cast<double>(6.0e-9), &ADMSbsimcmg_111::Model::WGAA)
    .setUnit(U_METER)
    .setDescription("GAA body width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS1", static_cast<double>(0), &ADMSbsimcmg_111::Model::DWS1)
    .setUnit(U_METER)
    .setDescription("Total width correction for 1st GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH1", static_cast<double>(0), &ADMSbsimcmg_111::Model::DACH1)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 1st GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS2", 0.0, &ADMSbsimcmg_111::Model::DWS2)
    .setUnit(U_METER)
    .setDescription("Total width correction for 2nd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH2", 0.0, &ADMSbsimcmg_111::Model::DACH2)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 2nd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS3", 0.0, &ADMSbsimcmg_111::Model::DWS3)
    .setUnit(U_METER)
    .setDescription("Total width correction for 3rd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH3", 0.0, &ADMSbsimcmg_111::Model::DACH3)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 3rd GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS4", 0.0, &ADMSbsimcmg_111::Model::DWS4)
    .setUnit(U_METER)
    .setDescription("Total width correction for 4th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH4", 0.0, &ADMSbsimcmg_111::Model::DACH4)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 4th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS5", 0.0, &ADMSbsimcmg_111::Model::DWS5)
    .setUnit(U_METER)
    .setDescription("Total width correction for 5th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH5", 0.0, &ADMSbsimcmg_111::Model::DACH5)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 5th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWS6", 0.0, &ADMSbsimcmg_111::Model::DWS6)
    .setUnit(U_METER)
    .setDescription("Total width correction for 6th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DACH6", 0.0, &ADMSbsimcmg_111::Model::DACH6)
    .setUnit(U_METER2)
    .setDescription("Total area correction for 6th GAA body")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NGAA", static_cast<int>(1), &ADMSbsimcmg_111::Model::NGAA)
    .setUnit(U_UNKNOWN)
    .setDescription("Number of GAA bodies per fin");
  p.addPar("SUBBANDMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::SUBBANDMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Switch for GAAFET quantum subband model (0: off; 1: on)");
  p.addPar("MOBSCMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::MOBSCMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Switch for GAAFET geometry dependent mobility model (0: off; 1: on)");
  p.addPar("TYPE", static_cast<int>(1), &ADMSbsimcmg_111::Model::TYPE)
    .setUnit(U_UNKNOWN)
    .setDescription("1: NMOS; -1: PMOS");
  p.addPar("BULKMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::BULKMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: SOI multi-gate; 1: Bulk multi-gate; 2: for decoupled bulk multi-gate");
  p.addPar("GEOMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::GEOMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Double gate; 1: Triple gate; 2: Quadruple gate; 3: Cylindrical gate; 4: Unified fin Shape; 5: GAAFETs");
  p.addPar("CGEO1SW", static_cast<int>(0), &ADMSbsimcmg_111::Model::CGEO1SW)
    .setUnit(U_UNKNOWN)
    .setDescription("For CGEOMOD = 1 only, this switch enables the parameters COVS, COVD, CGSP, and CGDP to be in F per fin, per gate-finger, per unit channel width");
  p.addPar("RDSMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::RDSMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Bias-dependent S/D resistances internal and bias-independent S/D resistances external, 1: Both bias-dependent and independent of S/D resistances external, 2: Both bias-dependent and independent of S/D resistances internal");
  p.addPar("ASYMMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::ASYMMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off asymmetry model - forward mode parameters used; 1: Turn on asymmetry model");
  p.addPar("CVMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::CVMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Consistent I-V & C-V, 1: Decoupled I-V & C-V");
  p.addPar("IGCMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::IGCMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off Igc, Igs and Igd; 1: Turn on Igc, Igs and Igd");
  p.addPar("IGBMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::IGBMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off Igb; 1: Turn on Igb");
  p.addPar("GIDLMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::GIDLMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off GIDL/GISL current; 1: Turn on GIDL/GISL current; 2: Turn on GIDL/GISL with parasitic substrate component for GEOMOD = 2 or 3 or 5 and BULKMOD != 0");
  p.addPar("IIMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::IIMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off impact ionization current; 1: BSIM4-based model; 2: BSIMSOI-based model");
  p.addPar("TNOIMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::TNOIMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Charge-based, 1: Correlated thermal noise model");
  p.addPar("NQSMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::NQSMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off NQS model; 1: NQS gate resistance (with gi node); 2: NQS charge deficit model from BSIM4 (with q node)");
  p.addPar("SHMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::SHMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off self-heating; 1: Turn on self-heating");
  p.addPar("TEMPMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::TEMPMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("1: Change temperature dependence of specific parameters");
  p.addPar("RGATEMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::RGATEMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off gate electrode resistance (without ge node); 1: Turn on gate electrode resistance (with ge node)");
  p.addPar("RGEOMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::RGEOMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Geometry-dependent source/drain resistance; 0: RSH-based; 1: Holistic");
  p.addPar("CGEOMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::CGEOMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Geometry-dependent parasitic capacitance model selector");
  p.addPar("FNMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::FNMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Old flicker noise model; 1: New flicker noise model");
  p.addPar("CRYOMOD", static_cast<int>(0), &ADMSbsimcmg_111::Model::CRYOMOD)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Turn off cryogenic temperature model; 1: Most physical cryogenic temperature models; 2: Cryogenic models converge to BSIM-CMG 111.1.0 temperature models for T > 210 K");
  p.addPar("SH_WARN", static_cast<int>(0), &ADMSbsimcmg_111::Model::SH_WARN)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Disable self-heating warnings; 1: Enable self-heating warnings");
  p.addPar("IGCLAMP", static_cast<int>(1), &ADMSbsimcmg_111::Model::IGCLAMP)
    .setUnit(U_UNKNOWN)
    .setDescription("0: Disable gate current clamps; 1: Enable gate current clamps");
  p.addPar("LL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LL)
    .setUnit(U_UNKNOWN)
    .setDescription("Length reduction parameter (dopant diffusion effect)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LLN", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::LLN)
    .setUnit(U_UNKNOWN)
    .setDescription("Length reduction parameter (dopant diffusion effect)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DLC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DLC)
    .setUnit(U_METER)
    .setDescription("Delta L for C-V model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DLCACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DLCACC)
    .setUnit(U_METER)
    .setDescription("Delta L for C-V model in accumulation region (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWCACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DWCACC)
    .setUnit(U_METER)
    .setDescription("GAA delta W for C-V model in accumulation region (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LLC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LLC)
    .setUnit(U_UNKNOWN)
    .setDescription("Length reduction parameter (dopant diffusion effect)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EOT", static_cast<double>(1.0e-9), &ADMSbsimcmg_111::Model::EOT)
    .setUnit(U_METER)
    .setDescription("Equivalent oxide thickness")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TOXP", static_cast<double>(1.2e-9), &ADMSbsimcmg_111::Model::TOXP)
    .setUnit(U_METER)
    .setDescription("Physical oxide thickness")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EOTBOX", static_cast<double>(1.4e-7), &ADMSbsimcmg_111::Model::EOTBOX)
    .setUnit(U_METER)
    .setDescription("Equivalent oxide thickness of the buried oxide (SOI FinFET)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("HFIN", static_cast<double>(3.0e-8), &ADMSbsimcmg_111::Model::HFIN)
    .setUnit(U_METER)
    .setDescription("Fin height")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELTAW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DELTAW)
    .setUnit(U_METER)
    .setDescription("Change of effective width due to shape of fin/cylinder")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELTAWCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DELTAWCV)
    .setUnit(U_METER)
    .setDescription("CV change of effective width due to shape of fin/cylinder")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBODYN1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBODYN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of channel (body) doping")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBODYN2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::NBODYN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of channel (body) doping")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSD", static_cast<double>(2.0e26), &ADMSbsimcmg_111::Model::NSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Source/drain active doping concentration")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIGL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PHIGL)
    .setUnit(U_UNKNOWN)
    .setDescription("Length dependence of gate workfunction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIGLT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PHIGLT)
    .setUnit(U_UNKNOWN)
    .setDescription("Coupled NFIN and length dependence of gate workfunction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIGN1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PHIGN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of gate workfunction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIGN2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::PHIGN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of gate workfunction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EPSROX", static_cast<double>(3.9), &ADMSbsimcmg_111::Model::EPSROX)
    .setUnit(U_UNKNOWN)
    .setDescription("Relative dielectric constant of the gate dielectric")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EPSRSUB", static_cast<double>(11.9), &ADMSbsimcmg_111::Model::EPSRSUB)
    .setUnit(U_UNKNOWN)
    .setDescription("Relative dielectric constant of the channel material")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EASUB", static_cast<double>(4.05), &ADMSbsimcmg_111::Model::EASUB)
    .setUnit(U_UNKNOWN)
    .setDescription("Electron affinity of substrate")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NI0SUB", static_cast<double>(1.1e16), &ADMSbsimcmg_111::Model::NI0SUB)
    .setUnit(U_UNKNOWN)
    .setDescription("Intrinsic carrier constant at 300.15K")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BG0SUB", static_cast<double>(1.12), &ADMSbsimcmg_111::Model::BG0SUB)
    .setUnit(U_UNKNOWN)
    .setDescription("Bandgap of substrate at 300.15K")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NC0SUB", static_cast<double>(2.86e25), &ADMSbsimcmg_111::Model::NC0SUB)
    .setUnit(U_UNKNOWN)
    .setDescription("Conduction band density of states")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IMIN", static_cast<double>(1.0e-15), &ADMSbsimcmg_111::Model::IMIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Vgs clamping for inversion region calculation in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LXL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LXL)
    .setUnit(U_METER2)
    .setDescription("L-term of XL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NXL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NXL)
    .setUnit(U_METER)
    .setDescription("N-term of XL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PXL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PXL)
    .setUnit(U_METER2)
    .setDescription("P-term of XL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LINT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LINT)
    .setUnit(U_METER)
    .setDescription("Length reduction parameter (dopant diffusion effect)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LLINT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LLINT)
    .setUnit(U_METER2)
    .setDescription("L-term of LINT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NLINT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NLINT)
    .setUnit(U_METER)
    .setDescription("N-term of LINT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PLINT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PLINT)
    .setUnit(U_METER2)
    .setDescription("P-term of LINT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DLBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DLBIN)
    .setUnit(U_METER)
    .setDescription("Delta L for binning")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDLBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDLBIN)
    .setUnit(U_METER2)
    .setDescription("L-term of DLBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDLBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDLBIN)
    .setUnit(U_METER)
    .setDescription("N-term of DLBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDLBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDLBIN)
    .setUnit(U_METER2)
    .setDescription("P-term of DLBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LXW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LXW)
    .setUnit(U_METER2)
    .setDescription("L-term of XW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NXW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NXW)
    .setUnit(U_METER)
    .setDescription("N-term of XW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PXW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PXW)
    .setUnit(U_METER2)
    .setDescription("P-term of XW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WXW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WXW)
    .setUnit(U_METER2)
    .setDescription("W-term of XW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2XW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2XW)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of XW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DWBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DWBIN)
    .setUnit(U_METER)
    .setDescription("GAA Delta W for binning")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDWBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDWBIN)
    .setUnit(U_METER2)
    .setDescription("L-term of DWBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDWBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDWBIN)
    .setUnit(U_METER)
    .setDescription("N-term of DWBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDWBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDWBIN)
    .setUnit(U_METER2)
    .setDescription("P-term of DWBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDWBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDWBIN)
    .setUnit(U_METER2)
    .setDescription("W-term of DWBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DWBIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DWBIN)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of DWBIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBODY", static_cast<double>(1.0e22), &ADMSbsimcmg_111::Model::NBODY)
    .setUnit(U_UNKNOWN)
    .setDescription("Channel (body) doping")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNBODY", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNBODY)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of NBODY")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNBODY", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNBODY)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of NBODY")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNBODY", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNBODY)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of NBODY")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIG", static_cast<double>(4.61), &ADMSbsimcmg_111::Model::PHIG)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate workfunction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPHIG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPHIG)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PHIG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPHIG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPHIG)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PHIG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPHIG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPHIG)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PHIG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPHIG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPHIG)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PHIG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PHIG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PHIG)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PHIG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NGATE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NGATE)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for poly gate doping. For metal gate please set NGATE = 0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNGATE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNGATE)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of NGATE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNGATE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNGATE)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of NGATE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNGATE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNGATE)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of NGATE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WNGATE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WNGATE)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of NGATE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2NGATE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2NGATE)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of NGATE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MINR", 0.0, &ADMSbsimcmg_111::Model::minr)
    .setUnit(U_OHM)
    .setDescription("minr is the value below which the simulator expects elimination of source/drain resitance and it will improve simulation efficiency without significantly altering the results")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCN1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CDSCN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCN2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::CDSCN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCDN1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CDSCDN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCDN2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::CDSCDN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCDRN1", 0.0, &ADMSbsimcmg_111::Model::CDSCDRN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCDRN2", 0.0, &ADMSbsimcmg_111::Model::CDSCDRN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0N1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ETA0N1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0N2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::ETA0N2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0LT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ETA0LT)
    .setUnit(U_UNKNOWN)
    .setDescription("Coupled NFIN and length dependence of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0N1CV", 0.0, &ADMSbsimcmg_111::Model::ETA0N1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0N2CV", 0.0, &ADMSbsimcmg_111::Model::ETA0N2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0LTCV", 0.0, &ADMSbsimcmg_111::Model::ETA0LTCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Coupled NFIN and length dependence of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TETA0)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of DIBL coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TETA0CV", 0.0, &ADMSbsimcmg_111::Model::TETA0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 temperature dependence of DIBL coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TETA0R", 0.0, &ADMSbsimcmg_111::Model::TETA0R)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of reverse-mode DIBL coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ADVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ADVTP0)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for DITS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BDVTP0", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BDVTP0)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for DITS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ADVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ADVTP1)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BDVTP1", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BDVTP1)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVTP2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DVTP2)
    .setUnit(U_UNKNOWN)
    .setDescription("DITS model parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("THETASCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::THETASCE)
    .setUnit(U_UNKNOWN)
    .setDescription("User-designated Vth roll-off length dependence.")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("THETADIBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::THETADIBL)
    .setUnit(U_UNKNOWN)
    .setDescription("User-designated DIBL length dependence.")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("THETASW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::THETASW)
    .setUnit(U_UNKNOWN)
    .setDescription("User-designated subthreshold swing length dependence.")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVTM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NVTM)
    .setUnit(U_VOLT)
    .setDescription("If non-zero, subthreshold swing factor multiplied by Vtm.")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DVTP0)
    .setUnit(U_UNKNOWN)
    .setDescription("Coefficient for drain-induced Vth shift (DITS)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDVTP0)
    .setUnit(U_METER)
    .setDescription("L-term of DVTP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDVTP0)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DVTP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDVTP0)
    .setUnit(U_METER)
    .setDescription("P-term of DVTP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDVTP0)
    .setUnit(U_METER)
    .setDescription("W-term of DVTP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVTP0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DVTP0)
    .setUnit(U_METER2)
    .setDescription("WL-term of DVTP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DVTP1)
    .setUnit(U_UNKNOWN)
    .setDescription("DITS exponent coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDVTP1)
    .setUnit(U_METER)
    .setDescription("L-term of DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDVTP1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDVTP1)
    .setUnit(U_METER)
    .setDescription("P-term of DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDVTP1)
    .setUnit(U_METER)
    .setDescription("W-term of DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVTP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DVTP1)
    .setUnit(U_METER2)
    .setDescription("WL-term of DVTP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CIT)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for interface traps")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCIT)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCIT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCIT)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCIT)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CIT)
    .setUnit(U_FARAD)
    .setDescription("WL-term of CIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CITR", 0.0, &ADMSbsimcmg_111::Model::CITR)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for interface traps in reverse mode for asymmetric model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCITR", 0.0, &ADMSbsimcmg_111::Model::LCITR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CITR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCITR", 0.0, &ADMSbsimcmg_111::Model::NCITR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CITR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCITR", 0.0, &ADMSbsimcmg_111::Model::PCITR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CITR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCITR", 0.0, &ADMSbsimcmg_111::Model::WCITR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CITR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CITR", 0.0, &ADMSbsimcmg_111::Model::P2CITR)
    .setUnit(U_FARAD)
    .setDescription("WL-term of CITR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSC", static_cast<double>(7.0e-3), &ADMSbsimcmg_111::Model::CDSC)
    .setUnit(U_UNKNOWN)
    .setDescription("Coupling capacitance between S/D and channel")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCDSC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCDSC)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCDSC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCDSC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCDSC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCDSC)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCDSC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCDSC)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CDSC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CDSC)
    .setUnit(U_FARAD)
    .setDescription("WL-term of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCD", static_cast<double>(7.0e-3), &ADMSbsimcmg_111::Model::CDSCD)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-bias sensitivity of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCDSCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCDSCD)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCDSCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCDSCD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCDSCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCDSCD)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCDSCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCDSCD)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CDSCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CDSCD)
    .setUnit(U_FARAD)
    .setDescription("WL-term of CDSCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CDSCDR", 0.0, &ADMSbsimcmg_111::Model::CDSCDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode drain-bias sensitivity of CDSC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCDSCDR", 0.0, &ADMSbsimcmg_111::Model::LCDSCDR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CDSCDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCDSCDR", 0.0, &ADMSbsimcmg_111::Model::NCDSCDR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CDSCDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCDSCDR", 0.0, &ADMSbsimcmg_111::Model::PCDSCDR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CDSCDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCDSCDR", 0.0, &ADMSbsimcmg_111::Model::WCDSCDR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CDSCDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CDSCDR", 0.0, &ADMSbsimcmg_111::Model::P2CDSCDR)
    .setUnit(U_FARAD)
    .setDescription("WL-term of CDSCDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVT0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DVT0)
    .setUnit(U_UNKNOWN)
    .setDescription("SCE coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVT0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDVT0)
    .setUnit(U_METER)
    .setDescription("L-term of DVT0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVT0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDVT0)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DVT0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVT0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDVT0)
    .setUnit(U_METER)
    .setDescription("P-term of DVT0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVT0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDVT0)
    .setUnit(U_METER)
    .setDescription("W-term of DVT0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVT0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DVT0)
    .setUnit(U_METER2)
    .setDescription("WL-term of DVT0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVT1", static_cast<double>(0.6), &ADMSbsimcmg_111::Model::DVT1)
    .setUnit(U_UNKNOWN)
    .setDescription("SCE exponent coefficient. After binning it should be within (0 : inf)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDVT1)
    .setUnit(U_METER)
    .setDescription("L-term of DVT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDVT1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DVT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDVT1)
    .setUnit(U_METER)
    .setDescription("P-term of DVT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDVT1)
    .setUnit(U_METER)
    .setDescription("W-term of DVT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DVT1)
    .setUnit(U_METER2)
    .setDescription("WL-term of DVT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVT1SS", 0.0, &ADMSbsimcmg_111::Model::DVT1SS)
    .setUnit(U_UNKNOWN)
    .setDescription("Subthreshold swing exponent coefficient. After binning it should be within (0 : inf)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVT1SS", 0.0, &ADMSbsimcmg_111::Model::LDVT1SS)
    .setUnit(U_METER)
    .setDescription("L-term of DVT1SS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVT1SS", 0.0, &ADMSbsimcmg_111::Model::NDVT1SS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DVT1SS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVT1SS", 0.0, &ADMSbsimcmg_111::Model::PDVT1SS)
    .setUnit(U_METER)
    .setDescription("P-term of DVT1SS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVT1SS", 0.0, &ADMSbsimcmg_111::Model::WDVT1SS)
    .setUnit(U_METER)
    .setDescription("W-term of DVT1SS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVT1SS", 0.0, &ADMSbsimcmg_111::Model::P2DVT1SS)
    .setUnit(U_METER2)
    .setDescription("WL-term of DVT1SS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIN", static_cast<double>(0.05), &ADMSbsimcmg_111::Model::PHIN)
    .setUnit(U_VOLT)
    .setDescription("Nonuniform vertical doping effect on surface potential")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPHIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PHIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPHIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPHIN)
    .setUnit(U_VOLT)
    .setDescription("N-term of PHIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPHIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PHIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPHIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PHIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PHIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PHIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0", static_cast<double>(0.6), &ADMSbsimcmg_111::Model::ETA0)
    .setUnit(U_UNKNOWN)
    .setDescription("DIBL coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LETA0)
    .setUnit(U_METER)
    .setDescription("L-term of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NETA0)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PETA0)
    .setUnit(U_METER)
    .setDescription("P-term of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WETA0)
    .setUnit(U_METER)
    .setDescription("W-term of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ETA0)
    .setUnit(U_METER2)
    .setDescription("WL-term of ETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0R", 0.0, &ADMSbsimcmg_111::Model::ETA0R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode DIBL coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LETA0R", 0.0, &ADMSbsimcmg_111::Model::LETA0R)
    .setUnit(U_METER)
    .setDescription("L-term of ETA0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NETA0R", 0.0, &ADMSbsimcmg_111::Model::NETA0R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ETA0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PETA0R", 0.0, &ADMSbsimcmg_111::Model::PETA0R)
    .setUnit(U_METER)
    .setDescription("P-term of ETA0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WETA0R", 0.0, &ADMSbsimcmg_111::Model::WETA0R)
    .setUnit(U_METER)
    .setDescription("W-term of ETA0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ETA0R", 0.0, &ADMSbsimcmg_111::Model::P2ETA0R)
    .setUnit(U_METER2)
    .setDescription("WL-term of ETA0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETA0CV", 0.0, &ADMSbsimcmg_111::Model::ETA0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 DIBL coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LETA0CV", 0.0, &ADMSbsimcmg_111::Model::LETA0CV)
    .setUnit(U_METER)
    .setDescription("L-term of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NETA0CV", 0.0, &ADMSbsimcmg_111::Model::NETA0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PETA0CV", 0.0, &ADMSbsimcmg_111::Model::PETA0CV)
    .setUnit(U_METER)
    .setDescription("P-term of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WETA0CV", 0.0, &ADMSbsimcmg_111::Model::WETA0CV)
    .setUnit(U_METER)
    .setDescription("W-term of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ETA0CV", 0.0, &ADMSbsimcmg_111::Model::P2ETA0CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of ETA0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DSUB", static_cast<double>(1.06), &ADMSbsimcmg_111::Model::DSUB)
    .setUnit(U_UNKNOWN)
    .setDescription("DIBL exponent coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDSUB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDSUB)
    .setUnit(U_METER)
    .setDescription("L-term of DSUB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDSUB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDSUB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DSUB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDSUB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDSUB)
    .setUnit(U_METER)
    .setDescription("P-term of DSUB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDSUB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDSUB)
    .setUnit(U_METER)
    .setDescription("W-term of DSUB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DSUB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DSUB)
    .setUnit(U_METER2)
    .setDescription("WL-term of DSUB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K1RSCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K1RSCE)
    .setUnit(U_UNKNOWN)
    .setDescription("K1 for reverse short channel effect calculation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK1RSCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK1RSCE)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K1RSCE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK1RSCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK1RSCE)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K1RSCE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK1RSCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK1RSCE)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K1RSCE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK1RSCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK1RSCE)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K1RSCE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K1RSCE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K1RSCE)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K1RSCE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPE0", static_cast<double>(5.0e-9), &ADMSbsimcmg_111::Model::LPE0)
    .setUnit(U_METER)
    .setDescription("Equivalent length of pocket region at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LLPE0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LLPE0)
    .setUnit(U_METER2)
    .setDescription("L-term of LPE0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NLPE0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NLPE0)
    .setUnit(U_METER)
    .setDescription("N-term of LPE0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PLPE0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PLPE0)
    .setUnit(U_METER2)
    .setDescription("P-term of LPE0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WLPE0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WLPE0)
    .setUnit(U_METER2)
    .setDescription("W-term of LPE0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2LPE0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2LPE0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of LPE0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVTSHIFT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DVTSHIFT)
    .setUnit(U_VOLT)
    .setDescription("Vth shift handle")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVTSHIFT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDVTSHIFT)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of DVTSHIFT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVTSHIFT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDVTSHIFT)
    .setUnit(U_VOLT)
    .setDescription("N-term of DVTSHIFT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVTSHIFT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDVTSHIFT)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of DVTSHIFT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVTSHIFT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDVTSHIFT)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of DVTSHIFT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVTSHIFT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DVTSHIFT)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of DVTSHIFT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVTSHIFTR", 0.0, &ADMSbsimcmg_111::Model::DVTSHIFTR)
    .setUnit(U_VOLT)
    .setDescription("Vth shift handle for asymmetric mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDVTSHIFTR", 0.0, &ADMSbsimcmg_111::Model::LDVTSHIFTR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of DVTSHIFTR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDVTSHIFTR", 0.0, &ADMSbsimcmg_111::Model::NDVTSHIFTR)
    .setUnit(U_VOLT)
    .setDescription("N-term of DVTSHIFTR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDVTSHIFTR", 0.0, &ADMSbsimcmg_111::Model::PDVTSHIFTR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of DVTSHIFTR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDVTSHIFTR", 0.0, &ADMSbsimcmg_111::Model::WDVTSHIFTR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of DVTSHIFTR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DVTSHIFTR", 0.0, &ADMSbsimcmg_111::Model::P2DVTSHIFTR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of DVTSHIFTR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K0)
    .setUnit(U_VOLT)
    .setDescription("Lateral NUD voltage parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK0)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK0)
    .setUnit(U_VOLT)
    .setDescription("N-term of K0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK0)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK0)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K01)
    .setUnit(U_VKM1)
    .setDescription("Temperature dependence of lateral NUD voltage parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK01)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K01")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK01)
    .setUnit(U_VKM1)
    .setDescription("N-term of K01")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK01)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K01")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK01)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K01")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K01)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K01")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K0SI", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::K0SI)
    .setUnit(U_UNKNOWN)
    .setDescription("Correction factor for strong inversion used in Mnud. After binning it should be within (0 : inf)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK0SI", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK0SI)
    .setUnit(U_METER)
    .setDescription("L-term of K0SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK0SI", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK0SI)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K0SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK0SI", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK0SI)
    .setUnit(U_METER)
    .setDescription("P-term of K0SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK0SI", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK0SI)
    .setUnit(U_METER)
    .setDescription("W-term of K0SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K0SI", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K0SI)
    .setUnit(U_METER2)
    .setDescription("WL-term of K0SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K0SI1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K0SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K0SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK0SI1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK0SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K0SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK0SI1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK0SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K0SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK0SI1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK0SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K0SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK0SI1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK0SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K0SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K0SI1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K0SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K0SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2SI", 0.0, &ADMSbsimcmg_111::Model::K2SI)
    .setUnit(U_UNKNOWN)
    .setDescription("Correction factor for strong inversion used in Mob")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2SI", 0.0, &ADMSbsimcmg_111::Model::LK2SI)
    .setUnit(U_METER)
    .setDescription("L-term of K2SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2SI", 0.0, &ADMSbsimcmg_111::Model::NK2SI)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2SI", 0.0, &ADMSbsimcmg_111::Model::PK2SI)
    .setUnit(U_METER)
    .setDescription("P-term of K2SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2SI", 0.0, &ADMSbsimcmg_111::Model::WK2SI)
    .setUnit(U_METER)
    .setDescription("W-term of K2SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2SI", 0.0, &ADMSbsimcmg_111::Model::P2K2SI)
    .setUnit(U_METER2)
    .setDescription("WL-term of K2SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2SI1", 0.0, &ADMSbsimcmg_111::Model::K2SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K2SI")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2SI1", 0.0, &ADMSbsimcmg_111::Model::LK2SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K2SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2SI1", 0.0, &ADMSbsimcmg_111::Model::NK2SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2SI1", 0.0, &ADMSbsimcmg_111::Model::PK2SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K2SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2SI1", 0.0, &ADMSbsimcmg_111::Model::WK2SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K2SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2SI1", 0.0, &ADMSbsimcmg_111::Model::P2K2SI1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K2SI1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K0SISAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K0SISAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Correction factor for strong inversion used in Mnud")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK0SISAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK0SISAT)
    .setUnit(U_METER)
    .setDescription("L-term of K0SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK0SISAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK0SISAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K0SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK0SISAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK0SISAT)
    .setUnit(U_METER)
    .setDescription("P-term of K0SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK0SISAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK0SISAT)
    .setUnit(U_METER)
    .setDescription("W-term of K0SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K0SISAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K0SISAT)
    .setUnit(U_METER2)
    .setDescription("WL-term of K0SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K0SISAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K0SISAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K0SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK0SISAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK0SISAT1)
    .setUnit(U_METER)
    .setDescription("L-term of K0SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK0SISAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK0SISAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K0SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK0SISAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK0SISAT1)
    .setUnit(U_METER)
    .setDescription("P-term of K0SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK0SISAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK0SISAT1)
    .setUnit(U_METER)
    .setDescription("W-term of K0SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K0SISAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K0SISAT1)
    .setUnit(U_METER2)
    .setDescription("WL-term of K0SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2SISAT", 0.0, &ADMSbsimcmg_111::Model::K2SISAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Correction factor for strong inversion used in Mob")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2SISAT", 0.0, &ADMSbsimcmg_111::Model::LK2SISAT)
    .setUnit(U_METER)
    .setDescription("L-term of K2SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2SISAT", 0.0, &ADMSbsimcmg_111::Model::NK2SISAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2SISAT", 0.0, &ADMSbsimcmg_111::Model::PK2SISAT)
    .setUnit(U_METER)
    .setDescription("P-term of K2SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2SISAT", 0.0, &ADMSbsimcmg_111::Model::WK2SISAT)
    .setUnit(U_METER)
    .setDescription("W-term of K2SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2SISAT", 0.0, &ADMSbsimcmg_111::Model::P2K2SISAT)
    .setUnit(U_METER2)
    .setDescription("WL-term of K2SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2SISAT1", 0.0, &ADMSbsimcmg_111::Model::K2SISAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K2SISAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2SISAT1", 0.0, &ADMSbsimcmg_111::Model::LK2SISAT1)
    .setUnit(U_METER)
    .setDescription("L-term of K2SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2SISAT1", 0.0, &ADMSbsimcmg_111::Model::NK2SISAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2SISAT1", 0.0, &ADMSbsimcmg_111::Model::PK2SISAT1)
    .setUnit(U_METER)
    .setDescription("P-term of K2SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2SISAT1", 0.0, &ADMSbsimcmg_111::Model::WK2SISAT1)
    .setUnit(U_METER)
    .setDescription("W-term of K2SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2SISAT1", 0.0, &ADMSbsimcmg_111::Model::P2K2SISAT1)
    .setUnit(U_METER2)
    .setDescription("WL-term of K2SISAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PHIBE", static_cast<double>(0.7), &ADMSbsimcmg_111::Model::PHIBE)
    .setUnit(U_VOLT)
    .setDescription("Body effect voltage parameter. After binning it should be within [0.2 : 1.2]")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPHIBE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPHIBE)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PHIBE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPHIBE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPHIBE)
    .setUnit(U_VOLT)
    .setDescription("N-term of PHIBE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPHIBE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPHIBE)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PHIBE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPHIBE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPHIBE)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PHIBE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PHIBE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PHIBE)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PHIBE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K1", static_cast<double>(1.0e-6), &ADMSbsimcmg_111::Model::K1)
    .setUnit(U_UNKNOWN)
    .setDescription("Body effect coefficient for subthreshold region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K11)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK11)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of K11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK11)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK11)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of K11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK11)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of K11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K11)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of K11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2SAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K2SAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Correction factor for K2 in saturation (high Vds)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2SAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK2SAT)
    .setUnit(U_METER)
    .setDescription("L-term of K2SAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2SAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK2SAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2SAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2SAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK2SAT)
    .setUnit(U_METER)
    .setDescription("P-term of K2SAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2SAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK2SAT)
    .setUnit(U_METER)
    .setDescription("W-term of K2SAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2SAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K2SAT)
    .setUnit(U_METER2)
    .setDescription("WL-term of K2SAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2SAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K2SAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K2SAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2SAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK2SAT1)
    .setUnit(U_METER)
    .setDescription("L-term of K2SAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2SAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK2SAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2SAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2SAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK2SAT1)
    .setUnit(U_METER)
    .setDescription("P-term of K2SAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2SAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK2SAT1)
    .setUnit(U_METER)
    .setDescription("W-term of K2SAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2SAT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K2SAT1)
    .setUnit(U_METER2)
    .setDescription("WL-term of K2SAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K2)
    .setUnit(U_UNKNOWN)
    .setDescription("Body effect coefficient for BULKMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK2)
    .setUnit(U_METER)
    .setDescription("L-term of K2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK2)
    .setUnit(U_METER)
    .setDescription("P-term of K2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK2)
    .setUnit(U_METER)
    .setDescription("W-term of K2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K2)
    .setUnit(U_METER2)
    .setDescription("WL-term of K2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("K21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::K21)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of K2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LK21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LK21)
    .setUnit(U_METER)
    .setDescription("L-term of K21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NK21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NK21)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of K21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PK21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PK21)
    .setUnit(U_METER)
    .setDescription("P-term of K21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WK21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WK21)
    .setUnit(U_METER)
    .setDescription("W-term of K21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2K21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2K21)
    .setUnit(U_METER2)
    .setDescription("WL-term of K21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AQMTCEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AQMTCEN)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for geometric dependence of Tcen on R/TFIN/HFIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BQMTCEN", static_cast<double>(1.2e-8), &ADMSbsimcmg_111::Model::BQMTCEN)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for geometric dependence of Tcen on R/TFIN/HFIN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QM0", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::QM0)
    .setUnit(U_VOLT)
    .setDescription("Knee-point for Tcen in inversion (Charge normalized to Cox)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PQM", static_cast<double>(0.66), &ADMSbsimcmg_111::Model::PQM)
    .setUnit(U_UNKNOWN)
    .setDescription("Slope of normalized Tcen in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QM0ACC", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::QM0ACC)
    .setUnit(U_VOLT)
    .setDescription("Knee-point for Tcen in accumulation (Charge normalized to Cox)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PQMACC", static_cast<double>(0.66), &ADMSbsimcmg_111::Model::PQMACC)
    .setUnit(U_UNKNOWN)
    .setDescription("Slope of normalized Tcen in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::QMFACTOR)
    .setUnit(U_UNKNOWN)
    .setDescription("Prefactor + switch for QM Vth correction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LQMFACTOR)
    .setUnit(U_METER)
    .setDescription("L-term of QMFACTOR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NQMFACTOR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of QMFACTOR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PQMFACTOR)
    .setUnit(U_METER)
    .setDescription("P-term of QMFACTOR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WQMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WQMFACTOR)
    .setUnit(U_METER)
    .setDescription("W-term of QMFACTOR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2QMFACTOR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2QMFACTOR)
    .setUnit(U_METER2)
    .setDescription("WL-term of QMFACTOR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::QMTCENCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Prefactor + switch for QM Width and Toxeff correction for CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LQMTCENCV)
    .setUnit(U_METER)
    .setDescription("L-term of QMTCENCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NQMTCENCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of QMTCENCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PQMTCENCV)
    .setUnit(U_METER)
    .setDescription("P-term of QMTCENCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WQMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WQMTCENCV)
    .setUnit(U_METER)
    .setDescription("W-term of QMTCENCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2QMTCENCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2QMTCENCV)
    .setUnit(U_METER2)
    .setDescription("WL-term of QMTCENCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::QMTCENCVA)
    .setUnit(U_UNKNOWN)
    .setDescription("Prefactor + switch for QM Width and Toxeff correction for CV (accumulation region)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LQMTCENCVA)
    .setUnit(U_METER)
    .setDescription("L-term of QMTCENCVA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NQMTCENCVA)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of QMTCENCVA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PQMTCENCVA)
    .setUnit(U_METER)
    .setDescription("P-term of QMTCENCVA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WQMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WQMTCENCVA)
    .setUnit(U_METER)
    .setDescription("W-term of QMTCENCVA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2QMTCENCVA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2QMTCENCVA)
    .setUnit(U_METER2)
    .setDescription("WL-term of QMTCENCVA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSATN1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::VSATN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSATN2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::VSATN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BVSAT", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT1N1", 0.0, &ADMSbsimcmg_111::Model::VSAT1N1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT1N2", 0.0, &ADMSbsimcmg_111::Model::VSAT1N2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT1RN1", 0.0, &ADMSbsimcmg_111::Model::VSAT1RN1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT1RN2", 0.0, &ADMSbsimcmg_111::Model::VSAT1RN2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AVSAT1", 0.0, &ADMSbsimcmg_111::Model::AVSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BVSAT1", 0.0, &ADMSbsimcmg_111::Model::BVSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("APSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::APSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BPSAT", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::BPSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AVSATCV", 0.0, &ADMSbsimcmg_111::Model::AVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BVSATCV", 0.0, &ADMSbsimcmg_111::Model::BVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("APSATCV", 0.0, &ADMSbsimcmg_111::Model::APSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BPSATCV", 0.0, &ADMSbsimcmg_111::Model::BPSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AMEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AMEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BMEXP", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::BMEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AMEXPR", 0.0, &ADMSbsimcmg_111::Model::AMEXPR)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BMEXPR", 0.0, &ADMSbsimcmg_111::Model::BMEXPR)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("APTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::APTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BPTWG", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BPTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TMEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TMEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for Vdseff smoothing")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TMEXP2", static_cast<double>((-4.0e-6)), &ADMSbsimcmg_111::Model::TMEXP2)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 temperature coefficient for Vdseff smoothing")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TMEXPR", 0.0, &ADMSbsimcmg_111::Model::TMEXPR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode temperature coefficient for Vdseff smoothing")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DVSATCLAMP", static_cast<double>(0.01), &ADMSbsimcmg_111::Model::DVSATCLAMP)
    .setUnit(U_METER)
    .setDescription("Minimum clamp on Dvsat")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT", static_cast<double>(8.5e4), &ADMSbsimcmg_111::Model::VSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Saturation velocity for the saturation region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2VSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2VSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of VSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSATR", 0.0, &ADMSbsimcmg_111::Model::VSATR)
    .setUnit(U_UNKNOWN)
    .setDescription("Saturation velocity for the saturation region in the reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LVSATR", 0.0, &ADMSbsimcmg_111::Model::LVSATR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of VSATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSATR", 0.0, &ADMSbsimcmg_111::Model::NVSATR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of VSATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PVSATR", 0.0, &ADMSbsimcmg_111::Model::PVSATR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of VSATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WVSATR", 0.0, &ADMSbsimcmg_111::Model::WVSATR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of VSATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2VSATR", 0.0, &ADMSbsimcmg_111::Model::P2VSATR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of VSATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT1", 0.0, &ADMSbsimcmg_111::Model::VSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("Velocity saturation parameter for Ion degradation - forward mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LVSAT1", 0.0, &ADMSbsimcmg_111::Model::LVSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSAT1", 0.0, &ADMSbsimcmg_111::Model::NVSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PVSAT1", 0.0, &ADMSbsimcmg_111::Model::PVSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WVSAT1", 0.0, &ADMSbsimcmg_111::Model::WVSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2VSAT1", 0.0, &ADMSbsimcmg_111::Model::P2VSAT1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of VSAT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSAT1R", 0.0, &ADMSbsimcmg_111::Model::VSAT1R)
    .setUnit(U_UNKNOWN)
    .setDescription("Velocity saturation parameter for Ion degradation - reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LVSAT1R", 0.0, &ADMSbsimcmg_111::Model::LVSAT1R)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSAT1R", 0.0, &ADMSbsimcmg_111::Model::NVSAT1R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PVSAT1R", 0.0, &ADMSbsimcmg_111::Model::PVSAT1R)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WVSAT1R", 0.0, &ADMSbsimcmg_111::Model::WVSAT1R)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2VSAT1R", 0.0, &ADMSbsimcmg_111::Model::P2VSAT1R)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of VSAT1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELTAVSAT", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::DELTAVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("velocity saturation parameter in the linear region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDELTAVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDELTAVSAT)
    .setUnit(U_METER)
    .setDescription("L-term of DELTAVSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDELTAVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDELTAVSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DELTAVSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDELTAVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDELTAVSAT)
    .setUnit(U_METER)
    .setDescription("P-term of DELTAVSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDELTAVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDELTAVSAT)
    .setUnit(U_METER)
    .setDescription("W-term of DELTAVSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DELTAVSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DELTAVSAT)
    .setUnit(U_METER2)
    .setDescription("WL-term of DELTAVSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSAT", static_cast<double>(2.0), &ADMSbsimcmg_111::Model::PSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("Velocity saturation exponent, after binning should be from [2.0 : inf)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPSAT)
    .setUnit(U_METER)
    .setDescription("L-term of PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPSAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPSAT)
    .setUnit(U_METER)
    .setDescription("P-term of PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPSAT)
    .setUnit(U_METER)
    .setDescription("W-term of PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PSAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PSAT)
    .setUnit(U_METER2)
    .setDescription("WL-term of PSAT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KSATIV", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::KSATIV)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for long channel Vdsat")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LKSATIV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LKSATIV)
    .setUnit(U_METER)
    .setDescription("L-term of KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NKSATIV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NKSATIV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PKSATIV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PKSATIV)
    .setUnit(U_METER)
    .setDescription("P-term of KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WKSATIV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WKSATIV)
    .setUnit(U_METER)
    .setDescription("W-term of KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2KSATIV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2KSATIV)
    .setUnit(U_METER2)
    .setDescription("WL-term of KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KSATIVT1", static_cast<double>((-2.0e-4)), &ADMSbsimcmg_111::Model::KSATIVT1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 temperature coefficient for KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KSATIVT2", static_cast<double>((-2.0e-7)), &ADMSbsimcmg_111::Model::KSATIVT2)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 temperature coefficient for KSATIV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KSATIVR", 0.0, &ADMSbsimcmg_111::Model::KSATIVR)
    .setUnit(U_UNKNOWN)
    .setDescription("KSATIV in asymmetric mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LKSATIVR", 0.0, &ADMSbsimcmg_111::Model::LKSATIVR)
    .setUnit(U_METER)
    .setDescription("L-term of KSATIVR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NKSATIVR", 0.0, &ADMSbsimcmg_111::Model::NKSATIVR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of KSATIVR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PKSATIVR", 0.0, &ADMSbsimcmg_111::Model::PKSATIVR)
    .setUnit(U_METER)
    .setDescription("P-term of KSATIVR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WKSATIVR", 0.0, &ADMSbsimcmg_111::Model::WKSATIVR)
    .setUnit(U_METER)
    .setDescription("W-term of KSATIVR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2KSATIVR", 0.0, &ADMSbsimcmg_111::Model::P2KSATIVR)
    .setUnit(U_METER2)
    .setDescription("WL-term of KSATIVR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSATCV", 0.0, &ADMSbsimcmg_111::Model::VSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Velocity saturation parameter for CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LVSATCV", 0.0, &ADMSbsimcmg_111::Model::LVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSATCV", 0.0, &ADMSbsimcmg_111::Model::NVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PVSATCV", 0.0, &ADMSbsimcmg_111::Model::PVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WVSATCV", 0.0, &ADMSbsimcmg_111::Model::WVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2VSATCV", 0.0, &ADMSbsimcmg_111::Model::P2VSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of VSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELTAVSATCV", 0.0, &ADMSbsimcmg_111::Model::DELTAVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Velocity saturation parameter in the linear region for the capacitance model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDELTAVSATCV", 0.0, &ADMSbsimcmg_111::Model::LDELTAVSATCV)
    .setUnit(U_METER)
    .setDescription("L-term of DELTAVSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDELTAVSATCV", 0.0, &ADMSbsimcmg_111::Model::NDELTAVSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DELTAVSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDELTAVSATCV", 0.0, &ADMSbsimcmg_111::Model::PDELTAVSATCV)
    .setUnit(U_METER)
    .setDescription("P-term of DELTAVSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDELTAVSATCV", 0.0, &ADMSbsimcmg_111::Model::WDELTAVSATCV)
    .setUnit(U_METER)
    .setDescription("W-term of DELTAVSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DELTAVSATCV", 0.0, &ADMSbsimcmg_111::Model::P2DELTAVSATCV)
    .setUnit(U_METER2)
    .setDescription("WL-term of DELTAVSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSATCV", 0.0, &ADMSbsimcmg_111::Model::PSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Velocity saturation exponent for C-V")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPSATCV", 0.0, &ADMSbsimcmg_111::Model::LPSATCV)
    .setUnit(U_METER)
    .setDescription("L-term of PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPSATCV", 0.0, &ADMSbsimcmg_111::Model::NPSATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPSATCV", 0.0, &ADMSbsimcmg_111::Model::PPSATCV)
    .setUnit(U_METER)
    .setDescription("P-term of PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPSATCV", 0.0, &ADMSbsimcmg_111::Model::WPSATCV)
    .setUnit(U_METER)
    .setDescription("W-term of PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PSATCV", 0.0, &ADMSbsimcmg_111::Model::P2PSATCV)
    .setUnit(U_METER2)
    .setDescription("WL-term of PSATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MEXP", static_cast<double>(4.0), &ADMSbsimcmg_111::Model::MEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("Smoothing function factor for Vdsat")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LMEXP)
    .setUnit(U_METER)
    .setDescription("L-term of MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NMEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NMEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PMEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PMEXP)
    .setUnit(U_METER)
    .setDescription("P-term of MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WMEXP)
    .setUnit(U_METER)
    .setDescription("W-term of MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2MEXP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2MEXP)
    .setUnit(U_METER2)
    .setDescription("WL-term of MEXP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MEXPR", 0.0, &ADMSbsimcmg_111::Model::MEXPR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode smoothing function factor for Vdsat")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMEXPR", 0.0, &ADMSbsimcmg_111::Model::LMEXPR)
    .setUnit(U_METER)
    .setDescription("L-term of MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NMEXPR", 0.0, &ADMSbsimcmg_111::Model::NMEXPR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PMEXPR", 0.0, &ADMSbsimcmg_111::Model::PMEXPR)
    .setUnit(U_METER)
    .setDescription("P-term of MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMEXPR", 0.0, &ADMSbsimcmg_111::Model::WMEXPR)
    .setUnit(U_METER)
    .setDescription("W-term of MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2MEXPR", 0.0, &ADMSbsimcmg_111::Model::P2MEXPR)
    .setUnit(U_METER2)
    .setDescription("WL-term of MEXPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Gmsat degradation parameter - forward mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PTWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PTWG)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PTWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTWGR", 0.0, &ADMSbsimcmg_111::Model::PTWGR)
    .setUnit(U_UNKNOWN)
    .setDescription("Gmsat degradation parameter - reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPTWGR", 0.0, &ADMSbsimcmg_111::Model::LPTWGR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PTWGR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPTWGR", 0.0, &ADMSbsimcmg_111::Model::NPTWGR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PTWGR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPTWGR", 0.0, &ADMSbsimcmg_111::Model::PPTWGR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PTWGR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPTWGR", 0.0, &ADMSbsimcmg_111::Model::WPTWGR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PTWGR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PTWGR", 0.0, &ADMSbsimcmg_111::Model::P2PTWGR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PTWGR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AT", static_cast<double>((-1.56e-3)), &ADMSbsimcmg_111::Model::AT)
    .setUnit(U_UNKNOWN)
    .setDescription("Saturation velocity temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAT)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAT)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAT)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AT)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AT2", static_cast<double>(2.0e-6), &ADMSbsimcmg_111::Model::AT2)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 saturation velocity temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ATR", 0.0, &ADMSbsimcmg_111::Model::ATR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode saturation velocity temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LATR", 0.0, &ADMSbsimcmg_111::Model::LATR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of ATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NATR", 0.0, &ADMSbsimcmg_111::Model::NATR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PATR", 0.0, &ADMSbsimcmg_111::Model::PATR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of ATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WATR", 0.0, &ADMSbsimcmg_111::Model::WATR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of ATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ATR", 0.0, &ADMSbsimcmg_111::Model::P2ATR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ATR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ATCV", 0.0, &ADMSbsimcmg_111::Model::ATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Saturation velocity temperature coefficient for CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LATCV", 0.0, &ADMSbsimcmg_111::Model::LATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of ATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NATCV", 0.0, &ADMSbsimcmg_111::Model::NATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PATCV", 0.0, &ADMSbsimcmg_111::Model::PATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of ATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WATCV", 0.0, &ADMSbsimcmg_111::Model::WATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of ATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ATCV", 0.0, &ADMSbsimcmg_111::Model::P2ATCV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ATCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AT2CV", 0.0, &ADMSbsimcmg_111::Model::AT2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 saturation velocity temperature coefficient for CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTWGT", static_cast<double>(4.0e-3), &ADMSbsimcmg_111::Model::PTWGT)
    .setUnit(U_UNKNOWN)
    .setDescription("PTWG temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPTWGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPTWGT)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PTWGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPTWGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPTWGT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PTWGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPTWGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPTWGT)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PTWGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPTWGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPTWGT)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PTWGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PTWGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PTWGT)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PTWGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0N1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::U0N1)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0N1CV", 0.0, &ADMSbsimcmg_111::Model::U0N1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 NFIN dependence of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0N1R", 0.0, &ADMSbsimcmg_111::Model::U0N1R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode NFIN dependence of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0N2", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::U0N2)
    .setUnit(U_UNKNOWN)
    .setDescription("NFIN dependence of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0N2CV", 0.0, &ADMSbsimcmg_111::Model::U0N2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD=1 NFIN dependence of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0N2R", 0.0, &ADMSbsimcmg_111::Model::U0N2R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode NFIN dependence of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0LT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::U0LT)
    .setUnit(U_UNKNOWN)
    .setDescription("Coupled NFIN and length dependence of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0LTCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::U0LTCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Coupled NFIN and length dependence of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPA", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::LPA)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility L power coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPAR", 0.0, &ADMSbsimcmg_111::Model::LPAR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode mobility L power coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AUA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AUA)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AUAR", 0.0, &ADMSbsimcmg_111::Model::AUAR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode pre-exponential coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BUA", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BUA)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BUAR", 0.0, &ADMSbsimcmg_111::Model::BUAR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode exponential coefficient for UAR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AEU", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AEU)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AEUR", 0.0, &ADMSbsimcmg_111::Model::AEUR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode pre-exponential coefficient for EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BEU", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BEU)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BEUR", 0.0, &ADMSbsimcmg_111::Model::BEUR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode exponential coefficient for EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AUD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AUD)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AUDR", 0.0, &ADMSbsimcmg_111::Model::AUDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode pre-exponential coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BUD", static_cast<double>(5.0e-8), &ADMSbsimcmg_111::Model::BUD)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BUDR", 0.0, &ADMSbsimcmg_111::Model::BUDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode exponential coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CHARGEWF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CHARGEWF)
    .setUnit(U_UNKNOWN)
    .setDescription("Average channel charge weighting factor, 1: source-side, 0: middle, -1: drain-side")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DMOBCLAMP", static_cast<double>(0.01), &ADMSbsimcmg_111::Model::DMOBCLAMP)
    .setUnit(U_METER)
    .setDescription("Minimum clamp on Dmob")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0", static_cast<double>(3.0e-2), &ADMSbsimcmg_111::Model::U0)
    .setUnit(U_UNKNOWN)
    .setDescription("Low-field mobility")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LU0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LU0)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NU0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NU0)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PU0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PU0)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WU0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WU0)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2U0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2U0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of U0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0R", 0.0, &ADMSbsimcmg_111::Model::U0R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode low-field mobility")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LU0R", 0.0, &ADMSbsimcmg_111::Model::LU0R)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of U0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NU0R", 0.0, &ADMSbsimcmg_111::Model::NU0R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of U0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PU0R", 0.0, &ADMSbsimcmg_111::Model::PU0R)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of U0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WU0R", 0.0, &ADMSbsimcmg_111::Model::WU0R)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of U0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2U0R", 0.0, &ADMSbsimcmg_111::Model::P2U0R)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of U0R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0CV", 0.0, &ADMSbsimcmg_111::Model::U0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 low-field mobility")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LU0CV", 0.0, &ADMSbsimcmg_111::Model::LU0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NU0CV", 0.0, &ADMSbsimcmg_111::Model::NU0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PU0CV", 0.0, &ADMSbsimcmg_111::Model::PU0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WU0CV", 0.0, &ADMSbsimcmg_111::Model::WU0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2U0CV", 0.0, &ADMSbsimcmg_111::Model::P2U0CV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of U0CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETAMOB", static_cast<double>(2.0), &ADMSbsimcmg_111::Model::ETAMOB)
    .setUnit(U_UNKNOWN)
    .setDescription("Effective field parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LETAMOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LETAMOB)
    .setUnit(U_METER)
    .setDescription("L-term of ETAMOB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NETAMOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NETAMOB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ETAMOB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PETAMOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PETAMOB)
    .setUnit(U_METER)
    .setDescription("P-term of ETAMOB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WETAMOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WETAMOB)
    .setUnit(U_METER)
    .setDescription("W-term of ETAMOB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ETAMOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ETAMOB)
    .setUnit(U_METER2)
    .setDescription("WL-term of ETAMOB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::UP)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility L coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUP)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUP)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUP)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUP)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UP)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UP")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UPR", 0.0, &ADMSbsimcmg_111::Model::UPR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode mobility L coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUPR", 0.0, &ADMSbsimcmg_111::Model::LUPR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUPR", 0.0, &ADMSbsimcmg_111::Model::NUPR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUPR", 0.0, &ADMSbsimcmg_111::Model::PUPR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUPR", 0.0, &ADMSbsimcmg_111::Model::WUPR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UPR", 0.0, &ADMSbsimcmg_111::Model::P2UPR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UPR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UA", static_cast<double>(0.3), &ADMSbsimcmg_111::Model::UA)
    .setUnit(U_UNKNOWN)
    .setDescription("Phonon/surface roughness scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUA)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUA)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUA)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUA)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UA)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UAR", 0.0, &ADMSbsimcmg_111::Model::UAR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode phonon/surface roughness scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUAR", 0.0, &ADMSbsimcmg_111::Model::LUAR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UAR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUAR", 0.0, &ADMSbsimcmg_111::Model::NUAR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UAR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUAR", 0.0, &ADMSbsimcmg_111::Model::PUAR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UAR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUAR", 0.0, &ADMSbsimcmg_111::Model::WUAR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UAR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UAR", 0.0, &ADMSbsimcmg_111::Model::P2UAR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UAR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UACV", 0.0, &ADMSbsimcmg_111::Model::UACV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 phonon/surface roughness scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUACV", 0.0, &ADMSbsimcmg_111::Model::LUACV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UACV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUACV", 0.0, &ADMSbsimcmg_111::Model::NUACV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UACV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUACV", 0.0, &ADMSbsimcmg_111::Model::PUACV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UACV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUACV", 0.0, &ADMSbsimcmg_111::Model::WUACV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UACV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UACV", 0.0, &ADMSbsimcmg_111::Model::P2UACV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UACV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::UC)
    .setUnit(U_UNKNOWN)
    .setDescription("Body effect for mobility degradation parameter - BULKMOD = 1 or 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUC)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUC)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUC)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UCR", 0.0, &ADMSbsimcmg_111::Model::UCR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode body effect for mobility degradation parameter - BULKMOD = 1 or 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUCR", 0.0, &ADMSbsimcmg_111::Model::LUCR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UCR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUCR", 0.0, &ADMSbsimcmg_111::Model::NUCR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UCR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUCR", 0.0, &ADMSbsimcmg_111::Model::PUCR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UCR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUCR", 0.0, &ADMSbsimcmg_111::Model::WUCR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UCR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UCR", 0.0, &ADMSbsimcmg_111::Model::P2UCR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UCR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UCCV", 0.0, &ADMSbsimcmg_111::Model::UCCV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 body effect for mobility degradation parameter (BULKMOD = 1 or 2)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUCCV", 0.0, &ADMSbsimcmg_111::Model::LUCCV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UCCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUCCV", 0.0, &ADMSbsimcmg_111::Model::NUCCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UCCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUCCV", 0.0, &ADMSbsimcmg_111::Model::PUCCV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UCCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUCCV", 0.0, &ADMSbsimcmg_111::Model::WUCCV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UCCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UCCV", 0.0, &ADMSbsimcmg_111::Model::P2UCCV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UCCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EU", static_cast<double>(2.5), &ADMSbsimcmg_111::Model::EU)
    .setUnit(U_UNKNOWN)
    .setDescription("Phonon/surface roughness scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEU", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LEU)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEU", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NEU)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEU", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PEU)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEU", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WEU)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EU", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2EU)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EUR", 0.0, &ADMSbsimcmg_111::Model::EUR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode phonon/surface roughness scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEUR", 0.0, &ADMSbsimcmg_111::Model::LEUR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EUR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEUR", 0.0, &ADMSbsimcmg_111::Model::NEUR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of EUR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEUR", 0.0, &ADMSbsimcmg_111::Model::PEUR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EUR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEUR", 0.0, &ADMSbsimcmg_111::Model::WEUR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EUR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EUR", 0.0, &ADMSbsimcmg_111::Model::P2EUR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EUR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::UD)
    .setUnit(U_UNKNOWN)
    .setDescription("Coulomb scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUD)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUD)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUD)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDR", 0.0, &ADMSbsimcmg_111::Model::UDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode Coulomb scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUDR", 0.0, &ADMSbsimcmg_111::Model::LUDR)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUDR", 0.0, &ADMSbsimcmg_111::Model::NUDR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUDR", 0.0, &ADMSbsimcmg_111::Model::PUDR)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUDR", 0.0, &ADMSbsimcmg_111::Model::WUDR)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UDR", 0.0, &ADMSbsimcmg_111::Model::P2UDR)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UDR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDCV", 0.0, &ADMSbsimcmg_111::Model::UDCV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 coulomb scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUDCV", 0.0, &ADMSbsimcmg_111::Model::LUDCV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of UDCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUDCV", 0.0, &ADMSbsimcmg_111::Model::NUDCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UDCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUDCV", 0.0, &ADMSbsimcmg_111::Model::PUDCV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of UDCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUDCV", 0.0, &ADMSbsimcmg_111::Model::WUDCV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of UDCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UDCV", 0.0, &ADMSbsimcmg_111::Model::P2UDCV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of UDCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UCS", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::UCS)
    .setUnit(U_UNKNOWN)
    .setDescription("Coulomb scattering parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUCS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUCS)
    .setUnit(U_METER)
    .setDescription("L-term of UCS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUCS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUCS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UCS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUCS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUCS)
    .setUnit(U_METER)
    .setDescription("P-term of UCS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUCS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUCS)
    .setUnit(U_METER)
    .setDescription("W-term of UCS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UCS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UCS)
    .setUnit(U_METER2)
    .setDescription("WL-term of UCS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDS", static_cast<double>(2.0e-5), &ADMSbsimcmg_111::Model::UDS)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 weight factor correction for source side inversion charge density in Coulomb scattering model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUDS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUDS)
    .setUnit(U_METER)
    .setDescription("L-term of UDS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUDS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUDS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UDS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUDS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUDS)
    .setUnit(U_METER)
    .setDescription("P-term of UDS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUDS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUDS)
    .setUnit(U_METER)
    .setDescription("W-term of UDS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UDS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UDS)
    .setUnit(U_METER2)
    .setDescription("WL-term of UDS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDS1", static_cast<double>((-10.0)), &ADMSbsimcmg_111::Model::UDS1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 temperature coefficient for UDS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUDS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUDS1)
    .setUnit(U_METER)
    .setDescription("L-term of UDS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUDS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUDS1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UDS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUDS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUDS1)
    .setUnit(U_METER)
    .setDescription("P-term of UDS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUDS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUDS1)
    .setUnit(U_METER)
    .setDescription("W-term of UDS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UDS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UDS1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UDS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDD", static_cast<double>((-2.0e-5)), &ADMSbsimcmg_111::Model::UDD)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 weight factor correction for drain side inversion charge density in Coulomb scattering model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUDD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUDD)
    .setUnit(U_METER)
    .setDescription("L-term of UDD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUDD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUDD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UDD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUDD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUDD)
    .setUnit(U_METER)
    .setDescription("P-term of UDD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUDD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUDD)
    .setUnit(U_METER)
    .setDescription("W-term of UDD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UDD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UDD)
    .setUnit(U_METER2)
    .setDescription("WL-term of UDD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDD1", static_cast<double>((-10.0)), &ADMSbsimcmg_111::Model::UDD1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 temperature coefficient for UDD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUDD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUDD1)
    .setUnit(U_METER)
    .setDescription("L-term of UDD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUDD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUDD1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UDD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUDD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUDD1)
    .setUnit(U_METER)
    .setDescription("P-term of UDD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUDD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUDD1)
    .setUnit(U_METER)
    .setDescription("W-term of UDD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UDD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UDD1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UDD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::UTE)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUTE)
    .setUnit(U_METER)
    .setDescription("L-term of UTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUTE)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUTE)
    .setUnit(U_METER)
    .setDescription("P-term of UTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUTE)
    .setUnit(U_METER)
    .setDescription("W-term of UTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UTE)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTER", 0.0, &ADMSbsimcmg_111::Model::UTER)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode for mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTER", 0.0, &ADMSbsimcmg_111::Model::LUTER)
    .setUnit(U_METER)
    .setDescription("L-term of UTER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTER", 0.0, &ADMSbsimcmg_111::Model::NUTER)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTER", 0.0, &ADMSbsimcmg_111::Model::PUTER)
    .setUnit(U_METER)
    .setDescription("P-term of UTER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTER", 0.0, &ADMSbsimcmg_111::Model::WUTER)
    .setUnit(U_METER)
    .setDescription("W-term of UTER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTER", 0.0, &ADMSbsimcmg_111::Model::P2UTER)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTECV", 0.0, &ADMSbsimcmg_111::Model::UTECV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTECV", 0.0, &ADMSbsimcmg_111::Model::LUTECV)
    .setUnit(U_METER)
    .setDescription("L-term of UTECV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTECV", 0.0, &ADMSbsimcmg_111::Model::NUTECV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTECV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTECV", 0.0, &ADMSbsimcmg_111::Model::PUTECV)
    .setUnit(U_METER)
    .setDescription("P-term of UTECV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTECV", 0.0, &ADMSbsimcmg_111::Model::WUTECV)
    .setUnit(U_METER)
    .setDescription("W-term of UTECV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTECV", 0.0, &ADMSbsimcmg_111::Model::P2UTECV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTECV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTE1", static_cast<double>((-0.4)), &ADMSbsimcmg_111::Model::UTE1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUTE1)
    .setUnit(U_METER)
    .setDescription("L-term of UTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUTE1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUTE1)
    .setUnit(U_METER)
    .setDescription("P-term of UTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUTE1)
    .setUnit(U_METER)
    .setDescription("W-term of UTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UTE1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTE1CV", 0.0, &ADMSbsimcmg_111::Model::UTE1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 and CVMOD = 1 mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTE1CV", 0.0, &ADMSbsimcmg_111::Model::LUTE1CV)
    .setUnit(U_METER)
    .setDescription("L-term of UTE1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTE1CV", 0.0, &ADMSbsimcmg_111::Model::NUTE1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTE1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTE1CV", 0.0, &ADMSbsimcmg_111::Model::PUTE1CV)
    .setUnit(U_METER)
    .setDescription("P-term of UTE1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTE1CV", 0.0, &ADMSbsimcmg_111::Model::WUTE1CV)
    .setUnit(U_METER)
    .setDescription("W-term of UTE1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTE1CV", 0.0, &ADMSbsimcmg_111::Model::P2UTE1CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTE1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTL", static_cast<double>((-1.5e-3)), &ADMSbsimcmg_111::Model::UTL)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUTL)
    .setUnit(U_METER)
    .setDescription("L-term of UTL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUTL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUTL)
    .setUnit(U_METER)
    .setDescription("P-term of UTL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUTL)
    .setUnit(U_METER)
    .setDescription("W-term of UTL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UTL)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTLR", 0.0, &ADMSbsimcmg_111::Model::UTLR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode for mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTLR", 0.0, &ADMSbsimcmg_111::Model::LUTLR)
    .setUnit(U_METER)
    .setDescription("L-term of UTLR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTLR", 0.0, &ADMSbsimcmg_111::Model::NUTLR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTLR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTLR", 0.0, &ADMSbsimcmg_111::Model::PUTLR)
    .setUnit(U_METER)
    .setDescription("P-term of UTLR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTLR", 0.0, &ADMSbsimcmg_111::Model::WUTLR)
    .setUnit(U_METER)
    .setDescription("W-term of UTLR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTLR", 0.0, &ADMSbsimcmg_111::Model::P2UTLR)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTLR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UTLCV", 0.0, &ADMSbsimcmg_111::Model::UTLCV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUTLCV", 0.0, &ADMSbsimcmg_111::Model::LUTLCV)
    .setUnit(U_METER)
    .setDescription("L-term of UTLCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUTLCV", 0.0, &ADMSbsimcmg_111::Model::NUTLCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UTLCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUTLCV", 0.0, &ADMSbsimcmg_111::Model::PUTLCV)
    .setUnit(U_METER)
    .setDescription("P-term of UTLCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUTLCV", 0.0, &ADMSbsimcmg_111::Model::WUTLCV)
    .setUnit(U_METER)
    .setDescription("W-term of UTLCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UTLCV", 0.0, &ADMSbsimcmg_111::Model::P2UTLCV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UTLCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EMOBT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::EMOBT)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient of ETAMOB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEMOBT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LEMOBT)
    .setUnit(U_METER)
    .setDescription("L-term of EMOBT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEMOBT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NEMOBT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of EMOBT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEMOBT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PEMOBT)
    .setUnit(U_METER)
    .setDescription("P-term of EMOBT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEMOBT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WEMOBT)
    .setUnit(U_METER)
    .setDescription("W-term of EMOBT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EMOBT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2EMOBT)
    .setUnit(U_METER2)
    .setDescription("WL-term of EMOBT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UA1", static_cast<double>(1.032e-3), &ADMSbsimcmg_111::Model::UA1)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility temperature coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUA1)
    .setUnit(U_METER)
    .setDescription("L-term of UA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUA1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUA1)
    .setUnit(U_METER)
    .setDescription("P-term of UA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUA1)
    .setUnit(U_METER)
    .setDescription("W-term of UA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UA1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UA1R", 0.0, &ADMSbsimcmg_111::Model::UA1R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode mobility temperature coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUA1R", 0.0, &ADMSbsimcmg_111::Model::LUA1R)
    .setUnit(U_METER)
    .setDescription("L-term of UA1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUA1R", 0.0, &ADMSbsimcmg_111::Model::NUA1R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UA1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUA1R", 0.0, &ADMSbsimcmg_111::Model::PUA1R)
    .setUnit(U_METER)
    .setDescription("P-term of UA1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUA1R", 0.0, &ADMSbsimcmg_111::Model::WUA1R)
    .setUnit(U_METER)
    .setDescription("W-term of UA1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UA1R", 0.0, &ADMSbsimcmg_111::Model::P2UA1R)
    .setUnit(U_METER2)
    .setDescription("WL-term of UA1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UA1CV", 0.0, &ADMSbsimcmg_111::Model::UA1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 mobility temperature coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUA1CV", 0.0, &ADMSbsimcmg_111::Model::LUA1CV)
    .setUnit(U_METER)
    .setDescription("L-term of UA1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUA1CV", 0.0, &ADMSbsimcmg_111::Model::NUA1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UA1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUA1CV", 0.0, &ADMSbsimcmg_111::Model::PUA1CV)
    .setUnit(U_METER)
    .setDescription("P-term of UA1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUA1CV", 0.0, &ADMSbsimcmg_111::Model::WUA1CV)
    .setUnit(U_METER)
    .setDescription("W-term of UA1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UA1CV", 0.0, &ADMSbsimcmg_111::Model::P2UA1CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UA1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UA2", static_cast<double>((-0.04)), &ADMSbsimcmg_111::Model::UA2)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 mobility temperature coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUA2)
    .setUnit(U_METER)
    .setDescription("L-term of UA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUA2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUA2)
    .setUnit(U_METER)
    .setDescription("P-term of UA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUA2)
    .setUnit(U_METER)
    .setDescription("W-term of UA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UA2)
    .setUnit(U_METER2)
    .setDescription("WL-term of UA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UA2CV", 0.0, &ADMSbsimcmg_111::Model::UA2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 and CVMOD = 1 mobility temperature coefficient for UA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUA2CV", 0.0, &ADMSbsimcmg_111::Model::LUA2CV)
    .setUnit(U_METER)
    .setDescription("L-term of UA2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUA2CV", 0.0, &ADMSbsimcmg_111::Model::NUA2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UA2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUA2CV", 0.0, &ADMSbsimcmg_111::Model::PUA2CV)
    .setUnit(U_METER)
    .setDescription("P-term of UA2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUA2CV", 0.0, &ADMSbsimcmg_111::Model::WUA2CV)
    .setUnit(U_METER)
    .setDescription("W-term of UA2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UA2CV", 0.0, &ADMSbsimcmg_111::Model::P2UA2CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UA2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EU1", static_cast<double>((-1.0e-3)), &ADMSbsimcmg_111::Model::EU1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 mobility temperature coefficient for EU")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEU1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LEU1)
    .setUnit(U_METER)
    .setDescription("L-term of EU1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEU1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NEU1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of EU1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEU1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PEU1)
    .setUnit(U_METER)
    .setDescription("P-term of EU1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEU1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WEU1)
    .setUnit(U_METER)
    .setDescription("W-term of EU1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EU1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2EU1)
    .setUnit(U_METER2)
    .setDescription("WL-term of EU1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UC1", static_cast<double>(5.6e-11), &ADMSbsimcmg_111::Model::UC1)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility temperature coefficient for UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUC1)
    .setUnit(U_METER)
    .setDescription("L-term of UC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUC1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUC1)
    .setUnit(U_METER)
    .setDescription("P-term of UC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUC1)
    .setUnit(U_METER)
    .setDescription("W-term of UC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UC1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UC1R", 0.0, &ADMSbsimcmg_111::Model::UC1R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode mobility temperature coefficient for UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUC1R", 0.0, &ADMSbsimcmg_111::Model::LUC1R)
    .setUnit(U_METER)
    .setDescription("L-term of UC1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUC1R", 0.0, &ADMSbsimcmg_111::Model::NUC1R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UC1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUC1R", 0.0, &ADMSbsimcmg_111::Model::PUC1R)
    .setUnit(U_METER)
    .setDescription("P-term of UC1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUC1R", 0.0, &ADMSbsimcmg_111::Model::WUC1R)
    .setUnit(U_METER)
    .setDescription("W-term of UC1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UC1R", 0.0, &ADMSbsimcmg_111::Model::P2UC1R)
    .setUnit(U_METER2)
    .setDescription("WL-term of UC1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UC1CV", 0.0, &ADMSbsimcmg_111::Model::UC1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 mobility temperature coefficient for UC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUC1CV", 0.0, &ADMSbsimcmg_111::Model::LUC1CV)
    .setUnit(U_METER)
    .setDescription("L-term of UC1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUC1CV", 0.0, &ADMSbsimcmg_111::Model::NUC1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UC1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUC1CV", 0.0, &ADMSbsimcmg_111::Model::PUC1CV)
    .setUnit(U_METER)
    .setDescription("P-term of UC1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUC1CV", 0.0, &ADMSbsimcmg_111::Model::WUC1CV)
    .setUnit(U_METER)
    .setDescription("W-term of UC1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UC1CV", 0.0, &ADMSbsimcmg_111::Model::P2UC1CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UC1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::UD1)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility temperature coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUD1)
    .setUnit(U_METER)
    .setDescription("L-term of UD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUD1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUD1)
    .setUnit(U_METER)
    .setDescription("P-term of UD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUD1)
    .setUnit(U_METER)
    .setDescription("W-term of UD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UD1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UD1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UD1R", 0.0, &ADMSbsimcmg_111::Model::UD1R)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode mobility temperature coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUD1R", 0.0, &ADMSbsimcmg_111::Model::LUD1R)
    .setUnit(U_METER)
    .setDescription("L-term of UD1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUD1R", 0.0, &ADMSbsimcmg_111::Model::NUD1R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UD1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUD1R", 0.0, &ADMSbsimcmg_111::Model::PUD1R)
    .setUnit(U_METER)
    .setDescription("P-term of UD1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUD1R", 0.0, &ADMSbsimcmg_111::Model::WUD1R)
    .setUnit(U_METER)
    .setDescription("W-term of UD1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UD1R", 0.0, &ADMSbsimcmg_111::Model::P2UD1R)
    .setUnit(U_METER2)
    .setDescription("WL-term of UD1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UD1CV", 0.0, &ADMSbsimcmg_111::Model::UD1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CVMOD = 1 mobility temperature coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUD1CV", 0.0, &ADMSbsimcmg_111::Model::LUD1CV)
    .setUnit(U_METER)
    .setDescription("L-term of UD1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUD1CV", 0.0, &ADMSbsimcmg_111::Model::NUD1CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UD1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUD1CV", 0.0, &ADMSbsimcmg_111::Model::PUD1CV)
    .setUnit(U_METER)
    .setDescription("P-term of UD1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUD1CV", 0.0, &ADMSbsimcmg_111::Model::WUD1CV)
    .setUnit(U_METER)
    .setDescription("W-term of UD1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UD1CV", 0.0, &ADMSbsimcmg_111::Model::P2UD1CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UD1CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UD2", static_cast<double>((-0.04)), &ADMSbsimcmg_111::Model::UD2)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 mobility temperature coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUD2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUD2)
    .setUnit(U_METER)
    .setDescription("L-term of UD2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUD2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUD2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UD2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUD2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUD2)
    .setUnit(U_METER)
    .setDescription("P-term of UD2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUD2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUD2)
    .setUnit(U_METER)
    .setDescription("W-term of UD2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UD2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UD2)
    .setUnit(U_METER2)
    .setDescription("WL-term of UD2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UD2CV", 0.0, &ADMSbsimcmg_111::Model::UD2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 and CVMOD = 1 mobility temperature coefficient for UD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUD2CV", 0.0, &ADMSbsimcmg_111::Model::LUD2CV)
    .setUnit(U_METER)
    .setDescription("L-term of UD2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUD2CV", 0.0, &ADMSbsimcmg_111::Model::NUD2CV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UD2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUD2CV", 0.0, &ADMSbsimcmg_111::Model::PUD2CV)
    .setUnit(U_METER)
    .setDescription("P-term of UD2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUD2CV", 0.0, &ADMSbsimcmg_111::Model::WUD2CV)
    .setUnit(U_METER)
    .setDescription("W-term of UD2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UD2CV", 0.0, &ADMSbsimcmg_111::Model::P2UD2CV)
    .setUnit(U_METER2)
    .setDescription("WL-term of UD2CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UCSTE", static_cast<double>((-4.775e-3)), &ADMSbsimcmg_111::Model::UCSTE)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobility temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUCSTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUCSTE)
    .setUnit(U_METER)
    .setDescription("L-term of UCSTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUCSTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUCSTE)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UCSTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUCSTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUCSTE)
    .setUnit(U_METER)
    .setDescription("P-term of UCSTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUCSTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUCSTE)
    .setUnit(U_METER)
    .setDescription("W-term of UCSTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UCSTE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UCSTE)
    .setUnit(U_METER2)
    .setDescription("WL-term of UCSTE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UCSTE1", static_cast<double>((-0.04)), &ADMSbsimcmg_111::Model::UCSTE1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 mobility temperature coefficient for UCS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LUCSTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LUCSTE1)
    .setUnit(U_METER)
    .setDescription("L-term of UCSTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NUCSTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NUCSTE1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of UCSTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PUCSTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PUCSTE1)
    .setUnit(U_METER)
    .setDescription("P-term of UCSTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WUCSTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WUCSTE1)
    .setUnit(U_METER)
    .setDescription("W-term of UCSTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2UCSTE1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2UCSTE1)
    .setUnit(U_METER2)
    .setDescription("WL-term of UCSTE1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETAMOBTHIN", 0.0, &ADMSbsimcmg_111::Model::ETAMOBTHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Effective field parameter for thin GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETAMOBTNI", static_cast<double>(7.5e-9), &ADMSbsimcmg_111::Model::ETAMOBTNI)
    .setUnit(U_METER)
    .setDescription("Critical TGAA for non-ideality")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ETAMOBIR", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::ETAMOBIR)
    .setUnit(U_UNKNOWN)
    .setDescription("Ideality parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UATHIN", 0.0, &ADMSbsimcmg_111::Model::UATHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Phonon/surface roughness scattering parameter for thin GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UATSAT", static_cast<double>(9e-9), &ADMSbsimcmg_111::Model::UATSAT)
    .setUnit(U_METER)
    .setDescription("Critical TGAA for UA saturation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UARTSC", static_cast<double>(0.09), &ADMSbsimcmg_111::Model::UARTSC)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of UA decay with TGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UATNI", static_cast<double>(6.4e-9), &ADMSbsimcmg_111::Model::UATNI)
    .setUnit(U_METER)
    .setDescription("Critical TGAA for non-ideality")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UAIR", static_cast<double>(0.2), &ADMSbsimcmg_111::Model::UAIR)
    .setUnit(U_UNKNOWN)
    .setDescription("Ideality parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EUTHIN", 0.0, &ADMSbsimcmg_111::Model::EUTHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Phonon/surface roughness scattering parameter for thin GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EUPTSC", static_cast<double>(3.5), &ADMSbsimcmg_111::Model::EUPTSC)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponent for TGAA scaling power law")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EUTNI", static_cast<double>(6e-9), &ADMSbsimcmg_111::Model::EUTNI)
    .setUnit(U_METER)
    .setDescription("Critical TGAA for non-ideality")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EUIR", static_cast<double>(0.2), &ADMSbsimcmg_111::Model::EUIR)
    .setUnit(U_UNKNOWN)
    .setDescription("Ideality parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDTHIN", 0.0, &ADMSbsimcmg_111::Model::UDTHIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Coulomb scattering parameter for thin GAA bodies")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDTSAT", static_cast<double>(8.1e-9), &ADMSbsimcmg_111::Model::UDTSAT)
    .setUnit(U_METER)
    .setDescription("Crtitcal TGAA for UD saturation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("UDPTSC", static_cast<double>(1.3), &ADMSbsimcmg_111::Model::UDPTSC)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponent for UD power law")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0ETAWSC", static_cast<double>(1.5), &ADMSbsimcmg_111::Model::U0ETAWSC)
    .setUnit(U_UNKNOWN)
    .setDescription("Ratio of primary carrier low-field mobilities: U0_[110]/U0_[100]")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EGBULK", static_cast<double>(1.1), &ADMSbsimcmg_111::Model::EGBULK)
    .setUnit(U_UNKNOWN)
    .setDescription("Bulk band-gap")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0EMSM1", static_cast<double>(26.6), &ADMSbsimcmg_111::Model::U0EMSM1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for effective mass scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("U0EMSM2", static_cast<double>(4), &ADMSbsimcmg_111::Model::U0EMSM2)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for effective mass scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDSWMIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RDSWMIN)
    .setUnit(U_UNKNOWN)
    .setDescription("RDSMOD = 0 S/D extension resistance per unit width at high Vgs")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ARDSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ARDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BRDSW", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BRDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("exponential coefficient for RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSWMIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RSWMIN)
    .setUnit(U_UNKNOWN)
    .setDescription("RDSMOD = 1 source extension resistance per unit width at high Vgs")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ARSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ARSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BRSW", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BRSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDWMIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RDWMIN)
    .setUnit(U_UNKNOWN)
    .setDescription("RDSMOD = 1 drain extension resistance per unit width at high Vgs")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ARDW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ARDW)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BRDW", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BRDW)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSDR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RSDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side drift resistance parameter - forward mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSDRR", 0.0, &ADMSbsimcmg_111::Model::RSDRR)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side drift resistance parameter - reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDDR", 0.0, &ADMSbsimcmg_111::Model::RDDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side drift resistance parameter - forward mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDDRR", 0.0, &ADMSbsimcmg_111::Model::RDDRR)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side drift resistance parameter - reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRSDR", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PRSDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side quasi-saturation parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRDDR", 0.0, &ADMSbsimcmg_111::Model::PRDDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side quasi-saturation parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TRSDR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TRSDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side drift resistance temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TRDDR", 0.0, &ADMSbsimcmg_111::Model::TRDDR)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side drift resistance temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDSW", static_cast<double>(1.0e2), &ADMSbsimcmg_111::Model::RDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("RDSMOD = 0 zero bias S/D extension resistance per unit width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LRDSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LRDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRDSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NRDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRDSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PRDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WRDSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WRDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2RDSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2RDSW)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of RDSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSW", static_cast<double>(5.0e1), &ADMSbsimcmg_111::Model::RSW)
    .setUnit(U_UNKNOWN)
    .setDescription("RDSMOD = 1 zero bias source extension resistance per unit width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LRSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LRSW)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NRSW)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PRSW)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WRSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WRSW)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2RSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2RSW)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of RSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDW", static_cast<double>(5.0e1), &ADMSbsimcmg_111::Model::RDW)
    .setUnit(U_UNKNOWN)
    .setDescription("RDSMOD = 1 zero bias drain extension resistance per unit width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LRDW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LRDW)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NRDW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NRDW)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRDW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PRDW)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WRDW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WRDW)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2RDW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2RDW)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of RDW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PRWGS)
    .setUnit(U_VOLTM1)
    .setDescription("Gate bias dependence of source extension resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPRWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPRWGS)
    .setUnit(U_MVM1)
    .setDescription("L-term of PRWGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPRWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPRWGS)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of PRWGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPRWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPRWGS)
    .setUnit(U_MVM1)
    .setDescription("P-term of PRWGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPRWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPRWGS)
    .setUnit(U_MVM1)
    .setDescription("W-term of PRWGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PRWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PRWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PRWGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRWGD", 0.0, &ADMSbsimcmg_111::Model::PRWGD)
    .setUnit(U_VOLTM1)
    .setDescription("Gate bias dependence of drain extension resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPRWGD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPRWGD)
    .setUnit(U_MVM1)
    .setDescription("L-term of PRWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPRWGD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPRWGD)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of PRWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPRWGD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPRWGD)
    .setUnit(U_MVM1)
    .setDescription("P-term of PRWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPRWGD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPRWGD)
    .setUnit(U_MVM1)
    .setDescription("W-term of PRWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PRWGD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PRWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PRWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WR", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::WR)
    .setUnit(U_UNKNOWN)
    .setDescription("W dependence parameter of S/D extension resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LWR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LWR)
    .setUnit(U_METER)
    .setDescription("L-term of WR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NWR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NWR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of WR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PWR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PWR)
    .setUnit(U_METER)
    .setDescription("P-term of WR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WWR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WWR)
    .setUnit(U_METER)
    .setDescription("W-term of WR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2WR", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2WR)
    .setUnit(U_METER2)
    .setDescription("WL-term of WR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRT", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::PRT)
    .setUnit(U_UNKNOWN)
    .setDescription("Series resistance temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPRT)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPRT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPRT)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPRT)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PRT)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRT1", static_cast<double>(4.0e-4), &ADMSbsimcmg_111::Model::PRT1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 series resistance temperature coefficient at low temperatures")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPRT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPRT1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of PRT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPRT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPRT1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PRT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPRT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPRT1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of PRT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPRT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPRT1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of PRT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PRT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PRT1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PRT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TR0", static_cast<double>(170.0), &ADMSbsimcmg_111::Model::TR0)
    .setUnit(U_DEGK)
    .setDescription("CRYOMOD != 0 corner temperature in dual-slope temperature model of series resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LTR0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LTR0)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of TR0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTR0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NTR0)
    .setUnit(U_DEGK)
    .setDescription("N-term of TR0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTR0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTR0)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of TR0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WTR0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WTR0)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of TR0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2TR0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2TR0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of TR0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SPRT", static_cast<double>(1.0e-2), &ADMSbsimcmg_111::Model::SPRT)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 parameter for corner temperature smoothing in dual-slope temperature model of series resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSPRT)
    .setUnit(U_METER)
    .setDescription("L-term of SPRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSPRT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of SPRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSPRT)
    .setUnit(U_METER)
    .setDescription("P-term of SPRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSPRT)
    .setUnit(U_METER)
    .setDescription("W-term of SPRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SPRT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SPRT)
    .setUnit(U_METER2)
    .setDescription("WL-term of SPRT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIBL1", static_cast<double>(1.3), &ADMSbsimcmg_111::Model::PDIBL1)
    .setUnit(U_UNKNOWN)
    .setDescription("DIBL output conductance parameter - forward mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPDIBL1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPDIBL1)
    .setUnit(U_METER)
    .setDescription("L-term of PDIBL1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPDIBL1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPDIBL1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PDIBL1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPDIBL1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPDIBL1)
    .setUnit(U_METER)
    .setDescription("P-term of PDIBL1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPDIBL1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPDIBL1)
    .setUnit(U_METER)
    .setDescription("W-term of PDIBL1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PDIBL1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PDIBL1)
    .setUnit(U_METER2)
    .setDescription("WL-term of PDIBL1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIBL2", static_cast<double>(2.0e-4), &ADMSbsimcmg_111::Model::PDIBL2)
    .setUnit(U_UNKNOWN)
    .setDescription("DIBL output conductance parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPDIBL2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPDIBL2)
    .setUnit(U_METER)
    .setDescription("L-term of PDIBL2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPDIBL2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPDIBL2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PDIBL2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPDIBL2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPDIBL2)
    .setUnit(U_METER)
    .setDescription("P-term of PDIBL2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPDIBL2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPDIBL2)
    .setUnit(U_METER)
    .setDescription("W-term of PDIBL2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PDIBL2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PDIBL2)
    .setUnit(U_METER2)
    .setDescription("WL-term of PDIBL2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIBL1R", 0.0, &ADMSbsimcmg_111::Model::PDIBL1R)
    .setUnit(U_UNKNOWN)
    .setDescription("DIBL output conductance parameter - reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPDIBL1R", 0.0, &ADMSbsimcmg_111::Model::LPDIBL1R)
    .setUnit(U_METER)
    .setDescription("L-term of PDIBL1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPDIBL1R", 0.0, &ADMSbsimcmg_111::Model::NPDIBL1R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PDIBL1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPDIBL1R", 0.0, &ADMSbsimcmg_111::Model::PPDIBL1R)
    .setUnit(U_METER)
    .setDescription("P-term of PDIBL1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPDIBL1R", 0.0, &ADMSbsimcmg_111::Model::WPDIBL1R)
    .setUnit(U_METER)
    .setDescription("W-term of PDIBL1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PDIBL1R", 0.0, &ADMSbsimcmg_111::Model::P2PDIBL1R)
    .setUnit(U_METER2)
    .setDescription("WL-term of PDIBL1R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIBL2R", 0.0, &ADMSbsimcmg_111::Model::PDIBL2R)
    .setUnit(U_UNKNOWN)
    .setDescription("DIBL output conductance parameter - reverse mode")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPDIBL2R", 0.0, &ADMSbsimcmg_111::Model::LPDIBL2R)
    .setUnit(U_METER)
    .setDescription("L-term of PDIBL2R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPDIBL2R", 0.0, &ADMSbsimcmg_111::Model::NPDIBL2R)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PDIBL2R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPDIBL2R", 0.0, &ADMSbsimcmg_111::Model::PPDIBL2R)
    .setUnit(U_METER)
    .setDescription("P-term of PDIBL2R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPDIBL2R", 0.0, &ADMSbsimcmg_111::Model::WPDIBL2R)
    .setUnit(U_METER)
    .setDescription("W-term of PDIBL2R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PDIBL2R", 0.0, &ADMSbsimcmg_111::Model::P2PDIBL2R)
    .setUnit(U_METER2)
    .setDescription("WL-term of PDIBL2R")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DROUT", static_cast<double>(1.06), &ADMSbsimcmg_111::Model::DROUT)
    .setUnit(U_UNKNOWN)
    .setDescription("L dependence of DIBL effect on Rout")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDROUT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDROUT)
    .setUnit(U_METER)
    .setDescription("L-term of DROUT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDROUT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDROUT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DROUT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDROUT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDROUT)
    .setUnit(U_METER)
    .setDescription("P-term of DROUT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDROUT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDROUT)
    .setUnit(U_METER)
    .setDescription("W-term of DROUT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DROUT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DROUT)
    .setUnit(U_METER2)
    .setDescription("WL-term of DROUT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PVAG", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PVAG)
    .setUnit(U_UNKNOWN)
    .setDescription("Vgs dependence on early voltage")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPVAG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPVAG)
    .setUnit(U_METER)
    .setDescription("L-term of PVAG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPVAG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPVAG)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PVAG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPVAG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPVAG)
    .setUnit(U_METER)
    .setDescription("P-term of PVAG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPVAG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPVAG)
    .setUnit(U_METER)
    .setDescription("W-term of PVAG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PVAG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PVAG)
    .setUnit(U_METER2)
    .setDescription("WL-term of PVAG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("APCLM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::APCLM)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("APCLMR", 0.0, &ADMSbsimcmg_111::Model::APCLMR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode pre-exponential coefficient for PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BPCLM", static_cast<double>(1.0e-7), &ADMSbsimcmg_111::Model::BPCLM)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BPCLMR", 0.0, &ADMSbsimcmg_111::Model::BPCLMR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse-mode exponential coefficient for PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCLM", static_cast<double>(1.3e-2), &ADMSbsimcmg_111::Model::PCLM)
    .setUnit(U_UNKNOWN)
    .setDescription("Channel length modulation (CLM) parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCLMT", static_cast<double>((-2.0e-5)), &ADMSbsimcmg_111::Model::PCLMT)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 temperature coefficient for PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPCLM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPCLM)
    .setUnit(U_METER)
    .setDescription("L-term of PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPCLM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPCLM)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPCLM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPCLM)
    .setUnit(U_METER)
    .setDescription("P-term of PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPCLM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPCLM)
    .setUnit(U_METER)
    .setDescription("W-term of PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PCLM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PCLM)
    .setUnit(U_METER2)
    .setDescription("WL-term of PCLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCLMR", 0.0, &ADMSbsimcmg_111::Model::PCLMR)
    .setUnit(U_UNKNOWN)
    .setDescription("Reverse model PCLM parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPCLMR", 0.0, &ADMSbsimcmg_111::Model::LPCLMR)
    .setUnit(U_METER)
    .setDescription("L-term of PCLMR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPCLMR", 0.0, &ADMSbsimcmg_111::Model::NPCLMR)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PCLMR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPCLMR", 0.0, &ADMSbsimcmg_111::Model::PPCLMR)
    .setUnit(U_METER)
    .setDescription("P-term of PCLMR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPCLMR", 0.0, &ADMSbsimcmg_111::Model::WPCLMR)
    .setUnit(U_METER)
    .setDescription("W-term of PCLMR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PCLMR", 0.0, &ADMSbsimcmg_111::Model::P2PCLMR)
    .setUnit(U_METER2)
    .setDescription("WL-term of PCLMR")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCLMG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCLMG)
    .setUnit(U_VOLTM1)
    .setDescription("Gate bias dependence parameter for CLM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPCLMG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPCLMG)
    .setUnit(U_MVM1)
    .setDescription("L-term of PCLMG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPCLMG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPCLMG)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of PCLMG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPCLMG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPCLMG)
    .setUnit(U_MVM1)
    .setDescription("P-term of PCLMG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPCLMG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPCLMG)
    .setUnit(U_MVM1)
    .setDescription("W-term of PCLMG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PCLMG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PCLMG)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of PCLMG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCLMCV", 0.0, &ADMSbsimcmg_111::Model::PCLMCV)
    .setUnit(U_UNKNOWN)
    .setDescription("CLM parameter for short-channel CV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPCLMCV", 0.0, &ADMSbsimcmg_111::Model::LPCLMCV)
    .setUnit(U_METER)
    .setDescription("L-term of PCLMCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPCLMCV", 0.0, &ADMSbsimcmg_111::Model::NPCLMCV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PCLMCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPCLMCV", 0.0, &ADMSbsimcmg_111::Model::PPCLMCV)
    .setUnit(U_METER)
    .setDescription("P-term of PCLMCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPCLMCV", 0.0, &ADMSbsimcmg_111::Model::WPCLMCV)
    .setUnit(U_METER)
    .setDescription("W-term of PCLMCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PCLMCV", 0.0, &ADMSbsimcmg_111::Model::P2PCLMCV)
    .setUnit(U_METER2)
    .setDescription("WL-term of PCLMCV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("A1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::A1)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-saturation effect parameter for strong inversion Region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LA1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of A1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NA1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of A1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PA1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of A1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WA1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of A1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2A1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2A1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of A1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("A11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::A11)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of A1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LA11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LA11)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of A11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NA11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NA11)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of A11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PA11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PA11)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of A11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WA11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WA11)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of A11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2A11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2A11)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of A11")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("A2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::A2)
    .setUnit(U_VOLTM1)
    .setDescription("Non-saturation effect parameter for moderate Inversion Region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LA2)
    .setUnit(U_MVM1)
    .setDescription("L-term of A2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NA2)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of A2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PA2)
    .setUnit(U_MVM1)
    .setDescription("P-term of A2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WA2)
    .setUnit(U_MVM1)
    .setDescription("W-term of A2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2A2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2A2)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of A2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("A21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::A21)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of A2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LA21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LA21)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of A21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NA21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NA21)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of A21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PA21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PA21)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of A21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WA21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WA21)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of A21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2A21", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2A21)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of A21")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGEXT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RGEXT)
    .setUnit(U_UNKNOWN)
    .setDescription("Effective gate electrode external resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGFIN", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::RGFIN)
    .setUnit(U_UNKNOWN)
    .setDescription("Effective gate electrode per finger per fin resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSHS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RSHS)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side sheet resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSHD", 0.0, &ADMSbsimcmg_111::Model::RSHD)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side sheet resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("HEPI", static_cast<double>(1.0e-8), &ADMSbsimcmg_111::Model::HEPI)
    .setUnit(U_METER)
    .setDescription("Height of the raised source/drain on top of the fin")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSILI", static_cast<double>(1.0e-8), &ADMSbsimcmg_111::Model::TSILI)
    .setUnit(U_METER)
    .setDescription("Thickness of the silicide on top of the raised source/drain")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RHOC", static_cast<double>(1.0e-12), &ADMSbsimcmg_111::Model::RHOC)
    .setUnit(U_UNKNOWN)
    .setDescription("Contact resistivity at the silicon/silicide interface")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RHORSD", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::RHORSD)
    .setUnit(U_UNKNOWN)
    .setDescription("If non-zero, average resistivity of silicon in the raised source/drain region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CRATIO", static_cast<double>(0.5), &ADMSbsimcmg_111::Model::CRATIO)
    .setUnit(U_UNKNOWN)
    .setDescription("Ratio of the corner area filled with silicon to the total corner area")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELTAPRSD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DELTAPRSD)
    .setUnit(U_METER)
    .setDescription("Change in silicon/silicide interface length due to non-rectangular epi")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SDTERM", static_cast<int>(0), &ADMSbsimcmg_111::Model::SDTERM)
    .setUnit(U_UNKNOWN)
    .setDescription("Indicator of whether the source/drain are terminated with silicide");
  p.addPar("LSP", static_cast<double>(6.0e-9), &ADMSbsimcmg_111::Model::LSP)
    .setUnit(U_METER)
    .setDescription("Thickness of the gate sidewall spacer")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EPSRSP", static_cast<double>(3.9), &ADMSbsimcmg_111::Model::EPSRSP)
    .setUnit(U_UNKNOWN)
    .setDescription("Relative dielectric constant of the spacer")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TGATE", static_cast<double>(3.0e-8), &ADMSbsimcmg_111::Model::TGATE)
    .setUnit(U_METER)
    .setDescription("Gate height on top of the hard mask")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TMASK", static_cast<double>(3.0e-8), &ADMSbsimcmg_111::Model::TMASK)
    .setUnit(U_METER)
    .setDescription("Height of hard mask on top of the fin")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ASILIEND", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ASILIEND)
    .setUnit(U_METER2)
    .setDescription("Extra silicide cross sectional area at the two ends of the FinFET")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ARSDEND", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ARSDEND)
    .setUnit(U_METER2)
    .setDescription("Extra raised source/drain cross sectional areaat the two ends of the finFET")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRSDEND", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PRSDEND)
    .setUnit(U_METER)
    .setDescription("Extra silicon/silicide interface perimeter at the two ends of the finFET")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGEOA", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::RGEOA)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for RGEOMOD = 1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGEOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RGEOB)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for RGEOMOD = 1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGEOC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RGEOC)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for RGEOMOD = 1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGEOD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RGEOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for RGEOMOD = 1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RGEOE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RGEOE)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for RGEOMOD = 1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGEOA", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::CGEOA)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for CGEOMOD = 2 and 3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGEOB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGEOB)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for CGEOMOD = 2 and 3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGEOC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGEOC)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for CGEOMOD = 2 and 3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGEOD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGEOD)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for CGEOMOD = 2 and 3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGEOE", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::CGEOE)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for CGEOMOD = 2 and 3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DLCIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DLCIGS)
    .setUnit(U_METER)
    .setDescription("Delta L for Igs model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DLCIGD", 0.0, &ADMSbsimcmg_111::Model::DLCIGD)
    .setUnit(U_METER)
    .setDescription("Delta L for Igd model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VFBSD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::VFBSD)
    .setUnit(U_VOLT)
    .setDescription("User-designated flatband voltage for S/D region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VFBSDCV", 0.0, &ADMSbsimcmg_111::Model::VFBSDCV)
    .setUnit(U_VOLT)
    .setDescription("User-designated flatband voltage for S/D region for C-V calculations")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TOXREF", static_cast<double>(1.2e-9), &ADMSbsimcmg_111::Model::TOXREF)
    .setUnit(U_METER)
    .setDescription("Target tox value")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TOXG", 0.0, &ADMSbsimcmg_111::Model::TOXG)
    .setUnit(U_METER)
    .setDescription("Oxide thickness for gate current model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGBINVCLAMP", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::IGBINVCLAMP)
    .setUnit(U_UNKNOWN)
    .setDescription("Clamping value of the exponent for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGBACCCLAMP", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::IGBACCCLAMP)
    .setUnit(U_UNKNOWN)
    .setDescription("Clamping value of the exponent for Igb in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGCINVCLAMP", static_cast<double>(5.0e-4), &ADMSbsimcmg_111::Model::IGCINVCLAMP)
    .setUnit(U_UNKNOWN)
    .setDescription("Clamping value of the exponent for Igc in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTOX", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::NTOX)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponent for Tox ratio")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNTOX", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNTOX)
    .setUnit(U_METER)
    .setDescription("L-term of NTOX")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNTOX", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNTOX)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of NTOX")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNTOX", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNTOX)
    .setUnit(U_METER)
    .setDescription("P-term of NTOX")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WNTOX", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WNTOX)
    .setUnit(U_METER)
    .setDescription("W-term of NTOX")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2NTOX", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2NTOX)
    .setUnit(U_METER2)
    .setDescription("WL-term of NTOX")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGBINV", static_cast<double>(1.11e-2), &ADMSbsimcmg_111::Model::AIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGBINV1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AIGBINV1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGBINV1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGBINV1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGBINV1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGBINV1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGBINV1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGBINV1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGBINV1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGBINV1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGBINV1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGBINV1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGBINV1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGBINV1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGBINV1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGBINV1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGBINV1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BIGBINV", static_cast<double>(9.49e-4), &ADMSbsimcmg_111::Model::BIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CIGBINV", static_cast<double>(6.0e-3), &ADMSbsimcmg_111::Model::CIGBINV)
    .setUnit(U_VOLTM1)
    .setDescription("Parameter for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCIGBINV)
    .setUnit(U_MVM1)
    .setDescription("L-term of CIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCIGBINV)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of CIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCIGBINV)
    .setUnit(U_MVM1)
    .setDescription("P-term of CIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCIGBINV)
    .setUnit(U_MVM1)
    .setDescription("W-term of CIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EIGBINV", static_cast<double>(1.1), &ADMSbsimcmg_111::Model::EIGBINV)
    .setUnit(U_VOLT)
    .setDescription("Parameter for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LEIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NEIGBINV)
    .setUnit(U_VOLT)
    .setDescription("N-term of EIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PEIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WEIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2EIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NIGBINV", static_cast<double>(3.0), &ADMSbsimcmg_111::Model::NIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNIGBINV)
    .setUnit(U_METER)
    .setDescription("L-term of NIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNIGBINV)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of NIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNIGBINV)
    .setUnit(U_METER)
    .setDescription("P-term of NIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WNIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WNIGBINV)
    .setUnit(U_METER)
    .setDescription("W-term of NIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2NIGBINV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2NIGBINV)
    .setUnit(U_METER2)
    .setDescription("WL-term of NIGBINV")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGBACC", static_cast<double>(1.36e-2), &ADMSbsimcmg_111::Model::AIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGBACC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AIGBACC1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGBACC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGBACC1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGBACC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGBACC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGBACC1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGBACC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGBACC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGBACC1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGBACC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGBACC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGBACC1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGBACC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGBACC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGBACC1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGBACC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BIGBACC", static_cast<double>(1.71e-3), &ADMSbsimcmg_111::Model::BIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CIGBACC", static_cast<double>(7.5e-2), &ADMSbsimcmg_111::Model::CIGBACC)
    .setUnit(U_VOLTM1)
    .setDescription("Parameter for Igb in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCIGBACC)
    .setUnit(U_MVM1)
    .setDescription("L-term of CIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCIGBACC)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of CIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCIGBACC)
    .setUnit(U_MVM1)
    .setDescription("P-term of CIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCIGBACC)
    .setUnit(U_MVM1)
    .setDescription("W-term of CIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NIGBACC", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::NIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igb in accumulation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNIGBACC)
    .setUnit(U_METER)
    .setDescription("L-term of NIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNIGBACC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of NIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNIGBACC)
    .setUnit(U_METER)
    .setDescription("P-term of NIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WNIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WNIGBACC)
    .setUnit(U_METER)
    .setDescription("W-term of NIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2NIGBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2NIGBACC)
    .setUnit(U_METER2)
    .setDescription("WL-term of NIGBACC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGC", static_cast<double>(1.36e-2), &ADMSbsimcmg_111::Model::AIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igc in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AIGC1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igc in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGC1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGC1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGC1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGC1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGC1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGC1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGC1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BIGC", static_cast<double>(1.71e-3), &ADMSbsimcmg_111::Model::BIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igc in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CIGC", static_cast<double>(7.5e-2), &ADMSbsimcmg_111::Model::CIGC)
    .setUnit(U_VOLTM1)
    .setDescription("Parameter for Igc in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCIGC)
    .setUnit(U_MVM1)
    .setDescription("L-term of CIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCIGC)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of CIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCIGC)
    .setUnit(U_MVM1)
    .setDescription("P-term of CIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCIGC)
    .setUnit(U_MVM1)
    .setDescription("W-term of CIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CIGC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CIGC)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CIGC")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PIGCD", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PIGCD)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igc partition")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPIGCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPIGCD)
    .setUnit(U_METER)
    .setDescription("L-term of PIGCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPIGCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPIGCD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PIGCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPIGCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPIGCD)
    .setUnit(U_METER)
    .setDescription("P-term of PIGCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPIGCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPIGCD)
    .setUnit(U_METER)
    .setDescription("W-term of PIGCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PIGCD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PIGCD)
    .setUnit(U_METER2)
    .setDescription("WL-term of PIGCD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGS", static_cast<double>(1.36e-2), &ADMSbsimcmg_111::Model::AIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igs in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AIGS1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igs in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGS1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGS1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGS1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGS1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGS1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGS1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGS1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BIGS", static_cast<double>(1.71e-3), &ADMSbsimcmg_111::Model::BIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igs in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CIGS", static_cast<double>(7.5e-2), &ADMSbsimcmg_111::Model::CIGS)
    .setUnit(U_VOLTM1)
    .setDescription("Parameter for Igs in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCIGS)
    .setUnit(U_MVM1)
    .setDescription("L-term of CIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCIGS)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of CIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCIGS)
    .setUnit(U_MVM1)
    .setDescription("P-term of CIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCIGS)
    .setUnit(U_MVM1)
    .setDescription("W-term of CIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CIGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CIGS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CIGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGD", 0.0, &ADMSbsimcmg_111::Model::AIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igd in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGD", 0.0, &ADMSbsimcmg_111::Model::LAIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGD", 0.0, &ADMSbsimcmg_111::Model::NAIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGD", 0.0, &ADMSbsimcmg_111::Model::PAIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGD", 0.0, &ADMSbsimcmg_111::Model::WAIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGD", 0.0, &ADMSbsimcmg_111::Model::P2AIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGD1", 0.0, &ADMSbsimcmg_111::Model::AIGD1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igd in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGD1", 0.0, &ADMSbsimcmg_111::Model::LAIGD1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGD1", 0.0, &ADMSbsimcmg_111::Model::NAIGD1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGD1", 0.0, &ADMSbsimcmg_111::Model::PAIGD1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGD1", 0.0, &ADMSbsimcmg_111::Model::WAIGD1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGD1", 0.0, &ADMSbsimcmg_111::Model::P2AIGD1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGD1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BIGD", 0.0, &ADMSbsimcmg_111::Model::BIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Igd in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBIGD", 0.0, &ADMSbsimcmg_111::Model::LBIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBIGD", 0.0, &ADMSbsimcmg_111::Model::NBIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBIGD", 0.0, &ADMSbsimcmg_111::Model::PBIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBIGD", 0.0, &ADMSbsimcmg_111::Model::WBIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BIGD", 0.0, &ADMSbsimcmg_111::Model::P2BIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CIGD", 0.0, &ADMSbsimcmg_111::Model::CIGD)
    .setUnit(U_VOLTM1)
    .setDescription("Parameter for Igd in inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCIGD", 0.0, &ADMSbsimcmg_111::Model::LCIGD)
    .setUnit(U_MVM1)
    .setDescription("L-term of CIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCIGD", 0.0, &ADMSbsimcmg_111::Model::NCIGD)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of CIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCIGD", 0.0, &ADMSbsimcmg_111::Model::PCIGD)
    .setUnit(U_MVM1)
    .setDescription("P-term of CIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCIGD", 0.0, &ADMSbsimcmg_111::Model::WCIGD)
    .setUnit(U_MVM1)
    .setDescription("W-term of CIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CIGD", 0.0, &ADMSbsimcmg_111::Model::P2CIGD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CIGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("POXEDGE", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::POXEDGE)
    .setUnit(U_UNKNOWN)
    .setDescription("Factor for the gate edge Tox")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPOXEDGE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPOXEDGE)
    .setUnit(U_METER)
    .setDescription("L-term of POXEDGE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPOXEDGE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPOXEDGE)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of POXEDGE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPOXEDGE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPOXEDGE)
    .setUnit(U_METER)
    .setDescription("P-term of POXEDGE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPOXEDGE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPOXEDGE)
    .setUnit(U_METER)
    .setDescription("W-term of POXEDGE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2POXEDGE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2POXEDGE)
    .setUnit(U_METER2)
    .setDescription("WL-term of POXEDGE")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AGIDL", static_cast<double>(6.055e-12), &ADMSbsimcmg_111::Model::AGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BGIDL", static_cast<double>(3.0e8), &ADMSbsimcmg_111::Model::BGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBGIDL)
    .setUnit(U_VOLT)
    .setDescription("L-term of BGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBGIDL)
    .setUnit(U_VOLT)
    .setDescription("P-term of BGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBGIDL)
    .setUnit(U_VOLT)
    .setDescription("W-term of BGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGIDL", static_cast<double>(0.5), &ADMSbsimcmg_111::Model::CGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-effect of GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EGIDL", static_cast<double>(0.2), &ADMSbsimcmg_111::Model::EGIDL)
    .setUnit(U_VOLT)
    .setDescription("Band bending parameter for GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LEGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NEGIDL)
    .setUnit(U_VOLT)
    .setDescription("N-term of EGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PEGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WEGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2EGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PGIDL", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-bias effect on GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPGIDL)
    .setUnit(U_METER)
    .setDescription("L-term of PGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPGIDL)
    .setUnit(U_METER)
    .setDescription("P-term of PGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPGIDL)
    .setUnit(U_METER)
    .setDescription("W-term of PGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PGIDL)
    .setUnit(U_METER2)
    .setDescription("WL-term of PGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AGISL", 0.0, &ADMSbsimcmg_111::Model::AGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAGISL", 0.0, &ADMSbsimcmg_111::Model::LAGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAGISL", 0.0, &ADMSbsimcmg_111::Model::NAGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAGISL", 0.0, &ADMSbsimcmg_111::Model::PAGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAGISL", 0.0, &ADMSbsimcmg_111::Model::WAGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AGISL", 0.0, &ADMSbsimcmg_111::Model::P2AGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BGISL", 0.0, &ADMSbsimcmg_111::Model::BGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBGISL", 0.0, &ADMSbsimcmg_111::Model::LBGISL)
    .setUnit(U_VOLT)
    .setDescription("L-term of BGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBGISL", 0.0, &ADMSbsimcmg_111::Model::NBGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBGISL", 0.0, &ADMSbsimcmg_111::Model::PBGISL)
    .setUnit(U_VOLT)
    .setDescription("P-term of BGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBGISL", 0.0, &ADMSbsimcmg_111::Model::WBGISL)
    .setUnit(U_VOLT)
    .setDescription("W-term of BGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BGISL", 0.0, &ADMSbsimcmg_111::Model::P2BGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGISL", 0.0, &ADMSbsimcmg_111::Model::CGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-effect of GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGISL", 0.0, &ADMSbsimcmg_111::Model::LCGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGISL", 0.0, &ADMSbsimcmg_111::Model::NCGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGISL", 0.0, &ADMSbsimcmg_111::Model::PCGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGISL", 0.0, &ADMSbsimcmg_111::Model::WCGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGISL", 0.0, &ADMSbsimcmg_111::Model::P2CGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EGISL", 0.0, &ADMSbsimcmg_111::Model::EGISL)
    .setUnit(U_VOLT)
    .setDescription("Band bending parameter for GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEGISL", 0.0, &ADMSbsimcmg_111::Model::LEGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEGISL", 0.0, &ADMSbsimcmg_111::Model::NEGISL)
    .setUnit(U_VOLT)
    .setDescription("N-term of EGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEGISL", 0.0, &ADMSbsimcmg_111::Model::PEGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEGISL", 0.0, &ADMSbsimcmg_111::Model::WEGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EGISL", 0.0, &ADMSbsimcmg_111::Model::P2EGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PGISL", 0.0, &ADMSbsimcmg_111::Model::PGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-bias effect on GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPGISL", 0.0, &ADMSbsimcmg_111::Model::LPGISL)
    .setUnit(U_METER)
    .setDescription("L-term of PGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPGISL", 0.0, &ADMSbsimcmg_111::Model::NPGISL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPGISL", 0.0, &ADMSbsimcmg_111::Model::PPGISL)
    .setUnit(U_METER)
    .setDescription("P-term of PGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPGISL", 0.0, &ADMSbsimcmg_111::Model::WPGISL)
    .setUnit(U_METER)
    .setDescription("W-term of PGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PGISL", 0.0, &ADMSbsimcmg_111::Model::P2PGISL)
    .setUnit(U_METER2)
    .setDescription("WL-term of PGISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AGIDLB", static_cast<double>(6.055e-12), &ADMSbsimcmg_111::Model::AGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for parasitic substrate GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BGIDLB", static_cast<double>(3.0e8), &ADMSbsimcmg_111::Model::BGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for parasitic substrate GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBGIDLB)
    .setUnit(U_VOLT)
    .setDescription("L-term of BGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBGIDLB)
    .setUnit(U_VOLT)
    .setDescription("P-term of BGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBGIDLB)
    .setUnit(U_VOLT)
    .setDescription("W-term of BGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGIDLB", static_cast<double>(0.5), &ADMSbsimcmg_111::Model::CGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-effect of parasitic substrate GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EGIDLB", static_cast<double>(0.2), &ADMSbsimcmg_111::Model::EGIDLB)
    .setUnit(U_VOLT)
    .setDescription("Band bending parameter for parasitic substrate GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LEGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NEGIDLB)
    .setUnit(U_VOLT)
    .setDescription("N-term of EGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PEGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WEGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2EGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PGIDLB", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-bias effect on parasitic substrate GIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LPGIDLB)
    .setUnit(U_METER)
    .setDescription("L-term of PGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NPGIDLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PPGIDLB)
    .setUnit(U_METER)
    .setDescription("P-term of PGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WPGIDLB)
    .setUnit(U_METER)
    .setDescription("W-term of PGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PGIDLB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2PGIDLB)
    .setUnit(U_METER2)
    .setDescription("WL-term of PGIDLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AGISLB", 0.0, &ADMSbsimcmg_111::Model::AGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Pre-exponential coefficient for parasitic substrate GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAGISLB", 0.0, &ADMSbsimcmg_111::Model::LAGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAGISLB", 0.0, &ADMSbsimcmg_111::Model::NAGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAGISLB", 0.0, &ADMSbsimcmg_111::Model::PAGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAGISLB", 0.0, &ADMSbsimcmg_111::Model::WAGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AGISLB", 0.0, &ADMSbsimcmg_111::Model::P2AGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BGISLB", 0.0, &ADMSbsimcmg_111::Model::BGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponential coefficient for parasitic substrate GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBGISLB", 0.0, &ADMSbsimcmg_111::Model::LBGISLB)
    .setUnit(U_VOLT)
    .setDescription("L-term of BGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBGISLB", 0.0, &ADMSbsimcmg_111::Model::NBGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBGISLB", 0.0, &ADMSbsimcmg_111::Model::PBGISLB)
    .setUnit(U_VOLT)
    .setDescription("P-term of BGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBGISLB", 0.0, &ADMSbsimcmg_111::Model::WBGISLB)
    .setUnit(U_VOLT)
    .setDescription("W-term of BGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BGISLB", 0.0, &ADMSbsimcmg_111::Model::P2BGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGISLB", 0.0, &ADMSbsimcmg_111::Model::CGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-effect of parasitic substrate GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGISLB", 0.0, &ADMSbsimcmg_111::Model::LCGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGISLB", 0.0, &ADMSbsimcmg_111::Model::NCGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGISLB", 0.0, &ADMSbsimcmg_111::Model::PCGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGISLB", 0.0, &ADMSbsimcmg_111::Model::WCGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGISLB", 0.0, &ADMSbsimcmg_111::Model::P2CGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EGISLB", 0.0, &ADMSbsimcmg_111::Model::EGISLB)
    .setUnit(U_VOLT)
    .setDescription("Band bending parameter for parasitic substrate GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LEGISLB", 0.0, &ADMSbsimcmg_111::Model::LEGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of EGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NEGISLB", 0.0, &ADMSbsimcmg_111::Model::NEGISLB)
    .setUnit(U_VOLT)
    .setDescription("N-term of EGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PEGISLB", 0.0, &ADMSbsimcmg_111::Model::PEGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of EGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WEGISLB", 0.0, &ADMSbsimcmg_111::Model::WEGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of EGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2EGISLB", 0.0, &ADMSbsimcmg_111::Model::P2EGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of EGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PGISLB", 0.0, &ADMSbsimcmg_111::Model::PGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for body-bias effect on parasitic substrate GISL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LPGISLB", 0.0, &ADMSbsimcmg_111::Model::LPGISLB)
    .setUnit(U_METER)
    .setDescription("L-term of PGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NPGISLB", 0.0, &ADMSbsimcmg_111::Model::NPGISLB)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of PGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PPGISLB", 0.0, &ADMSbsimcmg_111::Model::PPGISLB)
    .setUnit(U_METER)
    .setDescription("P-term of PGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WPGISLB", 0.0, &ADMSbsimcmg_111::Model::WPGISLB)
    .setUnit(U_METER)
    .setDescription("W-term of PGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2PGISLB", 0.0, &ADMSbsimcmg_111::Model::P2PGISLB)
    .setUnit(U_METER2)
    .setDescription("WL-term of PGISLB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHA01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHA01)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of ALPHA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHA11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHA11)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence ALPHA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHAII01", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHAII01)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of ALPHAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHAII11", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHAII11)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature dependence of ALPHAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IIMOD2CLAMP1", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::IIMOD2CLAMP1)
    .setUnit(U_VOLT)
    .setDescription("Clamp1 of SII1 * Vg term in IIMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IIMOD2CLAMP2", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::IIMOD2CLAMP2)
    .setUnit(U_VOLT)
    .setDescription("Clamp2 of SII0 * Vg term in IIMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IIMOD2CLAMP3", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::IIMOD2CLAMP3)
    .setUnit(U_UNKNOWN)
    .setDescription("Clamp3 of ratio term in IIMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHA0)
    .setUnit(U_MVM1)
    .setDescription("First parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LALPHA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LALPHA0)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of ALPHA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NALPHA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NALPHA0)
    .setUnit(U_MVM1)
    .setDescription("N-term of ALPHA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PALPHA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PALPHA0)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of ALPHA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WALPHA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WALPHA0)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of ALPHA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ALPHA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ALPHA0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ALPHA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHA1)
    .setUnit(U_VOLTM1)
    .setDescription("L scaling parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LALPHA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LALPHA1)
    .setUnit(U_MVM1)
    .setDescription("L-term of ALPHA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NALPHA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NALPHA1)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of ALPHA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PALPHA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PALPHA1)
    .setUnit(U_MVM1)
    .setDescription("P-term of ALPHA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WALPHA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WALPHA1)
    .setUnit(U_MVM1)
    .setDescription("W-term of ALPHA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ALPHA1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ALPHA1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ALPHA1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::BETA0)
    .setUnit(U_VOLTM1)
    .setDescription("Vds dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBETA0)
    .setUnit(U_MVM1)
    .setDescription("L-term of BETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBETA0)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of BETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBETA0)
    .setUnit(U_MVM1)
    .setDescription("P-term of BETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBETA0)
    .setUnit(U_MVM1)
    .setDescription("W-term of BETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BETA0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BETA0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BETA0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHAII0)
    .setUnit(U_MVM1)
    .setDescription("First parameter of Iii for IIMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LALPHAII0)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of ALPHAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NALPHAII0)
    .setUnit(U_MVM1)
    .setDescription("N-term of ALPHAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PALPHAII0)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of ALPHAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WALPHAII0)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of ALPHAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ALPHAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ALPHAII0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ALPHAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ALPHAII1)
    .setUnit(U_VOLTM1)
    .setDescription("L scaling parameter of Iii for IIMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LALPHAII1)
    .setUnit(U_MVM1)
    .setDescription("L-term of ALPHAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NALPHAII1)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of ALPHAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PALPHAII1)
    .setUnit(U_MVM1)
    .setDescription("P-term of ALPHAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WALPHAII1)
    .setUnit(U_MVM1)
    .setDescription("W-term of ALPHAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ALPHAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ALPHAII1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ALPHAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BETAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::BETAII0)
    .setUnit(U_VOLTM1)
    .setDescription("Vds dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBETAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBETAII0)
    .setUnit(U_MVM1)
    .setDescription("L-term of BETAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBETAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBETAII0)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of BETAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBETAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBETAII0)
    .setUnit(U_MVM1)
    .setDescription("P-term of BETAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBETAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBETAII0)
    .setUnit(U_MVM1)
    .setDescription("W-term of BETAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BETAII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BETAII0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BETAII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BETAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::BETAII1)
    .setUnit(U_UNKNOWN)
    .setDescription("Vds dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBETAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBETAII1)
    .setUnit(U_METER)
    .setDescription("L-term of BETAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBETAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBETAII1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BETAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBETAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBETAII1)
    .setUnit(U_METER)
    .setDescription("P-term of BETAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBETAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBETAII1)
    .setUnit(U_METER)
    .setDescription("W-term of BETAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BETAII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BETAII1)
    .setUnit(U_METER2)
    .setDescription("WL-term of BETAII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BETAII2", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::BETAII2)
    .setUnit(U_VOLT)
    .setDescription("Vds dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBETAII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBETAII2)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BETAII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBETAII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBETAII2)
    .setUnit(U_VOLT)
    .setDescription("N-term of BETAII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBETAII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBETAII2)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BETAII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBETAII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBETAII2)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BETAII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BETAII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BETAII2)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BETAII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ESATII", static_cast<double>(1.0e7), &ADMSbsimcmg_111::Model::ESATII)
    .setUnit(U_UNKNOWN)
    .setDescription("Saturation channel E-field for Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LESATII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LESATII)
    .setUnit(U_VOLT)
    .setDescription("L-term of ESATII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NESATII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NESATII)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of ESATII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PESATII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PESATII)
    .setUnit(U_VOLT)
    .setDescription("P-term of ESATII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WESATII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WESATII)
    .setUnit(U_VOLT)
    .setDescription("W-term of ESATII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2ESATII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2ESATII)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of ESATII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LII", static_cast<double>(0.5e-9), &ADMSbsimcmg_111::Model::LII)
    .setUnit(U_UNKNOWN)
    .setDescription("Channel length dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LLII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LLII)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of LII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NLII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NLII)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of LII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PLII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PLII)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of LII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WLII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WLII)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of LII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2LII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2LII)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of LII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SII0", static_cast<double>(0.5), &ADMSbsimcmg_111::Model::SII0)
    .setUnit(U_VOLTM1)
    .setDescription("Vgs dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSII0)
    .setUnit(U_MVM1)
    .setDescription("L-term of SII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSII0)
    .setUnit(U_VOLTM1)
    .setDescription("N-term of SII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSII0)
    .setUnit(U_MVM1)
    .setDescription("P-term of SII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSII0)
    .setUnit(U_MVM1)
    .setDescription("W-term of SII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SII0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SII0)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of SII0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SII1", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::SII1)
    .setUnit(U_UNKNOWN)
    .setDescription("1st Vgs dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSII1)
    .setUnit(U_METER)
    .setDescription("L-term of SII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSII1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of SII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSII1)
    .setUnit(U_METER)
    .setDescription("P-term of SII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSII1)
    .setUnit(U_METER)
    .setDescription("W-term of SII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SII1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SII1)
    .setUnit(U_METER2)
    .setDescription("WL-term of SII1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::SII2)
    .setUnit(U_VOLT)
    .setDescription("2nd Vgs dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSII2)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of SII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSII2)
    .setUnit(U_VOLT)
    .setDescription("N-term of SII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSII2)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of SII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSII2)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of SII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SII2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SII2)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of SII2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SIID", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::SIID)
    .setUnit(U_VOLT)
    .setDescription("3rd Vds dependence parameter of Iii")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSIID", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSIID)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of SIID")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSIID", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSIID)
    .setUnit(U_VOLT)
    .setDescription("N-term of SIID")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSIID", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSIID)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of SIID")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSIID", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSIID)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of SIID")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SIID", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SIID)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of SIID")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EOTACC", 0.0, &ADMSbsimcmg_111::Model::EOTACC)
    .setUnit(U_METER)
    .setDescription("Equivalent oxide thickness for accumulation region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DELVFBACC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DELVFBACC)
    .setUnit(U_VOLT)
    .setDescription("Change in flatband voltage: Vfb_accumulation - Vfb_inversion")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CFS", static_cast<double>(2.5e-11), &ADMSbsimcmg_111::Model::CFS)
    .setUnit(U_UNKNOWN)
    .setDescription("Outer fringe capacitance at source side")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCFS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCFS)
    .setUnit(U_FARAD)
    .setDescription("L-term of CFS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCFS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCFS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CFS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCFS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCFS)
    .setUnit(U_FARAD)
    .setDescription("P-term of CFS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCFS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCFS)
    .setUnit(U_FARAD)
    .setDescription("W-term of CFS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CFS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CFS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CFS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CFD", 0.0, &ADMSbsimcmg_111::Model::CFD)
    .setUnit(U_UNKNOWN)
    .setDescription("Outer fringe capacitance at drain side")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCFD", 0.0, &ADMSbsimcmg_111::Model::LCFD)
    .setUnit(U_FARAD)
    .setDescription("L-term of CFD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCFD", 0.0, &ADMSbsimcmg_111::Model::NCFD)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CFD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCFD", 0.0, &ADMSbsimcmg_111::Model::PCFD)
    .setUnit(U_FARAD)
    .setDescription("P-term of CFD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCFD", 0.0, &ADMSbsimcmg_111::Model::WCFD)
    .setUnit(U_FARAD)
    .setDescription("W-term of CFD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CFD", 0.0, &ADMSbsimcmg_111::Model::P2CFD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CFD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGSO", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGSO)
    .setUnit(U_UNKNOWN)
    .setDescription("User-designated non-LDD region source-gate overlap capacitance per unit channel width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGDO", 0.0, &ADMSbsimcmg_111::Model::CGDO)
    .setUnit(U_UNKNOWN)
    .setDescription("User-designated non-LDD region drain-gate overlap capacitance per unit channel width")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGBO", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGBO)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate-to-substrate overlap capacitance per unit channel length per finger per NGCON")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGBN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGBN)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate-to-substrate overlap capacitance per unit channel length per fin per finger")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGBW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGBW)
    .setUnit(U_UNKNOWN)
    .setDescription("GAA gate-to-substrate overlap capacitance per unit area per fin per finger")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGSL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGSL)
    .setUnit(U_UNKNOWN)
    .setDescription("Overlap capacitance between gate and lightly-doped source region (CGEOMOD = 0, 2, 3)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGSL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCGSL)
    .setUnit(U_FARAD)
    .setDescription("L-term of CGSL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGSL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCGSL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGSL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGSL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCGSL)
    .setUnit(U_FARAD)
    .setDescription("P-term of CGSL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGSL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCGSL)
    .setUnit(U_FARAD)
    .setDescription("W-term of CGSL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGSL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CGSL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGSL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGDL", 0.0, &ADMSbsimcmg_111::Model::CGDL)
    .setUnit(U_UNKNOWN)
    .setDescription("Overlap capacitance between gate and lightly-doped drain region (CGEOMOD = 0, 2, 3)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGDL", 0.0, &ADMSbsimcmg_111::Model::LCGDL)
    .setUnit(U_FARAD)
    .setDescription("L-term of CGDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGDL", 0.0, &ADMSbsimcmg_111::Model::NCGDL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGDL", 0.0, &ADMSbsimcmg_111::Model::PCGDL)
    .setUnit(U_FARAD)
    .setDescription("P-term of CGDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGDL", 0.0, &ADMSbsimcmg_111::Model::WCGDL)
    .setUnit(U_FARAD)
    .setDescription("W-term of CGDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGDL", 0.0, &ADMSbsimcmg_111::Model::P2CGDL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CGBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CGBL)
    .setUnit(U_UNKNOWN)
    .setDescription("Bias-dependent component of gate-to-substrate overlap capacitance per unit channel length per fin per finger")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCGBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCGBL)
    .setUnit(U_FARAD)
    .setDescription("L-term of CGBL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCGBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCGBL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of CGBL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCGBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCGBL)
    .setUnit(U_FARAD)
    .setDescription("P-term of CGBL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCGBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCGBL)
    .setUnit(U_FARAD)
    .setDescription("W-term of CGBL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CGBL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CGBL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CGBL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CKAPPAS", static_cast<double>(0.6), &ADMSbsimcmg_111::Model::CKAPPAS)
    .setUnit(U_VOLT)
    .setDescription("Coefficient of bias-dependent overlap capacitance for the source side (CGEOMOD = 0, 2, 3)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCKAPPAS)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CKAPPAS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCKAPPAS)
    .setUnit(U_VOLT)
    .setDescription("N-term of CKAPPAS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCKAPPAS)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CKAPPAS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCKAPPAS)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CKAPPAS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CKAPPAS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CKAPPAS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CKAPPAS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CKAPPAD", 0.0, &ADMSbsimcmg_111::Model::CKAPPAD)
    .setUnit(U_VOLT)
    .setDescription("Coefficient of bias-dependent overlap capacitance for the drain side (CGEOMOD = 0, 2, 3)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCKAPPAD", 0.0, &ADMSbsimcmg_111::Model::LCKAPPAD)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CKAPPAD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCKAPPAD", 0.0, &ADMSbsimcmg_111::Model::NCKAPPAD)
    .setUnit(U_VOLT)
    .setDescription("N-term of CKAPPAD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCKAPPAD", 0.0, &ADMSbsimcmg_111::Model::PCKAPPAD)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CKAPPAD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCKAPPAD", 0.0, &ADMSbsimcmg_111::Model::WCKAPPAD)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CKAPPAD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CKAPPAD", 0.0, &ADMSbsimcmg_111::Model::P2CKAPPAD)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CKAPPAD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CKAPPAB", static_cast<double>(0.6), &ADMSbsimcmg_111::Model::CKAPPAB)
    .setUnit(U_VOLT)
    .setDescription("Bias-dependent gate-to-substrate parasitic capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LCKAPPAB)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of CKAPPAB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NCKAPPAB)
    .setUnit(U_VOLT)
    .setDescription("N-term of CKAPPAB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PCKAPPAB)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of CKAPPAB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WCKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WCKAPPAB)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of CKAPPAB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2CKAPPAB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2CKAPPAB)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of CKAPPAB")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CSDESW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CSDESW)
    .setUnit(U_UNKNOWN)
    .setDescription("Coefficient for source/drain-to-substrate sidewall capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CJS", static_cast<double>(5.0e-4), &ADMSbsimcmg_111::Model::CJS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit area source-side junction capacitance at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CJD", 0.0, &ADMSbsimcmg_111::Model::CJD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit area drain-side junction capacitance at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CJSWS", static_cast<double>(5.0e-10), &ADMSbsimcmg_111::Model::CJSWS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length source-side sidewall junction capacitance at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CJSWD", 0.0, &ADMSbsimcmg_111::Model::CJSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length drain-side sidewall junction capacitance at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CJSWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::CJSWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length source-side gate sidewall junction capacitance at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CJSWGD", 0.0, &ADMSbsimcmg_111::Model::CJSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length drain-side gate sidewall junction capacitance at zero bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBS", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PBS)
    .setUnit(U_VOLT)
    .setDescription("Source-side bulk junction built-in potential")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBD", 0.0, &ADMSbsimcmg_111::Model::PBD)
    .setUnit(U_VOLT)
    .setDescription("Drain-side bulk junction built-in potential")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBSWS", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::PBSWS)
    .setUnit(U_VOLT)
    .setDescription("Built-in potential for Source-side sidewall junction capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBSWD", 0.0, &ADMSbsimcmg_111::Model::PBSWD)
    .setUnit(U_VOLT)
    .setDescription("Built-in potential for Drain-side sidewall junction capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBSWGS", 0.0, &ADMSbsimcmg_111::Model::PBSWGS)
    .setUnit(U_VOLT)
    .setDescription("Built-in potential for Source-side gate sidewall junction capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBSWGD", 0.0, &ADMSbsimcmg_111::Model::PBSWGD)
    .setUnit(U_VOLT)
    .setDescription("Built-in potential for Drain-side gate sidewall junction capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJS", static_cast<double>(0.5), &ADMSbsimcmg_111::Model::MJS)
    .setUnit(U_UNKNOWN)
    .setDescription("Source bottom junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJD", 0.0, &ADMSbsimcmg_111::Model::MJD)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain bottom junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWS", static_cast<double>(0.33), &ADMSbsimcmg_111::Model::MJSWS)
    .setUnit(U_UNKNOWN)
    .setDescription("Source sidewall junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWD", 0.0, &ADMSbsimcmg_111::Model::MJSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain sidewall junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWGS", 0.0, &ADMSbsimcmg_111::Model::MJSWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side gate sidewall junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWGD", 0.0, &ADMSbsimcmg_111::Model::MJSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side gate sidewall junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SJS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::SJS)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant for source-side two-step second junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SJD", 0.0, &ADMSbsimcmg_111::Model::SJD)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant for drain-side two-step second junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SJSWS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::SJSWS)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant for source-side sidewall two-step second junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SJSWD", 0.0, &ADMSbsimcmg_111::Model::SJSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant for drain-side sidewall two-step second junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SJSWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::SJSWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant for source-side gate sidewall two-step second junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SJSWGD", 0.0, &ADMSbsimcmg_111::Model::SJSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Constant for source-side gate sidewall two-step second junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJS2", static_cast<double>(1.25e-1), &ADMSbsimcmg_111::Model::MJS2)
    .setUnit(U_UNKNOWN)
    .setDescription("Source bottom two-step second junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJD2", 0.0, &ADMSbsimcmg_111::Model::MJD2)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain bottom two-step second junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWS2", static_cast<double>(8.3e-2), &ADMSbsimcmg_111::Model::MJSWS2)
    .setUnit(U_UNKNOWN)
    .setDescription("Source sidewall two-step second junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWD2", 0.0, &ADMSbsimcmg_111::Model::MJSWD2)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain sidewall two-step second junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWGS2", 0.0, &ADMSbsimcmg_111::Model::MJSWGS2)
    .setUnit(U_UNKNOWN)
    .setDescription("Source-side gate sidewall two-step second junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MJSWGD2", 0.0, &ADMSbsimcmg_111::Model::MJSWGD2)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain-side gate sidewall two-step second junction capacitance grading coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JSS", static_cast<double>(1.0e-4), &ADMSbsimcmg_111::Model::JSS)
    .setUnit(U_UNKNOWN)
    .setDescription("Bottom source junction reverse saturation current density")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JSD", 0.0, &ADMSbsimcmg_111::Model::JSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Bottom drain junction reverse saturation current density")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JSWS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::JSWS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length reverse saturation current for sidewall source junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JSWD", 0.0, &ADMSbsimcmg_111::Model::JSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length reverse saturation current for sidewall drain junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JSWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::JSWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length reverse saturation current for gate-edge sidewall source junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JSWGD", 0.0, &ADMSbsimcmg_111::Model::JSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length reverse saturation current for gate-edge sidewall drain junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJS", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::NJS)
    .setUnit(U_UNKNOWN)
    .setDescription("Source junction emission coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJD", 0.0, &ADMSbsimcmg_111::Model::NJD)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain junction emission coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IJTHSFWD", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::IJTHSFWD)
    .setUnit(U_AMP)
    .setDescription("Forward source diode breakdown limiting current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IJTHDFWD", 0.0, &ADMSbsimcmg_111::Model::IJTHDFWD)
    .setUnit(U_AMP)
    .setDescription("Forward drain diode breakdown limiting current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IJTHSREV", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::IJTHSREV)
    .setUnit(U_AMP)
    .setDescription("Reverse source diode breakdown limiting current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IJTHDREV", 0.0, &ADMSbsimcmg_111::Model::IJTHDREV)
    .setUnit(U_AMP)
    .setDescription("Reverse drain diode breakdown limiting current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BVS", static_cast<double>(1.0e1), &ADMSbsimcmg_111::Model::BVS)
    .setUnit(U_VOLT)
    .setDescription("Source diode breakdown voltage")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BVD", 0.0, &ADMSbsimcmg_111::Model::BVD)
    .setUnit(U_VOLT)
    .setDescription("Drain diode breakdown voltage")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XJBVS", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::XJBVS)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for source diode breakdown current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XJBVD", 0.0, &ADMSbsimcmg_111::Model::XJBVD)
    .setUnit(U_UNKNOWN)
    .setDescription("Fitting parameter for drain diode breakdown current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::JTSS)
    .setUnit(U_UNKNOWN)
    .setDescription("Bottom source junction trap-assisted saturation current density")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTSD", 0.0, &ADMSbsimcmg_111::Model::JTSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Bottom drain junction trap-assisted saturation current density")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTSSWS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::JTSSWS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length trap-assisted saturation current for sidewall source junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTSSWD", 0.0, &ADMSbsimcmg_111::Model::JTSSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length trap-assisted saturation current for sidewall drain junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTSSWGS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::JTSSWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length trap-assisted saturation current for gate-edge sidewall source junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTSSWGD", 0.0, &ADMSbsimcmg_111::Model::JTSSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Unit length trap-assisted saturation current for gate-edge sidewall drain junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("JTWEFF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::JTWEFF)
    .setUnit(U_METER)
    .setDescription("Trap-assisted tunneling current width dependence")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJTS", static_cast<double>(2.0e1), &ADMSbsimcmg_111::Model::NJTS)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-ideality factor for JTSS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJTSD", 0.0, &ADMSbsimcmg_111::Model::NJTSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-ideality factor for JTSD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJTSSW", static_cast<double>(2.0e1), &ADMSbsimcmg_111::Model::NJTSSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-ideality factor for JTSSWS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJTSSWD", 0.0, &ADMSbsimcmg_111::Model::NJTSSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-ideality factor for JTSSWD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJTSSWG", static_cast<double>(2.0e1), &ADMSbsimcmg_111::Model::NJTSSWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-ideality factor for JTSSWGS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NJTSSWGD", 0.0, &ADMSbsimcmg_111::Model::NJTSSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-ideality factor for JTSSWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VTSS", static_cast<double>(1.0e1), &ADMSbsimcmg_111::Model::VTSS)
    .setUnit(U_VOLT)
    .setDescription("Bottom source junction trap-assisted current voltage dependent parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VTSD", 0.0, &ADMSbsimcmg_111::Model::VTSD)
    .setUnit(U_VOLT)
    .setDescription("Bottom drain junction trap-assisted current voltage dependent parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VTSSWS", static_cast<double>(1.0e1), &ADMSbsimcmg_111::Model::VTSSWS)
    .setUnit(U_VOLT)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for sidewall source junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VTSSWD", 0.0, &ADMSbsimcmg_111::Model::VTSSWD)
    .setUnit(U_VOLT)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for sidewall drain junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VTSSWGS", static_cast<double>(1.0e1), &ADMSbsimcmg_111::Model::VTSSWGS)
    .setUnit(U_VOLT)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for gate-edge sidewall source junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VTSSWGD", 0.0, &ADMSbsimcmg_111::Model::VTSSWGD)
    .setUnit(U_VOLT)
    .setDescription("Unit length trap-assisted current voltage dependent parameter for gate-edge sidewall drain junction")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LINTIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LINTIGEN)
    .setUnit(U_METER)
    .setDescription("Lint for thermal generation current")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTGEN", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::NTGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("Thermal generation current parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNTGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNTGEN)
    .setUnit(U_METER)
    .setDescription("L-term of NTGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNTGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNTGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of NTGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNTGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNTGEN)
    .setUnit(U_METER)
    .setDescription("P-term of NTGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WNTGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WNTGEN)
    .setUnit(U_METER)
    .setDescription("W-term of NTGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2NTGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2NTGEN)
    .setUnit(U_METER2)
    .setDescription("WL-term of NTGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("AIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::AIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("Thermal generation current parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LAIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LAIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of AIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NAIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NAIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of AIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PAIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PAIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of AIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WAIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WAIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of AIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2AIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2AIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of AIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::BIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("Thermal generation current parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LBIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LBIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of BIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NBIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NBIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of BIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PBIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PBIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of BIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WBIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WBIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of BIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2BIGEN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2BIGEN)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of BIGEN")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XRCRG1", static_cast<double>(12.0), &ADMSbsimcmg_111::Model::XRCRG1)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for non-quasistatic gate resistance NQSMOD = 1, 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LXRCRG1)
    .setUnit(U_METER)
    .setDescription("L-term of XRCRG1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NXRCRG1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of XRCRG1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PXRCRG1)
    .setUnit(U_METER)
    .setDescription("P-term of XRCRG1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WXRCRG1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WXRCRG1)
    .setUnit(U_METER)
    .setDescription("W-term of XRCRG1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2XRCRG1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2XRCRG1)
    .setUnit(U_METER2)
    .setDescription("WL-term of XRCRG1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XRCRG2", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::XRCRG2)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for non-quasistatic gate resistance NQSMOD = 1, 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LXRCRG2)
    .setUnit(U_METER)
    .setDescription("L-term of XRCRG2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NXRCRG2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of XRCRG2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PXRCRG2)
    .setUnit(U_METER)
    .setDescription("P-term of XRCRG2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WXRCRG2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WXRCRG2)
    .setUnit(U_METER)
    .setDescription("W-term of XRCRG2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2XRCRG2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2XRCRG2)
    .setUnit(U_METER2)
    .setDescription("WL-term of XRCRG2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EF", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::EF)
    .setUnit(U_UNKNOWN)
    .setDescription("Flicker noise frequency exponent")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("EM", static_cast<double>(4.1e7), &ADMSbsimcmg_111::Model::EM)
    .setUnit(U_UNKNOWN)
    .setDescription("Flicker noise parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NOIA", static_cast<double>(6.25e39), &ADMSbsimcmg_111::Model::NOIA)
    .setUnit(U_UNKNOWN)
    .setDescription("Flicker noise parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NOIB", static_cast<double>(3.125e24), &ADMSbsimcmg_111::Model::NOIB)
    .setUnit(U_UNKNOWN)
    .setDescription("Flicker noise parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NOIC", static_cast<double>(8.75e7), &ADMSbsimcmg_111::Model::NOIC)
    .setUnit(U_UNKNOWN)
    .setDescription("Flicker noise parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LINTNOI", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LINTNOI)
    .setUnit(U_METER)
    .setDescription("L offset for flicker noise calculation")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SMOOTH", static_cast<double>(2), &ADMSbsimcmg_111::Model::SMOOTH)
    .setUnit(U_UNKNOWN)
    .setDescription("Smoothing Parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NOIA2", 0.0, &ADMSbsimcmg_111::Model::NOIA2)
    .setUnit(U_UNKNOWN)
    .setDescription("Flicker noise parameter for sub-threshold region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LNOIA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LNOIA2)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term for NOIA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NNOIA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NNOIA2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term for NOIA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PNOIA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PNOIA2)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term for NOIA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WNOIA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WNOIA2)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term for NOIA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2NOIA2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2NOIA2)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term for NOIA2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MPOWER", static_cast<double>(1.2), &ADMSbsimcmg_111::Model::MPOWER)
    .setUnit(U_UNKNOWN)
    .setDescription("Sub-threshold to strong inversion transition slope Parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMPOWER", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LMPOWER)
    .setUnit(U_METER)
    .setDescription("L-term for MPOWER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NMPOWER", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NMPOWER)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term for MPOWER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PMPOWER", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PMPOWER)
    .setUnit(U_METER)
    .setDescription("P-term for MPOWER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMPOWER", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WMPOWER)
    .setUnit(U_METER)
    .setDescription("W-term for MPOWER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2MPOWER", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2MPOWER)
    .setUnit(U_METER2)
    .setDescription("WL-term for MPOWER")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QSREF", static_cast<double>(50*1.0e-3), &ADMSbsimcmg_111::Model::QSREF)
    .setUnit(U_UNKNOWN)
    .setDescription("Charge at threshold condition")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LQSREF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LQSREF)
    .setUnit(U_METER)
    .setDescription("L-term for QSREF")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NQSREF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NQSREF)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term for QSREF")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PQSREF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PQSREF)
    .setUnit(U_METER)
    .setDescription("P-term for QSREF")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WQSREF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WQSREF)
    .setUnit(U_METER)
    .setDescription("W-term for QSREF")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2QSREF", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2QSREF)
    .setUnit(U_METER2)
    .setDescription("WL-term for QSREF")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTNOI", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::NTNOI)
    .setUnit(U_UNKNOWN)
    .setDescription("Thermal noise parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RNOIA", static_cast<double>(0.5774), &ADMSbsimcmg_111::Model::RNOIA)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Sid level")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNOIA", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNOIA)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Leff trend of Sid")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RNOIB", static_cast<double>(0.3652), &ADMSbsimcmg_111::Model::RNOIB)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Sig level")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNOIB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNOIB)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Leff trend of Sig")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RNOIC", static_cast<double>(0.3953), &ADMSbsimcmg_111::Model::RNOIC)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for correlation coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNOIC", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNOIC)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Leff trend of correlation coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RNOIK", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RNOIK)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Sid level at low Ids")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNOIK", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNOIK)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for Leff trend of Sid at low Ids")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNOIK2", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::TNOIK2)
    .setUnit(U_UNKNOWN)
    .setDescription("Empirical parameter for sensitivity of RNOIK")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNOM", static_cast<double>(27.0), &ADMSbsimcmg_111::Model::TNOM)
    .setUnit(U_DEGC)
    .setDescription("Temperature at which the model is extracted")
   .setAutoConvertTemperature(false)
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TBGASUB", static_cast<double>(7.02e-4), &ADMSbsimcmg_111::Model::TBGASUB)
    .setUnit(U_UNKNOWN)
    .setDescription("Bandgap temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TBGBSUB", static_cast<double>(1.108e3), &ADMSbsimcmg_111::Model::TBGBSUB)
    .setUnit(U_DEGK)
    .setDescription("Bandgap temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KT1L", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::KT1L)
    .setUnit(U_UNKNOWN)
    .setDescription("Vth temperature L coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TCJ", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TCJ)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for CJS/CJD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TCJSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TCJSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for CJSWS/CJSWD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TCJSWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TCJSWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for CJSWGS/CJSWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TPB", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TPB)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for PBS/PBD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TPBSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TPBSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for PBSWS/PBSWD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TPBSWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TPBSWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for PBSWGS/PBSWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTIS", static_cast<double>(3.0), &ADMSbsimcmg_111::Model::XTIS)
    .setUnit(U_UNKNOWN)
    .setDescription("Source junction current temperature exponent")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTID", 0.0, &ADMSbsimcmg_111::Model::XTID)
    .setUnit(U_UNKNOWN)
    .setDescription("Drain junction current temperature exponent")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTSS", static_cast<double>(2.0e-2), &ADMSbsimcmg_111::Model::XTSS)
    .setUnit(U_UNKNOWN)
    .setDescription("Power dependence of JTSS on temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTSD", 0.0, &ADMSbsimcmg_111::Model::XTSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Power dependence of JTSD on temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTSSWS", static_cast<double>(2.0e-2), &ADMSbsimcmg_111::Model::XTSSWS)
    .setUnit(U_UNKNOWN)
    .setDescription("Power dependence of JTSSWS on temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTSSWD", 0.0, &ADMSbsimcmg_111::Model::XTSSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Power dependence of JTSSWD on temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTSSWGS", static_cast<double>(2.0e-2), &ADMSbsimcmg_111::Model::XTSSWGS)
    .setUnit(U_UNKNOWN)
    .setDescription("Power dependence of JTSSWGS on temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("XTSSWGD", 0.0, &ADMSbsimcmg_111::Model::XTSSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Power dependence of JTSSWGD on temperature")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNJTS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNJTS)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for NJTS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNJTSD", 0.0, &ADMSbsimcmg_111::Model::TNJTSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for NJTSD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNJTSSW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNJTSSW)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for NJTSSW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNJTSSWD", 0.0, &ADMSbsimcmg_111::Model::TNJTSSWD)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for NJTSSWD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNJTSSWG", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TNJTSSWG)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for NJTSSWG")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TNJTSSWGD", 0.0, &ADMSbsimcmg_111::Model::TNJTSSWGD)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for NJTSSWGD")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::KT1)
    .setUnit(U_VOLT)
    .setDescription("Vth temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LKT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LKT1)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of KT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NKT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NKT1)
    .setUnit(U_VOLT)
    .setDescription("N-term of KT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PKT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PKT1)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of KT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WKT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WKT1)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of KT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2KT1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2KT1)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of KT1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KT11", static_cast<double>(0.01), &ADMSbsimcmg_111::Model::KT11)
    .setUnit(U_VOLT)
    .setDescription("CRYOMOD != 0 Vth temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KT12", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::KT12)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 Vth temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TVTH", static_cast<double>(40.0), &ADMSbsimcmg_111::Model::TVTH)
    .setUnit(U_DEGK)
    .setDescription("CRYOMOD != 0 transition temperature for Vth temperature model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TSS)
    .setUnit(U_UNKNOWN)
    .setDescription("Swing temperature coefficient")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LTSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LTSS)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of TSS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NTSS)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of TSS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTSS)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of TSS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WTSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WTSS)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of TSS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2TSS", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2TSS)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of TSS")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IIT", static_cast<double>((-0.5)), &ADMSbsimcmg_111::Model::IIT)
    .setUnit(U_UNKNOWN)
    .setDescription("Impact ionization temperature dependence for IIMOD = 1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LIIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LIIT)
    .setUnit(U_METER)
    .setDescription("L-term of IIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NIIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NIIT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of IIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PIIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PIIT)
    .setUnit(U_METER)
    .setDescription("P-term of IIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WIIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WIIT)
    .setUnit(U_METER)
    .setDescription("W-term of IIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2IIT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2IIT)
    .setUnit(U_METER2)
    .setDescription("WL-term of IIT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TII)
    .setUnit(U_UNKNOWN)
    .setDescription("Impact ionization temperature dependence for IIMOD = 2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LTII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LTII)
    .setUnit(U_METER)
    .setDescription("L-term of TII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NTII)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of TII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTII)
    .setUnit(U_METER)
    .setDescription("P-term of TII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WTII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WTII)
    .setUnit(U_METER)
    .setDescription("W-term of TII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2TII", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2TII)
    .setUnit(U_METER2)
    .setDescription("WL-term of TII")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TGIDL", static_cast<double>((-3.0e-3)), &ADMSbsimcmg_111::Model::TGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("GIDL/GISL temperature dependence")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LTGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LTGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of TGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NTGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NTGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of TGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of TGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WTGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WTGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of TGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2TGIDL", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2TGIDL)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of TGIDL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("IGT", static_cast<double>(2.5), &ADMSbsimcmg_111::Model::IGT)
    .setUnit(U_UNKNOWN)
    .setDescription("Gate current temperature dependence")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LIGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LIGT)
    .setUnit(U_METER)
    .setDescription("L-term of IGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NIGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NIGT)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of IGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PIGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PIGT)
    .setUnit(U_METER)
    .setDescription("P-term of IGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WIGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WIGT)
    .setUnit(U_METER)
    .setDescription("W-term of IGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2IGT", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2IGT)
    .setUnit(U_METER2)
    .setDescription("WL-term of IGT")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TLOW", static_cast<double>(50.0), &ADMSbsimcmg_111::Model::TLOW)
    .setUnit(U_DEGK)
    .setDescription("CRYOMOD != 0 transition temperature of subthreshold swing at low temperatures")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TLOW1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TLOW1)
    .setUnit(U_DEGK)
    .setDescription("CRYOMOD != 0 transition temperature of subthreshold swing at low temperatures")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DTLOW", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::DTLOW)
    .setUnit(U_DEGK)
    .setDescription("CRYOMOD != 0 smoothing parameter for TLOW")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DTLOW1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::DTLOW1)
    .setUnit(U_DEGK)
    .setDescription("CRYOMOD != 0 smoothing parameter for TLOW1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("KLOW1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::KLOW1)
    .setUnit(U_UNKNOWN)
    .setDescription("CRYOMOD != 0 slope magnitude of effective temperature below TLOW1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RTH0", static_cast<double>(1.0e-2), &ADMSbsimcmg_111::Model::RTH0)
    .setUnit(U_UNKNOWN)
    .setDescription("Thermal resistance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CTH0", static_cast<double>(1.0e-5), &ADMSbsimcmg_111::Model::CTH0)
    .setUnit(U_UNKNOWN)
    .setDescription("Thermal capacitance")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WTH0", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WTH0)
    .setUnit(U_METER)
    .setDescription("Width dependence coefficient for Rth and Cth")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ASHEXP", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::ASHEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponent to tune RTH dependence of NFINTOTAL")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("BSHEXP", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::BSHEXP)
    .setUnit(U_UNKNOWN)
    .setDescription("Exponent to tune RTH dependence of NF")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ACH_UFCM", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::ACH_UFCM)
    .setUnit(U_METER2)
    .setDescription("Area of the channel for the unified model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("CINS_UFCM", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::CINS_UFCM)
    .setUnit(U_UNKNOWN)
    .setDescription("Insulator capacitance for the unified model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("W_UFCM", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::W_UFCM)
    .setUnit(U_METER)
    .setDescription("Effective channel width for the unified model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TFIN_TOP", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TFIN_TOP)
    .setUnit(U_METER)
    .setDescription("If non-zero, top fin thickness for trapezoidal triple gate")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TFIN_BASE", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::TFIN_BASE)
    .setUnit(U_METER)
    .setDescription("If non-zero, base fin thickness for trapezoidal triple gate")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("QMFACTORCV", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::QMFACTORCV)
    .setUnit(U_UNKNOWN)
    .setDescription("Charge dependence taking QM effects into account")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ALPHA_UFCM", static_cast<double>(0.5556), &ADMSbsimcmg_111::Model::ALPHA_UFCM)
    .setUnit(U_UNKNOWN)
    .setDescription("Mobile charge scaling term taking QM effects into account")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LMIN)
    .setUnit(U_METER)
    .setDescription("Minimum length for which this model should be used")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMIN", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WMIN)
    .setUnit(U_METER)
    .setDescription("Minimum width for which this model should be used")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMAX", static_cast<double>(100.0), &ADMSbsimcmg_111::Model::LMAX)
    .setUnit(U_METER)
    .setDescription("Maximum length for which this model should be used")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMAX", static_cast<double>(100.0), &ADMSbsimcmg_111::Model::WMAX)
    .setUnit(U_METER)
    .setDescription("Maximum width for which this model should be used")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DIM1H", static_cast<double>(3), &ADMSbsimcmg_111::Model::DIM1H)
    .setUnit(U_UNKNOWN)
    .setDescription("Max dimension for 1st subband (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DIMENSION1", static_cast<double>(2), &ADMSbsimcmg_111::Model::DIMENSION1)
    .setUnit(U_UNKNOWN)
    .setDescription("Dimension for 1st subband (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDIMENSION1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDIMENSION1)
    .setUnit(U_METER)
    .setDescription("L-term of DIMENSION1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDIMENSION1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDIMENSION1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DIMENSION1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIMENSION1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDIMENSION1)
    .setUnit(U_METER)
    .setDescription("P-term of DIMENSION1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDIMENSION1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDIMENSION1)
    .setUnit(U_METER)
    .setDescription("W-term of DIMENSION1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DIMENSION1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DIMENSION1)
    .setUnit(U_METER2)
    .setDescription("WL-term of DIMENSION1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DIM2H", static_cast<double>(3), &ADMSbsimcmg_111::Model::DIM2H)
    .setUnit(U_UNKNOWN)
    .setDescription("Max dimension for 2nd subband (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DIMENSION2", static_cast<double>(2.6), &ADMSbsimcmg_111::Model::DIMENSION2)
    .setUnit(U_UNKNOWN)
    .setDescription("Dimension for 2nd subband (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDIMENSION2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDIMENSION2)
    .setUnit(U_METER)
    .setDescription("L-term of DIMENSION2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDIMENSION2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDIMENSION2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DIMENSION2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIMENSION2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDIMENSION2)
    .setUnit(U_METER)
    .setDescription("P-term of DIMENSION2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDIMENSION2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDIMENSION2)
    .setUnit(U_METER)
    .setDescription("W-term of DIMENSION2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DIMENSION2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DIMENSION2)
    .setUnit(U_METER2)
    .setDescription("WL-term of DIMENSION2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DIM3H", static_cast<double>(3), &ADMSbsimcmg_111::Model::DIM3H)
    .setUnit(U_UNKNOWN)
    .setDescription("Max dimension for 3rd subband (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DIMENSION3", static_cast<double>(2.6), &ADMSbsimcmg_111::Model::DIMENSION3)
    .setUnit(U_UNKNOWN)
    .setDescription("Dimension for 3rd subband (real number enables optimization)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LDIMENSION3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LDIMENSION3)
    .setUnit(U_METER)
    .setDescription("L-term of DIMENSION3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NDIMENSION3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NDIMENSION3)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of DIMENSION3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PDIMENSION3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PDIMENSION3)
    .setUnit(U_METER)
    .setDescription("P-term of DIMENSION3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDIMENSION3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WDIMENSION3)
    .setUnit(U_METER)
    .setDescription("W-term of DIMENSION3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2DIMENSION3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2DIMENSION3)
    .setUnit(U_METER2)
    .setDescription("WL-term of DIMENSION3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDIM0", static_cast<double>(9.5e-9), &ADMSbsimcmg_111::Model::WDIM0)
    .setUnit(U_METER)
    .setDescription("WGAA at which dimension change happens")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WDIMR", static_cast<double>(0.1), &ADMSbsimcmg_111::Model::WDIMR)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of dimension change with WGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SSP1", static_cast<double>(14), &ADMSbsimcmg_111::Model::SSP1)
    .setUnit(U_UNKNOWN)
    .setDescription("Subband smoothing parameter for 1st subband (WGAA<WSSP0)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSSP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSSP1)
    .setUnit(U_METER)
    .setDescription("L-term of SSP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSSP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSSP1)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of SSP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSSP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSSP1)
    .setUnit(U_METER)
    .setDescription("P-term of SSP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSSP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSSP1)
    .setUnit(U_METER)
    .setDescription("W-term of SSP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SSP1", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SSP1)
    .setUnit(U_METER2)
    .setDescription("WL-term of SSP1")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SSP2", static_cast<double>(24), &ADMSbsimcmg_111::Model::SSP2)
    .setUnit(U_UNKNOWN)
    .setDescription("Subband smoothing parameter for 2nd subband (WGAA<WSSP0)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSSP2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSSP2)
    .setUnit(U_METER)
    .setDescription("L-term of SSP2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSSP2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSSP2)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of SSP2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSSP2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSSP2)
    .setUnit(U_METER)
    .setDescription("P-term of SSP2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSSP2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSSP2)
    .setUnit(U_METER)
    .setDescription("W-term of SSP2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SSP2", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SSP2)
    .setUnit(U_METER2)
    .setDescription("WL-term of SSP2")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("SSP3", static_cast<double>(24), &ADMSbsimcmg_111::Model::SSP3)
    .setUnit(U_UNKNOWN)
    .setDescription("Subband smoothing parameter for 3rd subband (WGAA<WSSP0)")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LSSP3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LSSP3)
    .setUnit(U_METER)
    .setDescription("L-term of SSP3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NSSP3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NSSP3)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of SSP3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSSP3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PSSP3)
    .setUnit(U_METER)
    .setDescription("P-term of SSP3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSSP3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WSSP3)
    .setUnit(U_METER)
    .setDescription("W-term of SSP3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2SSP3", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2SSP3)
    .setUnit(U_METER2)
    .setDescription("WL-term of SSP3")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DSSP1", static_cast<double>(2), &ADMSbsimcmg_111::Model::DSSP1)
    .setUnit(U_UNKNOWN)
    .setDescription("Change in SSP1 with WGAA scaling for large WGAA>WSSP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DSSP2", static_cast<double>(0), &ADMSbsimcmg_111::Model::DSSP2)
    .setUnit(U_METER)
    .setDescription("Change in SSP2 with WGAA scaling for large WGAA>WSSP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("DSSP3", static_cast<double>(0), &ADMSbsimcmg_111::Model::DSSP3)
    .setUnit(U_UNKNOWN)
    .setDescription("Change in SPP3 with WGAA scaling for large WGAA>WSSP0")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSSP0", 0.0, &ADMSbsimcmg_111::Model::WSSP0)
    .setUnit(U_METER)
    .setDescription("WGAA around which SSP change happens")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSSPR", 0.0, &ADMSbsimcmg_111::Model::WSSPR)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of SSP change with WGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WGAANOM", static_cast<double>(8e-9), &ADMSbsimcmg_111::Model::WGAANOM)
    .setUnit(U_METER2)
    .setDescription("Nominal WGAA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("E2NOM", static_cast<double>(0.139), &ADMSbsimcmg_111::Model::E2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("2nd subband energy for nominal WGAA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LE2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LE2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of E2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NE2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NE2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of E2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PE2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PE2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of E2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WE2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WE2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of E2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2E2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2E2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of E2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("E3NOM", static_cast<double>(2), &ADMSbsimcmg_111::Model::E3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("3rd subband energy for nominal WGAA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LE3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LE3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("L-term of E3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NE3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NE3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of E3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PE3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PE3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("P-term of E3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WE3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WE3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("W-term of E3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2E3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2E3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("WL-term of E3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFE2", static_cast<double>(1), &ADMSbsimcmg_111::Model::MFE2)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of change in 2nd subband energy with WGAA and TGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFE3", static_cast<double>(1), &ADMSbsimcmg_111::Model::MFE3)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of change in 3rd subband energy with WGAA and TGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSFE2", static_cast<double>(1), &ADMSbsimcmg_111::Model::WSFE2)
    .setUnit(U_UNKNOWN)
    .setDescription("WGAA scaling factor for 2nd subband energy")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSFE3", static_cast<double>(1), &ADMSbsimcmg_111::Model::WSFE3)
    .setUnit(U_UNKNOWN)
    .setDescription("WGAA scaling factor for 3rd subband energy")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFQ1NOM", static_cast<double>(11.2), &ADMSbsimcmg_111::Model::MFQ1NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("Sacling factor for 1st subband charge for nominal WGAA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMFQ1NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LMFQ1NOM)
    .setUnit(U_METER)
    .setDescription("L-term of MFQ1NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NMFQ1NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NMFQ1NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of MFQ1NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PMFQ1NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PMFQ1NOM)
    .setUnit(U_METER)
    .setDescription("P-term of MFQ1NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMFQ1NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WMFQ1NOM)
    .setUnit(U_METER)
    .setDescription("W-term of MFQ1NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2MFQ1NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2MFQ1NOM)
    .setUnit(U_METER2)
    .setDescription("WL-term of MFQ1NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFQ2NOM", static_cast<double>(8.02), &ADMSbsimcmg_111::Model::MFQ2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("Scaling factor for 2nd subband charge for nominal WGAA")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMFQ2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LMFQ2NOM)
    .setUnit(U_METER)
    .setDescription("L-term of MFQ2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NMFQ2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NMFQ2NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of MFQ2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PMFQ2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PMFQ2NOM)
    .setUnit(U_METER)
    .setDescription("P-term of MFQ2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMFQ2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WMFQ2NOM)
    .setUnit(U_METER)
    .setDescription("W-term of MFQ2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2MFQ2NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2MFQ2NOM)
    .setUnit(U_METER2)
    .setDescription("WL-term of MFQ2NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFQ3NOM", static_cast<double>(6.18), &ADMSbsimcmg_111::Model::MFQ3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("Scaling factor for 3rd subband charge for niminal WHSEET")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("LMFQ3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::LMFQ3NOM)
    .setUnit(U_METER)
    .setDescription("L-term of MFQ3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NMFQ3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::NMFQ3NOM)
    .setUnit(U_UNKNOWN)
    .setDescription("N-term of MFQ3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PMFQ3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PMFQ3NOM)
    .setUnit(U_METER)
    .setDescription("P-term of MFQ3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WMFQ3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::WMFQ3NOM)
    .setUnit(U_METER)
    .setDescription("W-term of MFQ3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("P2MFQ3NOM", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::P2MFQ3NOM)
    .setUnit(U_METER2)
    .setDescription("WL-term of MFQ3NOM")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFQ1", static_cast<double>(1), &ADMSbsimcmg_111::Model::MFQ1)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of change in 1st subband charge with WGAA and TGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFQ2", static_cast<double>(1), &ADMSbsimcmg_111::Model::MFQ2)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of change in 2nd subband charge with WGAA and TGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MFQ3", static_cast<double>(1), &ADMSbsimcmg_111::Model::MFQ3)
    .setUnit(U_UNKNOWN)
    .setDescription("Rate of change in 3rd subband charge with WGAA and TGAA scaling")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSFQ1", static_cast<double>(1), &ADMSbsimcmg_111::Model::WSFQ1)
    .setUnit(U_UNKNOWN)
    .setDescription("WGAA scaling factor for 1st subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSFQ2", static_cast<double>(1), &ADMSbsimcmg_111::Model::WSFQ2)
    .setUnit(U_UNKNOWN)
    .setDescription("WGAA scaling factor for 2nd subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("WSFQ3", static_cast<double>(1), &ADMSbsimcmg_111::Model::WSFQ3)
    .setUnit(U_UNKNOWN)
    .setDescription("WGAA scaling factor for 3rd subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSRE2", static_cast<double>(1.8), &ADMSbsimcmg_111::Model::TSRE2)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA scaling for 2nd subband energy")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TDWSE2", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::TDWSE2)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA dependence of WGAA scaling for 2nd subband energy")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSRE3", static_cast<double>(0.67), &ADMSbsimcmg_111::Model::TSRE3)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA scaling for 3rd subband energy ")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TDWSE3", static_cast<double>(0.23), &ADMSbsimcmg_111::Model::TDWSE3)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA dependence of WGAA scaling for 3rd subband energy")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSRQ1", static_cast<double>(1.1), &ADMSbsimcmg_111::Model::TSRQ1)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA scaling for 1st subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TDWSQ1", static_cast<double>(2.4), &ADMSbsimcmg_111::Model::TDWSQ1)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA dependence of WGAA scaling for 1st subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSRQ2", static_cast<double>(2.0), &ADMSbsimcmg_111::Model::TSRQ2)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA scaling for 2nd subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TDWSQ2", static_cast<double>(2.0), &ADMSbsimcmg_111::Model::TDWSQ2)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA dependence of WGAA scaling for 2nd subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TSRQ3", static_cast<double>(6.0), &ADMSbsimcmg_111::Model::TSRQ3)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA scaling for 3rd subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("TDWSQ3", static_cast<double>(2.4), &ADMSbsimcmg_111::Model::TDWSQ3)
    .setUnit(U_UNKNOWN)
    .setDescription("TGAA dependence of WGAA scaling for 3rd subband charge")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSRD", static_cast<double>(5.0e16), &ADMSbsimcmg_111::Model::NVSRD)
    .setUnit(U_UNKNOWN)
    .setDescription("Charge density in the drain region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSATRSD", static_cast<double>(1.0e5), &ADMSbsimcmg_111::Model::VSATRSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Saturation velocity in S/D region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTWGVSRSD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTWGVSRSD)
    .setUnit(U_UNKNOWN)
    .setDescription("VSATRSD variation with gate bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PTWG1VSRSD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PTWG1VSRSD)
    .setUnit(U_VOLT)
    .setDescription("VSATRSD variation with gate bias")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PSATXVSRSD", static_cast<double>(60.0), &ADMSbsimcmg_111::Model::PSATXVSRSD)
    .setUnit(U_VOLT)
    .setDescription("Fine tuning of PTWGVSRSD effect")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("MVSRSD", static_cast<double>(1.0), &ADMSbsimcmg_111::Model::MVSRSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Non-linear resistance parameter")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("NVSRS", 0.0, &ADMSbsimcmg_111::Model::NVSRS)
    .setUnit(U_UNKNOWN)
    .setDescription("Charge density in the source region")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDLCW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RDLCW)
    .setUnit(U_UNKNOWN)
    .setDescription("'R'esistance of the 'D'rain region at 'L'ow 'C'urrent")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RSLCW", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::RSLCW)
    .setUnit(U_UNKNOWN)
    .setDescription("'R'esistance of the 'S'ource region at 'L'ow 'C'urrent")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("PRTVSRSD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::PRTVSRSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient of resistance in S/D velocity saturation model")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("ATVSRSD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::ATVSRSD)
    .setUnit(U_UNKNOWN)
    .setDescription("Temperature coefficient for S/D region saturation velocity")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSRDFACTOR", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::VSRDFACTOR)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for delta_vsrd tuning")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("VSRSFACTOR", static_cast<double>(1.0e-3), &ADMSbsimcmg_111::Model::VSRSFACTOR)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for delta_vsrs tuning")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("RDVDS", static_cast<double>(8.0), &ADMSbsimcmg_111::Model::RDVDS)
    .setUnit(U_VOLT)
    .setDescription("Parameter for Isat_rd variation with drain voltage")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;
  p.addPar("GAVSRD", static_cast<double>(0.0), &ADMSbsimcmg_111::Model::GAVSRD)
    .setUnit(U_UNKNOWN)
    .setDescription("Parameter for Isat_rd variation with drain voltage")
#ifdef Xyce_ADMS_SENSITIVITIES
    .setAnalyticSensitivityAvailable(true)
    .setSensitivityFunctor(&modSens)
#endif // Xyce_ADMS_SENSITIVITIES
;

}

//-----------------------------------------------------------------------------
// Function      : Instance::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::processParams()
{
  // set any non-constant parameter defaults

  // copy any model variables that have associated instance variables, but
  // are only given in the model card:
   if (!(given("L")))
   {
      L = model_.L;
   }
   if (!(given("D")))
   {
      D = model_.D;
   }
   if (!(given("TFIN")))
   {
      TFIN = model_.TFIN;
   }
   if (!(given("FPITCH")))
   {
      FPITCH = model_.FPITCH;
   }
   if (!(given("NFIN")))
   {
      NFIN = model_.NFIN;
   }
   if (!(given("NGCON")))
   {
      NGCON = model_.NGCON;
   }
   if (!(given("ASEO")))
   {
      ASEO = model_.ASEO;
   }
   if (!(given("ADEO")))
   {
      ADEO = model_.ADEO;
   }
   if (!(given("PSEO")))
   {
      PSEO = model_.PSEO;
   }
   if (!(given("PDEO")))
   {
      PDEO = model_.PDEO;
   }
   if (!(given("ASEJ")))
   {
      ASEJ = model_.ASEJ;
   }
   if (!(given("ADEJ")))
   {
      ADEJ = model_.ADEJ;
   }
   if (!(given("PSEJ")))
   {
      PSEJ = model_.PSEJ;
   }
   if (!(given("PDEJ")))
   {
      PDEJ = model_.PDEJ;
   }
   if (!(given("CGSP")))
   {
      CGSP = model_.CGSP;
   }
   if (!(given("CGDP")))
   {
      CGDP = model_.CGDP;
   }
   if (!(given("CDSP")))
   {
      CDSP = model_.CDSP;
   }
   if (!(given("NRS")))
   {
      NRS = model_.NRS;
   }
   if (!(given("NRD")))
   {
      NRD = model_.NRD;
   }
   if (!(given("LRSD")))
   {
      LRSD = model_.LRSD;
   }
   if (!(given("NFINNOM")))
   {
      NFINNOM = model_.NFINNOM;
   }
   if (!(given("DTEMP")))
   {
      DTEMP = model_.DTEMP;
   }
   if (!(given("DELVTRAND")))
   {
      DELVTRAND = model_.DELVTRAND;
   }
   if (!(given("U0MULT")))
   {
      U0MULT = model_.U0MULT;
   }
   if (!(given("IDS0MULT")))
   {
      IDS0MULT = model_.IDS0MULT;
   }
   if (!(given("IGC0MULT")))
   {
      IGC0MULT = model_.IGC0MULT;
   }
   if (!(given("IGB0MULT")))
   {
      IGB0MULT = model_.IGB0MULT;
   }
   if (!(given("COVS")))
   {
      COVS = model_.COVS;
   }
   if (!(given("COVD")))
   {
      COVD = model_.COVD;
   }
   if (!(given("TGAA")))
   {
      TGAA = model_.TGAA;
   }
   if (!(given("TSUS")))
   {
      TSUS = model_.TSUS;
   }
   if (!(given("HPFF")))
   {
      HPFF = model_.HPFF;
   }
   if (!(given("WGAA")))
   {
      WGAA = model_.WGAA;
   }
   if (!(given("DWS1")))
   {
      DWS1 = model_.DWS1;
   }
   if (!(given("DACH1")))
   {
      DACH1 = model_.DACH1;
   }
   if (!(given("DWS2")))
   {
      DWS2 = model_.DWS2;
   }
   if (!(given("DACH2")))
   {
      DACH2 = model_.DACH2;
   }
   if (!(given("DWS3")))
   {
      DWS3 = model_.DWS3;
   }
   if (!(given("DACH3")))
   {
      DACH3 = model_.DACH3;
   }
   if (!(given("DWS4")))
   {
      DWS4 = model_.DWS4;
   }
   if (!(given("DACH4")))
   {
      DACH4 = model_.DACH4;
   }
   if (!(given("DWS5")))
   {
      DWS5 = model_.DWS5;
   }
   if (!(given("DACH5")))
   {
      DACH5 = model_.DACH5;
   }
   if (!(given("DWS6")))
   {
      DWS6 = model_.DWS6;
   }
   if (!(given("DACH6")))
   {
      DACH6 = model_.DACH6;
   }
   if (!(given("NGAA")))
   {
      NGAA = model_.NGAA;
   }
   if (!(given("SUBBANDMOD")))
   {
      SUBBANDMOD = model_.SUBBANDMOD;
   }
   if (!(given("MOBSCMOD")))
   {
      MOBSCMOD = model_.MOBSCMOD;
   }



  // Set any parameters that were not given and whose defaults depend on other
  // parameters:
  if (!given("LRSD"))
  {
  LRSD = L;
  }
  if (!given("COVD"))
  {
  COVD = COVS;
  }
  if (!given("DWS2"))
  {
  DWS2 = DWS1;
  }
  if (!given("DACH2"))
  {
  DACH2 = DACH1;
  }
  if (!given("DWS3"))
  {
  DWS3 = DWS1;
  }
  if (!given("DACH3"))
  {
  DACH3 = DACH1;
  }
  if (!given("DWS4"))
  {
  DWS4 = DWS1;
  }
  if (!given("DACH4"))
  {
  DACH4 = DACH1;
  }
  if (!given("DWS5"))
  {
  DWS5 = DWS1;
  }
  if (!given("DACH5"))
  {
  DACH5 = DACH1;
  }
  if (!given("DWS6"))
  {
  DWS6 = DWS1;
  }
  if (!given("DACH6"))
  {
  DACH6 = DACH1;
  }


// Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

//    Parameter L : [ 1.0e-9,  (+inf) [
  if ( (!((L >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter L value " << L << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter D : [ 1.0e-9,  (+inf) [
  if ( (!((D >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter D value " << D << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter TFIN : [ 1.0e-9,  (+inf) [
  if ( (!((TFIN >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TFIN value " << TFIN << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter FPITCH : [ TFIN,  (+inf) [
  if ( (!((FPITCH >=TFIN))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter FPITCH value " << FPITCH << " out of range [ TFIN,  (+inf) [";
  }

//    Parameter NFIN : ] 0.0,  (+inf) [
  if ( (!((NFIN >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NFIN value " << NFIN << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NGCON : [ 1, 2 ]
  if ( (!((NGCON >=1 && NGCON <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NGCON value " << NGCON << " out of range [ 1, 2 ]";
  }

//    Parameter ASEO : [ 0.0,  (+inf) [
  if ( (!((ASEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASEO value " << ASEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ADEO : [ 0.0,  (+inf) [
  if ( (!((ADEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ADEO value " << ADEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PSEO : [ 0.0,  (+inf) [
  if ( (!((PSEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PSEO value " << PSEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PDEO : [ 0.0,  (+inf) [
  if ( (!((PDEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PDEO value " << PDEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ASEJ : [ 0.0,  (+inf) [
  if ( (!((ASEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASEJ value " << ASEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ADEJ : [ 0.0,  (+inf) [
  if ( (!((ADEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ADEJ value " << ADEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PSEJ : [ 0.0,  (+inf) [
  if ( (!((PSEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PSEJ value " << PSEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PDEJ : [ 0.0,  (+inf) [
  if ( (!((PDEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PDEJ value " << PDEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGSP : [ 0.0,  (+inf) [
  if ( (!((CGSP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGSP value " << CGSP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGDP : [ 0.0,  (+inf) [
  if ( (!((CGDP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGDP value " << CGDP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CDSP : [ 0.0,  (+inf) [
  if ( (!((CDSP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CDSP value " << CDSP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NRS : [ 0.0,  (+inf) [
  if ( (!((NRS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NRS value " << NRS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NRD : [ 0.0,  (+inf) [
  if ( (!((NRD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NRD value " << NRD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter LRSD : ] 0.0,  (+inf) [
  if ( (!((LRSD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter LRSD value " << LRSD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NFINNOM : [ 0.0,  (+inf) [
  if ( (!((NFINNOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NFINNOM value " << NFINNOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter U0MULT : ] 0.0,  (+inf) [
  if ( (!((U0MULT >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0MULT value " << U0MULT << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IDS0MULT : [ 0.0,  (+inf) [
  if ( (!((IDS0MULT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IDS0MULT value " << IDS0MULT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter IGC0MULT : [ 0.0,  (+inf) [
  if ( (!((IGC0MULT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGC0MULT value " << IGC0MULT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter IGB0MULT : [ 0.0,  (+inf) [
  if ( (!((IGB0MULT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGB0MULT value " << IGB0MULT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter COVS : [ 0.0,  (+inf) [
  if ( (!((COVS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter COVS value " << COVS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter COVD : [ 0.0,  (+inf) [
  if ( (!((COVD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter COVD value " << COVD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TGAA : ] 0.0,  (+inf) [
  if ( (!((TGAA >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TGAA value " << TGAA << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter TSUS : ] 0.0,  (+inf) [
  if ( (!((TSUS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TSUS value " << TSUS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter HPFF : ] 0.0,  (+inf) [
  if ( (!((HPFF >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter HPFF value " << HPFF << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter WGAA : ] 0.0,  (+inf) [
  if ( (!((WGAA >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WGAA value " << WGAA << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter DWS1 :  ] (-inf) 0.0 ]
  if ( (!((DWS1 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS1 value " << DWS1 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH1 :  ] (-inf) 0.0 ]
  if ( (!((DACH1 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH1 value " << DACH1 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS2 :  ] (-inf) 0.0 ]
  if ( (!((DWS2 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS2 value " << DWS2 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH2 :  ] (-inf) 0.0 ]
  if ( (!((DACH2 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH2 value " << DACH2 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS3 :  ] (-inf) 0.0 ]
  if ( (!((DWS3 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS3 value " << DWS3 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH3 :  ] (-inf) 0.0 ]
  if ( (!((DACH3 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH3 value " << DACH3 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS4 :  ] (-inf) 0.0 ]
  if ( (!((DWS4 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS4 value " << DWS4 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH4 :  ] (-inf) 0.0 ]
  if ( (!((DACH4 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH4 value " << DACH4 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS5 :  ] (-inf) 0.0 ]
  if ( (!((DWS5 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS5 value " << DWS5 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH5 :  ] (-inf) 0.0 ]
  if ( (!((DACH5 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH5 value " << DACH5 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS6 :  ] (-inf) 0.0 ]
  if ( (!((DWS6 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS6 value " << DWS6 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH6 :  ] (-inf) 0.0 ]
  if ( (!((DACH6 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH6 value " << DACH6 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter NGAA : [ 0, 6 ]
  if ( (!((NGAA >=0 && NGAA <=6 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NGAA value " << NGAA << " out of range [ 0, 6 ]";
  }

//    Parameter SUBBANDMOD : [ 0, 1 ]
  if ( (!((SUBBANDMOD >=0 && SUBBANDMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SUBBANDMOD value " << SUBBANDMOD << " out of range [ 0, 1 ]";
  }

//    Parameter MOBSCMOD : [ 0, 1 ]
  if ( (!((MOBSCMOD >=0 && MOBSCMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MOBSCMOD value " << MOBSCMOD << " out of range [ 0, 1 ]";
  }

//    Parameter NF : [ 1,  (+inf) [
  if ( (!((NF >=1))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NF value " << NF << " out of range [ 1,  (+inf) [";
  }

//    Parameter m : ] 0.0,  (+inf) [
  if ( (!((m >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter m value " << m << " out of range ] 0.0,  (+inf) [";
  }


  // this seems a little stupid, but verilog models that use $temperature
  // don't also use a defined parameter "Temp", and count on $temperature
  // to be the one the simulator wants:

  updateTemperature(admsInstTemp);

  // and of course, this routine is where we should put the initial_instance
  // stuff
  double mut6=0.0;
  double mut5=0.0;
  double mut4=0.0;
  double mut3=0.0;
  double mut2=0.0;
  double mut1=0.0;
  double mut0=0.0;
  double nc3=0.0;
  double nc3ln=0.0;
  double nc3l=0.0;
  double nc2=0.0;
  double nc2ln=0.0;
  double nc2l=0.0;
  double nc1=0.0;
  double nc1ln=0.0;
  double nc1l=0.0;
  double qe3n=0.0;
  double qe2n=0.0;
  double pnc3l=0.0;
  double nc3l0=0.0;
  double pnc2l=0.0;
  double nc2l0=0.0;
  double pnc1l=0.0;
  double nc1l0=0.0;
  double pe3h=0.0;
  double ne3h=0.0;
  double pe2h=0.0;
  double ne2h=0.0;
  double QT1=0.0;
  double QT0=0.0;
  double nc3d0=0.0;
  double qndnf3=0.0;
  double VnD3=0.0;
  double qndnf2=0.0;
  double VnD2=0.0;
  double qndnf1=0.0;
  double VnD1=0.0;
  double Tp3=0.0;
  double Wp3=0.0;
  double Tp2=0.0;
  double Wp2=0.0;
  double Tp1=0.0;
  double Wp1=0.0;
  double Toxratioedge=0.0;
  double Acorner_tb=0.0;
  double Acorner_topm=0.0;
  double Cgg_sidepff=0.0;
  double Cgg_sidetb=0.0;
  double Cgg_sidetopm=0.0;
  double Cgg_tb=0.0;
  double Cgg_topm=0.0;
  double Hrsd2=0.0;
  double Ccorner=0.0;
  double Acorner=0.0;
  double Cgg_side=0.0;
  double Cgg_top=0.0;
  double Hr=0.0;
  double Lr=0.0;
  double Hgdelta=0.0;
  double Lmax=0.0;
  double y=0.0;
  double x=0.0;
  double Cnon=0.0;
  double CcgSat=0.0;
  double TT1=0.0;
  double Ccg1=0.0;
  double r1cf=0.0;
  double Rcf=0.0;
  double Ccg2=0.0;
  double Ccg=0.0;
  double C1=0.0;
  double C2=0.0;
  double C3=0.0;
  double Cfglog=0.0;
  double dcf=0.0;
  double TT0=0.0;
  double TT2=0.0;
  double Cfgsat=0.0;
  double Cfg=0.0;
  double Hrsd=0.0;
  double Wg=0.0;
  double Trsd=0.0;
  double Hg=0.0;
  double Rdsgeo=0.0;
  double Rrsd=0.0;
  double Rrsdside=0.0;
  double RrsdTML=0.0;
  double eta=0.0;
  double alpha=0.0;
  double lt=0.0;
  double prsd_total=0.0;
  double arsd_total=0.0;
  double Rsp=0.0;
  double afin=0.0;
  double thetarsp=0.0;
  double rhorsd=0.0;
  double mu_rsd=0.0;
  double mu_max=0.0;
  double Prsd=0.0;
  double Arsd=0.0;
  double Rgeltd=0.0;
  double MTcen=0.0;
  double Leff_ln=0.0;
  double NTOX_i=0.0;
  double WR_i=0.0;
  double UP_i=0.0;
  double LPE0_i=0.0;
  double DSUB_i=0.0;
  double DVT1SS_i=0.0;
  double DVT1_i=0.0;
  double Weff1=0.0;
  double Ach1=0.0;
  double Inv_WL=0.0;
  double Inv_W=0.0;
  double Inv_LNFIN=0.0;
  double Inv_NFIN=0.0;
  double Inv_L=0.0;
  double WGAAeff1=0.0;
  double WGAAeff=0.0;
  double DWBIN_i=0.0;
  double XW_i=0.0;
  double Leff1=0.0;
  double deltaLCV=0.0;
  double deltaL1=0.0;
  double deltaL=0.0;
  double LINT_i=0.0;
  double DLBIN_i=0.0;
  double XL_i=0.0;
  double cbox=0.0;
  double epssp=0.0;
  double MFQ3NOM_i=0.0;
  double MFQ2NOM_i=0.0;
  double MFQ1NOM_i=0.0;
  double E3NOM_i=0.0;
  double E2NOM_i=0.0;
  double SSP3_i=0.0;
  double SSP2_i=0.0;
  double SSP1_i=0.0;
  double DIMENSION3_i=0.0;
  double DIMENSION2_i=0.0;
  double DIMENSION1_i=0.0;
  double Weff6=0.0;
  double Weff5=0.0;
  double Weff4=0.0;
  double Weff3=0.0;
  double Weff2=0.0;
  double Ach6=0.0;
  double Ach5=0.0;
  double Ach4=0.0;
  double Ach3=0.0;
  double Ach2=0.0;
  double UPR_i=0.0;
//Begin block initial_instance
{

d_Dr_dV_gi_di1 = d_Dr_dV_gi_si1 = d_Dr_dTemp_t_GND = d_Dr_dV_di_si = d_Dr_dV_e_si = d_Dr_dV_e_di = d_Dr_dV_gi_si = d_Dr_dV_gi_e =  0.0;
Dr = 0.0;

d_Rdrain_dTemp_t_GND = d_Rdrain_dV_d_di1 = d_Rdrain_dV_s_si1 = d_Rdrain_dV_gi_e = d_Rdrain_dV_di_si = d_Rdrain_dV_e_si = d_Rdrain_dV_e_di = d_Rdrain_dV_gi_si = d_Rdrain_dV_gi_di1 = d_Rdrain_dV_gi_si1 =  0.0;
Rdrain = 0.0;

d_Rsource_dTemp_t_GND = d_Rsource_dV_s_si1 = d_Rsource_dV_gi_e = d_Rsource_dV_di_si = d_Rsource_dV_e_si = d_Rsource_dV_e_di = d_Rsource_dV_gi_si = d_Rsource_dV_gi_si1 =  0.0;
Rsource = 0.0;

d_Rdsi_dV_gi_di1 = d_Rdsi_dV_gi_si1 = d_Rdsi_dTemp_t_GND = d_Rdsi_dV_gi_e = d_Rdsi_dV_e_si = d_Rdsi_dV_e_di = d_Rdsi_dV_gi_si = d_Rdsi_dV_di_si =  0.0;
Rdsi = 0.0;

d_CJS_t_dTemp_t_GND =  0.0;
CJS_t = 0.0;

d_CJSWS_t_dTemp_t_GND =  0.0;
CJSWS_t = 0.0;

d_CJSWGD_t_dTemp_t_GND =  0.0;
CJSWGD_t = 0.0;

d_CJD_t_dTemp_t_GND =  0.0;
CJD_t = 0.0;

d_CJSWD_t_dTemp_t_GND =  0.0;
CJSWD_t = 0.0;

d_CJSWGS_t_dTemp_t_GND =  0.0;
CJSWGS_t = 0.0;

d_PBS_t_dTemp_t_GND =  0.0;
PBS_t = 0.0;

d_PBSWS_t_dTemp_t_GND =  0.0;
PBSWS_t = 0.0;

d_PBSWGS_t_dTemp_t_GND =  0.0;
PBSWGS_t = 0.0;

d_PBD_t_dTemp_t_GND =  0.0;
PBD_t = 0.0;

d_PBSWD_t_dTemp_t_GND =  0.0;
PBSWD_t = 0.0;

d_PBSWGD_t_dTemp_t_GND =  0.0;
PBSWGD_t = 0.0;

d_JSS_t_dTemp_t_GND =  0.0;
JSS_t = 0.0;

d_JSWS_t_dTemp_t_GND =  0.0;
JSWS_t = 0.0;

d_JSWGS_t_dTemp_t_GND =  0.0;
JSWGS_t = 0.0;

d_JSD_t_dTemp_t_GND =  0.0;
JSD_t = 0.0;

d_JSWD_t_dTemp_t_GND =  0.0;
JSWD_t = 0.0;

d_JSWGD_t_dTemp_t_GND =  0.0;
JSWGD_t = 0.0;

d_JTSS_t_dTemp_t_GND =  0.0;
JTSS_t = 0.0;

d_JTSD_t_dTemp_t_GND =  0.0;
JTSD_t = 0.0;

d_JTSSWS_t_dTemp_t_GND =  0.0;
JTSSWS_t = 0.0;

d_JTSSWD_t_dTemp_t_GND =  0.0;
JTSSWD_t = 0.0;

d_JTSSWGS_t_dTemp_t_GND =  0.0;
JTSSWGS_t = 0.0;

d_JTSSWGD_t_dTemp_t_GND =  0.0;
JTSSWGD_t = 0.0;

d_NJTS_t_dTemp_t_GND =  0.0;
NJTS_t = 0.0;

d_NJTSD_t_dTemp_t_GND =  0.0;
NJTSD_t = 0.0;

d_NJTSSW_t_dTemp_t_GND =  0.0;
NJTSSW_t = 0.0;

d_NJTSSWD_t_dTemp_t_GND =  0.0;
NJTSSWD_t = 0.0;

d_NJTSSWG_t_dTemp_t_GND =  0.0;
NJTSSWG_t = 0.0;

d_NJTSSWGD_t_dTemp_t_GND =  0.0;
NJTSSWGD_t = 0.0;

d_RSDRR_t_dTemp_t_GND =  0.0;
RSDRR_t = 0.0;

d_RDDRR_t_dTemp_t_GND =  0.0;
RDDRR_t = 0.0;

d_UAR_t_dTemp_t_GND =  0.0;
UAR_t = 0.0;

d_UC_t_dTemp_t_GND =  0.0;
UC_t = 0.0;

d_UCCV_t_dTemp_t_GND =  0.0;
UCCV_t = 0.0;

d_UCR_t_dTemp_t_GND =  0.0;
UCR_t = 0.0;

d_UDR_t_dTemp_t_GND =  0.0;
UDR_t = 0.0;

d_VSATR_t_dTemp_t_GND =  0.0;
VSATR_t = 0.0;

d_VSAT1R_t_dTemp_t_GND =  0.0;
VSAT1R_t = 0.0;

d_MEXPR_t_dTemp_t_GND =  0.0;
MEXPR_t = 0.0;

d_PTWGR_t_dTemp_t_GND =  0.0;
PTWGR_t = 0.0;
Tcen0 = 0.0;

d_qba_dTemp_t_GND = d_qba_dV_di_si = d_qba_dV_gi_e = d_qba_dV_e_si = d_qba_dV_e_di = d_qba_dV_gi_si =  0.0;
qba = 0.0;

d_u0r_dTemp_t_GND =  0.0;
u0r = 0.0;
Cfr_geo = 0.0;
ggeltd = 0.0;

d_igbinv_dV_gi_e = d_igbinv_dV_di_si = d_igbinv_dV_e_si = d_igbinv_dV_e_di = d_igbinv_dV_gi_si = d_igbinv_dTemp_t_GND = d_igbinv_dV_ge_di = d_igbinv_dV_ge_si = d_igbinv_dV_gi_di1 = d_igbinv_dV_gi_si1 = d_igbinv_dV_d_di1 = d_igbinv_dV_s_si1 =  0.0;
igbinv = 0.0;

d_igbacc_dV_gi_e = d_igbacc_dV_di_si = d_igbacc_dV_e_si = d_igbacc_dV_e_di = d_igbacc_dV_gi_si = d_igbacc_dTemp_t_GND = d_igbacc_dV_ge_di = d_igbacc_dV_ge_si = d_igbacc_dV_gi_di1 = d_igbacc_dV_gi_si1 = d_igbacc_dV_d_di1 = d_igbacc_dV_s_si1 =  0.0;
igbacc = 0.0;

d_igbs_dV_gi_e = d_igbs_dV_di_si = d_igbs_dV_e_si = d_igbs_dV_e_di = d_igbs_dV_gi_si = d_igbs_dTemp_t_GND = d_igbs_dV_ge_di = d_igbs_dV_ge_si = d_igbs_dV_gi_di1 = d_igbs_dV_gi_si1 = d_igbs_dV_d_di1 = d_igbs_dV_s_si1 =  0.0;
igbs = 0.0;

d_igbd_dV_gi_e = d_igbd_dV_di_si = d_igbd_dV_e_si = d_igbd_dV_e_di = d_igbd_dV_gi_si = d_igbd_dTemp_t_GND = d_igbd_dV_ge_di = d_igbd_dV_ge_si = d_igbd_dV_gi_di1 = d_igbd_dV_gi_si1 = d_igbd_dV_d_di1 = d_igbd_dV_s_si1 =  0.0;
igbd = 0.0;

d_igcs_dV_ge_di = d_igcs_dV_ge_si = d_igcs_dV_gi_di1 = d_igcs_dV_gi_si1 = d_igcs_dV_gi_e = d_igcs_dV_e_si = d_igcs_dV_e_di = d_igcs_dV_gi_si = d_igcs_dV_di_si = d_igcs_dTemp_t_GND = d_igcs_dV_d_di1 = d_igcs_dV_s_si1 =  0.0;
igcs = 0.0;

d_igcd_dV_ge_di = d_igcd_dV_ge_si = d_igcd_dV_gi_di1 = d_igcd_dV_gi_si1 = d_igcd_dV_gi_e = d_igcd_dV_e_si = d_igcd_dV_e_di = d_igcd_dV_gi_si = d_igcd_dV_di_si = d_igcd_dTemp_t_GND = d_igcd_dV_d_di1 = d_igcd_dV_s_si1 =  0.0;
igcd = 0.0;

d_igs_dV_gi_di = d_igs_dTemp_t_GND = d_igs_dV_gi_si = d_igs_dV_ge_di = d_igs_dV_ge_si = d_igs_dV_gi_di1 = d_igs_dV_gi_si1 = d_igs_dV_gi_e = d_igs_dV_e_si = d_igs_dV_e_di = d_igs_dV_di_si =  0.0;
igs = 0.0;

d_igd_dV_gi_di = d_igd_dTemp_t_GND = d_igd_dV_gi_si = d_igd_dV_ge_di = d_igd_dV_ge_si = d_igd_dV_gi_di1 = d_igd_dV_gi_si1 = d_igd_dV_gi_e = d_igd_dV_e_si = d_igd_dV_e_di = d_igd_dV_di_si =  0.0;
igd = 0.0;

d_igisl_dV_gi_di = d_igisl_dV_ge_di = d_igisl_dV_ge_si = d_igisl_dV_gi_di1 = d_igisl_dV_gi_si1 = d_igisl_dV_d_di1 = d_igisl_dV_s_si1 = d_igisl_dV_gi_e = d_igisl_dV_di_si = d_igisl_dV_e_si = d_igisl_dV_e_di = d_igisl_dV_gi_si = d_igisl_dTemp_t_GND =  0.0;
igisl = 0.0;

d_igidl_dV_gi_di = d_igidl_dV_ge_di = d_igidl_dV_ge_si = d_igidl_dV_gi_di1 = d_igidl_dV_gi_si1 = d_igidl_dV_d_di1 = d_igidl_dV_s_si1 = d_igidl_dV_gi_e = d_igidl_dV_di_si = d_igidl_dV_e_si = d_igidl_dV_e_di = d_igidl_dV_gi_si = d_igidl_dTemp_t_GND =  0.0;
igidl = 0.0;

d_igislb_dV_gi_di = d_igislb_dV_ge_di = d_igislb_dV_ge_si = d_igislb_dV_gi_di1 = d_igislb_dV_gi_si1 = d_igislb_dV_d_di1 = d_igislb_dV_s_si1 = d_igislb_dV_gi_e = d_igislb_dV_di_si = d_igislb_dV_e_si = d_igislb_dV_e_di = d_igislb_dV_gi_si = d_igislb_dTemp_t_GND =  0.0;
igislb = 0;

d_igidlb_dV_gi_di = d_igidlb_dV_ge_di = d_igidlb_dV_ge_si = d_igidlb_dV_gi_di1 = d_igidlb_dV_gi_si1 = d_igidlb_dV_d_di1 = d_igidlb_dV_s_si1 = d_igidlb_dV_gi_e = d_igidlb_dV_di_si = d_igidlb_dV_e_si = d_igidlb_dV_e_di = d_igidlb_dV_gi_si = d_igidlb_dTemp_t_GND =  0.0;
igidlb = 0;
AGIDLB_i = 0;
BGIDLB_i = 0;

d_BGIDLB_t_dTemp_t_GND =  0.0;
BGIDLB_t = 0;
CGIDLB_i = 0;
EGIDLB_i = 0;
PGIDLB_i = 0;
AGISLB_i = 0;
BGISLB_i = 0;

d_BGISLB_t_dTemp_t_GND =  0.0;
BGISLB_t = 0;
CGISLB_i = 0;
EGISLB_i = 0;
PGISLB_i = 0;

d_Iii_dV_ge_di = d_Iii_dV_ge_si = d_Iii_dV_gi_di1 = d_Iii_dV_gi_si1 = d_Iii_dV_gi_e = d_Iii_dV_e_si = d_Iii_dV_e_di = d_Iii_dV_gi_si = d_Iii_dV_di_si = d_Iii_dTemp_t_GND =  0.0;
Iii = 0.0;

d_cox_acc_dV_gi_e = d_cox_acc_dV_di_si = d_cox_acc_dV_e_si = d_cox_acc_dV_e_di = d_cox_acc_dV_gi_si = d_cox_acc_dTemp_t_GND =  0.0;
cox_acc = 0.0;

d_qg_acc_dV_gi_di1 = d_qg_acc_dV_gi_si1 = d_qg_acc_dV_gi_e = d_qg_acc_dV_e_si = d_qg_acc_dV_e_di = d_qg_acc_dV_gi_si = d_qg_acc_dV_di_si = d_qg_acc_dTemp_t_GND =  0.0;
qg_acc = 0.0;

d_qb_acc_dV_gi_di1 = d_qb_acc_dV_gi_si1 = d_qb_acc_dV_gi_e = d_qb_acc_dV_e_si = d_qb_acc_dV_e_di = d_qb_acc_dV_gi_si = d_qb_acc_dV_di_si = d_qb_acc_dTemp_t_GND =  0.0;
qb_acc = 0.0;

d_qgs_ov_dV_ge_di = d_qgs_ov_dV_gi_di1 = d_qgs_ov_dV_gi_si1 = d_qgs_ov_dV_gi_e = d_qgs_ov_dV_e_si = d_qgs_ov_dV_e_di = d_qgs_ov_dV_gi_si = d_qgs_ov_dV_di_si = d_qgs_ov_dTemp_t_GND = d_qgs_ov_dV_ge_si =  0.0;
qgs_ov = 0.0;

d_qgd_ov_dV_gi_di1 = d_qgd_ov_dV_gi_si1 = d_qgd_ov_dV_gi_e = d_qgd_ov_dV_e_si = d_qgd_ov_dV_e_di = d_qgd_ov_dV_gi_si = d_qgd_ov_dV_di_si = d_qgd_ov_dTemp_t_GND = d_qgd_ov_dV_ge_di = d_qgd_ov_dV_ge_si =  0.0;
qgd_ov = 0.0;

d_Ies_dV_gi_di = d_Ies_dV_ge_di = d_Ies_dV_ge_si = d_Ies_dV_gi_di1 = d_Ies_dV_gi_si1 = d_Ies_dV_gi_e = d_Ies_dV_e_si = d_Ies_dV_e_di = d_Ies_dV_gi_si = d_Ies_dV_di_si = d_Ies_dTemp_t_GND =  0.0;
Ies = 0.0;

d_Ied_dV_gi_di = d_Ied_dV_ge_di = d_Ied_dV_ge_si = d_Ied_dV_gi_di1 = d_Ied_dV_gi_si1 = d_Ied_dV_gi_e = d_Ied_dV_e_si = d_Ied_dV_e_di = d_Ied_dV_gi_si = d_Ied_dV_di_si = d_Ied_dTemp_t_GND =  0.0;
Ied = 0.0;

d_Czbs_dTemp_t_GND =  0.0;
Czbs = 0.0;

d_Czbssw_dTemp_t_GND =  0.0;
Czbssw = 0.0;

d_Czbsswg_dTemp_t_GND =  0.0;
Czbsswg = 0.0;

d_Czbd_dTemp_t_GND =  0.0;
Czbd = 0.0;

d_Czbdsw_dTemp_t_GND =  0.0;
Czbdsw = 0.0;

d_Czbdswg_dTemp_t_GND =  0.0;
Czbdswg = 0.0;

d_Qesj_dV_d_di1 = d_Qesj_dV_s_si1 = d_Qesj_dTemp_t_GND = d_Qesj_dV_gi_di = d_Qesj_dV_ge_di = d_Qesj_dV_ge_si = d_Qesj_dV_gi_di1 = d_Qesj_dV_gi_si1 = d_Qesj_dV_gi_e = d_Qesj_dV_e_si = d_Qesj_dV_e_di = d_Qesj_dV_gi_si = d_Qesj_dV_di_si =  0.0;
Qesj = 0.0;

d_Qedj_dV_d_di1 = d_Qedj_dV_s_si1 = d_Qedj_dTemp_t_GND = d_Qedj_dV_gi_di = d_Qedj_dV_ge_di = d_Qedj_dV_ge_si = d_Qedj_dV_gi_di1 = d_Qedj_dV_gi_si1 = d_Qedj_dV_gi_e = d_Qedj_dV_e_si = d_Qedj_dV_e_di = d_Qedj_dV_gi_si = d_Qedj_dV_di_si =  0.0;
Qedj = 0.0;

d_Isbs_dTemp_t_GND =  0.0;
Isbs = 0.0;

d_Isbd_dTemp_t_GND =  0.0;
Isbd = 0.0;

d_Nvtms_dTemp_t_GND =  0.0;
Nvtms = 0.0;

d_Nvtmd_dTemp_t_GND =  0.0;
Nvtmd = 0.0;

d_SslpFwd_dTemp_t_GND =  0.0;
SslpFwd = 0.0;

d_IVjsmFwd_dTemp_t_GND =  0.0;
IVjsmFwd = 0.0;

d_VjsmFwd_dTemp_t_GND =  0.0;
VjsmFwd = 0.0;

d_XExpBVS_dTemp_t_GND =  0.0;
XExpBVS = 0.0;

d_SslpRev_dTemp_t_GND =  0.0;
SslpRev = 0.0;

d_IVjsmRev_dTemp_t_GND =  0.0;
IVjsmRev = 0.0;

d_VjsmRev_dTemp_t_GND =  0.0;
VjsmRev = 0.0;

d_DslpFwd_dTemp_t_GND =  0.0;
DslpFwd = 0.0;

d_IVjdmFwd_dTemp_t_GND =  0.0;
IVjdmFwd = 0.0;

d_VjdmFwd_dTemp_t_GND =  0.0;
VjdmFwd = 0.0;

d_XExpBVD_dTemp_t_GND =  0.0;
XExpBVD = 0.0;

d_DslpRev_dTemp_t_GND =  0.0;
DslpRev = 0.0;

d_IVjdmRev_dTemp_t_GND =  0.0;
IVjdmRev = 0.0;

d_VjdmRev_dTemp_t_GND =  0.0;
VjdmRev = 0.0;

d_vec1s_dTemp_t_GND =  0.0;
vec1s = 0.0;

d_pb21s_dTemp_t_GND =  0.0;
pb21s = 0.0;

d_vec2s_dTemp_t_GND =  0.0;
vec2s = 0.0;

d_pb22s_dTemp_t_GND =  0.0;
pb22s = 0.0;

d_vec3s_dTemp_t_GND =  0.0;
vec3s = 0.0;

d_pb23s_dTemp_t_GND =  0.0;
pb23s = 0.0;

d_vec1d_dTemp_t_GND =  0.0;
vec1d = 0.0;

d_pb21d_dTemp_t_GND =  0.0;
pb21d = 0.0;

d_vec2d_dTemp_t_GND =  0.0;
vec2d = 0.0;

d_pb22d_dTemp_t_GND =  0.0;
pb22d = 0.0;

d_vec3d_dTemp_t_GND =  0.0;
vec3d = 0.0;

d_pb23d_dTemp_t_GND =  0.0;
pb23d = 0.0;

d_gcrg_dTemp_t_GND = d_gcrg_dV_di_si = d_gcrg_dV_e_si = d_gcrg_dV_e_di = d_gcrg_dV_gi_si = d_gcrg_dV_gi_e = d_gcrg_dV_gi_di1 = d_gcrg_dV_gi_si1 = d_gcrg_dV_ge_e = d_gcrg_dV_gi_di = d_gcrg_dV_ge_di = d_gcrg_dV_ge_si =  0.0;
gcrg = 0.0;

d_gtau_dTemp_t_GND = d_gtau_dV_di_si = d_gtau_dV_e_si = d_gtau_dV_e_di = d_gtau_dV_gi_si = d_gtau_dV_gi_e = d_gtau_dV_gi_di1 = d_gtau_dV_gi_si1 = d_gtau_dV_ge_e = d_gtau_dV_gi_di = d_gtau_dV_ge_di = d_gtau_dV_ge_si =  0.0;
gtau = 0.0;
sid = 0.0;

d_Dr0_dTemp_t_GND = d_Dr0_dV_di_si = d_Dr0_dV_e_si = d_Dr0_dV_e_di = d_Dr0_dV_gi_si = d_Dr0_dV_ge_e = d_Dr0_dV_gi_di = d_Dr0_dV_ge_di = d_Dr0_dV_ge_si = d_Dr0_dV_gi_di1 = d_Dr0_dV_gi_si1 = d_Dr0_dV_gi_e = d_Dr0_dV_d_di1 = d_Dr0_dV_s_si1 =  0.0;
Dr0 = 0.0;

d_ctnoi_dV_d_di1 = d_ctnoi_dV_s_si1 = d_ctnoi_dV_ge_e = d_ctnoi_dV_gi_di = d_ctnoi_dV_ge_di = d_ctnoi_dV_ge_si = d_ctnoi_dV_gi_di1 = d_ctnoi_dV_gi_si1 = d_ctnoi_dV_gi_e = d_ctnoi_dV_di_si = d_ctnoi_dV_e_si = d_ctnoi_dV_e_di = d_ctnoi_dV_gi_si = d_ctnoi_dTemp_t_GND =  0.0;
ctnoi = 0.0;

d_sigrat_dV_di_si = d_sigrat_dV_e_si = d_sigrat_dV_e_di = d_sigrat_dV_gi_si = d_sigrat_dTemp_t_GND = d_sigrat_dV_gi_e = d_sigrat_dV_ge_e = d_sigrat_dV_gi_di = d_sigrat_dV_ge_di = d_sigrat_dV_ge_si = d_sigrat_dV_gi_di1 = d_sigrat_dV_gi_si1 = d_sigrat_dV_d_di1 = d_sigrat_dV_s_si1 =  0.0;
sigrat = 0.0;
gth = 0.0;
cth = 0.0;
CITR_i = 0.0;
CDSCDR_i = 0.0;
ETA0R_i = 0.0;
DVTSHIFTR_i = 0.0;

d_veseff_dV_e_si = d_veseff_dV_e_di = d_veseff_dV_di_si = d_veseff_dTemp_t_GND =  0.0;
veseff = 0.0;
PHIBE_i = 0.0;
K1_i = 0.0;
K11_i = 0.0;
K2SAT_i = 0.0;
K2SAT1_i = 0.0;
K2_i = 0.0;
K21_i = 0.0;
VSATR_i = 0.0;
VSAT1R_i = 0.0;
KSATIVR_i = 0.0;
MEXPR_i = 0.0;
PTWGR_i = 0.0;
ATR_i = 0.0;
U0R_i = 0.0;
UPR_i = 0.0;
UAR_i = 0.0;
UC_i = 0.0;
UCR_i = 0.0;
EUR_i = 0.0;
UDR_i = 0.0;
UTER_i = 0.0;
UTLR_i = 0.0;
UA1R_i = 0.0;
UC1_i = 0.0;
UC1R_i = 0.0;
UD1R_i = 0.0;
PDIBL1R_i = 0.0;
PDIBL2R_i = 0.0;
PCLMR_i = 0.0;
CGSO_i = 0.0;
CGDO_i = 0.0;
XRCRG1_i = 0.0;
XRCRG2_i = 0.0;
Cins = 0.0;
Ach = 0.0;
Weff_UFCM = 0.0;
WeffB = 0.0;
rc = 0.0;
Qdep_ov_Cins = 0.0;

d_qi_acc_for_QM_dTemp_t_GND = d_qi_acc_for_QM_dV_di_si = d_qi_acc_for_QM_dV_gi_e = d_qi_acc_for_QM_dV_e_si = d_qi_acc_for_QM_dV_e_di = d_qi_acc_for_QM_dV_gi_si =  0.0;
qi_acc_for_QM = 0.0;

d_nq_dTemp_t_GND = d_nq_dV_di_si = d_nq_dV_gi_e = d_nq_dV_e_si = d_nq_dV_e_di = d_nq_dV_gi_si =  0.0;
nq = 0.0;
Ach2 = 0.0;
Ach3 = 0.0;
Ach4 = 0.0;
Ach5 = 0.0;
Ach6 = 0.0;
Weff2 = 0.0;
Weff3 = 0.0;
Weff4 = 0.0;
Weff5 = 0.0;
Weff6 = 0.0;

d_qnds1_dV_e_si = d_qnds1_dV_e_di = d_qnds1_dV_gi_si = d_qnds1_dV_di_si = d_qnds1_dTemp_t_GND =  0.0;
qnds1 = 0.0;

d_qnds2_dV_e_si = d_qnds2_dV_e_di = d_qnds2_dV_gi_si = d_qnds2_dV_di_si = d_qnds2_dTemp_t_GND =  0.0;
qnds2 = 0.0;

d_qnds3_dV_e_si = d_qnds3_dV_e_di = d_qnds3_dV_gi_si = d_qnds3_dV_di_si = d_qnds3_dTemp_t_GND =  0.0;
qnds3 = 0.0;

d_qndd1_dV_e_si = d_qndd1_dV_e_di = d_qndd1_dV_gi_si = d_qndd1_dV_di_si = d_qndd1_dTemp_t_GND =  0.0;
qndd1 = 0.0;

d_qndd2_dV_e_si = d_qndd2_dV_e_di = d_qndd2_dV_gi_si = d_qndd2_dV_di_si = d_qndd2_dTemp_t_GND =  0.0;
qndd2 = 0.0;

d_qndd3_dV_e_si = d_qndd3_dV_e_di = d_qndd3_dV_gi_si = d_qndd3_dV_di_si = d_qndd3_dTemp_t_GND =  0.0;
qndd3 = 0.0;
nc3d = 1.0;
d1 = 0.0;
d2 = 0.0;
d3 = 0.0;
p1 = 0.0;
p2 = 0.0;
p3 = 0.0;
ncq = 0.0;
qe2 = 0.0;
qe3 = 0.0;
qnd10 = 0.0;
qnd20 = 0.0;
qnd30 = 0.0;
DIMENSION1_i = 0.0;
DIMENSION2_i = 0.0;
DIMENSION3_i = 0.0;
SSP1_i = 0.0;
SSP2_i = 0.0;
SSP3_i = 0.0;
E2NOM_i = 0.0;
E3NOM_i = 0.0;
MFQ1NOM_i = 0.0;
MFQ2NOM_i = 0.0;
MFQ3NOM_i = 0.0;

d_DevTemplow0_dTemp_t_GND =  0.0;
DevTemplow0 = 0.0;

d_DevTemplow1_dTemp_t_GND =  0.0;
DevTemplow1 = 0.0;

d_DevTempeff_dTemp_t_GND =  0.0;
DevTempeff = 0.0;

d_DevTemp1_dTemp_t_GND =  0.0;
DevTemp1 = 0.0;

d_delTemp1_dTemp_t_GND =  0.0;
delTemp1 = 0.0;

d_delTRatio1_dTemp_t_GND =  0.0;
delTRatio1 = 0.0;

d_Vtmeff_dTemp_t_GND =  0.0;
Vtmeff = 0.0;

d_niln_dTemp_t_GND =  0.0;
niln = 0.0;

d_UDS_t_dTemp_t_GND =  0.0;
UDS_t = 0.0;

d_UDD_t_dTemp_t_GND =  0.0;
UDD_t = 0.0;

d_UA_tl_dTemp_t_GND =  0.0;
UA_tl = 0.0;

d_UA_th_dTemp_t_GND =  0.0;
UA_th = 0.0;

d_UAR_tl_dTemp_t_GND =  0.0;
UAR_tl = 0.0;

d_UAR_th_dTemp_t_GND =  0.0;
UAR_th = 0.0;

d_wl_dTemp_t_GND =  0.0;
wl = 0.0;

d_wh_dTemp_t_GND =  0.0;
wh = 0.0;

d_Rvs_d_dV_ge_e = d_Rvs_d_dV_gi_di = d_Rvs_d_dV_ge_di = d_Rvs_d_dV_ge_si = d_Rvs_d_dV_gi_di1 = d_Rvs_d_dV_gi_si1 = d_Rvs_d_dV_gi_e = d_Rvs_d_dV_e_si = d_Rvs_d_dV_e_di = d_Rvs_d_dV_gi_si = d_Rvs_d_dV_di_si = d_Rvs_d_dTemp_t_GND = d_Rvs_d_dV_di1_di = d_Rvs_d_dV_d_di1 = d_Rvs_d_dV_s_si1 =  0.0;
Rvs_d = 0.0;

d_Rvs_s_dV_ge_e = d_Rvs_s_dV_gi_di = d_Rvs_s_dV_ge_di = d_Rvs_s_dV_ge_si = d_Rvs_s_dV_gi_di1 = d_Rvs_s_dV_gi_si1 = d_Rvs_s_dV_gi_e = d_Rvs_s_dV_e_si = d_Rvs_s_dV_e_di = d_Rvs_s_dV_gi_si = d_Rvs_s_dV_di_si = d_Rvs_s_dTemp_t_GND = d_Rvs_s_dV_si_si1 = d_Rvs_s_dV_di1_di = d_Rvs_s_dV_d_di1 = d_Rvs_s_dV_s_si1 =  0.0;
Rvs_s = 0.0;

d_rdstempvs_dTemp_t_GND =  0.0;
rdstempvs = 0.0;

d_gvs_s_dV_ge_e = d_gvs_s_dV_gi_di = d_gvs_s_dV_ge_di = d_gvs_s_dV_ge_si = d_gvs_s_dV_gi_di1 = d_gvs_s_dV_gi_si1 = d_gvs_s_dV_gi_e = d_gvs_s_dV_e_si = d_gvs_s_dV_e_di = d_gvs_s_dV_gi_si = d_gvs_s_dV_di_si = d_gvs_s_dTemp_t_GND = d_gvs_s_dV_si_si1 = d_gvs_s_dV_di1_di = d_gvs_s_dV_d_di1 = d_gvs_s_dV_s_si1 =  0.0;
gvs_s = 0.0;

d_gvs_d_dV_ge_e = d_gvs_d_dV_gi_di = d_gvs_d_dV_ge_di = d_gvs_d_dV_ge_si = d_gvs_d_dV_gi_di1 = d_gvs_d_dV_gi_si1 = d_gvs_d_dV_gi_e = d_gvs_d_dV_e_si = d_gvs_d_dV_e_di = d_gvs_d_dV_gi_si = d_gvs_d_dV_di_si = d_gvs_d_dTemp_t_GND = d_gvs_d_dV_di1_di = d_gvs_d_dV_d_di1 = d_gvs_d_dV_s_si1 =  0.0;
gvs_d = 0.0;

d_gspr_dTemp_t_GND = d_gspr_dV_s_si1 = d_gspr_dV_gi_e = d_gspr_dV_di_si = d_gspr_dV_e_si = d_gspr_dV_e_di = d_gspr_dV_gi_si = d_gspr_dV_gi_si1 =  0.0;
gspr = 0.0;

d_gdpr_dTemp_t_GND = d_gdpr_dV_d_di1 = d_gdpr_dV_s_si1 = d_gdpr_dV_gi_e = d_gdpr_dV_di_si = d_gdpr_dV_e_si = d_gdpr_dV_e_di = d_gdpr_dV_gi_si = d_gdpr_dV_gi_di1 = d_gdpr_dV_gi_si1 =  0.0;
gdpr = 0.0;

d_TempLast_dTemp_t_GND =  0.0;
TempLast = (-999);
Tnom = 0;

d_TRatio_dTemp_t_GND =  0.0;
TRatio = 0;

d_TRatio_m1_dTemp_t_GND =  0.0;
TRatio_m1 = 0;

d_dvth_temp_dTemp_t_GND =  0.0;
dvth_temp = 0;

d_delTemp_dTemp_t_GND =  0.0;
delTemp = 0;

d_delTemp1_dTemp_t_GND =  0.0;
delTemp1 = 0;

d_delTRatio1_dTemp_t_GND =  0.0;
delTRatio1 = 0;

d_ThetaSS_dTemp_t_GND =  0.0;
ThetaSS = 0;

d_K0_t_dTemp_t_GND =  0.0;
K0_t = 0;

d_K0SI_t_dTemp_t_GND =  0.0;
K0SI_t = 0;

d_K2SI_t_dTemp_t_GND =  0.0;
K2SI_t = 0;

d_K1_t_dTemp_t_GND =  0.0;
K1_t = 0;

d_K2SAT_t_dTemp_t_GND =  0.0;
K2SAT_t = 0;

d_A1_t_dTemp_t_GND =  0.0;
A1_t = 0;

d_A2_t_dTemp_t_GND =  0.0;
A2_t = 0;

d_AIGBINV_t_dTemp_t_GND =  0.0;
AIGBINV_t = 0;

d_AIGBACC_t_dTemp_t_GND =  0.0;
AIGBACC_t = 0;

d_AIGC_t_dTemp_t_GND =  0.0;
AIGC_t = 0;

d_AIGS_t_dTemp_t_GND =  0.0;
AIGS_t = 0;

d_AIGD_t_dTemp_t_GND =  0.0;
AIGD_t = 0;

d_BETA0_t_dTemp_t_GND =  0.0;
BETA0_t = 0;

d_SII0_t_dTemp_t_GND =  0.0;
SII0_t = 0;

d_BGISL_t_dTemp_t_GND =  0.0;
BGISL_t = 0;

d_BGISLB_t_dTemp_t_GND =  0.0;
BGISLB_t = 0;

d_BGIDL_t_dTemp_t_GND =  0.0;
BGIDL_t = 0;

d_BGIDLB_t_dTemp_t_GND =  0.0;
BGIDLB_t = 0;

d_igtemp_dTemp_t_GND =  0.0;
igtemp = 0;

d_PTWG_t_dTemp_t_GND =  0.0;
PTWG_t = 0;

d_PTWGR_t_dTemp_t_GND =  0.0;
PTWGR_t = 0;

d_ALPHA0_t_dTemp_t_GND =  0.0;
ALPHA0_t = 0;

d_ALPHA1_t_dTemp_t_GND =  0.0;
ALPHA1_t = 0;

d_ALPHAII0_t_dTemp_t_GND =  0.0;
ALPHAII0_t = 0;

d_ALPHAII1_t_dTemp_t_GND =  0.0;
ALPHAII1_t = 0;

d_CJS_t_dTemp_t_GND =  0.0;
CJS_t = 0;

d_CJSWS_t_dTemp_t_GND =  0.0;
CJSWS_t = 0;

d_CJSWGD_t_dTemp_t_GND =  0.0;
CJSWGD_t = 0;

d_CJD_t_dTemp_t_GND =  0.0;
CJD_t = 0;

d_CJSWD_t_dTemp_t_GND =  0.0;
CJSWD_t = 0;

d_CJSWGS_t_dTemp_t_GND =  0.0;
CJSWGS_t = 0;

d_PBS_t_dTemp_t_GND =  0.0;
PBS_t = 0;

d_PBSWS_t_dTemp_t_GND =  0.0;
PBSWS_t = 0;

d_PBSWGS_t_dTemp_t_GND =  0.0;
PBSWGS_t = 0;

d_PBD_t_dTemp_t_GND =  0.0;
PBD_t = 0;

d_PBSWD_t_dTemp_t_GND =  0.0;
PBSWD_t = 0;

d_PBSWGD_t_dTemp_t_GND =  0.0;
PBSWGD_t = 0;

d_JSS_t_dTemp_t_GND =  0.0;
JSS_t = 0;

d_JSWS_t_dTemp_t_GND =  0.0;
JSWS_t = 0;

d_JSWGS_t_dTemp_t_GND =  0.0;
JSWGS_t = 0;

d_JSD_t_dTemp_t_GND =  0.0;
JSD_t = 0;

d_JSWD_t_dTemp_t_GND =  0.0;
JSWD_t = 0;

d_JSWGD_t_dTemp_t_GND =  0.0;
JSWGD_t = 0;

d_JTSS_t_dTemp_t_GND =  0.0;
JTSS_t = 0;

d_JTSD_t_dTemp_t_GND =  0.0;
JTSD_t = 0;

d_JTSSWS_t_dTemp_t_GND =  0.0;
JTSSWS_t = 0;

d_JTSSWD_t_dTemp_t_GND =  0.0;
JTSSWD_t = 0;

d_JTSSWGS_t_dTemp_t_GND =  0.0;
JTSSWGS_t = 0;

d_JTSSWGD_t_dTemp_t_GND =  0.0;
JTSSWGD_t = 0;

d_NJTS_t_dTemp_t_GND =  0.0;
NJTS_t = 0;

d_NJTSD_t_dTemp_t_GND =  0.0;
NJTSD_t = 0;

d_NJTSSW_t_dTemp_t_GND =  0.0;
NJTSSW_t = 0;

d_NJTSSWD_t_dTemp_t_GND =  0.0;
NJTSSWD_t = 0;

d_NJTSSWG_t_dTemp_t_GND =  0.0;
NJTSSWG_t = 0;

d_NJTSSWGD_t_dTemp_t_GND =  0.0;
NJTSSWGD_t = 0;

d_K2_t_dTemp_t_GND =  0.0;
K2_t = 0;

d_K0SISAT_t_dTemp_t_GND =  0.0;
K0SISAT_t = 0;

d_K2SISAT_t_dTemp_t_GND =  0.0;
K2SISAT_t = 0;

d_ETA0_t_dTemp_t_GND =  0.0;
ETA0_t = 0;

d_ETA0CV_t_dTemp_t_GND =  0.0;
ETA0CV_t = 0;

d_ETA0R_t_dTemp_t_GND =  0.0;
ETA0R_t = 0;

d_RSDR_t_dTemp_t_GND =  0.0;
RSDR_t = 0;

d_RSDRR_t_dTemp_t_GND =  0.0;
RSDRR_t = 0;

d_RDDR_t_dTemp_t_GND =  0.0;
RDDR_t = 0;

d_RDDRR_t_dTemp_t_GND =  0.0;
RDDRR_t = 0;

d_UA_t_dTemp_t_GND =  0.0;
UA_t = 0;

d_UACV_t_dTemp_t_GND =  0.0;
UACV_t = 0;

d_UAR_t_dTemp_t_GND =  0.0;
UAR_t = 0;

d_UA_tl_dTemp_t_GND =  0.0;
UA_tl = 0;

d_UA_th_dTemp_t_GND =  0.0;
UA_th = 0;

d_UACV_tl_dTemp_t_GND =  0.0;
UACV_tl = 0;

d_UACV_th_dTemp_t_GND =  0.0;
UACV_th = 0;

d_UAR_tl_dTemp_t_GND =  0.0;
UAR_tl = 0;

d_UAR_th_dTemp_t_GND =  0.0;
UAR_th = 0;

d_wh_dTemp_t_GND =  0.0;
wh = 0;

d_wl_dTemp_t_GND =  0.0;
wl = 0;

d_UC_t_dTemp_t_GND =  0.0;
UC_t = 0;

d_UCCV_t_dTemp_t_GND =  0.0;
UCCV_t = 0;

d_UCR_t_dTemp_t_GND =  0.0;
UCR_t = 0;

d_UCS_t_dTemp_t_GND =  0.0;
UCS_t = 0;

d_UD_t_dTemp_t_GND =  0.0;
UD_t = 0;

d_UDCV_t_dTemp_t_GND =  0.0;
UDCV_t = 0;

d_UDR_t_dTemp_t_GND =  0.0;
UDR_t = 0;

d_U0R_t_dTemp_t_GND =  0.0;
U0R_t = 0;

d_ETAMOB_t_dTemp_t_GND =  0.0;
ETAMOB_t = 0;

d_EU_t_dTemp_t_GND =  0.0;
EU_t = 0;

d_UDS_t_dTemp_t_GND =  0.0;
UDS_t = 0;
UDS_i = 0;
UDS1_i = 0;

d_UDD_t_dTemp_t_GND =  0.0;
UDD_t = 0;
UDD_i = 0;
UDD1_i = 0;

d_UDSeff_t_dTemp_t_GND =  0.0;
UDSeff_t = 0;

d_UDDeff_t_dTemp_t_GND =  0.0;
UDDeff_t = 0;

d_VSAT_t_dTemp_t_GND =  0.0;
VSAT_t = 0;

d_VSATR_t_dTemp_t_GND =  0.0;
VSATR_t = 0;

d_VSAT1_t_dTemp_t_GND =  0.0;
VSAT1_t = 0;

d_VSAT1R_t_dTemp_t_GND =  0.0;
VSAT1R_t = 0;

d_VSATCV_t_dTemp_t_GND =  0.0;
VSATCV_t = 0;

d_MEXP_t_dTemp_t_GND =  0.0;
MEXP_t = 0;

d_MEXPR_t_dTemp_t_GND =  0.0;
MEXPR_t = 0;

d_Vtm_dTemp_t_GND =  0.0;
Vtm = 0;
Vtm0 = 0;

d_Eg_dTemp_t_GND =  0.0;
Eg = 0;
Eg0 = 0;

d_ni_dTemp_t_GND =  0.0;
ni = 0;

d_Nc_dTemp_t_GND =  0.0;
Nc = 0;

d_niln_dTemp_t_GND =  0.0;
niln = 0;

d_dvch_qm_dTemp_t_GND =  0.0;
dvch_qm = 0;

d_u0_dTemp_t_GND =  0.0;
u0 = 0;

d_u0_cv_dTemp_t_GND =  0.0;
u0_cv = 0;

d_rdstemp_dTemp_t_GND =  0.0;
rdstemp = 0;

d_KSATIV_t_dTemp_t_GND =  0.0;
KSATIV_t = 0;

d_PCLM_t_dTemp_t_GND =  0.0;
PCLM_t = 0;

d_UACV_t_dTemp_t_GND =  0.0;
UACV_t = 0;

d_UDCV_t_dTemp_t_GND =  0.0;
UDCV_t = 0;

d_igsd_mult_dTemp_t_GND =  0.0;
igsd_mult = 0;

d_vfbsd_dTemp_t_GND =  0.0;
vfbsd = 0;

d_vfbsdcv_dTemp_t_GND =  0.0;
vfbsdcv = 0;

d_vfbsdcv_dTemp_t_GND =  0.0;
vfbsdcv = 0;

d_phib_dTemp_t_GND =  0.0;
phib = 0;

d_vbi_dTemp_t_GND =  0.0;
vbi = 0;

d_deltaPhi_dTemp_t_GND =  0.0;
deltaPhi = 0;

d_eta_mu_dTemp_t_GND =  0.0;
eta_mu = 0;
eta_mu_cv = 0;

d_Tb_dV_di_si = d_Tb_dV_e_si = d_Tb_dV_e_di = d_Tb_dV_gi_si = d_Tb_dTemp_t_GND =  0.0;
Tb = 0;

d_igentemp_dTemp_t_GND =  0.0;
igentemp = 0;

d_vec1s_dTemp_t_GND =  0.0;
vec1s = 0;

d_pb21s_dTemp_t_GND =  0.0;
pb21s = 0;

d_vec2s_dTemp_t_GND =  0.0;
vec2s = 0;

d_pb22s_dTemp_t_GND =  0.0;
pb22s = 0;

d_vec3s_dTemp_t_GND =  0.0;
vec3s = 0;

d_pb23s_dTemp_t_GND =  0.0;
pb23s = 0;

d_vec1d_dTemp_t_GND =  0.0;
vec1d = 0;

d_pb21d_dTemp_t_GND =  0.0;
pb21d = 0;

d_vec2d_dTemp_t_GND =  0.0;
vec2d = 0;

d_pb22d_dTemp_t_GND =  0.0;
pb22d = 0;

d_vec3d_dTemp_t_GND =  0.0;
vec3d = 0;

d_pb23d_dTemp_t_GND =  0.0;
pb23d = 0;
gmin = getDeviceOptions().gmin;
if ((portsConnected_[admsNodeID_t]==1))
{
if (((((model_.SHMOD)==0)||((model_.RTH0)==0.0))&&((model_.SH_WARN)==1)))
{
UserInfo(*this)  << "The optional 5th terminal is present in instance %m but not active because SHMOD = 0 or RTH0 = 0.0" << " " <<  std::endl; 
}
}
if (((model_.TYPE)==1))
{
devsign = 1;
}
else
{
devsign = (-1);
}
epssub = ((model_.EPSRSUB)*8.8542e-12);
epssp = ((model_.EPSRSP)*8.8542e-12);
cbox = (((model_.EPSROX)*8.8542e-12)/(model_.EOTBOX));
epsratio = ((model_.EPSRSUB)/(model_.EPSROX));
mx = (0.916*9.11e-31);
mxprime = (0.190*9.11e-31);
md = (0.190*9.11e-31);
mdprime = (0.417*9.11e-31);
gprime = 4.0;
gfactor = 2.0;
XL_i = (((XL+((1.0e-6*(model_.LXL))/L))+((model_.NXL)/NFIN))+(((model_.PXL)*1.0e-6)/(L*NFIN)));
DLBIN_i = ((((model_.DLBIN)+((1.0e-6*(model_.LDLBIN))/L))+((model_.NDLBIN)/NFIN))+(((model_.PDLBIN)*1.0e-6)/(L*NFIN)));
LINT_i = ((((model_.LINT)+((1.0e-6*(model_.LLINT))/L))+((model_.NLINT)/NFIN))+(((model_.PLINT)*1.0e-6)/(L*NFIN)));
Lg = (L+XL_i);
{
double value_pow_0 = pow(Lg,(-(model_.LLN)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = value_pow_0;
}
deltaL = (LINT_i+((model_.LL)*T0));
{
double value_pow_0 = pow((Lg+DLBIN_i),(-(model_.LLN)));
deltaL1 = (LINT_i+((model_.LL)*value_pow_0));
}
deltaLCV = ((model_.DLC)+((model_.LLC)*T0));
Leff = (Lg-(2.0*deltaL));
Leff1 = ((Lg+DLBIN_i)-(2.0*deltaL1));
LeffCV = (Lg-(2.0*deltaLCV));
LeffCV_acc = (LeffCV-(model_.DLCACC));
if (((model_.GEOMOD)==5))
{
XW_i = (((((XW+((1.0e-6*(model_.LXW))/L))+((model_.NXW)/NFIN))+(((model_.PXW)*1.0e-6)/(L*NFIN)))+((1.0e-6*(model_.WXW))/WGAA))+(((model_.P2XW)*1.0e-12)/(L*WGAA)));
DWBIN_i = ((((((model_.DWBIN)+((1.0e-6*(model_.LDWBIN))/L))+((model_.NDWBIN)/NFIN))+(((model_.PDWBIN)*1.0e-6)/(L*NFIN)))+((1.0e-6*(model_.WDWBIN))/WGAA))+(((model_.P2DWBIN)*1.0e-12)/(L*WGAA)));
WGAAeff = (WGAA+XW_i);
WGAAeff1 = (WGAAeff+DWBIN_i);
}
else
{
XW_i = 0;
DWBIN_i = 0;
WGAAeff = WGAA;
WGAAeff1 = WGAA;
}
NFINtotal = (NFIN*NF);
Inv_L = (1.0e-6/Leff1);
Inv_NFIN = (1.0/NFIN);
Inv_LNFIN = (1.0e-6/(Leff1*NFIN));
if (((model_.GEOMOD)==5))
{
Inv_W = (1.0e-6/WGAAeff1);
Inv_WL = (1.0e-12/(WGAAeff1*Leff1));
}
else
{
Inv_W = 0.0;
Inv_WL = 0.0;
}
{
NBODY_i = ((((model_.NBODY)+(Inv_L*(model_.LNBODY)))+(Inv_NFIN*(model_.NNBODY)))+(Inv_LNFIN*(model_.PNBODY)));
}
if (((model_.NBODYN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.NBODYN2))));
NBODY_i = (NBODY_i*(1.0+(((model_.NBODYN1)/NFIN)*(((1.0+(NFIN/(model_.NBODYN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
if ( (model_.GEOMOD) == (0))
{
if ((((model_.TFIN_TOP)==0.0)||((model_.TFIN_BASE)==0.0)))
{
Weff_UFCM = (2.0*(model_.HFIN));
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
Ach = ((model_.HFIN)*TFIN);
}
else
{
{
double value_sqrt_0 = sqrt((((model_.HFIN)*(model_.HFIN))+((((model_.TFIN_TOP)-(model_.TFIN_BASE))*((model_.TFIN_TOP)-(model_.TFIN_BASE)))/4.0)));
Weff_UFCM = (2.0*value_sqrt_0);
}
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
Ach = (((model_.HFIN)*((model_.TFIN_TOP)+(model_.TFIN_BASE)))/2.0);
}
}
else
if ( (model_.GEOMOD) == (1))
{
if ((((model_.TFIN_TOP)==0.0)||((model_.TFIN_BASE)==0.0)))
{
Weff_UFCM = ((2.0*(model_.HFIN))+TFIN);
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
Ach = ((model_.HFIN)*TFIN);
}
else
{
{
double value_sqrt_0 = sqrt((((model_.HFIN)*(model_.HFIN))+((((model_.TFIN_TOP)-(model_.TFIN_BASE))*((model_.TFIN_TOP)-(model_.TFIN_BASE)))/4.0)));
Weff_UFCM = ((2.0*value_sqrt_0)+(model_.TFIN_TOP));
}
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
Ach = (((model_.HFIN)*((model_.TFIN_TOP)+(model_.TFIN_BASE)))/2.0);
}
}
else
if ( (model_.GEOMOD) == (2))
{
if ((((model_.TFIN_TOP)==0.0)||((model_.TFIN_BASE)==0.0)))
{
Weff_UFCM = ((2.0*(model_.HFIN))+(2.0*TFIN));
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
Ach = ((model_.HFIN)*TFIN);
}
else
{
{
double value_sqrt_0 = sqrt((((model_.HFIN)*(model_.HFIN))+((((model_.TFIN_TOP)-(model_.TFIN_BASE))*((model_.TFIN_TOP)-(model_.TFIN_BASE)))/4.0)));
Weff_UFCM = (((2.0*value_sqrt_0)+(model_.TFIN_TOP))+(model_.TFIN_BASE));
}
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
Ach = (((model_.HFIN)*((model_.TFIN_TOP)+(model_.TFIN_BASE)))/2.0);
}
WeffB = (model_.TFIN_BASE);
}
else
if ( (model_.GEOMOD) == (3))
{
Weff_UFCM = (3.14159265358979323846*D);
{
double value_log_0 = log((1.0+((2.0*(model_.EOT))/D)));
Cins = ((((2.0*3.14159265358979323846)*(model_.EPSROX))*8.8542e-12)/(((1.0+((2.0*(model_.EOT))/D))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ach = (((3.14159265358979323846*D)*D)/4.0);
WeffB = D;
}
else
if ( (model_.GEOMOD) == (4))
{
Weff_UFCM = (model_.W_UFCM);
Cins = (model_.CINS_UFCM);
Ach = (model_.ACH_UFCM);
}
else
if ( (model_.GEOMOD) == (5))
{
Weff1 = ((2*(WGAAeff+TGAA))+DWS1);
Ach1 = ((WGAAeff*TGAA)+DACH1);
Weff_UFCM = Weff1;
Ach = Ach1;
if ((NGAA>1))
{
Weff2 = ((2*(WGAAeff+TGAA))+DWS2);
Ach2 = ((WGAAeff*TGAA)+DACH2);
Weff_UFCM = (Weff1+Weff2);
Ach = (Ach1+Ach2);
}
if ((NGAA>2))
{
Weff3 = ((2*(WGAAeff+TGAA))+DWS3);
Ach3 = ((WGAAeff*TGAA)+DACH3);
Weff_UFCM = ((Weff1+Weff2)+Weff3);
Ach = ((Ach1+Ach2)+Ach3);
}
if ((NGAA>3))
{
Weff4 = ((2*(WGAAeff+TGAA))+DWS4);
Ach4 = ((WGAAeff*TGAA)+DACH4);
Weff_UFCM = (((Weff1+Weff2)+Weff3)+Weff4);
Ach = (((Ach1+Ach2)+Ach3)+Ach4);
}
if ((NGAA>4))
{
Weff5 = ((2*(WGAAeff+TGAA))+DWS5);
Ach5 = ((WGAAeff*TGAA)+DACH5);
Weff_UFCM = ((((Weff1+Weff2)+Weff3)+Weff4)+Weff5);
Ach = ((((Ach1+Ach2)+Ach3)+Ach4)+Ach5);
}
if ((NGAA>5))
{
Weff6 = ((2*(WGAAeff+TGAA))+DWS6);
Ach6 = ((WGAAeff*TGAA)+DACH6);
Weff_UFCM = (((((Weff1+Weff2)+Weff3)+Weff4)+Weff5)+Weff6);
Ach = (((((Ach1+Ach2)+Ach3)+Ach4)+Ach5)+Ach6);
}
WeffB = WGAA;
Cins = (((Weff_UFCM*(model_.EPSROX))*8.8542e-12)/(model_.EOT));
}
else
{
 // no default
}
rc = ((2.0*Cins)/(((Weff_UFCM*Weff_UFCM)*epssub)/Ach));
Qdep_ov_Cins = ((((-1.60219e-19)*NBODY_i)*Ach)/Cins);
cox = (Cins/Weff_UFCM);
if (((model_.BULKMOD)!=0))
{

d_cox_acc_dV_gi_e = d_cox_acc_dV_di_si = d_cox_acc_dV_e_si = d_cox_acc_dV_e_di = d_cox_acc_dV_gi_si = d_cox_acc_dTemp_t_GND =  0.0;
cox_acc = ((cox*(model_.EOT))/(model_.EOTACC));
}
Weff0 = (Weff_UFCM-(model_.DELTAW));
WeffCV0 = (Weff_UFCM-(model_.DELTAWCV));
if (((model_.GEOMOD)==5))
{
WeffCV_acc = (Weff0-((2*NGAA)*(model_.DWCACC)));
}
else
{
WeffCV_acc = Weff0;
}
{
PHIG_i = ((((((model_.PHIG)+(Inv_L*(model_.LPHIG)))+(Inv_NFIN*(model_.NPHIG)))+(Inv_LNFIN*(model_.PPHIG)))+(Inv_W*(model_.WPHIG)))+(Inv_WL*(model_.P2PHIG)));
}
{
NGATE_i = ((((((model_.NGATE)+(Inv_L*(model_.LNGATE)))+(Inv_NFIN*(model_.NNGATE)))+(Inv_LNFIN*(model_.PNGATE)))+(Inv_W*(model_.WNGATE)))+(Inv_WL*(model_.P2NGATE)));
}
{
CIT_i = ((((((model_.CIT)+(Inv_L*(model_.LCIT)))+(Inv_NFIN*(model_.NCIT)))+(Inv_LNFIN*(model_.PCIT)))+(Inv_W*(model_.WCIT)))+(Inv_WL*(model_.P2CIT)));
}
{
CDSC_i = ((((((model_.CDSC)+(Inv_L*(model_.LCDSC)))+(Inv_NFIN*(model_.NCDSC)))+(Inv_LNFIN*(model_.PCDSC)))+(Inv_W*(model_.WCDSC)))+(Inv_WL*(model_.P2CDSC)));
}
{
CDSCD_i = ((((((model_.CDSCD)+(Inv_L*(model_.LCDSCD)))+(Inv_NFIN*(model_.NCDSCD)))+(Inv_LNFIN*(model_.PCDSCD)))+(Inv_W*(model_.WCDSCD)))+(Inv_WL*(model_.P2CDSCD)));
}
{
DVT0_i = ((((((model_.DVT0)+(Inv_L*(model_.LDVT0)))+(Inv_NFIN*(model_.NDVT0)))+(Inv_LNFIN*(model_.PDVT0)))+(Inv_W*(model_.WDVT0)))+(Inv_WL*(model_.P2DVT0)));
}
{
DVT1_i = ((((((model_.DVT1)+(Inv_L*(model_.LDVT1)))+(Inv_NFIN*(model_.NDVT1)))+(Inv_LNFIN*(model_.PDVT1)))+(Inv_W*(model_.WDVT1)))+(Inv_WL*(model_.P2DVT1)));
}
{
DVT1SS_i = ((((((model_.DVT1SS)+(Inv_L*(model_.LDVT1SS)))+(Inv_NFIN*(model_.NDVT1SS)))+(Inv_LNFIN*(model_.PDVT1SS)))+(Inv_W*(model_.WDVT1SS)))+(Inv_WL*(model_.P2DVT1SS)));
}
{
PHIN_i = ((((((model_.PHIN)+(Inv_L*(model_.LPHIN)))+(Inv_NFIN*(model_.NPHIN)))+(Inv_LNFIN*(model_.PPHIN)))+(Inv_W*(model_.WPHIN)))+(Inv_WL*(model_.P2PHIN)));
}
{
ETA0_i = ((((((model_.ETA0)+(Inv_L*(model_.LETA0)))+(Inv_NFIN*(model_.NETA0)))+(Inv_LNFIN*(model_.PETA0)))+(Inv_W*(model_.WETA0)))+(Inv_WL*(model_.P2ETA0)));
}
{
DSUB_i = ((((((model_.DSUB)+(Inv_L*(model_.LDSUB)))+(Inv_NFIN*(model_.NDSUB)))+(Inv_LNFIN*(model_.PDSUB)))+(Inv_W*(model_.WDSUB)))+(Inv_WL*(model_.P2DSUB)));
}
{
K1RSCE_i = ((((((model_.K1RSCE)+(Inv_L*(model_.LK1RSCE)))+(Inv_NFIN*(model_.NK1RSCE)))+(Inv_LNFIN*(model_.PK1RSCE)))+(Inv_W*(model_.WK1RSCE)))+(Inv_WL*(model_.P2K1RSCE)));
}
{
LPE0_i = ((((((model_.LPE0)+(Inv_L*(model_.LLPE0)))+(Inv_NFIN*(model_.NLPE0)))+(Inv_LNFIN*(model_.PLPE0)))+(Inv_W*(model_.WLPE0)))+(Inv_WL*(model_.P2LPE0)));
}
{
DVTSHIFT_i = ((((((model_.DVTSHIFT)+(Inv_L*(model_.LDVTSHIFT)))+(Inv_NFIN*(model_.NDVTSHIFT)))+(Inv_LNFIN*(model_.PDVTSHIFT)))+(Inv_W*(model_.WDVTSHIFT)))+(Inv_WL*(model_.P2DVTSHIFT)));
}
{
K0_i = ((((((model_.K0)+(Inv_L*(model_.LK0)))+(Inv_NFIN*(model_.NK0)))+(Inv_LNFIN*(model_.PK0)))+(Inv_W*(model_.WK0)))+(Inv_WL*(model_.P2K0)));
}
{
K01_i = ((((((model_.K01)+(Inv_L*(model_.LK01)))+(Inv_NFIN*(model_.NK01)))+(Inv_LNFIN*(model_.PK01)))+(Inv_W*(model_.WK01)))+(Inv_WL*(model_.P2K01)));
}
{
K0SI_i = ((((((model_.K0SI)+(Inv_L*(model_.LK0SI)))+(Inv_NFIN*(model_.NK0SI)))+(Inv_LNFIN*(model_.PK0SI)))+(Inv_W*(model_.WK0SI)))+(Inv_WL*(model_.P2K0SI)));
}
{
K0SI1_i = ((((((model_.K0SI1)+(Inv_L*(model_.LK0SI1)))+(Inv_NFIN*(model_.NK0SI1)))+(Inv_LNFIN*(model_.PK0SI1)))+(Inv_W*(model_.WK0SI1)))+(Inv_WL*(model_.P2K0SI1)));
}
{
K2SI_i = ((((((model_.K2SI)+(Inv_L*(model_.LK2SI)))+(Inv_NFIN*(model_.NK2SI)))+(Inv_LNFIN*(model_.PK2SI)))+(Inv_W*(model_.WK2SI)))+(Inv_WL*(model_.P2K2SI)));
}
{
K2SI1_i = ((((((model_.K2SI1)+(Inv_L*(model_.LK2SI1)))+(Inv_NFIN*(model_.NK2SI1)))+(Inv_LNFIN*(model_.PK2SI1)))+(Inv_W*(model_.WK2SI1)))+(Inv_WL*(model_.P2K2SI1)));
}
{
K0SISAT_i = ((((((model_.K0SISAT)+(Inv_L*(model_.LK0SISAT)))+(Inv_NFIN*(model_.NK0SISAT)))+(Inv_LNFIN*(model_.PK0SISAT)))+(Inv_W*(model_.WK0SISAT)))+(Inv_WL*(model_.P2K0SISAT)));
}
{
K0SISAT1_i = ((((((model_.K0SISAT1)+(Inv_L*(model_.LK0SISAT1)))+(Inv_NFIN*(model_.NK0SISAT1)))+(Inv_LNFIN*(model_.PK0SISAT1)))+(Inv_W*(model_.WK0SISAT1)))+(Inv_WL*(model_.P2K0SISAT1)));
}
{
K2SISAT_i = ((((((model_.K2SISAT)+(Inv_L*(model_.LK2SISAT)))+(Inv_NFIN*(model_.NK2SISAT)))+(Inv_LNFIN*(model_.PK2SISAT)))+(Inv_W*(model_.WK2SISAT)))+(Inv_WL*(model_.P2K2SISAT)));
}
{
K2SISAT1_i = ((((((model_.K2SISAT1)+(Inv_L*(model_.LK2SISAT1)))+(Inv_NFIN*(model_.NK2SISAT1)))+(Inv_LNFIN*(model_.PK2SISAT1)))+(Inv_W*(model_.WK2SISAT1)))+(Inv_WL*(model_.P2K2SISAT1)));
}
{
QMFACTOR_i = ((((((model_.QMFACTOR)+(Inv_L*(model_.LQMFACTOR)))+(Inv_NFIN*(model_.NQMFACTOR)))+(Inv_LNFIN*(model_.PQMFACTOR)))+(Inv_W*(model_.WQMFACTOR)))+(Inv_WL*(model_.P2QMFACTOR)));
}
{
QMTCENCV_i = ((((((model_.QMTCENCV)+(Inv_L*(model_.LQMTCENCV)))+(Inv_NFIN*(model_.NQMTCENCV)))+(Inv_LNFIN*(model_.PQMTCENCV)))+(Inv_W*(model_.WQMTCENCV)))+(Inv_WL*(model_.P2QMTCENCV)));
}
{
QMTCENCVA_i = ((((((model_.QMTCENCVA)+(Inv_L*(model_.LQMTCENCVA)))+(Inv_NFIN*(model_.NQMTCENCVA)))+(Inv_LNFIN*(model_.PQMTCENCVA)))+(Inv_W*(model_.WQMTCENCVA)))+(Inv_WL*(model_.P2QMTCENCVA)));
}
{
VSAT_i = ((((((model_.VSAT)+(Inv_L*(model_.LVSAT)))+(Inv_NFIN*(model_.NVSAT)))+(Inv_LNFIN*(model_.PVSAT)))+(Inv_W*(model_.WVSAT)))+(Inv_WL*(model_.P2VSAT)));
}
{
VSAT1_i = ((((((model_.VSAT1)+(Inv_L*(model_.LVSAT1)))+(Inv_NFIN*(model_.NVSAT1)))+(Inv_LNFIN*(model_.PVSAT1)))+(Inv_W*(model_.WVSAT1)))+(Inv_WL*(model_.P2VSAT1)));
}
{
VSATCV_i = ((((((model_.VSATCV)+(Inv_L*(model_.LVSATCV)))+(Inv_NFIN*(model_.NVSATCV)))+(Inv_LNFIN*(model_.PVSATCV)))+(Inv_W*(model_.WVSATCV)))+(Inv_WL*(model_.P2VSATCV)));
}
{
DELTAVSAT_i = ((((((model_.DELTAVSAT)+(Inv_L*(model_.LDELTAVSAT)))+(Inv_NFIN*(model_.NDELTAVSAT)))+(Inv_LNFIN*(model_.PDELTAVSAT)))+(Inv_W*(model_.WDELTAVSAT)))+(Inv_WL*(model_.P2DELTAVSAT)));
}
{
PSAT_i = ((((((model_.PSAT)+(Inv_L*(model_.LPSAT)))+(Inv_NFIN*(model_.NPSAT)))+(Inv_LNFIN*(model_.PPSAT)))+(Inv_W*(model_.WPSAT)))+(Inv_WL*(model_.P2PSAT)));
}
{
DELTAVSATCV_i = ((((((model_.DELTAVSATCV)+(Inv_L*(model_.LDELTAVSATCV)))+(Inv_NFIN*(model_.NDELTAVSATCV)))+(Inv_LNFIN*(model_.PDELTAVSATCV)))+(Inv_W*(model_.WDELTAVSATCV)))+(Inv_WL*(model_.P2DELTAVSATCV)));
}
{
PSATCV_i = ((((((model_.PSATCV)+(Inv_L*(model_.LPSATCV)))+(Inv_NFIN*(model_.NPSATCV)))+(Inv_LNFIN*(model_.PPSATCV)))+(Inv_W*(model_.WPSATCV)))+(Inv_WL*(model_.P2PSATCV)));
}
{
KSATIV_i = ((((((model_.KSATIV)+(Inv_L*(model_.LKSATIV)))+(Inv_NFIN*(model_.NKSATIV)))+(Inv_LNFIN*(model_.PKSATIV)))+(Inv_W*(model_.WKSATIV)))+(Inv_WL*(model_.P2KSATIV)));
}
{
MEXP_i = ((((((model_.MEXP)+(Inv_L*(model_.LMEXP)))+(Inv_NFIN*(model_.NMEXP)))+(Inv_LNFIN*(model_.PMEXP)))+(Inv_W*(model_.WMEXP)))+(Inv_WL*(model_.P2MEXP)));
}
{
PTWG_i = ((((((model_.PTWG)+(Inv_L*(model_.LPTWG)))+(Inv_NFIN*(model_.NPTWG)))+(Inv_LNFIN*(model_.PPTWG)))+(Inv_W*(model_.WPTWG)))+(Inv_WL*(model_.P2PTWG)));
}
{
U0_i = ((((((model_.U0)+(Inv_L*(model_.LU0)))+(Inv_NFIN*(model_.NU0)))+(Inv_LNFIN*(model_.PU0)))+(Inv_W*(model_.WU0)))+(Inv_WL*(model_.P2U0)));
}
{
ETAMOB_i = ((((((model_.ETAMOB)+(Inv_L*(model_.LETAMOB)))+(Inv_NFIN*(model_.NETAMOB)))+(Inv_LNFIN*(model_.PETAMOB)))+(Inv_W*(model_.WETAMOB)))+(Inv_WL*(model_.P2ETAMOB)));
}
{
UP_i = ((((((model_.UP)+(Inv_L*(model_.LUP)))+(Inv_NFIN*(model_.NUP)))+(Inv_LNFIN*(model_.PUP)))+(Inv_W*(model_.WUP)))+(Inv_WL*(model_.P2UP)));
}
{
UA_i = ((((((model_.UA)+(Inv_L*(model_.LUA)))+(Inv_NFIN*(model_.NUA)))+(Inv_LNFIN*(model_.PUA)))+(Inv_W*(model_.WUA)))+(Inv_WL*(model_.P2UA)));
}
{
EU_i = ((((((model_.EU)+(Inv_L*(model_.LEU)))+(Inv_NFIN*(model_.NEU)))+(Inv_LNFIN*(model_.PEU)))+(Inv_W*(model_.WEU)))+(Inv_WL*(model_.P2EU)));
}
{
UD_i = ((((((model_.UD)+(Inv_L*(model_.LUD)))+(Inv_NFIN*(model_.NUD)))+(Inv_LNFIN*(model_.PUD)))+(Inv_W*(model_.WUD)))+(Inv_WL*(model_.P2UD)));
}
{
UCS_i = ((((((model_.UCS)+(Inv_L*(model_.LUCS)))+(Inv_NFIN*(model_.NUCS)))+(Inv_LNFIN*(model_.PUCS)))+(Inv_W*(model_.WUCS)))+(Inv_WL*(model_.P2UCS)));
}
{
UDS_i = ((((((model_.UDS)+(Inv_L*(model_.LUDS)))+(Inv_NFIN*(model_.NUDS)))+(Inv_LNFIN*(model_.PUDS)))+(Inv_W*(model_.WUDS)))+(Inv_WL*(model_.P2UDS)));
}
{
UDS1_i = ((((((model_.UDS1)+(Inv_L*(model_.LUDS1)))+(Inv_NFIN*(model_.NUDS1)))+(Inv_LNFIN*(model_.PUDS1)))+(Inv_W*(model_.WUDS1)))+(Inv_WL*(model_.P2UDS1)));
}
{
UDD_i = ((((((model_.UDD)+(Inv_L*(model_.LUDD)))+(Inv_NFIN*(model_.NUDD)))+(Inv_LNFIN*(model_.PUDD)))+(Inv_W*(model_.WUDD)))+(Inv_WL*(model_.P2UDD)));
}
{
UDD1_i = ((((((model_.UDD1)+(Inv_L*(model_.LUDD1)))+(Inv_NFIN*(model_.NUDD1)))+(Inv_LNFIN*(model_.PUDD1)))+(Inv_W*(model_.WUDD1)))+(Inv_WL*(model_.P2UDD1)));
}
{
PCLM_i = ((((((model_.PCLM)+(Inv_L*(model_.LPCLM)))+(Inv_NFIN*(model_.NPCLM)))+(Inv_LNFIN*(model_.PPCLM)))+(Inv_W*(model_.WPCLM)))+(Inv_WL*(model_.P2PCLM)));
}
{
PCLMG_i = ((((((model_.PCLMG)+(Inv_L*(model_.LPCLMG)))+(Inv_NFIN*(model_.NPCLMG)))+(Inv_LNFIN*(model_.PPCLMG)))+(Inv_W*(model_.WPCLMG)))+(Inv_WL*(model_.P2PCLMG)));
}
{
PCLMCV_i = ((((((model_.PCLMCV)+(Inv_L*(model_.LPCLMCV)))+(Inv_NFIN*(model_.NPCLMCV)))+(Inv_LNFIN*(model_.PPCLMCV)))+(Inv_W*(model_.WPCLMCV)))+(Inv_WL*(model_.P2PCLMCV)));
}
{
A1_i = ((((((model_.A1)+(Inv_L*(model_.LA1)))+(Inv_NFIN*(model_.NA1)))+(Inv_LNFIN*(model_.PA1)))+(Inv_W*(model_.WA1)))+(Inv_WL*(model_.P2A1)));
}
{
A11_i = ((((((model_.A11)+(Inv_L*(model_.LA11)))+(Inv_NFIN*(model_.NA11)))+(Inv_LNFIN*(model_.PA11)))+(Inv_W*(model_.WA11)))+(Inv_WL*(model_.P2A11)));
}
{
A2_i = ((((((model_.A2)+(Inv_L*(model_.LA2)))+(Inv_NFIN*(model_.NA2)))+(Inv_LNFIN*(model_.PA2)))+(Inv_W*(model_.WA2)))+(Inv_WL*(model_.P2A2)));
}
{
A21_i = ((((((model_.A21)+(Inv_L*(model_.LA21)))+(Inv_NFIN*(model_.NA21)))+(Inv_LNFIN*(model_.PA21)))+(Inv_W*(model_.WA21)))+(Inv_WL*(model_.P2A21)));
}
{
RDSW_i = ((((((model_.RDSW)+(Inv_L*(model_.LRDSW)))+(Inv_NFIN*(model_.NRDSW)))+(Inv_LNFIN*(model_.PRDSW)))+(Inv_W*(model_.WRDSW)))+(Inv_WL*(model_.P2RDSW)));
}
{
RSW_i = ((((((model_.RSW)+(Inv_L*(model_.LRSW)))+(Inv_NFIN*(model_.NRSW)))+(Inv_LNFIN*(model_.PRSW)))+(Inv_W*(model_.WRSW)))+(Inv_WL*(model_.P2RSW)));
}
{
RDW_i = ((((((model_.RDW)+(Inv_L*(model_.LRDW)))+(Inv_NFIN*(model_.NRDW)))+(Inv_LNFIN*(model_.PRDW)))+(Inv_W*(model_.WRDW)))+(Inv_WL*(model_.P2RDW)));
}
{
PRWGD_i = ((((((model_.PRWGD)+(Inv_L*(model_.LPRWGD)))+(Inv_NFIN*(model_.NPRWGD)))+(Inv_LNFIN*(model_.PPRWGD)))+(Inv_W*(model_.WPRWGD)))+(Inv_WL*(model_.P2PRWGD)));
}
{
PRWGS_i = ((((((model_.PRWGS)+(Inv_L*(model_.LPRWGS)))+(Inv_NFIN*(model_.NPRWGS)))+(Inv_LNFIN*(model_.PPRWGS)))+(Inv_W*(model_.WPRWGS)))+(Inv_WL*(model_.P2PRWGS)));
}
{
WR_i = ((((((model_.WR)+(Inv_L*(model_.LWR)))+(Inv_NFIN*(model_.NWR)))+(Inv_LNFIN*(model_.PWR)))+(Inv_W*(model_.WWR)))+(Inv_WL*(model_.P2WR)));
}
{
PDIBL1_i = ((((((model_.PDIBL1)+(Inv_L*(model_.LPDIBL1)))+(Inv_NFIN*(model_.NPDIBL1)))+(Inv_LNFIN*(model_.PPDIBL1)))+(Inv_W*(model_.WPDIBL1)))+(Inv_WL*(model_.P2PDIBL1)));
}
{
PDIBL2_i = ((((((model_.PDIBL2)+(Inv_L*(model_.LPDIBL2)))+(Inv_NFIN*(model_.NPDIBL2)))+(Inv_LNFIN*(model_.PPDIBL2)))+(Inv_W*(model_.WPDIBL2)))+(Inv_WL*(model_.P2PDIBL2)));
}
{
DROUT_i = ((((((model_.DROUT)+(Inv_L*(model_.LDROUT)))+(Inv_NFIN*(model_.NDROUT)))+(Inv_LNFIN*(model_.PDROUT)))+(Inv_W*(model_.WDROUT)))+(Inv_WL*(model_.P2DROUT)));
}
{
PVAG_i = ((((((model_.PVAG)+(Inv_L*(model_.LPVAG)))+(Inv_NFIN*(model_.NPVAG)))+(Inv_LNFIN*(model_.PPVAG)))+(Inv_W*(model_.WPVAG)))+(Inv_WL*(model_.P2PVAG)));
}
{
AIGBINV_i = ((((((model_.AIGBINV)+(Inv_L*(model_.LAIGBINV)))+(Inv_NFIN*(model_.NAIGBINV)))+(Inv_LNFIN*(model_.PAIGBINV)))+(Inv_W*(model_.WAIGBINV)))+(Inv_WL*(model_.P2AIGBINV)));
}
{
AIGBINV1_i = ((((((model_.AIGBINV1)+(Inv_L*(model_.LAIGBINV1)))+(Inv_NFIN*(model_.NAIGBINV1)))+(Inv_LNFIN*(model_.PAIGBINV1)))+(Inv_W*(model_.WAIGBINV1)))+(Inv_WL*(model_.P2AIGBINV1)));
}
{
BIGBINV_i = ((((((model_.BIGBINV)+(Inv_L*(model_.LBIGBINV)))+(Inv_NFIN*(model_.NBIGBINV)))+(Inv_LNFIN*(model_.PBIGBINV)))+(Inv_W*(model_.WBIGBINV)))+(Inv_WL*(model_.P2BIGBINV)));
}
{
CIGBINV_i = ((((((model_.CIGBINV)+(Inv_L*(model_.LCIGBINV)))+(Inv_NFIN*(model_.NCIGBINV)))+(Inv_LNFIN*(model_.PCIGBINV)))+(Inv_W*(model_.WCIGBINV)))+(Inv_WL*(model_.P2CIGBINV)));
}
{
EIGBINV_i = ((((((model_.EIGBINV)+(Inv_L*(model_.LEIGBINV)))+(Inv_NFIN*(model_.NEIGBINV)))+(Inv_LNFIN*(model_.PEIGBINV)))+(Inv_W*(model_.WEIGBINV)))+(Inv_WL*(model_.P2EIGBINV)));
}
{
NIGBINV_i = ((((((model_.NIGBINV)+(Inv_L*(model_.LNIGBINV)))+(Inv_NFIN*(model_.NNIGBINV)))+(Inv_LNFIN*(model_.PNIGBINV)))+(Inv_W*(model_.WNIGBINV)))+(Inv_WL*(model_.P2NIGBINV)));
}
{
AIGBACC_i = ((((((model_.AIGBACC)+(Inv_L*(model_.LAIGBACC)))+(Inv_NFIN*(model_.NAIGBACC)))+(Inv_LNFIN*(model_.PAIGBACC)))+(Inv_W*(model_.WAIGBACC)))+(Inv_WL*(model_.P2AIGBACC)));
}
{
AIGBACC1_i = ((((((model_.AIGBACC1)+(Inv_L*(model_.LAIGBACC1)))+(Inv_NFIN*(model_.NAIGBACC1)))+(Inv_LNFIN*(model_.PAIGBACC1)))+(Inv_W*(model_.WAIGBACC1)))+(Inv_WL*(model_.P2AIGBACC1)));
}
{
BIGBACC_i = ((((((model_.BIGBACC)+(Inv_L*(model_.LBIGBACC)))+(Inv_NFIN*(model_.NBIGBACC)))+(Inv_LNFIN*(model_.PBIGBACC)))+(Inv_W*(model_.WBIGBACC)))+(Inv_WL*(model_.P2BIGBACC)));
}
{
CIGBACC_i = ((((((model_.CIGBACC)+(Inv_L*(model_.LCIGBACC)))+(Inv_NFIN*(model_.NCIGBACC)))+(Inv_LNFIN*(model_.PCIGBACC)))+(Inv_W*(model_.WCIGBACC)))+(Inv_WL*(model_.P2CIGBACC)));
}
{
NIGBACC_i = ((((((model_.NIGBACC)+(Inv_L*(model_.LNIGBACC)))+(Inv_NFIN*(model_.NNIGBACC)))+(Inv_LNFIN*(model_.PNIGBACC)))+(Inv_W*(model_.WNIGBACC)))+(Inv_WL*(model_.P2NIGBACC)));
}
{
AIGC_i = ((((((model_.AIGC)+(Inv_L*(model_.LAIGC)))+(Inv_NFIN*(model_.NAIGC)))+(Inv_LNFIN*(model_.PAIGC)))+(Inv_W*(model_.WAIGC)))+(Inv_WL*(model_.P2AIGC)));
}
{
AIGC1_i = ((((((model_.AIGC1)+(Inv_L*(model_.LAIGC1)))+(Inv_NFIN*(model_.NAIGC1)))+(Inv_LNFIN*(model_.PAIGC1)))+(Inv_W*(model_.WAIGC1)))+(Inv_WL*(model_.P2AIGC1)));
}
{
BIGC_i = ((((((model_.BIGC)+(Inv_L*(model_.LBIGC)))+(Inv_NFIN*(model_.NBIGC)))+(Inv_LNFIN*(model_.PBIGC)))+(Inv_W*(model_.WBIGC)))+(Inv_WL*(model_.P2BIGC)));
}
{
CIGC_i = ((((((model_.CIGC)+(Inv_L*(model_.LCIGC)))+(Inv_NFIN*(model_.NCIGC)))+(Inv_LNFIN*(model_.PCIGC)))+(Inv_W*(model_.WCIGC)))+(Inv_WL*(model_.P2CIGC)));
}
{
PIGCD_i = ((((((model_.PIGCD)+(Inv_L*(model_.LPIGCD)))+(Inv_NFIN*(model_.NPIGCD)))+(Inv_LNFIN*(model_.PPIGCD)))+(Inv_W*(model_.WPIGCD)))+(Inv_WL*(model_.P2PIGCD)));
}
{
AIGS_i = ((((((model_.AIGS)+(Inv_L*(model_.LAIGS)))+(Inv_NFIN*(model_.NAIGS)))+(Inv_LNFIN*(model_.PAIGS)))+(Inv_W*(model_.WAIGS)))+(Inv_WL*(model_.P2AIGS)));
}
{
AIGS1_i = ((((((model_.AIGS1)+(Inv_L*(model_.LAIGS1)))+(Inv_NFIN*(model_.NAIGS1)))+(Inv_LNFIN*(model_.PAIGS1)))+(Inv_W*(model_.WAIGS1)))+(Inv_WL*(model_.P2AIGS1)));
}
{
BIGS_i = ((((((model_.BIGS)+(Inv_L*(model_.LBIGS)))+(Inv_NFIN*(model_.NBIGS)))+(Inv_LNFIN*(model_.PBIGS)))+(Inv_W*(model_.WBIGS)))+(Inv_WL*(model_.P2BIGS)));
}
{
CIGS_i = ((((((model_.CIGS)+(Inv_L*(model_.LCIGS)))+(Inv_NFIN*(model_.NCIGS)))+(Inv_LNFIN*(model_.PCIGS)))+(Inv_W*(model_.WCIGS)))+(Inv_WL*(model_.P2CIGS)));
}
{
AIGD_i = ((((((model_.AIGD)+(Inv_L*(model_.LAIGD)))+(Inv_NFIN*(model_.NAIGD)))+(Inv_LNFIN*(model_.PAIGD)))+(Inv_W*(model_.WAIGD)))+(Inv_WL*(model_.P2AIGD)));
}
{
AIGD1_i = ((((((model_.AIGD1)+(Inv_L*(model_.LAIGD1)))+(Inv_NFIN*(model_.NAIGD1)))+(Inv_LNFIN*(model_.PAIGD1)))+(Inv_W*(model_.WAIGD1)))+(Inv_WL*(model_.P2AIGD1)));
}
{
BIGD_i = ((((((model_.BIGD)+(Inv_L*(model_.LBIGD)))+(Inv_NFIN*(model_.NBIGD)))+(Inv_LNFIN*(model_.PBIGD)))+(Inv_W*(model_.WBIGD)))+(Inv_WL*(model_.P2BIGD)));
}
{
CIGD_i = ((((((model_.CIGD)+(Inv_L*(model_.LCIGD)))+(Inv_NFIN*(model_.NCIGD)))+(Inv_LNFIN*(model_.PCIGD)))+(Inv_W*(model_.WCIGD)))+(Inv_WL*(model_.P2CIGD)));
}
{
NTOX_i = ((((((model_.NTOX)+(Inv_L*(model_.LNTOX)))+(Inv_NFIN*(model_.NNTOX)))+(Inv_LNFIN*(model_.PNTOX)))+(Inv_W*(model_.WNTOX)))+(Inv_WL*(model_.P2NTOX)));
}
{
POXEDGE_i = ((((((model_.POXEDGE)+(Inv_L*(model_.LPOXEDGE)))+(Inv_NFIN*(model_.NPOXEDGE)))+(Inv_LNFIN*(model_.PPOXEDGE)))+(Inv_W*(model_.WPOXEDGE)))+(Inv_WL*(model_.P2POXEDGE)));
}
{
AGIDL_i = ((((((model_.AGIDL)+(Inv_L*(model_.LAGIDL)))+(Inv_NFIN*(model_.NAGIDL)))+(Inv_LNFIN*(model_.PAGIDL)))+(Inv_W*(model_.WAGIDL)))+(Inv_WL*(model_.P2AGIDL)));
}
{
BGIDL_i = ((((((model_.BGIDL)+(Inv_L*(model_.LBGIDL)))+(Inv_NFIN*(model_.NBGIDL)))+(Inv_LNFIN*(model_.PBGIDL)))+(Inv_W*(model_.WBGIDL)))+(Inv_WL*(model_.P2BGIDL)));
}
{
CGIDL_i = ((((((model_.CGIDL)+(Inv_L*(model_.LCGIDL)))+(Inv_NFIN*(model_.NCGIDL)))+(Inv_LNFIN*(model_.PCGIDL)))+(Inv_W*(model_.WCGIDL)))+(Inv_WL*(model_.P2CGIDL)));
}
{
EGIDL_i = ((((((model_.EGIDL)+(Inv_L*(model_.LEGIDL)))+(Inv_NFIN*(model_.NEGIDL)))+(Inv_LNFIN*(model_.PEGIDL)))+(Inv_W*(model_.WEGIDL)))+(Inv_WL*(model_.P2EGIDL)));
}
{
PGIDL_i = ((((((model_.PGIDL)+(Inv_L*(model_.LPGIDL)))+(Inv_NFIN*(model_.NPGIDL)))+(Inv_LNFIN*(model_.PPGIDL)))+(Inv_W*(model_.WPGIDL)))+(Inv_WL*(model_.P2PGIDL)));
}
{
AGISL_i = ((((((model_.AGISL)+(Inv_L*(model_.LAGISL)))+(Inv_NFIN*(model_.NAGISL)))+(Inv_LNFIN*(model_.PAGISL)))+(Inv_W*(model_.WAGISL)))+(Inv_WL*(model_.P2AGISL)));
}
{
BGISL_i = ((((((model_.BGISL)+(Inv_L*(model_.LBGISL)))+(Inv_NFIN*(model_.NBGISL)))+(Inv_LNFIN*(model_.PBGISL)))+(Inv_W*(model_.WBGISL)))+(Inv_WL*(model_.P2BGISL)));
}
{
CGISL_i = ((((((model_.CGISL)+(Inv_L*(model_.LCGISL)))+(Inv_NFIN*(model_.NCGISL)))+(Inv_LNFIN*(model_.PCGISL)))+(Inv_W*(model_.WCGISL)))+(Inv_WL*(model_.P2CGISL)));
}
{
EGISL_i = ((((((model_.EGISL)+(Inv_L*(model_.LEGISL)))+(Inv_NFIN*(model_.NEGISL)))+(Inv_LNFIN*(model_.PEGISL)))+(Inv_W*(model_.WEGISL)))+(Inv_WL*(model_.P2EGISL)));
}
{
PGISL_i = ((((((model_.PGISL)+(Inv_L*(model_.LPGISL)))+(Inv_NFIN*(model_.NPGISL)))+(Inv_LNFIN*(model_.PPGISL)))+(Inv_W*(model_.WPGISL)))+(Inv_WL*(model_.P2PGISL)));
}
{
ALPHA0_i = ((((((model_.ALPHA0)+(Inv_L*(model_.LALPHA0)))+(Inv_NFIN*(model_.NALPHA0)))+(Inv_LNFIN*(model_.PALPHA0)))+(Inv_W*(model_.WALPHA0)))+(Inv_WL*(model_.P2ALPHA0)));
}
{
ALPHA1_i = ((((((model_.ALPHA1)+(Inv_L*(model_.LALPHA1)))+(Inv_NFIN*(model_.NALPHA1)))+(Inv_LNFIN*(model_.PALPHA1)))+(Inv_W*(model_.WALPHA1)))+(Inv_WL*(model_.P2ALPHA1)));
}
{
ALPHAII0_i = ((((((model_.ALPHAII0)+(Inv_L*(model_.LALPHAII0)))+(Inv_NFIN*(model_.NALPHAII0)))+(Inv_LNFIN*(model_.PALPHAII0)))+(Inv_W*(model_.WALPHAII0)))+(Inv_WL*(model_.P2ALPHAII0)));
}
{
ALPHAII1_i = ((((((model_.ALPHAII1)+(Inv_L*(model_.LALPHAII1)))+(Inv_NFIN*(model_.NALPHAII1)))+(Inv_LNFIN*(model_.PALPHAII1)))+(Inv_W*(model_.WALPHAII1)))+(Inv_WL*(model_.P2ALPHAII1)));
}
{
BETA0_i = ((((((model_.BETA0)+(Inv_L*(model_.LBETA0)))+(Inv_NFIN*(model_.NBETA0)))+(Inv_LNFIN*(model_.PBETA0)))+(Inv_W*(model_.WBETA0)))+(Inv_WL*(model_.P2BETA0)));
}
{
BETAII0_i = ((((((model_.BETAII0)+(Inv_L*(model_.LBETAII0)))+(Inv_NFIN*(model_.NBETAII0)))+(Inv_LNFIN*(model_.PBETAII0)))+(Inv_W*(model_.WBETAII0)))+(Inv_WL*(model_.P2BETAII0)));
}
{
BETAII1_i = ((((((model_.BETAII1)+(Inv_L*(model_.LBETAII1)))+(Inv_NFIN*(model_.NBETAII1)))+(Inv_LNFIN*(model_.PBETAII1)))+(Inv_W*(model_.WBETAII1)))+(Inv_WL*(model_.P2BETAII1)));
}
{
BETAII2_i = ((((((model_.BETAII2)+(Inv_L*(model_.LBETAII2)))+(Inv_NFIN*(model_.NBETAII2)))+(Inv_LNFIN*(model_.PBETAII2)))+(Inv_W*(model_.WBETAII2)))+(Inv_WL*(model_.P2BETAII2)));
}
{
ESATII_i = ((((((model_.ESATII)+(Inv_L*(model_.LESATII)))+(Inv_NFIN*(model_.NESATII)))+(Inv_LNFIN*(model_.PESATII)))+(Inv_W*(model_.WESATII)))+(Inv_WL*(model_.P2ESATII)));
}
{
LII_i = ((((((model_.LII)+(Inv_L*(model_.LLII)))+(Inv_NFIN*(model_.NLII)))+(Inv_LNFIN*(model_.PLII)))+(Inv_W*(model_.WLII)))+(Inv_WL*(model_.P2LII)));
}
{
SII0_i = ((((((model_.SII0)+(Inv_L*(model_.LSII0)))+(Inv_NFIN*(model_.NSII0)))+(Inv_LNFIN*(model_.PSII0)))+(Inv_W*(model_.WSII0)))+(Inv_WL*(model_.P2SII0)));
}
{
SII1_i = ((((((model_.SII1)+(Inv_L*(model_.LSII1)))+(Inv_NFIN*(model_.NSII1)))+(Inv_LNFIN*(model_.PSII1)))+(Inv_W*(model_.WSII1)))+(Inv_WL*(model_.P2SII1)));
}
{
SII2_i = ((((((model_.SII2)+(Inv_L*(model_.LSII2)))+(Inv_NFIN*(model_.NSII2)))+(Inv_LNFIN*(model_.PSII2)))+(Inv_W*(model_.WSII2)))+(Inv_WL*(model_.P2SII2)));
}
{
SIID_i = ((((((model_.SIID)+(Inv_L*(model_.LSIID)))+(Inv_NFIN*(model_.NSIID)))+(Inv_LNFIN*(model_.PSIID)))+(Inv_W*(model_.WSIID)))+(Inv_WL*(model_.P2SIID)));
}
{
TII_i = ((((((model_.TII)+(Inv_L*(model_.LTII)))+(Inv_NFIN*(model_.NTII)))+(Inv_LNFIN*(model_.PTII)))+(Inv_W*(model_.WTII)))+(Inv_WL*(model_.P2TII)));
}
{
CFS_i = ((((((model_.CFS)+(Inv_L*(model_.LCFS)))+(Inv_NFIN*(model_.NCFS)))+(Inv_LNFIN*(model_.PCFS)))+(Inv_W*(model_.WCFS)))+(Inv_WL*(model_.P2CFS)));
}
{
CFD_i = ((((((model_.CFD)+(Inv_L*(model_.LCFD)))+(Inv_NFIN*(model_.NCFD)))+(Inv_LNFIN*(model_.PCFD)))+(Inv_W*(model_.WCFD)))+(Inv_WL*(model_.P2CFD)));
}
{

d_COVS_i_dV_ge_di = d_COVS_i_dV_ge_si = d_COVS_i_dV_gi_di1 = d_COVS_i_dV_gi_si1 = d_COVS_i_dV_gi_e = d_COVS_i_dV_e_si = d_COVS_i_dV_e_di = d_COVS_i_dV_gi_si = d_COVS_i_dV_di_si = d_COVS_i_dTemp_t_GND =  0.0;
COVS_i = (((((COVS+(Inv_L*(model_.LCOVS)))+(Inv_NFIN*(model_.NCOVS)))+(Inv_LNFIN*(model_.PCOVS)))+(Inv_W*(model_.WCOVS)))+(Inv_WL*(model_.P2COVS)));
}
{

d_COVD_i_dV_ge_di = d_COVD_i_dV_ge_si = d_COVD_i_dV_gi_di1 = d_COVD_i_dV_gi_si1 = d_COVD_i_dV_gi_e = d_COVD_i_dV_e_si = d_COVD_i_dV_e_di = d_COVD_i_dV_gi_si = d_COVD_i_dV_di_si = d_COVD_i_dTemp_t_GND =  0.0;
COVD_i = (((((COVD+(Inv_L*(model_.LCOVD)))+(Inv_NFIN*(model_.NCOVD)))+(Inv_LNFIN*(model_.PCOVD)))+(Inv_W*(model_.WCOVD)))+(Inv_WL*(model_.P2COVD)));
}
{
CGSL_i = ((((((model_.CGSL)+(Inv_L*(model_.LCGSL)))+(Inv_NFIN*(model_.NCGSL)))+(Inv_LNFIN*(model_.PCGSL)))+(Inv_W*(model_.WCGSL)))+(Inv_WL*(model_.P2CGSL)));
}
{
CGDL_i = ((((((model_.CGDL)+(Inv_L*(model_.LCGDL)))+(Inv_NFIN*(model_.NCGDL)))+(Inv_LNFIN*(model_.PCGDL)))+(Inv_W*(model_.WCGDL)))+(Inv_WL*(model_.P2CGDL)));
}
{
CGBL_i = ((((((model_.CGBL)+(Inv_L*(model_.LCGBL)))+(Inv_NFIN*(model_.NCGBL)))+(Inv_LNFIN*(model_.PCGBL)))+(Inv_W*(model_.WCGBL)))+(Inv_WL*(model_.P2CGBL)));
}
{
CKAPPAS_i = ((((((model_.CKAPPAS)+(Inv_L*(model_.LCKAPPAS)))+(Inv_NFIN*(model_.NCKAPPAS)))+(Inv_LNFIN*(model_.PCKAPPAS)))+(Inv_W*(model_.WCKAPPAS)))+(Inv_WL*(model_.P2CKAPPAS)));
}
{
CKAPPAD_i = ((((((model_.CKAPPAD)+(Inv_L*(model_.LCKAPPAD)))+(Inv_NFIN*(model_.NCKAPPAD)))+(Inv_LNFIN*(model_.PCKAPPAD)))+(Inv_W*(model_.WCKAPPAD)))+(Inv_WL*(model_.P2CKAPPAD)));
}
{
CKAPPAB_i = ((((((model_.CKAPPAB)+(Inv_L*(model_.LCKAPPAB)))+(Inv_NFIN*(model_.NCKAPPAB)))+(Inv_LNFIN*(model_.PCKAPPAB)))+(Inv_W*(model_.WCKAPPAB)))+(Inv_WL*(model_.P2CKAPPAB)));
}
{
NTGEN_i = ((((((model_.NTGEN)+(Inv_L*(model_.LNTGEN)))+(Inv_NFIN*(model_.NNTGEN)))+(Inv_LNFIN*(model_.PNTGEN)))+(Inv_W*(model_.WNTGEN)))+(Inv_WL*(model_.P2NTGEN)));
}
{
AIGEN_i = ((((((model_.AIGEN)+(Inv_L*(model_.LAIGEN)))+(Inv_NFIN*(model_.NAIGEN)))+(Inv_LNFIN*(model_.PAIGEN)))+(Inv_W*(model_.WAIGEN)))+(Inv_WL*(model_.P2AIGEN)));
}
{
BIGEN_i = ((((((model_.BIGEN)+(Inv_L*(model_.LBIGEN)))+(Inv_NFIN*(model_.NBIGEN)))+(Inv_LNFIN*(model_.PBIGEN)))+(Inv_W*(model_.WBIGEN)))+(Inv_WL*(model_.P2BIGEN)));
}
{
UTE_i = ((((((model_.UTE)+(Inv_L*(model_.LUTE)))+(Inv_NFIN*(model_.NUTE)))+(Inv_LNFIN*(model_.PUTE)))+(Inv_W*(model_.WUTE)))+(Inv_WL*(model_.P2UTE)));
}
{
UTE1_i = ((((((model_.UTE1)+(Inv_L*(model_.LUTE1)))+(Inv_NFIN*(model_.NUTE1)))+(Inv_LNFIN*(model_.PUTE1)))+(Inv_W*(model_.WUTE1)))+(Inv_WL*(model_.P2UTE1)));
}
{
UTL_i = ((((((model_.UTL)+(Inv_L*(model_.LUTL)))+(Inv_NFIN*(model_.NUTL)))+(Inv_LNFIN*(model_.PUTL)))+(Inv_W*(model_.WUTL)))+(Inv_WL*(model_.P2UTL)));
}
{
EMOBT_i = ((((((model_.EMOBT)+(Inv_L*(model_.LEMOBT)))+(Inv_NFIN*(model_.NEMOBT)))+(Inv_LNFIN*(model_.PEMOBT)))+(Inv_W*(model_.WEMOBT)))+(Inv_WL*(model_.P2EMOBT)));
}
{
UA1_i = ((((((model_.UA1)+(Inv_L*(model_.LUA1)))+(Inv_NFIN*(model_.NUA1)))+(Inv_LNFIN*(model_.PUA1)))+(Inv_W*(model_.WUA1)))+(Inv_WL*(model_.P2UA1)));
}
{
UA2_i = ((((((model_.UA2)+(Inv_L*(model_.LUA2)))+(Inv_NFIN*(model_.NUA2)))+(Inv_LNFIN*(model_.PUA2)))+(Inv_W*(model_.WUA2)))+(Inv_WL*(model_.P2UA2)));
}
{
EU1_i = ((((((model_.EU1)+(Inv_L*(model_.LEU1)))+(Inv_NFIN*(model_.NEU1)))+(Inv_LNFIN*(model_.PEU1)))+(Inv_W*(model_.WEU1)))+(Inv_WL*(model_.P2EU1)));
}
{
UD1_i = ((((((model_.UD1)+(Inv_L*(model_.LUD1)))+(Inv_NFIN*(model_.NUD1)))+(Inv_LNFIN*(model_.PUD1)))+(Inv_W*(model_.WUD1)))+(Inv_WL*(model_.P2UD1)));
}
{
UD2_i = ((((((model_.UD2)+(Inv_L*(model_.LUD2)))+(Inv_NFIN*(model_.NUD2)))+(Inv_LNFIN*(model_.PUD2)))+(Inv_W*(model_.WUD2)))+(Inv_WL*(model_.P2UD2)));
}
{
UCSTE_i = ((((((model_.UCSTE)+(Inv_L*(model_.LUCSTE)))+(Inv_NFIN*(model_.NUCSTE)))+(Inv_LNFIN*(model_.PUCSTE)))+(Inv_W*(model_.WUCSTE)))+(Inv_WL*(model_.P2UCSTE)));
}
{
UCSTE1_i = ((((((model_.UCSTE1)+(Inv_L*(model_.LUCSTE1)))+(Inv_NFIN*(model_.NUCSTE1)))+(Inv_LNFIN*(model_.PUCSTE1)))+(Inv_W*(model_.WUCSTE1)))+(Inv_WL*(model_.P2UCSTE1)));
}
{
PTWGT_i = ((((((model_.PTWGT)+(Inv_L*(model_.LPTWGT)))+(Inv_NFIN*(model_.NPTWGT)))+(Inv_LNFIN*(model_.PPTWGT)))+(Inv_W*(model_.WPTWGT)))+(Inv_WL*(model_.P2PTWGT)));
}
{
AT_i = ((((((model_.AT)+(Inv_L*(model_.LAT)))+(Inv_NFIN*(model_.NAT)))+(Inv_LNFIN*(model_.PAT)))+(Inv_W*(model_.WAT)))+(Inv_WL*(model_.P2AT)));
}
{
ATCV_i = ((((((model_.ATCV)+(Inv_L*(model_.LATCV)))+(Inv_NFIN*(model_.NATCV)))+(Inv_LNFIN*(model_.PATCV)))+(Inv_W*(model_.WATCV)))+(Inv_WL*(model_.P2ATCV)));
}
{
PRT_i = ((((((model_.PRT)+(Inv_L*(model_.LPRT)))+(Inv_NFIN*(model_.NPRT)))+(Inv_LNFIN*(model_.PPRT)))+(Inv_W*(model_.WPRT)))+(Inv_WL*(model_.P2PRT)));
}
{
PRT1_i = ((((((model_.PRT1)+(Inv_L*(model_.LPRT1)))+(Inv_NFIN*(model_.NPRT1)))+(Inv_LNFIN*(model_.PPRT1)))+(Inv_W*(model_.WPRT1)))+(Inv_WL*(model_.P2PRT1)));
}
{
TR0_i = ((((((model_.TR0)+(Inv_L*(model_.LTR0)))+(Inv_NFIN*(model_.NTR0)))+(Inv_LNFIN*(model_.PTR0)))+(Inv_W*(model_.WTR0)))+(Inv_WL*(model_.P2TR0)));
}
{
SPRT_i = ((((((model_.SPRT)+(Inv_L*(model_.LSPRT)))+(Inv_NFIN*(model_.NSPRT)))+(Inv_LNFIN*(model_.PSPRT)))+(Inv_W*(model_.WSPRT)))+(Inv_WL*(model_.P2SPRT)));
}
{
KT1_i = ((((((model_.KT1)+(Inv_L*(model_.LKT1)))+(Inv_NFIN*(model_.NKT1)))+(Inv_LNFIN*(model_.PKT1)))+(Inv_W*(model_.WKT1)))+(Inv_WL*(model_.P2KT1)));
}
{
TSS_i = ((((((model_.TSS)+(Inv_L*(model_.LTSS)))+(Inv_NFIN*(model_.NTSS)))+(Inv_LNFIN*(model_.PTSS)))+(Inv_W*(model_.WTSS)))+(Inv_WL*(model_.P2TSS)));
}
{
IIT_i = ((((((model_.IIT)+(Inv_L*(model_.LIIT)))+(Inv_NFIN*(model_.NIIT)))+(Inv_LNFIN*(model_.PIIT)))+(Inv_W*(model_.WIIT)))+(Inv_WL*(model_.P2IIT)));
}
{
TGIDL_i = ((((((model_.TGIDL)+(Inv_L*(model_.LTGIDL)))+(Inv_NFIN*(model_.NTGIDL)))+(Inv_LNFIN*(model_.PTGIDL)))+(Inv_W*(model_.WTGIDL)))+(Inv_WL*(model_.P2TGIDL)));
}
{
IGT_i = ((((((model_.IGT)+(Inv_L*(model_.LIGT)))+(Inv_NFIN*(model_.NIGT)))+(Inv_LNFIN*(model_.PIGT)))+(Inv_W*(model_.WIGT)))+(Inv_WL*(model_.P2IGT)));
}
{
DVTP0_i = ((((((model_.DVTP0)+(Inv_L*(model_.LDVTP0)))+(Inv_NFIN*(model_.NDVTP0)))+(Inv_LNFIN*(model_.PDVTP0)))+(Inv_W*(model_.WDVTP0)))+(Inv_WL*(model_.P2DVTP0)));
}
{
DVTP1_i = ((((((model_.DVTP1)+(Inv_L*(model_.LDVTP1)))+(Inv_NFIN*(model_.NDVTP1)))+(Inv_LNFIN*(model_.PDVTP1)))+(Inv_W*(model_.WDVTP1)))+(Inv_WL*(model_.P2DVTP1)));
}
{
NOIA2_i = ((((((model_.NOIA2)+(Inv_L*(model_.LNOIA2)))+(Inv_NFIN*(model_.NNOIA2)))+(Inv_LNFIN*(model_.PNOIA2)))+(Inv_W*(model_.WNOIA2)))+(Inv_WL*(model_.P2NOIA2)));
}
{
QSREF_i = ((((((model_.QSREF)+(Inv_L*(model_.LQSREF)))+(Inv_NFIN*(model_.NQSREF)))+(Inv_LNFIN*(model_.PQSREF)))+(Inv_W*(model_.WQSREF)))+(Inv_WL*(model_.P2QSREF)));
}
{
MPOWER_i = ((((((model_.MPOWER)+(Inv_L*(model_.LMPOWER)))+(Inv_NFIN*(model_.NMPOWER)))+(Inv_LNFIN*(model_.PMPOWER)))+(Inv_W*(model_.WMPOWER)))+(Inv_WL*(model_.P2MPOWER)));
}
if (((model_.BULKMOD)!=0))
{
{
PHIBE_i = ((((((model_.PHIBE)+(Inv_L*(model_.LPHIBE)))+(Inv_NFIN*(model_.NPHIBE)))+(Inv_LNFIN*(model_.PPHIBE)))+(Inv_W*(model_.WPHIBE)))+(Inv_WL*(model_.P2PHIBE)));
}
{
K1_i = ((((((model_.K1)+(Inv_L*(model_.LK1)))+(Inv_NFIN*(model_.NK1)))+(Inv_LNFIN*(model_.PK1)))+(Inv_W*(model_.WK1)))+(Inv_WL*(model_.P2K1)));
}
{
K11_i = ((((((model_.K11)+(Inv_L*(model_.LK11)))+(Inv_NFIN*(model_.NK11)))+(Inv_LNFIN*(model_.PK11)))+(Inv_W*(model_.WK11)))+(Inv_WL*(model_.P2K11)));
}
{
UC_i = ((((((model_.UC)+(Inv_L*(model_.LUC)))+(Inv_NFIN*(model_.NUC)))+(Inv_LNFIN*(model_.PUC)))+(Inv_W*(model_.WUC)))+(Inv_WL*(model_.P2UC)));
}
{
UC1_i = ((((((model_.UC1)+(Inv_L*(model_.LUC1)))+(Inv_NFIN*(model_.NUC1)))+(Inv_LNFIN*(model_.PUC1)))+(Inv_W*(model_.WUC1)))+(Inv_WL*(model_.P2UC1)));
}
if (((model_.BULKMOD)==2))
{
{
K2_i = ((((((model_.K2)+(Inv_L*(model_.LK2)))+(Inv_NFIN*(model_.NK2)))+(Inv_LNFIN*(model_.PK2)))+(Inv_W*(model_.WK2)))+(Inv_WL*(model_.P2K2)));
}
{
K21_i = ((((((model_.K21)+(Inv_L*(model_.LK21)))+(Inv_NFIN*(model_.NK21)))+(Inv_LNFIN*(model_.PK21)))+(Inv_W*(model_.WK21)))+(Inv_WL*(model_.P2K21)));
}
{
K2SAT_i = ((((((model_.K2SAT)+(Inv_L*(model_.LK2SAT)))+(Inv_NFIN*(model_.NK2SAT)))+(Inv_LNFIN*(model_.PK2SAT)))+(Inv_W*(model_.WK2SAT)))+(Inv_WL*(model_.P2K2SAT)));
}
{
K2SAT1_i = ((((((model_.K2SAT1)+(Inv_L*(model_.LK2SAT1)))+(Inv_NFIN*(model_.NK2SAT1)))+(Inv_LNFIN*(model_.PK2SAT1)))+(Inv_W*(model_.WK2SAT1)))+(Inv_WL*(model_.P2K2SAT1)));
}
}
if ((((model_.GIDLMOD)==2)&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
{
AGIDLB_i = ((((((model_.AGIDLB)+(Inv_L*(model_.LAGIDLB)))+(Inv_NFIN*(model_.NAGIDLB)))+(Inv_LNFIN*(model_.PAGIDLB)))+(Inv_W*(model_.WAGIDLB)))+(Inv_WL*(model_.P2AGIDLB)));
}
{
BGIDLB_i = ((((((model_.BGIDLB)+(Inv_L*(model_.LBGIDLB)))+(Inv_NFIN*(model_.NBGIDLB)))+(Inv_LNFIN*(model_.PBGIDLB)))+(Inv_W*(model_.WBGIDLB)))+(Inv_WL*(model_.P2BGIDLB)));
}
{
CGIDLB_i = ((((((model_.CGIDLB)+(Inv_L*(model_.LCGIDLB)))+(Inv_NFIN*(model_.NCGIDLB)))+(Inv_LNFIN*(model_.PCGIDLB)))+(Inv_W*(model_.WCGIDLB)))+(Inv_WL*(model_.P2CGIDLB)));
}
{
EGIDLB_i = ((((((model_.EGIDLB)+(Inv_L*(model_.LEGIDLB)))+(Inv_NFIN*(model_.NEGIDLB)))+(Inv_LNFIN*(model_.PEGIDLB)))+(Inv_W*(model_.WEGIDLB)))+(Inv_WL*(model_.P2EGIDLB)));
}
{
PGIDLB_i = ((((((model_.PGIDLB)+(Inv_L*(model_.LPGIDLB)))+(Inv_NFIN*(model_.NPGIDLB)))+(Inv_LNFIN*(model_.PPGIDLB)))+(Inv_W*(model_.WPGIDLB)))+(Inv_WL*(model_.P2PGIDLB)));
}
{
AGISLB_i = ((((((model_.AGISLB)+(Inv_L*(model_.LAGISLB)))+(Inv_NFIN*(model_.NAGISLB)))+(Inv_LNFIN*(model_.PAGISLB)))+(Inv_W*(model_.WAGISLB)))+(Inv_WL*(model_.P2AGISLB)));
}
{
BGISLB_i = ((((((model_.BGISLB)+(Inv_L*(model_.LBGISLB)))+(Inv_NFIN*(model_.NBGISLB)))+(Inv_LNFIN*(model_.PBGISLB)))+(Inv_W*(model_.WBGISLB)))+(Inv_WL*(model_.P2BGISLB)));
}
{
CGISLB_i = ((((((model_.CGISLB)+(Inv_L*(model_.LCGISLB)))+(Inv_NFIN*(model_.NCGISLB)))+(Inv_LNFIN*(model_.PCGISLB)))+(Inv_W*(model_.WCGISLB)))+(Inv_WL*(model_.P2CGISLB)));
}
{
EGISLB_i = ((((((model_.EGISLB)+(Inv_L*(model_.LEGISLB)))+(Inv_NFIN*(model_.NEGISLB)))+(Inv_LNFIN*(model_.PEGISLB)))+(Inv_W*(model_.WEGISLB)))+(Inv_WL*(model_.P2EGISLB)));
}
{
PGISLB_i = ((((((model_.PGISLB)+(Inv_L*(model_.LPGISLB)))+(Inv_NFIN*(model_.NPGISLB)))+(Inv_LNFIN*(model_.PPGISLB)))+(Inv_W*(model_.WPGISLB)))+(Inv_WL*(model_.P2PGISLB)));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
CDSCDR_i = ((((((model_.CDSCDR)+(Inv_L*(model_.LCDSCDR)))+(Inv_NFIN*(model_.NCDSCDR)))+(Inv_LNFIN*(model_.PCDSCDR)))+(Inv_W*(model_.WCDSCDR)))+(Inv_WL*(model_.P2CDSCDR)));
}
{
CITR_i = ((((((model_.CITR)+(Inv_L*(model_.LCITR)))+(Inv_NFIN*(model_.NCITR)))+(Inv_LNFIN*(model_.PCITR)))+(Inv_W*(model_.WCITR)))+(Inv_WL*(model_.P2CITR)));
}
{
ETA0R_i = ((((((model_.ETA0R)+(Inv_L*(model_.LETA0R)))+(Inv_NFIN*(model_.NETA0R)))+(Inv_LNFIN*(model_.PETA0R)))+(Inv_W*(model_.WETA0R)))+(Inv_WL*(model_.P2ETA0R)));
}
{
VSAT1R_i = ((((((model_.VSAT1R)+(Inv_L*(model_.LVSAT1R)))+(Inv_NFIN*(model_.NVSAT1R)))+(Inv_LNFIN*(model_.PVSAT1R)))+(Inv_W*(model_.WVSAT1R)))+(Inv_WL*(model_.P2VSAT1R)));
}
{
MEXPR_i = ((((((model_.MEXPR)+(Inv_L*(model_.LMEXPR)))+(Inv_NFIN*(model_.NMEXPR)))+(Inv_LNFIN*(model_.PMEXPR)))+(Inv_W*(model_.WMEXPR)))+(Inv_WL*(model_.P2MEXPR)));
}
{
PTWGR_i = ((((((model_.PTWGR)+(Inv_L*(model_.LPTWGR)))+(Inv_NFIN*(model_.NPTWGR)))+(Inv_LNFIN*(model_.PPTWGR)))+(Inv_W*(model_.WPTWGR)))+(Inv_WL*(model_.P2PTWGR)));
}
{
PDIBL1R_i = ((((((model_.PDIBL1R)+(Inv_L*(model_.LPDIBL1R)))+(Inv_NFIN*(model_.NPDIBL1R)))+(Inv_LNFIN*(model_.PPDIBL1R)))+(Inv_W*(model_.WPDIBL1R)))+(Inv_WL*(model_.P2PDIBL1R)));
}
{
PDIBL2R_i = ((((((model_.PDIBL2R)+(Inv_L*(model_.LPDIBL2R)))+(Inv_NFIN*(model_.NPDIBL2R)))+(Inv_LNFIN*(model_.PPDIBL2R)))+(Inv_W*(model_.WPDIBL2R)))+(Inv_WL*(model_.P2PDIBL2R)));
}
{
PCLMR_i = ((((((model_.PCLMR)+(Inv_L*(model_.LPCLMR)))+(Inv_NFIN*(model_.NPCLMR)))+(Inv_LNFIN*(model_.PPCLMR)))+(Inv_W*(model_.WPCLMR)))+(Inv_WL*(model_.P2PCLMR)));
}
{
DVTSHIFTR_i = ((((((model_.DVTSHIFTR)+(Inv_L*(model_.LDVTSHIFTR)))+(Inv_NFIN*(model_.NDVTSHIFTR)))+(Inv_LNFIN*(model_.PDVTSHIFTR)))+(Inv_W*(model_.WDVTSHIFTR)))+(Inv_WL*(model_.P2DVTSHIFTR)));
}
{
VSATR_i = ((((((model_.VSATR)+(Inv_L*(model_.LVSATR)))+(Inv_NFIN*(model_.NVSATR)))+(Inv_LNFIN*(model_.PVSATR)))+(Inv_W*(model_.WVSATR)))+(Inv_WL*(model_.P2VSATR)));
}
{
KSATIVR_i = ((((((model_.KSATIVR)+(Inv_L*(model_.LKSATIVR)))+(Inv_NFIN*(model_.NKSATIVR)))+(Inv_LNFIN*(model_.PKSATIVR)))+(Inv_W*(model_.WKSATIVR)))+(Inv_WL*(model_.P2KSATIVR)));
}
{
U0R_i = ((((((model_.U0R)+(Inv_L*(model_.LU0R)))+(Inv_NFIN*(model_.NU0R)))+(Inv_LNFIN*(model_.PU0R)))+(Inv_W*(model_.WU0R)))+(Inv_WL*(model_.P2U0R)));
}
{
UAR_i = ((((((model_.UAR)+(Inv_L*(model_.LUAR)))+(Inv_NFIN*(model_.NUAR)))+(Inv_LNFIN*(model_.PUAR)))+(Inv_W*(model_.WUAR)))+(Inv_WL*(model_.P2UAR)));
}
{
UPR_i = ((((((model_.UPR)+(Inv_L*(model_.LUPR)))+(Inv_NFIN*(model_.NUPR)))+(Inv_LNFIN*(model_.PUPR)))+(Inv_W*(model_.WUPR)))+(Inv_WL*(model_.P2UPR)));
}
{
EUR_i = ((((((model_.EUR)+(Inv_L*(model_.LEUR)))+(Inv_NFIN*(model_.NEUR)))+(Inv_LNFIN*(model_.PEUR)))+(Inv_W*(model_.WEUR)))+(Inv_WL*(model_.P2EUR)));
}
{
UDR_i = ((((((model_.UDR)+(Inv_L*(model_.LUDR)))+(Inv_NFIN*(model_.NUDR)))+(Inv_LNFIN*(model_.PUDR)))+(Inv_W*(model_.WUDR)))+(Inv_WL*(model_.P2UDR)));
}
{
UTER_i = ((((((model_.UTER)+(Inv_L*(model_.LUTER)))+(Inv_NFIN*(model_.NUTER)))+(Inv_LNFIN*(model_.PUTER)))+(Inv_W*(model_.WUTER)))+(Inv_WL*(model_.P2UTER)));
}
{
UTLR_i = ((((((model_.UTLR)+(Inv_L*(model_.LUTLR)))+(Inv_NFIN*(model_.NUTLR)))+(Inv_LNFIN*(model_.PUTLR)))+(Inv_W*(model_.WUTLR)))+(Inv_WL*(model_.P2UTLR)));
}
{
UA1R_i = ((((((model_.UA1R)+(Inv_L*(model_.LUA1R)))+(Inv_NFIN*(model_.NUA1R)))+(Inv_LNFIN*(model_.PUA1R)))+(Inv_W*(model_.WUA1R)))+(Inv_WL*(model_.P2UA1R)));
}
{
UD1R_i = ((((((model_.UD1R)+(Inv_L*(model_.LUD1R)))+(Inv_NFIN*(model_.NUD1R)))+(Inv_LNFIN*(model_.PUD1R)))+(Inv_W*(model_.WUD1R)))+(Inv_WL*(model_.P2UD1R)));
}
{
ATR_i = ((((((model_.ATR)+(Inv_L*(model_.LATR)))+(Inv_NFIN*(model_.NATR)))+(Inv_LNFIN*(model_.PATR)))+(Inv_W*(model_.WATR)))+(Inv_WL*(model_.P2ATR)));
}
if (((model_.BULKMOD)!=0))
{
{
UCR_i = ((((((model_.UCR)+(Inv_L*(model_.LUCR)))+(Inv_NFIN*(model_.NUCR)))+(Inv_LNFIN*(model_.PUCR)))+(Inv_W*(model_.WUCR)))+(Inv_WL*(model_.P2UCR)));
}
{
UC1R_i = ((((((model_.UC1R)+(Inv_L*(model_.LUC1R)))+(Inv_NFIN*(model_.NUC1R)))+(Inv_LNFIN*(model_.PUC1R)))+(Inv_W*(model_.WUC1R)))+(Inv_WL*(model_.P2UC1R)));
}
}
}
if (((model_.CVMOD)==1))
{
{
U0CV_i = ((((((model_.U0CV)+(Inv_L*(model_.LU0CV)))+(Inv_NFIN*(model_.NU0CV)))+(Inv_LNFIN*(model_.PU0CV)))+(Inv_W*(model_.WU0CV)))+(Inv_WL*(model_.P2U0CV)));
}
{
if (((model_.U0N1CV)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.U0N2CV))));
U0CV_i = (U0CV_i*(1.0+(((model_.U0N1CV)/NFIN)*(((1.0+(NFIN/(model_.U0N2CV)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
UACV_i = ((((((model_.UACV)+(Inv_L*(model_.LUACV)))+(Inv_NFIN*(model_.NUACV)))+(Inv_LNFIN*(model_.PUACV)))+(Inv_W*(model_.WUACV)))+(Inv_WL*(model_.P2UACV)));
}
{
UDCV_i = ((((((model_.UDCV)+(Inv_L*(model_.LUDCV)))+(Inv_NFIN*(model_.NUDCV)))+(Inv_LNFIN*(model_.PUDCV)))+(Inv_W*(model_.WUDCV)))+(Inv_WL*(model_.P2UDCV)));
}
{
UTECV_i = ((((((model_.UTECV)+(Inv_L*(model_.LUTECV)))+(Inv_NFIN*(model_.NUTECV)))+(Inv_LNFIN*(model_.PUTECV)))+(Inv_W*(model_.WUTECV)))+(Inv_WL*(model_.P2UTECV)));
}
{
UTE1CV_i = ((((((model_.UTE1CV)+(Inv_L*(model_.LUTE1CV)))+(Inv_NFIN*(model_.NUTE1CV)))+(Inv_LNFIN*(model_.PUTE1CV)))+(Inv_W*(model_.WUTE1CV)))+(Inv_WL*(model_.P2UTE1CV)));
}
{
UTLCV_i = ((((((model_.UTLCV)+(Inv_L*(model_.LUTLCV)))+(Inv_NFIN*(model_.NUTLCV)))+(Inv_LNFIN*(model_.PUTLCV)))+(Inv_W*(model_.WUTLCV)))+(Inv_WL*(model_.P2UTLCV)));
}
{
UA1CV_i = ((((((model_.UA1CV)+(Inv_L*(model_.LUA1CV)))+(Inv_NFIN*(model_.NUA1CV)))+(Inv_LNFIN*(model_.PUA1CV)))+(Inv_W*(model_.WUA1CV)))+(Inv_WL*(model_.P2UA1CV)));
}
{
UA2CV_i = ((((((model_.UA2CV)+(Inv_L*(model_.LUA2CV)))+(Inv_NFIN*(model_.NUA2CV)))+(Inv_LNFIN*(model_.PUA2CV)))+(Inv_W*(model_.WUA2CV)))+(Inv_WL*(model_.P2UA2CV)));
}
{
UD1CV_i = ((((((model_.UD1CV)+(Inv_L*(model_.LUD1CV)))+(Inv_NFIN*(model_.NUD1CV)))+(Inv_LNFIN*(model_.PUD1CV)))+(Inv_W*(model_.WUD1CV)))+(Inv_WL*(model_.P2UD1CV)));
}
{
UD2CV_i = ((((((model_.UD2CV)+(Inv_L*(model_.LUD2CV)))+(Inv_NFIN*(model_.NUD2CV)))+(Inv_LNFIN*(model_.PUD2CV)))+(Inv_W*(model_.WUD2CV)))+(Inv_WL*(model_.P2UD2CV)));
}
if (((model_.BULKMOD)!=0))
{
{
UCCV_i = ((((((model_.UCCV)+(Inv_L*(model_.LUCCV)))+(Inv_NFIN*(model_.NUCCV)))+(Inv_LNFIN*(model_.PUCCV)))+(Inv_W*(model_.WUCCV)))+(Inv_WL*(model_.P2UCCV)));
}
{
UC1CV_i = ((((((model_.UC1CV)+(Inv_L*(model_.LUC1CV)))+(Inv_NFIN*(model_.NUC1CV)))+(Inv_LNFIN*(model_.PUC1CV)))+(Inv_W*(model_.WUC1CV)))+(Inv_WL*(model_.P2UC1CV)));
}
}
{
ETA0CV_i = ((((((model_.ETA0CV)+(Inv_L*(model_.LETA0CV)))+(Inv_NFIN*(model_.NETA0CV)))+(Inv_LNFIN*(model_.PETA0CV)))+(Inv_W*(model_.WETA0CV)))+(Inv_WL*(model_.P2ETA0CV)));
}
{
if (((model_.ETA0N1CV)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.ETA0N2CV))));
ETA0CV_i = (ETA0CV_i*(1.0+(((model_.ETA0N1CV)/NFIN)*(((1.0+(NFIN/(model_.ETA0N2CV)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
if ((NFINNOM!=0.0))
{
{
U0CV_i = (U0CV_i*(1.0+(((NFIN-NFINNOM)*(model_.U0LTCV))*Leff)));
}
{
ETA0CV_i = (ETA0CV_i*(1.0+(((NFIN-NFINNOM)*(model_.ETA0LTCV))*Leff)));
}
}
}
if ((((model_.NQSMOD)!=0)&&((model_.XRCRG1)!=0.0)))
{
{
XRCRG1_i = ((((((model_.XRCRG1)+(Inv_L*(model_.LXRCRG1)))+(Inv_NFIN*(model_.NXRCRG1)))+(Inv_LNFIN*(model_.PXRCRG1)))+(Inv_W*(model_.WXRCRG1)))+(Inv_WL*(model_.P2XRCRG1)));
}
{
XRCRG2_i = ((((((model_.XRCRG2)+(Inv_L*(model_.LXRCRG2)))+(Inv_NFIN*(model_.NXRCRG2)))+(Inv_LNFIN*(model_.PXRCRG2)))+(Inv_W*(model_.WXRCRG2)))+(Inv_WL*(model_.P2XRCRG2)));
}
}
if ((SUBBANDMOD==1))
{
{
DIMENSION1_i = ((((((model_.DIMENSION1)+(Inv_L*(model_.LDIMENSION1)))+(Inv_NFIN*(model_.NDIMENSION1)))+(Inv_LNFIN*(model_.PDIMENSION1)))+(Inv_W*(model_.WDIMENSION1)))+(Inv_WL*(model_.P2DIMENSION1)));
}
{
DIMENSION2_i = ((((((model_.DIMENSION2)+(Inv_L*(model_.LDIMENSION2)))+(Inv_NFIN*(model_.NDIMENSION2)))+(Inv_LNFIN*(model_.PDIMENSION2)))+(Inv_W*(model_.WDIMENSION2)))+(Inv_WL*(model_.P2DIMENSION2)));
}
{
DIMENSION3_i = ((((((model_.DIMENSION3)+(Inv_L*(model_.LDIMENSION3)))+(Inv_NFIN*(model_.NDIMENSION3)))+(Inv_LNFIN*(model_.PDIMENSION3)))+(Inv_W*(model_.WDIMENSION3)))+(Inv_WL*(model_.P2DIMENSION3)));
}
{
SSP1_i = ((((((model_.SSP1)+(Inv_L*(model_.LSSP1)))+(Inv_NFIN*(model_.NSSP1)))+(Inv_LNFIN*(model_.PSSP1)))+(Inv_W*(model_.WSSP1)))+(Inv_WL*(model_.P2SSP1)));
}
{
SSP2_i = ((((((model_.SSP2)+(Inv_L*(model_.LSSP2)))+(Inv_NFIN*(model_.NSSP2)))+(Inv_LNFIN*(model_.PSSP2)))+(Inv_W*(model_.WSSP2)))+(Inv_WL*(model_.P2SSP2)));
}
{
SSP3_i = ((((((model_.SSP3)+(Inv_L*(model_.LSSP3)))+(Inv_NFIN*(model_.NSSP3)))+(Inv_LNFIN*(model_.PSSP3)))+(Inv_W*(model_.WSSP3)))+(Inv_WL*(model_.P2SSP3)));
}
{
E2NOM_i = ((((((model_.E2NOM)+(Inv_L*(model_.LE2NOM)))+(Inv_NFIN*(model_.NE2NOM)))+(Inv_LNFIN*(model_.PE2NOM)))+(Inv_W*(model_.WE2NOM)))+(Inv_WL*(model_.P2E2NOM)));
}
{
E3NOM_i = ((((((model_.E3NOM)+(Inv_L*(model_.LE3NOM)))+(Inv_NFIN*(model_.NE3NOM)))+(Inv_LNFIN*(model_.PE3NOM)))+(Inv_W*(model_.WE3NOM)))+(Inv_WL*(model_.P2E3NOM)));
}
{
MFQ1NOM_i = ((((((model_.MFQ1NOM)+(Inv_L*(model_.LMFQ1NOM)))+(Inv_NFIN*(model_.NMFQ1NOM)))+(Inv_LNFIN*(model_.PMFQ1NOM)))+(Inv_W*(model_.WMFQ1NOM)))+(Inv_WL*(model_.P2MFQ1NOM)));
}
{
MFQ2NOM_i = ((((((model_.MFQ2NOM)+(Inv_L*(model_.LMFQ2NOM)))+(Inv_NFIN*(model_.NMFQ2NOM)))+(Inv_LNFIN*(model_.PMFQ2NOM)))+(Inv_W*(model_.WMFQ2NOM)))+(Inv_WL*(model_.P2MFQ2NOM)));
}
{
MFQ3NOM_i = ((((((model_.MFQ3NOM)+(Inv_L*(model_.LMFQ3NOM)))+(Inv_NFIN*(model_.NMFQ3NOM)))+(Inv_LNFIN*(model_.PMFQ3NOM)))+(Inv_W*(model_.WMFQ3NOM)))+(Inv_WL*(model_.P2MFQ3NOM)));
}
}
{
if (((model_.PHIGN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.PHIGN2))));
PHIG_i = (PHIG_i*(1.0+(((model_.PHIGN1)/NFIN)*(((1.0+(NFIN/(model_.PHIGN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.ETA0N1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.ETA0N2))));
ETA0_i = (ETA0_i*(1.0+(((model_.ETA0N1)/NFIN)*(((1.0+(NFIN/(model_.ETA0N2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.CDSCN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.CDSCN2))));
CDSC_i = (CDSC_i*(1.0+(((model_.CDSCN1)/NFIN)*(((1.0+(NFIN/(model_.CDSCN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.CDSCDN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.CDSCDN2))));
CDSCD_i = (CDSCD_i*(1.0+(((model_.CDSCDN1)/NFIN)*(((1.0+(NFIN/(model_.CDSCDN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.CDSCDRN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.CDSCDRN2))));
CDSCDR_i = (CDSCDR_i*(1.0+(((model_.CDSCDRN1)/NFIN)*(((1.0+(NFIN/(model_.CDSCDRN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.VSATN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.VSATN2))));
VSAT_i = (VSAT_i*(1.0+(((model_.VSATN1)/NFIN)*(((1.0+(NFIN/(model_.VSATN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.VSAT1N1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.VSAT1N2))));
VSAT1_i = (VSAT1_i*(1.0+(((model_.VSAT1N1)/NFIN)*(((1.0+(NFIN/(model_.VSAT1N2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.VSAT1RN1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.VSAT1RN2))));
VSAT1R_i = (VSAT1R_i*(1.0+(((model_.VSAT1RN1)/NFIN)*(((1.0+(NFIN/(model_.VSAT1RN2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.U0N1)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.U0N2))));
U0_i = (U0_i*(1.0+(((model_.U0N1)/NFIN)*(((1.0+(NFIN/(model_.U0N2)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if (((model_.U0N1R)!=0.0))
{
{
double value_log_0 = log((1.0+(NFIN/(model_.U0N2R))));
U0R_i = (U0R_i*(1.0+(((model_.U0N1R)/NFIN)*(((1.0+(NFIN/(model_.U0N2R)))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
if ((NFINNOM!=0.0))
{
{
PHIG_i = (PHIG_i*(1.0+(((NFIN-NFINNOM)*(model_.PHIGLT))*Leff)));
}
{
ETA0_i = (ETA0_i*(1.0+(((NFIN-NFINNOM)*(model_.ETA0LT))*Leff)));
}
{
U0_i = (U0_i*(1.0+(((NFIN-NFINNOM)*(model_.U0LT))*Leff)));
}
}
{
double value_log_0 = log(Leff);
Leff_ln = value_log_0;
}
PHIG_i = (PHIG_i+((model_.PHIGL)*Leff));
if (((model_.LPA)>0.0))
{
{
double value_exp_0 = exp(((-(model_.LPA))*Leff_ln));
U0_i = (U0_i*(1.0-(UP_i*value_exp_0)));
}
}
else
{
U0_i = (U0_i*(1.0-UP_i));
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BUA)));
UA_i = (UA_i+((model_.AUA)*((((-Leff)/(model_.BUA))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BUA)))-80.0)):((((-Leff)/(model_.BUA))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BUD)));
UD_i = (UD_i+((model_.AUD)*((((-Leff)/(model_.BUD))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BUD)))-80.0)):((((-Leff)/(model_.BUD))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BEU)));
EU_i = (EU_i+((model_.AEU)*((((-Leff)/(model_.BEU))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BEU)))-80.0)):((((-Leff)/(model_.BEU))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if (((model_.ASYMMOD)!=0))
{
{
{
double value_exp_0 = exp(((-Leff)/(model_.BUAR)));
UAR_i = (UAR_i+((model_.AUAR)*((((-Leff)/(model_.BUAR))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BUAR)))-80.0)):((((-Leff)/(model_.BUAR))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BUDR)));
UDR_i = (UDR_i+((model_.AUDR)*((((-Leff)/(model_.BUDR))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BUDR)))-80.0)):((((-Leff)/(model_.BUDR))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BEUR)));
EUR_i = (EUR_i+((model_.AEUR)*((((-Leff)/(model_.BEUR))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BEUR)))-80.0)):((((-Leff)/(model_.BEUR))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if (((model_.LPAR)>0.0))
{
{
double value_exp_0 = exp(((-(model_.LPAR))*Leff_ln));
U0R_i = (U0R_i*(1.0-(UPR_i*value_exp_0)));
}
}
else
{
U0R_i = (U0R_i*(1.0-UPR_i));
}
}
if (((model_.RDSMOD)==1))
{
{
{
double value_exp_0 = exp(((-Leff)/(model_.BRSW)));
RSW_i = (RSW_i+((model_.ARSW)*((((-Leff)/(model_.BRSW))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BRSW)))-80.0)):((((-Leff)/(model_.BRSW))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BRDW)));
RDW_i = (RDW_i+((model_.ARDW)*((((-Leff)/(model_.BRDW))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BRDW)))-80.0)):((((-Leff)/(model_.BRDW))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
else
{
{
{
double value_exp_0 = exp(((-Leff)/(model_.BRDSW)));
RDSW_i = (RDSW_i+((model_.ARDSW)*((((-Leff)/(model_.BRDSW))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BRDSW)))-80.0)):((((-Leff)/(model_.BRDSW))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BPCLM)));
PCLM_i = (PCLM_i+((model_.APCLM)*((((-Leff)/(model_.BPCLM))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BPCLM)))-80.0)):((((-Leff)/(model_.BPCLM))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if (((model_.ASYMMOD)!=0))
{
{
double value_exp_0 = exp(((-(model_.BPCLMR))*Leff_ln));
PCLMR_i = (PCLMR_i+((model_.APCLMR)*value_exp_0));
}
}
{
double value_exp_0 = exp(((-(model_.BMEXP))*Leff_ln));
MEXP_i = (MEXP_i+((model_.AMEXP)*value_exp_0));
}
if (((model_.ASYMMOD)!=0))
{
{
double value_exp_0 = exp(((-(model_.BMEXPR))*Leff_ln));
MEXPR_i = (MEXPR_i+((model_.AMEXPR)*value_exp_0));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BPTWG)));
PTWG_i = (PTWG_i+((model_.APTWG)*((((-Leff)/(model_.BPTWG))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BPTWG)))-80.0)):((((-Leff)/(model_.BPTWG))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if (((model_.ASYMMOD)!=0))
{
{
{
double value_exp_0 = exp(((-Leff)/(model_.BPTWG)));
PTWGR_i = (PTWGR_i+((model_.APTWG)*((((-Leff)/(model_.BPTWG))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BPTWG)))-80.0)):((((-Leff)/(model_.BPTWG))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BVSAT)));
VSAT_i = (VSAT_i+((model_.AVSAT)*((((-Leff)/(model_.BVSAT))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BVSAT)))-80.0)):((((-Leff)/(model_.BVSAT))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BVSAT1)));
VSAT1_i = (VSAT1_i+((model_.AVSAT1)*((((-Leff)/(model_.BVSAT1))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BVSAT1)))-80.0)):((((-Leff)/(model_.BVSAT1))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if (((model_.ASYMMOD)!=0))
{
{
{
double value_exp_0 = exp(((-Leff)/(model_.BVSAT1)));
VSAT1R_i = (VSAT1R_i+((model_.AVSAT1)*((((-Leff)/(model_.BVSAT1))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BVSAT1)))-80.0)):((((-Leff)/(model_.BVSAT1))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BPSAT)));
PSAT_i = (PSAT_i+((model_.APSAT)*((((-Leff)/(model_.BPSAT))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BPSAT)))-80.0)):((((-Leff)/(model_.BPSAT))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BPSATCV)));
PSATCV_i = (PSATCV_i+((model_.APSATCV)*((((-Leff)/(model_.BPSATCV))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BPSATCV)))-80.0)):((((-Leff)/(model_.BPSATCV))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-Leff)/(model_.BVSATCV)));
VSATCV_i = (VSATCV_i+((model_.AVSATCV)*((((-Leff)/(model_.BVSATCV))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BVSATCV)))-80.0)):((((-Leff)/(model_.BVSATCV))<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
double value_exp_0 = exp(((-Leff)/(model_.BDVTP0)));
DVTP0_i = (DVTP0_i+((model_.ADVTP0)*((((-Leff)/(model_.BDVTP0))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BDVTP0)))-80.0)):((((-Leff)/(model_.BDVTP0))<(-80.0))?1.804851387e-35:value_exp_0))));
}
{
double value_exp_0 = exp(((-Leff)/(model_.BDVTP1)));
DVTP1_i = (DVTP1_i+((model_.ADVTP1)*((((-Leff)/(model_.BDVTP1))>80.0)?(5.540622384e34*((1.0+((-Leff)/(model_.BDVTP1)))-80.0)):((((-Leff)/(model_.BDVTP1))<(-80.0))?1.804851387e-35:value_exp_0))));
}
if (((QMTCENCV_i>0.0)||(QMTCENCVA_i>0.0)))
{
{
double value_exp_0 = exp(((-((2.0*Ach)/Weff_UFCM))/(model_.BQMTCEN)));
MTcen = (1.0+((model_.AQMTCEN)*((((-((2.0*Ach)/Weff_UFCM))/(model_.BQMTCEN))>80.0)?(5.540622384e34*((1.0+((-((2.0*Ach)/Weff_UFCM))/(model_.BQMTCEN)))-80.0)):((((-((2.0*Ach)/Weff_UFCM))/(model_.BQMTCEN))<(-80.0))?1.804851387e-35:value_exp_0))));
}
Tcen0 = (((2.0*Ach)/Weff_UFCM)*MTcen);
}
if ((Leff<=0.0))
{
UserFatal(*this)  << "Fatal: Leff = %g is not positive." << " " << Leff << " " <<  std::endl; 
}
else
{
if ((Leff<=1.0e-9))
{
UserInfo(*this)  << "Warning: Leff = %g <= 1.0e-9." << " " << Leff << " " <<  std::endl; 
}
}
if ((Leff1<=0.0))
{
UserFatal(*this)  << "Fatal: Leff1 = %g is not positive." << " " << Leff1 << " " <<  std::endl; 
}
else
{
if ((Leff1<=1.0e-9))
{
UserInfo(*this)  << "Warning: Leff1 = %g <= 1.0e-9." << " " << Leff1 << " " <<  std::endl; 
}
}
if ((LeffCV<=1.0e-9))
{
UserInfo(*this)  << "Warning: LeffCV = %g <= 1.0e-9." << " " << LeffCV << " " <<  std::endl; 
}
if (((model_.BULKMOD)!=0))
{
if ((LeffCV_acc<=1.0e-9))
{
UserInfo(*this)  << "Warning: LeffCV_acc = %g <= 1.0e-9." << " " << LeffCV_acc << " " <<  std::endl; 
}
}
if (((model_.GEOMOD)==5))
{
if ((WGAAeff1<=0.0))
{
UserFatal(*this)  << "Fatal: WGAAeff1 = %g is not positive." << " " << WGAAeff1 << " " <<  std::endl; 
}
else
{
if ((WGAAeff1<=1.0e-9))
{
UserInfo(*this)  << "Warning: WGAAeff1 = %g <= 1.0e-9." << " " << WGAAeff1 << " " <<  std::endl; 
}
}
if (((model_.BULKMOD)!=0))
{
if ((WeffCV_acc<=0.0))
{
UserFatal(*this)  << "Fatal: WeffCV_acc = %g is not positive." << " " << WeffCV_acc << " " <<  std::endl; 
}
else
{
if ((WGAAeff1<=1.0e-9))
{
UserInfo(*this)  << "Warning: WeffCV_acc = %g <= 1.0e-9." << " " << WeffCV_acc << " " <<  std::endl; 
}
}
}
}
if ((Weff0<=1.0e-9))
{
UserInfo(*this)  << "Warning: Weff0 = %g <= 1.0e-9." << " " << Weff0 << " " <<  std::endl; 
}
if ((WeffCV0<=1.0e-9))
{
UserInfo(*this)  << "Warning: WeffCV0 = %g <= 1.0e-9." << " " << WeffCV0 << " " <<  std::endl; 
}
if ((NBODY_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective  NBODY = %g is not positive." << " " << NBODY_i << " " <<  std::endl; 
}
else
{
if ((NBODY_i<=1.0e18))
{
UserInfo(*this)  << "Warning: NBODY_i = %g m^-3 may be too small." << " " << NBODY_i << " " <<  std::endl; 
}
}
if ((NGATE_i<0.0))
{
UserFatal(*this)  << "Fatal: Effective  NGATE = %g is negative." << " " << NGATE_i << " " <<  std::endl; 
}
else
{
if (((NGATE_i!=0.0)&&(NGATE_i<=1.0e24)))
{
UserInfo(*this)  << "Warning: Effective  NGATE = %g may be too small." << " " << NGATE_i << " " <<  std::endl; 
}
else
{
if ((NGATE_i>1.0e31))
{
UserFatal(*this)  << "Fatal: Effective  NGATE = %g is too high." << " " << NGATE_i << " " <<  std::endl; 
}
}
}
if ((DVT0_i<0.0))
{
UserInfo(*this)  << "Warning: Effective  DVT0 = %g is negative." << " " << DVT0_i << " " <<  std::endl; 
}
if ((PHIG_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective PHIG = %g is not positive." << " " << PHIG_i << " " <<  std::endl; 
}
if ((VSAT_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective VSAT = %g is not positive." << " " << VSAT_i << " " <<  std::endl; 
}
if ((VSAT1_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective VSAT1 = %g is not positive." << " " << VSAT1_i << " " <<  std::endl; 
}
if ((((model_.ASYMMOD)!=0)&&(VSAT1R_i<=0.0)))
{
UserFatal(*this)  << "Fatal: Effective VSAT1R = %g is not positive." << " " << VSAT1R_i << " " <<  std::endl; 
}
if ((DVT1_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective DVT1 = %g is not positive." << " " << DVT1_i << " " <<  std::endl; 
}
if ((DVT1SS_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective DVT1SS = %g is not positive." << " " << DVT1SS_i << " " <<  std::endl; 
}
if ((CDSC_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CDSC = %g is negative." << " " << CDSC_i << " " <<  std::endl; 
}
if ((CDSCD_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CDSCD = %g is negative." << " " << CDSCD_i << " " <<  std::endl; 
}
if ((((model_.ASYMMOD)!=0)&&(CDSCDR_i<0.0)))
{
UserInfo(*this)  << "Warning: Effective CDSCDR = %g is negative." << " " << CDSCDR_i << " " <<  std::endl; 
}
if ((DSUB_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective DSUB = %g is not positive." << " " << DSUB_i << " " <<  std::endl; 
}
if ((ETA0_i<0.0))
{
UserInfo(*this)  << "Warning: Effective ETA0 = %g is negative, setting it to 0" << " " << ETA0_i << " " <<  std::endl; 
ETA0_i = 0.0;
}
if ((ETA0R_i<0.0))
{
UserInfo(*this)  << "Warning: Effective ETA0R = %g is negative, setting it to 0" << " " << ETA0R_i << " " <<  std::endl; 
ETA0R_i = 0.0;
}
if ((LPE0_i<(-Leff)))
{
UserInfo(*this)  << "Warning: Effective LPE0 = %g is less than -Leff. Clipping LPE0_i to 0" << " " << LPE0_i << " " <<  std::endl; 
LPE0_i = 0.0;
}
if ((K0SI_i<0.0))
{
UserInfo(*this)  << "Warning: Effective K0SI = %g is negative, setting it to 0." << " " << K0SI_i << " " <<  std::endl; 
K0SI_i = 0.0;
}
if ((K2SI_i<0.0))
{
UserInfo(*this)  << "Warning: Effective K2SI = %g is negative, setting it to 0." << " " << K2SI_i << " " <<  std::endl; 
K2SI_i = 0.0;
}
if ((((model_.BULKMOD)!=0)&&(PHIBE_i<0.2)))
{
UserInfo(*this)  << "Warning: Effective PHIBE = %g is less than 0.2, setting it to 0.2." << " " << PHIBE_i << " " <<  std::endl; 
PHIBE_i = 0.2;
}
if ((((model_.BULKMOD)!=0)&&(PHIBE_i>1.2)))
{
UserInfo(*this)  << "Warning: Effective PHIBE = %g is larger than 1.2, setting it to 1.2." << " " << PHIBE_i << " " <<  std::endl; 
PHIBE_i = 1.2;
}
if ((PSAT_i<2.0))
{
UserInfo(*this)  << "Warning: Effective PSAT = %g is less than 2.0, setting it to 2.0." << " " << PSAT_i << " " <<  std::endl; 
PSAT_i = 2.0;
}
if ((PSATCV_i<2.0))
{
UserInfo(*this)  << "Warning: Effective PSATCV = %g is less than 2.0, setting it to 2.0." << " " << PSATCV_i << " " <<  std::endl; 
PSATCV_i = 2.0;
}
if ((U0_i<0.0))
{
UserInfo(*this)  << "Warning: Effective U0 = %g is negative, setting it to the default value." << " " << U0_i << " " <<  std::endl; 
U0_i = 0.03;
}
if ((UA_i<0.0))
{
UserInfo(*this)  << "Warning: Effective UA = %g is negative, setting it to 0." << " " << UA_i << " " <<  std::endl; 
UA_i = 0.0;
}
if ((EU_i<0.0))
{
UserInfo(*this)  << "Warning: Effective EU = %g is negative, setting it to 0." << " " << EU_i << " " <<  std::endl; 
EU_i = 0.0;
}
if ((UD_i<0.0))
{
UserInfo(*this)  << "Warning: Effective UD = %g is negative, setting it to 0." << " " << UD_i << " " <<  std::endl; 
UD_i = 0.0;
}
if ((UCS_i<0.0))
{
UserInfo(*this)  << "Warning: Effective UCS = %g is negative, setting it to 0." << " " << UCS_i << " " <<  std::endl; 
UCS_i = 0.0;
}
if ((ETAMOB_i<0.0))
{
UserInfo(*this)  << "Warning: Effective ETAMOB = %g is negative, setting it to 0" << " " << ETAMOB_i << " " <<  std::endl; 
ETAMOB_i = 0.0;
}
if ((RDSW_i<0.0))
{
UserInfo(*this)  << "Warning: Effective RDSW = %g is negative, setting it to 0" << " " << RDSW_i << " " <<  std::endl; 
RDSW_i = 0.0;
}
if ((RSW_i<0.0))
{
UserInfo(*this)  << "Warning: Effective RSW = %g is negative, setting it to 0" << " " << RSW_i << " " <<  std::endl; 
RSW_i = 0.0;
}
if ((RDW_i<0.0))
{
UserInfo(*this)  << "Warning: Effective RDW = %g is negative, setting it to 0" << " " << RDW_i << " " <<  std::endl; 
RDW_i = 0.0;
}
if ((PRWGD_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PRWGD = %g is negative, setting it to 0" << " " << PRWGD_i << " " <<  std::endl; 
PRWGD_i = 0.0;
}
if ((PRWGS_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PRWGS = %g is negative, setting it to 0" << " " << PRWGS_i << " " <<  std::endl; 
PRWGS_i = 0.0;
}
if ((PCLM_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PCLM = %g is negative." << " " << PCLM_i << " " <<  std::endl; 
}
if ((PDIBL1_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PDIBL1 = %g is negative." << " " << PDIBL1_i << " " <<  std::endl; 
}
if (((model_.ASYMMOD)!=0))
{
if ((PDIBL1R_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PDIBL1R = %g is negative." << " " << PDIBL1R_i << " " <<  std::endl; 
}
if ((PDIBL2R_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PDIBL2R = %g is negative." << " " << PDIBL2R_i << " " <<  std::endl; 
}
if ((U0R_i<0))
{
UserInfo(*this)  << "Warning: Effective U0R = %g is negative, setting it to 0." << " " << U0R_i << " " <<  std::endl; 
U0R_i = 0.0;
}
if ((UAR_i<0.0))
{
UserInfo(*this)  << "Warning: Effective UAR = %g is negative, setting it to 0." << " " << UAR_i << " " <<  std::endl; 
UAR_i = 0.0;
}
if ((EUR_i<0.0))
{
UserInfo(*this)  << "Warning: Effective EUR = %g is negative, setting it to 0." << " " << EUR_i << " " <<  std::endl; 
EUR_i = 0.0;
}
if ((UDR_i<0.0))
{
UserInfo(*this)  << "Warning: Effective UDR = %g is negative, setting it to 0." << " " << UDR_i << " " <<  std::endl; 
UDR_i = 0.0;
}
}
if ((PDIBL2_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PDIBL2 = %g is negative." << " " << PDIBL2_i << " " <<  std::endl; 
}
if ((DROUT_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective DROUT = %g is non-positive." << " " << DROUT_i << " " <<  std::endl; 
}
if ((MEXP_i<2.0))
{
UserInfo(*this)  << "Warning: Effective MEXP = %g < 2. Setting MEXP_i = 2." << " " << MEXP_i << " " <<  std::endl; 
MEXP_i = 2.0;
}
if (((model_.ASYMMOD)!=0))
{
if ((MEXPR_i<2.0))
{
UserInfo(*this)  << "Warning: Effective MEXPR = %g < 2. Setting MEXPR_i = 2." << " " << MEXPR_i << " " <<  std::endl; 
MEXPR_i = 2.0;
}
}
if ((PTWG_i<0.0))
{
UserInfo(*this)  << "Warning: Effective PTWG = %g is negative, setting it to 0." << " " << PTWG_i << " " <<  std::endl; 
PTWG_i = 0.0;
}
if ((CGIDL_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CGIDL = %g < 0. Setting CGIDL_i = 0." << " " << CGIDL_i << " " <<  std::endl; 
CGIDL_i = 0.0;
}
if ((CGISL_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CGISL = %g < 0. Setting CGISL_i = 0." << " " << CGISL_i << " " <<  std::endl; 
CGISL_i = 0.0;
}
if (((model_.IGBMOD)!=0))
{
if ((NIGBINV_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective NIGBINV = %g is non-positive." << " " << NIGBINV_i << " " <<  std::endl; 
}
if ((NIGBACC_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective NIGBACC = %g is non-positive." << " " << NIGBACC_i << " " <<  std::endl; 
}
}
if (((model_.IGCMOD)!=0))
{
if ((POXEDGE_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective POXEDGE = %g is non-positive." << " " << POXEDGE_i << " " <<  std::endl; 
}
if ((PIGCD_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective PIGCD = %g is non-positive." << " " << PIGCD_i << " " <<  std::endl; 
}
}
if ((((model_.IGCMOD)!=0)||((model_.IGBMOD)!=0)))
{
if (((model_.TOXREF)<=0.0))
{
UserFatal(*this)  << "Fatal: TOXREF = %g is non-positive." << " " << (model_.TOXREF) << " " <<  std::endl; 
}
}
if (((model_.LINTIGEN)>=(Leff/2.0)))
{
UserInfo(*this)  << "Warning: LINTIGEN = %g is too large - Leff for r/g current is negative. Re-setting LINTIGEN = 0." << " " << (model_.LINTIGEN) << " " <<  std::endl; 
LINTIGEN_i = 0.0;
}
else
{
LINTIGEN_i = (model_.LINTIGEN);
}
if ((NTGEN_i<=0.0))
{
UserFatal(*this)  << "Fatal: Effective NTGEN = %g is non-positive." << " " << NTGEN_i << " " <<  std::endl; 
}
if ((((model_.NQSMOD)==1)&&(XRCRG1_i!=0.0)))
{
if ((XRCRG1_i<1.0e-3))
{
UserInfo(*this)  << "Warning: Effective XRCRG1 = %g. Gate resistance may be too large. Disabling NQS Gate Resistance." << " " << XRCRG1_i << " " <<  std::endl; 
XRCRG1_i = 0.0;
}
}
if (((model_.IIMOD)==2))
{
if ((BETAII0_i<0.0))
{
UserInfo(*this)  << "Warning: Effective BETAII0 = %g is negative." << " " << BETAII0_i << " " <<  std::endl; 
}
if ((BETAII1_i<0.0))
{
UserInfo(*this)  << "Warning: Effective BETAII1 = %g is negative." << " " << BETAII1_i << " " <<  std::endl; 
}
if ((BETAII2_i<0.0))
{
UserInfo(*this)  << "Warning: Effective BETAII2 = %g is negative." << " " << BETAII2_i << " " <<  std::endl; 
}
if ((ESATII_i<0.0))
{
UserInfo(*this)  << "Warning: Effective ESATII = %g is negative." << " " << ESATII_i << " " <<  std::endl; 
}
if ((LII_i<0.0))
{
UserInfo(*this)  << "Warning: Effective LII = %g is negative." << " " << LII_i << " " <<  std::endl; 
}
if ((SII1_i<0.0))
{
UserInfo(*this)  << "Warning: Effective SII1 = %g is negative." << " " << (model_.SII1) << " " <<  std::endl; 
}
if ((SII2_i<0.0))
{
UserInfo(*this)  << "Warning: Effective SII2 = %g is negative." << " " << SII2_i << " " <<  std::endl; 
}
if ((SIID_i<0.0))
{
UserInfo(*this)  << "Warning: Effective SIID = %g is negative." << " " << SIID_i << " " <<  std::endl; 
}
}
if (((model_.EF)<=0.0))
{
UserFatal(*this)  << "Fatal: EF = %g is non-positive." << " " << (model_.EF) << " " <<  std::endl; 
}
else
{
if (((model_.EF)>2.0))
{
UserFatal(*this)  << "Fatal: EF = %g > 2.0." << " " << (model_.EF) << " " <<  std::endl; 
}
}
if ((CGSL_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CGSL = %g is negative. Setting it to 0 " << " " << CGSL_i << " " <<  std::endl; 
CGSL_i = 0.0;
}
if ((CGDL_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CGDL = %g is negative. Setting it to 0 " << " " << CGDL_i << " " <<  std::endl; 
CGDL_i = 0.0;
}
if ((CFS_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CFS = %g is negative. Setting it to 0 " << " " << CFS_i << " " <<  std::endl; 
CFS_i = 0.0;
}
if ((CFD_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CFD = %g is negative. Setting it to 0 " << " " << CFD_i << " " <<  std::endl; 
CFD_i = 0.0;
}
if ((CGBL_i<0.0))
{
UserInfo(*this)  << "Warning: Effective CGBL = %g is negative. Setting it to 0 " << " " << CGBL_i << " " <<  std::endl; 
CGBL_i = 0.0;
}
if ((CKAPPAS_i<=0.02))
{
UserInfo(*this)  << "Warning: Effective CKAPPAS = %g is too small. Setting it to 0.02 " << " " << CKAPPAS_i << " " <<  std::endl; 
CKAPPAS_i = 0.02;
}
if ((CKAPPAD_i<=0.02))
{
UserInfo(*this)  << "Warning: Effective CKAPPAD = %g is too small. Setting it to 0.02 " << " " << CKAPPAD_i << " " <<  std::endl; 
CKAPPAD_i = 0.02;
}
if ((CKAPPAB_i<=0.02))
{
UserInfo(*this)  << "Warning: Effective CKAPPAB = %g is too small. Setting it to 0.02 " << " " << CKAPPAB_i << " " <<  std::endl; 
CKAPPAB_i = 0.02;
}
if ((((model_.SHMOD)!=0)&&((model_.RTH0)>0.0)))
{
if (((model_.BSHEXP)!=0.0))
{
{
double value_pow_0 = pow(NF,(model_.BSHEXP));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((model_.WTH0)*value_pow_0);
}
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (model_.WTH0);
}
if (((model_.ASHEXP)!=0.0))
{
{
double value_pow_0 = pow(NFINtotal,(model_.ASHEXP));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (FPITCH*value_pow_0);
}
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = FPITCH;
}
gth = ((T1+T2)/(model_.RTH0));
cth = ((model_.CTH0)*(T1+T2));
}
if (((model_.RGATEMOD)!=0))
{
Rgeltd = ((((model_.RGEXT)/NGCON)+(((model_.RGFIN)*NFIN)/((NGCON==2)?12.0:3.0)))/NF);
{
double value_max_0 = std::max(static_cast<double>(1.0e-3),Rgeltd);
ggeltd = (1.0/value_max_0);
}
}
if (((model_.RGEOMOD)==0))
{
RSourceGeo = ((model_.RSHS)*NRS);
RDrainGeo = ((model_.RSHD)*NRD);
}
else
{
if (((model_.HEPI)>0.0))
{
Arsd = ((FPITCH*(model_.HFIN))+((TFIN+((FPITCH-TFIN)*(model_.CRATIO)))*(model_.HEPI)));
}
else
{
{
double value_max_0 = std::max(static_cast<double>(1.0e-9),((model_.HFIN)+(model_.HEPI)));
Arsd = (FPITCH*value_max_0);
}
}
Prsd = (FPITCH+(model_.DELTAPRSD));
if ((model_.given("RHORSD")))
{
rhorsd = (model_.RHORSD);
}
else
{
mu_max = (((model_.TYPE)==1)?1417.0:470.5);
if (((model_.TYPE)==1))
{
{
double value_pow_0 = pow(((model_.NSD)/9.68e22),0.68);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = value_pow_0;
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (3.43e26/(model_.NSD));
mu_rsd = (((52.2+((mu_max-52.2)/(1.0+T0)))-(43.4/(1.0+(T1*T1))))*1.0e-4);
}
else
{
{
double value_pow_0 = pow(((model_.NSD)/2.23e22),0.719);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = value_pow_0;
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (6.10e26/(model_.NSD));
mu_rsd = (((44.9+((mu_max-44.9)/(1.0+T0)))-(29.0/(1.0+(T1*T1))))*1.0e-4);
}
rhorsd = (1.0/((1.60219e-19*(model_.NSD))*mu_rsd));
}
thetarsp = ((55.0*3.14159265358979323846)/180.0);
{
double value_min_0 = std::min(static_cast<double>(0.0),(model_.HEPI));
double value_max_1 = std::max(static_cast<double>(1.0e-18),(TFIN*((model_.HFIN)+value_min_0)));
double value_min_2 = std::min(Arsd,value_max_1);
afin = value_min_2;
}
{
double value_tan_0 = tan(thetarsp);
double value_sqrt_1 = sqrt(static_cast<double>(3.14159265358979323846));
double value_sqrt_2 = sqrt(afin);
double value_sqrt_3 = sqrt(Arsd);
double value_sqrt_4 = sqrt((afin/(Arsd*Arsd)));
Rsp = (((rhorsd/value_tan_0)/(value_sqrt_1*NFIN))*(((1.0/value_sqrt_2)-(2.0/value_sqrt_3))+value_sqrt_4));
}
arsd_total = ((Arsd*NFIN)+(model_.ARSDEND));
prsd_total = ((Prsd*NFIN)+(model_.PRSDEND));
{
double value_sqrt_0 = sqrt((((model_.RHOC)*arsd_total)/(rhorsd*prsd_total)));
lt = value_sqrt_0;
}
alpha = (LRSD/lt);
{
double value_exp_0 = exp((2.0*alpha));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = (((2.0*alpha)>80.0)?(5.540622384e34*((1.0+(2.0*alpha))-80.0)):(((2.0*alpha)<(-80.0))?1.804851387e-35:value_exp_0));
}
if (((model_.SDTERM)==1.0))
{
eta = ((rhorsd*lt)/(model_.RHOC));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (T0*(1.0+eta));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((T1+1.0)-eta);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = ((T1-1.0)+eta);
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (T0+1.0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (T0-1.0);
}
RrsdTML = (((rhorsd*lt)*T2)/(arsd_total*T3));
if (((model_.HEPI)<(-1.0e-10)))
{
Rrsdside = ((model_.RHOC)/(((-(model_.HEPI))*TFIN)*NFIN));
Rrsd = (((RrsdTML+Rsp)*Rrsdside)/((RrsdTML+Rsp)+Rrsdside));
}
else
{
Rrsd = (RrsdTML+Rsp);
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(((((model_.RGEOA)+((model_.RGEOB)*TFIN))+((model_.RGEOC)*FPITCH))+((model_.RGEOD)*LRSD))+((model_.RGEOE)*(model_.HEPI))));
Rdsgeo = ((Rrsd/NF)*value_max_0);
}
RSourceGeo = Rdsgeo;
RDrainGeo = Rdsgeo;
}
if (((model_.RDSMOD)==0))
{
if ((RSourceGeo<(model_.minr)))
{
RSourceGeo = 0;
}
if ((RDrainGeo<(model_.minr)))
{
RDrainGeo = 0;
}
}
else
{
if ((RSourceGeo<=(model_.minr)))
{
RSourceGeo = (model_.minr);
}
if ((RDrainGeo<=(model_.minr)))
{
RDrainGeo = (model_.minr);
}
}
if (((model_.CGEOMOD)!=1))
{
if ((model_.given("CGSO")))
{
CGSO_i = (model_.CGSO);
}
else
{
if (((model_.given("DLC"))&&((model_.DLC)>0.0)))
{
{
double value_max_0 = std::max(static_cast<double>(0.0),(((model_.DLC)*cox)-CGSL_i));
CGSO_i = value_max_0;
}
}
else
{
if (((model_.CGEOMOD)==3))
{
CGSO_i = ((0.3*WGAA)*cox);
}
else
{
CGSO_i = ((0.3*TFIN)*cox);
}
}
}
if ((model_.given("CGDO")))
{
CGDO_i = (model_.CGDO);
}
else
{
if (((model_.given("DLC"))&&((model_.DLC)>0.0)))
{
{
double value_max_0 = std::max(static_cast<double>(0.0),(((model_.DLC)*cox)-CGDL_i));
CGDO_i = value_max_0;
}
}
else
{
if (((model_.CGEOMOD)==3))
{
CGDO_i = ((0.3*WGAA)*cox);
}
else
{
CGDO_i = ((0.3*TFIN)*cox);
}
}
}
}
if (((model_.CGEOMOD)==2))
{
Hg = ((model_.TGATE)+(model_.TMASK));
Trsd = (0.5*(FPITCH-TFIN));
{
double value_max_0 = std::max(static_cast<double>(0.0),(Trsd-(model_.TOXP)));
Wg = value_max_0;
}
{
double value_max_0 = std::max(static_cast<double>(0.0),((model_.HEPI)+(model_.TSILI)));
Hrsd = value_max_0;
}
if (((model_.TMASK)>0.0))
{
{
double value_log_0 = log(((1.0e-7*(model_.EPSRSP))/(3.9*(model_.LSP))));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = (3.467e-11*((((1.0e-7*(model_.EPSRSP))/(3.9*(model_.LSP)))>1.0e-38)?value_log_0:(-87.498233534)));
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (((0.942*Hrsd)*epssp)/(model_.LSP));
Cgg_top = ((T0+T1)*(TFIN+((FPITCH-TFIN)*(model_.CRATIO))));
}
else
{
{
Hr = (2.3+((0.2*(Hg+(model_.TOXP)))/Hrsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Hg+(model_.TOXP))-Hrsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Hrsd,(Hg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Hrsd/(Hg+(model_.TOXP))),((Hg+(model_.TOXP))/Hrsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (TFIN*(Ccg1+Ccg2));
x = (Lmax/Hg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Hg)*(model_.TOXP)))+((Hg*Hg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Hg*x))+Hg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (TFIN*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_top = (Ccg+Cfg);
}
}
if (((model_.TMASK)>0.0))
{
{
Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+(model_.TOXP))-Trsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = ((model_.HFIN)*(Ccg1+Ccg2));
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = ((model_.HFIN)*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_side = (Ccg+Cfg);
}
}
else
{
{
Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+(model_.TOXP))-Trsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = ((model_.HFIN)*(Ccg1+Ccg2));
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = ((model_.HFIN)*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_side = (Ccg+Cfg);
}
}
if (((model_.TMASK)>0.0))
{
Acorner = 0.0;
}
else
{
if (((model_.HEPI)>0.0))
{
Acorner = ((FPITCH-TFIN)*(((model_.HEPI)*(model_.CRATIO))+(model_.TSILI)));
}
else
{
Acorner = ((FPITCH-TFIN)*Hrsd);
}
}
Ccorner = (((((NFIN*Acorner)+(model_.ARSDEND))+(model_.ASILIEND))*epssp)/(model_.LSP));
Cfr_geo = (((Ccorner+(Cgg_top*NFIN))+((((model_.CGEOE)*Cgg_side)*NFIN)*2.0))*NF);
{
double value_max_0 = std::max(static_cast<double>(0.0),((((model_.CGEOA)+((model_.CGEOB)*TFIN))+((model_.CGEOC)*FPITCH))+((model_.CGEOD)*LRSD)));
Cfr_geo = (Cfr_geo*value_max_0);
}
}
if (((model_.CGEOMOD)==3))
{
Hg = ((model_.TGATE)+(model_.TMASK));
Trsd = (0.5*(FPITCH-WGAA));
{
double value_max_0 = std::max(static_cast<double>(0.0),(Trsd-(model_.TOXP)));
Wg = value_max_0;
}
{
double value_max_0 = std::max(static_cast<double>(0.0),((model_.HEPI)+(model_.TSILI)));
Hrsd = value_max_0;
}
Hrsd2 = (0.5*TSUS);
if (((model_.TMASK)>0.0))
{
{
double value_log_0 = log(((1.0e-7*(model_.EPSRSP))/(3.9*(model_.LSP))));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = (3.467e-11*((((1.0e-7*(model_.EPSRSP))/(3.9*(model_.LSP)))>1.0e-38)?value_log_0:(-87.498233534)));
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (((0.942*Hrsd)*epssp)/(model_.LSP));
Cgg_topm = ((T0+T1)*(WGAA+((FPITCH-WGAA)*(model_.CRATIO))));
}
else
{
{
Hr = (2.3+((0.2*(Hg+(model_.TOXP)))/Hrsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Hg+(model_.TOXP))-Hrsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Hrsd,(Hg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Hrsd/(Hg+(model_.TOXP))),((Hg+(model_.TOXP))/Hrsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (WGAA*(Ccg1+Ccg2));
x = (Lmax/Hg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Hg)*(model_.TOXP)))+((Hg*Hg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Hg*x))+Hg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (WGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_topm = (Ccg+Cfg);
}
}
{
Hr = (2.3+((0.2*((model_.TGATE)+(model_.TOXP)))/Hrsd2));
Lr = 1.05;
{
double value_fabs_0 = fabs((((model_.TGATE)+(model_.TOXP))-Hrsd2));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Hrsd2,((model_.TGATE)+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Hrsd2/((model_.TGATE)+(model_.TOXP))),(((model_.TGATE)+(model_.TOXP))/Hrsd2));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (WGAA*(Ccg1+Ccg2));
x = (Lmax/(model_.TGATE));
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*(model_.TGATE))*(model_.TOXP)))+(((model_.TGATE)*(model_.TGATE))*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+((model_.TGATE)*x))+(model_.TGATE));
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (WGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_tb = (Ccg+Cfg);
}
if (((model_.TMASK)>0.0))
{
{
Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+(model_.TOXP))-Trsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (TGAA*(Ccg1+Ccg2));
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (TGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_sidetopm = (Ccg+Cfg);
}
}
else
{
{
Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+(model_.TOXP))-Trsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (TGAA*(Ccg1+Ccg2));
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (TGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_sidetopm = (Ccg+Cfg);
}
}
{
Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+(model_.TOXP))-Trsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (TGAA*(Ccg1+Ccg2));
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (TGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_sidetb = (Ccg+Cfg);
}
{
Hr = (2.3+((0.2*(Wg+(model_.TOXP)))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+(model_.TOXP))-Trsd));
Hgdelta = value_fabs_0;
}
Lmax = ((model_.LSP)*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+(model_.TOXP)));
y = value_min_0;
}
x = ((model_.LSP)/(Hr+1.0));
Cnon = 1.7e12;
CcgSat = ((epssp*(y-x))/(model_.LSP));
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+(model_.TOXP))),((Wg+(model_.TOXP))/Trsd));
r1cf = (0.5*value_min_0);
}
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*(((((model_.LSP)+((0.5*3.14159265358979323846)*Rcf))/(model_.LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
Ccg = (HPFF*(Ccg1+Ccg2));
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt(((((model_.TOXP)*(model_.TOXP))+((2.0*Wg)*(model_.TOXP)))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
C2 = ((((value_sqrt_0*value_sqrt_1)+(model_.TOXP))+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
C3 = (((model_.TOXP)*value_sqrt_0)+((model_.TOXP)*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*(model_.TOXP))*(dcf*(model_.TOXP)))+(((2.0*dcf)*Lmax)*(model_.TOXP)))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
TT1 = (((value_sqrt_0+(dcf*(model_.TOXP)))+((dcf*dcf)*Lmax))+Lmax);
}
TT2 = ((TT0+1.0)*(dcf*(model_.TOXP)));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}

d_delta_dV_di_si = d_delta_dV_e_si = d_delta_dV_e_di = d_delta_dV_gi_si = d_delta_dTemp_t_GND = d_delta_dV_gi_e = d_delta_dV_ge_e = d_delta_dV_gi_di = d_delta_dV_ge_di = d_delta_dV_ge_si = d_delta_dV_gi_di1 = d_delta_dV_gi_si1 = d_delta_dV_d_di1 = d_delta_dV_s_si1 =  0.0;
delta = 1.2e-12;
TT1 = ((Cfgsat-Cfglog)-delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*delta)*Cfgsat)));
Cfg = (HPFF*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
Cgg_sidepff = (Ccg+Cfg);
}
if (((model_.TMASK)>0.0))
{
Acorner_topm = 0.0;
}
else
{
if (((model_.HEPI)>0.0))
{
Acorner_topm = ((FPITCH-WGAA)*(((model_.HEPI)*(model_.CRATIO))+(model_.TSILI)));
}
else
{
Acorner_topm = ((FPITCH-WGAA)*Hrsd);
}
}
Acorner_tb = ((FPITCH-WGAA)*Hrsd2);
Ccorner = (((((NFIN*(Acorner_topm+((2*NGAA)*Acorner_tb)))+(model_.ARSDEND))+(model_.ASILIEND))*epssp)/(model_.LSP));
Cfr_geo = (((Ccorner+((Cgg_topm+((2*NGAA)*Cgg_tb))*NFIN))+((((model_.CGEOE)*((Cgg_sidetopm+(Cgg_sidetb*(NGAA-1)))+Cgg_sidepff))*NFIN)*2.0))*NF);
{
double value_max_0 = std::max(static_cast<double>(0.0),((((model_.CGEOA)+((model_.CGEOB)*WGAA))+((model_.CGEOC)*FPITCH))+((model_.CGEOD)*LRSD)));
Cfr_geo = (Cfr_geo*value_max_0);
}
}
{
double value_log_0 = log((1.0+((model_.HFIN)/(model_.EOTBOX))));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = ((model_.CSDESW)*(((1.0+((model_.HFIN)/(model_.EOTBOX)))>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(PSEO-(FPITCH*NFINtotal)));
csbox = ((cbox*ASEO)+(T0*value_max_0));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(PDEO-(FPITCH*NFINtotal)));
cdbox = ((cbox*ADEO)+(T0*value_max_0));
}
if (((model_.GEOMOD)!=5))
{
cgbox = (((((model_.CGBO)*NF)*NGCON)+((model_.CGBN)*NFINtotal))*Lg);
}
else
{
cgbox = (((((model_.CGBO)*NF)*NGCON)+(((model_.CGBN)+((model_.CGBW)*WGAAeff))*NFINtotal))*Lg);
}
EeffFactor = (1.0e-8/(epsratio*(model_.EOT)));
{
double value_pow_0 = pow((Weff0*1.0e6),WR_i);
WeffWRFactor = (1.0/(NFINtotal*value_pow_0));
}
{
double value_sqrt_0 = sqrt((((epsratio*(model_.EOT))*0.5)*TFIN));
litl = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((epssub*Ach)/Cins)*(1.0+((Ach*Cins)/(((2.0*epssub)*Weff_UFCM)*Weff_UFCM)))));
scl = value_sqrt_0;
}
if ((!(model_.given("THETASCE"))))
{
tmp = (((DVT1_i*Leff)/scl)+1.0e-6);
if ((tmp<40.0))
{
{
double value_cosh_0 = cosh(tmp);
Theta_SCE = (0.5/(value_cosh_0-1.0));
}
}
else
{
{
double value_exp_0 = exp((-tmp));
Theta_SCE = (((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
}
else
{
Theta_SCE = (model_.THETASCE);
}
if ((!(model_.given("THETASW"))))
{
tmp = (((DVT1SS_i*Leff)/scl)+1.0e-6);
if ((tmp<40.0))
{
{
double value_cosh_0 = cosh(tmp);
Theta_SW = (0.5/(value_cosh_0-1.0));
}
}
else
{
{
double value_exp_0 = exp((-tmp));
Theta_SW = (((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
}
else
{
Theta_SW = (model_.THETASW);
}
if ((!(model_.given("THETADIBL"))))
{
tmp = (((DSUB_i*Leff)/scl)+1.0e-6);
if ((tmp<40.0))
{
{
double value_cosh_0 = cosh(tmp);
Theta_DIBL = (0.5/(value_cosh_0-1.0));
}
}
else
{
{
double value_exp_0 = exp((-tmp));
Theta_DIBL = (((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
}
else
{
Theta_DIBL = (model_.THETADIBL);
}
{
double value_sqrt_0 = sqrt((1.0+(LPE0_i/Leff)));
Theta_RSCE = (value_sqrt_0-1.0);
}
tmp = (((DSUB_i*Leff)/scl)+1.0e-6);
if ((tmp<40.0))
{
{
double value_cosh_0 = cosh(tmp);
double value_max_1 = std::max((1.0+((model_.DVTP2)*(value_cosh_0-2.0))),static_cast<double>(1.0e-6));
Theta_DITS = (1.0/value_max_1);
}
}
else
{
{
double value_exp_0 = exp((-tmp));
double value_exp_1 = exp((-tmp));
double value_max_2 = std::max(((model_.DVTP2)+(((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_1))),static_cast<double>(1.0e-6));
Theta_DITS = ((((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0))/value_max_2);
}
}
qbs = (((1.60219e-19*NBODY_i)*Ach)/Cins);
if (((model_.TYPE)==1))
{
Aechvb = 4.97232e-7;
Bechvb = 7.45669e11;
}
else
{
Aechvb = 3.42537e-7;
Bechvb = 1.16645e12;
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = ((model_.TOXG)*(model_.TOXG));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((model_.TOXG)*POXEDGE_i);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (T1*T1);
{
double value_pow_0 = pow(((model_.TOXREF)/(model_.TOXG)),NTOX_i);
Toxratio = (value_pow_0/T0);
}
{
double value_pow_0 = pow(((model_.TOXREF)/T1),NTOX_i);
Toxratioedge = (value_pow_0/T2);
}
igsd_mult0 = ((Weff0*Aechvb)*Toxratioedge);
if (((model_.TNOM)<(-273.15)))
{
UserInfo(*this)  << "Warning: (TNOM = %g) < -`P_CELSIUS0. Set to 27 C." << " " << (model_.TNOM) << " " <<  std::endl; 
Tnom = 300.15;
}
else
{
Tnom = ((model_.TNOM)+273.15);
}
if ((SUBBANDMOD==1))
{
{
double value_exp_0 = exp(((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR)));
d1 = ((((model_.DIM1H)-DIMENSION1_i)/(1+((((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR))>80.0)?(5.540622384e34*((1.0+((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR)))-80.0)):((((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR))<(-80.0))?1.804851387e-35:value_exp_0))))+DIMENSION1_i);
}
{
double value_exp_0 = exp(((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR)));
d2 = ((((model_.DIM2H)-DIMENSION2_i)/(1+((((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR))>80.0)?(5.540622384e34*((1.0+((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR)))-80.0)):((((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR))<(-80.0))?1.804851387e-35:value_exp_0))))+DIMENSION2_i);
}
{
double value_exp_0 = exp(((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR)));
d3 = ((((model_.DIM3H)-DIMENSION3_i)/(1+((((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR))>80.0)?(5.540622384e34*((1.0+((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR)))-80.0)):((((((model_.WDIM0)*1e9)-(WGAA*1e9))/(model_.WDIMR))<(-80.0))?1.804851387e-35:value_exp_0))))+DIMENSION3_i);
}
{
double value_exp_0 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_1 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_2 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_3 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_sqrt_4 = sqrt(((((((-(model_.DSSP1))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_2))))+SSP1_i))*((((-(model_.DSSP1))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_3))))+SSP1_i)))+((0.25*0.001)*0.001)));
p1 = (((((((-(model_.DSSP1))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_0))))+SSP1_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:(0.5*((((-(model_.DSSP1))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_1))))+SSP1_i)+value_sqrt_4)));
}
{
double value_exp_0 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_1 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_2 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_3 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_sqrt_4 = sqrt(((((((-(model_.DSSP2))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_2))))+SSP2_i))*((((-(model_.DSSP2))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_3))))+SSP2_i)))+((0.25*0.001)*0.001)));
p2 = (((((((-(model_.DSSP2))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_0))))+SSP2_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:(0.5*((((-(model_.DSSP2))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_1))))+SSP2_i)+value_sqrt_4)));
}
{
double value_exp_0 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_1 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_2 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_exp_3 = exp(((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)));
double value_sqrt_4 = sqrt(((((((-(model_.DSSP3))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_2))))+SSP3_i))*((((-(model_.DSSP3))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_3))))+SSP3_i)))+((0.25*0.001)*0.001)));
p3 = (((((((-(model_.DSSP3))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_0))))+SSP3_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:(0.5*((((-(model_.DSSP3))/(1+((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))>80.0)?(5.540622384e34*((1.0+((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR)))-80.0)):((((((model_.WSSP0)*1e9)-(WGAA*1e9))/(model_.WSSPR))<(-80.0))?1.804851387e-35:value_exp_1))))+SSP3_i)+value_sqrt_4)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(d1-1.001)))*((1.001*(d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(d1-1.001)))*((1.001*(d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(d1-1.001)))*((1.001*(d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(d1-1.001)))*((1.001*(d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-1.001))+value_sqrt_2)))-1)*((((((1.001*(d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-1.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
Wp1 = (((((((((1.001*(d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-1.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(d1-2.001)))*((1.001*(d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(d1-2.001)))*((1.001*(d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(d1-2.001)))*((1.001*(d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(d1-2.001)))*((1.001*(d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-2.001))+value_sqrt_2)))-1)*((((((1.001*(d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-2.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
Tp1 = (((((((((1.001*(d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d1-2.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(d2-1.001)))*((1.001*(d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(d2-1.001)))*((1.001*(d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(d2-1.001)))*((1.001*(d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(d2-1.001)))*((1.001*(d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-1.001))+value_sqrt_2)))-1)*((((((1.001*(d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-1.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
Wp2 = (((((((((1.001*(d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-1.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(d2-2.001)))*((1.001*(d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(d2-2.001)))*((1.001*(d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(d2-2.001)))*((1.001*(d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(d2-2.001)))*((1.001*(d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-2.001))+value_sqrt_2)))-1)*((((((1.001*(d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-2.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
Tp2 = (((((((((1.001*(d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d2-2.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(d3-1.001)))*((1.001*(d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(d3-1.001)))*((1.001*(d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(d3-1.001)))*((1.001*(d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(d3-1.001)))*((1.001*(d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-1.001))+value_sqrt_2)))-1)*((((((1.001*(d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-1.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
Wp3 = (((((((((1.001*(d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-1.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(d3-2.001)))*((1.001*(d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(d3-2.001)))*((1.001*(d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(d3-2.001)))*((1.001*(d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(d3-2.001)))*((1.001*(d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-2.001))+value_sqrt_2)))-1)*((((((1.001*(d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-2.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
Tp3 = (((((((((1.001*(d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(d3-2.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_pow_0 = pow(Weff0,Wp1);
double value_pow_1 = pow((Ach/Weff0),Tp1);
VnD1 = (value_pow_0*value_pow_1);
}
qndnf1 = (VnD1/Cins);
{
double value_pow_0 = pow(Weff0,Wp2);
double value_pow_1 = pow((Ach/Weff0),Tp2);
VnD2 = (value_pow_0*value_pow_1);
}
qndnf2 = (VnD2/Cins);
{
double value_pow_0 = pow(Weff0,Wp3);
double value_pow_1 = pow((Ach/Weff0),Tp3);
VnD3 = (value_pow_0*value_pow_1);
}
qndnf3 = (VnD3/Cins);
{
double value_exp_0 = exp(((2.75-(TGAA*1e9))/0.78));
double value_exp_1 = exp(((2.75-(TGAA*1e9))/0.78));
double value_exp_2 = exp(((2.75-(TGAA*1e9))/0.78));
double value_exp_3 = exp(((2.75-(TGAA*1e9))/0.78));
double value_sqrt_4 = sqrt(((((1/(1+((((2.75-(TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(TGAA*1e9))/0.78))-80.0)):((((2.75-(TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_2))))-0.5)*((1/(1+((((2.75-(TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(TGAA*1e9))/0.78))-80.0)):((((2.75-(TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_3))))-0.5))+((0.25*0.003)*0.003)));
nc3d0 = (((((1/(1+((((2.75-(TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(TGAA*1e9))/0.78))-80.0)):((((2.75-(TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_0))))==0.0)&&(0.5==0.0))&&(0.003==0.0))?0.0:(0.5*(((1/(1+((((2.75-(TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(TGAA*1e9))/0.78))-80.0)):((((2.75-(TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_1))))+0.5)+value_sqrt_4)));
}
nc3d = ((((1-nc3d0)*(d1-DIMENSION1_i))/((model_.DIM1H)-DIMENSION1_i))+nc3d0);
{
double value_exp_0 = exp(((nc3d-0.999)/1e-4));
ncq = (1/(1+((((nc3d-0.999)/1e-4)>80.0)?(5.540622384e34*((1.0+((nc3d-0.999)/1e-4))-80.0)):((((nc3d-0.999)/1e-4)<(-80.0))?1.804851387e-35:value_exp_0))));
}
QT0 = (((((0.5*TGAA)*TGAA)*1e18)-((1.5*TGAA)*1e9))+2);
{
double value_sqrt_0 = sqrt((((QT0-4)*(QT0-4))+((0.25*0.01)*0.01)));
QT1 = ((((QT0==0.0)&&(4==0.0))&&(0.01==0.0))?0.0:((0.5*((QT0+4)-value_sqrt_0))+(0.25*0.01)));
}
{
double value_pow_0 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_1 = pow(2,(model_.TSRE2));
double value_pow_2 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_3 = pow(2,(model_.TSRE2));
double value_pow_4 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_5 = pow(2,(model_.TSRE2));
double value_pow_6 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_7 = pow(2,(model_.TSRE2));
double value_sqrt_8 = sqrt(((((T0+((value_pow_4*(9.24e5-1.81e4))/value_pow_5))-1.81e4)*((T0+((value_pow_6*(9.24e5-1.81e4))/value_pow_7))-1.81e4))+((0.25*0.01)*0.01)));
double value_pow_9 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_10 = pow(2,(model_.TSRE2));
double value_pow_11 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_12 = pow(2,(model_.TSRE2));
double value_pow_13 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_14 = pow(2,(model_.TSRE2));
double value_pow_15 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_16 = pow(2,(model_.TSRE2));
double value_sqrt_17 = sqrt(((((T0+((value_pow_13*(9.24e5-1.81e4))/value_pow_14))-1.81e4)*((T0+((value_pow_15*(9.24e5-1.81e4))/value_pow_16))-1.81e4))+((0.25*0.01)*0.01)));
double value_pow_18 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_19 = pow(2,(model_.TSRE2));
double value_pow_20 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_21 = pow(2,(model_.TSRE2));
double value_pow_22 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_23 = pow(2,(model_.TSRE2));
double value_pow_24 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_25 = pow(2,(model_.TSRE2));
double value_sqrt_26 = sqrt(((((T0+((value_pow_22*(9.24e5-1.81e4))/value_pow_23))-1.81e4)*((T0+((value_pow_24*(9.24e5-1.81e4))/value_pow_25))-1.81e4))+((0.25*0.01)*0.01)));
double value_pow_27 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_28 = pow(2,(model_.TSRE2));
double value_pow_29 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_30 = pow(2,(model_.TSRE2));
double value_pow_31 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_32 = pow(2,(model_.TSRE2));
double value_pow_33 = pow(((TGAA*1e9)-QT1),(model_.TSRE2));
double value_pow_34 = pow(2,(model_.TSRE2));
double value_sqrt_35 = sqrt(((((T0+((value_pow_31*(9.24e5-1.81e4))/value_pow_32))-1.81e4)*((T0+((value_pow_33*(9.24e5-1.81e4))/value_pow_34))-1.81e4))+((0.25*0.01)*0.01)));
double value_sqrt_36 = sqrt(((((((((T0+((value_pow_18*(9.24e5-1.81e4))/value_pow_19))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((T0+((value_pow_20*(9.24e5-1.81e4))/value_pow_21))+1.81e4)+value_sqrt_26)))-9.24e5)*((((((T0+((value_pow_27*(9.24e5-1.81e4))/value_pow_28))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((T0+((value_pow_29*(9.24e5-1.81e4))/value_pow_30))+1.81e4)+value_sqrt_35)))-9.24e5))+((0.25*9.24e3)*9.24e3)));
ne2h = (((((((((T0+((value_pow_0*(9.24e5-1.81e4))/value_pow_1))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((T0+((value_pow_2*(9.24e5-1.81e4))/value_pow_3))+1.81e4)+value_sqrt_8)))==0.0)&&(9.24e5==0.0))&&(9.24e3==0.0))?0.0:((0.5*(((((((T0+((value_pow_9*(9.24e5-1.81e4))/value_pow_10))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((T0+((value_pow_11*(9.24e5-1.81e4))/value_pow_12))+1.81e4)+value_sqrt_17)))+9.24e5)-value_sqrt_36))+(0.25*9.24e3)));
}
{
double value_pow_0 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_1 = pow(2,(model_.TDWSE2));
double value_pow_2 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_3 = pow(2,(model_.TDWSE2));
double value_pow_4 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_5 = pow(2,(model_.TDWSE2));
double value_pow_6 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_7 = pow(2,(model_.TDWSE2));
double value_sqrt_8 = sqrt(((((5.5+((value_pow_4*(8-5.5))/value_pow_5)))*((5.5+((value_pow_6*(8-5.5))/value_pow_7))))+((0.25*0.01)*0.01)));
double value_pow_9 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_10 = pow(2,(model_.TDWSE2));
double value_pow_11 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_12 = pow(2,(model_.TDWSE2));
double value_pow_13 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_14 = pow(2,(model_.TDWSE2));
double value_pow_15 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_16 = pow(2,(model_.TDWSE2));
double value_sqrt_17 = sqrt(((((5.5+((value_pow_13*(8-5.5))/value_pow_14)))*((5.5+((value_pow_15*(8-5.5))/value_pow_16))))+((0.25*0.01)*0.01)));
double value_pow_18 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_19 = pow(2,(model_.TDWSE2));
double value_pow_20 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_21 = pow(2,(model_.TDWSE2));
double value_pow_22 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_23 = pow(2,(model_.TDWSE2));
double value_pow_24 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_25 = pow(2,(model_.TDWSE2));
double value_sqrt_26 = sqrt(((((5.5+((value_pow_22*(8-5.5))/value_pow_23)))*((5.5+((value_pow_24*(8-5.5))/value_pow_25))))+((0.25*0.01)*0.01)));
double value_pow_27 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_28 = pow(2,(model_.TDWSE2));
double value_pow_29 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_30 = pow(2,(model_.TDWSE2));
double value_pow_31 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_32 = pow(2,(model_.TDWSE2));
double value_pow_33 = pow(((TGAA*1e9)-QT1),(model_.TDWSE2));
double value_pow_34 = pow(2,(model_.TDWSE2));
double value_sqrt_35 = sqrt(((((5.5+((value_pow_31*(8-5.5))/value_pow_32)))*((5.5+((value_pow_33*(8-5.5))/value_pow_34))))+((0.25*0.01)*0.01)));
double value_sqrt_36 = sqrt(((((((((5.5+((value_pow_18*(8-5.5))/value_pow_19))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_20*(8-5.5))/value_pow_21))+value_sqrt_26)))-8)*((((((5.5+((value_pow_27*(8-5.5))/value_pow_28))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_29*(8-5.5))/value_pow_30))+value_sqrt_35)))-8))+((0.25*0.01)*0.01)));
pe2h = (((((((((5.5+((value_pow_0*(8-5.5))/value_pow_1))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_2*(8-5.5))/value_pow_3))+value_sqrt_8)))==0.0)&&(8==0.0))&&(0.01==0.0))?0.0:((0.5*(((((((5.5+((value_pow_9*(8-5.5))/value_pow_10))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_11*(8-5.5))/value_pow_12))+value_sqrt_17)))+8)-value_sqrt_36))+(0.25*0.01)));
}
{
double value_pow_0 = pow(4,(model_.TSRE3));
double value_pow_1 = pow((TGAA*1e9),(model_.TSRE3));
ne3h = ((120.66*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,(model_.TDWSE3));
double value_pow_1 = pow((TGAA*1e9),(model_.TDWSE3));
pe3h = ((2*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,(model_.TSRQ1));
double value_pow_1 = pow((TGAA*1e9),(model_.TSRQ1));
nc1l0 = ((107*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_1 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_2 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_3 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_sqrt_4 = sqrt(((((0.7+(value_pow_2*0.1))-0.5)*((0.7+(value_pow_3*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_pow_5 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_6 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_7 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_8 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_sqrt_9 = sqrt(((((0.7+(value_pow_7*0.1))-0.5)*((0.7+(value_pow_8*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_pow_10 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_11 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_12 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_13 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_sqrt_14 = sqrt(((((0.7+(value_pow_12*0.1))-0.5)*((0.7+(value_pow_13*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_pow_15 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_16 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_17 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_pow_18 = pow(((TGAA*1e9)-QT1),(model_.TDWSQ1));
double value_sqrt_19 = sqrt(((((0.7+(value_pow_17*0.1))-0.5)*((0.7+(value_pow_18*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_sqrt_20 = sqrt(((((((((0.7+(value_pow_10*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_11*0.1))+0.5)+value_sqrt_14)))-1)*((((((0.7+(value_pow_15*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_16*0.1))+0.5)+value_sqrt_19)))-1))+((0.25*0.01)*0.01)));
pnc1l = (((((((((0.7+(value_pow_0*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_1*0.1))+0.5)+value_sqrt_4)))==0.0)&&(1==0.0))&&(0.01==0.0))?0.0:((0.5*(((((((0.7+(value_pow_5*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_6*0.1))+0.5)+value_sqrt_9)))+1)-value_sqrt_20))+(0.25*0.01)));
}
{
double value_pow_0 = pow(4,(model_.TSRQ2));
double value_pow_1 = pow((TGAA*1e9),(model_.TSRQ2));
nc2l0 = ((103*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,(model_.TDWSQ2));
double value_pow_1 = pow((TGAA*1e9),(model_.TDWSQ2));
pnc2l = ((1.5*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,(model_.TSRQ3));
double value_pow_1 = pow((TGAA*1e9),(model_.TSRQ3));
nc3l0 = ((833*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,(model_.TDWSQ3));
double value_pow_1 = pow((TGAA*1e9),(model_.TDWSQ3));
pnc3l = ((3.4*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(((model_.WGAANOM)*1e9),((model_.WSFE2)*pe2h));
qe2n = (ne2h/value_pow_0);
}
{
double value_pow_0 = pow(((model_.WGAANOM)*1e9),((model_.WSFE3)*pe3h));
qe3n = (ne3h/value_pow_0);
}
{
double value_pow_0 = pow((WGAA*1e9),((model_.WSFE2)*pe2h));
double value_pow_1 = pow((WGAA*1e9),((model_.WSFE2)*pe2h));
double value_pow_2 = pow((WGAA*1e9),((model_.WSFE2)*pe2h));
double value_pow_3 = pow((WGAA*1e9),((model_.WSFE2)*pe2h));
double value_sqrt_4 = sqrt(((((E2NOM_i+((model_.MFE2)*((ne2h/value_pow_2)-qe2n))))*((E2NOM_i+((model_.MFE2)*((ne2h/value_pow_3)-qe2n)))))+((0.25*0.01)*0.01)));
qe2 = (((((E2NOM_i+((model_.MFE2)*((ne2h/value_pow_0)-qe2n)))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((E2NOM_i+((model_.MFE2)*((ne2h/value_pow_1)-qe2n)))+value_sqrt_4)));
}
{
double value_pow_0 = pow((WGAA*1e9),((model_.WSFE3)*pe3h));
double value_pow_1 = pow((WGAA*1e9),((model_.WSFE3)*pe3h));
double value_pow_2 = pow((WGAA*1e9),((model_.WSFE3)*pe3h));
double value_pow_3 = pow((WGAA*1e9),((model_.WSFE3)*pe3h));
double value_sqrt_4 = sqrt(((((E3NOM_i+((model_.MFE3)*((ne3h/value_pow_2)-qe3n))))*((E3NOM_i+((model_.MFE3)*((ne3h/value_pow_3)-qe3n)))))+((0.25*0.01)*0.01)));
qe3 = (((((E3NOM_i+((model_.MFE3)*((ne3h/value_pow_0)-qe3n)))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((E3NOM_i+((model_.MFE3)*((ne3h/value_pow_1)-qe3n)))+value_sqrt_4)));
}
{
double value_pow_0 = pow((WGAA*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((WGAA*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((WGAA*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((WGAA*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc1l0/value_pow_5))*((nc1l0/value_pow_7)))+((0.25*0.1)*0.1)));
nc1l = (((((nc1l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc1l0/value_pow_3)+value_sqrt_8)));
}
{
double value_pow_0 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ1)*pnc1l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc1l0/value_pow_5))*((nc1l0/value_pow_7)))+((0.25*0.1)*0.1)));
nc1ln = (((((nc1l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc1l0/value_pow_3)+value_sqrt_8)));
}
nc1 = (MFQ1NOM_i+((model_.MFQ1)*(nc1l-nc1ln)));
{
double value_pow_0 = pow((WGAA*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((WGAA*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((WGAA*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((WGAA*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc2l0/value_pow_5))*((nc2l0/value_pow_7)))+((0.25*0.1)*0.1)));
nc2l = (((((nc2l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc2l0/value_pow_3)+value_sqrt_8)));
}
{
double value_pow_0 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ2)*pnc2l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc2l0/value_pow_5))*((nc2l0/value_pow_7)))+((0.25*0.1)*0.1)));
nc2ln = (((((nc2l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc2l0/value_pow_3)+value_sqrt_8)));
}
nc2 = (MFQ2NOM_i+((model_.MFQ2)*(nc2l-nc2ln)));
{
double value_pow_0 = pow((WGAA*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((WGAA*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((WGAA*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((WGAA*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc3l0/value_pow_5))*((nc3l0/value_pow_7)))+((0.25*0.1)*0.1)));
nc3l = (((((nc3l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc3l0/value_pow_3)+value_sqrt_8)));
}
{
double value_pow_0 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow(((model_.WGAANOM)*1e9),((model_.WSFQ3)*pnc3l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc3l0/value_pow_5))*((nc3l0/value_pow_7)))+((0.25*0.1)*0.1)));
nc3ln = (((((nc3l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc3l0/value_pow_3)+value_sqrt_8)));
}
nc3 = (MFQ3NOM_i+((model_.MFQ3)*(nc3l-nc3ln)));
{
double value_pow_0 = pow(3.14,(d1/2));
double value_exp_1 = exp(((-4.6)*((1+(d1/2))-1)));
double value_pow_2 = pow((((2*1)+(d1/2))-3),8);
double value_pow_3 = pow((2*((1+(d1/2))-1)),6);
double value_pow_4 = pow((2*((1+(d1/2))-1)),5);
double value_pow_5 = pow((2*((1+(d1/2))-1)),4);
double value_pow_6 = pow((2*((1+(d1/2))-1)),3);
double value_pow_7 = pow((2*((1+(d1/2))-1)),2);
double value_pow_8 = pow((nc1*1e6),d1);
qnd10 = ((((1.60219e-19*(d1/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(d1/2))-1)))+0.959)))*value_pow_8)*qndnf1);
}
{
double value_pow_0 = pow(3.14,(d2/2));
double value_exp_1 = exp(((-4.6)*((1+(d2/2))-1)));
double value_pow_2 = pow((((2*1)+(d2/2))-3),8);
double value_pow_3 = pow((2*((1+(d2/2))-1)),6);
double value_pow_4 = pow((2*((1+(d2/2))-1)),5);
double value_pow_5 = pow((2*((1+(d2/2))-1)),4);
double value_pow_6 = pow((2*((1+(d2/2))-1)),3);
double value_pow_7 = pow((2*((1+(d2/2))-1)),2);
double value_pow_8 = pow((nc2*1e6),d2);
qnd20 = ((((1.60219e-19*(d2/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(d2/2))-1)))+0.959)))*value_pow_8)*qndnf2);
}
{
double value_pow_0 = pow(3.14,(d3/2));
double value_exp_1 = exp(((-4.6)*((1+(d3/2))-1)));
double value_pow_2 = pow((((2*1)+(d3/2))-3),8);
double value_pow_3 = pow((2*((1+(d3/2))-1)),6);
double value_pow_4 = pow((2*((1+(d3/2))-1)),5);
double value_pow_5 = pow((2*((1+(d3/2))-1)),4);
double value_pow_6 = pow((2*((1+(d3/2))-1)),3);
double value_pow_7 = pow((2*((1+(d3/2))-1)),2);
double value_pow_8 = pow((nc3*1e6),d3);
qnd30 = ((((1.60219e-19*(d3/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(d3/2))-1)))+0.959)))*value_pow_8)*qndnf3);
}
}
if ((MOBSCMOD==1))
{
{
double value_exp_0 = exp(((((model_.ETAMOBTNI)*1e9)-(TGAA*1e9))/(model_.ETAMOBIR)));
ETAMOB_i = ((model_.ETAMOBTHIN)+((ETAMOB_i-(model_.ETAMOBTHIN))/(((((((model_.ETAMOBTNI)*1e9)-(TGAA*1e9))/(model_.ETAMOBIR))>80.0)?(5.540622384e34*((1.0+((((model_.ETAMOBTNI)*1e9)-(TGAA*1e9))/(model_.ETAMOBIR)))-80.0)):((((((model_.ETAMOBTNI)*1e9)-(TGAA*1e9))/(model_.ETAMOBIR))<(-80.0))?1.804851387e-35:value_exp_0))+1)));
}
mut0 = ((UA_i-(model_.UATHIN))-(((model_.UATSAT)*1e9)*(model_.UARTSC)));
{
double value_exp_0 = exp(((((model_.UATNI)*1e9)-(TGAA*1e9))/(model_.UAIR)));
mut1 = ((mut0+((TGAA*1e9)*(model_.UARTSC)))/(1+((((((model_.UATNI)*1e9)-(TGAA*1e9))/(model_.UAIR))>80.0)?(5.540622384e34*((1.0+((((model_.UATNI)*1e9)-(TGAA*1e9))/(model_.UAIR)))-80.0)):((((((model_.UATNI)*1e9)-(TGAA*1e9))/(model_.UAIR))<(-80.0))?1.804851387e-35:value_exp_0))));
}
{
double value_sqrt_0 = sqrt((((((mut1+(model_.UATHIN))-UA_i)+0.2)*(((mut1+(model_.UATHIN))-UA_i)+0.2))+((0.25*0.6)*0.6)));
UA_i = (((((mut1+(model_.UATHIN))==0.0)&&((UA_i+0.2)==0.0))&&(0.6==0.0))?0.0:(0.5*((((mut1+(model_.UATHIN))+UA_i)+0.2)-value_sqrt_0)));
}
{
double value_pow_0 = pow((TGAA*1e9),(model_.EUPTSC));
double value_exp_1 = exp((((TGAA*1e9)-((model_.EUTNI)*1e9))/(model_.EUIR)));
mut2 = ((((((model_.EUTHIN)-EU_i)*370)/value_pow_0)+(((model_.EUTHIN)-EU_i)/(1+(((((TGAA*1e9)-((model_.EUTNI)*1e9))/(model_.EUIR))>80.0)?(5.540622384e34*((1.0+(((TGAA*1e9)-((model_.EUTNI)*1e9))/(model_.EUIR)))-80.0)):(((((TGAA*1e9)-((model_.EUTNI)*1e9))/(model_.EUIR))<(-80.0))?1.804851387e-35:value_exp_1)))))+EU_i);
}
{
double value_sqrt_0 = sqrt((((mut2-(model_.EUTHIN))*(mut2-(model_.EUTHIN)))+((0.25*0.2)*0.2)));
EU_i = ((((mut2==0.0)&&((model_.EUTHIN)==0.0))&&(0.2==0.0))?0.0:(0.5*((mut2+(model_.EUTHIN))-value_sqrt_0)));
}
mut3 = (WGAA/(WGAA+TGAA));
mut4 = (((((model_.EGBULK)*TGAA)*TGAA)*1e18)-((model_.U0EMSM1)*1e-3));
{
double value_pow_0 = pow(((mut4*mut4)+((((((4*(model_.U0EMSM1))*1e-3)*((model_.EGBULK)+0.24))*TGAA)*TGAA)*1e18)),0.5);
mut5 = ((mut4+value_pow_0)/((((2*((model_.EGBULK)+0.24))*TGAA)*TGAA)*1e18));
}
{
double value_sqrt_0 = sqrt(((((1e-4/((mut5-0.8208)-((model_.U0EMSM2)*1e-5)))-1)*((1e-4/((mut5-0.8208)-((model_.U0EMSM2)*1e-5)))-1))+((0.25*0.06)*0.06)));
mut6 = (((((1e-4/((mut5-0.8208)-((model_.U0EMSM2)*1e-5)))==0.0)&&(1==0.0))&&(0.06==0.0))?0.0:(0.5*(((1e-4/((mut5-0.8208)-((model_.U0EMSM2)*1e-5)))+1)-value_sqrt_0)));
}
U0_i = ((U0_i*(mut3+((model_.U0ETAWSC)*(1-mut3))))*mut6);
{
double value_sqrt_0 = sqrt(((((((model_.UDTSAT)*1e9)-(TGAA*1e9)))*((((model_.UDTSAT)*1e9)-(TGAA*1e9))))+((0.25*1)*1)));
double value_pow_1 = pow((((((((model_.UDTSAT)*1e9)-(TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:(0.5*((((model_.UDTSAT)*1e9)-(TGAA*1e9))+value_sqrt_0))),(model_.UDPTSC));
UD_i = ((((model_.UDTHIN)-UD_i)*value_pow_1)+UD_i);
}
}
}
// End block initial_instance


  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::Instance
// Purpose       : "instance block" constructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------

Instance::Instance(
  const Configuration & configuration,
  const InstanceBlock & instance_block,
  Model &               model,
  const FactoryBlock &  factory_block)
  : DeviceInstance(instance_block, configuration.getInstanceParameters(), factory_block),
    model_(model),
    L(3.0e-8),
    D(4.0e-8),
    TFIN(1.5e-8),
    FPITCH(8.0e-8),
    NFIN(1.0),
    NGCON(1),
    ASEO(0.0),
    ADEO(0.0),
    PSEO(0.0),
    PDEO(0.0),
    ASEJ(0.0),
    ADEJ(0.0),
    PSEJ(0.0),
    PDEJ(0.0),
    CGSP(0.0),
    CGDP(0.0),
    CDSP(0.0),
    NRS(0.0),
    NRD(0.0),
    LRSD(0.0),
    NFINNOM(0.0),
    DTEMP(0.0),
    DELVTRAND(0.0),
    U0MULT(1.0),
    IDS0MULT(1.0),
    IGC0MULT(1.0),
    IGB0MULT(1.0),
    COVS(0.0),
    COVD(0.0),
    TGAA(5.0e-9),
    TSUS(2.0e-9),
    HPFF(5.0e-9),
    WGAA(6.0e-9),
    DWS1(0),
    DACH1(0),
    DWS2(0.0),
    DACH2(0.0),
    DWS3(0.0),
    DACH3(0.0),
    DWS4(0.0),
    DACH4(0.0),
    DWS5(0.0),
    DACH5(0.0),
    DWS6(0.0),
    DACH6(0.0),
    NGAA(1),
    SUBBANDMOD(0),
    MOBSCMOD(0),
    NF(1),
    XL(0.0),
    XW(0.0),
    m(1.0),
    WEFF(0.0),
    LEFF(0.0),
    WEFFCV(0.0),
    LEFFCV(0.0),
    IDS(0.0),
d_IDS_dTemp_t_GND(0.0),
d_IDS_dV_di_si(0.0),
d_IDS_dV_e_si(0.0),
d_IDS_dV_e_di(0.0),
d_IDS_dV_gi_si(0.0),
d_IDS_dV_gi_e(0.0),
d_IDS_dV_gi_di1(0.0),
d_IDS_dV_gi_si1(0.0),
    IDEFF(0.0),
    ISEFF(0.0),
    IGTOT(0.0),
    IDSGEN(0.0),
    III(0.0),
    IGIDL(0.0),
    IGISL(0.0),
    IJSB(0.0),
    IJDB(0.0),
    ISUB(0.0),
    BETA(0.0),
    VDSSAT(0.0),
    VDSEFF(0.0),
    VFB(0.0),
    VTH(0.0),
    GM(0.0),
    GDS(0.0),
    GMBS(0.0),
    QGI(0.0),
d_QGI_dV_di_si(0.0),
d_QGI_dV_e_si(0.0),
d_QGI_dV_e_di(0.0),
d_QGI_dV_gi_si(0.0),
d_QGI_dTemp_t_GND(0.0),
d_QGI_dV_gi_e(0.0),
d_QGI_dV_gi_di1(0.0),
d_QGI_dV_gi_si1(0.0),
    QDI(0.0),
d_QDI_dV_di_si(0.0),
d_QDI_dV_e_si(0.0),
d_QDI_dV_e_di(0.0),
d_QDI_dV_gi_si(0.0),
d_QDI_dTemp_t_GND(0.0),
d_QDI_dV_gi_e(0.0),
    QSI(0.0),
d_QSI_dV_gi_di1(0.0),
d_QSI_dV_gi_si1(0.0),
d_QSI_dV_di_si(0.0),
d_QSI_dV_e_si(0.0),
d_QSI_dV_e_di(0.0),
d_QSI_dV_gi_si(0.0),
d_QSI_dTemp_t_GND(0.0),
d_QSI_dV_gi_e(0.0),
    QBI(0.0),
d_QBI_dV_gi_di1(0.0),
d_QBI_dV_gi_si1(0.0),
d_QBI_dV_gi_e(0.0),
d_QBI_dV_e_si(0.0),
d_QBI_dV_e_di(0.0),
d_QBI_dV_gi_si(0.0),
d_QBI_dV_di_si(0.0),
d_QBI_dTemp_t_GND(0.0),
    QG(0.0),
d_QG_dV_di_si(0.0),
d_QG_dV_e_si(0.0),
d_QG_dV_e_di(0.0),
d_QG_dV_gi_si(0.0),
d_QG_dTemp_t_GND(0.0),
d_QG_dV_gi_e(0.0),
d_QG_dV_ge_s(0.0),
d_QG_dV_ge_di(0.0),
d_QG_dV_gi_di1(0.0),
d_QG_dV_gi_si1(0.0),
d_QG_dV_ge_si(0.0),
d_QG_dV_ge_d(0.0),
d_QG_dV_ge_e(0.0),
d_QG_dV_gi_di(0.0),
d_QG_dV_e_ge(0.0),
    QD(0.0),
d_QD_dV_di_si(0.0),
d_QD_dV_e_si(0.0),
d_QD_dV_e_di(0.0),
d_QD_dV_gi_si(0.0),
d_QD_dTemp_t_GND(0.0),
d_QD_dV_gi_e(0.0),
d_QD_dV_ge_d(0.0),
d_QD_dV_gi_di1(0.0),
d_QD_dV_gi_si1(0.0),
d_QD_dV_ge_di(0.0),
d_QD_dV_ge_si(0.0),
d_QD_dV_d_di1(0.0),
d_QD_dV_s_si1(0.0),
d_QD_dV_gi_di(0.0),
d_QD_dV_d_s(0.0),
    QS(0.0),
d_QS_dV_gi_di1(0.0),
d_QS_dV_gi_si1(0.0),
d_QS_dV_di_si(0.0),
d_QS_dV_e_si(0.0),
d_QS_dV_e_di(0.0),
d_QS_dV_gi_si(0.0),
d_QS_dTemp_t_GND(0.0),
d_QS_dV_gi_e(0.0),
d_QS_dV_ge_s(0.0),
d_QS_dV_ge_di(0.0),
d_QS_dV_ge_si(0.0),
d_QS_dV_d_di1(0.0),
d_QS_dV_s_si1(0.0),
d_QS_dV_gi_di(0.0),
d_QS_dV_d_s(0.0),
    QB(0.0),
d_QB_dV_gi_di1(0.0),
d_QB_dV_gi_si1(0.0),
d_QB_dV_gi_e(0.0),
d_QB_dV_e_si(0.0),
d_QB_dV_e_di(0.0),
d_QB_dV_gi_si(0.0),
d_QB_dV_di_si(0.0),
d_QB_dTemp_t_GND(0.0),
d_QB_dV_ge_e(0.0),
d_QB_dV_gi_di(0.0),
d_QB_dV_ge_di(0.0),
d_QB_dV_ge_si(0.0),
d_QB_dV_e_ge(0.0),
d_QB_dV_d_di1(0.0),
d_QB_dV_s_si1(0.0),
    CGGI(0.0),
    CGSI(0.0),
    CGDI(0.0),
    CGEI(0.0),
    CDGI(0.0),
    CDDI(0.0),
    CDSI(0.0),
    CDEI(0.0),
    CSGI(0.0),
    CSDI(0.0),
    CSSI(0.0),
    CSEI(0.0),
    CEGI(0.0),
    CEDI(0.0),
    CESI(0.0),
    CEEI(0.0),
    CGG(0.0),
    CGS(0.0),
    CGD(0.0),
    CGE(0.0),
    CDG(0.0),
    CDD(0.0),
    CDS(0.0),
    CDE(0.0),
    CSG(0.0),
    CSD(0.0),
    CSS(0.0),
    CSE(0.0),
    CEG(0.0),
    CED(0.0),
    CES(0.0),
    CEE(0.0),
    CGSEXT(0.0),
    CGDEXT(0.0),
    CGBOV(0.0),
    CJST(0.0),
    CJDT(0.0),
    RSGEO(0.0),
    RDGEO(0.0),
    CFGEO(0.0),
    T_TOTAL_K(0.0),
    T_TOTAL_C(0.0),
    T_DELTA_SH(0.0),
    IGS(0.0),
    IGD(0.0),
    IGCS(0.0),
    IGCD(0.0),
    IGBS(0.0),
    IGBD(0.0),
    IGBACC(0.0),
    IGBINV(0.0),
    DIDSDVG(0.0),
    DIDSDVS(0.0),
    DIDSDVD(0.0),
    DIGSDVG(0.0),
    DIGSDVS(0.0),
    DIGSDVD(0.0),
    DIGDDVG(0.0),
    DIGDDVS(0.0),
    DIGDDVD(0.0),
    DIIIDVG(0.0),
    DIIIDVS(0.0),
    DIIIDVD(0.0),
    DIGIDLDVG(0.0),
    DIGIDLDVS(0.0),
    DIGIDLDVD(0.0),
    DIGISLDVG(0.0),
    DIGISLDVS(0.0),
    DIGISLDVD(0.0),
    CGT(0.0),
    CST(0.0),
    CDT(0.0),
    DIDSDVTH(0.0),
    DIGSDVTH(0.0),
    DIGDDVTH(0.0),
    DIIIDVTH(0.0),
    DIGIDLDVTH(0.0),
    DIGISLDVTH(0.0),
    ITH(0.0),
d_ITH_dV_di_si(0.0),
d_ITH_dTemp_t_GND(0.0),
d_ITH_dV_e_si(0.0),
d_ITH_dV_e_di(0.0),
d_ITH_dV_gi_si(0.0),
d_ITH_dV_gi_e(0.0),
d_ITH_dV_gi_di1(0.0),
d_ITH_dV_gi_si1(0.0),
d_ITH_dV_di1_di(0.0),
d_ITH_dV_ge_e(0.0),
d_ITH_dV_gi_di(0.0),
d_ITH_dV_ge_di(0.0),
d_ITH_dV_ge_si(0.0),
d_ITH_dV_d_di1(0.0),
d_ITH_dV_s_si1(0.0),
d_ITH_dV_si1_si(0.0),
d_ITH_dV_si_si1(0.0),
    DITHDVTH(0.0),
    DITHDVG(0.0),
    DITHDVS(0.0),
    DITHDVD(0.0),
    VDSAT(0.0),
    VDS(0.0),
    VGS(0.0),
    VBS(0.0),
    devsign(0),
    NFINtotal(0.0),
    TempLast(0.0),
d_TempLast_dTemp_t_GND(0.0),
    DevTemp1(0.0),
d_DevTemp1_dTemp_t_GND(0.0),
    DevTempeff(0.0),
d_DevTempeff_dTemp_t_GND(0.0),
    DevTemplow0(0.0),
d_DevTemplow0_dTemp_t_GND(0.0),
    DevTemplow1(0.0),
d_DevTemplow1_dTemp_t_GND(0.0),
    ni(0.0),
d_ni_dTemp_t_GND(0.0),
    niln(0.0),
d_niln_dTemp_t_GND(0.0),
    epssub(0.0),
    epsratio(0.0),
    Eg(0.0),
d_Eg_dTemp_t_GND(0.0),
    Eg0(0.0),
    Nc(0.0),
d_Nc_dTemp_t_GND(0.0),
    Lg(0.0),
    Leff(0.0),
    LeffCV(0.0),
    LeffCV_acc(0.0),
    Weff0(0.0),
    WeffCV0(0.0),
    WeffCV_acc(0.0),
    cox(0.0),
    phib(0.0),
d_phib_dTemp_t_GND(0.0),
    deltaPhi(0.0),
d_deltaPhi_dTemp_t_GND(0.0),
    T0(0.0),
d_T0_dV_ge_e(0.0),
d_T0_dV_gi_di(0.0),
d_T0_dV_ge_di(0.0),
d_T0_dV_ge_si(0.0),
d_T0_dV_gi_di1(0.0),
d_T0_dV_gi_si1(0.0),
d_T0_dV_gi_e(0.0),
d_T0_dV_e_si(0.0),
d_T0_dV_e_di(0.0),
d_T0_dV_gi_si(0.0),
d_T0_dV_di_si(0.0),
d_T0_dTemp_t_GND(0.0),
    T1(0.0),
d_T1_dV_ge_e(0.0),
d_T1_dV_d_di1(0.0),
d_T1_dV_s_si1(0.0),
d_T1_dV_gi_di(0.0),
d_T1_dV_ge_di(0.0),
d_T1_dV_ge_si(0.0),
d_T1_dV_gi_di1(0.0),
d_T1_dV_gi_si1(0.0),
d_T1_dV_gi_e(0.0),
d_T1_dV_e_si(0.0),
d_T1_dV_e_di(0.0),
d_T1_dV_gi_si(0.0),
d_T1_dV_di_si(0.0),
d_T1_dTemp_t_GND(0.0),
    T2(0.0),
d_T2_dV_d_di1(0.0),
d_T2_dV_s_si1(0.0),
d_T2_dV_ge_e(0.0),
d_T2_dV_gi_di(0.0),
d_T2_dV_ge_di(0.0),
d_T2_dV_ge_si(0.0),
d_T2_dV_gi_di1(0.0),
d_T2_dV_gi_si1(0.0),
d_T2_dV_gi_e(0.0),
d_T2_dV_gi_si(0.0),
d_T2_dV_e_si(0.0),
d_T2_dV_e_di(0.0),
d_T2_dV_di_si(0.0),
d_T2_dTemp_t_GND(0.0),
    T3(0.0),
d_T3_dV_di1_di(0.0),
d_T3_dV_d_di1(0.0),
d_T3_dV_s_si1(0.0),
d_T3_dV_ge_e(0.0),
d_T3_dV_gi_di(0.0),
d_T3_dV_ge_di(0.0),
d_T3_dV_ge_si(0.0),
d_T3_dV_gi_di1(0.0),
d_T3_dV_gi_si1(0.0),
d_T3_dV_gi_e(0.0),
d_T3_dV_di_si(0.0),
d_T3_dV_e_si(0.0),
d_T3_dV_e_di(0.0),
d_T3_dV_gi_si(0.0),
d_T3_dTemp_t_GND(0.0),
    Vtm(0.0),
d_Vtm_dTemp_t_GND(0.0),
    Vtm0(0.0),
    Vtmeff(0.0),
d_Vtmeff_dTemp_t_GND(0.0),
    Dr(0.0),
d_Dr_dV_gi_di1(0.0),
d_Dr_dV_gi_si1(0.0),
d_Dr_dTemp_t_GND(0.0),
d_Dr_dV_di_si(0.0),
d_Dr_dV_e_si(0.0),
d_Dr_dV_e_di(0.0),
d_Dr_dV_gi_si(0.0),
d_Dr_dV_gi_e(0.0),
    WeffWRFactor(0.0),
    RSourceGeo(0.0),
    RDrainGeo(0.0),
    Rdrain(0.0),
d_Rdrain_dTemp_t_GND(0.0),
d_Rdrain_dV_d_di1(0.0),
d_Rdrain_dV_s_si1(0.0),
d_Rdrain_dV_gi_e(0.0),
d_Rdrain_dV_di_si(0.0),
d_Rdrain_dV_e_si(0.0),
d_Rdrain_dV_e_di(0.0),
d_Rdrain_dV_gi_si(0.0),
d_Rdrain_dV_gi_di1(0.0),
d_Rdrain_dV_gi_si1(0.0),
    Rsource(0.0),
d_Rsource_dTemp_t_GND(0.0),
d_Rsource_dV_s_si1(0.0),
d_Rsource_dV_gi_e(0.0),
d_Rsource_dV_di_si(0.0),
d_Rsource_dV_e_si(0.0),
d_Rsource_dV_e_di(0.0),
d_Rsource_dV_gi_si(0.0),
d_Rsource_dV_gi_si1(0.0),
    rdstemp(0.0),
d_rdstemp_dTemp_t_GND(0.0),
    Rdsi(0.0),
d_Rdsi_dV_gi_di1(0.0),
d_Rdsi_dV_gi_si1(0.0),
d_Rdsi_dTemp_t_GND(0.0),
d_Rdsi_dV_gi_e(0.0),
d_Rdsi_dV_e_si(0.0),
d_Rdsi_dV_e_di(0.0),
d_Rdsi_dV_gi_si(0.0),
d_Rdsi_dV_di_si(0.0),
    Tb(0.0),
d_Tb_dV_di_si(0.0),
d_Tb_dV_e_si(0.0),
d_Tb_dV_e_di(0.0),
d_Tb_dV_gi_si(0.0),
d_Tb_dTemp_t_GND(0.0),
    Tnom(0.0),
    TRatio(0.0),
d_TRatio_dTemp_t_GND(0.0),
    TRatio_m1(0.0),
d_TRatio_m1_dTemp_t_GND(0.0),
    dvth_temp(0.0),
d_dvth_temp_dTemp_t_GND(0.0),
    delTemp(0.0),
d_delTemp_dTemp_t_GND(0.0),
    delTemp1(0.0),
d_delTemp1_dTemp_t_GND(0.0),
    delTRatio1(0.0),
d_delTRatio1_dTemp_t_GND(0.0),
    ThetaSS(0.0),
d_ThetaSS_dTemp_t_GND(0.0),
    K0_t(0.0),
d_K0_t_dTemp_t_GND(0.0),
    K0SI_t(0.0),
d_K0SI_t_dTemp_t_GND(0.0),
    K2SI_t(0.0),
d_K2SI_t_dTemp_t_GND(0.0),
    K1_t(0.0),
d_K1_t_dTemp_t_GND(0.0),
    K2SAT_t(0.0),
d_K2SAT_t_dTemp_t_GND(0.0),
    A1_t(0.0),
d_A1_t_dTemp_t_GND(0.0),
    A2_t(0.0),
d_A2_t_dTemp_t_GND(0.0),
    AIGBINV_t(0.0),
d_AIGBINV_t_dTemp_t_GND(0.0),
    AIGBACC_t(0.0),
d_AIGBACC_t_dTemp_t_GND(0.0),
    AIGC_t(0.0),
d_AIGC_t_dTemp_t_GND(0.0),
    AIGS_t(0.0),
d_AIGS_t_dTemp_t_GND(0.0),
    AIGD_t(0.0),
d_AIGD_t_dTemp_t_GND(0.0),
    BETA0_t(0.0),
d_BETA0_t_dTemp_t_GND(0.0),
    SII0_t(0.0),
d_SII0_t_dTemp_t_GND(0.0),
    BGISL_t(0.0),
d_BGISL_t_dTemp_t_GND(0.0),
    BGISLB_t(0.0),
d_BGISLB_t_dTemp_t_GND(0.0),
    BGIDL_t(0.0),
d_BGIDL_t_dTemp_t_GND(0.0),
    BGIDLB_t(0.0),
d_BGIDLB_t_dTemp_t_GND(0.0),
    igtemp(0.0),
d_igtemp_dTemp_t_GND(0.0),
    PTWG_t(0.0),
d_PTWG_t_dTemp_t_GND(0.0),
    PTWGR_t(0.0),
d_PTWGR_t_dTemp_t_GND(0.0),
    ALPHA0_t(0.0),
d_ALPHA0_t_dTemp_t_GND(0.0),
    ALPHA1_t(0.0),
d_ALPHA1_t_dTemp_t_GND(0.0),
    ALPHAII0_t(0.0),
d_ALPHAII0_t_dTemp_t_GND(0.0),
    ALPHAII1_t(0.0),
d_ALPHAII1_t_dTemp_t_GND(0.0),
    CJS_t(0.0),
d_CJS_t_dTemp_t_GND(0.0),
    CJSWS_t(0.0),
d_CJSWS_t_dTemp_t_GND(0.0),
    CJSWGD_t(0.0),
d_CJSWGD_t_dTemp_t_GND(0.0),
    CJD_t(0.0),
d_CJD_t_dTemp_t_GND(0.0),
    CJSWD_t(0.0),
d_CJSWD_t_dTemp_t_GND(0.0),
    CJSWGS_t(0.0),
d_CJSWGS_t_dTemp_t_GND(0.0),
    PBS_t(0.0),
d_PBS_t_dTemp_t_GND(0.0),
    PBSWS_t(0.0),
d_PBSWS_t_dTemp_t_GND(0.0),
    PBSWGS_t(0.0),
d_PBSWGS_t_dTemp_t_GND(0.0),
    PBD_t(0.0),
d_PBD_t_dTemp_t_GND(0.0),
    PBSWD_t(0.0),
d_PBSWD_t_dTemp_t_GND(0.0),
    PBSWGD_t(0.0),
d_PBSWGD_t_dTemp_t_GND(0.0),
    JSS_t(0.0),
d_JSS_t_dTemp_t_GND(0.0),
    JSWS_t(0.0),
d_JSWS_t_dTemp_t_GND(0.0),
    JSWGS_t(0.0),
d_JSWGS_t_dTemp_t_GND(0.0),
    JSD_t(0.0),
d_JSD_t_dTemp_t_GND(0.0),
    JSWD_t(0.0),
d_JSWD_t_dTemp_t_GND(0.0),
    JSWGD_t(0.0),
d_JSWGD_t_dTemp_t_GND(0.0),
    JTSS_t(0.0),
d_JTSS_t_dTemp_t_GND(0.0),
    JTSD_t(0.0),
d_JTSD_t_dTemp_t_GND(0.0),
    JTSSWS_t(0.0),
d_JTSSWS_t_dTemp_t_GND(0.0),
    JTSSWD_t(0.0),
d_JTSSWD_t_dTemp_t_GND(0.0),
    JTSSWGS_t(0.0),
d_JTSSWGS_t_dTemp_t_GND(0.0),
    JTSSWGD_t(0.0),
d_JTSSWGD_t_dTemp_t_GND(0.0),
    NJTS_t(0.0),
d_NJTS_t_dTemp_t_GND(0.0),
    NJTSD_t(0.0),
d_NJTSD_t_dTemp_t_GND(0.0),
    NJTSSW_t(0.0),
d_NJTSSW_t_dTemp_t_GND(0.0),
    NJTSSWD_t(0.0),
d_NJTSSWD_t_dTemp_t_GND(0.0),
    NJTSSWG_t(0.0),
d_NJTSSWG_t_dTemp_t_GND(0.0),
    NJTSSWGD_t(0.0),
d_NJTSSWGD_t_dTemp_t_GND(0.0),
    K2_t(0.0),
d_K2_t_dTemp_t_GND(0.0),
    K0SISAT_t(0.0),
d_K0SISAT_t_dTemp_t_GND(0.0),
    K2SISAT_t(0.0),
d_K2SISAT_t_dTemp_t_GND(0.0),
    ETA0_t(0.0),
d_ETA0_t_dTemp_t_GND(0.0),
    ETA0CV_t(0.0),
d_ETA0CV_t_dTemp_t_GND(0.0),
    ETA0R_t(0.0),
d_ETA0R_t_dTemp_t_GND(0.0),
    RSDR_t(0.0),
d_RSDR_t_dTemp_t_GND(0.0),
    RSDRR_t(0.0),
d_RSDRR_t_dTemp_t_GND(0.0),
    RDDR_t(0.0),
d_RDDR_t_dTemp_t_GND(0.0),
    RDDRR_t(0.0),
d_RDDRR_t_dTemp_t_GND(0.0),
    UA_t(0.0),
d_UA_t_dTemp_t_GND(0.0),
    UACV_t(0.0),
d_UACV_t_dTemp_t_GND(0.0),
    UAR_t(0.0),
d_UAR_t_dTemp_t_GND(0.0),
    UA_tl(0.0),
d_UA_tl_dTemp_t_GND(0.0),
    UA_th(0.0),
d_UA_th_dTemp_t_GND(0.0),
    UACV_tl(0.0),
d_UACV_tl_dTemp_t_GND(0.0),
    UACV_th(0.0),
d_UACV_th_dTemp_t_GND(0.0),
    UAR_tl(0.0),
d_UAR_tl_dTemp_t_GND(0.0),
    UAR_th(0.0),
d_UAR_th_dTemp_t_GND(0.0),
    wh(0.0),
d_wh_dTemp_t_GND(0.0),
    wl(0.0),
d_wl_dTemp_t_GND(0.0),
    UC_t(0.0),
d_UC_t_dTemp_t_GND(0.0),
    UCCV_t(0.0),
d_UCCV_t_dTemp_t_GND(0.0),
    UCR_t(0.0),
d_UCR_t_dTemp_t_GND(0.0),
    UCS_t(0.0),
d_UCS_t_dTemp_t_GND(0.0),
    UD_t(0.0),
d_UD_t_dTemp_t_GND(0.0),
    UDCV_t(0.0),
d_UDCV_t_dTemp_t_GND(0.0),
    UDR_t(0.0),
d_UDR_t_dTemp_t_GND(0.0),
    U0R_t(0.0),
d_U0R_t_dTemp_t_GND(0.0),
    ETAMOB_t(0.0),
d_ETAMOB_t_dTemp_t_GND(0.0),
    EU_t(0.0),
d_EU_t_dTemp_t_GND(0.0),
    UDS_t(0.0),
d_UDS_t_dTemp_t_GND(0.0),
    UDS_i(0.0),
    UDS1_i(0.0),
    UDD_t(0.0),
d_UDD_t_dTemp_t_GND(0.0),
    UDD_i(0.0),
    UDD1_i(0.0),
    UDSeff_t(0.0),
d_UDSeff_t_dTemp_t_GND(0.0),
    UDDeff_t(0.0),
d_UDDeff_t_dTemp_t_GND(0.0),
    VSAT_t(0.0),
d_VSAT_t_dTemp_t_GND(0.0),
    VSATR_t(0.0),
d_VSATR_t_dTemp_t_GND(0.0),
    VSAT1_t(0.0),
d_VSAT1_t_dTemp_t_GND(0.0),
    VSAT1R_t(0.0),
d_VSAT1R_t_dTemp_t_GND(0.0),
    VSATCV_t(0.0),
d_VSATCV_t_dTemp_t_GND(0.0),
    MEXP_t(0.0),
d_MEXP_t_dTemp_t_GND(0.0),
    MEXPR_t(0.0),
d_MEXPR_t_dTemp_t_GND(0.0),
    scl(0.0),
    vbi(0.0),
d_vbi_dTemp_t_GND(0.0),
    tmp(0.0),
    Theta_SCE(0.0),
    Theta_SW(0.0),
    Theta_DIBL(0.0),
    Theta_RSCE(0.0),
    Theta_DITS(0.0),
    veseff(0.0),
d_veseff_dV_e_si(0.0),
d_veseff_dV_e_di(0.0),
d_veseff_dV_di_si(0.0),
d_veseff_dTemp_t_GND(0.0),
    Tcen0(0.0),
    dvch_qm(0.0),
d_dvch_qm_dTemp_t_GND(0.0),
    mx(0.0),
    mxprime(0.0),
    md(0.0),
    mdprime(0.0),
    gprime(0.0),
    gfactor(0.0),
    qbs(0.0),
    qba(0.0),
d_qba_dTemp_t_GND(0.0),
d_qba_dV_di_si(0.0),
d_qba_dV_gi_e(0.0),
d_qba_dV_e_si(0.0),
d_qba_dV_e_di(0.0),
d_qba_dV_gi_si(0.0),
    eta_mu(0.0),
d_eta_mu_dTemp_t_GND(0.0),
    eta_mu_cv(0.0),
    u0(0.0),
d_u0_dTemp_t_GND(0.0),
    u0_cv(0.0),
d_u0_cv_dTemp_t_GND(0.0),
    u0r(0.0),
d_u0r_dTemp_t_GND(0.0),
    EeffFactor(0.0),
    Cfr_geo(0.0),
    ggeltd(0.0),
    igbinv(0.0),
d_igbinv_dV_gi_e(0.0),
d_igbinv_dV_di_si(0.0),
d_igbinv_dV_e_si(0.0),
d_igbinv_dV_e_di(0.0),
d_igbinv_dV_gi_si(0.0),
d_igbinv_dTemp_t_GND(0.0),
d_igbinv_dV_ge_di(0.0),
d_igbinv_dV_ge_si(0.0),
d_igbinv_dV_gi_di1(0.0),
d_igbinv_dV_gi_si1(0.0),
d_igbinv_dV_d_di1(0.0),
d_igbinv_dV_s_si1(0.0),
    igsd_mult(0.0),
d_igsd_mult_dTemp_t_GND(0.0),
    igsd_mult0(0.0),
    igbs(0.0),
d_igbs_dV_gi_e(0.0),
d_igbs_dV_di_si(0.0),
d_igbs_dV_e_si(0.0),
d_igbs_dV_e_di(0.0),
d_igbs_dV_gi_si(0.0),
d_igbs_dTemp_t_GND(0.0),
d_igbs_dV_ge_di(0.0),
d_igbs_dV_ge_si(0.0),
d_igbs_dV_gi_di1(0.0),
d_igbs_dV_gi_si1(0.0),
d_igbs_dV_d_di1(0.0),
d_igbs_dV_s_si1(0.0),
    igbd(0.0),
d_igbd_dV_gi_e(0.0),
d_igbd_dV_di_si(0.0),
d_igbd_dV_e_si(0.0),
d_igbd_dV_e_di(0.0),
d_igbd_dV_gi_si(0.0),
d_igbd_dTemp_t_GND(0.0),
d_igbd_dV_ge_di(0.0),
d_igbd_dV_ge_si(0.0),
d_igbd_dV_gi_di1(0.0),
d_igbd_dV_gi_si1(0.0),
d_igbd_dV_d_di1(0.0),
d_igbd_dV_s_si1(0.0),
    igbacc(0.0),
d_igbacc_dV_gi_e(0.0),
d_igbacc_dV_di_si(0.0),
d_igbacc_dV_e_si(0.0),
d_igbacc_dV_e_di(0.0),
d_igbacc_dV_gi_si(0.0),
d_igbacc_dTemp_t_GND(0.0),
d_igbacc_dV_ge_di(0.0),
d_igbacc_dV_ge_si(0.0),
d_igbacc_dV_gi_di1(0.0),
d_igbacc_dV_gi_si1(0.0),
d_igbacc_dV_d_di1(0.0),
d_igbacc_dV_s_si1(0.0),
    igcs(0.0),
d_igcs_dV_ge_di(0.0),
d_igcs_dV_ge_si(0.0),
d_igcs_dV_gi_di1(0.0),
d_igcs_dV_gi_si1(0.0),
d_igcs_dV_gi_e(0.0),
d_igcs_dV_e_si(0.0),
d_igcs_dV_e_di(0.0),
d_igcs_dV_gi_si(0.0),
d_igcs_dV_di_si(0.0),
d_igcs_dTemp_t_GND(0.0),
d_igcs_dV_d_di1(0.0),
d_igcs_dV_s_si1(0.0),
    igcd(0.0),
d_igcd_dV_ge_di(0.0),
d_igcd_dV_ge_si(0.0),
d_igcd_dV_gi_di1(0.0),
d_igcd_dV_gi_si1(0.0),
d_igcd_dV_gi_e(0.0),
d_igcd_dV_e_si(0.0),
d_igcd_dV_e_di(0.0),
d_igcd_dV_gi_si(0.0),
d_igcd_dV_di_si(0.0),
d_igcd_dTemp_t_GND(0.0),
d_igcd_dV_d_di1(0.0),
d_igcd_dV_s_si1(0.0),
    igisl(0.0),
d_igisl_dV_gi_di(0.0),
d_igisl_dV_ge_di(0.0),
d_igisl_dV_ge_si(0.0),
d_igisl_dV_gi_di1(0.0),
d_igisl_dV_gi_si1(0.0),
d_igisl_dV_d_di1(0.0),
d_igisl_dV_s_si1(0.0),
d_igisl_dV_gi_e(0.0),
d_igisl_dV_di_si(0.0),
d_igisl_dV_e_si(0.0),
d_igisl_dV_e_di(0.0),
d_igisl_dV_gi_si(0.0),
d_igisl_dTemp_t_GND(0.0),
    igidl(0.0),
d_igidl_dV_gi_di(0.0),
d_igidl_dV_ge_di(0.0),
d_igidl_dV_ge_si(0.0),
d_igidl_dV_gi_di1(0.0),
d_igidl_dV_gi_si1(0.0),
d_igidl_dV_d_di1(0.0),
d_igidl_dV_s_si1(0.0),
d_igidl_dV_gi_e(0.0),
d_igidl_dV_di_si(0.0),
d_igidl_dV_e_si(0.0),
d_igidl_dV_e_di(0.0),
d_igidl_dV_gi_si(0.0),
d_igidl_dTemp_t_GND(0.0),
    igislb(0.0),
d_igislb_dV_gi_di(0.0),
d_igislb_dV_ge_di(0.0),
d_igislb_dV_ge_si(0.0),
d_igislb_dV_gi_di1(0.0),
d_igislb_dV_gi_si1(0.0),
d_igislb_dV_d_di1(0.0),
d_igislb_dV_s_si1(0.0),
d_igislb_dV_gi_e(0.0),
d_igislb_dV_di_si(0.0),
d_igislb_dV_e_si(0.0),
d_igislb_dV_e_di(0.0),
d_igislb_dV_gi_si(0.0),
d_igislb_dTemp_t_GND(0.0),
    igidlb(0.0),
d_igidlb_dV_gi_di(0.0),
d_igidlb_dV_ge_di(0.0),
d_igidlb_dV_ge_si(0.0),
d_igidlb_dV_gi_di1(0.0),
d_igidlb_dV_gi_si1(0.0),
d_igidlb_dV_d_di1(0.0),
d_igidlb_dV_s_si1(0.0),
d_igidlb_dV_gi_e(0.0),
d_igidlb_dV_di_si(0.0),
d_igidlb_dV_e_si(0.0),
d_igidlb_dV_e_di(0.0),
d_igidlb_dV_gi_si(0.0),
d_igidlb_dTemp_t_GND(0.0),
    vfbsd(0.0),
d_vfbsd_dTemp_t_GND(0.0),
    igs(0.0),
d_igs_dV_gi_di(0.0),
d_igs_dTemp_t_GND(0.0),
d_igs_dV_gi_si(0.0),
d_igs_dV_ge_di(0.0),
d_igs_dV_ge_si(0.0),
d_igs_dV_gi_di1(0.0),
d_igs_dV_gi_si1(0.0),
d_igs_dV_gi_e(0.0),
d_igs_dV_e_si(0.0),
d_igs_dV_e_di(0.0),
d_igs_dV_di_si(0.0),
    igd(0.0),
d_igd_dV_gi_di(0.0),
d_igd_dTemp_t_GND(0.0),
d_igd_dV_gi_si(0.0),
d_igd_dV_ge_di(0.0),
d_igd_dV_ge_si(0.0),
d_igd_dV_gi_di1(0.0),
d_igd_dV_gi_si1(0.0),
d_igd_dV_gi_e(0.0),
d_igd_dV_e_si(0.0),
d_igd_dV_e_di(0.0),
d_igd_dV_di_si(0.0),
    Aechvb(0.0),
    Bechvb(0.0),
    Toxratio(0.0),
    Iii(0.0),
d_Iii_dV_ge_di(0.0),
d_Iii_dV_ge_si(0.0),
d_Iii_dV_gi_di1(0.0),
d_Iii_dV_gi_si1(0.0),
d_Iii_dV_gi_e(0.0),
d_Iii_dV_e_si(0.0),
d_Iii_dV_e_di(0.0),
d_Iii_dV_gi_si(0.0),
d_Iii_dV_di_si(0.0),
d_Iii_dTemp_t_GND(0.0),
    cox_acc(0.0),
d_cox_acc_dV_gi_e(0.0),
d_cox_acc_dV_di_si(0.0),
d_cox_acc_dV_e_si(0.0),
d_cox_acc_dV_e_di(0.0),
d_cox_acc_dV_gi_si(0.0),
d_cox_acc_dTemp_t_GND(0.0),
    qg_acc(0.0),
d_qg_acc_dV_gi_di1(0.0),
d_qg_acc_dV_gi_si1(0.0),
d_qg_acc_dV_gi_e(0.0),
d_qg_acc_dV_e_si(0.0),
d_qg_acc_dV_e_di(0.0),
d_qg_acc_dV_gi_si(0.0),
d_qg_acc_dV_di_si(0.0),
d_qg_acc_dTemp_t_GND(0.0),
    qb_acc(0.0),
d_qb_acc_dV_gi_di1(0.0),
d_qb_acc_dV_gi_si1(0.0),
d_qb_acc_dV_gi_e(0.0),
d_qb_acc_dV_e_si(0.0),
d_qb_acc_dV_e_di(0.0),
d_qb_acc_dV_gi_si(0.0),
d_qb_acc_dV_di_si(0.0),
d_qb_acc_dTemp_t_GND(0.0),
    qgs_ov(0.0),
d_qgs_ov_dV_ge_di(0.0),
d_qgs_ov_dV_gi_di1(0.0),
d_qgs_ov_dV_gi_si1(0.0),
d_qgs_ov_dV_gi_e(0.0),
d_qgs_ov_dV_e_si(0.0),
d_qgs_ov_dV_e_di(0.0),
d_qgs_ov_dV_gi_si(0.0),
d_qgs_ov_dV_di_si(0.0),
d_qgs_ov_dTemp_t_GND(0.0),
d_qgs_ov_dV_ge_si(0.0),
    qgd_ov(0.0),
d_qgd_ov_dV_gi_di1(0.0),
d_qgd_ov_dV_gi_si1(0.0),
d_qgd_ov_dV_gi_e(0.0),
d_qgd_ov_dV_e_si(0.0),
d_qgd_ov_dV_e_di(0.0),
d_qgd_ov_dV_gi_si(0.0),
d_qgd_ov_dV_di_si(0.0),
d_qgd_ov_dTemp_t_GND(0.0),
d_qgd_ov_dV_ge_di(0.0),
d_qgd_ov_dV_ge_si(0.0),
    csbox(0.0),
    cdbox(0.0),
    cgbox(0.0),
    vfbsdcv(0.0),
d_vfbsdcv_dTemp_t_GND(0.0),
    Ies(0.0),
d_Ies_dV_gi_di(0.0),
d_Ies_dV_ge_di(0.0),
d_Ies_dV_ge_si(0.0),
d_Ies_dV_gi_di1(0.0),
d_Ies_dV_gi_si1(0.0),
d_Ies_dV_gi_e(0.0),
d_Ies_dV_e_si(0.0),
d_Ies_dV_e_di(0.0),
d_Ies_dV_gi_si(0.0),
d_Ies_dV_di_si(0.0),
d_Ies_dTemp_t_GND(0.0),
    Ied(0.0),
d_Ied_dV_gi_di(0.0),
d_Ied_dV_ge_di(0.0),
d_Ied_dV_ge_si(0.0),
d_Ied_dV_gi_di1(0.0),
d_Ied_dV_gi_si1(0.0),
d_Ied_dV_gi_e(0.0),
d_Ied_dV_e_si(0.0),
d_Ied_dV_e_di(0.0),
d_Ied_dV_gi_si(0.0),
d_Ied_dV_di_si(0.0),
d_Ied_dTemp_t_GND(0.0),
    Czbs(0.0),
d_Czbs_dTemp_t_GND(0.0),
    Czbssw(0.0),
d_Czbssw_dTemp_t_GND(0.0),
    Czbsswg(0.0),
d_Czbsswg_dTemp_t_GND(0.0),
    Czbd(0.0),
d_Czbd_dTemp_t_GND(0.0),
    Czbdsw(0.0),
d_Czbdsw_dTemp_t_GND(0.0),
    Czbdswg(0.0),
d_Czbdswg_dTemp_t_GND(0.0),
    Qesj(0.0),
d_Qesj_dV_d_di1(0.0),
d_Qesj_dV_s_si1(0.0),
d_Qesj_dTemp_t_GND(0.0),
d_Qesj_dV_gi_di(0.0),
d_Qesj_dV_ge_di(0.0),
d_Qesj_dV_ge_si(0.0),
d_Qesj_dV_gi_di1(0.0),
d_Qesj_dV_gi_si1(0.0),
d_Qesj_dV_gi_e(0.0),
d_Qesj_dV_e_si(0.0),
d_Qesj_dV_e_di(0.0),
d_Qesj_dV_gi_si(0.0),
d_Qesj_dV_di_si(0.0),
    Qedj(0.0),
d_Qedj_dV_d_di1(0.0),
d_Qedj_dV_s_si1(0.0),
d_Qedj_dTemp_t_GND(0.0),
d_Qedj_dV_gi_di(0.0),
d_Qedj_dV_ge_di(0.0),
d_Qedj_dV_ge_si(0.0),
d_Qedj_dV_gi_di1(0.0),
d_Qedj_dV_gi_si1(0.0),
d_Qedj_dV_gi_e(0.0),
d_Qedj_dV_e_si(0.0),
d_Qedj_dV_e_di(0.0),
d_Qedj_dV_gi_si(0.0),
d_Qedj_dV_di_si(0.0),
    Isbs(0.0),
d_Isbs_dTemp_t_GND(0.0),
    Isbd(0.0),
d_Isbd_dTemp_t_GND(0.0),
    Nvtms(0.0),
d_Nvtms_dTemp_t_GND(0.0),
    Nvtmd(0.0),
d_Nvtmd_dTemp_t_GND(0.0),
    SslpRev(0.0),
d_SslpRev_dTemp_t_GND(0.0),
    IVjsmRev(0.0),
d_IVjsmRev_dTemp_t_GND(0.0),
    VjsmRev(0.0),
d_VjsmRev_dTemp_t_GND(0.0),
    SslpFwd(0.0),
d_SslpFwd_dTemp_t_GND(0.0),
    IVjsmFwd(0.0),
d_IVjsmFwd_dTemp_t_GND(0.0),
    VjsmFwd(0.0),
d_VjsmFwd_dTemp_t_GND(0.0),
    XExpBVS(0.0),
d_XExpBVS_dTemp_t_GND(0.0),
    DslpRev(0.0),
d_DslpRev_dTemp_t_GND(0.0),
    IVjdmRev(0.0),
d_IVjdmRev_dTemp_t_GND(0.0),
    VjdmRev(0.0),
d_VjdmRev_dTemp_t_GND(0.0),
    DslpFwd(0.0),
d_DslpFwd_dTemp_t_GND(0.0),
    IVjdmFwd(0.0),
d_IVjdmFwd_dTemp_t_GND(0.0),
    VjdmFwd(0.0),
d_VjdmFwd_dTemp_t_GND(0.0),
    XExpBVD(0.0),
d_XExpBVD_dTemp_t_GND(0.0),
    igentemp(0.0),
d_igentemp_dTemp_t_GND(0.0),
    vec1s(0.0),
d_vec1s_dTemp_t_GND(0.0),
    pb21s(0.0),
d_pb21s_dTemp_t_GND(0.0),
    vec2s(0.0),
d_vec2s_dTemp_t_GND(0.0),
    pb22s(0.0),
d_pb22s_dTemp_t_GND(0.0),
    vec3s(0.0),
d_vec3s_dTemp_t_GND(0.0),
    pb23s(0.0),
d_pb23s_dTemp_t_GND(0.0),
    vec1d(0.0),
d_vec1d_dTemp_t_GND(0.0),
    pb21d(0.0),
d_pb21d_dTemp_t_GND(0.0),
    vec2d(0.0),
d_vec2d_dTemp_t_GND(0.0),
    pb22d(0.0),
d_pb22d_dTemp_t_GND(0.0),
    vec3d(0.0),
d_vec3d_dTemp_t_GND(0.0),
    pb23d(0.0),
d_pb23d_dTemp_t_GND(0.0),
    gcrg(0.0),
d_gcrg_dTemp_t_GND(0.0),
d_gcrg_dV_di_si(0.0),
d_gcrg_dV_e_si(0.0),
d_gcrg_dV_e_di(0.0),
d_gcrg_dV_gi_si(0.0),
d_gcrg_dV_gi_e(0.0),
d_gcrg_dV_gi_di1(0.0),
d_gcrg_dV_gi_si1(0.0),
d_gcrg_dV_ge_e(0.0),
d_gcrg_dV_gi_di(0.0),
d_gcrg_dV_ge_di(0.0),
d_gcrg_dV_ge_si(0.0),
    gtau(0.0),
d_gtau_dTemp_t_GND(0.0),
d_gtau_dV_di_si(0.0),
d_gtau_dV_e_si(0.0),
d_gtau_dV_e_di(0.0),
d_gtau_dV_gi_si(0.0),
d_gtau_dV_gi_e(0.0),
d_gtau_dV_gi_di1(0.0),
d_gtau_dV_gi_si1(0.0),
d_gtau_dV_ge_e(0.0),
d_gtau_dV_gi_di(0.0),
d_gtau_dV_ge_di(0.0),
d_gtau_dV_ge_si(0.0),
    NOIA2_i(0.0),
    MPOWER_i(0.0),
    QSREF_i(0.0),
    litl(0.0),
    sid(0.0),
    gspr(0.0),
d_gspr_dTemp_t_GND(0.0),
d_gspr_dV_s_si1(0.0),
d_gspr_dV_gi_e(0.0),
d_gspr_dV_di_si(0.0),
d_gspr_dV_e_si(0.0),
d_gspr_dV_e_di(0.0),
d_gspr_dV_gi_si(0.0),
d_gspr_dV_gi_si1(0.0),
    gdpr(0.0),
d_gdpr_dTemp_t_GND(0.0),
d_gdpr_dV_d_di1(0.0),
d_gdpr_dV_s_si1(0.0),
d_gdpr_dV_gi_e(0.0),
d_gdpr_dV_di_si(0.0),
d_gdpr_dV_e_si(0.0),
d_gdpr_dV_e_di(0.0),
d_gdpr_dV_gi_si(0.0),
d_gdpr_dV_gi_di1(0.0),
d_gdpr_dV_gi_si1(0.0),
    Dr0(0.0),
d_Dr0_dTemp_t_GND(0.0),
d_Dr0_dV_di_si(0.0),
d_Dr0_dV_e_si(0.0),
d_Dr0_dV_e_di(0.0),
d_Dr0_dV_gi_si(0.0),
d_Dr0_dV_ge_e(0.0),
d_Dr0_dV_gi_di(0.0),
d_Dr0_dV_ge_di(0.0),
d_Dr0_dV_ge_si(0.0),
d_Dr0_dV_gi_di1(0.0),
d_Dr0_dV_gi_si1(0.0),
d_Dr0_dV_gi_e(0.0),
d_Dr0_dV_d_di1(0.0),
d_Dr0_dV_s_si1(0.0),
    delta(0.0),
d_delta_dV_di_si(0.0),
d_delta_dV_e_si(0.0),
d_delta_dV_e_di(0.0),
d_delta_dV_gi_si(0.0),
d_delta_dTemp_t_GND(0.0),
d_delta_dV_gi_e(0.0),
d_delta_dV_ge_e(0.0),
d_delta_dV_gi_di(0.0),
d_delta_dV_ge_di(0.0),
d_delta_dV_ge_si(0.0),
d_delta_dV_gi_di1(0.0),
d_delta_dV_gi_si1(0.0),
d_delta_dV_d_di1(0.0),
d_delta_dV_s_si1(0.0),
    ctnoi(0.0),
d_ctnoi_dV_d_di1(0.0),
d_ctnoi_dV_s_si1(0.0),
d_ctnoi_dV_ge_e(0.0),
d_ctnoi_dV_gi_di(0.0),
d_ctnoi_dV_ge_di(0.0),
d_ctnoi_dV_ge_si(0.0),
d_ctnoi_dV_gi_di1(0.0),
d_ctnoi_dV_gi_si1(0.0),
d_ctnoi_dV_gi_e(0.0),
d_ctnoi_dV_di_si(0.0),
d_ctnoi_dV_e_si(0.0),
d_ctnoi_dV_e_di(0.0),
d_ctnoi_dV_gi_si(0.0),
d_ctnoi_dTemp_t_GND(0.0),
    sigrat(0.0),
d_sigrat_dV_di_si(0.0),
d_sigrat_dV_e_si(0.0),
d_sigrat_dV_e_di(0.0),
d_sigrat_dV_gi_si(0.0),
d_sigrat_dTemp_t_GND(0.0),
d_sigrat_dV_gi_e(0.0),
d_sigrat_dV_ge_e(0.0),
d_sigrat_dV_gi_di(0.0),
d_sigrat_dV_ge_di(0.0),
d_sigrat_dV_ge_si(0.0),
d_sigrat_dV_gi_di1(0.0),
d_sigrat_dV_gi_si1(0.0),
d_sigrat_dV_d_di1(0.0),
d_sigrat_dV_s_si1(0.0),
    gth(0.0),
    cth(0.0),
    NBODY_i(0.0),
    PHIG_i(0.0),
    CFD_i(0.0),
    CFS_i(0.0),
    COVS_i(0.0),
d_COVS_i_dV_ge_di(0.0),
d_COVS_i_dV_ge_si(0.0),
d_COVS_i_dV_gi_di1(0.0),
d_COVS_i_dV_gi_si1(0.0),
d_COVS_i_dV_gi_e(0.0),
d_COVS_i_dV_e_si(0.0),
d_COVS_i_dV_e_di(0.0),
d_COVS_i_dV_gi_si(0.0),
d_COVS_i_dV_di_si(0.0),
d_COVS_i_dTemp_t_GND(0.0),
    COVD_i(0.0),
d_COVD_i_dV_ge_di(0.0),
d_COVD_i_dV_ge_si(0.0),
d_COVD_i_dV_gi_di1(0.0),
d_COVD_i_dV_gi_si1(0.0),
d_COVD_i_dV_gi_e(0.0),
d_COVD_i_dV_e_si(0.0),
d_COVD_i_dV_e_di(0.0),
d_COVD_i_dV_gi_si(0.0),
d_COVD_i_dV_di_si(0.0),
d_COVD_i_dTemp_t_GND(0.0),
    CGSO_i(0.0),
    CGDO_i(0.0),
    CGSL_i(0.0),
    CGDL_i(0.0),
    CGBL_i(0.0),
    CKAPPAS_i(0.0),
    CKAPPAD_i(0.0),
    CKAPPAB_i(0.0),
    QMFACTOR_i(0.0),
    QMTCENCV_i(0.0),
    QMTCENCVA_i(0.0),
    KSATIV_i(0.0),
    KSATIVR_i(0.0),
    KSATIV_t(0.0),
d_KSATIV_t_dTemp_t_GND(0.0),
    CDSC_i(0.0),
    CDSCD_i(0.0),
    CDSCDR_i(0.0),
    CIT_i(0.0),
    DVT0_i(0.0),
    CITR_i(0.0),
    PHIN_i(0.0),
    ETA0_i(0.0),
    ETA0CV_i(0.0),
    ETA0R_i(0.0),
    VSAT_i(0.0),
    VSATR_i(0.0),
    DVTP0_i(0.0),
    DVTP1_i(0.0),
    K0_i(0.0),
    K01_i(0.0),
    K0SI_i(0.0),
    K0SI1_i(0.0),
    K2SI_i(0.0),
    K2SI1_i(0.0),
    PHIBE_i(0.0),
    K1_i(0.0),
    K11_i(0.0),
    K2SAT_i(0.0),
    K2SAT1_i(0.0),
    DELTAVSAT_i(0.0),
    PSAT_i(0.0),
    DELTAVSATCV_i(0.0),
    PSATCV_i(0.0),
    VSAT1_i(0.0),
    VSAT1R_i(0.0),
    PTWG_i(0.0),
    PTWGR_i(0.0),
    VSATCV_i(0.0),
    U0_i(0.0),
    U0CV_i(0.0),
    U0R_i(0.0),
    ETAMOB_i(0.0),
    NGATE_i(0.0),
    RDSW_i(0.0),
    PRWGS_i(0.0),
    PRWGD_i(0.0),
    PDIBL1_i(0.0),
    PDIBL1R_i(0.0),
    PDIBL2_i(0.0),
    PDIBL2R_i(0.0),
    DROUT_i(0.0),
    PVAG_i(0.0),
    AIGBINV_i(0.0),
    AIGBINV1_i(0.0),
    BIGBINV_i(0.0),
    CIGBINV_i(0.0),
    EIGBINV_i(0.0),
    NIGBINV_i(0.0),
    AIGBACC_i(0.0),
    AIGBACC1_i(0.0),
    BIGBACC_i(0.0),
    CIGBACC_i(0.0),
    NIGBACC_i(0.0),
    AIGC_i(0.0),
    AIGC1_i(0.0),
    BIGC_i(0.0),
    CIGC_i(0.0),
    PIGCD_i(0.0),
    AIGS_i(0.0),
    AIGS1_i(0.0),
    BIGS_i(0.0),
    CIGS_i(0.0),
    POXEDGE_i(0.0),
    AIGD_i(0.0),
    AIGD1_i(0.0),
    BIGD_i(0.0),
    CIGD_i(0.0),
    AGIDL_i(0.0),
    BGIDL_i(0.0),
    CGIDL_i(0.0),
    EGIDL_i(0.0),
    PGIDL_i(0.0),
    AGISL_i(0.0),
    BGISL_i(0.0),
    CGISL_i(0.0),
    EGISL_i(0.0),
    PGISL_i(0.0),
    AGIDLB_i(0.0),
    BGIDLB_i(0.0),
    CGIDLB_i(0.0),
    EGIDLB_i(0.0),
    PGIDLB_i(0.0),
    AGISLB_i(0.0),
    BGISLB_i(0.0),
    CGISLB_i(0.0),
    EGISLB_i(0.0),
    PGISLB_i(0.0),
    ALPHA0_i(0.0),
    ALPHA1_i(0.0),
    ALPHAII0_i(0.0),
    ALPHAII1_i(0.0),
    BETA0_i(0.0),
    BETAII0_i(0.0),
    BETAII1_i(0.0),
    BETAII2_i(0.0),
    ESATII_i(0.0),
    LII_i(0.0),
    SII0_i(0.0),
    SII1_i(0.0),
    SII2_i(0.0),
    SIID_i(0.0),
    TII_i(0.0),
    MEXP_i(0.0),
    MEXPR_i(0.0),
    PCLM_i(0.0),
    PCLMG_i(0.0),
    PCLMCV_i(0.0),
    PCLMR_i(0.0),
    PCLM_t(0.0),
d_PCLM_t_dTemp_t_GND(0.0),
    A1_i(0.0),
    A2_i(0.0),
    A11_i(0.0),
    A21_i(0.0),
    K1RSCE_i(0.0),
    DVTSHIFT_i(0.0),
    DVTSHIFTR_i(0.0),
    UA_i(0.0),
    UACV_i(0.0),
    UC_i(0.0),
    UCCV_i(0.0),
    EU_i(0.0),
    UD_i(0.0),
    UDCV_i(0.0),
    UCS_i(0.0),
    UAR_i(0.0),
    EUR_i(0.0),
    UCR_i(0.0),
    UDR_i(0.0),
    UA1_i(0.0),
    UA2_i(0.0),
    UA1R_i(0.0),
    UA1CV_i(0.0),
    UA2CV_i(0.0),
    UC1_i(0.0),
    UC1CV_i(0.0),
    UD1_i(0.0),
    UD2_i(0.0),
    UD1CV_i(0.0),
    UD2CV_i(0.0),
    UCSTE_i(0.0),
    UCSTE1_i(0.0),
    UTE_i(0.0),
    UTE1_i(0.0),
    UTL_i(0.0),
    UTECV_i(0.0),
    UTE1CV_i(0.0),
    UTLCV_i(0.0),
    EMOBT_i(0.0),
    UC1R_i(0.0),
    UD1R_i(0.0),
    UTER_i(0.0),
    UTLR_i(0.0),
    EU1_i(0.0),
    PTWGT_i(0.0),
    AT_i(0.0),
    ATCV_i(0.0),
    ATR_i(0.0),
    RDW_i(0.0),
    RSW_i(0.0),
    PRT_i(0.0),
    PRT1_i(0.0),
    TR0_i(0.0),
    SPRT_i(0.0),
    KT1_i(0.0),
    TSS_i(0.0),
    IIT_i(0.0),
    IGT_i(0.0),
    TGIDL_i(0.0),
    NTGEN_i(0.0),
    AIGEN_i(0.0),
    BIGEN_i(0.0),
    K0SISAT_i(0.0),
    K0SISAT1_i(0.0),
    K2SISAT_i(0.0),
    K2SISAT1_i(0.0),
    K2_i(0.0),
    K21_i(0.0),
    XRCRG1_i(0.0),
    XRCRG2_i(0.0),
    LINTIGEN_i(0.0),
    Cins(0.0),
    Ach(0.0),
    Weff_UFCM(0.0),
    WeffB(0.0),
    rc(0.0),
    Qdep_ov_Cins(0.0),
    qi_acc_for_QM(0.0),
d_qi_acc_for_QM_dTemp_t_GND(0.0),
d_qi_acc_for_QM_dV_di_si(0.0),
d_qi_acc_for_QM_dV_gi_e(0.0),
d_qi_acc_for_QM_dV_e_si(0.0),
d_qi_acc_for_QM_dV_e_di(0.0),
d_qi_acc_for_QM_dV_gi_si(0.0),
    nq(0.0),
d_nq_dTemp_t_GND(0.0),
d_nq_dV_di_si(0.0),
d_nq_dV_gi_e(0.0),
d_nq_dV_e_si(0.0),
d_nq_dV_e_di(0.0),
d_nq_dV_gi_si(0.0),
    d1(0.0),
    d2(0.0),
    d3(0.0),
    p1(0.0),
    p2(0.0),
    p3(0.0),
    nc3d(0.0),
    ncq(0.0),
    qe2(0.0),
    qe3(0.0),
    qnds1(0.0),
d_qnds1_dV_e_si(0.0),
d_qnds1_dV_e_di(0.0),
d_qnds1_dV_gi_si(0.0),
d_qnds1_dV_di_si(0.0),
d_qnds1_dTemp_t_GND(0.0),
    qnds2(0.0),
d_qnds2_dV_e_si(0.0),
d_qnds2_dV_e_di(0.0),
d_qnds2_dV_gi_si(0.0),
d_qnds2_dV_di_si(0.0),
d_qnds2_dTemp_t_GND(0.0),
    qnds3(0.0),
d_qnds3_dV_e_si(0.0),
d_qnds3_dV_e_di(0.0),
d_qnds3_dV_gi_si(0.0),
d_qnds3_dV_di_si(0.0),
d_qnds3_dTemp_t_GND(0.0),
    qndd1(0.0),
d_qndd1_dV_e_si(0.0),
d_qndd1_dV_e_di(0.0),
d_qndd1_dV_gi_si(0.0),
d_qndd1_dV_di_si(0.0),
d_qndd1_dTemp_t_GND(0.0),
    qndd2(0.0),
d_qndd2_dV_e_si(0.0),
d_qndd2_dV_e_di(0.0),
d_qndd2_dV_gi_si(0.0),
d_qndd2_dV_di_si(0.0),
d_qndd2_dTemp_t_GND(0.0),
    qndd3(0.0),
d_qndd3_dV_e_si(0.0),
d_qndd3_dV_e_di(0.0),
d_qndd3_dV_gi_si(0.0),
d_qndd3_dV_di_si(0.0),
d_qndd3_dTemp_t_GND(0.0),
    qnd10(0.0),
    qnd20(0.0),
    qnd30(0.0),
    rdstempvs(0.0),
d_rdstempvs_dTemp_t_GND(0.0),
    Rvs_s(0.0),
d_Rvs_s_dV_ge_e(0.0),
d_Rvs_s_dV_gi_di(0.0),
d_Rvs_s_dV_ge_di(0.0),
d_Rvs_s_dV_ge_si(0.0),
d_Rvs_s_dV_gi_di1(0.0),
d_Rvs_s_dV_gi_si1(0.0),
d_Rvs_s_dV_gi_e(0.0),
d_Rvs_s_dV_e_si(0.0),
d_Rvs_s_dV_e_di(0.0),
d_Rvs_s_dV_gi_si(0.0),
d_Rvs_s_dV_di_si(0.0),
d_Rvs_s_dTemp_t_GND(0.0),
d_Rvs_s_dV_si_si1(0.0),
d_Rvs_s_dV_di1_di(0.0),
d_Rvs_s_dV_d_di1(0.0),
d_Rvs_s_dV_s_si1(0.0),
    Rvs_d(0.0),
d_Rvs_d_dV_ge_e(0.0),
d_Rvs_d_dV_gi_di(0.0),
d_Rvs_d_dV_ge_di(0.0),
d_Rvs_d_dV_ge_si(0.0),
d_Rvs_d_dV_gi_di1(0.0),
d_Rvs_d_dV_gi_si1(0.0),
d_Rvs_d_dV_gi_e(0.0),
d_Rvs_d_dV_e_si(0.0),
d_Rvs_d_dV_e_di(0.0),
d_Rvs_d_dV_gi_si(0.0),
d_Rvs_d_dV_di_si(0.0),
d_Rvs_d_dTemp_t_GND(0.0),
d_Rvs_d_dV_di1_di(0.0),
d_Rvs_d_dV_d_di1(0.0),
d_Rvs_d_dV_s_si1(0.0),
    gvs_d(0.0),
d_gvs_d_dV_ge_e(0.0),
d_gvs_d_dV_gi_di(0.0),
d_gvs_d_dV_ge_di(0.0),
d_gvs_d_dV_ge_si(0.0),
d_gvs_d_dV_gi_di1(0.0),
d_gvs_d_dV_gi_si1(0.0),
d_gvs_d_dV_gi_e(0.0),
d_gvs_d_dV_e_si(0.0),
d_gvs_d_dV_e_di(0.0),
d_gvs_d_dV_gi_si(0.0),
d_gvs_d_dV_di_si(0.0),
d_gvs_d_dTemp_t_GND(0.0),
d_gvs_d_dV_di1_di(0.0),
d_gvs_d_dV_d_di1(0.0),
d_gvs_d_dV_s_si1(0.0),
    gvs_s(0.0),
d_gvs_s_dV_ge_e(0.0),
d_gvs_s_dV_gi_di(0.0),
d_gvs_s_dV_ge_di(0.0),
d_gvs_s_dV_ge_si(0.0),
d_gvs_s_dV_gi_di1(0.0),
d_gvs_s_dV_gi_si1(0.0),
d_gvs_s_dV_gi_e(0.0),
d_gvs_s_dV_e_si(0.0),
d_gvs_s_dV_e_di(0.0),
d_gvs_s_dV_gi_si(0.0),
d_gvs_s_dV_di_si(0.0),
d_gvs_s_dTemp_t_GND(0.0),
d_gvs_s_dV_si_si1(0.0),
d_gvs_s_dV_di1_di(0.0),
d_gvs_s_dV_d_di1(0.0),
d_gvs_s_dV_s_si1(0.0),
    gmin(0.0),
    li_d(-1),
    li_g(-1),
    li_s(-1),
    li_e(-1),
    li_t(-1),
    li_di(-1),
    li_si(-1),
    li_di1(-1),
    li_si1(-1),
    li_ge(-1),
    li_gi(-1),
    li_q(-1),
    li_n(-1),
    li_branch_id(-1),
    li_branch_ig(-1),
    li_branch_is(-1),
    li_branch_ie(-1),
    li_branch_it(-1),
    f_di_Equ_gi_Node_Ptr(0),
    f_di_Equ_si1_Node_Ptr(0),
    f_si_Equ_gi_Node_Ptr(0),
    f_si_Equ_si1_Node_Ptr(0),
    f_di_Equ_di1_Node_Ptr(0),
    f_si_Equ_di1_Node_Ptr(0),
    f_di_Equ_e_Node_Ptr(0),
    f_si_Equ_e_Node_Ptr(0),
    f_di_Equ_si_Node_Ptr(0),
    f_si_Equ_si_Node_Ptr(0),
    f_di_Equ_di_Node_Ptr(0),
    f_si_Equ_di_Node_Ptr(0),
    f_di_Equ_t_Node_Ptr(0),
    f_si_Equ_t_Node_Ptr(0),
    f_gi_Equ_q_Node_Ptr(0),
    f_si_Equ_q_Node_Ptr(0),
    f_gi_Equ_ge_Node_Ptr(0),
    f_gi_Equ_si_Node_Ptr(0),
    f_si_Equ_ge_Node_Ptr(0),
    f_gi_Equ_di_Node_Ptr(0),
    f_gi_Equ_gi_Node_Ptr(0),
    f_gi_Equ_e_Node_Ptr(0),
    f_gi_Equ_si1_Node_Ptr(0),
    f_gi_Equ_di1_Node_Ptr(0),
    f_gi_Equ_t_Node_Ptr(0),
    f_di_Equ_q_Node_Ptr(0),
    f_di_Equ_ge_Node_Ptr(0),
    f_gi_Equ_s_Node_Ptr(0),
    f_si_Equ_s_Node_Ptr(0),
    f_gi_Equ_d_Node_Ptr(0),
    f_si_Equ_d_Node_Ptr(0),
    f_di_Equ_s_Node_Ptr(0),
    f_di_Equ_d_Node_Ptr(0),
    f_e_Equ_t_Node_Ptr(0),
    f_e_Equ_gi_Node_Ptr(0),
    f_e_Equ_si_Node_Ptr(0),
    f_e_Equ_e_Node_Ptr(0),
    f_e_Equ_di_Node_Ptr(0),
    f_e_Equ_s_Node_Ptr(0),
    f_e_Equ_si1_Node_Ptr(0),
    f_e_Equ_d_Node_Ptr(0),
    f_e_Equ_di1_Node_Ptr(0),
    f_e_Equ_ge_Node_Ptr(0),
    f_ge_Equ_e_Node_Ptr(0),
    f_ge_Equ_ge_Node_Ptr(0),
    f_ge_Equ_t_Node_Ptr(0),
    f_ge_Equ_gi_Node_Ptr(0),
    f_ge_Equ_si_Node_Ptr(0),
    f_ge_Equ_di_Node_Ptr(0),
    f_ge_Equ_si1_Node_Ptr(0),
    f_ge_Equ_di1_Node_Ptr(0),
    f_ge_Equ_s_Node_Ptr(0),
    f_ge_Equ_d_Node_Ptr(0),
    f_d_Equ_d_Node_Ptr(0),
    f_d_Equ_s_Node_Ptr(0),
    f_s_Equ_d_Node_Ptr(0),
    f_s_Equ_s_Node_Ptr(0),
    f_s_Equ_ge_Node_Ptr(0),
    f_s_Equ_si_Node_Ptr(0),
    f_s_Equ_t_Node_Ptr(0),
    f_s_Equ_di_Node_Ptr(0),
    f_s_Equ_gi_Node_Ptr(0),
    f_s_Equ_e_Node_Ptr(0),
    f_s_Equ_si1_Node_Ptr(0),
    f_s_Equ_di1_Node_Ptr(0),
    f_d_Equ_ge_Node_Ptr(0),
    f_d_Equ_di_Node_Ptr(0),
    f_d_Equ_t_Node_Ptr(0),
    f_d_Equ_si_Node_Ptr(0),
    f_d_Equ_gi_Node_Ptr(0),
    f_d_Equ_e_Node_Ptr(0),
    f_d_Equ_si1_Node_Ptr(0),
    f_d_Equ_di1_Node_Ptr(0),
    f_di1_Equ_gi_Node_Ptr(0),
    f_di1_Equ_si1_Node_Ptr(0),
    f_di1_Equ_di1_Node_Ptr(0),
    f_di1_Equ_si_Node_Ptr(0),
    f_di1_Equ_e_Node_Ptr(0),
    f_di1_Equ_di_Node_Ptr(0),
    f_di1_Equ_s_Node_Ptr(0),
    f_di1_Equ_t_Node_Ptr(0),
    f_di1_Equ_d_Node_Ptr(0),
    f_di1_Equ_ge_Node_Ptr(0),
    f_si1_Equ_gi_Node_Ptr(0),
    f_si1_Equ_si1_Node_Ptr(0),
    f_si1_Equ_si_Node_Ptr(0),
    f_si1_Equ_e_Node_Ptr(0),
    f_si1_Equ_di_Node_Ptr(0),
    f_si1_Equ_t_Node_Ptr(0),
    f_si1_Equ_s_Node_Ptr(0),
    f_si1_Equ_d_Node_Ptr(0),
    f_si1_Equ_di1_Node_Ptr(0),
    f_si1_Equ_ge_Node_Ptr(0),
    f_q_Equ_gi_Node_Ptr(0),
    f_q_Equ_e_Node_Ptr(0),
    f_q_Equ_t_Node_Ptr(0),
    f_q_Equ_si_Node_Ptr(0),
    f_q_Equ_di_Node_Ptr(0),
    f_q_Equ_ge_Node_Ptr(0),
    f_q_Equ_si1_Node_Ptr(0),
    f_q_Equ_di1_Node_Ptr(0),
    f_q_Equ_q_Node_Ptr(0),
    f_g_Equ_g_Node_Ptr(0),
    f_g_Equ_ge_Node_Ptr(0),
    f_ge_Equ_g_Node_Ptr(0),
    f_g_Equ_t_Node_Ptr(0),
    f_n_Equ_n_Node_Ptr(0),
    f_n_Equ_s_Node_Ptr(0),
    f_n_Equ_si1_Node_Ptr(0),
    f_n_Equ_d_Node_Ptr(0),
    f_n_Equ_di1_Node_Ptr(0),
    f_n_Equ_di_Node_Ptr(0),
    f_n_Equ_si_Node_Ptr(0),
    f_n_Equ_gi_Node_Ptr(0),
    f_n_Equ_e_Node_Ptr(0),
    f_n_Equ_ge_Node_Ptr(0),
    f_n_Equ_t_Node_Ptr(0),
    f_di_Equ_n_Node_Ptr(0),
    f_si_Equ_n_Node_Ptr(0),
    f_gi_Equ_n_Node_Ptr(0),
    f_t_Equ_gi_Node_Ptr(0),
    f_t_Equ_si1_Node_Ptr(0),
    f_t_Equ_di1_Node_Ptr(0),
    f_t_Equ_e_Node_Ptr(0),
    f_t_Equ_si_Node_Ptr(0),
    f_t_Equ_di_Node_Ptr(0),
    f_t_Equ_t_Node_Ptr(0),
    f_t_Equ_s_Node_Ptr(0),
    f_t_Equ_d_Node_Ptr(0),
    f_t_Equ_ge_Node_Ptr(0),
    q_di_Equ_gi_Node_Ptr(0),
    q_di_Equ_si1_Node_Ptr(0),
    q_si_Equ_gi_Node_Ptr(0),
    q_si_Equ_si1_Node_Ptr(0),
    q_di_Equ_di1_Node_Ptr(0),
    q_si_Equ_di1_Node_Ptr(0),
    q_di_Equ_e_Node_Ptr(0),
    q_si_Equ_e_Node_Ptr(0),
    q_di_Equ_si_Node_Ptr(0),
    q_si_Equ_si_Node_Ptr(0),
    q_di_Equ_di_Node_Ptr(0),
    q_si_Equ_di_Node_Ptr(0),
    q_di_Equ_t_Node_Ptr(0),
    q_si_Equ_t_Node_Ptr(0),
    q_gi_Equ_q_Node_Ptr(0),
    q_si_Equ_q_Node_Ptr(0),
    q_gi_Equ_ge_Node_Ptr(0),
    q_gi_Equ_si_Node_Ptr(0),
    q_si_Equ_ge_Node_Ptr(0),
    q_gi_Equ_di_Node_Ptr(0),
    q_gi_Equ_gi_Node_Ptr(0),
    q_gi_Equ_e_Node_Ptr(0),
    q_gi_Equ_si1_Node_Ptr(0),
    q_gi_Equ_di1_Node_Ptr(0),
    q_gi_Equ_t_Node_Ptr(0),
    q_di_Equ_q_Node_Ptr(0),
    q_di_Equ_ge_Node_Ptr(0),
    q_gi_Equ_s_Node_Ptr(0),
    q_si_Equ_s_Node_Ptr(0),
    q_gi_Equ_d_Node_Ptr(0),
    q_si_Equ_d_Node_Ptr(0),
    q_di_Equ_s_Node_Ptr(0),
    q_di_Equ_d_Node_Ptr(0),
    q_e_Equ_t_Node_Ptr(0),
    q_e_Equ_gi_Node_Ptr(0),
    q_e_Equ_si_Node_Ptr(0),
    q_e_Equ_e_Node_Ptr(0),
    q_e_Equ_di_Node_Ptr(0),
    q_e_Equ_s_Node_Ptr(0),
    q_e_Equ_si1_Node_Ptr(0),
    q_e_Equ_d_Node_Ptr(0),
    q_e_Equ_di1_Node_Ptr(0),
    q_e_Equ_ge_Node_Ptr(0),
    q_ge_Equ_e_Node_Ptr(0),
    q_ge_Equ_ge_Node_Ptr(0),
    q_ge_Equ_t_Node_Ptr(0),
    q_ge_Equ_gi_Node_Ptr(0),
    q_ge_Equ_si_Node_Ptr(0),
    q_ge_Equ_di_Node_Ptr(0),
    q_ge_Equ_si1_Node_Ptr(0),
    q_ge_Equ_di1_Node_Ptr(0),
    q_ge_Equ_s_Node_Ptr(0),
    q_ge_Equ_d_Node_Ptr(0),
    q_d_Equ_d_Node_Ptr(0),
    q_d_Equ_s_Node_Ptr(0),
    q_s_Equ_d_Node_Ptr(0),
    q_s_Equ_s_Node_Ptr(0),
    q_s_Equ_ge_Node_Ptr(0),
    q_s_Equ_si_Node_Ptr(0),
    q_s_Equ_t_Node_Ptr(0),
    q_s_Equ_di_Node_Ptr(0),
    q_s_Equ_gi_Node_Ptr(0),
    q_s_Equ_e_Node_Ptr(0),
    q_s_Equ_si1_Node_Ptr(0),
    q_s_Equ_di1_Node_Ptr(0),
    q_d_Equ_ge_Node_Ptr(0),
    q_d_Equ_di_Node_Ptr(0),
    q_d_Equ_t_Node_Ptr(0),
    q_d_Equ_si_Node_Ptr(0),
    q_d_Equ_gi_Node_Ptr(0),
    q_d_Equ_e_Node_Ptr(0),
    q_d_Equ_si1_Node_Ptr(0),
    q_d_Equ_di1_Node_Ptr(0),
    q_di1_Equ_gi_Node_Ptr(0),
    q_di1_Equ_si1_Node_Ptr(0),
    q_di1_Equ_di1_Node_Ptr(0),
    q_di1_Equ_si_Node_Ptr(0),
    q_di1_Equ_e_Node_Ptr(0),
    q_di1_Equ_di_Node_Ptr(0),
    q_di1_Equ_s_Node_Ptr(0),
    q_di1_Equ_t_Node_Ptr(0),
    q_di1_Equ_d_Node_Ptr(0),
    q_di1_Equ_ge_Node_Ptr(0),
    q_si1_Equ_gi_Node_Ptr(0),
    q_si1_Equ_si1_Node_Ptr(0),
    q_si1_Equ_si_Node_Ptr(0),
    q_si1_Equ_e_Node_Ptr(0),
    q_si1_Equ_di_Node_Ptr(0),
    q_si1_Equ_t_Node_Ptr(0),
    q_si1_Equ_s_Node_Ptr(0),
    q_si1_Equ_d_Node_Ptr(0),
    q_si1_Equ_di1_Node_Ptr(0),
    q_si1_Equ_ge_Node_Ptr(0),
    q_q_Equ_gi_Node_Ptr(0),
    q_q_Equ_e_Node_Ptr(0),
    q_q_Equ_t_Node_Ptr(0),
    q_q_Equ_si_Node_Ptr(0),
    q_q_Equ_di_Node_Ptr(0),
    q_q_Equ_ge_Node_Ptr(0),
    q_q_Equ_si1_Node_Ptr(0),
    q_q_Equ_di1_Node_Ptr(0),
    q_q_Equ_q_Node_Ptr(0),
    q_g_Equ_g_Node_Ptr(0),
    q_g_Equ_ge_Node_Ptr(0),
    q_ge_Equ_g_Node_Ptr(0),
    q_g_Equ_t_Node_Ptr(0),
    q_n_Equ_n_Node_Ptr(0),
    q_n_Equ_s_Node_Ptr(0),
    q_n_Equ_si1_Node_Ptr(0),
    q_n_Equ_d_Node_Ptr(0),
    q_n_Equ_di1_Node_Ptr(0),
    q_n_Equ_di_Node_Ptr(0),
    q_n_Equ_si_Node_Ptr(0),
    q_n_Equ_gi_Node_Ptr(0),
    q_n_Equ_e_Node_Ptr(0),
    q_n_Equ_ge_Node_Ptr(0),
    q_n_Equ_t_Node_Ptr(0),
    q_di_Equ_n_Node_Ptr(0),
    q_si_Equ_n_Node_Ptr(0),
    q_gi_Equ_n_Node_Ptr(0),
    q_t_Equ_gi_Node_Ptr(0),
    q_t_Equ_si1_Node_Ptr(0),
    q_t_Equ_di1_Node_Ptr(0),
    q_t_Equ_e_Node_Ptr(0),
    q_t_Equ_si_Node_Ptr(0),
    q_t_Equ_di_Node_Ptr(0),
    q_t_Equ_t_Node_Ptr(0),
    q_t_Equ_s_Node_Ptr(0),
    q_t_Equ_d_Node_Ptr(0),
    q_t_Equ_ge_Node_Ptr(0),
    A_di_Equ_gi_NodeOffset(-1),
    A_di_Equ_si1_NodeOffset(-1),
    A_si_Equ_gi_NodeOffset(-1),
    A_si_Equ_si1_NodeOffset(-1),
    A_di_Equ_di1_NodeOffset(-1),
    A_si_Equ_di1_NodeOffset(-1),
    A_di_Equ_e_NodeOffset(-1),
    A_si_Equ_e_NodeOffset(-1),
    A_di_Equ_si_NodeOffset(-1),
    A_si_Equ_si_NodeOffset(-1),
    A_di_Equ_di_NodeOffset(-1),
    A_si_Equ_di_NodeOffset(-1),
    A_di_Equ_t_NodeOffset(-1),
    A_si_Equ_t_NodeOffset(-1),
    A_gi_Equ_q_NodeOffset(-1),
    A_si_Equ_q_NodeOffset(-1),
    A_gi_Equ_ge_NodeOffset(-1),
    A_gi_Equ_si_NodeOffset(-1),
    A_si_Equ_ge_NodeOffset(-1),
    A_gi_Equ_di_NodeOffset(-1),
    A_gi_Equ_gi_NodeOffset(-1),
    A_gi_Equ_e_NodeOffset(-1),
    A_gi_Equ_si1_NodeOffset(-1),
    A_gi_Equ_di1_NodeOffset(-1),
    A_gi_Equ_t_NodeOffset(-1),
    A_di_Equ_q_NodeOffset(-1),
    A_di_Equ_ge_NodeOffset(-1),
    A_gi_Equ_s_NodeOffset(-1),
    A_si_Equ_s_NodeOffset(-1),
    A_gi_Equ_d_NodeOffset(-1),
    A_si_Equ_d_NodeOffset(-1),
    A_di_Equ_s_NodeOffset(-1),
    A_di_Equ_d_NodeOffset(-1),
    A_e_Equ_t_NodeOffset(-1),
    A_e_Equ_gi_NodeOffset(-1),
    A_e_Equ_si_NodeOffset(-1),
    A_e_Equ_e_NodeOffset(-1),
    A_e_Equ_di_NodeOffset(-1),
    A_e_Equ_s_NodeOffset(-1),
    A_e_Equ_si1_NodeOffset(-1),
    A_e_Equ_d_NodeOffset(-1),
    A_e_Equ_di1_NodeOffset(-1),
    A_e_Equ_ge_NodeOffset(-1),
    A_ge_Equ_e_NodeOffset(-1),
    A_ge_Equ_ge_NodeOffset(-1),
    A_ge_Equ_t_NodeOffset(-1),
    A_ge_Equ_gi_NodeOffset(-1),
    A_ge_Equ_si_NodeOffset(-1),
    A_ge_Equ_di_NodeOffset(-1),
    A_ge_Equ_si1_NodeOffset(-1),
    A_ge_Equ_di1_NodeOffset(-1),
    A_ge_Equ_s_NodeOffset(-1),
    A_ge_Equ_d_NodeOffset(-1),
    A_d_Equ_d_NodeOffset(-1),
    A_d_Equ_s_NodeOffset(-1),
    A_s_Equ_d_NodeOffset(-1),
    A_s_Equ_s_NodeOffset(-1),
    A_s_Equ_ge_NodeOffset(-1),
    A_s_Equ_si_NodeOffset(-1),
    A_s_Equ_t_NodeOffset(-1),
    A_s_Equ_di_NodeOffset(-1),
    A_s_Equ_gi_NodeOffset(-1),
    A_s_Equ_e_NodeOffset(-1),
    A_s_Equ_si1_NodeOffset(-1),
    A_s_Equ_di1_NodeOffset(-1),
    A_d_Equ_ge_NodeOffset(-1),
    A_d_Equ_di_NodeOffset(-1),
    A_d_Equ_t_NodeOffset(-1),
    A_d_Equ_si_NodeOffset(-1),
    A_d_Equ_gi_NodeOffset(-1),
    A_d_Equ_e_NodeOffset(-1),
    A_d_Equ_si1_NodeOffset(-1),
    A_d_Equ_di1_NodeOffset(-1),
    A_di1_Equ_gi_NodeOffset(-1),
    A_di1_Equ_si1_NodeOffset(-1),
    A_di1_Equ_di1_NodeOffset(-1),
    A_di1_Equ_si_NodeOffset(-1),
    A_di1_Equ_e_NodeOffset(-1),
    A_di1_Equ_di_NodeOffset(-1),
    A_di1_Equ_s_NodeOffset(-1),
    A_di1_Equ_t_NodeOffset(-1),
    A_di1_Equ_d_NodeOffset(-1),
    A_di1_Equ_ge_NodeOffset(-1),
    A_si1_Equ_gi_NodeOffset(-1),
    A_si1_Equ_si1_NodeOffset(-1),
    A_si1_Equ_si_NodeOffset(-1),
    A_si1_Equ_e_NodeOffset(-1),
    A_si1_Equ_di_NodeOffset(-1),
    A_si1_Equ_t_NodeOffset(-1),
    A_si1_Equ_s_NodeOffset(-1),
    A_si1_Equ_d_NodeOffset(-1),
    A_si1_Equ_di1_NodeOffset(-1),
    A_si1_Equ_ge_NodeOffset(-1),
    A_q_Equ_gi_NodeOffset(-1),
    A_q_Equ_e_NodeOffset(-1),
    A_q_Equ_t_NodeOffset(-1),
    A_q_Equ_si_NodeOffset(-1),
    A_q_Equ_di_NodeOffset(-1),
    A_q_Equ_ge_NodeOffset(-1),
    A_q_Equ_si1_NodeOffset(-1),
    A_q_Equ_di1_NodeOffset(-1),
    A_q_Equ_q_NodeOffset(-1),
    A_g_Equ_g_NodeOffset(-1),
    A_g_Equ_ge_NodeOffset(-1),
    A_ge_Equ_g_NodeOffset(-1),
    A_g_Equ_t_NodeOffset(-1),
    A_n_Equ_n_NodeOffset(-1),
    A_n_Equ_s_NodeOffset(-1),
    A_n_Equ_si1_NodeOffset(-1),
    A_n_Equ_d_NodeOffset(-1),
    A_n_Equ_di1_NodeOffset(-1),
    A_n_Equ_di_NodeOffset(-1),
    A_n_Equ_si_NodeOffset(-1),
    A_n_Equ_gi_NodeOffset(-1),
    A_n_Equ_e_NodeOffset(-1),
    A_n_Equ_ge_NodeOffset(-1),
    A_n_Equ_t_NodeOffset(-1),
    A_di_Equ_n_NodeOffset(-1),
    A_si_Equ_n_NodeOffset(-1),
    A_gi_Equ_n_NodeOffset(-1),
    A_t_Equ_gi_NodeOffset(-1),
    A_t_Equ_si1_NodeOffset(-1),
    A_t_Equ_di1_NodeOffset(-1),
    A_t_Equ_e_NodeOffset(-1),
    A_t_Equ_si_NodeOffset(-1),
    A_t_Equ_di_NodeOffset(-1),
    A_t_Equ_t_NodeOffset(-1),
    A_t_Equ_s_NodeOffset(-1),
    A_t_Equ_d_NodeOffset(-1),
    A_t_Equ_ge_NodeOffset(-1),
    li_store_WEFF(-1),
    li_store_LEFF(-1),
    li_store_WEFFCV(-1),
    li_store_LEFFCV(-1),
    li_store_IDS(-1),
    li_store_IDEFF(-1),
    li_store_ISEFF(-1),
    li_store_IGTOT(-1),
    li_store_IDSGEN(-1),
    li_store_III(-1),
    li_store_IGIDL(-1),
    li_store_IGISL(-1),
    li_store_IJSB(-1),
    li_store_IJDB(-1),
    li_store_ISUB(-1),
    li_store_BETA(-1),
    li_store_VDSSAT(-1),
    li_store_VDSEFF(-1),
    li_store_VFB(-1),
    li_store_VTH(-1),
    li_store_GM(-1),
    li_store_GDS(-1),
    li_store_GMBS(-1),
    li_store_QGI(-1),
    li_store_QDI(-1),
    li_store_QSI(-1),
    li_store_QBI(-1),
    li_store_QG(-1),
    li_store_QD(-1),
    li_store_QS(-1),
    li_store_QB(-1),
    li_store_CGGI(-1),
    li_store_CGSI(-1),
    li_store_CGDI(-1),
    li_store_CGEI(-1),
    li_store_CDGI(-1),
    li_store_CDDI(-1),
    li_store_CDSI(-1),
    li_store_CDEI(-1),
    li_store_CSGI(-1),
    li_store_CSDI(-1),
    li_store_CSSI(-1),
    li_store_CSEI(-1),
    li_store_CEGI(-1),
    li_store_CEDI(-1),
    li_store_CESI(-1),
    li_store_CEEI(-1),
    li_store_CGG(-1),
    li_store_CGS(-1),
    li_store_CGD(-1),
    li_store_CGE(-1),
    li_store_CDG(-1),
    li_store_CDD(-1),
    li_store_CDS(-1),
    li_store_CDE(-1),
    li_store_CSG(-1),
    li_store_CSD(-1),
    li_store_CSS(-1),
    li_store_CSE(-1),
    li_store_CEG(-1),
    li_store_CED(-1),
    li_store_CES(-1),
    li_store_CEE(-1),
    li_store_CGSEXT(-1),
    li_store_CGDEXT(-1),
    li_store_CGBOV(-1),
    li_store_CJST(-1),
    li_store_CJDT(-1),
    li_store_RSGEO(-1),
    li_store_RDGEO(-1),
    li_store_CFGEO(-1),
    li_store_T_TOTAL_K(-1),
    li_store_T_TOTAL_C(-1),
    li_store_T_DELTA_SH(-1),
    li_store_IGS(-1),
    li_store_IGD(-1),
    li_store_IGCS(-1),
    li_store_IGCD(-1),
    li_store_IGBS(-1),
    li_store_IGBD(-1),
    li_store_IGBACC(-1),
    li_store_IGBINV(-1),
    li_store_DIDSDVG(-1),
    li_store_DIDSDVS(-1),
    li_store_DIDSDVD(-1),
    li_store_DIGSDVG(-1),
    li_store_DIGSDVS(-1),
    li_store_DIGSDVD(-1),
    li_store_DIGDDVG(-1),
    li_store_DIGDDVS(-1),
    li_store_DIGDDVD(-1),
    li_store_DIIIDVG(-1),
    li_store_DIIIDVS(-1),
    li_store_DIIIDVD(-1),
    li_store_DIGIDLDVG(-1),
    li_store_DIGIDLDVS(-1),
    li_store_DIGIDLDVD(-1),
    li_store_DIGISLDVG(-1),
    li_store_DIGISLDVS(-1),
    li_store_DIGISLDVD(-1),
    li_store_CGT(-1),
    li_store_CST(-1),
    li_store_CDT(-1),
    li_store_DIDSDVTH(-1),
    li_store_DIGSDVTH(-1),
    li_store_DIGDDVTH(-1),
    li_store_DIIIDVTH(-1),
    li_store_DIGIDLDVTH(-1),
    li_store_DIGISLDVTH(-1),
    li_store_ITH(-1),
    li_store_DITHDVTH(-1),
    li_store_DITHDVG(-1),
    li_store_DITHDVS(-1),
    li_store_DITHDVD(-1),
    li_store_VDSAT(-1),
    li_store_VDS(-1),
    li_store_VGS(-1),
    li_store_VBS(-1),
    collapseNode_t(false),
    collapseNode_di(false),
    collapseNode_si(false),
    collapseNode_di1(false),
    collapseNode_si1(false),
    collapseNode_ge(false),
    collapseNode_gi(false),
    collapseNode_q(false),
    collapseNode_n(false),
    admsTemperature(getDeviceOptions().temp.getImmutableValue<double>())

{
    numIntVars = 8 + 0;
    numExtVars = 5;

    // Manually added devConMap.  This did not come from ADMS.
    // The devConMap is used by Xyce to perform the "no DC path to ground" diagnostic.
    // The index to the devConMap corresponds to the vector of external nodes.
    // The RHS value groups nodes together to indicate DC paths.  So, for example, 
    // if multiple map entries are set to "1", they are all electrically connected 
    // during the DC calculation.
    //
    // This model is using the same devConMap as other MOSFET models. 
    //
    // The source and drain (index=0 and 2) are connected to each other.   
    //
    // The gate (index=1) is assumed to be disconnected during the DC 
    // calculation, as the only current thu it is capacitive.  This is an 
    // incorrect assumption when rgatemod != 0.  However, at this stage 
    // we don't know the value for rgatemod and the default is 0.  
    //
    // The body (index=3) is assumed to be disconnected.  
    devConMap.resize(5);
    devConMap[0] = 1;
    devConMap[1] = 2;
    devConMap[2] = 1;
    devConMap[3] = 3;
    devConMap[4] = 4;


    portsConnected_.resize(5,true);
    if (instance_block.numExtVars < 5)
    {
       // some of our optional nodes were not given...
       for (int i=instance_block.numExtVars ; i<numExtVars; i++)
       {
         portsConnected_[i]=false;
       }
       numIntVars += (5-instance_block.numExtVars);
       numExtVars = instance_block.numExtVars;

       // Manually added.  update the devConMap to match the number of external variables.
       devConMap.resize(instance_block.numExtVars);
     }
  // Right now, we only have store for limited probes and output vars...
  setNumStoreVars(0+118);

  // Do not allocate "branch" (lead current) vectors by default
  setNumBranchDataVars(0);
  numBranchDataVarsIfAllocated = std::min(5,numExtVars);

  leadCurrentF.resize(5);
  leadCurrentQ.resize(5);

  // Set up jacobian stamp:
  // Create a vector of the non-zero elements of the stamp
PairVector jacobianElements;
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_d,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_g,admsNodeID_g));
    jacobianElements.push_back(IntPair(admsNodeID_g,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_g,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_s,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_e,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_t,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_q));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_di,admsNodeID_n));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_q));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_si,admsNodeID_n));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_di1,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_si1,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_ge,admsNodeID_g));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_q));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_gi,admsNodeID_n));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_t));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_q,admsNodeID_q));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_n));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_s));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_si1));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_d));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_di1));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_di));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_si));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_gi));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_e));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_ge));
    jacobianElements.push_back(IntPair(admsNodeID_n,admsNodeID_t));



  setDefaultParams();
  setParams(instance_block.params);

  // Real bogosity here...
  if (!given("XYCEADMSINSTTEMP"))
    admsInstTemp=getDeviceOptions().temp.getImmutableValue<double>();

  //calculate any parameters specified as expressions
  updateDependentParameters();

  // calculate dependent (i.e. computed params) and check for errors.
  processParams();

  PairVector collapsedNodes;
  collapseNodes();

  if (collapseNode_t)
  {
  //this node is optional, we only *literally* collapse it if it's not
  // connected
  if(!portsConnected_[admsNodeID_t])
  {
  collapsedNodes.push_back(IntPair(admsNodeID_t,admsNodeID_GND));
  }
  else
  {
  UserWarning(*this) << "Collapsing optional external node t (node " << admsNodeID_t+1 << ") to ground.  This can lead to singular matrices and convergence problems.  Consider removing this optional node from the instance line if convergence problems result." << std::endl;
  }
  }
  if (collapseNode_di)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_di,admsNodeID_di1));
  }
  if (collapseNode_si)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_si,admsNodeID_si1));
  }
  if (collapseNode_di1)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_di1,admsNodeID_d));
  }
  if (collapseNode_si1)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_si1,admsNodeID_s));
  }
  if (collapseNode_ge)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_ge,admsNodeID_g));
  }
  if (collapseNode_gi)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_gi,admsNodeID_ge));
  }
  if (collapseNode_q)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_q,admsNodeID_GND));
  }
  if (collapseNode_n)
  {
  collapsedNodes.push_back(IntPair(admsNodeID_n,admsNodeID_GND));
  }

// Now generate the jacstamp from what we already have.
// This jacstamp will have all the correct node mapping.  map will be the nodal mapping of original
// node IDs to row/column ids in the reduced (non-sparse) representation of the jacobian.
// (for devices that have no collapsibles, this will be static, so check that it hasn't already
// been filled in)
if (jacStamp.empty())
{
int originalSize = 13+0;
computeJacStampAndMaps(jacobianElements,collapsedNodes,jacStamp,nodeMap,pairToJacStampMap,originalSize);
}

}

//-----------------------------------------------------------------------------
// Function      : Instance::collapseNodes
// Purpose       : function to handle collapsing of nodes
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::collapseNodes()
{
collapseNode_t = false;
collapseNode_di = false;
collapseNode_si = false;
collapseNode_di1 = false;
collapseNode_si1 = false;
collapseNode_ge = false;
collapseNode_gi = false;
collapseNode_q = false;
collapseNode_n = false;
if ((((model_.RDSMOD)!=2)&&(RDrainGeo>0)))
{

if (!((((model_.RDSMOD)==1)&&((model_.RDLCW)>0))))
{

collapseNode_di = true;

}

}

else
{

collapseNode_di1 = true;

collapseNode_di = true;

}

if ((((model_.RDSMOD)!=2)&&(RSourceGeo>0)))
{

if (!((((model_.RDSMOD)==1)&&((model_.RSLCW)>0))))
{

collapseNode_si = true;

}

}

else
{

collapseNode_si1 = true;

collapseNode_si = true;

}

if (!((((model_.NQSMOD)==1)&&(XRCRG1_i!=0.0))))
{

collapseNode_gi = true;

}

if (!(((model_.NQSMOD)==2)))
{

collapseNode_q = true;

}

if (!(((model_.RGATEMOD)!=0)))
{

collapseNode_ge = true;

}

if (((model_.TNOIMOD)==0))
{

collapseNode_n = true;

}

if (!((((model_.SHMOD)!=0)&&((model_.RTH0)>0.0))))
{

collapseNode_t = true;

}


  if (collapseNode_t)
  {
  //this node is optional, and is external if it's connected --- so don't
  // decrement the internal node count!
  if(!portsConnected_[admsNodeID_t])
  {
    numIntVars--;
  }
  }
  if (collapseNode_di)
  {
    numIntVars--;
  }
  if (collapseNode_si)
  {
    numIntVars--;
  }
  if (collapseNode_di1)
  {
    numIntVars--;
  }
  if (collapseNode_si1)
  {
    numIntVars--;
  }
  if (collapseNode_ge)
  {
    numIntVars--;
  }
  if (collapseNode_gi)
  {
    numIntVars--;
  }
  if (collapseNode_q)
  {
    numIntVars--;
  }
  if (collapseNode_n)
  {
    numIntVars--;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::~Instance
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
Instance::~Instance()
{
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerLIDs
// Purpose       : function for registering, and setting up, local IDs.
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerLIDs( const LocalIdVector & intLIDVecRef,
                             const LocalIdVector & extLIDVecRef)
{
  AssertLIDs(intLIDVecRef.size() == numIntVars);
  AssertLIDs(extLIDVecRef.size() == numExtVars);

  LocalIdVector localLIDVec;

  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS))
  {
    Xyce::dout() << std::endl << section_divider << std::endl
                 << "In ADMSbsimcmg_111::Instance::register LIDs\n\n"
                 << "name             = " << getName() << std::endl
                 << "number of internal variables: " << numIntVars << std::endl
                 << "number of external variables: " << numExtVars << std::endl;
  }

  // copy over the global ID lists into a local array.
  // The end result of this is an array of LIDs corresponding to all the
  // nodes we actually have, in the order that topology thinks of them
  intLIDVec = intLIDVecRef;
  extLIDVec = extLIDVecRef;
  localLIDVec.resize(numExtVars+numIntVars);
  for (int localNodeIndex=0;localNodeIndex<numExtVars;++localNodeIndex)
  {
    localLIDVec[localNodeIndex]=extLIDVec[localNodeIndex];
  }
  for (int localNodeIndex=numExtVars;localNodeIndex<numExtVars+numIntVars;++localNodeIndex)
  {
    localLIDVec[localNodeIndex]=intLIDVec[localNodeIndex-numExtVars];
    }

  // Now pull the LIDs for each of our nodes out of the local array.
  // Use the node mapping created by createJacStampAndMaps to handle
  // all the node collapse complications.
  li_d = localLIDVec[nodeMap[admsNodeID_d]];
  li_g = localLIDVec[nodeMap[admsNodeID_g]];
  li_s = localLIDVec[nodeMap[admsNodeID_s]];
  li_e = localLIDVec[nodeMap[admsNodeID_e]];
  if (collapseNode_t)
  {
    li_t = -1;
  }
  else
  {
  li_t = localLIDVec[nodeMap[admsNodeID_t]];
  }
  li_di = localLIDVec[nodeMap[admsNodeID_di]];
  li_si = localLIDVec[nodeMap[admsNodeID_si]];
  li_di1 = localLIDVec[nodeMap[admsNodeID_di1]];
  li_si1 = localLIDVec[nodeMap[admsNodeID_si1]];
  li_ge = localLIDVec[nodeMap[admsNodeID_ge]];
  li_gi = localLIDVec[nodeMap[admsNodeID_gi]];
  if (collapseNode_q)
      {
    li_q = -1;
    }
  else
    {
  li_q = localLIDVec[nodeMap[admsNodeID_q]];
    }
  if (collapseNode_n)
      {
    li_n = -1;
    }
  else
    {
  li_n = localLIDVec[nodeMap[admsNodeID_n]];
    }


  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS))
  {
    Xyce::dout() << "\nSolution and RHS variables:\n";
      Xyce::dout() << "\nli_d = " << li_d << std::endl;
      Xyce::dout() << "\nli_g = " << li_g << std::endl;
      Xyce::dout() << "\nli_s = " << li_s << std::endl;
      Xyce::dout() << "\nli_e = " << li_e << std::endl;
      Xyce::dout() << "\nli_t = " << li_t << std::endl;
      Xyce::dout() << "\nli_di = " << li_di << std::endl;
      Xyce::dout() << "\nli_si = " << li_si << std::endl;
      Xyce::dout() << "\nli_di1 = " << li_di1 << std::endl;
      Xyce::dout() << "\nli_si1 = " << li_si1 << std::endl;
      Xyce::dout() << "\nli_ge = " << li_ge << std::endl;
      Xyce::dout() << "\nli_gi = " << li_gi << std::endl;
      Xyce::dout() << "\nli_q = " << li_q << std::endl;
      Xyce::dout() << "\nli_n = " << li_n << std::endl;

    Xyce::dout() << "\nEnd of ADMSbsimcmg_111::Instance::register LIDs\n";
    Xyce::dout() << section_divider << std::endl;
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadNodeSymbols
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::loadNodeSymbols(Util::SymbolTable &symbol_table) const
{
    if (!portsConnected_[admsNodeID_t])
    {
    if (!collapseNode_t)
    {
    addInternalNode(symbol_table, li_t, getName(), "t");
    }
    }
    if (!collapseNode_di)
    {
    addInternalNode(symbol_table, li_di, getName(), "di");
    }
    if (!collapseNode_si)
    {
    addInternalNode(symbol_table, li_si, getName(), "si");
    }
    if (!collapseNode_di1)
    {
    addInternalNode(symbol_table, li_di1, getName(), "di1");
    }
    if (!collapseNode_si1)
    {
    addInternalNode(symbol_table, li_si1, getName(), "si1");
    }
    if (!collapseNode_ge)
    {
    addInternalNode(symbol_table, li_ge, getName(), "ge");
    }
    if (!collapseNode_gi)
    {
    addInternalNode(symbol_table, li_gi, getName(), "gi");
    }
    if (!collapseNode_q)
    {
    addInternalNode(symbol_table, li_q, getName(), "q");
    }
    if (!collapseNode_n)
    {
    addInternalNode(symbol_table, li_n, getName(), "n");
    }
    addStoreNode(symbol_table, li_store_WEFF, getName().getEncodedName() + ":WEFF");
    addStoreNode(symbol_table, li_store_LEFF, getName().getEncodedName() + ":LEFF");
    addStoreNode(symbol_table, li_store_WEFFCV, getName().getEncodedName() + ":WEFFCV");
    addStoreNode(symbol_table, li_store_LEFFCV, getName().getEncodedName() + ":LEFFCV");
    addStoreNode(symbol_table, li_store_IDS, getName().getEncodedName() + ":IDS");
    addStoreNode(symbol_table, li_store_IDEFF, getName().getEncodedName() + ":IDEFF");
    addStoreNode(symbol_table, li_store_ISEFF, getName().getEncodedName() + ":ISEFF");
    addStoreNode(symbol_table, li_store_IGTOT, getName().getEncodedName() + ":IGTOT");
    addStoreNode(symbol_table, li_store_IDSGEN, getName().getEncodedName() + ":IDSGEN");
    addStoreNode(symbol_table, li_store_III, getName().getEncodedName() + ":III");
    addStoreNode(symbol_table, li_store_IGIDL, getName().getEncodedName() + ":IGIDL");
    addStoreNode(symbol_table, li_store_IGISL, getName().getEncodedName() + ":IGISL");
    addStoreNode(symbol_table, li_store_IJSB, getName().getEncodedName() + ":IJSB");
    addStoreNode(symbol_table, li_store_IJDB, getName().getEncodedName() + ":IJDB");
    addStoreNode(symbol_table, li_store_ISUB, getName().getEncodedName() + ":ISUB");
    addStoreNode(symbol_table, li_store_BETA, getName().getEncodedName() + ":BETA");
    addStoreNode(symbol_table, li_store_VDSSAT, getName().getEncodedName() + ":VDSSAT");
    addStoreNode(symbol_table, li_store_VDSEFF, getName().getEncodedName() + ":VDSEFF");
    addStoreNode(symbol_table, li_store_VFB, getName().getEncodedName() + ":VFB");
    addStoreNode(symbol_table, li_store_VTH, getName().getEncodedName() + ":VTH");
    addStoreNode(symbol_table, li_store_GM, getName().getEncodedName() + ":GM");
    addStoreNode(symbol_table, li_store_GDS, getName().getEncodedName() + ":GDS");
    addStoreNode(symbol_table, li_store_GMBS, getName().getEncodedName() + ":GMBS");
    addStoreNode(symbol_table, li_store_QGI, getName().getEncodedName() + ":QGI");
    addStoreNode(symbol_table, li_store_QDI, getName().getEncodedName() + ":QDI");
    addStoreNode(symbol_table, li_store_QSI, getName().getEncodedName() + ":QSI");
    addStoreNode(symbol_table, li_store_QBI, getName().getEncodedName() + ":QBI");
    addStoreNode(symbol_table, li_store_QG, getName().getEncodedName() + ":QG");
    addStoreNode(symbol_table, li_store_QD, getName().getEncodedName() + ":QD");
    addStoreNode(symbol_table, li_store_QS, getName().getEncodedName() + ":QS");
    addStoreNode(symbol_table, li_store_QB, getName().getEncodedName() + ":QB");
    addStoreNode(symbol_table, li_store_CGGI, getName().getEncodedName() + ":CGGI");
    addStoreNode(symbol_table, li_store_CGSI, getName().getEncodedName() + ":CGSI");
    addStoreNode(symbol_table, li_store_CGDI, getName().getEncodedName() + ":CGDI");
    addStoreNode(symbol_table, li_store_CGEI, getName().getEncodedName() + ":CGEI");
    addStoreNode(symbol_table, li_store_CDGI, getName().getEncodedName() + ":CDGI");
    addStoreNode(symbol_table, li_store_CDDI, getName().getEncodedName() + ":CDDI");
    addStoreNode(symbol_table, li_store_CDSI, getName().getEncodedName() + ":CDSI");
    addStoreNode(symbol_table, li_store_CDEI, getName().getEncodedName() + ":CDEI");
    addStoreNode(symbol_table, li_store_CSGI, getName().getEncodedName() + ":CSGI");
    addStoreNode(symbol_table, li_store_CSDI, getName().getEncodedName() + ":CSDI");
    addStoreNode(symbol_table, li_store_CSSI, getName().getEncodedName() + ":CSSI");
    addStoreNode(symbol_table, li_store_CSEI, getName().getEncodedName() + ":CSEI");
    addStoreNode(symbol_table, li_store_CEGI, getName().getEncodedName() + ":CEGI");
    addStoreNode(symbol_table, li_store_CEDI, getName().getEncodedName() + ":CEDI");
    addStoreNode(symbol_table, li_store_CESI, getName().getEncodedName() + ":CESI");
    addStoreNode(symbol_table, li_store_CEEI, getName().getEncodedName() + ":CEEI");
    addStoreNode(symbol_table, li_store_CGG, getName().getEncodedName() + ":CGG");
    addStoreNode(symbol_table, li_store_CGS, getName().getEncodedName() + ":CGS");
    addStoreNode(symbol_table, li_store_CGD, getName().getEncodedName() + ":CGD");
    addStoreNode(symbol_table, li_store_CGE, getName().getEncodedName() + ":CGE");
    addStoreNode(symbol_table, li_store_CDG, getName().getEncodedName() + ":CDG");
    addStoreNode(symbol_table, li_store_CDD, getName().getEncodedName() + ":CDD");
    addStoreNode(symbol_table, li_store_CDS, getName().getEncodedName() + ":CDS");
    addStoreNode(symbol_table, li_store_CDE, getName().getEncodedName() + ":CDE");
    addStoreNode(symbol_table, li_store_CSG, getName().getEncodedName() + ":CSG");
    addStoreNode(symbol_table, li_store_CSD, getName().getEncodedName() + ":CSD");
    addStoreNode(symbol_table, li_store_CSS, getName().getEncodedName() + ":CSS");
    addStoreNode(symbol_table, li_store_CSE, getName().getEncodedName() + ":CSE");
    addStoreNode(symbol_table, li_store_CEG, getName().getEncodedName() + ":CEG");
    addStoreNode(symbol_table, li_store_CED, getName().getEncodedName() + ":CED");
    addStoreNode(symbol_table, li_store_CES, getName().getEncodedName() + ":CES");
    addStoreNode(symbol_table, li_store_CEE, getName().getEncodedName() + ":CEE");
    addStoreNode(symbol_table, li_store_CGSEXT, getName().getEncodedName() + ":CGSEXT");
    addStoreNode(symbol_table, li_store_CGDEXT, getName().getEncodedName() + ":CGDEXT");
    addStoreNode(symbol_table, li_store_CGBOV, getName().getEncodedName() + ":CGBOV");
    addStoreNode(symbol_table, li_store_CJST, getName().getEncodedName() + ":CJST");
    addStoreNode(symbol_table, li_store_CJDT, getName().getEncodedName() + ":CJDT");
    addStoreNode(symbol_table, li_store_RSGEO, getName().getEncodedName() + ":RSGEO");
    addStoreNode(symbol_table, li_store_RDGEO, getName().getEncodedName() + ":RDGEO");
    addStoreNode(symbol_table, li_store_CFGEO, getName().getEncodedName() + ":CFGEO");
    addStoreNode(symbol_table, li_store_T_TOTAL_K, getName().getEncodedName() + ":T_TOTAL_K");
    addStoreNode(symbol_table, li_store_T_TOTAL_C, getName().getEncodedName() + ":T_TOTAL_C");
    addStoreNode(symbol_table, li_store_T_DELTA_SH, getName().getEncodedName() + ":T_DELTA_SH");
    addStoreNode(symbol_table, li_store_IGS, getName().getEncodedName() + ":IGS");
    addStoreNode(symbol_table, li_store_IGD, getName().getEncodedName() + ":IGD");
    addStoreNode(symbol_table, li_store_IGCS, getName().getEncodedName() + ":IGCS");
    addStoreNode(symbol_table, li_store_IGCD, getName().getEncodedName() + ":IGCD");
    addStoreNode(symbol_table, li_store_IGBS, getName().getEncodedName() + ":IGBS");
    addStoreNode(symbol_table, li_store_IGBD, getName().getEncodedName() + ":IGBD");
    addStoreNode(symbol_table, li_store_IGBACC, getName().getEncodedName() + ":IGBACC");
    addStoreNode(symbol_table, li_store_IGBINV, getName().getEncodedName() + ":IGBINV");
    addStoreNode(symbol_table, li_store_DIDSDVG, getName().getEncodedName() + ":DIDSDVG");
    addStoreNode(symbol_table, li_store_DIDSDVS, getName().getEncodedName() + ":DIDSDVS");
    addStoreNode(symbol_table, li_store_DIDSDVD, getName().getEncodedName() + ":DIDSDVD");
    addStoreNode(symbol_table, li_store_DIGSDVG, getName().getEncodedName() + ":DIGSDVG");
    addStoreNode(symbol_table, li_store_DIGSDVS, getName().getEncodedName() + ":DIGSDVS");
    addStoreNode(symbol_table, li_store_DIGSDVD, getName().getEncodedName() + ":DIGSDVD");
    addStoreNode(symbol_table, li_store_DIGDDVG, getName().getEncodedName() + ":DIGDDVG");
    addStoreNode(symbol_table, li_store_DIGDDVS, getName().getEncodedName() + ":DIGDDVS");
    addStoreNode(symbol_table, li_store_DIGDDVD, getName().getEncodedName() + ":DIGDDVD");
    addStoreNode(symbol_table, li_store_DIIIDVG, getName().getEncodedName() + ":DIIIDVG");
    addStoreNode(symbol_table, li_store_DIIIDVS, getName().getEncodedName() + ":DIIIDVS");
    addStoreNode(symbol_table, li_store_DIIIDVD, getName().getEncodedName() + ":DIIIDVD");
    addStoreNode(symbol_table, li_store_DIGIDLDVG, getName().getEncodedName() + ":DIGIDLDVG");
    addStoreNode(symbol_table, li_store_DIGIDLDVS, getName().getEncodedName() + ":DIGIDLDVS");
    addStoreNode(symbol_table, li_store_DIGIDLDVD, getName().getEncodedName() + ":DIGIDLDVD");
    addStoreNode(symbol_table, li_store_DIGISLDVG, getName().getEncodedName() + ":DIGISLDVG");
    addStoreNode(symbol_table, li_store_DIGISLDVS, getName().getEncodedName() + ":DIGISLDVS");
    addStoreNode(symbol_table, li_store_DIGISLDVD, getName().getEncodedName() + ":DIGISLDVD");
    addStoreNode(symbol_table, li_store_CGT, getName().getEncodedName() + ":CGT");
    addStoreNode(symbol_table, li_store_CST, getName().getEncodedName() + ":CST");
    addStoreNode(symbol_table, li_store_CDT, getName().getEncodedName() + ":CDT");
    addStoreNode(symbol_table, li_store_DIDSDVTH, getName().getEncodedName() + ":DIDSDVTH");
    addStoreNode(symbol_table, li_store_DIGSDVTH, getName().getEncodedName() + ":DIGSDVTH");
    addStoreNode(symbol_table, li_store_DIGDDVTH, getName().getEncodedName() + ":DIGDDVTH");
    addStoreNode(symbol_table, li_store_DIIIDVTH, getName().getEncodedName() + ":DIIIDVTH");
    addStoreNode(symbol_table, li_store_DIGIDLDVTH, getName().getEncodedName() + ":DIGIDLDVTH");
    addStoreNode(symbol_table, li_store_DIGISLDVTH, getName().getEncodedName() + ":DIGISLDVTH");
    addStoreNode(symbol_table, li_store_ITH, getName().getEncodedName() + ":ITH");
    addStoreNode(symbol_table, li_store_DITHDVTH, getName().getEncodedName() + ":DITHDVTH");
    addStoreNode(symbol_table, li_store_DITHDVG, getName().getEncodedName() + ":DITHDVG");
    addStoreNode(symbol_table, li_store_DITHDVS, getName().getEncodedName() + ":DITHDVS");
    addStoreNode(symbol_table, li_store_DITHDVD, getName().getEncodedName() + ":DITHDVD");
    addStoreNode(symbol_table, li_store_VDSAT, getName().getEncodedName() + ":VDSAT");
    addStoreNode(symbol_table, li_store_VDS, getName().getEncodedName() + ":VDS");
    addStoreNode(symbol_table, li_store_VGS, getName().getEncodedName() + ":VGS");
    addStoreNode(symbol_table, li_store_VBS, getName().getEncodedName() + ":VBS");

  if (loadLeadCurrent)
  {
    addBranchDataNode( symbol_table, li_branch_id, getName(), "BRANCH_DD");
    addBranchDataNode( symbol_table, li_branch_ig, getName(), "BRANCH_DG");
    addBranchDataNode( symbol_table, li_branch_is, getName(), "BRANCH_DS");
    addBranchDataNode( symbol_table, li_branch_ie, getName(), "BRANCH_DE");
    if (portsConnected_[admsNodeID_t])
    {
    addBranchDataNode( symbol_table, li_branch_it, getName(), "BRANCH_D5");
    }


  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerStoreLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerStoreLIDs( const LocalIdVector & stoLIDVecRef)
{
  AssertLIDs(stoLIDVecRef.size() == getNumStoreVars());

  int numSto = stoLIDVecRef.size();
  if (numSto > 0)
  {
    int i=0;
    stoLIDVec = stoLIDVecRef;

      li_store_WEFF= stoLIDVec[i++];
      li_store_LEFF= stoLIDVec[i++];
      li_store_WEFFCV= stoLIDVec[i++];
      li_store_LEFFCV= stoLIDVec[i++];
      li_store_IDS= stoLIDVec[i++];
      li_store_IDEFF= stoLIDVec[i++];
      li_store_ISEFF= stoLIDVec[i++];
      li_store_IGTOT= stoLIDVec[i++];
      li_store_IDSGEN= stoLIDVec[i++];
      li_store_III= stoLIDVec[i++];
      li_store_IGIDL= stoLIDVec[i++];
      li_store_IGISL= stoLIDVec[i++];
      li_store_IJSB= stoLIDVec[i++];
      li_store_IJDB= stoLIDVec[i++];
      li_store_ISUB= stoLIDVec[i++];
      li_store_BETA= stoLIDVec[i++];
      li_store_VDSSAT= stoLIDVec[i++];
      li_store_VDSEFF= stoLIDVec[i++];
      li_store_VFB= stoLIDVec[i++];
      li_store_VTH= stoLIDVec[i++];
      li_store_GM= stoLIDVec[i++];
      li_store_GDS= stoLIDVec[i++];
      li_store_GMBS= stoLIDVec[i++];
      li_store_QGI= stoLIDVec[i++];
      li_store_QDI= stoLIDVec[i++];
      li_store_QSI= stoLIDVec[i++];
      li_store_QBI= stoLIDVec[i++];
      li_store_QG= stoLIDVec[i++];
      li_store_QD= stoLIDVec[i++];
      li_store_QS= stoLIDVec[i++];
      li_store_QB= stoLIDVec[i++];
      li_store_CGGI= stoLIDVec[i++];
      li_store_CGSI= stoLIDVec[i++];
      li_store_CGDI= stoLIDVec[i++];
      li_store_CGEI= stoLIDVec[i++];
      li_store_CDGI= stoLIDVec[i++];
      li_store_CDDI= stoLIDVec[i++];
      li_store_CDSI= stoLIDVec[i++];
      li_store_CDEI= stoLIDVec[i++];
      li_store_CSGI= stoLIDVec[i++];
      li_store_CSDI= stoLIDVec[i++];
      li_store_CSSI= stoLIDVec[i++];
      li_store_CSEI= stoLIDVec[i++];
      li_store_CEGI= stoLIDVec[i++];
      li_store_CEDI= stoLIDVec[i++];
      li_store_CESI= stoLIDVec[i++];
      li_store_CEEI= stoLIDVec[i++];
      li_store_CGG= stoLIDVec[i++];
      li_store_CGS= stoLIDVec[i++];
      li_store_CGD= stoLIDVec[i++];
      li_store_CGE= stoLIDVec[i++];
      li_store_CDG= stoLIDVec[i++];
      li_store_CDD= stoLIDVec[i++];
      li_store_CDS= stoLIDVec[i++];
      li_store_CDE= stoLIDVec[i++];
      li_store_CSG= stoLIDVec[i++];
      li_store_CSD= stoLIDVec[i++];
      li_store_CSS= stoLIDVec[i++];
      li_store_CSE= stoLIDVec[i++];
      li_store_CEG= stoLIDVec[i++];
      li_store_CED= stoLIDVec[i++];
      li_store_CES= stoLIDVec[i++];
      li_store_CEE= stoLIDVec[i++];
      li_store_CGSEXT= stoLIDVec[i++];
      li_store_CGDEXT= stoLIDVec[i++];
      li_store_CGBOV= stoLIDVec[i++];
      li_store_CJST= stoLIDVec[i++];
      li_store_CJDT= stoLIDVec[i++];
      li_store_RSGEO= stoLIDVec[i++];
      li_store_RDGEO= stoLIDVec[i++];
      li_store_CFGEO= stoLIDVec[i++];
      li_store_T_TOTAL_K= stoLIDVec[i++];
      li_store_T_TOTAL_C= stoLIDVec[i++];
      li_store_T_DELTA_SH= stoLIDVec[i++];
      li_store_IGS= stoLIDVec[i++];
      li_store_IGD= stoLIDVec[i++];
      li_store_IGCS= stoLIDVec[i++];
      li_store_IGCD= stoLIDVec[i++];
      li_store_IGBS= stoLIDVec[i++];
      li_store_IGBD= stoLIDVec[i++];
      li_store_IGBACC= stoLIDVec[i++];
      li_store_IGBINV= stoLIDVec[i++];
      li_store_DIDSDVG= stoLIDVec[i++];
      li_store_DIDSDVS= stoLIDVec[i++];
      li_store_DIDSDVD= stoLIDVec[i++];
      li_store_DIGSDVG= stoLIDVec[i++];
      li_store_DIGSDVS= stoLIDVec[i++];
      li_store_DIGSDVD= stoLIDVec[i++];
      li_store_DIGDDVG= stoLIDVec[i++];
      li_store_DIGDDVS= stoLIDVec[i++];
      li_store_DIGDDVD= stoLIDVec[i++];
      li_store_DIIIDVG= stoLIDVec[i++];
      li_store_DIIIDVS= stoLIDVec[i++];
      li_store_DIIIDVD= stoLIDVec[i++];
      li_store_DIGIDLDVG= stoLIDVec[i++];
      li_store_DIGIDLDVS= stoLIDVec[i++];
      li_store_DIGIDLDVD= stoLIDVec[i++];
      li_store_DIGISLDVG= stoLIDVec[i++];
      li_store_DIGISLDVS= stoLIDVec[i++];
      li_store_DIGISLDVD= stoLIDVec[i++];
      li_store_CGT= stoLIDVec[i++];
      li_store_CST= stoLIDVec[i++];
      li_store_CDT= stoLIDVec[i++];
      li_store_DIDSDVTH= stoLIDVec[i++];
      li_store_DIGSDVTH= stoLIDVec[i++];
      li_store_DIGDDVTH= stoLIDVec[i++];
      li_store_DIIIDVTH= stoLIDVec[i++];
      li_store_DIGIDLDVTH= stoLIDVec[i++];
      li_store_DIGISLDVTH= stoLIDVec[i++];
      li_store_ITH= stoLIDVec[i++];
      li_store_DITHDVTH= stoLIDVec[i++];
      li_store_DITHDVG= stoLIDVec[i++];
      li_store_DITHDVS= stoLIDVec[i++];
      li_store_DITHDVD= stoLIDVec[i++];
      li_store_VDSAT= stoLIDVec[i++];
      li_store_VDS= stoLIDVec[i++];
      li_store_VGS= stoLIDVec[i++];
      li_store_VBS= stoLIDVec[i++];
  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerBranchDataLIDs
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : Eric Keiter, SNL
// Creation Date : 12/09/11
//-----------------------------------------------------------------------------
void Instance::registerBranchDataLIDs(const std::vector<int> & branchLIDVecRef)
{
  AssertLIDs(branchLIDVecRef.size() == getNumBranchDataVars());

  if (loadLeadCurrent)
  {
    int i = 0;
    li_branch_id = branchLIDVecRef[i++];
    li_branch_ig = branchLIDVecRef[i++];
    li_branch_is = branchLIDVecRef[i++];
    li_branch_ie = branchLIDVecRef[i++];
    if (portsConnected_[admsNodeID_t])
    {
    li_branch_it = branchLIDVecRef[i++];
    }

  }
}

//-----------------------------------------------------------------------------
// Function      : Instance::jacobianStamp
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
const JacobianStamp & Instance::jacobianStamp() const
{
    return jacStamp;
}

//-----------------------------------------------------------------------------
// Function      : Instance::registerJacLIDs
// Purpose       : Create Offset variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::registerJacLIDs( const JacobianStamp & jacLIDVec)
{
  DeviceInstance::registerJacLIDs(jacLIDVec);  IntPair jacLoc;
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_d)];
    A_d_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_s)];
    A_d_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_ge)];
    A_d_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_di)];
    A_d_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_t)];
    A_d_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_si)];
    A_d_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_gi)];
    A_d_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_e)];
    A_d_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_si1)];
    A_d_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_d,admsNodeID_di1)];
    A_d_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_g,admsNodeID_g)];
    A_g_Equ_g_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_g,admsNodeID_ge)];
    A_g_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_g,admsNodeID_t)];
    A_g_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_d)];
    A_s_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_s)];
    A_s_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_ge)];
    A_s_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_si)];
    A_s_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_t)];
    A_s_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_di)];
    A_s_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_gi)];
    A_s_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_e)];
    A_s_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_si1)];
    A_s_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_s,admsNodeID_di1)];
    A_s_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_t)];
    A_e_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_gi)];
    A_e_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_si)];
    A_e_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_e)];
    A_e_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_di)];
    A_e_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_s)];
    A_e_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_si1)];
    A_e_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_d)];
    A_e_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_di1)];
    A_e_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_e,admsNodeID_ge)];
    A_e_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_gi)];
    A_t_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_si1)];
    A_t_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_di1)];
    A_t_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_e)];
    A_t_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_si)];
    A_t_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_di)];
    A_t_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_t)];
    A_t_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_s)];
    A_t_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_d)];
    A_t_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_t,admsNodeID_ge)];
    A_t_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_gi)];
    A_di_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_si1)];
    A_di_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_di1)];
    A_di_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_e)];
    A_di_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_si)];
    A_di_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_di)];
    A_di_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_t)];
    A_di_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_q)];
    A_di_Equ_q_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_ge)];
    A_di_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_s)];
    A_di_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_d)];
    A_di_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di,admsNodeID_n)];
    A_di_Equ_n_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_gi)];
    A_si_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_si1)];
    A_si_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_di1)];
    A_si_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_e)];
    A_si_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_si)];
    A_si_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_di)];
    A_si_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_t)];
    A_si_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_q)];
    A_si_Equ_q_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_ge)];
    A_si_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_s)];
    A_si_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_d)];
    A_si_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si,admsNodeID_n)];
    A_si_Equ_n_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_gi)];
    A_di1_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_si1)];
    A_di1_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_di1)];
    A_di1_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_si)];
    A_di1_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_e)];
    A_di1_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_di)];
    A_di1_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_s)];
    A_di1_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_t)];
    A_di1_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_d)];
    A_di1_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_di1,admsNodeID_ge)];
    A_di1_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_gi)];
    A_si1_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_si1)];
    A_si1_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_si)];
    A_si1_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_e)];
    A_si1_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_di)];
    A_si1_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_t)];
    A_si1_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_s)];
    A_si1_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_d)];
    A_si1_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_di1)];
    A_si1_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_si1,admsNodeID_ge)];
    A_si1_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_e)];
    A_ge_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_ge)];
    A_ge_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_t)];
    A_ge_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_gi)];
    A_ge_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_si)];
    A_ge_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_di)];
    A_ge_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_si1)];
    A_ge_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_di1)];
    A_ge_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_s)];
    A_ge_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_d)];
    A_ge_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_ge,admsNodeID_g)];
    A_ge_Equ_g_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_q)];
    A_gi_Equ_q_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_ge)];
    A_gi_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_si)];
    A_gi_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_di)];
    A_gi_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_gi)];
    A_gi_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_e)];
    A_gi_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_si1)];
    A_gi_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_di1)];
    A_gi_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_t)];
    A_gi_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_s)];
    A_gi_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_d)];
    A_gi_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_gi,admsNodeID_n)];
    A_gi_Equ_n_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_gi)];
    A_q_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_e)];
    A_q_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_t)];
    A_q_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_si)];
    A_q_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_di)];
    A_q_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_ge)];
    A_q_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_si1)];
    A_q_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_di1)];
    A_q_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_q)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_q,admsNodeID_q)];
    A_q_Equ_q_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_n)];
    A_n_Equ_n_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_s)];
    A_n_Equ_s_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_si1)];
    A_n_Equ_si1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_d)];
    A_n_Equ_d_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_di1)];
    A_n_Equ_di1_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_di)];
    A_n_Equ_di_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_si)];
    A_n_Equ_si_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_gi)];
    A_n_Equ_gi_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_e)];
    A_n_Equ_e_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_ge)];
    A_n_Equ_ge_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
if (!collapseNode_n)
{
if (!collapseNode_t)
{
    jacLoc = pairToJacStampMap[IntPair(admsNodeID_n,admsNodeID_t)];
    A_n_Equ_t_NodeOffset = jacLIDVec[jacLoc.first][jacLoc.second];
}
}


}

//-----------------------------------------------------------------------------
// Function      : Instance::setupPointers
// Purpose       : Create pointer variables used for referencing jacobian
//                 elements
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupPointers( )
{

  Linear::Matrix & dFdx = *(extData.dFdxMatrixPtr);
  Linear::Matrix & dQdx = *(extData.dQdxMatrixPtr);
    f_d_Equ_d_Node_Ptr = &(dFdx[li_d][A_d_Equ_d_NodeOffset]);
    q_d_Equ_d_Node_Ptr = &(dQdx[li_d][A_d_Equ_d_NodeOffset]);
    f_d_Equ_s_Node_Ptr = &(dFdx[li_d][A_d_Equ_s_NodeOffset]);
    q_d_Equ_s_Node_Ptr = &(dQdx[li_d][A_d_Equ_s_NodeOffset]);
    f_d_Equ_ge_Node_Ptr = &(dFdx[li_d][A_d_Equ_ge_NodeOffset]);
    q_d_Equ_ge_Node_Ptr = &(dQdx[li_d][A_d_Equ_ge_NodeOffset]);
    f_d_Equ_di_Node_Ptr = &(dFdx[li_d][A_d_Equ_di_NodeOffset]);
    q_d_Equ_di_Node_Ptr = &(dQdx[li_d][A_d_Equ_di_NodeOffset]);
if (!collapseNode_t)
{
    f_d_Equ_t_Node_Ptr = &(dFdx[li_d][A_d_Equ_t_NodeOffset]);
    q_d_Equ_t_Node_Ptr = &(dQdx[li_d][A_d_Equ_t_NodeOffset]);
}
    f_d_Equ_si_Node_Ptr = &(dFdx[li_d][A_d_Equ_si_NodeOffset]);
    q_d_Equ_si_Node_Ptr = &(dQdx[li_d][A_d_Equ_si_NodeOffset]);
    f_d_Equ_gi_Node_Ptr = &(dFdx[li_d][A_d_Equ_gi_NodeOffset]);
    q_d_Equ_gi_Node_Ptr = &(dQdx[li_d][A_d_Equ_gi_NodeOffset]);
    f_d_Equ_e_Node_Ptr = &(dFdx[li_d][A_d_Equ_e_NodeOffset]);
    q_d_Equ_e_Node_Ptr = &(dQdx[li_d][A_d_Equ_e_NodeOffset]);
    f_d_Equ_si1_Node_Ptr = &(dFdx[li_d][A_d_Equ_si1_NodeOffset]);
    q_d_Equ_si1_Node_Ptr = &(dQdx[li_d][A_d_Equ_si1_NodeOffset]);
    f_d_Equ_di1_Node_Ptr = &(dFdx[li_d][A_d_Equ_di1_NodeOffset]);
    q_d_Equ_di1_Node_Ptr = &(dQdx[li_d][A_d_Equ_di1_NodeOffset]);
    f_g_Equ_g_Node_Ptr = &(dFdx[li_g][A_g_Equ_g_NodeOffset]);
    q_g_Equ_g_Node_Ptr = &(dQdx[li_g][A_g_Equ_g_NodeOffset]);
    f_g_Equ_ge_Node_Ptr = &(dFdx[li_g][A_g_Equ_ge_NodeOffset]);
    q_g_Equ_ge_Node_Ptr = &(dQdx[li_g][A_g_Equ_ge_NodeOffset]);
if (!collapseNode_t)
{
    f_g_Equ_t_Node_Ptr = &(dFdx[li_g][A_g_Equ_t_NodeOffset]);
    q_g_Equ_t_Node_Ptr = &(dQdx[li_g][A_g_Equ_t_NodeOffset]);
}
    f_s_Equ_d_Node_Ptr = &(dFdx[li_s][A_s_Equ_d_NodeOffset]);
    q_s_Equ_d_Node_Ptr = &(dQdx[li_s][A_s_Equ_d_NodeOffset]);
    f_s_Equ_s_Node_Ptr = &(dFdx[li_s][A_s_Equ_s_NodeOffset]);
    q_s_Equ_s_Node_Ptr = &(dQdx[li_s][A_s_Equ_s_NodeOffset]);
    f_s_Equ_ge_Node_Ptr = &(dFdx[li_s][A_s_Equ_ge_NodeOffset]);
    q_s_Equ_ge_Node_Ptr = &(dQdx[li_s][A_s_Equ_ge_NodeOffset]);
    f_s_Equ_si_Node_Ptr = &(dFdx[li_s][A_s_Equ_si_NodeOffset]);
    q_s_Equ_si_Node_Ptr = &(dQdx[li_s][A_s_Equ_si_NodeOffset]);
if (!collapseNode_t)
{
    f_s_Equ_t_Node_Ptr = &(dFdx[li_s][A_s_Equ_t_NodeOffset]);
    q_s_Equ_t_Node_Ptr = &(dQdx[li_s][A_s_Equ_t_NodeOffset]);
}
    f_s_Equ_di_Node_Ptr = &(dFdx[li_s][A_s_Equ_di_NodeOffset]);
    q_s_Equ_di_Node_Ptr = &(dQdx[li_s][A_s_Equ_di_NodeOffset]);
    f_s_Equ_gi_Node_Ptr = &(dFdx[li_s][A_s_Equ_gi_NodeOffset]);
    q_s_Equ_gi_Node_Ptr = &(dQdx[li_s][A_s_Equ_gi_NodeOffset]);
    f_s_Equ_e_Node_Ptr = &(dFdx[li_s][A_s_Equ_e_NodeOffset]);
    q_s_Equ_e_Node_Ptr = &(dQdx[li_s][A_s_Equ_e_NodeOffset]);
    f_s_Equ_si1_Node_Ptr = &(dFdx[li_s][A_s_Equ_si1_NodeOffset]);
    q_s_Equ_si1_Node_Ptr = &(dQdx[li_s][A_s_Equ_si1_NodeOffset]);
    f_s_Equ_di1_Node_Ptr = &(dFdx[li_s][A_s_Equ_di1_NodeOffset]);
    q_s_Equ_di1_Node_Ptr = &(dQdx[li_s][A_s_Equ_di1_NodeOffset]);
if (!collapseNode_t)
{
    f_e_Equ_t_Node_Ptr = &(dFdx[li_e][A_e_Equ_t_NodeOffset]);
    q_e_Equ_t_Node_Ptr = &(dQdx[li_e][A_e_Equ_t_NodeOffset]);
}
    f_e_Equ_gi_Node_Ptr = &(dFdx[li_e][A_e_Equ_gi_NodeOffset]);
    q_e_Equ_gi_Node_Ptr = &(dQdx[li_e][A_e_Equ_gi_NodeOffset]);
    f_e_Equ_si_Node_Ptr = &(dFdx[li_e][A_e_Equ_si_NodeOffset]);
    q_e_Equ_si_Node_Ptr = &(dQdx[li_e][A_e_Equ_si_NodeOffset]);
    f_e_Equ_e_Node_Ptr = &(dFdx[li_e][A_e_Equ_e_NodeOffset]);
    q_e_Equ_e_Node_Ptr = &(dQdx[li_e][A_e_Equ_e_NodeOffset]);
    f_e_Equ_di_Node_Ptr = &(dFdx[li_e][A_e_Equ_di_NodeOffset]);
    q_e_Equ_di_Node_Ptr = &(dQdx[li_e][A_e_Equ_di_NodeOffset]);
    f_e_Equ_s_Node_Ptr = &(dFdx[li_e][A_e_Equ_s_NodeOffset]);
    q_e_Equ_s_Node_Ptr = &(dQdx[li_e][A_e_Equ_s_NodeOffset]);
    f_e_Equ_si1_Node_Ptr = &(dFdx[li_e][A_e_Equ_si1_NodeOffset]);
    q_e_Equ_si1_Node_Ptr = &(dQdx[li_e][A_e_Equ_si1_NodeOffset]);
    f_e_Equ_d_Node_Ptr = &(dFdx[li_e][A_e_Equ_d_NodeOffset]);
    q_e_Equ_d_Node_Ptr = &(dQdx[li_e][A_e_Equ_d_NodeOffset]);
    f_e_Equ_di1_Node_Ptr = &(dFdx[li_e][A_e_Equ_di1_NodeOffset]);
    q_e_Equ_di1_Node_Ptr = &(dQdx[li_e][A_e_Equ_di1_NodeOffset]);
    f_e_Equ_ge_Node_Ptr = &(dFdx[li_e][A_e_Equ_ge_NodeOffset]);
    q_e_Equ_ge_Node_Ptr = &(dQdx[li_e][A_e_Equ_ge_NodeOffset]);
if (!collapseNode_t)
{
    f_t_Equ_gi_Node_Ptr = &(dFdx[li_t][A_t_Equ_gi_NodeOffset]);
    q_t_Equ_gi_Node_Ptr = &(dQdx[li_t][A_t_Equ_gi_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_si1_Node_Ptr = &(dFdx[li_t][A_t_Equ_si1_NodeOffset]);
    q_t_Equ_si1_Node_Ptr = &(dQdx[li_t][A_t_Equ_si1_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_di1_Node_Ptr = &(dFdx[li_t][A_t_Equ_di1_NodeOffset]);
    q_t_Equ_di1_Node_Ptr = &(dQdx[li_t][A_t_Equ_di1_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_e_Node_Ptr = &(dFdx[li_t][A_t_Equ_e_NodeOffset]);
    q_t_Equ_e_Node_Ptr = &(dQdx[li_t][A_t_Equ_e_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_si_Node_Ptr = &(dFdx[li_t][A_t_Equ_si_NodeOffset]);
    q_t_Equ_si_Node_Ptr = &(dQdx[li_t][A_t_Equ_si_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_di_Node_Ptr = &(dFdx[li_t][A_t_Equ_di_NodeOffset]);
    q_t_Equ_di_Node_Ptr = &(dQdx[li_t][A_t_Equ_di_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_t_Node_Ptr = &(dFdx[li_t][A_t_Equ_t_NodeOffset]);
    q_t_Equ_t_Node_Ptr = &(dQdx[li_t][A_t_Equ_t_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_s_Node_Ptr = &(dFdx[li_t][A_t_Equ_s_NodeOffset]);
    q_t_Equ_s_Node_Ptr = &(dQdx[li_t][A_t_Equ_s_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_d_Node_Ptr = &(dFdx[li_t][A_t_Equ_d_NodeOffset]);
    q_t_Equ_d_Node_Ptr = &(dQdx[li_t][A_t_Equ_d_NodeOffset]);
}
if (!collapseNode_t)
{
    f_t_Equ_ge_Node_Ptr = &(dFdx[li_t][A_t_Equ_ge_NodeOffset]);
    q_t_Equ_ge_Node_Ptr = &(dQdx[li_t][A_t_Equ_ge_NodeOffset]);
}
    f_di_Equ_gi_Node_Ptr = &(dFdx[li_di][A_di_Equ_gi_NodeOffset]);
    q_di_Equ_gi_Node_Ptr = &(dQdx[li_di][A_di_Equ_gi_NodeOffset]);
    f_di_Equ_si1_Node_Ptr = &(dFdx[li_di][A_di_Equ_si1_NodeOffset]);
    q_di_Equ_si1_Node_Ptr = &(dQdx[li_di][A_di_Equ_si1_NodeOffset]);
    f_di_Equ_di1_Node_Ptr = &(dFdx[li_di][A_di_Equ_di1_NodeOffset]);
    q_di_Equ_di1_Node_Ptr = &(dQdx[li_di][A_di_Equ_di1_NodeOffset]);
    f_di_Equ_e_Node_Ptr = &(dFdx[li_di][A_di_Equ_e_NodeOffset]);
    q_di_Equ_e_Node_Ptr = &(dQdx[li_di][A_di_Equ_e_NodeOffset]);
    f_di_Equ_si_Node_Ptr = &(dFdx[li_di][A_di_Equ_si_NodeOffset]);
    q_di_Equ_si_Node_Ptr = &(dQdx[li_di][A_di_Equ_si_NodeOffset]);
    f_di_Equ_di_Node_Ptr = &(dFdx[li_di][A_di_Equ_di_NodeOffset]);
    q_di_Equ_di_Node_Ptr = &(dQdx[li_di][A_di_Equ_di_NodeOffset]);
if (!collapseNode_t)
{
    f_di_Equ_t_Node_Ptr = &(dFdx[li_di][A_di_Equ_t_NodeOffset]);
    q_di_Equ_t_Node_Ptr = &(dQdx[li_di][A_di_Equ_t_NodeOffset]);
}
if (!collapseNode_q)
{
    f_di_Equ_q_Node_Ptr = &(dFdx[li_di][A_di_Equ_q_NodeOffset]);
    q_di_Equ_q_Node_Ptr = &(dQdx[li_di][A_di_Equ_q_NodeOffset]);
}
    f_di_Equ_ge_Node_Ptr = &(dFdx[li_di][A_di_Equ_ge_NodeOffset]);
    q_di_Equ_ge_Node_Ptr = &(dQdx[li_di][A_di_Equ_ge_NodeOffset]);
    f_di_Equ_s_Node_Ptr = &(dFdx[li_di][A_di_Equ_s_NodeOffset]);
    q_di_Equ_s_Node_Ptr = &(dQdx[li_di][A_di_Equ_s_NodeOffset]);
    f_di_Equ_d_Node_Ptr = &(dFdx[li_di][A_di_Equ_d_NodeOffset]);
    q_di_Equ_d_Node_Ptr = &(dQdx[li_di][A_di_Equ_d_NodeOffset]);
if (!collapseNode_n)
{
    f_di_Equ_n_Node_Ptr = &(dFdx[li_di][A_di_Equ_n_NodeOffset]);
    q_di_Equ_n_Node_Ptr = &(dQdx[li_di][A_di_Equ_n_NodeOffset]);
}
    f_si_Equ_gi_Node_Ptr = &(dFdx[li_si][A_si_Equ_gi_NodeOffset]);
    q_si_Equ_gi_Node_Ptr = &(dQdx[li_si][A_si_Equ_gi_NodeOffset]);
    f_si_Equ_si1_Node_Ptr = &(dFdx[li_si][A_si_Equ_si1_NodeOffset]);
    q_si_Equ_si1_Node_Ptr = &(dQdx[li_si][A_si_Equ_si1_NodeOffset]);
    f_si_Equ_di1_Node_Ptr = &(dFdx[li_si][A_si_Equ_di1_NodeOffset]);
    q_si_Equ_di1_Node_Ptr = &(dQdx[li_si][A_si_Equ_di1_NodeOffset]);
    f_si_Equ_e_Node_Ptr = &(dFdx[li_si][A_si_Equ_e_NodeOffset]);
    q_si_Equ_e_Node_Ptr = &(dQdx[li_si][A_si_Equ_e_NodeOffset]);
    f_si_Equ_si_Node_Ptr = &(dFdx[li_si][A_si_Equ_si_NodeOffset]);
    q_si_Equ_si_Node_Ptr = &(dQdx[li_si][A_si_Equ_si_NodeOffset]);
    f_si_Equ_di_Node_Ptr = &(dFdx[li_si][A_si_Equ_di_NodeOffset]);
    q_si_Equ_di_Node_Ptr = &(dQdx[li_si][A_si_Equ_di_NodeOffset]);
if (!collapseNode_t)
{
    f_si_Equ_t_Node_Ptr = &(dFdx[li_si][A_si_Equ_t_NodeOffset]);
    q_si_Equ_t_Node_Ptr = &(dQdx[li_si][A_si_Equ_t_NodeOffset]);
}
if (!collapseNode_q)
{
    f_si_Equ_q_Node_Ptr = &(dFdx[li_si][A_si_Equ_q_NodeOffset]);
    q_si_Equ_q_Node_Ptr = &(dQdx[li_si][A_si_Equ_q_NodeOffset]);
}
    f_si_Equ_ge_Node_Ptr = &(dFdx[li_si][A_si_Equ_ge_NodeOffset]);
    q_si_Equ_ge_Node_Ptr = &(dQdx[li_si][A_si_Equ_ge_NodeOffset]);
    f_si_Equ_s_Node_Ptr = &(dFdx[li_si][A_si_Equ_s_NodeOffset]);
    q_si_Equ_s_Node_Ptr = &(dQdx[li_si][A_si_Equ_s_NodeOffset]);
    f_si_Equ_d_Node_Ptr = &(dFdx[li_si][A_si_Equ_d_NodeOffset]);
    q_si_Equ_d_Node_Ptr = &(dQdx[li_si][A_si_Equ_d_NodeOffset]);
if (!collapseNode_n)
{
    f_si_Equ_n_Node_Ptr = &(dFdx[li_si][A_si_Equ_n_NodeOffset]);
    q_si_Equ_n_Node_Ptr = &(dQdx[li_si][A_si_Equ_n_NodeOffset]);
}
    f_di1_Equ_gi_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_gi_NodeOffset]);
    q_di1_Equ_gi_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_gi_NodeOffset]);
    f_di1_Equ_si1_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_si1_NodeOffset]);
    q_di1_Equ_si1_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_si1_NodeOffset]);
    f_di1_Equ_di1_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_di1_NodeOffset]);
    q_di1_Equ_di1_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_di1_NodeOffset]);
    f_di1_Equ_si_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_si_NodeOffset]);
    q_di1_Equ_si_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_si_NodeOffset]);
    f_di1_Equ_e_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_e_NodeOffset]);
    q_di1_Equ_e_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_e_NodeOffset]);
    f_di1_Equ_di_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_di_NodeOffset]);
    q_di1_Equ_di_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_di_NodeOffset]);
    f_di1_Equ_s_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_s_NodeOffset]);
    q_di1_Equ_s_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_s_NodeOffset]);
if (!collapseNode_t)
{
    f_di1_Equ_t_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_t_NodeOffset]);
    q_di1_Equ_t_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_t_NodeOffset]);
}
    f_di1_Equ_d_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_d_NodeOffset]);
    q_di1_Equ_d_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_d_NodeOffset]);
    f_di1_Equ_ge_Node_Ptr = &(dFdx[li_di1][A_di1_Equ_ge_NodeOffset]);
    q_di1_Equ_ge_Node_Ptr = &(dQdx[li_di1][A_di1_Equ_ge_NodeOffset]);
    f_si1_Equ_gi_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_gi_NodeOffset]);
    q_si1_Equ_gi_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_gi_NodeOffset]);
    f_si1_Equ_si1_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_si1_NodeOffset]);
    q_si1_Equ_si1_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_si1_NodeOffset]);
    f_si1_Equ_si_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_si_NodeOffset]);
    q_si1_Equ_si_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_si_NodeOffset]);
    f_si1_Equ_e_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_e_NodeOffset]);
    q_si1_Equ_e_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_e_NodeOffset]);
    f_si1_Equ_di_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_di_NodeOffset]);
    q_si1_Equ_di_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_di_NodeOffset]);
if (!collapseNode_t)
{
    f_si1_Equ_t_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_t_NodeOffset]);
    q_si1_Equ_t_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_t_NodeOffset]);
}
    f_si1_Equ_s_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_s_NodeOffset]);
    q_si1_Equ_s_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_s_NodeOffset]);
    f_si1_Equ_d_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_d_NodeOffset]);
    q_si1_Equ_d_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_d_NodeOffset]);
    f_si1_Equ_di1_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_di1_NodeOffset]);
    q_si1_Equ_di1_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_di1_NodeOffset]);
    f_si1_Equ_ge_Node_Ptr = &(dFdx[li_si1][A_si1_Equ_ge_NodeOffset]);
    q_si1_Equ_ge_Node_Ptr = &(dQdx[li_si1][A_si1_Equ_ge_NodeOffset]);
    f_ge_Equ_e_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_e_NodeOffset]);
    q_ge_Equ_e_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_e_NodeOffset]);
    f_ge_Equ_ge_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_ge_NodeOffset]);
    q_ge_Equ_ge_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_ge_NodeOffset]);
if (!collapseNode_t)
{
    f_ge_Equ_t_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_t_NodeOffset]);
    q_ge_Equ_t_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_t_NodeOffset]);
}
    f_ge_Equ_gi_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_gi_NodeOffset]);
    q_ge_Equ_gi_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_gi_NodeOffset]);
    f_ge_Equ_si_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_si_NodeOffset]);
    q_ge_Equ_si_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_si_NodeOffset]);
    f_ge_Equ_di_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_di_NodeOffset]);
    q_ge_Equ_di_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_di_NodeOffset]);
    f_ge_Equ_si1_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_si1_NodeOffset]);
    q_ge_Equ_si1_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_si1_NodeOffset]);
    f_ge_Equ_di1_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_di1_NodeOffset]);
    q_ge_Equ_di1_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_di1_NodeOffset]);
    f_ge_Equ_s_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_s_NodeOffset]);
    q_ge_Equ_s_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_s_NodeOffset]);
    f_ge_Equ_d_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_d_NodeOffset]);
    q_ge_Equ_d_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_d_NodeOffset]);
    f_ge_Equ_g_Node_Ptr = &(dFdx[li_ge][A_ge_Equ_g_NodeOffset]);
    q_ge_Equ_g_Node_Ptr = &(dQdx[li_ge][A_ge_Equ_g_NodeOffset]);
if (!collapseNode_q)
{
    f_gi_Equ_q_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_q_NodeOffset]);
    q_gi_Equ_q_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_q_NodeOffset]);
}
    f_gi_Equ_ge_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_ge_NodeOffset]);
    q_gi_Equ_ge_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_ge_NodeOffset]);
    f_gi_Equ_si_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_si_NodeOffset]);
    q_gi_Equ_si_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_si_NodeOffset]);
    f_gi_Equ_di_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_di_NodeOffset]);
    q_gi_Equ_di_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_di_NodeOffset]);
    f_gi_Equ_gi_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_gi_NodeOffset]);
    q_gi_Equ_gi_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_gi_NodeOffset]);
    f_gi_Equ_e_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_e_NodeOffset]);
    q_gi_Equ_e_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_e_NodeOffset]);
    f_gi_Equ_si1_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_si1_NodeOffset]);
    q_gi_Equ_si1_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_si1_NodeOffset]);
    f_gi_Equ_di1_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_di1_NodeOffset]);
    q_gi_Equ_di1_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_di1_NodeOffset]);
if (!collapseNode_t)
{
    f_gi_Equ_t_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_t_NodeOffset]);
    q_gi_Equ_t_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_t_NodeOffset]);
}
    f_gi_Equ_s_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_s_NodeOffset]);
    q_gi_Equ_s_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_s_NodeOffset]);
    f_gi_Equ_d_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_d_NodeOffset]);
    q_gi_Equ_d_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_d_NodeOffset]);
if (!collapseNode_n)
{
    f_gi_Equ_n_Node_Ptr = &(dFdx[li_gi][A_gi_Equ_n_NodeOffset]);
    q_gi_Equ_n_Node_Ptr = &(dQdx[li_gi][A_gi_Equ_n_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_gi_Node_Ptr = &(dFdx[li_q][A_q_Equ_gi_NodeOffset]);
    q_q_Equ_gi_Node_Ptr = &(dQdx[li_q][A_q_Equ_gi_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_e_Node_Ptr = &(dFdx[li_q][A_q_Equ_e_NodeOffset]);
    q_q_Equ_e_Node_Ptr = &(dQdx[li_q][A_q_Equ_e_NodeOffset]);
}
if (!collapseNode_q)
{
if (!collapseNode_t)
{
    f_q_Equ_t_Node_Ptr = &(dFdx[li_q][A_q_Equ_t_NodeOffset]);
    q_q_Equ_t_Node_Ptr = &(dQdx[li_q][A_q_Equ_t_NodeOffset]);
}
}
if (!collapseNode_q)
{
    f_q_Equ_si_Node_Ptr = &(dFdx[li_q][A_q_Equ_si_NodeOffset]);
    q_q_Equ_si_Node_Ptr = &(dQdx[li_q][A_q_Equ_si_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_di_Node_Ptr = &(dFdx[li_q][A_q_Equ_di_NodeOffset]);
    q_q_Equ_di_Node_Ptr = &(dQdx[li_q][A_q_Equ_di_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_ge_Node_Ptr = &(dFdx[li_q][A_q_Equ_ge_NodeOffset]);
    q_q_Equ_ge_Node_Ptr = &(dQdx[li_q][A_q_Equ_ge_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_si1_Node_Ptr = &(dFdx[li_q][A_q_Equ_si1_NodeOffset]);
    q_q_Equ_si1_Node_Ptr = &(dQdx[li_q][A_q_Equ_si1_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_di1_Node_Ptr = &(dFdx[li_q][A_q_Equ_di1_NodeOffset]);
    q_q_Equ_di1_Node_Ptr = &(dQdx[li_q][A_q_Equ_di1_NodeOffset]);
}
if (!collapseNode_q)
{
    f_q_Equ_q_Node_Ptr = &(dFdx[li_q][A_q_Equ_q_NodeOffset]);
    q_q_Equ_q_Node_Ptr = &(dQdx[li_q][A_q_Equ_q_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_n_Node_Ptr = &(dFdx[li_n][A_n_Equ_n_NodeOffset]);
    q_n_Equ_n_Node_Ptr = &(dQdx[li_n][A_n_Equ_n_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_s_Node_Ptr = &(dFdx[li_n][A_n_Equ_s_NodeOffset]);
    q_n_Equ_s_Node_Ptr = &(dQdx[li_n][A_n_Equ_s_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_si1_Node_Ptr = &(dFdx[li_n][A_n_Equ_si1_NodeOffset]);
    q_n_Equ_si1_Node_Ptr = &(dQdx[li_n][A_n_Equ_si1_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_d_Node_Ptr = &(dFdx[li_n][A_n_Equ_d_NodeOffset]);
    q_n_Equ_d_Node_Ptr = &(dQdx[li_n][A_n_Equ_d_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_di1_Node_Ptr = &(dFdx[li_n][A_n_Equ_di1_NodeOffset]);
    q_n_Equ_di1_Node_Ptr = &(dQdx[li_n][A_n_Equ_di1_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_di_Node_Ptr = &(dFdx[li_n][A_n_Equ_di_NodeOffset]);
    q_n_Equ_di_Node_Ptr = &(dQdx[li_n][A_n_Equ_di_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_si_Node_Ptr = &(dFdx[li_n][A_n_Equ_si_NodeOffset]);
    q_n_Equ_si_Node_Ptr = &(dQdx[li_n][A_n_Equ_si_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_gi_Node_Ptr = &(dFdx[li_n][A_n_Equ_gi_NodeOffset]);
    q_n_Equ_gi_Node_Ptr = &(dQdx[li_n][A_n_Equ_gi_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_e_Node_Ptr = &(dFdx[li_n][A_n_Equ_e_NodeOffset]);
    q_n_Equ_e_Node_Ptr = &(dQdx[li_n][A_n_Equ_e_NodeOffset]);
}
if (!collapseNode_n)
{
    f_n_Equ_ge_Node_Ptr = &(dFdx[li_n][A_n_Equ_ge_NodeOffset]);
    q_n_Equ_ge_Node_Ptr = &(dQdx[li_n][A_n_Equ_ge_NodeOffset]);
}
if (!collapseNode_n)
{
if (!collapseNode_t)
{
    f_n_Equ_t_Node_Ptr = &(dFdx[li_n][A_n_Equ_t_NodeOffset]);
    q_n_Equ_t_Node_Ptr = &(dQdx[li_n][A_n_Equ_t_NodeOffset]);
}
}


}

// RHS load functions

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEFVector
// Purpose       : load F vector (static contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEFVector()
{

  bool bsuccess=true;
(*extData.daeFVectorPtr)[li_d] += staticContributions[admsNodeID_d];
(*extData.daeFVectorPtr)[li_g] += staticContributions[admsNodeID_g];
(*extData.daeFVectorPtr)[li_s] += staticContributions[admsNodeID_s];
(*extData.daeFVectorPtr)[li_e] += staticContributions[admsNodeID_e];
if (!collapseNode_t)
  (*extData.daeFVectorPtr)[li_t] += staticContributions[admsNodeID_t];
(*extData.daeFVectorPtr)[li_di] += staticContributions[admsNodeID_di];
(*extData.daeFVectorPtr)[li_si] += staticContributions[admsNodeID_si];
(*extData.daeFVectorPtr)[li_di1] += staticContributions[admsNodeID_di1];
(*extData.daeFVectorPtr)[li_si1] += staticContributions[admsNodeID_si1];
(*extData.daeFVectorPtr)[li_ge] += staticContributions[admsNodeID_ge];
(*extData.daeFVectorPtr)[li_gi] += staticContributions[admsNodeID_gi];
if (!collapseNode_q)
  (*extData.daeFVectorPtr)[li_q] += staticContributions[admsNodeID_q];
if (!collapseNode_n)
  (*extData.daeFVectorPtr)[li_n] += staticContributions[admsNodeID_n];


  if (loadLeadCurrent)
  {
    double * leadF = extData.nextLeadCurrFCompRawPtr;
    leadF[li_branch_id] = leadCurrentF[admsNodeID_d];
    leadF[li_branch_ig] = leadCurrentF[admsNodeID_g];
    leadF[li_branch_is] = leadCurrentF[admsNodeID_s];
    leadF[li_branch_ie] = leadCurrentF[admsNodeID_e];
    if (portsConnected_[admsNodeID_t])
    {
    leadF[li_branch_it] = leadCurrentF[admsNodeID_t];
    }



    // here we have to do special things for BJTs, MOSFETs and 2-terminal
    // devices for power computation.

        double * solVec = extData.nextSolVectorRawPtr;
        double * junctionV = extData.nextJunctionVCompRawPtr;
        junctionV[li_branch_id] = solVec[li_d] - solVec[li_s];
        junctionV[li_branch_ig] = solVec[li_g] - solVec[li_s];

  }
  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEQVector
// Purpose       : load Q vector (dynamic contributions) for one instance for
//                 NEW DAE formulation
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEQVector()
{
(*extData.daeQVectorPtr)[li_d] += dynamicContributions[admsNodeID_d];
(*extData.daeQVectorPtr)[li_g] += dynamicContributions[admsNodeID_g];
(*extData.daeQVectorPtr)[li_s] += dynamicContributions[admsNodeID_s];
(*extData.daeQVectorPtr)[li_e] += dynamicContributions[admsNodeID_e];
if (!collapseNode_t)
  (*extData.daeQVectorPtr)[li_t] += dynamicContributions[admsNodeID_t];
(*extData.daeQVectorPtr)[li_di] += dynamicContributions[admsNodeID_di];
(*extData.daeQVectorPtr)[li_si] += dynamicContributions[admsNodeID_si];
(*extData.daeQVectorPtr)[li_di1] += dynamicContributions[admsNodeID_di1];
(*extData.daeQVectorPtr)[li_si1] += dynamicContributions[admsNodeID_si1];
(*extData.daeQVectorPtr)[li_ge] += dynamicContributions[admsNodeID_ge];
(*extData.daeQVectorPtr)[li_gi] += dynamicContributions[admsNodeID_gi];
if (!collapseNode_q)
  (*extData.daeQVectorPtr)[li_q] += dynamicContributions[admsNodeID_q];
if (!collapseNode_n)
  (*extData.daeQVectorPtr)[li_n] += dynamicContributions[admsNodeID_n];


  if (loadLeadCurrent)
  {
    double * leadQ = extData.nextLeadCurrQCompRawPtr;
    leadQ[li_branch_id] = leadCurrentQ[admsNodeID_d];
    leadQ[li_branch_ig] = leadCurrentQ[admsNodeID_g];
    leadQ[li_branch_is] = leadCurrentQ[admsNodeID_s];
    leadQ[li_branch_ie] = leadCurrentQ[admsNodeID_e];
    if (portsConnected_[admsNodeID_t])
    {
    leadQ[li_branch_it] = leadCurrentQ[admsNodeID_t];
    }


  }
  return true;
}


//-----------------------------------------------------------------------------
// Function      : Instance::updatePrimaryState
// Purpose       :
// Special Notes : In this initial implementation, does little more than
//                 call updateIntermediateVars()
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updatePrimaryState()
{
  bool bsuccess = true;

  bsuccess = updateIntermediateVars();

  // if old DAE were implemented, we'd save dynamic contributions as state
  // here.

  double * stoVec = extData.nextStoVectorRawPtr;
  // Also need to save limited voltage drops and output vars
  // This formulation assumes that we have *always* written the
  // limited voltages back into the probeVars[] array.

  stoVec[li_store_WEFF] = WEFF;
  stoVec[li_store_LEFF] = LEFF;
  stoVec[li_store_WEFFCV] = WEFFCV;
  stoVec[li_store_LEFFCV] = LEFFCV;
  stoVec[li_store_IDS] = IDS;
  stoVec[li_store_IDEFF] = IDEFF;
  stoVec[li_store_ISEFF] = ISEFF;
  stoVec[li_store_IGTOT] = IGTOT;
  stoVec[li_store_IDSGEN] = IDSGEN;
  stoVec[li_store_III] = III;
  stoVec[li_store_IGIDL] = IGIDL;
  stoVec[li_store_IGISL] = IGISL;
  stoVec[li_store_IJSB] = IJSB;
  stoVec[li_store_IJDB] = IJDB;
  stoVec[li_store_ISUB] = ISUB;
  stoVec[li_store_BETA] = BETA;
  stoVec[li_store_VDSSAT] = VDSSAT;
  stoVec[li_store_VDSEFF] = VDSEFF;
  stoVec[li_store_VFB] = VFB;
  stoVec[li_store_VTH] = VTH;
  stoVec[li_store_GM] = GM;
  stoVec[li_store_GDS] = GDS;
  stoVec[li_store_GMBS] = GMBS;
  stoVec[li_store_QGI] = QGI;
  stoVec[li_store_QDI] = QDI;
  stoVec[li_store_QSI] = QSI;
  stoVec[li_store_QBI] = QBI;
  stoVec[li_store_QG] = QG;
  stoVec[li_store_QD] = QD;
  stoVec[li_store_QS] = QS;
  stoVec[li_store_QB] = QB;
  stoVec[li_store_CGGI] = CGGI;
  stoVec[li_store_CGSI] = CGSI;
  stoVec[li_store_CGDI] = CGDI;
  stoVec[li_store_CGEI] = CGEI;
  stoVec[li_store_CDGI] = CDGI;
  stoVec[li_store_CDDI] = CDDI;
  stoVec[li_store_CDSI] = CDSI;
  stoVec[li_store_CDEI] = CDEI;
  stoVec[li_store_CSGI] = CSGI;
  stoVec[li_store_CSDI] = CSDI;
  stoVec[li_store_CSSI] = CSSI;
  stoVec[li_store_CSEI] = CSEI;
  stoVec[li_store_CEGI] = CEGI;
  stoVec[li_store_CEDI] = CEDI;
  stoVec[li_store_CESI] = CESI;
  stoVec[li_store_CEEI] = CEEI;
  stoVec[li_store_CGG] = CGG;
  stoVec[li_store_CGS] = CGS;
  stoVec[li_store_CGD] = CGD;
  stoVec[li_store_CGE] = CGE;
  stoVec[li_store_CDG] = CDG;
  stoVec[li_store_CDD] = CDD;
  stoVec[li_store_CDS] = CDS;
  stoVec[li_store_CDE] = CDE;
  stoVec[li_store_CSG] = CSG;
  stoVec[li_store_CSD] = CSD;
  stoVec[li_store_CSS] = CSS;
  stoVec[li_store_CSE] = CSE;
  stoVec[li_store_CEG] = CEG;
  stoVec[li_store_CED] = CED;
  stoVec[li_store_CES] = CES;
  stoVec[li_store_CEE] = CEE;
  stoVec[li_store_CGSEXT] = CGSEXT;
  stoVec[li_store_CGDEXT] = CGDEXT;
  stoVec[li_store_CGBOV] = CGBOV;
  stoVec[li_store_CJST] = CJST;
  stoVec[li_store_CJDT] = CJDT;
  stoVec[li_store_RSGEO] = RSGEO;
  stoVec[li_store_RDGEO] = RDGEO;
  stoVec[li_store_CFGEO] = CFGEO;
  stoVec[li_store_T_TOTAL_K] = T_TOTAL_K;
  stoVec[li_store_T_TOTAL_C] = T_TOTAL_C;
  stoVec[li_store_T_DELTA_SH] = T_DELTA_SH;
  stoVec[li_store_IGS] = IGS;
  stoVec[li_store_IGD] = IGD;
  stoVec[li_store_IGCS] = IGCS;
  stoVec[li_store_IGCD] = IGCD;
  stoVec[li_store_IGBS] = IGBS;
  stoVec[li_store_IGBD] = IGBD;
  stoVec[li_store_IGBACC] = IGBACC;
  stoVec[li_store_IGBINV] = IGBINV;
  stoVec[li_store_DIDSDVG] = DIDSDVG;
  stoVec[li_store_DIDSDVS] = DIDSDVS;
  stoVec[li_store_DIDSDVD] = DIDSDVD;
  stoVec[li_store_DIGSDVG] = DIGSDVG;
  stoVec[li_store_DIGSDVS] = DIGSDVS;
  stoVec[li_store_DIGSDVD] = DIGSDVD;
  stoVec[li_store_DIGDDVG] = DIGDDVG;
  stoVec[li_store_DIGDDVS] = DIGDDVS;
  stoVec[li_store_DIGDDVD] = DIGDDVD;
  stoVec[li_store_DIIIDVG] = DIIIDVG;
  stoVec[li_store_DIIIDVS] = DIIIDVS;
  stoVec[li_store_DIIIDVD] = DIIIDVD;
  stoVec[li_store_DIGIDLDVG] = DIGIDLDVG;
  stoVec[li_store_DIGIDLDVS] = DIGIDLDVS;
  stoVec[li_store_DIGIDLDVD] = DIGIDLDVD;
  stoVec[li_store_DIGISLDVG] = DIGISLDVG;
  stoVec[li_store_DIGISLDVS] = DIGISLDVS;
  stoVec[li_store_DIGISLDVD] = DIGISLDVD;
  stoVec[li_store_CGT] = CGT;
  stoVec[li_store_CST] = CST;
  stoVec[li_store_CDT] = CDT;
  stoVec[li_store_DIDSDVTH] = DIDSDVTH;
  stoVec[li_store_DIGSDVTH] = DIGSDVTH;
  stoVec[li_store_DIGDDVTH] = DIGDDVTH;
  stoVec[li_store_DIIIDVTH] = DIIIDVTH;
  stoVec[li_store_DIGIDLDVTH] = DIGIDLDVTH;
  stoVec[li_store_DIGISLDVTH] = DIGISLDVTH;
  stoVec[li_store_ITH] = ITH;
  stoVec[li_store_DITHDVTH] = DITHDVTH;
  stoVec[li_store_DITHDVG] = DITHDVG;
  stoVec[li_store_DITHDVS] = DITHDVS;
  stoVec[li_store_DITHDVD] = DITHDVD;
  stoVec[li_store_VDSAT] = VDSAT;
  stoVec[li_store_VDS] = VDS;
  stoVec[li_store_VGS] = VGS;
  stoVec[li_store_VBS] = VBS;

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateSecondaryState
// Purpose       :
// Special Notes : In this initial implementation, does nothing
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateSecondaryState()
{
  bool bsuccess = true;

  // were old DAE implemented, we'd pull dynamic contribution derivatives
  // out of state.

  return bsuccess;
}

//-----------------------------------------------------------------------------
// Function      : Instance::updateIntermediateVars
// Purpose       : update intermediate variables for one bsimcmg_111 instance
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateIntermediateVars()
{

  bool bsuccess=true;
  Linear::Vector * solVectorPtr = extData.nextSolVectorPtr;

  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << std::endl << subsection_divider << std::endl;
    Xyce::dout() << "  In ADMSbsimcmg_111::Instance::updateIntermediateVars\n\n";
    Xyce::dout() << "  name = " << getName() << std::endl;
  }

  // Local variables
  double Lterm=0.0;
  double Lterm0=0.0;
  double delta_vsrs=0.0;
     double d_delta_vsrs_dV_si_si1=0.0;
     double d_delta_vsrs_dV_di1_di=0.0;
     double d_delta_vsrs_dV_ge_e=0.0;
     double d_delta_vsrs_dV_gi_di=0.0;
     double d_delta_vsrs_dV_ge_di=0.0;
     double d_delta_vsrs_dV_ge_si=0.0;
     double d_delta_vsrs_dV_gi_di1=0.0;
     double d_delta_vsrs_dV_gi_si1=0.0;
     double d_delta_vsrs_dV_d_di1=0.0;
     double d_delta_vsrs_dV_s_si1=0.0;
     double d_delta_vsrs_dV_gi_e=0.0;
     double d_delta_vsrs_dV_di_si=0.0;
     double d_delta_vsrs_dV_e_si=0.0;
     double d_delta_vsrs_dV_e_di=0.0;
     double d_delta_vsrs_dV_gi_si=0.0;
     double d_delta_vsrs_dTemp_t_GND=0.0;
  double vsat_rs=0.0;
     double d_vsat_rs_dV_d_di1=0.0;
     double d_vsat_rs_dV_s_si1=0.0;
     double d_vsat_rs_dV_ge_e=0.0;
     double d_vsat_rs_dV_gi_di=0.0;
     double d_vsat_rs_dV_ge_di=0.0;
     double d_vsat_rs_dV_ge_si=0.0;
     double d_vsat_rs_dV_gi_di1=0.0;
     double d_vsat_rs_dV_gi_si1=0.0;
     double d_vsat_rs_dV_gi_e=0.0;
     double d_vsat_rs_dV_gi_si=0.0;
     double d_vsat_rs_dV_e_si=0.0;
     double d_vsat_rs_dV_e_di=0.0;
     double d_vsat_rs_dV_di_si=0.0;
     double d_vsat_rs_dTemp_t_GND=0.0;
  double isat_rs=0.0;
     double d_isat_rs_dV_d_di1=0.0;
     double d_isat_rs_dV_s_si1=0.0;
     double d_isat_rs_dV_ge_e=0.0;
     double d_isat_rs_dV_gi_di=0.0;
     double d_isat_rs_dV_ge_di=0.0;
     double d_isat_rs_dV_ge_si=0.0;
     double d_isat_rs_dV_gi_di1=0.0;
     double d_isat_rs_dV_gi_si1=0.0;
     double d_isat_rs_dV_gi_e=0.0;
     double d_isat_rs_dV_gi_si=0.0;
     double d_isat_rs_dV_e_si=0.0;
     double d_isat_rs_dV_e_di=0.0;
     double d_isat_rs_dV_di_si=0.0;
     double d_isat_rs_dTemp_t_GND=0.0;
  double delta_vsrd=0.0;
     double d_delta_vsrd_dV_di1_di=0.0;
     double d_delta_vsrd_dV_ge_e=0.0;
     double d_delta_vsrd_dV_gi_di=0.0;
     double d_delta_vsrd_dV_ge_di=0.0;
     double d_delta_vsrd_dV_ge_si=0.0;
     double d_delta_vsrd_dV_gi_di1=0.0;
     double d_delta_vsrd_dV_gi_si1=0.0;
     double d_delta_vsrd_dV_d_di1=0.0;
     double d_delta_vsrd_dV_s_si1=0.0;
     double d_delta_vsrd_dV_gi_e=0.0;
     double d_delta_vsrd_dV_di_si=0.0;
     double d_delta_vsrd_dV_e_si=0.0;
     double d_delta_vsrd_dV_e_di=0.0;
     double d_delta_vsrd_dV_gi_si=0.0;
     double d_delta_vsrd_dTemp_t_GND=0.0;
  double vsat_rd=0.0;
     double d_vsat_rd_dV_d_di1=0.0;
     double d_vsat_rd_dV_s_si1=0.0;
     double d_vsat_rd_dV_ge_e=0.0;
     double d_vsat_rd_dV_gi_di=0.0;
     double d_vsat_rd_dV_ge_di=0.0;
     double d_vsat_rd_dV_ge_si=0.0;
     double d_vsat_rd_dV_gi_di1=0.0;
     double d_vsat_rd_dV_gi_si1=0.0;
     double d_vsat_rd_dV_gi_e=0.0;
     double d_vsat_rd_dV_gi_si=0.0;
     double d_vsat_rd_dV_e_si=0.0;
     double d_vsat_rd_dV_e_di=0.0;
     double d_vsat_rd_dV_di_si=0.0;
     double d_vsat_rd_dTemp_t_GND=0.0;
     double d_vsat_rd_dV_di1_di=0.0;
  double isat_rd=0.0;
     double d_isat_rd_dV_d_di1=0.0;
     double d_isat_rd_dV_s_si1=0.0;
     double d_isat_rd_dV_ge_e=0.0;
     double d_isat_rd_dV_gi_di=0.0;
     double d_isat_rd_dV_ge_di=0.0;
     double d_isat_rd_dV_ge_si=0.0;
     double d_isat_rd_dV_gi_di1=0.0;
     double d_isat_rd_dV_gi_si1=0.0;
     double d_isat_rd_dV_gi_e=0.0;
     double d_isat_rd_dV_gi_si=0.0;
     double d_isat_rd_dV_e_si=0.0;
     double d_isat_rd_dV_e_di=0.0;
     double d_isat_rd_dV_di_si=0.0;
     double d_isat_rd_dTemp_t_GND=0.0;
     double d_isat_rd_dV_di1_di=0.0;
  double vsatrsd_eff=0.0;
     double d_vsatrsd_eff_dTemp_t_GND=0.0;
     double d_vsatrsd_eff_dV_ge_e=0.0;
     double d_vsatrsd_eff_dV_d_di1=0.0;
     double d_vsatrsd_eff_dV_s_si1=0.0;
     double d_vsatrsd_eff_dV_gi_di=0.0;
     double d_vsatrsd_eff_dV_ge_di=0.0;
     double d_vsatrsd_eff_dV_ge_si=0.0;
     double d_vsatrsd_eff_dV_gi_di1=0.0;
     double d_vsatrsd_eff_dV_gi_si1=0.0;
     double d_vsatrsd_eff_dV_gi_e=0.0;
     double d_vsatrsd_eff_dV_e_si=0.0;
     double d_vsatrsd_eff_dV_e_di=0.0;
     double d_vsatrsd_eff_dV_gi_si=0.0;
     double d_vsatrsd_eff_dV_di_si=0.0;
  double VSATRSD_t=0.0;
     double d_VSATRSD_t_dTemp_t_GND=0.0;
  double Gtnoi=0.0;
  double noiBeta=0.0;
     double d_noiBeta_dV_ge_e=0.0;
     double d_noiBeta_dV_gi_di=0.0;
     double d_noiBeta_dV_ge_di=0.0;
     double d_noiBeta_dV_ge_si=0.0;
     double d_noiBeta_dV_gi_di1=0.0;
     double d_noiBeta_dV_gi_si1=0.0;
     double d_noiBeta_dV_gi_e=0.0;
     double d_noiBeta_dV_e_si=0.0;
     double d_noiBeta_dV_e_di=0.0;
     double d_noiBeta_dV_gi_si=0.0;
     double d_noiBeta_dV_di_si=0.0;
     double d_noiBeta_dTemp_t_GND=0.0;
  double noiTheta=0.0;
     double d_noiTheta_dV_ge_e=0.0;
     double d_noiTheta_dV_gi_di=0.0;
     double d_noiTheta_dV_ge_di=0.0;
     double d_noiTheta_dV_ge_si=0.0;
     double d_noiTheta_dV_gi_di1=0.0;
     double d_noiTheta_dV_gi_si1=0.0;
     double d_noiTheta_dV_gi_e=0.0;
     double d_noiTheta_dV_e_si=0.0;
     double d_noiTheta_dV_e_di=0.0;
     double d_noiTheta_dV_gi_si=0.0;
     double d_noiTheta_dV_di_si=0.0;
     double d_noiTheta_dTemp_t_GND=0.0;
  double noiCorr=0.0;
     double d_noiCorr_dV_ge_e=0.0;
     double d_noiCorr_dV_gi_di=0.0;
     double d_noiCorr_dV_ge_di=0.0;
     double d_noiCorr_dV_ge_si=0.0;
     double d_noiCorr_dV_gi_di1=0.0;
     double d_noiCorr_dV_gi_si1=0.0;
     double d_noiCorr_dV_gi_e=0.0;
     double d_noiCorr_dV_e_si=0.0;
     double d_noiCorr_dV_e_di=0.0;
     double d_noiCorr_dV_gi_si=0.0;
     double d_noiCorr_dV_di_si=0.0;
     double d_noiCorr_dTemp_t_GND=0.0;
  double noiLowId=0.0;
     double d_noiLowId_dV_ge_e=0.0;
     double d_noiLowId_dV_gi_di=0.0;
     double d_noiLowId_dV_ge_di=0.0;
     double d_noiLowId_dV_ge_si=0.0;
     double d_noiLowId_dV_gi_di1=0.0;
     double d_noiLowId_dV_gi_si1=0.0;
     double d_noiLowId_dV_gi_e=0.0;
     double d_noiLowId_dV_e_si=0.0;
     double d_noiLowId_dV_e_di=0.0;
     double d_noiLowId_dV_gi_si=0.0;
     double d_noiLowId_dV_di_si=0.0;
     double d_noiLowId_dTemp_t_GND=0.0;
  double noiEta=0.0;
     double d_noiEta_dV_di_si=0.0;
     double d_noiEta_dV_e_si=0.0;
     double d_noiEta_dV_e_di=0.0;
     double d_noiEta_dV_gi_si=0.0;
     double d_noiEta_dTemp_t_GND=0.0;
  double Dvsat3=0.0;
     double d_Dvsat3_dV_gi_e=0.0;
     double d_Dvsat3_dV_e_si=0.0;
     double d_Dvsat3_dV_e_di=0.0;
     double d_Dvsat3_dV_gi_si=0.0;
     double d_Dvsat3_dV_di_si=0.0;
     double d_Dvsat3_dTemp_t_GND=0.0;
  double noiWI=0.0;
     double d_noiWI_dTemp_t_GND=0.0;
     double d_noiWI_dV_di_si=0.0;
     double d_noiWI_dV_e_si=0.0;
     double d_noiWI_dV_e_di=0.0;
     double d_noiWI_dV_gi_si=0.0;
  double Mnud0=0.0;
     double d_Mnud0_dV_ge_e=0.0;
     double d_Mnud0_dV_gi_di=0.0;
     double d_Mnud0_dV_ge_di=0.0;
     double d_Mnud0_dV_ge_si=0.0;
     double d_Mnud0_dV_gi_di1=0.0;
     double d_Mnud0_dV_gi_si1=0.0;
     double d_Mnud0_dV_gi_e=0.0;
     double d_Mnud0_dV_e_si=0.0;
     double d_Mnud0_dV_e_di=0.0;
     double d_Mnud0_dV_gi_si=0.0;
     double d_Mnud0_dV_di_si=0.0;
     double d_Mnud0_dTemp_t_GND=0.0;
  double Mob0=0.0;
     double d_Mob0_dV_ge_e=0.0;
     double d_Mob0_dV_gi_di=0.0;
     double d_Mob0_dV_ge_di=0.0;
     double d_Mob0_dV_ge_si=0.0;
     double d_Mob0_dV_gi_di1=0.0;
     double d_Mob0_dV_gi_si1=0.0;
     double d_Mob0_dV_d_di1=0.0;
     double d_Mob0_dV_s_si1=0.0;
     double d_Mob0_dV_gi_e=0.0;
     double d_Mob0_dV_di_si=0.0;
     double d_Mob0_dV_e_si=0.0;
     double d_Mob0_dV_e_di=0.0;
     double d_Mob0_dV_gi_si=0.0;
     double d_Mob0_dTemp_t_GND=0.0;
  double Eeffm0=0.0;
     double d_Eeffm0_dTemp_t_GND=0.0;
     double d_Eeffm0_dV_di_si=0.0;
     double d_Eeffm0_dV_gi_e=0.0;
     double d_Eeffm0_dV_e_si=0.0;
     double d_Eeffm0_dV_e_di=0.0;
     double d_Eeffm0_dV_gi_si=0.0;
  double Dmob0=0.0;
     double d_Dmob0_dV_ge_e=0.0;
     double d_Dmob0_dV_gi_di=0.0;
     double d_Dmob0_dV_ge_di=0.0;
     double d_Dmob0_dV_ge_si=0.0;
     double d_Dmob0_dV_gi_di1=0.0;
     double d_Dmob0_dV_gi_si1=0.0;
     double d_Dmob0_dV_d_di1=0.0;
     double d_Dmob0_dV_s_si1=0.0;
     double d_Dmob0_dV_gi_e=0.0;
     double d_Dmob0_dV_di_si=0.0;
     double d_Dmob0_dV_e_si=0.0;
     double d_Dmob0_dV_e_di=0.0;
     double d_Dmob0_dV_gi_si=0.0;
     double d_Dmob0_dTemp_t_GND=0.0;
  double Dvsat0=0.0;
  double etaiv0=0.0;
     double d_etaiv0_dTemp_t_GND=0.0;
     double d_etaiv0_dV_di_si=0.0;
     double d_etaiv0_dV_e_si=0.0;
     double d_etaiv0_dV_e_di=0.0;
     double d_etaiv0_dV_gi_si=0.0;
  double ids0_ov_dqi0=0.0;
     double d_ids0_ov_dqi0_dV_di_si=0.0;
     double d_ids0_ov_dqi0_dV_e_si=0.0;
     double d_ids0_ov_dqi0_dV_e_di=0.0;
     double d_ids0_ov_dqi0_dV_gi_si=0.0;
     double d_ids0_ov_dqi0_dTemp_t_GND=0.0;
     double d_ids0_ov_dqi0_dV_ge_e=0.0;
     double d_ids0_ov_dqi0_dV_gi_di=0.0;
     double d_ids0_ov_dqi0_dV_ge_di=0.0;
     double d_ids0_ov_dqi0_dV_ge_si=0.0;
     double d_ids0_ov_dqi0_dV_gi_di1=0.0;
     double d_ids0_ov_dqi0_dV_gi_si1=0.0;
     double d_ids0_ov_dqi0_dV_gi_e=0.0;
  double Rdsi0=0.0;
     double d_Rdsi0_dTemp_t_GND=0.0;
     double d_Rdsi0_dV_ge_e=0.0;
     double d_Rdsi0_dV_gi_di=0.0;
     double d_Rdsi0_dV_ge_di=0.0;
     double d_Rdsi0_dV_ge_si=0.0;
     double d_Rdsi0_dV_gi_di1=0.0;
     double d_Rdsi0_dV_gi_si1=0.0;
     double d_Rdsi0_dV_d_di1=0.0;
     double d_Rdsi0_dV_s_si1=0.0;
     double d_Rdsi0_dV_gi_e=0.0;
     double d_Rdsi0_dV_di_si=0.0;
     double d_Rdsi0_dV_e_si=0.0;
     double d_Rdsi0_dV_e_di=0.0;
     double d_Rdsi0_dV_gi_si=0.0;
  double noiGd0=0.0;
     double d_noiGd0_dTemp_t_GND=0.0;
     double d_noiGd0_dV_di_si=0.0;
     double d_noiGd0_dV_e_si=0.0;
     double d_noiGd0_dV_e_di=0.0;
     double d_noiGd0_dV_gi_si=0.0;
     double d_noiGd0_dV_ge_e=0.0;
     double d_noiGd0_dV_gi_di=0.0;
     double d_noiGd0_dV_ge_di=0.0;
     double d_noiGd0_dV_ge_si=0.0;
     double d_noiGd0_dV_gi_di1=0.0;
     double d_noiGd0_dV_gi_si1=0.0;
     double d_noiGd0_dV_gi_e=0.0;
     double d_noiGd0_dV_d_di1=0.0;
     double d_noiGd0_dV_s_si1=0.0;
  double T5_2=0.0;
     double d_T5_2_dV_ge_e=0.0;
     double d_T5_2_dV_gi_di=0.0;
     double d_T5_2_dV_ge_di=0.0;
     double d_T5_2_dV_ge_si=0.0;
     double d_T5_2_dV_gi_di1=0.0;
     double d_T5_2_dV_gi_si1=0.0;
     double d_T5_2_dV_d_di1=0.0;
     double d_T5_2_dV_s_si1=0.0;
     double d_T5_2_dV_gi_e=0.0;
     double d_T5_2_dV_di_si=0.0;
     double d_T5_2_dV_e_si=0.0;
     double d_T5_2_dV_e_di=0.0;
     double d_T5_2_dV_gi_si=0.0;
     double d_T5_2_dTemp_t_GND=0.0;
  double T5_3=0.0;
     double d_T5_3_dV_ge_e=0.0;
     double d_T5_3_dV_gi_di=0.0;
     double d_T5_3_dV_ge_di=0.0;
     double d_T5_3_dV_ge_si=0.0;
     double d_T5_3_dV_gi_di1=0.0;
     double d_T5_3_dV_gi_si1=0.0;
     double d_T5_3_dV_d_di1=0.0;
     double d_T5_3_dV_s_si1=0.0;
     double d_T5_3_dV_gi_e=0.0;
     double d_T5_3_dV_di_si=0.0;
     double d_T5_3_dV_e_si=0.0;
     double d_T5_3_dV_e_di=0.0;
     double d_T5_3_dV_gi_si=0.0;
     double d_T5_3_dTemp_t_GND=0.0;
  double T5_4=0.0;
     double d_T5_4_dV_ge_e=0.0;
     double d_T5_4_dV_gi_di=0.0;
     double d_T5_4_dV_ge_di=0.0;
     double d_T5_4_dV_ge_si=0.0;
     double d_T5_4_dV_gi_di1=0.0;
     double d_T5_4_dV_gi_si1=0.0;
     double d_T5_4_dV_d_di1=0.0;
     double d_T5_4_dV_s_si1=0.0;
     double d_T5_4_dV_gi_e=0.0;
     double d_T5_4_dV_di_si=0.0;
     double d_T5_4_dV_e_si=0.0;
     double d_T5_4_dV_e_di=0.0;
     double d_T5_4_dV_gi_si=0.0;
     double d_T5_4_dTemp_t_GND=0.0;
  double T7_2=0.0;
     double d_T7_2_dV_ge_e=0.0;
     double d_T7_2_dV_gi_di=0.0;
     double d_T7_2_dV_ge_di=0.0;
     double d_T7_2_dV_ge_si=0.0;
     double d_T7_2_dV_gi_di1=0.0;
     double d_T7_2_dV_gi_si1=0.0;
     double d_T7_2_dV_d_di1=0.0;
     double d_T7_2_dV_s_si1=0.0;
     double d_T7_2_dV_gi_e=0.0;
     double d_T7_2_dV_di_si=0.0;
     double d_T7_2_dV_e_si=0.0;
     double d_T7_2_dV_e_di=0.0;
     double d_T7_2_dV_gi_si=0.0;
     double d_T7_2_dTemp_t_GND=0.0;
  double T7_3=0.0;
     double d_T7_3_dV_ge_e=0.0;
     double d_T7_3_dV_gi_di=0.0;
     double d_T7_3_dV_ge_di=0.0;
     double d_T7_3_dV_ge_si=0.0;
     double d_T7_3_dV_gi_di1=0.0;
     double d_T7_3_dV_gi_si1=0.0;
     double d_T7_3_dV_d_di1=0.0;
     double d_T7_3_dV_s_si1=0.0;
     double d_T7_3_dV_gi_e=0.0;
     double d_T7_3_dV_di_si=0.0;
     double d_T7_3_dV_e_si=0.0;
     double d_T7_3_dV_e_di=0.0;
     double d_T7_3_dV_gi_si=0.0;
     double d_T7_3_dTemp_t_GND=0.0;
  double T7_4=0.0;
     double d_T7_4_dV_ge_e=0.0;
     double d_T7_4_dV_gi_di=0.0;
     double d_T7_4_dV_ge_di=0.0;
     double d_T7_4_dV_ge_si=0.0;
     double d_T7_4_dV_gi_di1=0.0;
     double d_T7_4_dV_gi_si1=0.0;
     double d_T7_4_dV_d_di1=0.0;
     double d_T7_4_dV_s_si1=0.0;
     double d_T7_4_dV_gi_e=0.0;
     double d_T7_4_dV_di_si=0.0;
     double d_T7_4_dV_e_si=0.0;
     double d_T7_4_dV_e_di=0.0;
     double d_T7_4_dV_gi_si=0.0;
     double d_T7_4_dTemp_t_GND=0.0;
  double T7_5=0.0;
     double d_T7_5_dV_ge_e=0.0;
     double d_T7_5_dV_gi_di=0.0;
     double d_T7_5_dV_ge_di=0.0;
     double d_T7_5_dV_ge_si=0.0;
     double d_T7_5_dV_gi_di1=0.0;
     double d_T7_5_dV_gi_si1=0.0;
     double d_T7_5_dV_d_di1=0.0;
     double d_T7_5_dV_s_si1=0.0;
     double d_T7_5_dV_gi_e=0.0;
     double d_T7_5_dV_di_si=0.0;
     double d_T7_5_dV_e_si=0.0;
     double d_T7_5_dV_e_di=0.0;
     double d_T7_5_dV_gi_si=0.0;
     double d_T7_5_dTemp_t_GND=0.0;
  double gamma1=0.0;
     double d_gamma1_dV_ge_e=0.0;
     double d_gamma1_dV_gi_di=0.0;
     double d_gamma1_dV_ge_di=0.0;
     double d_gamma1_dV_ge_si=0.0;
     double d_gamma1_dV_gi_di1=0.0;
     double d_gamma1_dV_gi_si1=0.0;
     double d_gamma1_dV_gi_e=0.0;
     double d_gamma1_dV_e_si=0.0;
     double d_gamma1_dV_e_di=0.0;
     double d_gamma1_dV_gi_si=0.0;
     double d_gamma1_dV_di_si=0.0;
     double d_gamma1_dTemp_t_GND=0.0;
  double gamma2=0.0;
     double d_gamma2_dV_ge_e=0.0;
     double d_gamma2_dV_gi_di=0.0;
     double d_gamma2_dV_ge_di=0.0;
     double d_gamma2_dV_ge_si=0.0;
     double d_gamma2_dV_gi_di1=0.0;
     double d_gamma2_dV_gi_si1=0.0;
     double d_gamma2_dV_d_di1=0.0;
     double d_gamma2_dV_s_si1=0.0;
     double d_gamma2_dV_gi_e=0.0;
     double d_gamma2_dV_di_si=0.0;
     double d_gamma2_dV_e_si=0.0;
     double d_gamma2_dV_e_di=0.0;
     double d_gamma2_dV_gi_si=0.0;
     double d_gamma2_dTemp_t_GND=0.0;
  double gamma=0.0;
     double d_gamma_dV_di_si=0.0;
     double d_gamma_dV_e_si=0.0;
     double d_gamma_dV_e_di=0.0;
     double d_gamma_dV_gi_si=0.0;
     double d_gamma_dTemp_t_GND=0.0;
     double d_gamma_dV_gi_e=0.0;
     double d_gamma_dV_ge_e=0.0;
     double d_gamma_dV_gi_di=0.0;
     double d_gamma_dV_ge_di=0.0;
     double d_gamma_dV_ge_si=0.0;
     double d_gamma_dV_gi_di1=0.0;
     double d_gamma_dV_gi_si1=0.0;
     double d_gamma_dV_d_di1=0.0;
     double d_gamma_dV_s_si1=0.0;
  double delta1=0.0;
     double d_delta1_dV_ge_e=0.0;
     double d_delta1_dV_gi_di=0.0;
     double d_delta1_dV_ge_di=0.0;
     double d_delta1_dV_ge_si=0.0;
     double d_delta1_dV_gi_di1=0.0;
     double d_delta1_dV_gi_si1=0.0;
     double d_delta1_dV_gi_e=0.0;
     double d_delta1_dV_e_si=0.0;
     double d_delta1_dV_e_di=0.0;
     double d_delta1_dV_gi_si=0.0;
     double d_delta1_dV_di_si=0.0;
     double d_delta1_dTemp_t_GND=0.0;
     double d_delta1_dV_d_di1=0.0;
     double d_delta1_dV_s_si1=0.0;
  double delta2=0.0;
     double d_delta2_dV_ge_e=0.0;
     double d_delta2_dV_gi_di=0.0;
     double d_delta2_dV_ge_di=0.0;
     double d_delta2_dV_ge_si=0.0;
     double d_delta2_dV_gi_di1=0.0;
     double d_delta2_dV_gi_si1=0.0;
     double d_delta2_dV_gi_e=0.0;
     double d_delta2_dV_e_si=0.0;
     double d_delta2_dV_e_di=0.0;
     double d_delta2_dV_gi_si=0.0;
     double d_delta2_dV_di_si=0.0;
     double d_delta2_dTemp_t_GND=0.0;
     double d_delta2_dV_d_di1=0.0;
     double d_delta2_dV_s_si1=0.0;
  double delta3=0.0;
     double d_delta3_dV_ge_e=0.0;
     double d_delta3_dV_gi_di=0.0;
     double d_delta3_dV_ge_di=0.0;
     double d_delta3_dV_ge_si=0.0;
     double d_delta3_dV_gi_di1=0.0;
     double d_delta3_dV_gi_si1=0.0;
     double d_delta3_dV_d_di1=0.0;
     double d_delta3_dV_s_si1=0.0;
     double d_delta3_dV_gi_e=0.0;
     double d_delta3_dV_di_si=0.0;
     double d_delta3_dV_e_si=0.0;
     double d_delta3_dV_e_di=0.0;
     double d_delta3_dV_gi_si=0.0;
     double d_delta3_dTemp_t_GND=0.0;
  double epsilon1=0.0;
     double d_epsilon1_dV_ge_e=0.0;
     double d_epsilon1_dV_gi_di=0.0;
     double d_epsilon1_dV_ge_di=0.0;
     double d_epsilon1_dV_ge_si=0.0;
     double d_epsilon1_dV_gi_di1=0.0;
     double d_epsilon1_dV_gi_si1=0.0;
     double d_epsilon1_dV_d_di1=0.0;
     double d_epsilon1_dV_s_si1=0.0;
     double d_epsilon1_dV_gi_e=0.0;
     double d_epsilon1_dV_di_si=0.0;
     double d_epsilon1_dV_e_si=0.0;
     double d_epsilon1_dV_e_di=0.0;
     double d_epsilon1_dV_gi_si=0.0;
     double d_epsilon1_dTemp_t_GND=0.0;
  double epsilon2=0.0;
     double d_epsilon2_dV_ge_e=0.0;
     double d_epsilon2_dV_gi_di=0.0;
     double d_epsilon2_dV_ge_di=0.0;
     double d_epsilon2_dV_ge_si=0.0;
     double d_epsilon2_dV_gi_di1=0.0;
     double d_epsilon2_dV_gi_si1=0.0;
     double d_epsilon2_dV_d_di1=0.0;
     double d_epsilon2_dV_s_si1=0.0;
     double d_epsilon2_dV_gi_e=0.0;
     double d_epsilon2_dV_di_si=0.0;
     double d_epsilon2_dV_e_si=0.0;
     double d_epsilon2_dV_e_di=0.0;
     double d_epsilon2_dV_gi_si=0.0;
     double d_epsilon2_dTemp_t_GND=0.0;
  double epsilon=0.0;
     double d_epsilon_dV_di_si=0.0;
     double d_epsilon_dV_e_si=0.0;
     double d_epsilon_dV_e_di=0.0;
     double d_epsilon_dV_gi_si=0.0;
     double d_epsilon_dTemp_t_GND=0.0;
     double d_epsilon_dV_gi_e=0.0;
     double d_epsilon_dV_ge_e=0.0;
     double d_epsilon_dV_gi_di=0.0;
     double d_epsilon_dV_ge_di=0.0;
     double d_epsilon_dV_ge_si=0.0;
     double d_epsilon_dV_gi_di1=0.0;
     double d_epsilon_dV_gi_si1=0.0;
     double d_epsilon_dV_d_di1=0.0;
     double d_epsilon_dV_s_si1=0.0;
  double FNPowerAt1Hz=0.0;
  double Swi=0.0;
     double d_Swi_dV_ge_e=0.0;
     double d_Swi_dV_gi_di=0.0;
     double d_Swi_dV_ge_di=0.0;
     double d_Swi_dV_ge_si=0.0;
     double d_Swi_dV_d_di1=0.0;
     double d_Swi_dV_s_si1=0.0;
     double d_Swi_dV_gi_di1=0.0;
     double d_Swi_dV_gi_si1=0.0;
     double d_Swi_dV_gi_e=0.0;
     double d_Swi_dV_e_si=0.0;
     double d_Swi_dV_e_di=0.0;
     double d_Swi_dV_gi_si=0.0;
     double d_Swi_dV_di_si=0.0;
     double d_Swi_dTemp_t_GND=0.0;
  double Ssi=0.0;
     double d_Ssi_dV_gi_di=0.0;
     double d_Ssi_dV_ge_di=0.0;
     double d_Ssi_dV_ge_si=0.0;
     double d_Ssi_dV_gi_di1=0.0;
     double d_Ssi_dV_gi_si1=0.0;
     double d_Ssi_dV_gi_e=0.0;
     double d_Ssi_dV_e_si=0.0;
     double d_Ssi_dV_e_di=0.0;
     double d_Ssi_dV_gi_si=0.0;
     double d_Ssi_dV_di_si=0.0;
     double d_Ssi_dTemp_t_GND=0.0;
     double d_Ssi_dV_ge_e=0.0;
     double d_Ssi_dV_d_di1=0.0;
     double d_Ssi_dV_s_si1=0.0;
  double Nstar=0.0;
     double d_Nstar_dTemp_t_GND=0.0;
     double d_Nstar_dV_gi_e=0.0;
     double d_Nstar_dV_di_si=0.0;
     double d_Nstar_dV_e_si=0.0;
     double d_Nstar_dV_e_di=0.0;
     double d_Nstar_dV_gi_si=0.0;
  double Nl=0.0;
     double d_Nl_dV_gi_e=0.0;
     double d_Nl_dV_di_si=0.0;
     double d_Nl_dV_e_si=0.0;
     double d_Nl_dV_e_di=0.0;
     double d_Nl_dV_gi_si=0.0;
     double d_Nl_dTemp_t_GND=0.0;
  double N0=0.0;
     double d_N0_dV_gi_e=0.0;
     double d_N0_dV_di_si=0.0;
     double d_N0_dV_e_si=0.0;
     double d_N0_dV_e_di=0.0;
     double d_N0_dV_gi_si=0.0;
     double d_N0_dTemp_t_GND=0.0;
  double NOIAeff=0.0;
     double d_NOIAeff_dV_ge_e=0.0;
     double d_NOIAeff_dV_gi_di=0.0;
     double d_NOIAeff_dV_ge_di=0.0;
     double d_NOIAeff_dV_ge_si=0.0;
     double d_NOIAeff_dV_gi_di1=0.0;
     double d_NOIAeff_dV_gi_si1=0.0;
     double d_NOIAeff_dV_d_di1=0.0;
     double d_NOIAeff_dV_s_si1=0.0;
     double d_NOIAeff_dV_gi_e=0.0;
     double d_NOIAeff_dV_di_si=0.0;
     double d_NOIAeff_dV_e_si=0.0;
     double d_NOIAeff_dV_e_di=0.0;
     double d_NOIAeff_dV_gi_si=0.0;
     double d_NOIAeff_dTemp_t_GND=0.0;
  double DelClm=0.0;
     double d_DelClm_dV_ge_e=0.0;
     double d_DelClm_dV_gi_di=0.0;
     double d_DelClm_dV_ge_di=0.0;
     double d_DelClm_dV_ge_si=0.0;
     double d_DelClm_dV_gi_di1=0.0;
     double d_DelClm_dV_gi_si1=0.0;
     double d_DelClm_dV_gi_e=0.0;
     double d_DelClm_dV_e_si=0.0;
     double d_DelClm_dV_e_di=0.0;
     double d_DelClm_dV_gi_si=0.0;
     double d_DelClm_dV_di_si=0.0;
     double d_DelClm_dTemp_t_GND=0.0;
  double Leffnoisq=0.0;
  double Leffnoi=0.0;
  double Esatnoi=0.0;
     double d_Esatnoi_dTemp_t_GND=0.0;
     double d_Esatnoi_dV_di_si=0.0;
     double d_Esatnoi_dV_gi_e=0.0;
     double d_Esatnoi_dV_e_si=0.0;
     double d_Esatnoi_dV_e_di=0.0;
     double d_Esatnoi_dV_gi_si=0.0;
  double IdovVds=0.0;
     double d_IdovVds_dTemp_t_GND=0.0;
     double d_IdovVds_dV_di_si=0.0;
     double d_IdovVds_dV_e_si=0.0;
     double d_IdovVds_dV_e_di=0.0;
     double d_IdovVds_dV_gi_si=0.0;
     double d_IdovVds_dV_gi_e=0.0;
     double d_IdovVds_dV_gi_di1=0.0;
     double d_IdovVds_dV_gi_si1=0.0;
  double idsgen=0.0;
     double d_idsgen_dTemp_t_GND=0.0;
     double d_idsgen_dV_gi_di=0.0;
     double d_idsgen_dV_ge_di=0.0;
     double d_idsgen_dV_ge_si=0.0;
     double d_idsgen_dV_gi_di1=0.0;
     double d_idsgen_dV_gi_si1=0.0;
     double d_idsgen_dV_gi_e=0.0;
     double d_idsgen_dV_e_si=0.0;
     double d_idsgen_dV_e_di=0.0;
     double d_idsgen_dV_gi_si=0.0;
     double d_idsgen_dV_di_si=0.0;
  double vge_overlap=0.0;
     double d_vge_overlap_dV_ge_e=0.0;
     double d_vge_overlap_dV_gi_di=0.0;
     double d_vge_overlap_dV_ge_di=0.0;
     double d_vge_overlap_dV_ge_si=0.0;
     double d_vge_overlap_dV_gi_di1=0.0;
     double d_vge_overlap_dV_gi_si1=0.0;
     double d_vge_overlap_dV_gi_e=0.0;
     double d_vge_overlap_dV_e_si=0.0;
     double d_vge_overlap_dV_e_di=0.0;
     double d_vge_overlap_dV_gi_si=0.0;
     double d_vge_overlap_dV_di_si=0.0;
     double d_vge_overlap_dTemp_t_GND=0.0;
  double Qeg=0.0;
     double d_Qeg_dV_ge_e=0.0;
     double d_Qeg_dV_gi_di=0.0;
     double d_Qeg_dV_ge_di=0.0;
     double d_Qeg_dV_ge_si=0.0;
     double d_Qeg_dV_gi_di1=0.0;
     double d_Qeg_dV_gi_si1=0.0;
     double d_Qeg_dV_gi_e=0.0;
     double d_Qeg_dV_di_si=0.0;
     double d_Qeg_dV_e_si=0.0;
     double d_Qeg_dV_e_di=0.0;
     double d_Qeg_dV_gi_si=0.0;
     double d_Qeg_dTemp_t_GND=0.0;
     double d_Qeg_dV_e_ge=0.0;
  double Qed=0.0;
     double d_Qed_dV_d_di1=0.0;
     double d_Qed_dV_s_si1=0.0;
     double d_Qed_dTemp_t_GND=0.0;
     double d_Qed_dV_gi_di=0.0;
     double d_Qed_dV_ge_di=0.0;
     double d_Qed_dV_ge_si=0.0;
     double d_Qed_dV_gi_di1=0.0;
     double d_Qed_dV_gi_si1=0.0;
     double d_Qed_dV_gi_e=0.0;
     double d_Qed_dV_e_si=0.0;
     double d_Qed_dV_e_di=0.0;
     double d_Qed_dV_gi_si=0.0;
     double d_Qed_dV_di_si=0.0;
  double Qes=0.0;
     double d_Qes_dV_d_di1=0.0;
     double d_Qes_dV_s_si1=0.0;
     double d_Qes_dTemp_t_GND=0.0;
     double d_Qes_dV_gi_di=0.0;
     double d_Qes_dV_ge_di=0.0;
     double d_Qes_dV_ge_si=0.0;
     double d_Qes_dV_gi_di1=0.0;
     double d_Qes_dV_gi_si1=0.0;
     double d_Qes_dV_gi_e=0.0;
     double d_Qes_dV_e_si=0.0;
     double d_Qes_dV_e_di=0.0;
     double d_Qes_dV_gi_si=0.0;
     double d_Qes_dV_di_si=0.0;
  double Qedj3=0.0;
     double d_Qedj3_dV_d_di1=0.0;
     double d_Qedj3_dV_s_si1=0.0;
     double d_Qedj3_dTemp_t_GND=0.0;
     double d_Qedj3_dV_gi_di=0.0;
     double d_Qedj3_dV_ge_di=0.0;
     double d_Qedj3_dV_ge_si=0.0;
     double d_Qedj3_dV_gi_di1=0.0;
     double d_Qedj3_dV_gi_si1=0.0;
     double d_Qedj3_dV_gi_e=0.0;
     double d_Qedj3_dV_e_si=0.0;
     double d_Qedj3_dV_e_di=0.0;
     double d_Qedj3_dV_gi_si=0.0;
     double d_Qedj3_dV_di_si=0.0;
  double Qedj2=0.0;
     double d_Qedj2_dV_d_di1=0.0;
     double d_Qedj2_dV_s_si1=0.0;
     double d_Qedj2_dTemp_t_GND=0.0;
     double d_Qedj2_dV_gi_di=0.0;
     double d_Qedj2_dV_ge_di=0.0;
     double d_Qedj2_dV_ge_si=0.0;
     double d_Qedj2_dV_gi_di1=0.0;
     double d_Qedj2_dV_gi_si1=0.0;
     double d_Qedj2_dV_gi_e=0.0;
     double d_Qedj2_dV_e_si=0.0;
     double d_Qedj2_dV_e_di=0.0;
     double d_Qedj2_dV_gi_si=0.0;
     double d_Qedj2_dV_di_si=0.0;
  double Qedj1=0.0;
     double d_Qedj1_dV_d_di1=0.0;
     double d_Qedj1_dV_s_si1=0.0;
     double d_Qedj1_dTemp_t_GND=0.0;
     double d_Qedj1_dV_gi_di=0.0;
     double d_Qedj1_dV_ge_di=0.0;
     double d_Qedj1_dV_ge_si=0.0;
     double d_Qedj1_dV_gi_di1=0.0;
     double d_Qedj1_dV_gi_si1=0.0;
     double d_Qedj1_dV_gi_e=0.0;
     double d_Qedj1_dV_e_si=0.0;
     double d_Qedj1_dV_e_di=0.0;
     double d_Qedj1_dV_gi_si=0.0;
     double d_Qedj1_dV_di_si=0.0;
  double Qesj3=0.0;
     double d_Qesj3_dV_d_di1=0.0;
     double d_Qesj3_dV_s_si1=0.0;
     double d_Qesj3_dTemp_t_GND=0.0;
     double d_Qesj3_dV_gi_di=0.0;
     double d_Qesj3_dV_ge_di=0.0;
     double d_Qesj3_dV_ge_si=0.0;
     double d_Qesj3_dV_gi_di1=0.0;
     double d_Qesj3_dV_gi_si1=0.0;
     double d_Qesj3_dV_gi_e=0.0;
     double d_Qesj3_dV_e_si=0.0;
     double d_Qesj3_dV_e_di=0.0;
     double d_Qesj3_dV_gi_si=0.0;
     double d_Qesj3_dV_di_si=0.0;
  double Qesj2=0.0;
     double d_Qesj2_dV_d_di1=0.0;
     double d_Qesj2_dV_s_si1=0.0;
     double d_Qesj2_dTemp_t_GND=0.0;
     double d_Qesj2_dV_gi_di=0.0;
     double d_Qesj2_dV_ge_di=0.0;
     double d_Qesj2_dV_ge_si=0.0;
     double d_Qesj2_dV_gi_di1=0.0;
     double d_Qesj2_dV_gi_si1=0.0;
     double d_Qesj2_dV_gi_e=0.0;
     double d_Qesj2_dV_e_si=0.0;
     double d_Qesj2_dV_e_di=0.0;
     double d_Qesj2_dV_gi_si=0.0;
     double d_Qesj2_dV_di_si=0.0;
  double Qec=0.0;
     double d_Qec_dTemp_t_GND=0.0;
     double d_Qec_dV_gi_di=0.0;
     double d_Qec_dV_ge_di=0.0;
     double d_Qec_dV_ge_si=0.0;
     double d_Qec_dV_gi_di1=0.0;
     double d_Qec_dV_gi_si1=0.0;
     double d_Qec_dV_gi_e=0.0;
     double d_Qec_dV_e_si=0.0;
     double d_Qec_dV_e_di=0.0;
     double d_Qec_dV_gi_si=0.0;
     double d_Qec_dV_di_si=0.0;
  double arg=0.0;
     double d_arg_dV_gi_di=0.0;
     double d_arg_dV_ge_di=0.0;
     double d_arg_dV_ge_si=0.0;
     double d_arg_dV_gi_di1=0.0;
     double d_arg_dV_gi_si1=0.0;
     double d_arg_dV_gi_e=0.0;
     double d_arg_dV_e_si=0.0;
     double d_arg_dV_e_di=0.0;
     double d_arg_dV_gi_si=0.0;
     double d_arg_dV_di_si=0.0;
     double d_arg_dTemp_t_GND=0.0;
  double sarg=0.0;
     double d_sarg_dV_gi_di=0.0;
     double d_sarg_dV_ge_di=0.0;
     double d_sarg_dV_ge_si=0.0;
     double d_sarg_dV_gi_di1=0.0;
     double d_sarg_dV_gi_si1=0.0;
     double d_sarg_dV_gi_e=0.0;
     double d_sarg_dV_e_si=0.0;
     double d_sarg_dV_e_di=0.0;
     double d_sarg_dV_gi_si=0.0;
     double d_sarg_dV_di_si=0.0;
     double d_sarg_dTemp_t_GND=0.0;
  double Qesj1=0.0;
     double d_Qesj1_dV_d_di1=0.0;
     double d_Qesj1_dV_s_si1=0.0;
     double d_Qesj1_dTemp_t_GND=0.0;
     double d_Qesj1_dV_gi_di=0.0;
     double d_Qesj1_dV_ge_di=0.0;
     double d_Qesj1_dV_ge_si=0.0;
     double d_Qesj1_dV_gi_di1=0.0;
     double d_Qesj1_dV_gi_si1=0.0;
     double d_Qesj1_dV_gi_e=0.0;
     double d_Qesj1_dV_e_si=0.0;
     double d_Qesj1_dV_e_di=0.0;
     double d_Qesj1_dV_gi_si=0.0;
     double d_Qesj1_dV_di_si=0.0;
  double T4a=0.0;
     double d_T4a_dV_gi_di=0.0;
     double d_T4a_dV_ge_di=0.0;
     double d_T4a_dV_ge_si=0.0;
     double d_T4a_dV_gi_di1=0.0;
     double d_T4a_dV_gi_si1=0.0;
     double d_T4a_dV_gi_e=0.0;
     double d_T4a_dV_e_si=0.0;
     double d_T4a_dV_e_di=0.0;
     double d_T4a_dV_gi_si=0.0;
     double d_T4a_dV_di_si=0.0;
     double d_T4a_dTemp_t_GND=0.0;
  double T1_exp=0.0;
     double d_T1_exp_dV_ge_di=0.0;
     double d_T1_exp_dV_ge_si=0.0;
     double d_T1_exp_dV_gi_di1=0.0;
     double d_T1_exp_dV_gi_si1=0.0;
     double d_T1_exp_dV_gi_e=0.0;
     double d_T1_exp_dV_e_si=0.0;
     double d_T1_exp_dV_e_di=0.0;
     double d_T1_exp_dV_gi_si=0.0;
     double d_T1_exp_dV_di_si=0.0;
     double d_T1_exp_dTemp_t_GND=0.0;
  double Vdseffx=0.0;
     double d_Vdseffx_dV_di_si=0.0;
     double d_Vdseffx_dV_e_si=0.0;
     double d_Vdseffx_dV_e_di=0.0;
     double d_Vdseffx_dV_gi_si=0.0;
     double d_Vdseffx_dTemp_t_GND=0.0;
  double igc0=0.0;
     double d_igc0_dV_ge_di=0.0;
     double d_igc0_dV_ge_si=0.0;
     double d_igc0_dV_gi_di1=0.0;
     double d_igc0_dV_gi_si1=0.0;
     double d_igc0_dV_gi_e=0.0;
     double d_igc0_dV_e_si=0.0;
     double d_igc0_dV_e_di=0.0;
     double d_igc0_dV_gi_si=0.0;
     double d_igc0_dV_di_si=0.0;
     double d_igc0_dTemp_t_GND=0.0;
     double d_igc0_dV_d_di1=0.0;
     double d_igc0_dV_s_si1=0.0;
  double Voxacc=0.0;
     double d_Voxacc_dV_ge_di=0.0;
     double d_Voxacc_dV_ge_si=0.0;
     double d_Voxacc_dV_gi_di1=0.0;
     double d_Voxacc_dV_gi_si1=0.0;
     double d_Voxacc_dTemp_t_GND=0.0;
     double d_Voxacc_dV_di_si=0.0;
     double d_Voxacc_dV_gi_e=0.0;
     double d_Voxacc_dV_e_si=0.0;
     double d_Voxacc_dV_e_di=0.0;
     double d_Voxacc_dV_gi_si=0.0;
  double Vaux_Igbacc=0.0;
     double d_Vaux_Igbacc_dTemp_t_GND=0.0;
     double d_Vaux_Igbacc_dV_ge_di=0.0;
     double d_Vaux_Igbacc_dV_ge_si=0.0;
     double d_Vaux_Igbacc_dV_gi_di1=0.0;
     double d_Vaux_Igbacc_dV_gi_si1=0.0;
     double d_Vaux_Igbacc_dV_gi_e=0.0;
     double d_Vaux_Igbacc_dV_e_si=0.0;
     double d_Vaux_Igbacc_dV_e_di=0.0;
     double d_Vaux_Igbacc_dV_gi_si=0.0;
     double d_Vaux_Igbacc_dV_di_si=0.0;
  double vfbzb=0.0;
     double d_vfbzb_dTemp_t_GND=0.0;
  double Vaux_Igbinv=0.0;
     double d_Vaux_Igbinv_dTemp_t_GND=0.0;
     double d_Vaux_Igbinv_dV_ge_di=0.0;
     double d_Vaux_Igbinv_dV_ge_si=0.0;
     double d_Vaux_Igbinv_dV_gi_di1=0.0;
     double d_Vaux_Igbinv_dV_gi_si1=0.0;
     double d_Vaux_Igbinv_dV_gi_e=0.0;
     double d_Vaux_Igbinv_dV_e_si=0.0;
     double d_Vaux_Igbinv_dV_e_di=0.0;
     double d_Vaux_Igbinv_dV_gi_si=0.0;
     double d_Vaux_Igbinv_dV_di_si=0.0;
  double ALPHAII=0.0;
     double d_ALPHAII_dTemp_t_GND=0.0;
  double VgsStep=0.0;
     double d_VgsStep_dV_ge_di=0.0;
     double d_VgsStep_dV_ge_si=0.0;
     double d_VgsStep_dV_gi_di1=0.0;
     double d_VgsStep_dV_gi_si1=0.0;
     double d_VgsStep_dV_gi_e=0.0;
     double d_VgsStep_dV_e_si=0.0;
     double d_VgsStep_dV_e_di=0.0;
     double d_VgsStep_dV_gi_si=0.0;
     double d_VgsStep_dV_di_si=0.0;
     double d_VgsStep_dTemp_t_GND=0.0;
  double Vdsatii=0.0;
     double d_Vdsatii_dV_ge_di=0.0;
     double d_Vdsatii_dV_ge_si=0.0;
     double d_Vdsatii_dV_gi_di1=0.0;
     double d_Vdsatii_dV_gi_si1=0.0;
     double d_Vdsatii_dV_gi_e=0.0;
     double d_Vdsatii_dV_e_si=0.0;
     double d_Vdsatii_dV_e_di=0.0;
     double d_Vdsatii_dV_gi_si=0.0;
     double d_Vdsatii_dV_di_si=0.0;
     double d_Vdsatii_dTemp_t_GND=0.0;
  double Vdiff=0.0;
     double d_Vdiff_dV_di_si=0.0;
     double d_Vdiff_dV_ge_di=0.0;
     double d_Vdiff_dV_ge_si=0.0;
     double d_Vdiff_dV_gi_di1=0.0;
     double d_Vdiff_dV_gi_si1=0.0;
     double d_Vdiff_dV_gi_e=0.0;
     double d_Vdiff_dV_e_si=0.0;
     double d_Vdiff_dV_e_di=0.0;
     double d_Vdiff_dV_gi_si=0.0;
     double d_Vdiff_dTemp_t_GND=0.0;
  double Ratio=0.0;
     double d_Ratio_dTemp_t_GND=0.0;
     double d_Ratio_dV_di_si=0.0;
     double d_Ratio_dV_ge_di=0.0;
     double d_Ratio_dV_ge_si=0.0;
     double d_Ratio_dV_gi_di1=0.0;
     double d_Ratio_dV_gi_si1=0.0;
     double d_Ratio_dV_gi_e=0.0;
     double d_Ratio_dV_e_si=0.0;
     double d_Ratio_dV_e_di=0.0;
     double d_Ratio_dV_gi_si=0.0;
  double qds_fr=0.0;
     double d_qds_fr_dV_d_s=0.0;
  double qgd_parasitic=0.0;
     double d_qgd_parasitic_dV_ge_d=0.0;
     double d_qgd_parasitic_dV_gi_di1=0.0;
     double d_qgd_parasitic_dV_gi_si1=0.0;
     double d_qgd_parasitic_dV_gi_e=0.0;
     double d_qgd_parasitic_dV_e_si=0.0;
     double d_qgd_parasitic_dV_e_di=0.0;
     double d_qgd_parasitic_dV_gi_si=0.0;
     double d_qgd_parasitic_dV_di_si=0.0;
     double d_qgd_parasitic_dTemp_t_GND=0.0;
     double d_qgd_parasitic_dV_ge_di=0.0;
     double d_qgd_parasitic_dV_ge_si=0.0;
  double qgs_parasitic=0.0;
     double d_qgs_parasitic_dV_ge_s=0.0;
     double d_qgs_parasitic_dV_ge_di=0.0;
     double d_qgs_parasitic_dV_gi_di1=0.0;
     double d_qgs_parasitic_dV_gi_si1=0.0;
     double d_qgs_parasitic_dV_gi_e=0.0;
     double d_qgs_parasitic_dV_e_si=0.0;
     double d_qgs_parasitic_dV_e_di=0.0;
     double d_qgs_parasitic_dV_gi_si=0.0;
     double d_qgs_parasitic_dV_di_si=0.0;
     double d_qgs_parasitic_dTemp_t_GND=0.0;
     double d_qgs_parasitic_dV_ge_si=0.0;
  double qgd_fr=0.0;
     double d_qgd_fr_dV_ge_si=0.0;
     double d_qgd_fr_dV_ge_d=0.0;
     double d_qgd_fr_dV_gi_di1=0.0;
     double d_qgd_fr_dV_gi_si1=0.0;
     double d_qgd_fr_dV_gi_e=0.0;
     double d_qgd_fr_dV_e_si=0.0;
     double d_qgd_fr_dV_e_di=0.0;
     double d_qgd_fr_dV_gi_si=0.0;
     double d_qgd_fr_dV_di_si=0.0;
     double d_qgd_fr_dTemp_t_GND=0.0;
     double d_qgd_fr_dV_ge_di=0.0;
  double qgs_fr=0.0;
     double d_qgs_fr_dV_ge_di=0.0;
     double d_qgs_fr_dV_ge_s=0.0;
     double d_qgs_fr_dV_gi_di1=0.0;
     double d_qgs_fr_dV_gi_si1=0.0;
     double d_qgs_fr_dV_gi_e=0.0;
     double d_qgs_fr_dV_e_si=0.0;
     double d_qgs_fr_dV_e_di=0.0;
     double d_qgs_fr_dV_gi_si=0.0;
     double d_qgs_fr_dV_di_si=0.0;
     double d_qgs_fr_dTemp_t_GND=0.0;
     double d_qgs_fr_dV_ge_si=0.0;
  double cgsp=0.0;
     double d_cgsp_dV_ge_di=0.0;
     double d_cgsp_dV_ge_si=0.0;
     double d_cgsp_dV_gi_di1=0.0;
     double d_cgsp_dV_gi_si1=0.0;
     double d_cgsp_dV_gi_e=0.0;
     double d_cgsp_dV_e_si=0.0;
     double d_cgsp_dV_e_di=0.0;
     double d_cgsp_dV_gi_si=0.0;
     double d_cgsp_dV_di_si=0.0;
     double d_cgsp_dTemp_t_GND=0.0;
  double cgdp=0.0;
     double d_cgdp_dV_ge_di=0.0;
     double d_cgdp_dV_ge_si=0.0;
     double d_cgdp_dV_gi_di1=0.0;
     double d_cgdp_dV_gi_si1=0.0;
     double d_cgdp_dV_gi_e=0.0;
     double d_cgdp_dV_e_si=0.0;
     double d_cgdp_dV_e_di=0.0;
     double d_cgdp_dV_gi_si=0.0;
     double d_cgdp_dV_di_si=0.0;
     double d_cgdp_dTemp_t_GND=0.0;
  double vgd_overlap=0.0;
     double d_vgd_overlap_dV_ge_di=0.0;
     double d_vgd_overlap_dV_ge_si=0.0;
     double d_vgd_overlap_dV_gi_di1=0.0;
     double d_vgd_overlap_dV_gi_si1=0.0;
     double d_vgd_overlap_dV_gi_e=0.0;
     double d_vgd_overlap_dV_e_si=0.0;
     double d_vgd_overlap_dV_e_di=0.0;
     double d_vgd_overlap_dV_gi_si=0.0;
     double d_vgd_overlap_dV_di_si=0.0;
     double d_vgd_overlap_dTemp_t_GND=0.0;
  double vgs_overlap=0.0;
     double d_vgs_overlap_dV_ge_si=0.0;
     double d_vgs_overlap_dV_gi_di1=0.0;
     double d_vgs_overlap_dV_gi_si1=0.0;
     double d_vgs_overlap_dV_gi_e=0.0;
     double d_vgs_overlap_dV_e_si=0.0;
     double d_vgs_overlap_dV_e_di=0.0;
     double d_vgs_overlap_dV_gi_si=0.0;
     double d_vgs_overlap_dV_di_si=0.0;
     double d_vgs_overlap_dTemp_t_GND=0.0;
  double qinv=0.0;
     double d_qinv_dV_di_si=0.0;
     double d_qinv_dV_e_si=0.0;
     double d_qinv_dV_e_di=0.0;
     double d_qinv_dV_gi_si=0.0;
     double d_qinv_dTemp_t_GND=0.0;
     double d_qinv_dV_gi_e=0.0;
  double qs=0.0;
     double d_qs_dV_gi_di1=0.0;
     double d_qs_dV_gi_si1=0.0;
     double d_qs_dV_di_si=0.0;
     double d_qs_dV_e_si=0.0;
     double d_qs_dV_e_di=0.0;
     double d_qs_dV_gi_si=0.0;
     double d_qs_dTemp_t_GND=0.0;
     double d_qs_dV_gi_e=0.0;
  double xdpart=0.0;
     double d_xdpart_dV_di_si=0.0;
     double d_xdpart_dV_e_si=0.0;
     double d_xdpart_dV_e_di=0.0;
     double d_xdpart_dV_gi_si=0.0;
     double d_xdpart_dTemp_t_GND=0.0;
     double d_xdpart_dV_gi_e=0.0;
  double inv_MclmCV=0.0;
     double d_inv_MclmCV_dV_di_si=0.0;
     double d_inv_MclmCV_dV_e_si=0.0;
     double d_inv_MclmCV_dV_e_di=0.0;
     double d_inv_MclmCV_dV_gi_si=0.0;
     double d_inv_MclmCV_dTemp_t_GND=0.0;
     double d_inv_MclmCV_dV_gi_e=0.0;
  double qd=0.0;
     double d_qd_dV_di_si=0.0;
     double d_qd_dV_e_si=0.0;
     double d_qd_dV_e_di=0.0;
     double d_qd_dV_gi_si=0.0;
     double d_qd_dTemp_t_GND=0.0;
     double d_qd_dV_gi_e=0.0;
  double qg=0.0;
     double d_qg_dV_di_si=0.0;
     double d_qg_dV_e_si=0.0;
     double d_qg_dV_e_di=0.0;
     double d_qg_dV_gi_si=0.0;
     double d_qg_dTemp_t_GND=0.0;
     double d_qg_dV_gi_e=0.0;
  double ids=0.0;
     double d_ids_dTemp_t_GND=0.0;
     double d_ids_dV_di_si=0.0;
     double d_ids_dV_e_si=0.0;
     double d_ids_dV_e_di=0.0;
     double d_ids_dV_gi_si=0.0;
     double d_ids_dV_gi_e=0.0;
     double d_ids_dV_gi_di1=0.0;
     double d_ids_dV_gi_si1=0.0;
  double vgs_eff=0.0;
     double d_vgs_eff_dV_ge_di=0.0;
     double d_vgs_eff_dV_ge_si=0.0;
     double d_vgs_eff_dV_gi_di1=0.0;
     double d_vgs_eff_dV_gi_si1=0.0;
     double d_vgs_eff_dV_gi_e=0.0;
     double d_vgs_eff_dV_gi_si=0.0;
     double d_vgs_eff_dV_e_si=0.0;
     double d_vgs_eff_dV_e_di=0.0;
     double d_vgs_eff_dV_di_si=0.0;
     double d_vgs_eff_dTemp_t_GND=0.0;
  double vgd_eff=0.0;
     double d_vgd_eff_dV_gi_di=0.0;
     double d_vgd_eff_dV_ge_di=0.0;
     double d_vgd_eff_dV_ge_si=0.0;
     double d_vgd_eff_dV_gi_di1=0.0;
     double d_vgd_eff_dV_gi_si1=0.0;
     double d_vgd_eff_dV_gi_e=0.0;
     double d_vgd_eff_dV_gi_si=0.0;
     double d_vgd_eff_dV_e_si=0.0;
     double d_vgd_eff_dV_e_di=0.0;
     double d_vgd_eff_dV_di_si=0.0;
     double d_vgd_eff_dTemp_t_GND=0.0;
  double ids0=0.0;
     double d_ids0_dV_di_si=0.0;
     double d_ids0_dV_e_si=0.0;
     double d_ids0_dV_e_di=0.0;
     double d_ids0_dV_gi_si=0.0;
     double d_ids0_dTemp_t_GND=0.0;
  double ids0_ov_dqi=0.0;
     double d_ids0_ov_dqi_dV_di_si=0.0;
     double d_ids0_ov_dqi_dV_e_si=0.0;
     double d_ids0_ov_dqi_dV_e_di=0.0;
     double d_ids0_ov_dqi_dV_gi_si=0.0;
     double d_ids0_ov_dqi_dTemp_t_GND=0.0;
  double etaiv=0.0;
     double d_etaiv_dTemp_t_GND=0.0;
     double d_etaiv_dV_di_si=0.0;
     double d_etaiv_dV_e_si=0.0;
     double d_etaiv_dV_e_di=0.0;
     double d_etaiv_dV_gi_si=0.0;
  double qb=0.0;
  double MclmCV=0.0;
     double d_MclmCV_dV_di_si=0.0;
     double d_MclmCV_dV_e_si=0.0;
     double d_MclmCV_dV_e_di=0.0;
     double d_MclmCV_dV_gi_si=0.0;
     double d_MclmCV_dTemp_t_GND=0.0;
     double d_MclmCV_dV_gi_e=0.0;
  double DvsatCV=0.0;
     double d_DvsatCV_dV_gi_e=0.0;
     double d_DvsatCV_dV_e_si=0.0;
     double d_DvsatCV_dV_e_di=0.0;
     double d_DvsatCV_dV_gi_si=0.0;
     double d_DvsatCV_dV_di_si=0.0;
     double d_DvsatCV_dTemp_t_GND=0.0;
  double EsatCVL=0.0;
     double d_EsatCVL_dTemp_t_GND=0.0;
     double d_EsatCVL_dV_gi_e=0.0;
     double d_EsatCVL_dV_di_si=0.0;
     double d_EsatCVL_dV_e_si=0.0;
     double d_EsatCVL_dV_e_di=0.0;
     double d_EsatCVL_dV_gi_si=0.0;
  double EsatCV=0.0;
     double d_EsatCV_dTemp_t_GND=0.0;
     double d_EsatCV_dV_gi_e=0.0;
     double d_EsatCV_dV_di_si=0.0;
     double d_EsatCV_dV_e_si=0.0;
     double d_EsatCV_dV_e_di=0.0;
     double d_EsatCV_dV_gi_si=0.0;
  double Mob=0.0;
     double d_Mob_dV_gi_e=0.0;
     double d_Mob_dV_e_si=0.0;
     double d_Mob_dV_e_di=0.0;
     double d_Mob_dV_gi_si=0.0;
     double d_Mob_dV_di_si=0.0;
     double d_Mob_dTemp_t_GND=0.0;
  double Mnud=0.0;
     double d_Mnud_dV_gi_e=0.0;
     double d_Mnud_dV_e_si=0.0;
     double d_Mnud_dV_e_di=0.0;
     double d_Mnud_dV_gi_si=0.0;
     double d_Mnud_dV_di_si=0.0;
     double d_Mnud_dTemp_t_GND=0.0;
  double Nsat=0.0;
     double d_Nsat_dV_gi_e=0.0;
     double d_Nsat_dV_di_si=0.0;
     double d_Nsat_dV_e_si=0.0;
     double d_Nsat_dV_e_di=0.0;
     double d_Nsat_dV_gi_si=0.0;
     double d_Nsat_dTemp_t_GND=0.0;
  double Dvsat=0.0;
     double d_Dvsat_dV_gi_e=0.0;
     double d_Dvsat_dV_e_si=0.0;
     double d_Dvsat_dV_e_di=0.0;
     double d_Dvsat_dV_gi_si=0.0;
     double d_Dvsat_dV_di_si=0.0;
     double d_Dvsat_dTemp_t_GND=0.0;
  double Esat1L=0.0;
     double d_Esat1L_dTemp_t_GND=0.0;
     double d_Esat1L_dV_di_si=0.0;
     double d_Esat1L_dV_gi_e=0.0;
     double d_Esat1L_dV_e_si=0.0;
     double d_Esat1L_dV_e_di=0.0;
     double d_Esat1L_dV_gi_si=0.0;
  double Esat1=0.0;
     double d_Esat1_dTemp_t_GND=0.0;
     double d_Esat1_dV_di_si=0.0;
     double d_Esat1_dV_gi_e=0.0;
     double d_Esat1_dV_e_si=0.0;
     double d_Esat1_dV_e_di=0.0;
     double d_Esat1_dV_gi_si=0.0;
  double Mclm=0.0;
     double d_Mclm_dV_gi_e=0.0;
     double d_Mclm_dV_e_si=0.0;
     double d_Mclm_dV_e_di=0.0;
     double d_Mclm_dV_gi_si=0.0;
     double d_Mclm_dV_di_si=0.0;
     double d_Mclm_dTemp_t_GND=0.0;
  double Moc=0.0;
     double d_Moc_dV_di_si=0.0;
     double d_Moc_dV_e_si=0.0;
     double d_Moc_dV_e_di=0.0;
     double d_Moc_dV_gi_si=0.0;
     double d_Moc_dTemp_t_GND=0.0;
     double d_Moc_dV_gi_e=0.0;
  double VaDIBL=0.0;
     double d_VaDIBL_dV_gi_e=0.0;
     double d_VaDIBL_dV_e_si=0.0;
     double d_VaDIBL_dV_e_di=0.0;
     double d_VaDIBL_dV_gi_si=0.0;
     double d_VaDIBL_dV_di_si=0.0;
     double d_VaDIBL_dTemp_t_GND=0.0;
  double Vgst2Vtm=0.0;
     double d_Vgst2Vtm_dV_di_si=0.0;
     double d_Vgst2Vtm_dV_e_si=0.0;
     double d_Vgst2Vtm_dV_e_di=0.0;
     double d_Vgst2Vtm_dV_gi_si=0.0;
     double d_Vgst2Vtm_dTemp_t_GND=0.0;
  double diffVds=0.0;
     double d_diffVds_dV_di_si=0.0;
     double d_diffVds_dV_e_si=0.0;
     double d_diffVds_dV_e_di=0.0;
     double d_diffVds_dV_gi_si=0.0;
     double d_diffVds_dTemp_t_GND=0.0;
  double PVAGfactor=0.0;
     double d_PVAGfactor_dV_di_si=0.0;
     double d_PVAGfactor_dV_e_si=0.0;
     double d_PVAGfactor_dV_e_di=0.0;
     double d_PVAGfactor_dV_gi_si=0.0;
     double d_PVAGfactor_dTemp_t_GND=0.0;
  double DIBLfactor=0.0;
     double d_DIBLfactor_dV_di_si=0.0;
     double d_DIBLfactor_dTemp_t_GND=0.0;
  double Dmob_cv=0.0;
     double d_Dmob_cv_dV_gi_e=0.0;
     double d_Dmob_cv_dV_di_si=0.0;
     double d_Dmob_cv_dV_e_si=0.0;
     double d_Dmob_cv_dV_e_di=0.0;
     double d_Dmob_cv_dV_gi_si=0.0;
     double d_Dmob_cv_dTemp_t_GND=0.0;
  double Eeffm_cv=0.0;
     double d_Eeffm_cv_dV_di_si=0.0;
     double d_Eeffm_cv_dV_e_si=0.0;
     double d_Eeffm_cv_dV_e_di=0.0;
     double d_Eeffm_cv_dV_gi_si=0.0;
     double d_Eeffm_cv_dTemp_t_GND=0.0;
  double ueff=0.0;
     double d_ueff_dTemp_t_GND=0.0;
     double d_ueff_dV_di_si=0.0;
     double d_ueff_dV_gi_e=0.0;
     double d_ueff_dV_e_si=0.0;
     double d_ueff_dV_e_di=0.0;
     double d_ueff_dV_gi_si=0.0;
  double Dmob=0.0;
     double d_Dmob_dV_gi_e=0.0;
     double d_Dmob_dV_di_si=0.0;
     double d_Dmob_dV_e_si=0.0;
     double d_Dmob_dV_e_di=0.0;
     double d_Dmob_dV_gi_si=0.0;
     double d_Dmob_dTemp_t_GND=0.0;
  double Eeffm=0.0;
     double d_Eeffm_dTemp_t_GND=0.0;
     double d_Eeffm_dV_di_si=0.0;
     double d_Eeffm_dV_e_si=0.0;
     double d_Eeffm_dV_e_di=0.0;
     double d_Eeffm_dV_gi_si=0.0;
  double beta=0.0;
     double d_beta_dTemp_t_GND=0.0;
     double d_beta_dV_di_si=0.0;
  double coxeff=0.0;
     double d_coxeff_dV_gi_e=0.0;
     double d_coxeff_dV_di_si=0.0;
     double d_coxeff_dV_e_si=0.0;
     double d_coxeff_dV_e_di=0.0;
     double d_coxeff_dV_gi_si=0.0;
     double d_coxeff_dTemp_t_GND=0.0;
  double Tcen=0.0;
     double d_Tcen_dV_gi_e=0.0;
     double d_Tcen_dV_di_si=0.0;
     double d_Tcen_dV_e_si=0.0;
     double d_Tcen_dV_e_di=0.0;
     double d_Tcen_dV_gi_si=0.0;
     double d_Tcen_dTemp_t_GND=0.0;
  double qia2=0.0;
     double d_qia2_dV_di_si=0.0;
     double d_qia2_dV_e_si=0.0;
     double d_qia2_dV_e_di=0.0;
     double d_qia2_dV_gi_si=0.0;
     double d_qia2_dTemp_t_GND=0.0;
  double dqi=0.0;
     double d_dqi_dV_di_si=0.0;
     double d_dqi_dV_e_si=0.0;
     double d_dqi_dV_e_di=0.0;
     double d_dqi_dV_gi_si=0.0;
     double d_dqi_dTemp_t_GND=0.0;
  double qia=0.0;
     double d_qia_dV_di_si=0.0;
     double d_qia_dV_e_si=0.0;
     double d_qia_dV_e_di=0.0;
     double d_qia_dV_gi_si=0.0;
     double d_qia_dTemp_t_GND=0.0;
  double sqrtpsip=0.0;
     double d_sqrtpsip_dV_gi_e=0.0;
     double d_sqrtpsip_dV_di_si=0.0;
     double d_sqrtpsip_dV_e_si=0.0;
     double d_sqrtpsip_dV_e_di=0.0;
     double d_sqrtpsip_dV_gi_si=0.0;
     double d_sqrtpsip_dTemp_t_GND=0.0;
  double psipclamp=0.0;
     double d_psipclamp_dV_gi_e=0.0;
     double d_psipclamp_dV_di_si=0.0;
     double d_psipclamp_dV_e_si=0.0;
     double d_psipclamp_dV_e_di=0.0;
     double d_psipclamp_dV_gi_si=0.0;
     double d_psipclamp_dTemp_t_GND=0.0;
  double T12=0.0;
     double d_T12_dV_gi_e=0.0;
     double d_T12_dV_e_si=0.0;
     double d_T12_dV_e_di=0.0;
     double d_T12_dV_gi_si=0.0;
     double d_T12_dV_di_si=0.0;
     double d_T12_dTemp_t_GND=0.0;
  double T12a=0.0;
     double d_T12a_dV_gi_e=0.0;
     double d_T12a_dV_di_si=0.0;
     double d_T12a_dV_e_si=0.0;
     double d_T12a_dV_e_di=0.0;
     double d_T12a_dV_gi_si=0.0;
     double d_T12a_dTemp_t_GND=0.0;
  double T10=0.0;
     double d_T10_dV_ge_e=0.0;
     double d_T10_dV_gi_di=0.0;
     double d_T10_dV_ge_di=0.0;
     double d_T10_dV_ge_si=0.0;
     double d_T10_dV_d_di1=0.0;
     double d_T10_dV_s_si1=0.0;
     double d_T10_dV_gi_di1=0.0;
     double d_T10_dV_gi_si1=0.0;
     double d_T10_dV_gi_e=0.0;
     double d_T10_dV_e_si=0.0;
     double d_T10_dV_e_di=0.0;
     double d_T10_dV_gi_si=0.0;
     double d_T10_dV_di_si=0.0;
     double d_T10_dTemp_t_GND=0.0;
  double T11=0.0;
     double d_T11_dV_gi_e=0.0;
     double d_T11_dV_e_si=0.0;
     double d_T11_dV_e_di=0.0;
     double d_T11_dV_gi_si=0.0;
     double d_T11_dV_di_si=0.0;
     double d_T11_dTemp_t_GND=0.0;
  double T9=0.0;
     double d_T9_dV_gi_e=0.0;
     double d_T9_dV_e_si=0.0;
     double d_T9_dV_e_di=0.0;
     double d_T9_dV_gi_si=0.0;
     double d_T9_dTemp_t_GND=0.0;
     double d_T9_dV_di_si=0.0;
  double qia2_cv=0.0;
     double d_qia2_cv_dV_di_si=0.0;
     double d_qia2_cv_dV_e_si=0.0;
     double d_qia2_cv_dV_e_di=0.0;
     double d_qia2_cv_dV_gi_si=0.0;
     double d_qia2_cv_dTemp_t_GND=0.0;
  double dqi_cv=0.0;
     double d_dqi_cv_dV_di_si=0.0;
     double d_dqi_cv_dV_e_si=0.0;
     double d_dqi_cv_dV_e_di=0.0;
     double d_dqi_cv_dV_gi_si=0.0;
     double d_dqi_cv_dTemp_t_GND=0.0;
  double qia_cv=0.0;
     double d_qia_cv_dV_di_si=0.0;
     double d_qia_cv_dV_e_si=0.0;
     double d_qia_cv_dV_e_di=0.0;
     double d_qia_cv_dV_gi_si=0.0;
     double d_qia_cv_dTemp_t_GND=0.0;
  double qid_cv=0.0;
     double d_qid_cv_dV_di_si=0.0;
     double d_qid_cv_dV_e_si=0.0;
     double d_qid_cv_dV_e_di=0.0;
     double d_qid_cv_dV_gi_si=0.0;
     double d_qid_cv_dTemp_t_GND=0.0;
  double Vdseff_cv=0.0;
     double d_Vdseff_cv_dV_di_si=0.0;
     double d_Vdseff_cv_dV_e_si=0.0;
     double d_Vdseff_cv_dV_e_di=0.0;
     double d_Vdseff_cv_dV_gi_si=0.0;
     double d_Vdseff_cv_dTemp_t_GND=0.0;
  double Vdsat_cv=0.0;
     double d_Vdsat_cv_dV_di_si=0.0;
     double d_Vdsat_cv_dV_e_si=0.0;
     double d_Vdsat_cv_dV_e_di=0.0;
     double d_Vdsat_cv_dV_gi_si=0.0;
     double d_Vdsat_cv_dTemp_t_GND=0.0;
  double EsatLs_cv=0.0;
     double d_EsatLs_cv_dTemp_t_GND=0.0;
     double d_EsatLs_cv_dV_di_si=0.0;
     double d_EsatLs_cv_dV_e_si=0.0;
     double d_EsatLs_cv_dV_e_di=0.0;
     double d_EsatLs_cv_dV_gi_si=0.0;
  double Esats_cv=0.0;
     double d_Esats_cv_dTemp_t_GND=0.0;
     double d_Esats_cv_dV_di_si=0.0;
     double d_Esats_cv_dV_e_si=0.0;
     double d_Esats_cv_dV_e_di=0.0;
     double d_Esats_cv_dV_gi_si=0.0;
  double Rdss_cv=0.0;
     double d_Rdss_cv_dV_e_si=0.0;
     double d_Rdss_cv_dV_e_di=0.0;
     double d_Rdss_cv_dV_gi_si=0.0;
     double d_Rdss_cv_dV_di_si=0.0;
     double d_Rdss_cv_dTemp_t_GND=0.0;
  double Dmobs_cv=0.0;
     double d_Dmobs_cv_dV_di_si=0.0;
     double d_Dmobs_cv_dV_e_si=0.0;
     double d_Dmobs_cv_dV_e_di=0.0;
     double d_Dmobs_cv_dV_gi_si=0.0;
     double d_Dmobs_cv_dTemp_t_GND=0.0;
  double Eeffs_cv=0.0;
     double d_Eeffs_cv_dTemp_t_GND=0.0;
     double d_Eeffs_cv_dV_di_si=0.0;
     double d_Eeffs_cv_dV_e_si=0.0;
     double d_Eeffs_cv_dV_e_di=0.0;
     double d_Eeffs_cv_dV_gi_si=0.0;
  double qis_cv=0.0;
     double d_qis_cv_dV_di_si=0.0;
     double d_qis_cv_dV_e_si=0.0;
     double d_qis_cv_dV_e_di=0.0;
     double d_qis_cv_dV_gi_si=0.0;
     double d_qis_cv_dTemp_t_GND=0.0;
  double vch_cv=0.0;
     double d_vch_cv_dV_di_si=0.0;
     double d_vch_cv_dV_e_si=0.0;
     double d_vch_cv_dV_e_di=0.0;
     double d_vch_cv_dV_gi_si=0.0;
     double d_vch_cv_dTemp_t_GND=0.0;
  double vgsfbeff_cv=0.0;
     double d_vgsfbeff_cv_dV_e_si=0.0;
     double d_vgsfbeff_cv_dV_e_di=0.0;
     double d_vgsfbeff_cv_dV_gi_si=0.0;
     double d_vgsfbeff_cv_dV_di_si=0.0;
     double d_vgsfbeff_cv_dTemp_t_GND=0.0;
  double beta0_cv=0.0;
     double d_beta0_cv_dTemp_t_GND=0.0;
  double vgsfb_cv=0.0;
     double d_vgsfb_cv_dV_gi_si=0.0;
     double d_vgsfb_cv_dV_di_si=0.0;
     double d_vgsfb_cv_dTemp_t_GND=0.0;
  double dvth_all_cv=0.0;
     double d_dvth_all_cv_dTemp_t_GND=0.0;
     double d_dvth_all_cv_dV_di_si=0.0;
  double dvth_dibl_cv=0.0;
     double d_dvth_dibl_cv_dTemp_t_GND=0.0;
     double d_dvth_dibl_cv_dV_di_si=0.0;
  double qid=0.0;
     double d_qid_dV_di_si=0.0;
     double d_qid_dV_e_si=0.0;
     double d_qid_dV_e_di=0.0;
     double d_qid_dV_gi_si=0.0;
     double d_qid_dTemp_t_GND=0.0;
  double Vdseff=0.0;
     double d_Vdseff_dV_di_si=0.0;
     double d_Vdseff_dV_e_si=0.0;
     double d_Vdseff_dV_e_di=0.0;
     double d_Vdseff_dV_gi_si=0.0;
     double d_Vdseff_dTemp_t_GND=0.0;
  double Vdsat=0.0;
     double d_Vdsat_dV_di_si=0.0;
     double d_Vdsat_dV_e_si=0.0;
     double d_Vdsat_dV_e_di=0.0;
     double d_Vdsat_dV_gi_si=0.0;
     double d_Vdsat_dTemp_t_GND=0.0;
  double Tc=0.0;
     double d_Tc_dV_di_si=0.0;
     double d_Tc_dV_e_si=0.0;
     double d_Tc_dV_e_di=0.0;
     double d_Tc_dV_gi_si=0.0;
     double d_Tc_dTemp_t_GND=0.0;
  double Ta=0.0;
     double d_Ta_dV_gi_e=0.0;
     double d_Ta_dV_e_si=0.0;
     double d_Ta_dV_e_di=0.0;
     double d_Ta_dV_gi_si=0.0;
     double d_Ta_dV_di_si=0.0;
     double d_Ta_dTemp_t_GND=0.0;
  double WVCox=0.0;
     double d_WVCox_dTemp_t_GND=0.0;
     double d_WVCox_dV_di_si=0.0;
  double EsatL=0.0;
     double d_EsatL_dTemp_t_GND=0.0;
     double d_EsatL_dV_di_si=0.0;
     double d_EsatL_dV_e_si=0.0;
     double d_EsatL_dV_e_di=0.0;
     double d_EsatL_dV_gi_si=0.0;
  double Esat=0.0;
     double d_Esat_dTemp_t_GND=0.0;
     double d_Esat_dV_di_si=0.0;
     double d_Esat_dV_e_si=0.0;
     double d_Esat_dV_e_di=0.0;
     double d_Esat_dV_gi_si=0.0;
  double Rdss=0.0;
     double d_Rdss_dV_e_si=0.0;
     double d_Rdss_dV_e_di=0.0;
     double d_Rdss_dV_gi_si=0.0;
     double d_Rdss_dV_di_si=0.0;
     double d_Rdss_dTemp_t_GND=0.0;
  double Dmobs=0.0;
     double d_Dmobs_dV_di_si=0.0;
     double d_Dmobs_dV_e_si=0.0;
     double d_Dmobs_dV_e_di=0.0;
     double d_Dmobs_dV_gi_si=0.0;
     double d_Dmobs_dTemp_t_GND=0.0;
  double qb0=0.0;
  double Eeffs=0.0;
     double d_Eeffs_dTemp_t_GND=0.0;
     double d_Eeffs_dV_di_si=0.0;
     double d_Eeffs_dV_e_si=0.0;
     double d_Eeffs_dV_e_di=0.0;
     double d_Eeffs_dV_gi_si=0.0;
  double QT10=0.0;
     double d_QT10_dV_e_si=0.0;
     double d_QT10_dV_e_di=0.0;
     double d_QT10_dV_gi_si=0.0;
     double d_QT10_dV_di_si=0.0;
     double d_QT10_dTemp_t_GND=0.0;
  double QT9=0.0;
     double d_QT9_dV_e_si=0.0;
     double d_QT9_dV_e_di=0.0;
     double d_QT9_dV_gi_si=0.0;
     double d_QT9_dV_di_si=0.0;
     double d_QT9_dTemp_t_GND=0.0;
  double QT8=0.0;
     double d_QT8_dV_e_si=0.0;
     double d_QT8_dV_e_di=0.0;
     double d_QT8_dV_gi_si=0.0;
     double d_QT8_dV_di_si=0.0;
     double d_QT8_dTemp_t_GND=0.0;
  double QT7=0.0;
     double d_QT7_dV_e_si=0.0;
     double d_QT7_dV_e_di=0.0;
     double d_QT7_dV_gi_si=0.0;
     double d_QT7_dV_di_si=0.0;
     double d_QT7_dTemp_t_GND=0.0;
  double QT6=0.0;
     double d_QT6_dV_e_si=0.0;
     double d_QT6_dV_e_di=0.0;
     double d_QT6_dV_gi_si=0.0;
     double d_QT6_dV_di_si=0.0;
     double d_QT6_dTemp_t_GND=0.0;
  double QT5=0.0;
     double d_QT5_dV_e_si=0.0;
     double d_QT5_dV_e_di=0.0;
     double d_QT5_dV_gi_si=0.0;
     double d_QT5_dV_di_si=0.0;
     double d_QT5_dTemp_t_GND=0.0;
  double QT4=0.0;
     double d_QT4_dV_e_si=0.0;
     double d_QT4_dV_e_di=0.0;
     double d_QT4_dV_gi_si=0.0;
     double d_QT4_dV_di_si=0.0;
     double d_QT4_dTemp_t_GND=0.0;
  double QT3=0.0;
     double d_QT3_dV_e_si=0.0;
     double d_QT3_dV_e_di=0.0;
     double d_QT3_dV_gi_si=0.0;
     double d_QT3_dV_di_si=0.0;
     double d_QT3_dTemp_t_GND=0.0;
  double QT2=0.0;
     double d_QT2_dV_e_si=0.0;
     double d_QT2_dV_e_di=0.0;
     double d_QT2_dV_gi_si=0.0;
     double d_QT2_dV_di_si=0.0;
     double d_QT2_dTemp_t_GND=0.0;
  double qis=0.0;
     double d_qis_dV_di_si=0.0;
     double d_qis_dV_e_si=0.0;
     double d_qis_dV_e_di=0.0;
     double d_qis_dV_gi_si=0.0;
     double d_qis_dTemp_t_GND=0.0;
  double e2=0.0;
     double d_e2_dV_di_si=0.0;
     double d_e2_dV_e_si=0.0;
     double d_e2_dV_e_di=0.0;
     double d_e2_dV_gi_si=0.0;
     double d_e2_dTemp_t_GND=0.0;
  double e1=0.0;
     double d_e1_dV_gi_e=0.0;
     double d_e1_dV_di_si=0.0;
     double d_e1_dV_e_si=0.0;
     double d_e1_dV_e_di=0.0;
     double d_e1_dV_gi_si=0.0;
     double d_e1_dTemp_t_GND=0.0;
  double e0=0.0;
     double d_e0_dV_gi_e=0.0;
     double d_e0_dV_gi_si=0.0;
     double d_e0_dV_e_si=0.0;
     double d_e0_dV_e_di=0.0;
     double d_e0_dV_di_si=0.0;
     double d_e0_dTemp_t_GND=0.0;
  double qm_ln=0.0;
     double d_qm_ln_dV_di_si=0.0;
     double d_qm_ln_dV_e_si=0.0;
     double d_qm_ln_dV_e_di=0.0;
     double d_qm_ln_dV_gi_si=0.0;
     double d_qm_ln_dTemp_t_GND=0.0;
  double qm=0.0;
     double d_qm_dV_di_si=0.0;
     double d_qm_dV_e_si=0.0;
     double d_qm_dV_e_di=0.0;
     double d_qm_dV_gi_si=0.0;
     double d_qm_dTemp_t_GND=0.0;
  double F0=0.0;
     double d_F0_dV_gi_si=0.0;
     double d_F0_dV_e_si=0.0;
     double d_F0_dV_e_di=0.0;
     double d_F0_dV_di_si=0.0;
     double d_F0_dTemp_t_GND=0.0;
  double vch=0.0;
     double d_vch_dV_di_si=0.0;
     double d_vch_dV_e_si=0.0;
     double d_vch_dV_e_di=0.0;
     double d_vch_dV_gi_si=0.0;
     double d_vch_dTemp_t_GND=0.0;
  double vgsfbeff=0.0;
     double d_vgsfbeff_dV_e_si=0.0;
     double d_vgsfbeff_dV_e_di=0.0;
     double d_vgsfbeff_dV_gi_si=0.0;
     double d_vgsfbeff_dV_di_si=0.0;
     double d_vgsfbeff_dTemp_t_GND=0.0;
  double beta0=0.0;
     double d_beta0_dTemp_t_GND=0.0;
     double d_beta0_dV_di_si=0.0;
  double dvth_all=0.0;
     double d_dvth_all_dTemp_t_GND=0.0;
     double d_dvth_all_dV_di_si=0.0;
  double dvth_rsce=0.0;
     double d_dvth_rsce_dTemp_t_GND=0.0;
  double dvth_dibl=0.0;
     double d_dvth_dibl_dTemp_t_GND=0.0;
     double d_dvth_dibl_dV_di_si=0.0;
  double dvth_vtroll=0.0;
     double d_dvth_vtroll_dTemp_t_GND=0.0;
  double QMFACTORCVfinal=0.0;
     double d_QMFACTORCVfinal_dTemp_t_GND=0.0;
  double auxQMfact=0.0;
  double fieldnormalizationfactor=0.0;
     double d_fieldnormalizationfactor_dTemp_t_GND=0.0;
  double q0=0.0;
     double d_q0_dTemp_t_GND=0.0;
     double d_q0_dV_di_si=0.0;
  double vth_fixed_factor_Sub=0.0;
     double d_vth_fixed_factor_Sub_dTemp_t_GND=0.0;
     double d_vth_fixed_factor_Sub_dV_di_si=0.0;
  double vth_fixed_factor_SI=0.0;
     double d_vth_fixed_factor_SI_dTemp_t_GND=0.0;
     double d_vth_fixed_factor_SI_dV_di_si=0.0;
  double qdep=0.0;
     double d_qdep_dTemp_t_GND=0.0;
     double d_qdep_dV_di_si=0.0;
  double nVtm=0.0;
     double d_nVtm_dTemp_t_GND=0.0;
     double d_nVtm_dV_di_si=0.0;
  double cdsc=0.0;
     double d_cdsc_dV_di_si=0.0;
     double d_cdsc_dTemp_t_GND=0.0;
  double phist=0.0;
     double d_phist_dTemp_t_GND=0.0;
  double inv_MEXP=0.0;
     double d_inv_MEXP_dTemp_t_GND=0.0;
     double d_inv_MEXP_dV_di_si=0.0;
  double EU_a=0.0;
     double d_EU_a_dV_di_si=0.0;
     double d_EU_a_dTemp_t_GND=0.0;
  double UC_a=0.0;
     double d_UC_a_dTemp_t_GND=0.0;
     double d_UC_a_dV_di_si=0.0;
  double UD_a=0.0;
     double d_UD_a_dTemp_t_GND=0.0;
     double d_UD_a_dV_di_si=0.0;
  double UA_a=0.0;
     double d_UA_a_dTemp_t_GND=0.0;
     double d_UA_a_dV_di_si=0.0;
  double u0_a=0.0;
     double d_u0_a_dTemp_t_GND=0.0;
     double d_u0_a_dV_di_si=0.0;
  double CIT_a=0.0;
     double d_CIT_a_dV_di_si=0.0;
     double d_CIT_a_dTemp_t_GND=0.0;
  double DVTSHIFT_a=0.0;
     double d_DVTSHIFT_a_dV_di_si=0.0;
     double d_DVTSHIFT_a_dTemp_t_GND=0.0;
  double KSATIV_a=0.0;
     double d_KSATIV_a_dV_di_si=0.0;
     double d_KSATIV_a_dTemp_t_GND=0.0;
  double VSAT_a=0.0;
     double d_VSAT_a_dTemp_t_GND=0.0;
     double d_VSAT_a_dV_di_si=0.0;
  double PCLM_a=0.0;
     double d_PCLM_a_dV_di_si=0.0;
     double d_PCLM_a_dTemp_t_GND=0.0;
  double RDDR_a=0.0;
     double d_RDDR_a_dTemp_t_GND=0.0;
     double d_RDDR_a_dV_di_si=0.0;
  double RSDR_a=0.0;
     double d_RSDR_a_dTemp_t_GND=0.0;
     double d_RSDR_a_dV_di_si=0.0;
  double VSAT1_a=0.0;
     double d_VSAT1_a_dTemp_t_GND=0.0;
     double d_VSAT1_a_dV_di_si=0.0;
  double PTWG_a=0.0;
     double d_PTWG_a_dTemp_t_GND=0.0;
     double d_PTWG_a_dV_di_si=0.0;
  double MEXP_a=0.0;
     double d_MEXP_a_dTemp_t_GND=0.0;
     double d_MEXP_a_dV_di_si=0.0;
  double PDIBL2_a=0.0;
     double d_PDIBL2_a_dV_di_si=0.0;
     double d_PDIBL2_a_dTemp_t_GND=0.0;
  double PDIBL1_a=0.0;
     double d_PDIBL1_a_dV_di_si=0.0;
     double d_PDIBL1_a_dTemp_t_GND=0.0;
  double ETA0_a=0.0;
     double d_ETA0_a_dTemp_t_GND=0.0;
     double d_ETA0_a_dV_di_si=0.0;
  double CDSCD_a=0.0;
     double d_CDSCD_a_dV_di_si=0.0;
     double d_CDSCD_a_dTemp_t_GND=0.0;
  double wr=0.0;
     double d_wr_dV_di_si=0.0;
     double d_wr_dTemp_t_GND=0.0;
  double wf=0.0;
     double d_wf_dV_di_si=0.0;
     double d_wf_dTemp_t_GND=0.0;
  double vesmax=0.0;
  double vesx=0.0;
     double d_vesx_dV_e_si=0.0;
     double d_vesx_dV_e_di=0.0;
     double d_vesx_dV_di_si=0.0;
  double vdsx=0.0;
     double d_vdsx_dV_di_si=0.0;
  double vgsfb=0.0;
     double d_vgsfb_dV_gi_si=0.0;
     double d_vgsfb_dV_di_si=0.0;
     double d_vgsfb_dTemp_t_GND=0.0;
  double ves=0.0;
     double d_ves_dV_e_si=0.0;
     double d_ves_dV_e_di=0.0;
  double vds=0.0;
     double d_vds_dV_di_si=0.0;
  double vgs=0.0;
     double d_vgs_dV_gi_si=0.0;
     double d_vgs_dV_di_si=0.0;
  double sigvds=0.0;
  double vge=0.0;
     double d_vge_dV_gi_e=0.0;
  double ved_jct=0.0;
     double d_ved_jct_dV_e_di=0.0;
  double ves_jct=0.0;
     double d_ves_jct_dV_e_si=0.0;
  double vgd_noswap=0.0;
     double d_vgd_noswap_dV_gi_di=0.0;
  double vds_noswap=0.0;
     double d_vds_noswap_dV_di_si=0.0;
  double vgs_noswap=0.0;
     double d_vgs_noswap_dV_gi_si=0.0;
  double T5=0.0;
     double d_T5_dV_si_si1=0.0;
     double d_T5_dV_di1_di=0.0;
     double d_T5_dV_ge_e=0.0;
     double d_T5_dV_gi_di=0.0;
     double d_T5_dV_ge_di=0.0;
     double d_T5_dV_ge_si=0.0;
     double d_T5_dV_gi_di1=0.0;
     double d_T5_dV_gi_si1=0.0;
     double d_T5_dV_d_di1=0.0;
     double d_T5_dV_s_si1=0.0;
     double d_T5_dV_gi_e=0.0;
     double d_T5_dV_di_si=0.0;
     double d_T5_dV_e_si=0.0;
     double d_T5_dV_e_di=0.0;
     double d_T5_dV_gi_si=0.0;
     double d_T5_dTemp_t_GND=0.0;
  double T6=0.0;
     double d_T6_dV_si_si1=0.0;
     double d_T6_dV_di1_di=0.0;
     double d_T6_dV_ge_e=0.0;
     double d_T6_dV_gi_di=0.0;
     double d_T6_dV_ge_di=0.0;
     double d_T6_dV_ge_si=0.0;
     double d_T6_dV_gi_di1=0.0;
     double d_T6_dV_gi_si1=0.0;
     double d_T6_dV_d_di1=0.0;
     double d_T6_dV_s_si1=0.0;
     double d_T6_dV_gi_e=0.0;
     double d_T6_dV_di_si=0.0;
     double d_T6_dV_e_si=0.0;
     double d_T6_dV_e_di=0.0;
     double d_T6_dV_gi_si=0.0;
     double d_T6_dTemp_t_GND=0.0;
  double T7=0.0;
     double d_T7_dV_ge_e=0.0;
     double d_T7_dV_gi_di=0.0;
     double d_T7_dV_ge_di=0.0;
     double d_T7_dV_ge_si=0.0;
     double d_T7_dV_gi_di1=0.0;
     double d_T7_dV_gi_si1=0.0;
     double d_T7_dV_d_di1=0.0;
     double d_T7_dV_s_si1=0.0;
     double d_T7_dV_gi_e=0.0;
     double d_T7_dV_di_si=0.0;
     double d_T7_dV_e_si=0.0;
     double d_T7_dV_e_di=0.0;
     double d_T7_dV_gi_si=0.0;
     double d_T7_dTemp_t_GND=0.0;
  double T8=0.0;
     double d_T8_dV_ge_e=0.0;
     double d_T8_dV_gi_di=0.0;
     double d_T8_dV_ge_di=0.0;
     double d_T8_dV_ge_si=0.0;
     double d_T8_dV_gi_di1=0.0;
     double d_T8_dV_gi_si1=0.0;
     double d_T8_dV_d_di1=0.0;
     double d_T8_dV_s_si1=0.0;
     double d_T8_dV_gi_e=0.0;
     double d_T8_dV_di_si=0.0;
     double d_T8_dV_e_si=0.0;
     double d_T8_dV_e_di=0.0;
     double d_T8_dV_gi_si=0.0;
     double d_T8_dTemp_t_GND=0.0;
  double rdstemp1=0.0;
     double d_rdstemp1_dTemp_t_GND=0.0;
  double rdstemp0=0.0;
     double d_rdstemp0_dTemp_t_GND=0.0;
  double Trat_ln=0.0;
     double d_Trat_ln_dTemp_t_GND=0.0;
  double gam1=0.0;
     double d_gam1_dTemp_t_GND=0.0;
  double gam0=0.0;
     double d_gam0_dTemp_t_GND=0.0;
  double E1prime=0.0;
  double E1=0.0;
  double E0prime=0.0;
  double E0=0.0;
  double kT=0.0;
     double d_kT_dTemp_t_GND=0.0;
  double T4=0.0;
     double d_T4_dV_ge_e=0.0;
     double d_T4_dV_gi_di=0.0;
     double d_T4_dV_ge_di=0.0;
     double d_T4_dV_ge_si=0.0;
     double d_T4_dV_gi_di1=0.0;
     double d_T4_dV_gi_si1=0.0;
     double d_T4_dV_gi_e=0.0;
     double d_T4_dV_e_si=0.0;
     double d_T4_dV_e_di=0.0;
     double d_T4_dV_gi_si=0.0;
     double d_T4_dV_di_si=0.0;
     double d_T4_dTemp_t_GND=0.0;
  double Tlow=0.0;
  double DevTemp=0.0;
     double d_DevTemp_dTemp_t_GND=0.0;


  // set the sizes of the Fad arrays:

  if (probeVars.size() != (32))
  {
    probeVars.resize(32);
    d_probeVars.resize(32);
    for (int i=0;i<32;i++)
    {
      d_probeVars[i].resize(32);
      for (int j=0;j<32;j++)
        d_probeVars[i][j]=0.0;
    }
    staticContributions.resize(13+0);
    d_staticContributions.resize(13+0);
    for (int i=0;i<13+0;i++)
      d_staticContributions[i].resize(32);
    dynamicContributions.resize(13+0);
    d_dynamicContributions.resize(13+0);
    for (int i=0;i<13+0;i++)
      d_dynamicContributions[i].resize(32);
  }

    noiseContribsPower.resize(16);
    noiseContribsExponent.resize(16);

  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 13+0 ; ++i)
  {
     staticContributions[i]=0;
     for (int j=0;j<32;j++)
        d_staticContributions[i][j] = 0.0;
     dynamicContributions[i]=0;
     for (int j=0;j<32;j++)
        d_dynamicContributions[i][j] = 0.0;
  }

  // extract solution variables and set as Fad independent variables.
probeVars[admsProbeID_V_ge_GND] = (*solVectorPtr)[li_ge];
d_probeVars[admsProbeID_V_ge_GND][admsProbeID_V_ge_GND] = 1.0;
probeVars[admsProbeID_V_e_GND] = (*solVectorPtr)[li_e];
d_probeVars[admsProbeID_V_e_GND][admsProbeID_V_e_GND] = 1.0;
probeVars[admsProbeID_V_si_GND] = (*solVectorPtr)[li_si];
d_probeVars[admsProbeID_V_si_GND][admsProbeID_V_si_GND] = 1.0;
probeVars[admsProbeID_V_di_GND] = (*solVectorPtr)[li_di];
d_probeVars[admsProbeID_V_di_GND][admsProbeID_V_di_GND] = 1.0;
probeVars[admsProbeID_V_gi_GND] = (*solVectorPtr)[li_gi];
d_probeVars[admsProbeID_V_gi_GND][admsProbeID_V_gi_GND] = 1.0;
probeVars[admsProbeID_V_n_GND] = ((collapseNode_n)?(0):((*solVectorPtr)[li_n]));
d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND] = 1.0;
probeVars[admsProbeID_V_g_ge] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_ge];
d_probeVars[admsProbeID_V_g_ge][admsProbeID_V_g_ge] = 1.0;
probeVars[admsProbeID_V_ge_gi] = (*solVectorPtr)[li_ge] - (*solVectorPtr)[li_gi];
d_probeVars[admsProbeID_V_ge_gi][admsProbeID_V_ge_gi] = 1.0;
probeVars[admsProbeID_V_si1_si] = (*solVectorPtr)[li_si1] - (*solVectorPtr)[li_si];
d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si] = 1.0;
probeVars[admsProbeID_V_si_si1] = (*solVectorPtr)[li_si] - (*solVectorPtr)[li_si1];
d_probeVars[admsProbeID_V_si_si1][admsProbeID_V_si_si1] = 1.0;
probeVars[admsProbeID_V_di1_di] = (*solVectorPtr)[li_di1] - (*solVectorPtr)[li_di];
d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di] = 1.0;
probeVars[admsProbeID_V_q_GND] = ((collapseNode_q)?(0):((*solVectorPtr)[li_q]));
d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND] = 1.0;
probeVars[admsProbeID_V_ge_e] = (*solVectorPtr)[li_ge] - (*solVectorPtr)[li_e];
d_probeVars[admsProbeID_V_ge_e][admsProbeID_V_ge_e] = 1.0;
probeVars[admsProbeID_V_e_ge] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_ge];
d_probeVars[admsProbeID_V_e_ge][admsProbeID_V_e_ge] = 1.0;
probeVars[admsProbeID_V_ge_d] = (*solVectorPtr)[li_ge] - (*solVectorPtr)[li_d];
d_probeVars[admsProbeID_V_ge_d][admsProbeID_V_ge_d] = 1.0;
probeVars[admsProbeID_V_ge_s] = (*solVectorPtr)[li_ge] - (*solVectorPtr)[li_s];
d_probeVars[admsProbeID_V_ge_s][admsProbeID_V_ge_s] = 1.0;
probeVars[admsProbeID_V_ge_di] = (*solVectorPtr)[li_ge] - (*solVectorPtr)[li_di];
d_probeVars[admsProbeID_V_ge_di][admsProbeID_V_ge_di] = 1.0;
probeVars[admsProbeID_V_ge_si] = (*solVectorPtr)[li_ge] - (*solVectorPtr)[li_si];
d_probeVars[admsProbeID_V_ge_si][admsProbeID_V_ge_si] = 1.0;
probeVars[admsProbeID_V_d_di1] = (*solVectorPtr)[li_d] - (*solVectorPtr)[li_di1];
d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1] = 1.0;
probeVars[admsProbeID_V_gi_di1] = (*solVectorPtr)[li_gi] - (*solVectorPtr)[li_di1];
d_probeVars[admsProbeID_V_gi_di1][admsProbeID_V_gi_di1] = 1.0;
probeVars[admsProbeID_V_s_si1] = (*solVectorPtr)[li_s] - (*solVectorPtr)[li_si1];
d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1] = 1.0;
probeVars[admsProbeID_V_gi_si1] = (*solVectorPtr)[li_gi] - (*solVectorPtr)[li_si1];
d_probeVars[admsProbeID_V_gi_si1][admsProbeID_V_gi_si1] = 1.0;
probeVars[admsProbeID_V_e_s] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_s];
d_probeVars[admsProbeID_V_e_s][admsProbeID_V_e_s] = 1.0;
probeVars[admsProbeID_V_d_s] = (*solVectorPtr)[li_d] - (*solVectorPtr)[li_s];
d_probeVars[admsProbeID_V_d_s][admsProbeID_V_d_s] = 1.0;
probeVars[admsProbeID_V_g_s] = (*solVectorPtr)[li_g] - (*solVectorPtr)[li_s];
d_probeVars[admsProbeID_V_g_s][admsProbeID_V_g_s] = 1.0;
probeVars[admsProbeID_V_gi_e] = (*solVectorPtr)[li_gi] - (*solVectorPtr)[li_e];
d_probeVars[admsProbeID_V_gi_e][admsProbeID_V_gi_e] = 1.0;
probeVars[admsProbeID_V_e_di] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_di];
d_probeVars[admsProbeID_V_e_di][admsProbeID_V_e_di] = 1.0;
probeVars[admsProbeID_V_e_si] = (*solVectorPtr)[li_e] - (*solVectorPtr)[li_si];
d_probeVars[admsProbeID_V_e_si][admsProbeID_V_e_si] = 1.0;
probeVars[admsProbeID_V_gi_di] = (*solVectorPtr)[li_gi] - (*solVectorPtr)[li_di];
d_probeVars[admsProbeID_V_gi_di][admsProbeID_V_gi_di] = 1.0;
probeVars[admsProbeID_V_di_si] = (*solVectorPtr)[li_di] - (*solVectorPtr)[li_si];
d_probeVars[admsProbeID_V_di_si][admsProbeID_V_di_si] = 1.0;
probeVars[admsProbeID_V_gi_si] = (*solVectorPtr)[li_gi] - (*solVectorPtr)[li_si];
d_probeVars[admsProbeID_V_gi_si][admsProbeID_V_gi_si] = 1.0;
probeVars[admsProbeID_Temp_t_GND] = ((collapseNode_t)?(0):((*solVectorPtr)[li_t]));
d_probeVars[admsProbeID_Temp_t_GND][admsProbeID_Temp_t_GND] = 1.0;
// -- code converted from analog/code block
if ((((model_.SHMOD)!=0)&&((model_.RTH0)>0.0)))
{

d_DevTemp_dTemp_t_GND = d_probeVars[admsProbeID_Temp_t_GND][admsProbeID_Temp_t_GND];
DevTemp = ((admsTemperature+(probeVars[admsProbeID_Temp_t_GND]))+DTEMP);
}
else
{

d_DevTemp_dTemp_t_GND =  0.0;
DevTemp = (admsTemperature+DTEMP);
}
if ((DevTemp!=TempLast))
//Begin block CMGTempDepCalc
{

d_TempLast_dTemp_t_GND = d_DevTemp_dTemp_t_GND;
TempLast = DevTemp;

d_TRatio_dTemp_t_GND = (d_DevTemp_dTemp_t_GND/Tnom);
TRatio = (DevTemp/Tnom);

d_TRatio_m1_dTemp_t_GND = d_TRatio_dTemp_t_GND;
TRatio_m1 = (TRatio-1.0);

d_delTemp_dTemp_t_GND = d_DevTemp_dTemp_t_GND;
delTemp = (DevTemp-Tnom);

d_Vtm_dTemp_t_GND = 8.617087e-5*d_DevTemp_dTemp_t_GND;
Vtm = (8.617087e-5*DevTemp);
Vtm0 = (8.617087e-5*Tnom);
Tlow = (model_.TLOW);
if (((model_.CRYOMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((DevTemp-Tlow)*(DevTemp-Tlow))+((0.25*(model_.DTLOW))*(model_.DTLOW))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_DevTemplow0_dTemp_t_GND = ((((DevTemp==0.0)&&(Tlow==0.0))&&((model_.DTLOW)==0.0))?0.0:0.5*(d_DevTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((DevTemp-Tlow)*d_DevTemp_dTemp_t_GND+d_DevTemp_dTemp_t_GND*(DevTemp-Tlow))))));
DevTemplow0 = ((((DevTemp==0.0)&&(Tlow==0.0))&&((model_.DTLOW)==0.0))?0.0:(0.5*((DevTemp+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-(model_.KLOW1))*(DevTemp-(model_.TLOW1))))*(((-(model_.KLOW1))*(DevTemp-(model_.TLOW1)))))+((0.25*(model_.DTLOW1))*(model_.DTLOW1))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_DevTemplow1_dTemp_t_GND = ((((((-(model_.KLOW1))*(DevTemp-(model_.TLOW1)))==0.0)&&(0.0==0.0))&&((model_.DTLOW1)==0.0))?0.0:0.5*((-(model_.KLOW1))*d_DevTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((-(model_.KLOW1))*(DevTemp-(model_.TLOW1))))*(-(model_.KLOW1))*d_DevTemp_dTemp_t_GND+(-(model_.KLOW1))*d_DevTemp_dTemp_t_GND*(((-(model_.KLOW1))*(DevTemp-(model_.TLOW1)))))))));
DevTemplow1 = ((((((-(model_.KLOW1))*(DevTemp-(model_.TLOW1)))==0.0)&&(0.0==0.0))&&((model_.DTLOW1)==0.0))?0.0:(0.5*(((-(model_.KLOW1))*(DevTemp-(model_.TLOW1)))+value_sqrt_0)));
}
if (((model_.CRYOMOD)==1))
{
{
double value_sqrt_0 = sqrt((((Tnom-Tlow)*(Tnom-Tlow))+((0.25*(model_.DTLOW))*(model_.DTLOW))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((((Tnom==0.0)&&(Tlow==0.0))&&((model_.DTLOW)==0.0))?0.0:(0.5*((Tnom+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-(model_.KLOW1))*(Tnom-(model_.TLOW1))))*(((-(model_.KLOW1))*(Tnom-(model_.TLOW1)))))+((0.25*(model_.DTLOW1))*(model_.DTLOW1))));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((((((-(model_.KLOW1))*(Tnom-(model_.TLOW1)))==0.0)&&(0.0==0.0))&&((model_.DTLOW1)==0.0))?0.0:(0.5*(((-(model_.KLOW1))*(Tnom-(model_.TLOW1)))+value_sqrt_0)));
}
if ((Tnom>Tlow))
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = (((d_DevTemplow0_dTemp_t_GND+d_DevTemplow1_dTemp_t_GND)-d_T1_dTemp_t_GND)-d_T2_dTemp_t_GND);
T3 = ((((DevTemplow0+DevTemplow1)-T1)-T2)+Tnom);
}
else
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = (((d_DevTemplow0_dTemp_t_GND+d_DevTemplow1_dTemp_t_GND)-d_T1_dTemp_t_GND)-d_T2_dTemp_t_GND);
T3 = ((((DevTemplow0+DevTemplow1)-T1)-T2)+Tlow);
}
{
double value_sqrt_0 = sqrt((((DevTemp-T3)*(DevTemp-T3))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_DevTempeff_dTemp_t_GND = ((((DevTemp==0.0)&&(T3==0.0))&&(0.2==0.0))?0.0:0.5*((d_DevTemp_dTemp_t_GND+d_T3_dTemp_t_GND)+(deriv_sqrt_0_d0*(((DevTemp-T3)*(d_DevTemp_dTemp_t_GND-d_T3_dTemp_t_GND)+(d_DevTemp_dTemp_t_GND-d_T3_dTemp_t_GND)*(DevTemp-T3))))));
DevTempeff = ((((DevTemp==0.0)&&(T3==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+T3)+value_sqrt_0)));
}
}
else
{
if ((Tlow>210))
{
UserInfo(*this)  << "Warning: TLOW = %e is greater than 210 K. Set to 210 K" << " " << (model_.TLOW) << " " <<  std::endl; 
Tlow = 210;
}
{
double value_tanh_0 = tanh((0.5*(DevTemp-210)));
double  deriv_tanh_0_d0 = (1.0/cosh((0.5*(DevTemp-210)))/cosh((0.5*(DevTemp-210))));

d_wh_dTemp_t_GND = 0.5*(deriv_tanh_0_d0*(0.5*d_DevTemp_dTemp_t_GND));
wh = (0.5+(0.5*value_tanh_0));
}

d_wl_dTemp_t_GND = (-d_wh_dTemp_t_GND);
wl = (1.0-wh);
if ((Tnom>210))
{
{
double value_sqrt_0 = sqrt((((210-Tlow)*(210-Tlow))+((0.25*(model_.DTLOW))*(model_.DTLOW))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((((210==0.0)&&(Tlow==0.0))&&((model_.DTLOW)==0.0))?0.0:(0.5*((210+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-(model_.KLOW1))*(210-(model_.TLOW1))))*(((-(model_.KLOW1))*(210-(model_.TLOW1)))))+((0.25*(model_.DTLOW1))*(model_.DTLOW1))));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((((((-(model_.KLOW1))*(210-(model_.TLOW1)))==0.0)&&(0.0==0.0))&&((model_.DTLOW1)==0.0))?0.0:(0.5*(((-(model_.KLOW1))*(210-(model_.TLOW1)))+value_sqrt_0)));
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = (((d_DevTemplow0_dTemp_t_GND+d_DevTemplow1_dTemp_t_GND)-d_T1_dTemp_t_GND)-d_T2_dTemp_t_GND);
T3 = ((((DevTemplow0+DevTemplow1)-T1)-T2)+210);
{
double value_sqrt_0 = sqrt((((DevTemp-T3)*(DevTemp-T3))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_DevTempeff_dTemp_t_GND = ((((DevTemp==0.0)&&(T3==0.0))&&(0.2==0.0))?0.0:0.5*((d_DevTemp_dTemp_t_GND+d_T3_dTemp_t_GND)+(deriv_sqrt_0_d0*(((DevTemp-T3)*(d_DevTemp_dTemp_t_GND-d_T3_dTemp_t_GND)+(d_DevTemp_dTemp_t_GND-d_T3_dTemp_t_GND)*(DevTemp-T3))))));
DevTempeff = ((((DevTemp==0.0)&&(T3==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+T3)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((Tnom-Tlow)*(Tnom-Tlow))+((0.25*(model_.DTLOW))*(model_.DTLOW))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((((Tnom==0.0)&&(Tlow==0.0))&&((model_.DTLOW)==0.0))?0.0:(0.5*((Tnom+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-(model_.KLOW1))*(Tnom-(model_.TLOW1))))*(((-(model_.KLOW1))*(Tnom-(model_.TLOW1)))))+((0.25*(model_.DTLOW1))*(model_.DTLOW1))));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((((((-(model_.KLOW1))*(Tnom-(model_.TLOW1)))==0.0)&&(0.0==0.0))&&((model_.DTLOW1)==0.0))?0.0:(0.5*(((-(model_.KLOW1))*(Tnom-(model_.TLOW1)))+value_sqrt_0)));
}
if ((Tnom>Tlow))
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = (((d_DevTemplow0_dTemp_t_GND+d_DevTemplow1_dTemp_t_GND)-d_T1_dTemp_t_GND)-d_T2_dTemp_t_GND);
T3 = ((((DevTemplow0+DevTemplow1)-T1)-T2)+Tnom);
}
else
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = (((d_DevTemplow0_dTemp_t_GND+d_DevTemplow1_dTemp_t_GND)-d_T1_dTemp_t_GND)-d_T2_dTemp_t_GND);
T3 = ((((DevTemplow0+DevTemplow1)-T1)-T2)+Tlow);
}
{
double value_sqrt_0 = sqrt((((DevTemp-T3)*(DevTemp-T3))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si =  0.0;
d_T4_dTemp_t_GND = ((((DevTemp==0.0)&&(T3==0.0))&&(0.2==0.0))?0.0:0.5*((d_DevTemp_dTemp_t_GND+d_T3_dTemp_t_GND)+(deriv_sqrt_0_d0*(((DevTemp-T3)*(d_DevTemp_dTemp_t_GND-d_T3_dTemp_t_GND)+(d_DevTemp_dTemp_t_GND-d_T3_dTemp_t_GND)*(DevTemp-T3))))));
T4 = ((((DevTemp==0.0)&&(T3==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+T3)+value_sqrt_0)));
}

d_DevTempeff_dTemp_t_GND = ((wl*d_T4_dTemp_t_GND+d_wl_dTemp_t_GND*T4)+(wh*d_DevTemp_dTemp_t_GND+d_wh_dTemp_t_GND*DevTemp));
DevTempeff = ((wl*T4)+(wh*DevTemp));
}
{
double value_sqrt_0 = sqrt((((DevTemp-210)*(DevTemp-210))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_DevTemp1_dTemp_t_GND = ((((DevTemp==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:0.5*(d_DevTemp_dTemp_t_GND-(deriv_sqrt_0_d0*(((DevTemp-210)*d_DevTemp_dTemp_t_GND+d_DevTemp_dTemp_t_GND*(DevTemp-210))))));
DevTemp1 = ((((DevTemp==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+210)-value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((Tnom-210)*(Tnom-210))+((0.25*0.2)*0.2)));

d_delTemp1_dTemp_t_GND = d_DevTemp1_dTemp_t_GND;
delTemp1 = (DevTemp1-((((Tnom==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:(0.5*((Tnom+210)-value_sqrt_0))));
}

d_delTRatio1_dTemp_t_GND = (d_DevTemp1_dTemp_t_GND/Tnom);
delTRatio1 = ((DevTemp1-210)/Tnom);
}

d_Vtmeff_dTemp_t_GND = 8.617087e-5*d_DevTempeff_dTemp_t_GND;
Vtmeff = (8.617087e-5*DevTempeff);
}

d_Eg_dTemp_t_GND = (-(((DevTemp+(model_.TBGBSUB))*(((model_.TBGASUB)*DevTemp)*d_DevTemp_dTemp_t_GND+(model_.TBGASUB)*d_DevTemp_dTemp_t_GND*DevTemp)-(((model_.TBGASUB)*DevTemp)*DevTemp)*d_DevTemp_dTemp_t_GND)/(DevTemp+(model_.TBGBSUB))/(DevTemp+(model_.TBGBSUB))));
Eg = ((model_.BG0SUB)-((((model_.TBGASUB)*DevTemp)*DevTemp)/(DevTemp+(model_.TBGBSUB))));
Eg0 = ((model_.BG0SUB)-((((model_.TBGASUB)*Tnom)*Tnom)/(Tnom+(model_.TBGBSUB))));
{
double value_sqrt_0 = sqrt((DevTemp/300.15));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = ((DevTemp/300.15)*(deriv_sqrt_0_d0*((d_DevTemp_dTemp_t_GND/300.15)))+(d_DevTemp_dTemp_t_GND/300.15)*value_sqrt_0);
T1 = ((DevTemp/300.15)*value_sqrt_0);
}
{
double value_exp_0 = exp((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm))));
double  deriv_exp_0_d0 = value_exp_0;

d_ni_dTemp_t_GND = (((model_.NI0SUB)*T1)*(((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))>80.0)?5.540622384e34*(-(((2.0*Vtm)*d_Eg_dTemp_t_GND-Eg*2.0*d_Vtm_dTemp_t_GND)/(2.0*Vtm)/(2.0*Vtm))):(((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))<(-80.0))?0.0:(deriv_exp_0_d0*((-(((2.0*Vtm)*d_Eg_dTemp_t_GND-Eg*2.0*d_Vtm_dTemp_t_GND)/(2.0*Vtm)/(2.0*Vtm)))))))+(model_.NI0SUB)*d_T1_dTemp_t_GND*(((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))>80.0)?(5.540622384e34*(((1.0+((model_.BG0SUB)/((2.0*8.617087e-5)*300.15)))-(Eg/(2.0*Vtm)))-80.0)):(((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))<(-80.0))?1.804851387e-35:value_exp_0)));
ni = (((model_.NI0SUB)*T1)*(((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))>80.0)?(5.540622384e34*(((1.0+((model_.BG0SUB)/((2.0*8.617087e-5)*300.15)))-(Eg/(2.0*Vtm)))-80.0)):(((((model_.BG0SUB)/((2.0*8.617087e-5)*300.15))-(Eg/(2.0*Vtm)))<(-80.0))?1.804851387e-35:value_exp_0)));
}
if (((model_.CRYOMOD)==0))
{

d_Nc_dTemp_t_GND = (model_.NC0SUB)*d_T1_dTemp_t_GND;
Nc = ((model_.NC0SUB)*T1);
}
else
{
{
double value_sqrt_0 = sqrt((DevTempeff/300.15));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Nc_dTemp_t_GND = (((model_.NC0SUB)*(DevTempeff/300.15))*(deriv_sqrt_0_d0*((d_DevTempeff_dTemp_t_GND/300.15)))+(model_.NC0SUB)*(d_DevTempeff_dTemp_t_GND/300.15)*value_sqrt_0);
Nc = (((model_.NC0SUB)*(DevTempeff/300.15))*value_sqrt_0);
}
{
double value_log_0 = log(((model_.NI0SUB)*T1));
double  deriv_log_0_d0 = (1.0/((model_.NI0SUB)*T1));

d_niln_dTemp_t_GND = (((((model_.NI0SUB)*T1)>1.0e-38)?(deriv_log_0_d0*((model_.NI0SUB)*d_T1_dTemp_t_GND)):0.0)-(((2.0*Vtm)*d_Eg_dTemp_t_GND-Eg*2.0*d_Vtm_dTemp_t_GND)/(2.0*Vtm)/(2.0*Vtm)));
niln = ((((((model_.NI0SUB)*T1)>1.0e-38)?value_log_0:(-87.498233534))+((model_.BG0SUB)/((2.0*8.617087e-5)*300.15)))-(Eg/(2.0*Vtm)));
}
}
{
double value_sqrt_0 = sqrt(((((1.0+(TSS_i*delTemp))-1.0e-6)*((1.0+(TSS_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ThetaSS_dTemp_t_GND = (((((1.0+(TSS_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(TSS_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(TSS_i*delTemp))-1.0e-6)*TSS_i*d_delTemp_dTemp_t_GND+TSS_i*d_delTemp_dTemp_t_GND*((1.0+(TSS_i*delTemp))-1.0e-6))))));
ThetaSS = (((((1.0+(TSS_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(TSS_i*delTemp))-1.0e-6)+value_sqrt_0)));
}

d_kT_dTemp_t_GND = d_Vtm_dTemp_t_GND*1.60219e-19;
kT = (Vtm*1.60219e-19);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = ((1.05457e-34*3.14159265358979323846)/((2.0*Ach)/Weff_UFCM));
E0 = ((T0*T0)/(2.0*mx));
E0prime = ((T0*T0)/(2.0*mxprime));
E1 = (4.0*E0);
E1prime = (4.0*E0prime);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((gprime*mdprime)/(gfactor*md));
{
double value_exp_0 = exp(((E0-E0prime)/kT));
double  deriv_exp_0_d0 = value_exp_0;

d_gam0_dTemp_t_GND = (T1*((((E0-E0prime)/kT)>80.0)?5.540622384e34*(-(E0-E0prime)*d_kT_dTemp_t_GND/kT/kT):((((E0-E0prime)/kT)<(-80.0))?0.0:(deriv_exp_0_d0*((-(E0-E0prime)*d_kT_dTemp_t_GND/kT/kT)))))+d_T1_dTemp_t_GND*((((E0-E0prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E0prime)/kT))-80.0)):((((E0-E0prime)/kT)<(-80.0))?1.804851387e-35:value_exp_0)));
gam0 = (1.0+(T1*((((E0-E0prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E0prime)/kT))-80.0)):((((E0-E0prime)/kT)<(-80.0))?1.804851387e-35:value_exp_0))));
}
{
double value_exp_0 = exp(((E0-E1)/kT));
double value_exp_1 = exp(((E0-E1prime)/kT));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;

d_gam1_dTemp_t_GND = ((d_gam0_dTemp_t_GND+((((E0-E1)/kT)>80.0)?5.540622384e34*(-(E0-E1)*d_kT_dTemp_t_GND/kT/kT):((((E0-E1)/kT)<(-80.0))?0.0:(deriv_exp_0_d0*((-(E0-E1)*d_kT_dTemp_t_GND/kT/kT))))))+(T1*((((E0-E1prime)/kT)>80.0)?5.540622384e34*(-(E0-E1prime)*d_kT_dTemp_t_GND/kT/kT):((((E0-E1prime)/kT)<(-80.0))?0.0:(deriv_exp_1_d0*((-(E0-E1prime)*d_kT_dTemp_t_GND/kT/kT)))))+d_T1_dTemp_t_GND*((((E0-E1prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E1prime)/kT))-80.0)):((((E0-E1prime)/kT)<(-80.0))?1.804851387e-35:value_exp_1))));
gam1 = ((gam0+((((E0-E1)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E1)/kT))-80.0)):((((E0-E1)/kT)<(-80.0))?1.804851387e-35:value_exp_0)))+(T1*((((E0-E1prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E1prime)/kT))-80.0)):((((E0-E1prime)/kT)<(-80.0))?1.804851387e-35:value_exp_1))));
}
{
double value_log_0 = log((((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*gam1));
double  deriv_log_0_d0 = (1.0/(((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*gam1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((-Vtm)*(((((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*gam1)>1.0e-38)?(deriv_log_0_d0*((((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*d_gam1_dTemp_t_GND+((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*d_kT_dTemp_t_GND+(-(gfactor*md)*((3.14159265358979323846*1.05457e-34)*1.05457e-34)*d_Nc_dTemp_t_GND/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*gam1))):0.0)+(-d_Vtm_dTemp_t_GND)*(((((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*gam1)>1.0e-38)?value_log_0:(-87.498233534)));
T2 = ((-Vtm)*(((((((gfactor*md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*Nc))*kT)/((2.0*Ach)/Weff_UFCM))*gam1)>1.0e-38)?value_log_0:(-87.498233534)));
}

d_dvch_qm_dTemp_t_GND = QMFACTOR_i*d_T2_dTemp_t_GND;
dvch_qm = (QMFACTOR_i*((E0/1.60219e-19)+T2));
{
double value_log_0 = log(TRatio);
double  deriv_log_0_d0 = (1.0/TRatio);

d_Trat_ln_dTemp_t_GND = (deriv_log_0_d0*(d_TRatio_dTemp_t_GND));
Trat_ln = value_log_0;
}
if (((model_.CRYOMOD)==0))
{
{
double value_exp_0 = exp((UTE_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0_i*(deriv_exp_0_d0*(UTE_i*d_Trat_ln_dTemp_t_GND));
T1 = (U0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_u0_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTL_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
u0 = (T1+(((((UTL_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}
if (((model_.ASYMMOD)==1))
{
{
double value_exp_0 = exp((UTER_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0R_i*(deriv_exp_0_d0*(UTER_i*d_Trat_ln_dTemp_t_GND));
T1 = (U0R_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_U0R_t_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTLR_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
U0R_t = (T1+(((((UTLR_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}

d_u0r_dTemp_t_GND = d_U0R_t_dTemp_t_GND;
u0r = U0R_t;
}
{
double value_sqrt_0 = sqrt((((((UA1_i*delTemp)-(-UA_i))-1.0e-6)*(((UA1_i*delTemp)-(-UA_i))-1.0e-6))-((4.0*(-UA_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UA_t_dTemp_t_GND = (((((UA1_i*delTemp)==0.0)&&((-UA_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(UA1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((UA1_i*delTemp)-(-UA_i))-1.0e-6)*UA1_i*d_delTemp_dTemp_t_GND+UA1_i*d_delTemp_dTemp_t_GND*(((UA1_i*delTemp)-(-UA_i))-1.0e-6))))));
UA_t = (UA_i+(((((UA1_i*delTemp)==0.0)&&((-UA_i)==0.0))&&(1.0e-6==0.0))?0.0:((-UA_i)+(0.5*((((UA1_i*delTemp)-(-UA_i))-1.0e-6)+value_sqrt_0)))));
}

d_EU_t_dTemp_t_GND =  0.0;
EU_t = EU_i;
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((UA1R_i*delTemp)-(-UAR_i))-1.0e-6)*(((UA1R_i*delTemp)-(-UAR_i))-1.0e-6))-((4.0*(-UAR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UAR_t_dTemp_t_GND = (((((UA1R_i*delTemp)==0.0)&&((-UAR_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(UA1R_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((UA1R_i*delTemp)-(-UAR_i))-1.0e-6)*UA1R_i*d_delTemp_dTemp_t_GND+UA1R_i*d_delTemp_dTemp_t_GND*(((UA1R_i*delTemp)-(-UAR_i))-1.0e-6))))));
UAR_t = (UAR_i+(((((UA1R_i*delTemp)==0.0)&&((-UAR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-UAR_i)+(0.5*((((UA1R_i*delTemp)-(-UAR_i))-1.0e-6)+value_sqrt_0)))));
}
}
{
double value_exp_0 = exp((UD1_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UD_t_dTemp_t_GND = UD_i*(deriv_exp_0_d0*(UD1_i*d_Trat_ln_dTemp_t_GND));
UD_t = (UD_i*value_exp_0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_exp_0 = exp((UD1R_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UDR_t_dTemp_t_GND = UDR_i*(deriv_exp_0_d0*(UD1R_i*d_Trat_ln_dTemp_t_GND));
UDR_t = (UDR_i*value_exp_0);
}
}
{
double value_exp_0 = exp((UCSTE_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UCS_t_dTemp_t_GND = UCS_i*(deriv_exp_0_d0*(UCSTE_i*d_Trat_ln_dTemp_t_GND));
UCS_t = (UCS_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt(((((1.0+(PRT_i*delTemp))-1.0e-6)*((1.0+(PRT_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_rdstemp_dTemp_t_GND = (((((1.0+(PRT_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(PRT_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(PRT_i*delTemp))-1.0e-6)*PRT_i*d_delTemp_dTemp_t_GND+PRT_i*d_delTemp_dTemp_t_GND*((1.0+(PRT_i*delTemp))-1.0e-6))))));
rdstemp = (((((1.0+(PRT_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(PRT_i*delTemp))-1.0e-6)+value_sqrt_0)));
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-AT_i)*delTemp)-(-VSAT_i))-1.0e-6)*((((-AT_i)*delTemp)-(-VSAT_i))-1.0e-6))-((4.0*(-VSAT_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT_t_dTemp_t_GND = ((((((-AT_i)*delTemp)==0.0)&&((-VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-AT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-AT_i)*delTemp)-(-VSAT_i))-1.0e-6)*(-AT_i)*d_delTemp_dTemp_t_GND+(-AT_i)*d_delTemp_dTemp_t_GND*((((-AT_i)*delTemp)-(-VSAT_i))-1.0e-6))))));
VSAT_t = (VSAT_i+((((((-AT_i)*delTemp)==0.0)&&((-VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT_i)+(0.5*(((((-AT_i)*delTemp)-(-VSAT_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-AT_i)*delTemp))-1.0e-6)*((1.0+((-AT_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT_t_dTemp_t_GND = VSAT_i*(((((1.0+((-AT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-AT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-AT_i)*delTemp))-1.0e-6)*(-AT_i)*d_delTemp_dTemp_t_GND+(-AT_i)*d_delTemp_dTemp_t_GND*((1.0+((-AT_i)*delTemp))-1.0e-6))))));
VSAT_t = (VSAT_i*(((((1.0+((-AT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-AT_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-ATR_i)*delTemp)-(-VSATR_i))-1.0e-6)*((((-ATR_i)*delTemp)-(-VSATR_i))-1.0e-6))-((4.0*(-VSATR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATR_t_dTemp_t_GND = ((((((-ATR_i)*delTemp)==0.0)&&((-VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-ATR_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-ATR_i)*delTemp)-(-VSATR_i))-1.0e-6)*(-ATR_i)*d_delTemp_dTemp_t_GND+(-ATR_i)*d_delTemp_dTemp_t_GND*((((-ATR_i)*delTemp)-(-VSATR_i))-1.0e-6))))));
VSATR_t = (VSATR_i+((((((-ATR_i)*delTemp)==0.0)&&((-VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSATR_i)+(0.5*(((((-ATR_i)*delTemp)-(-VSATR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-ATR_i)*delTemp))-1.0e-6)*((1.0+((-ATR_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATR_t_dTemp_t_GND = VSATR_i*(((((1.0+((-ATR_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-ATR_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-ATR_i)*delTemp))-1.0e-6)*(-ATR_i)*d_delTemp_dTemp_t_GND+(-ATR_i)*d_delTemp_dTemp_t_GND*((1.0+((-ATR_i)*delTemp))-1.0e-6))))));
VSATR_t = (VSATR_i*(((((1.0+((-ATR_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-ATR_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((VSATR_t<1000))
{
UserInfo(*this)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSATR_t << " " <<  std::endl; 

d_VSATR_t_dTemp_t_GND =  0.0;
VSATR_t = 1000;
}
}
if (((model_.CVMOD)==1))
{
{
double value_exp_0 = exp((UTECV_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0CV_i*(deriv_exp_0_d0*(UTECV_i*d_Trat_ln_dTemp_t_GND));
T1 = (U0CV_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_u0_cv_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTLCV_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
u0_cv = (T1+(((((UTLCV_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((UA1CV_i*delTemp)-(-UACV_i))-1.0e-6)*(((UA1CV_i*delTemp)-(-UACV_i))-1.0e-6))-((4.0*(-UACV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UACV_t_dTemp_t_GND = (((((UA1CV_i*delTemp)==0.0)&&((-UACV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(UA1CV_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((UA1CV_i*delTemp)-(-UACV_i))-1.0e-6)*UA1CV_i*d_delTemp_dTemp_t_GND+UA1CV_i*d_delTemp_dTemp_t_GND*(((UA1CV_i*delTemp)-(-UACV_i))-1.0e-6))))));
UACV_t = (UACV_i+(((((UA1CV_i*delTemp)==0.0)&&((-UACV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-UACV_i)+(0.5*((((UA1CV_i*delTemp)-(-UACV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_exp_0 = exp((UD1CV_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UDCV_t_dTemp_t_GND = UDCV_i*(deriv_exp_0_d0*(UD1CV_i*d_Trat_ln_dTemp_t_GND));
UDCV_t = (UDCV_i*value_exp_0);
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-AT_i)*delTemp)-(-VSAT1_i))-1.0e-6)*((((-AT_i)*delTemp)-(-VSAT1_i))-1.0e-6))-((4.0*(-VSAT1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1_t_dTemp_t_GND = ((((((-AT_i)*delTemp)==0.0)&&((-VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-AT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-AT_i)*delTemp)-(-VSAT1_i))-1.0e-6)*(-AT_i)*d_delTemp_dTemp_t_GND+(-AT_i)*d_delTemp_dTemp_t_GND*((((-AT_i)*delTemp)-(-VSAT1_i))-1.0e-6))))));
VSAT1_t = (VSAT1_i+((((((-AT_i)*delTemp)==0.0)&&((-VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT1_i)+(0.5*(((((-AT_i)*delTemp)-(-VSAT1_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-AT_i)*delTemp))-1.0e-6)*((1.0+((-AT_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1_t_dTemp_t_GND = VSAT1_i*(((((1.0+((-AT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-AT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-AT_i)*delTemp))-1.0e-6)*(-AT_i)*d_delTemp_dTemp_t_GND+(-AT_i)*d_delTemp_dTemp_t_GND*((1.0+((-AT_i)*delTemp))-1.0e-6))))));
VSAT1_t = (VSAT1_i*(((((1.0+((-AT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-AT_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-AT_i)*delTemp)-(-VSAT1R_i))-1.0e-6)*((((-AT_i)*delTemp)-(-VSAT1R_i))-1.0e-6))-((4.0*(-VSAT1R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1R_t_dTemp_t_GND = ((((((-AT_i)*delTemp)==0.0)&&((-VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-AT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-AT_i)*delTemp)-(-VSAT1R_i))-1.0e-6)*(-AT_i)*d_delTemp_dTemp_t_GND+(-AT_i)*d_delTemp_dTemp_t_GND*((((-AT_i)*delTemp)-(-VSAT1R_i))-1.0e-6))))));
VSAT1R_t = (VSAT1R_i+((((((-AT_i)*delTemp)==0.0)&&((-VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT1R_i)+(0.5*(((((-AT_i)*delTemp)-(-VSAT1R_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-AT_i)*delTemp))-1.0e-6)*((1.0+((-AT_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1R_t_dTemp_t_GND = VSAT1R_i*(((((1.0+((-AT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-AT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-AT_i)*delTemp))-1.0e-6)*(-AT_i)*d_delTemp_dTemp_t_GND+(-AT_i)*d_delTemp_dTemp_t_GND*((1.0+((-AT_i)*delTemp))-1.0e-6))))));
VSAT1R_t = (VSAT1R_i*(((((1.0+((-AT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-AT_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((VSAT1R_t<1000))
{
UserInfo(*this)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSAT1R_t << " " <<  std::endl; 

d_VSAT1R_t_dTemp_t_GND =  0.0;
VSAT1R_t = 1000;
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-ATCV_i)*delTemp)-(-VSATCV_i))-1.0e-6)*((((-ATCV_i)*delTemp)-(-VSATCV_i))-1.0e-6))-((4.0*(-VSATCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATCV_t_dTemp_t_GND = ((((((-ATCV_i)*delTemp)==0.0)&&((-VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-ATCV_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-ATCV_i)*delTemp)-(-VSATCV_i))-1.0e-6)*(-ATCV_i)*d_delTemp_dTemp_t_GND+(-ATCV_i)*d_delTemp_dTemp_t_GND*((((-ATCV_i)*delTemp)-(-VSATCV_i))-1.0e-6))))));
VSATCV_t = (VSATCV_i+((((((-ATCV_i)*delTemp)==0.0)&&((-VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSATCV_i)+(0.5*(((((-ATCV_i)*delTemp)-(-VSATCV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-ATCV_i)*delTemp))-1.0e-6)*((1.0+((-ATCV_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATCV_t_dTemp_t_GND = VSATCV_i*(((((1.0+((-ATCV_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-ATCV_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-ATCV_i)*delTemp))-1.0e-6)*(-ATCV_i)*d_delTemp_dTemp_t_GND+(-ATCV_i)*d_delTemp_dTemp_t_GND*((1.0+((-ATCV_i)*delTemp))-1.0e-6))))));
VSATCV_t = (VSATCV_i*(((((1.0+((-ATCV_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-ATCV_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_sqrt_0 = sqrt(((((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0)*((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_MEXP_t_dTemp_t_GND = (((((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(MEXP_i*(model_.TMEXP)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0)*MEXP_i*(model_.TMEXP)*d_delTemp_dTemp_t_GND+MEXP_i*(model_.TMEXP)*d_delTemp_dTemp_t_GND*((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0))))));
MEXP_t = ((((((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((MEXP_i*(1.0+((model_.TMEXP)*delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0)*((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_MEXPR_t_dTemp_t_GND = (((((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(MEXPR_i*(model_.TMEXPR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0)*MEXPR_i*(model_.TMEXPR)*d_delTemp_dTemp_t_GND+MEXPR_i*(model_.TMEXPR)*d_delTemp_dTemp_t_GND*((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0))))));
MEXPR_t = ((((((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((MEXPR_i*(1.0+((model_.TMEXPR)*delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
}

d_KSATIV_t_dTemp_t_GND =  0.0;
KSATIV_t = KSATIV_i;

d_PCLM_t_dTemp_t_GND =  0.0;
PCLM_t = PCLM_i;

d_dvth_temp_dTemp_t_GND = (KT1_i+((model_.KT1L)/Leff))*d_TRatio_m1_dTemp_t_GND;
dvth_temp = ((KT1_i+((model_.KT1L)/Leff))*TRatio_m1);
}
else
{
if (((model_.CRYOMOD)==1))
{
{
double value_exp_0 = exp(((UTE_i+(UTE1_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0_i*(deriv_exp_0_d0*(((UTE_i+(UTE1_i*TRatio))*d_Trat_ln_dTemp_t_GND+UTE1_i*d_TRatio_dTemp_t_GND*Trat_ln)));
T1 = (U0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_u0_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTL_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
u0 = (T1+(((((UTL_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}
if (((model_.ASYMMOD)==1))
{
{
double value_exp_0 = exp(((UTER_i+(UTE1_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0R_i*(deriv_exp_0_d0*(((UTER_i+(UTE1_i*TRatio))*d_Trat_ln_dTemp_t_GND+UTE1_i*d_TRatio_dTemp_t_GND*Trat_ln)));
T1 = (U0R_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_U0R_t_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTLR_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
U0R_t = (T1+(((((UTLR_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}

d_u0r_dTemp_t_GND = d_U0R_t_dTemp_t_GND;
u0r = U0R_t;
}
{
double value_exp_0 = exp(((UA1_i+(UA2_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UA_t_dTemp_t_GND = UA_i*(deriv_exp_0_d0*(((UA1_i+(UA2_i*TRatio))*d_Trat_ln_dTemp_t_GND+UA2_i*d_TRatio_dTemp_t_GND*Trat_ln)));
UA_t = (UA_i*value_exp_0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_exp_0 = exp(((UA1R_i+(UA2_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UAR_t_dTemp_t_GND = UAR_i*(deriv_exp_0_d0*(((UA1R_i+(UA2_i*TRatio))*d_Trat_ln_dTemp_t_GND+UA2_i*d_TRatio_dTemp_t_GND*Trat_ln)));
UAR_t = (UAR_i*value_exp_0);
}
}
{
double value_exp_0 = exp(((UD1_i+(UD2_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UD_t_dTemp_t_GND = UD_i*(deriv_exp_0_d0*(((UD1_i+(UD2_i*TRatio))*d_Trat_ln_dTemp_t_GND+UD2_i*d_TRatio_dTemp_t_GND*Trat_ln)));
UD_t = (UD_i*value_exp_0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_exp_0 = exp(((UD1R_i+(UD2_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UDR_t_dTemp_t_GND = UDR_i*(deriv_exp_0_d0*(((UD1R_i+(UD2_i*TRatio))*d_Trat_ln_dTemp_t_GND+UD2_i*d_TRatio_dTemp_t_GND*Trat_ln)));
UDR_t = (UDR_i*value_exp_0);
}
}
{
double value_exp_0 = exp(((UCSTE_i+((model_.UCSTE1)*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UCS_t_dTemp_t_GND = UCS_i*(deriv_exp_0_d0*(((UCSTE_i+((model_.UCSTE1)*TRatio))*d_Trat_ln_dTemp_t_GND+(model_.UCSTE1)*d_TRatio_dTemp_t_GND*Trat_ln)));
UCS_t = (UCS_i*value_exp_0);
}
{
double value_exp_0 = exp((UDS1_i*TRatio_m1));
double  deriv_exp_0_d0 = value_exp_0;

d_UDS_t_dTemp_t_GND = UDS_i*(((UDS1_i*TRatio_m1)>80.0)?5.540622384e34*UDS1_i*d_TRatio_m1_dTemp_t_GND:(((UDS1_i*TRatio_m1)<(-80.0))?0.0:(deriv_exp_0_d0*(UDS1_i*d_TRatio_m1_dTemp_t_GND))));
UDS_t = (UDS_i*((((UDS1_i*TRatio_m1)>80.0)?(5.540622384e34*((1.0+(UDS1_i*TRatio_m1))-80.0)):(((UDS1_i*TRatio_m1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
{
double value_exp_0 = exp((UDD1_i*TRatio_m1));
double  deriv_exp_0_d0 = value_exp_0;

d_UDD_t_dTemp_t_GND = UDD_i*(((UDD1_i*TRatio_m1)>80.0)?5.540622384e34*UDD1_i*d_TRatio_m1_dTemp_t_GND:(((UDD1_i*TRatio_m1)<(-80.0))?0.0:(deriv_exp_0_d0*(UDD1_i*d_TRatio_m1_dTemp_t_GND))));
UDD_t = (UDD_i*((((UDD1_i*TRatio_m1)>80.0)?(5.540622384e34*((1.0+(UDD1_i*TRatio_m1))-80.0)):(((UDD1_i*TRatio_m1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}

d_UDSeff_t_dTemp_t_GND = d_UDS_t_dTemp_t_GND;
UDSeff_t = (0.5+UDS_t);

d_UDDeff_t_dTemp_t_GND = d_UDD_t_dTemp_t_GND;
UDDeff_t = (0.5+UDD_t);
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((EU1_i*delTemp)-(-EU_i))-1.0e-6)*(((EU1_i*delTemp)-(-EU_i))-1.0e-6))-((4.0*(-EU_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_EU_t_dTemp_t_GND = (((((EU1_i*delTemp)==0.0)&&((-EU_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(EU1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((EU1_i*delTemp)-(-EU_i))-1.0e-6)*EU1_i*d_delTemp_dTemp_t_GND+EU1_i*d_delTemp_dTemp_t_GND*(((EU1_i*delTemp)-(-EU_i))-1.0e-6))))));
EU_t = (EU_i+(((((EU1_i*delTemp)==0.0)&&((-EU_i)==0.0))&&(1.0e-6==0.0))?0.0:((-EU_i)+(0.5*((((EU1_i*delTemp)-(-EU_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(EU1_i*delTemp))-1.0e-6)*((1.0+(EU1_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_EU_t_dTemp_t_GND = EU_i*(((((1.0+(EU1_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(EU1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(EU1_i*delTemp))-1.0e-6)*EU1_i*d_delTemp_dTemp_t_GND+EU1_i*d_delTemp_dTemp_t_GND*((1.0+(EU1_i*delTemp))-1.0e-6))))));
EU_t = (EU_i*(((((1.0+(EU1_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(EU1_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.CVMOD)==1))
{
{
double value_exp_0 = exp(((UTECV_i+(UTE1CV_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0CV_i*(deriv_exp_0_d0*(((UTECV_i+(UTE1CV_i*TRatio))*d_Trat_ln_dTemp_t_GND+UTE1CV_i*d_TRatio_dTemp_t_GND*Trat_ln)));
T1 = (U0CV_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_u0_cv_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTLCV_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
u0_cv = (T1+(((((UTLCV_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}
{
double value_exp_0 = exp(((UA1CV_i+(UA2CV_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UACV_t_dTemp_t_GND = UACV_i*(deriv_exp_0_d0*(((UA1CV_i+(UA2CV_i*TRatio))*d_Trat_ln_dTemp_t_GND+UA2CV_i*d_TRatio_dTemp_t_GND*Trat_ln)));
UACV_t = (UACV_i*value_exp_0);
}
{
double value_exp_0 = exp(((UD1CV_i+(UD2CV_i*TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UDCV_t_dTemp_t_GND = UDCV_i*(deriv_exp_0_d0*(((UD1CV_i+(UD2CV_i*TRatio))*d_Trat_ln_dTemp_t_GND+UD2CV_i*d_TRatio_dTemp_t_GND*Trat_ln)));
UDCV_t = (UDCV_i*value_exp_0);
}
}
if ((PRT_i==PRT1_i))
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = PRT_i*d_delTemp_dTemp_t_GND;
T2 = (1.0+(PRT_i*delTemp));
}
else
{
if ((TR0_i<Tnom))
{

d_rdstemp0_dTemp_t_GND = PRT_i*d_delTemp_dTemp_t_GND;
rdstemp0 = (1+(PRT_i*delTemp));

d_rdstemp1_dTemp_t_GND = PRT1_i*d_DevTemp_dTemp_t_GND;
rdstemp1 = ((1+(PRT1_i*(DevTemp-TR0_i)))+(PRT_i*(TR0_i-Tnom)));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = ((PRT_i-PRT1_i)*(TR0_i-Tnom));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND+(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T2 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3+value_sqrt_1))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND-(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T2 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3-value_sqrt_1))));
}
}
}
else
{

d_rdstemp1_dTemp_t_GND = PRT1_i*d_DevTemp_dTemp_t_GND;
rdstemp1 = (1+(PRT1_i*(DevTemp-Tnom)));

d_rdstemp0_dTemp_t_GND = PRT_i*d_DevTemp_dTemp_t_GND;
rdstemp0 = ((1+(PRT_i*(DevTemp-TR0_i)))+(PRT1_i*(TR0_i-Tnom)));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = ((PRT1_i-PRT_i)*(TR0_i-Tnom));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp1-rdstemp0)*(rdstemp1-rdstemp0))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp1_dTemp_t_GND+d_rdstemp0_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp1-rdstemp0)*(d_rdstemp1_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)+(d_rdstemp1_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)*(rdstemp1-rdstemp0))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND+(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T2 = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp1+rdstemp0)+value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3+value_sqrt_1))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp1-rdstemp0)*(rdstemp1-rdstemp0))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp1_dTemp_t_GND+d_rdstemp0_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp1-rdstemp0)*(d_rdstemp1_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)+(d_rdstemp1_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)*(rdstemp1-rdstemp0))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND-(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T2 = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp1+rdstemp0)-value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3-value_sqrt_1))));
}
}
}
}
{
double value_sqrt_0 = sqrt((((T2-1.0e-6)*(T2-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_rdstemp_dTemp_t_GND = ((((T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(d_T2_dTemp_t_GND+(deriv_sqrt_0_d0*(((T2-1.0e-6)*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*(T2-1.0e-6))))));
rdstemp = ((((T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((T2-1.0e-6)+value_sqrt_0)));
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT_i))-1.0e-6)*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT_i))-1.0e-6))-((4.0*(-VSAT_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT_t_dTemp_t_GND = (((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT_i))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT_i))-1.0e-6))))));
VSAT_t = (VSAT_i+(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT_i)+(0.5*((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*(((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT_t_dTemp_t_GND = VSAT_i*((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))))));
VSAT_t = (VSAT_i*((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSATR_i))-1.0e-6)*(((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSATR_i))-1.0e-6))-((4.0*(-VSATR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATR_t_dTemp_t_GND = (((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSATR_i))-1.0e-6)*((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSATR_i))-1.0e-6))))));
VSATR_t = (VSATR_i+(((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSATR_i)+(0.5*((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSATR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*(((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATR_t_dTemp_t_GND = VSATR_i*((((((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))))));
VSATR_t = (VSATR_i*((((((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-ATR_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((VSATR_t<1000))
{
UserInfo(*this)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSATR_t << " " <<  std::endl; 

d_VSATR_t_dTemp_t_GND =  0.0;
VSATR_t = 1000;
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1_i))-1.0e-6)*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1_i))-1.0e-6))-((4.0*(-VSAT1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1_t_dTemp_t_GND = (((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1_i))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1_i))-1.0e-6))))));
VSAT1_t = (VSAT1_i+(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT1_i)+(0.5*((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*(((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1_t_dTemp_t_GND = VSAT1_i*((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))))));
VSAT1_t = (VSAT1_i*((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1R_i))-1.0e-6)*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1R_i))-1.0e-6))-((4.0*(-VSAT1R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1R_t_dTemp_t_GND = (((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1R_i))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1R_i))-1.0e-6))))));
VSAT1R_t = (VSAT1R_i+(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))==0.0)&&((-VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT1R_i)+(0.5*((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp)*delTemp))-(-VSAT1R_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*(((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1R_t_dTemp_t_GND = VSAT1R_i*((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2)*d_delTemp_dTemp_t_GND*delTemp))*(((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6))))));
VSAT1R_t = (VSAT1R_i*((((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-AT_i)*delTemp))+(((model_.AT2)*delTemp)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((VSAT1R_t<1000))
{
UserInfo(*this)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSAT1R_t << " " <<  std::endl; 

d_VSAT1R_t_dTemp_t_GND =  0.0;
VSAT1R_t = 1000;
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))-(-VSATCV_i))-1.0e-6)*(((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))-(-VSATCV_i))-1.0e-6))-((4.0*(-VSATCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATCV_t_dTemp_t_GND = (((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))==0.0)&&((-VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2CV)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))-(-VSATCV_i))-1.0e-6)*((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2CV)*d_delTemp_dTemp_t_GND*delTemp))+((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2CV)*d_delTemp_dTemp_t_GND*delTemp))*(((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))-(-VSATCV_i))-1.0e-6))))));
VSATCV_t = (VSATCV_i+(((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))==0.0)&&((-VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSATCV_i)+(0.5*((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp)*delTemp))-(-VSATCV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6)*(((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATCV_t_dTemp_t_GND = VSATCV_i*((((((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2CV)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6)*((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2CV)*d_delTemp_dTemp_t_GND*delTemp))+((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp)*d_delTemp_dTemp_t_GND+(model_.AT2CV)*d_delTemp_dTemp_t_GND*delTemp))*(((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6))))));
VSATCV_t = (VSATCV_i*((((((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-ATCV_i)*delTemp))+(((model_.AT2CV)*delTemp)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_sqrt_0 = sqrt(((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)*((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_MEXP_t_dTemp_t_GND = (((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(MEXP_i*((model_.TMEXP)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.TMEXP2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)*MEXP_i*((model_.TMEXP)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.TMEXP2)*d_delTemp_dTemp_t_GND*delTemp))+MEXP_i*((model_.TMEXP)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.TMEXP2)*d_delTemp_dTemp_t_GND*delTemp))*((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0))))));
MEXP_t = ((((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)*((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_MEXPR_t_dTemp_t_GND = (((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(MEXPR_i*((model_.TMEXPR)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.TMEXP2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)*MEXPR_i*((model_.TMEXPR)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.TMEXP2)*d_delTemp_dTemp_t_GND*delTemp))+MEXPR_i*((model_.TMEXPR)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.TMEXP2)*d_delTemp_dTemp_t_GND*delTemp))*((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0))))));
MEXPR_t = ((((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp)*delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))-(-KSATIV_i))-1.0e-6)*(((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))-(-KSATIV_i))-1.0e-6))-((4.0*(-KSATIV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_KSATIV_t_dTemp_t_GND = (((((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))==0.0)&&((-KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((model_.KSATIVT1)*d_delTemp_dTemp_t_GND+(((model_.KSATIVT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))-(-KSATIV_i))-1.0e-6)*((model_.KSATIVT1)*d_delTemp_dTemp_t_GND+(((model_.KSATIVT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp_dTemp_t_GND*delTemp))+((model_.KSATIVT1)*d_delTemp_dTemp_t_GND+(((model_.KSATIVT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp_dTemp_t_GND*delTemp))*(((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))-(-KSATIV_i))-1.0e-6))))));
KSATIV_t = (KSATIV_i+(((((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))==0.0)&&((-KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-KSATIV_i)+(0.5*((((((model_.KSATIVT1)*delTemp)+(((model_.KSATIVT2)*delTemp)*delTemp))-(-KSATIV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6)*(((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_KSATIV_t_dTemp_t_GND = KSATIV_i*((((((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((model_.KSATIVT1)*d_delTemp_dTemp_t_GND+(((model_.KSATIVT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp_dTemp_t_GND*delTemp))+(deriv_sqrt_0_d0*(((((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6)*((model_.KSATIVT1)*d_delTemp_dTemp_t_GND+(((model_.KSATIVT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp_dTemp_t_GND*delTemp))+((model_.KSATIVT1)*d_delTemp_dTemp_t_GND+(((model_.KSATIVT2)*delTemp)*d_delTemp_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp_dTemp_t_GND*delTemp))*(((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6))))));
KSATIV_t = (KSATIV_i*((((((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((model_.KSATIVT1)*delTemp))+(((model_.KSATIVT2)*delTemp)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.PCLMT)*delTemp)-(-PCLM_i))-1.0e-6)*((((model_.PCLMT)*delTemp)-(-PCLM_i))-1.0e-6))-((4.0*(-PCLM_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PCLM_t_dTemp_t_GND = ((((((model_.PCLMT)*delTemp)==0.0)&&((-PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.PCLMT)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.PCLMT)*delTemp)-(-PCLM_i))-1.0e-6)*(model_.PCLMT)*d_delTemp_dTemp_t_GND+(model_.PCLMT)*d_delTemp_dTemp_t_GND*((((model_.PCLMT)*delTemp)-(-PCLM_i))-1.0e-6))))));
PCLM_t = (PCLM_i+((((((model_.PCLMT)*delTemp)==0.0)&&((-PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:((-PCLM_i)+(0.5*(((((model_.PCLMT)*delTemp)-(-PCLM_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.PCLMT)*delTemp))-1.0e-6)*((1.0+((model_.PCLMT)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PCLM_t_dTemp_t_GND = PCLM_i*(((((1.0+((model_.PCLMT)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.PCLMT)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.PCLMT)*delTemp))-1.0e-6)*(model_.PCLMT)*d_delTemp_dTemp_t_GND+(model_.PCLMT)*d_delTemp_dTemp_t_GND*((1.0+((model_.PCLMT)*delTemp))-1.0e-6))))));
PCLM_t = (PCLM_i*(((((1.0+((model_.PCLMT)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.PCLMT)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_exp_0 = exp(((model_.KT12)*(DevTemp-(model_.TVTH))));
double value_exp_1 = exp(((model_.KT12)*(Tnom-(model_.TVTH))));
double  deriv_exp_0_d0 = value_exp_0;

d_dvth_temp_dTemp_t_GND = ((KT1_i+((model_.KT1L)/Leff))*d_TRatio_m1_dTemp_t_GND+(-(model_.KT11)*((((model_.KT12)*(DevTemp-(model_.TVTH)))>80.0)?5.540622384e34*(model_.KT12)*d_DevTemp_dTemp_t_GND:((((model_.KT12)*(DevTemp-(model_.TVTH)))<(-80.0))?0.0:(deriv_exp_0_d0*((model_.KT12)*d_DevTemp_dTemp_t_GND))))/(1+((((model_.KT12)*(DevTemp-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(DevTemp-(model_.TVTH))))-80.0)):((((model_.KT12)*(DevTemp-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_0)))/(1+((((model_.KT12)*(DevTemp-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(DevTemp-(model_.TVTH))))-80.0)):((((model_.KT12)*(DevTemp-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_0)))));
dvth_temp = ((((KT1_i+((model_.KT1L)/Leff))*TRatio_m1)+((model_.KT11)/(1+((((model_.KT12)*(DevTemp-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(DevTemp-(model_.TVTH))))-80.0)):((((model_.KT12)*(DevTemp-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_0)))))-((model_.KT11)/(1+((((model_.KT12)*(Tnom-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(Tnom-(model_.TVTH))))-80.0)):((((model_.KT12)*(Tnom-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_1)))));
}
}
else
{
{
double value_exp_0 = exp(((UTE_i+(UTE1_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0_i*(deriv_exp_0_d0*(((UTE_i+(UTE1_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UTE1_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
T1 = (U0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_u0_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTL_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTL_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
u0 = (T1+(((((UTL_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTL_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}
if (((model_.ASYMMOD)==1))
{
{
double value_exp_0 = exp(((UTER_i+(UTE1_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0R_i*(deriv_exp_0_d0*(((UTER_i+(UTE1_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UTE1_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
T1 = (U0R_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_U0R_t_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTLR_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTLR_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
U0R_t = (T1+(((((UTLR_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTLR_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}

d_u0r_dTemp_t_GND = d_U0R_t_dTemp_t_GND;
u0r = U0R_t;
}
if ((Tnom>210))
{
{
double value_log_0 = log((210/Tnom));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (210*((UA1_i/(UA_i+(UA1_i*(210-Tnom))))-((UA2_i*((((210/Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))/Tnom)));
}
{
double value_pow_0 = pow((210/Tnom),(T2+(UA2_i*(210/Tnom))));
double  deriv_pow_0_d1 = ((210/Tnom) == 0.0)?0.0:(log((210/Tnom))*value_pow_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-(UA_i+(UA1_i*(210-Tnom)))*(deriv_pow_0_d1*(d_T2_dTemp_t_GND))/value_pow_0/value_pow_0);
T1 = ((UA_i+(UA1_i*(210-Tnom)))/value_pow_0);
}
{
double value_pow_0 = pow(TRatio,(T2+(UA2_i*TRatio)));
double  deriv_pow_0_d0 = ((TRatio == 0.0)?0.0:(value_pow_0*(T2+(UA2_i*TRatio))/TRatio));
double  deriv_pow_0_d1 = (TRatio == 0.0)?0.0:(log(TRatio)*value_pow_0);

d_UA_tl_dTemp_t_GND = (T1*((deriv_pow_0_d0*(d_TRatio_dTemp_t_GND))+(deriv_pow_0_d1*((d_T2_dTemp_t_GND+UA2_i*d_TRatio_dTemp_t_GND))))+d_T1_dTemp_t_GND*value_pow_0);
UA_tl = (T1*value_pow_0);
}

d_UA_th_dTemp_t_GND = UA1_i*d_delTemp_dTemp_t_GND;
UA_th = (UA_i+(UA1_i*delTemp));
}
else
{
{
double value_pow_0 = pow((210/Tnom),(UA1_i+(UA2_i*(210/Tnom))));
double value_log_1 = log((210/Tnom));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((UA_i*value_pow_0)*((UA1_i/210)+((UA2_i*((((210/Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/Tnom)));
}
{
double value_pow_0 = pow((210/Tnom),(UA1_i+(UA2_i*(210/Tnom))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-d_T2_dTemp_t_GND*(210-Tnom));
T1 = ((UA_i*value_pow_0)-(T2*(210-Tnom)));
}
{
double value_pow_0 = pow(TRatio,(UA1_i+(UA2_i*TRatio)));
double  deriv_pow_0_d0 = ((TRatio == 0.0)?0.0:(value_pow_0*(UA1_i+(UA2_i*TRatio))/TRatio));
double  deriv_pow_0_d1 = (TRatio == 0.0)?0.0:(log(TRatio)*value_pow_0);

d_UA_tl_dTemp_t_GND = UA_i*((deriv_pow_0_d0*(d_TRatio_dTemp_t_GND))+(deriv_pow_0_d1*(UA2_i*d_TRatio_dTemp_t_GND)));
UA_tl = (UA_i*value_pow_0);
}

d_UA_th_dTemp_t_GND = (d_T1_dTemp_t_GND+(T2*d_delTemp_dTemp_t_GND+d_T2_dTemp_t_GND*delTemp));
UA_th = (T1+(T2*delTemp));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = ((wl*d_UA_tl_dTemp_t_GND+d_wl_dTemp_t_GND*UA_tl)+(wh*d_UA_th_dTemp_t_GND+d_wh_dTemp_t_GND*UA_th));
T0 = ((wl*UA_tl)+(wh*UA_th));
{
double value_sqrt_0 = sqrt(((T0*T0)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UA_t_dTemp_t_GND = (((T0==0.0)&&(1.0e-6==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)))));
UA_t = (((T0==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(T0+value_sqrt_0)));
}
if (((model_.ASYMMOD)!=0))
{
if ((Tnom>210))
{
{
double value_log_0 = log((210/Tnom));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (210*((UA1R_i/(UAR_i+(UA1R_i*(210-Tnom))))-((UA2_i*((((210/Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))/Tnom)));
}
{
double value_pow_0 = pow((210/Tnom),(T2+(UA2_i*(210/Tnom))));
double  deriv_pow_0_d1 = ((210/Tnom) == 0.0)?0.0:(log((210/Tnom))*value_pow_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-(UAR_i+(UA1R_i*(210-Tnom)))*(deriv_pow_0_d1*(d_T2_dTemp_t_GND))/value_pow_0/value_pow_0);
T1 = ((UAR_i+(UA1R_i*(210-Tnom)))/value_pow_0);
}
{
double value_pow_0 = pow(TRatio,(T2+(UA2_i*TRatio)));
double  deriv_pow_0_d0 = ((TRatio == 0.0)?0.0:(value_pow_0*(T2+(UA2_i*TRatio))/TRatio));
double  deriv_pow_0_d1 = (TRatio == 0.0)?0.0:(log(TRatio)*value_pow_0);

d_UAR_tl_dTemp_t_GND = (T1*((deriv_pow_0_d0*(d_TRatio_dTemp_t_GND))+(deriv_pow_0_d1*((d_T2_dTemp_t_GND+UA2_i*d_TRatio_dTemp_t_GND))))+d_T1_dTemp_t_GND*value_pow_0);
UAR_tl = (T1*value_pow_0);
}

d_UAR_th_dTemp_t_GND = UA1R_i*d_delTemp_dTemp_t_GND;
UAR_th = (UAR_i+(UA1R_i*delTemp));
}
else
{
{
double value_pow_0 = pow((210/Tnom),(UA1R_i+(UA2_i*(210/Tnom))));
double value_log_1 = log((210/Tnom));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((UAR_i*value_pow_0)*((UA1R_i/210)+((UA2_i*((((210/Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/Tnom)));
}
{
double value_pow_0 = pow((210/Tnom),(UA1R_i+(UA2_i*(210/Tnom))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-d_T2_dTemp_t_GND*(210-Tnom));
T1 = ((UAR_i*value_pow_0)-(T2*(210-Tnom)));
}
{
double value_pow_0 = pow(TRatio,(UA1R_i+(UA2_i*TRatio)));
double  deriv_pow_0_d0 = ((TRatio == 0.0)?0.0:(value_pow_0*(UA1R_i+(UA2_i*TRatio))/TRatio));
double  deriv_pow_0_d1 = (TRatio == 0.0)?0.0:(log(TRatio)*value_pow_0);

d_UAR_tl_dTemp_t_GND = UAR_i*((deriv_pow_0_d0*(d_TRatio_dTemp_t_GND))+(deriv_pow_0_d1*(UA2_i*d_TRatio_dTemp_t_GND)));
UAR_tl = (UAR_i*value_pow_0);
}

d_UAR_th_dTemp_t_GND = (d_T1_dTemp_t_GND+(T2*d_delTemp_dTemp_t_GND+d_T2_dTemp_t_GND*delTemp));
UAR_th = (T1+(T2*delTemp));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = ((wl*d_UAR_tl_dTemp_t_GND+d_wl_dTemp_t_GND*UAR_tl)+(wh*d_UAR_th_dTemp_t_GND+d_wh_dTemp_t_GND*UAR_th));
T0 = ((wl*UAR_tl)+(wh*UAR_th));
{
double value_sqrt_0 = sqrt(((T0*T0)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UAR_t_dTemp_t_GND = (((T0==0.0)&&(1.0e-6==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)))));
UAR_t = (((T0==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(T0+value_sqrt_0)));
}
}
{
double value_exp_0 = exp(((UD1_i+(UD2_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UD_t_dTemp_t_GND = UD_i*(deriv_exp_0_d0*(((UD1_i+(UD2_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UD2_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
UD_t = (UD_i*value_exp_0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_exp_0 = exp(((UD1R_i+(UD2_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UDR_t_dTemp_t_GND = UDR_i*(deriv_exp_0_d0*(((UD1R_i+(UD2_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UD2_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
UDR_t = (UDR_i*value_exp_0);
}
}
{
double value_exp_0 = exp(((UCSTE_i+(UCSTE1_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UCS_t_dTemp_t_GND = UCS_i*(deriv_exp_0_d0*(((UCSTE_i+(UCSTE1_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UCSTE1_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
UCS_t = (UCS_i*value_exp_0);
}
if ((fabs(((UDS1_i*(Tnom-210))/Tnom))<1.0e-6))
{
{
double value_exp_0 = exp((UDS1_i*delTRatio1));
double  deriv_exp_0_d0 = value_exp_0;

d_UDS_t_dTemp_t_GND = UDS_i*(((UDS1_i*delTRatio1)>80.0)?5.540622384e34*UDS1_i*d_delTRatio1_dTemp_t_GND:(((UDS1_i*delTRatio1)<(-80.0))?0.0:(deriv_exp_0_d0*(UDS1_i*d_delTRatio1_dTemp_t_GND))));
UDS_t = (UDS_i*((((UDS1_i*delTRatio1)>80.0)?(5.540622384e34*((1.0+(UDS1_i*delTRatio1))-80.0)):(((UDS1_i*delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
}
else
{
{
double value_exp_0 = exp((UDS1_i*delTRatio1));
double value_exp_1 = exp(((UDS1_i*(Tnom-210))/Tnom));
double value_fabs_2 = fabs((((((UDS1_i*(Tnom-210))/Tnom)>80.0)?(5.540622384e34*((1.0+((UDS1_i*(Tnom-210))/Tnom))-80.0)):((((UDS1_i*(Tnom-210))/Tnom)<(-80.0))?1.804851387e-35:value_exp_1))-1));
double  deriv_exp_0_d0 = value_exp_0;

d_UDS_t_dTemp_t_GND = (UDS_i*(((UDS1_i*delTRatio1)>80.0)?5.540622384e34*UDS1_i*d_delTRatio1_dTemp_t_GND:(((UDS1_i*delTRatio1)<(-80.0))?0.0:(deriv_exp_0_d0*(UDS1_i*d_delTRatio1_dTemp_t_GND))))/value_fabs_2);
UDS_t = ((UDS_i*((((UDS1_i*delTRatio1)>80.0)?(5.540622384e34*((1.0+(UDS1_i*delTRatio1))-80.0)):(((UDS1_i*delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))/value_fabs_2);
}
}
if ((fabs(((UDD1_i*(Tnom-210))/Tnom))<1.0e-6))
{
{
double value_exp_0 = exp((UDD1_i*delTRatio1));
double  deriv_exp_0_d0 = value_exp_0;

d_UDD_t_dTemp_t_GND = UDD_i*(((UDD1_i*delTRatio1)>80.0)?5.540622384e34*UDD1_i*d_delTRatio1_dTemp_t_GND:(((UDD1_i*delTRatio1)<(-80.0))?0.0:(deriv_exp_0_d0*(UDD1_i*d_delTRatio1_dTemp_t_GND))));
UDD_t = (UDD_i*((((UDD1_i*delTRatio1)>80.0)?(5.540622384e34*((1.0+(UDD1_i*delTRatio1))-80.0)):(((UDD1_i*delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
}
else
{
{
double value_exp_0 = exp((UDD1_i*delTRatio1));
double value_exp_1 = exp(((UDD1_i*(Tnom-210))/Tnom));
double value_fabs_2 = fabs((((((UDD1_i*(Tnom-210))/Tnom)>80.0)?(5.540622384e34*((1.0+((UDD1_i*(Tnom-210))/Tnom))-80.0)):((((UDD1_i*(Tnom-210))/Tnom)<(-80.0))?1.804851387e-35:value_exp_1))-1));
double  deriv_exp_0_d0 = value_exp_0;

d_UDD_t_dTemp_t_GND = (UDD_i*(((UDD1_i*delTRatio1)>80.0)?5.540622384e34*UDD1_i*d_delTRatio1_dTemp_t_GND:(((UDD1_i*delTRatio1)<(-80.0))?0.0:(deriv_exp_0_d0*(UDD1_i*d_delTRatio1_dTemp_t_GND))))/value_fabs_2);
UDD_t = ((UDD_i*((((UDD1_i*delTRatio1)>80.0)?(5.540622384e34*((1.0+(UDD1_i*delTRatio1))-80.0)):(((UDD1_i*delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))/value_fabs_2);
}
}

d_UDSeff_t_dTemp_t_GND = d_UDS_t_dTemp_t_GND;
UDSeff_t = (0.5+UDS_t);

d_UDDeff_t_dTemp_t_GND = d_UDD_t_dTemp_t_GND;
UDDeff_t = (0.5+UDD_t);
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((EU1_i*delTemp1)-(-EU_i))-1.0e-6)*(((EU1_i*delTemp1)-(-EU_i))-1.0e-6))-((4.0*(-EU_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_EU_t_dTemp_t_GND = (((((EU1_i*delTemp1)==0.0)&&((-EU_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(EU1_i*d_delTemp1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((EU1_i*delTemp1)-(-EU_i))-1.0e-6)*EU1_i*d_delTemp1_dTemp_t_GND+EU1_i*d_delTemp1_dTemp_t_GND*(((EU1_i*delTemp1)-(-EU_i))-1.0e-6))))));
EU_t = (EU_i+(((((EU1_i*delTemp1)==0.0)&&((-EU_i)==0.0))&&(1.0e-6==0.0))?0.0:((-EU_i)+(0.5*((((EU1_i*delTemp1)-(-EU_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT_i))-1.0e-6)*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT_i))-1.0e-6))-((4.0*(-VSAT_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT_t_dTemp_t_GND = (((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT_i))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT_i))-1.0e-6))))));
VSAT_t = (VSAT_i+(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT_i)+(0.5*((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT_i))-1.0e-6)+value_sqrt_0)))));
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSATR_i))-1.0e-6)*(((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSATR_i))-1.0e-6))-((4.0*(-VSATR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATR_t_dTemp_t_GND = (((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSATR_i))-1.0e-6)*((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-ATR_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSATR_i))-1.0e-6))))));
VSATR_t = (VSATR_i+(((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSATR_i)+(0.5*((((((-ATR_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSATR_i))-1.0e-6)+value_sqrt_0)))));
}
if ((VSATR_t<1000))
{
UserInfo(*this)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSATR_t << " " <<  std::endl; 

d_VSATR_t_dTemp_t_GND =  0.0;
VSATR_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1_i))-1.0e-6)*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1_i))-1.0e-6))-((4.0*(-VSAT1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1_t_dTemp_t_GND = (((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1_i))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1_i))-1.0e-6))))));
VSAT1_t = (VSAT1_i+(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT1_i)+(0.5*((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1_i))-1.0e-6)+value_sqrt_0)))));
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1R_i))-1.0e-6)*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1R_i))-1.0e-6))-((4.0*(-VSAT1R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1R_t_dTemp_t_GND = (((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1R_i))-1.0e-6)*((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-AT_i)*d_delTemp_dTemp_t_GND+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1R_i))-1.0e-6))))));
VSAT1R_t = (VSAT1R_i+(((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))==0.0)&&((-VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSAT1R_i)+(0.5*((((((-AT_i)*delTemp)+(((model_.AT2)*delTemp1)*delTemp1))-(-VSAT1R_i))-1.0e-6)+value_sqrt_0)))));
}
if ((VSAT1R_t<1000))
{
UserInfo(*this)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSAT1R_t << " " <<  std::endl; 

d_VSAT1R_t_dTemp_t_GND =  0.0;
VSAT1R_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))-(-VSATCV_i))-1.0e-6)*(((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))-(-VSATCV_i))-1.0e-6))-((4.0*(-VSATCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATCV_t_dTemp_t_GND = (((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))==0.0)&&((-VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2CV)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))-(-VSATCV_i))-1.0e-6)*((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2CV)*d_delTemp1_dTemp_t_GND*delTemp1))+((-ATCV_i)*d_delTemp_dTemp_t_GND+(((model_.AT2CV)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2CV)*d_delTemp1_dTemp_t_GND*delTemp1))*(((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))-(-VSATCV_i))-1.0e-6))))));
VSATCV_t = (VSATCV_i+(((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))==0.0)&&((-VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-VSATCV_i)+(0.5*((((((-ATCV_i)*delTemp)+(((model_.AT2CV)*delTemp1)*delTemp1))-(-VSATCV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))-(-KSATIV_i))-1.0e-6)*(((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))-(-KSATIV_i))-1.0e-6))-((4.0*(-KSATIV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_KSATIV_t_dTemp_t_GND = (((((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))==0.0)&&((-KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(((model_.KSATIVT1)*d_delTemp1_dTemp_t_GND+(((model_.KSATIVT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))-(-KSATIV_i))-1.0e-6)*((model_.KSATIVT1)*d_delTemp1_dTemp_t_GND+(((model_.KSATIVT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((model_.KSATIVT1)*d_delTemp1_dTemp_t_GND+(((model_.KSATIVT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))-(-KSATIV_i))-1.0e-6))))));
KSATIV_t = (KSATIV_i+(((((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))==0.0)&&((-KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-KSATIV_i)+(0.5*((((((model_.KSATIVT1)*delTemp1)+(((model_.KSATIVT2)*delTemp1)*delTemp1))-(-KSATIV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((((model_.PCLMT)*delTemp1)-(-PCLM_i))-1.0e-6)*((((model_.PCLMT)*delTemp1)-(-PCLM_i))-1.0e-6))-((4.0*(-PCLM_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PCLM_t_dTemp_t_GND = ((((((model_.PCLMT)*delTemp1)==0.0)&&((-PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.PCLMT)*d_delTemp1_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.PCLMT)*delTemp1)-(-PCLM_i))-1.0e-6)*(model_.PCLMT)*d_delTemp1_dTemp_t_GND+(model_.PCLMT)*d_delTemp1_dTemp_t_GND*((((model_.PCLMT)*delTemp1)-(-PCLM_i))-1.0e-6))))));
PCLM_t = (PCLM_i+((((((model_.PCLMT)*delTemp1)==0.0)&&((-PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:((-PCLM_i)+(0.5*(((((model_.PCLMT)*delTemp1)-(-PCLM_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(EU1_i*delTemp1))-1.0e-6)*((1.0+(EU1_i*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_EU_t_dTemp_t_GND = EU_i*(((((1.0+(EU1_i*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(EU1_i*d_delTemp1_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(EU1_i*delTemp1))-1.0e-6)*EU1_i*d_delTemp1_dTemp_t_GND+EU1_i*d_delTemp1_dTemp_t_GND*((1.0+(EU1_i*delTemp1))-1.0e-6))))));
EU_t = (EU_i*(((((1.0+(EU1_i*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(EU1_i*delTemp1))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*(((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT_t_dTemp_t_GND = VSAT_i*((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))))));
VSAT_t = (VSAT_i*((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*(((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATR_t_dTemp_t_GND = VSATR_i*((((((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-ATR_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*((-ATR_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-ATR_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))))));
VSATR_t = (VSATR_i*((((((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(ATR_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
if ((VSATR_t<1000))
{
UserInfo(*this)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSATR_t << " " <<  std::endl; 

d_VSATR_t_dTemp_t_GND =  0.0;
VSATR_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*(((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1_t_dTemp_t_GND = VSAT1_i*((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))))));
VSAT1_t = (VSAT1_i*((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*(((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSAT1R_t_dTemp_t_GND = VSAT1R_i*((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)*((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((-AT_i*d_delTemp_dTemp_t_GND)+(((model_.AT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6))))));
VSAT1R_t = (VSAT1R_i*((((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(AT_i*delTemp))+(((model_.AT2)*delTemp1)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
if ((VSAT1R_t<1000))
{
UserInfo(*this)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSAT1R_t << " " <<  std::endl; 

d_VSAT1R_t_dTemp_t_GND =  0.0;
VSAT1R_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6)*(((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATCV_t_dTemp_t_GND = VSATCV_i*((((((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-ATCV_i*d_delTemp_dTemp_t_GND)+(((model_.AT2CV)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2CV)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6)*((-ATCV_i*d_delTemp_dTemp_t_GND)+(((model_.AT2CV)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2CV)*d_delTemp1_dTemp_t_GND*delTemp1))+((-ATCV_i*d_delTemp_dTemp_t_GND)+(((model_.AT2CV)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.AT2CV)*d_delTemp1_dTemp_t_GND*delTemp1))*(((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6))))));
VSATCV_t = (VSATCV_i*((((((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(ATCV_i*delTemp))+(((model_.AT2CV)*delTemp1)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt((((((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6)*(((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_KSATIV_t_dTemp_t_GND = KSATIV_i*((((((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((model_.KSATIVT1)*d_delTemp1_dTemp_t_GND+(((model_.KSATIVT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*(((((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6)*((model_.KSATIVT1)*d_delTemp1_dTemp_t_GND+(((model_.KSATIVT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp1_dTemp_t_GND*delTemp1))+((model_.KSATIVT1)*d_delTemp1_dTemp_t_GND+(((model_.KSATIVT2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.KSATIVT2)*d_delTemp1_dTemp_t_GND*delTemp1))*(((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6))))));
KSATIV_t = (KSATIV_i*((((((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((model_.KSATIVT1)*delTemp1))+(((model_.KSATIVT2)*delTemp1)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((((1.0+((model_.PCLMT)*delTemp1))-1.0e-6)*((1.0+((model_.PCLMT)*delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PCLM_t_dTemp_t_GND = PCLM_i*(((((1.0+((model_.PCLMT)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.PCLMT)*d_delTemp1_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.PCLMT)*delTemp1))-1.0e-6)*(model_.PCLMT)*d_delTemp1_dTemp_t_GND+(model_.PCLMT)*d_delTemp1_dTemp_t_GND*((1.0+((model_.PCLMT)*delTemp1))-1.0e-6))))));
PCLM_t = (PCLM_i*(((((1.0+((model_.PCLMT)*delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.PCLMT)*delTemp1))-1.0e-6)+value_sqrt_0))));
}
}
{
double value_sqrt_0 = sqrt(((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)*((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_MEXP_t_dTemp_t_GND = (((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(MEXP_i*((model_.TMEXP)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.TMEXP2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)*MEXP_i*((model_.TMEXP)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.TMEXP2)*d_delTemp1_dTemp_t_GND*delTemp1))+MEXP_i*((model_.TMEXP)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.TMEXP2)*d_delTemp1_dTemp_t_GND*delTemp1))*((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0))))));
MEXP_t = ((((((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((MEXP_i*((1.0+((model_.TMEXP)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)+value_sqrt_0)))+2.0);
}
if (((model_.ASYMMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)*((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_MEXPR_t_dTemp_t_GND = (((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(MEXPR_i*((model_.TMEXPR)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.TMEXP2)*d_delTemp1_dTemp_t_GND*delTemp1))+(deriv_sqrt_0_d0*((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)*MEXPR_i*((model_.TMEXPR)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.TMEXP2)*d_delTemp1_dTemp_t_GND*delTemp1))+MEXPR_i*((model_.TMEXPR)*d_delTemp_dTemp_t_GND+(((model_.TMEXP2)*delTemp1)*d_delTemp1_dTemp_t_GND+(model_.TMEXP2)*d_delTemp1_dTemp_t_GND*delTemp1))*((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0))))));
MEXPR_t = ((((((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((MEXPR_i*((1.0+((model_.TMEXPR)*delTemp))+(((model_.TMEXP2)*delTemp1)*delTemp1)))-2.0)+value_sqrt_0)))+2.0);
}
}
if (((model_.CVMOD)==1))
{
{
double value_exp_0 = exp(((UTECV_i+(UTE1CV_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = U0CV_i*(deriv_exp_0_d0*(((UTECV_i+(UTE1CV_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UTE1CV_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
T1 = (U0CV_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)*(((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4))-(((4.0*(-0.9))*T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_u0_cv_dTemp_t_GND = (d_T1_dTemp_t_GND+(((((UTLCV_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*d_T1_dTemp_t_GND+0.5*((UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(deriv_sqrt_0_d0*((((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)*(UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)+(UTLCV_i*d_delTemp_dTemp_t_GND-(-0.9)*d_T1_dTemp_t_GND)*(((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4))-(4.0*(-0.9))*d_T1_dTemp_t_GND*1.0e-4)))))));
u0_cv = (T1+(((((UTLCV_i*delTemp)==0.0)&&(((-0.9)*T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*T1)+(0.5*((((UTLCV_i*delTemp)-((-0.9)*T1))-1.0e-4)+value_sqrt_0)))));
}
if ((Tnom>210))
{
{
double value_log_0 = log((210/Tnom));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (210*((UA1CV_i/(UACV_i+(UA1CV_i*(210-Tnom))))-((UA2CV_i*((((210/Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))/Tnom)));
}
{
double value_pow_0 = pow((210/Tnom),(T2+(UA2CV_i*(210/Tnom))));
double  deriv_pow_0_d1 = ((210/Tnom) == 0.0)?0.0:(log((210/Tnom))*value_pow_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-(UACV_i+(UA1CV_i*(210-Tnom)))*(deriv_pow_0_d1*(d_T2_dTemp_t_GND))/value_pow_0/value_pow_0);
T1 = ((UACV_i+(UA1CV_i*(210-Tnom)))/value_pow_0);
}
{
double value_pow_0 = pow(TRatio,(T2+(UA2CV_i*TRatio)));
double  deriv_pow_0_d0 = ((TRatio == 0.0)?0.0:(value_pow_0*(T2+(UA2CV_i*TRatio))/TRatio));
double  deriv_pow_0_d1 = (TRatio == 0.0)?0.0:(log(TRatio)*value_pow_0);

d_UACV_tl_dTemp_t_GND = (T1*((deriv_pow_0_d0*(d_TRatio_dTemp_t_GND))+(deriv_pow_0_d1*((d_T2_dTemp_t_GND+UA2CV_i*d_TRatio_dTemp_t_GND))))+d_T1_dTemp_t_GND*value_pow_0);
UACV_tl = (T1*value_pow_0);
}

d_UACV_th_dTemp_t_GND = UA1CV_i*d_delTemp_dTemp_t_GND;
UACV_th = (UACV_i+(UA1CV_i*delTemp));
}
else
{
{
double value_pow_0 = pow((210/Tnom),(UA1CV_i+(UA2CV_i*(210/Tnom))));
double value_log_1 = log((210/Tnom));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = ((UACV_i*value_pow_0)*((UA1CV_i/210)+((UA2CV_i*((((210/Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/Tnom)));
}
{
double value_pow_0 = pow((210/Tnom),(UA1CV_i+(UA2CV_i*(210/Tnom))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-d_T2_dTemp_t_GND*(210-Tnom));
T1 = ((UACV_i*value_pow_0)-(T2*(210-Tnom)));
}
{
double value_pow_0 = pow(TRatio,(UA1CV_i+(UA2CV_i*TRatio)));
double  deriv_pow_0_d0 = ((TRatio == 0.0)?0.0:(value_pow_0*(UA1CV_i+(UA2CV_i*TRatio))/TRatio));
double  deriv_pow_0_d1 = (TRatio == 0.0)?0.0:(log(TRatio)*value_pow_0);

d_UACV_tl_dTemp_t_GND = UACV_i*((deriv_pow_0_d0*(d_TRatio_dTemp_t_GND))+(deriv_pow_0_d1*(UA2CV_i*d_TRatio_dTemp_t_GND)));
UACV_tl = (UACV_i*value_pow_0);
}

d_UACV_th_dTemp_t_GND = (d_T1_dTemp_t_GND+(T2*d_delTemp_dTemp_t_GND+d_T2_dTemp_t_GND*delTemp));
UACV_th = (T1+(T2*delTemp));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = ((wl*d_UACV_tl_dTemp_t_GND+d_wl_dTemp_t_GND*UACV_tl)+(wh*d_UACV_th_dTemp_t_GND+d_wh_dTemp_t_GND*UACV_th));
T0 = ((wl*UACV_tl)+(wh*UACV_th));
{
double value_sqrt_0 = sqrt(((T0*T0)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UACV_t_dTemp_t_GND = (((T0==0.0)&&(1.0e-6==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)))));
UACV_t = (((T0==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(T0+value_sqrt_0)));
}
{
double value_exp_0 = exp(((UD1CV_i+(UD2CV_i*delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_UDCV_t_dTemp_t_GND = UDCV_i*(deriv_exp_0_d0*(((UD1CV_i+(UD2CV_i*delTRatio1))*d_Trat_ln_dTemp_t_GND+UD2CV_i*d_delTRatio1_dTemp_t_GND*Trat_ln)));
UDCV_t = (UDCV_i*value_exp_0);
}
}
if ((PRT_i==PRT1_i))
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = PRT_i*d_delTemp_dTemp_t_GND;
T2 = (1.0+(PRT_i*delTemp));
}
else
{
if ((TR0_i<210))
{
if ((Tnom>210))
{

d_rdstemp0_dTemp_t_GND = PRT_i*d_delTemp_dTemp_t_GND;
rdstemp0 = (1+(PRT_i*delTemp));

d_rdstemp1_dTemp_t_GND = PRT1_i*d_DevTemp_dTemp_t_GND;
rdstemp1 = ((1+(PRT1_i*(DevTemp-TR0_i)))+(PRT_i*(TR0_i-Tnom)));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1+(PRT_i*(210-Tnom)));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
T4 = ((1+(PRT1_i*(210-TR0_i)))+(PRT_i*(TR0_i-Tnom)));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3-T4)*(T3-T4))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si =  0.0;
d_T5_dTemp_t_GND = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(T4==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_T3_dTemp_t_GND+d_T4_dTemp_t_GND)+(deriv_sqrt_1_d0*(((T3-T4)*(d_T3_dTemp_t_GND-d_T4_dTemp_t_GND)+(d_T3_dTemp_t_GND-d_T4_dTemp_t_GND)*(T3-T4)))))))+d_T3_dTemp_t_GND);
T5 = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((T3==0.0)&&(T4==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((T3+T4)+value_sqrt_1))))+T3);
}
{
double value_sqrt_0 = sqrt((((T5-rdstemp0)*(T5-rdstemp0))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T5_dTemp_t_GND+d_rdstemp0_dTemp_t_GND)+(deriv_sqrt_0_d0*(((T5-rdstemp0)*(d_T5_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)+(d_T5_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)*(T5-rdstemp0))))));
T2 = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T5+rdstemp0)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3-T4)*(T3-T4))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si =  0.0;
d_T5_dTemp_t_GND = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(T4==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_T3_dTemp_t_GND+d_T4_dTemp_t_GND)-(deriv_sqrt_1_d0*(((T3-T4)*(d_T3_dTemp_t_GND-d_T4_dTemp_t_GND)+(d_T3_dTemp_t_GND-d_T4_dTemp_t_GND)*(T3-T4)))))))+d_T3_dTemp_t_GND);
T5 = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((T3==0.0)&&(T4==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((T3+T4)-value_sqrt_1))))+T3);
}
{
double value_sqrt_0 = sqrt((((T5-rdstemp0)*(T5-rdstemp0))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T5_dTemp_t_GND+d_rdstemp0_dTemp_t_GND)-(deriv_sqrt_0_d0*(((T5-rdstemp0)*(d_T5_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)+(d_T5_dTemp_t_GND-d_rdstemp0_dTemp_t_GND)*(T5-rdstemp0))))));
T2 = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T5+rdstemp0)-value_sqrt_0)));
}
}
}
else
{
if ((Tnom>TR0_i))
{

d_rdstemp0_dTemp_t_GND = PRT_i*d_delTemp_dTemp_t_GND;
rdstemp0 = (1+(PRT_i*delTemp));

d_rdstemp1_dTemp_t_GND = PRT1_i*d_DevTemp_dTemp_t_GND;
rdstemp1 = ((1+(PRT1_i*(DevTemp-TR0_i)))+(PRT_i*(TR0_i-Tnom)));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = ((PRT_i-PRT1_i)*(TR0_i-Tnom));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
T4 = (1+(PRT_i*(210-Tnom)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = ((1+(PRT1_i*(210-TR0_i)))+(PRT_i*(TR0_i-Tnom)));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si =  0.0;
d_T6_dTemp_t_GND = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND+(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3+value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si =  0.0;
d_T7_dTemp_t_GND = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(deriv_sqrt_0_d0*(((T4-T5)*(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)+(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)*(T4-T5))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND+(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((T4+T5)+value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3+value_sqrt_1))));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e = d_T8_dV_di_si = d_T8_dV_e_si = d_T8_dV_e_di = d_T8_dV_gi_si =  0.0;
d_T8_dTemp_t_GND = (d_T7_dTemp_t_GND+PRT_i*d_DevTemp_dTemp_t_GND);
T8 = (T7+(PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dTemp_t_GND+d_T8_dTemp_t_GND)+(deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)+(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)*(T6-T8))))));
T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si =  0.0;
d_T6_dTemp_t_GND = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND-(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3-value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si =  0.0;
d_T7_dTemp_t_GND = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)-(deriv_sqrt_0_d0*(((T4-T5)*(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)+(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)*(T4-T5))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND-(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((T4+T5)-value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3-value_sqrt_1))));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e = d_T8_dV_di_si = d_T8_dV_e_si = d_T8_dV_e_di = d_T8_dV_gi_si =  0.0;
d_T8_dTemp_t_GND = (d_T7_dTemp_t_GND+PRT_i*d_DevTemp_dTemp_t_GND);
T8 = (T7+(PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dTemp_t_GND+d_T8_dTemp_t_GND)-(deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)+(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)*(T6-T8))))));
T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)-value_sqrt_0)));
}
}
}
else
{

d_rdstemp1_dTemp_t_GND = PRT1_i*d_delTemp_dTemp_t_GND;
rdstemp1 = (1+(PRT1_i*delTemp));

d_rdstemp0_dTemp_t_GND = PRT_i*d_DevTemp_dTemp_t_GND;
rdstemp0 = ((1+(PRT_i*(DevTemp-TR0_i)))+(PRT1_i*(TR0_i-Tnom)));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = ((PRT1_i-PRT_i)*(TR0_i-Tnom));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
T4 = (1+(PRT1_i*(210-Tnom)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = ((1+(PRT_i*(210-TR0_i)))+(PRT1_i*(TR0_i-Tnom)));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si =  0.0;
d_T6_dTemp_t_GND = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND+(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3+value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si =  0.0;
d_T7_dTemp_t_GND = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(deriv_sqrt_0_d0*(((T4-T5)*(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)+(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)*(T4-T5))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND+(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((T4+T5)+value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3+value_sqrt_1))));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e = d_T8_dV_di_si = d_T8_dV_e_si = d_T8_dV_e_di = d_T8_dV_gi_si =  0.0;
d_T8_dTemp_t_GND = (d_T7_dTemp_t_GND+PRT_i*d_DevTemp_dTemp_t_GND);
T8 = (T7+(PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dTemp_t_GND+d_T8_dTemp_t_GND)+(deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)+(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)*(T6-T8))))));
T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si =  0.0;
d_T6_dTemp_t_GND = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND-(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3-value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*SPRT_i)*SPRT_i)));
double value_sqrt_1 = sqrt((((T3)*(T3))+((0.25*SPRT_i)*SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si =  0.0;
d_T7_dTemp_t_GND = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:0.5*((d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)-(deriv_sqrt_0_d0*(((T4-T5)*(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)+(d_T4_dTemp_t_GND-d_T5_dTemp_t_GND)*(T4-T5))))))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:0.5*(d_T3_dTemp_t_GND-(deriv_sqrt_1_d0*(((T3)*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*(T3)))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(SPRT_i==0.0))?0.0:(0.5*((T4+T5)-value_sqrt_0)))-((((T3==0.0)&&(0==0.0))&&(SPRT_i==0.0))?0.0:(0.5*(T3-value_sqrt_1))));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e = d_T8_dV_di_si = d_T8_dV_e_si = d_T8_dV_e_di = d_T8_dV_gi_si =  0.0;
d_T8_dTemp_t_GND = (d_T7_dTemp_t_GND+PRT_i*d_DevTemp_dTemp_t_GND);
T8 = (T7+(PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dTemp_t_GND+d_T8_dTemp_t_GND)-(deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)+(d_T6_dTemp_t_GND-d_T8_dTemp_t_GND)*(T6-T8))))));
T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)-value_sqrt_0)));
}
}
}
}
}
else
{
if ((Tnom>210))
{

d_rdstemp0_dTemp_t_GND = PRT_i*d_delTemp_dTemp_t_GND;
rdstemp0 = (1+(PRT_i*delTemp));

d_rdstemp1_dTemp_t_GND = PRT1_i*d_DevTemp_dTemp_t_GND;
rdstemp1 = ((1+(PRT1_i*(DevTemp-210)))+(PRT_i*(210-Tnom)));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))));
T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))));
T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)));
}
}
}
else
{

d_rdstemp1_dTemp_t_GND = PRT1_i*d_delTemp_dTemp_t_GND;
rdstemp1 = (1+(PRT1_i*delTemp));

d_rdstemp0_dTemp_t_GND = PRT_i*d_DevTemp_dTemp_t_GND;
rdstemp0 = ((1+(PRT_i*(DevTemp-210)))+(PRT1_i*(210-Tnom)));
if ((PRT1_i<PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)+(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))));
T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dTemp_t_GND+d_rdstemp1_dTemp_t_GND)-(deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)+(d_rdstemp0_dTemp_t_GND-d_rdstemp1_dTemp_t_GND)*(rdstemp0-rdstemp1))))));
T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)));
}
}
}
}
}
{
double value_sqrt_0 = sqrt((((T2-1.0e-6)*(T2-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_rdstemp_dTemp_t_GND = ((((T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(d_T2_dTemp_t_GND+(deriv_sqrt_0_d0*(((T2-1.0e-6)*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*(T2-1.0e-6))))));
rdstemp = ((((T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((T2-1.0e-6)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((Tnom-210)*(Tnom-210))+((0.25*0.2)*0.2)));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
T4 = ((((Tnom==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:(0.5*((Tnom+210)-value_sqrt_0)));
}
{
double value_exp_0 = exp(((model_.KT12)*(DevTemp1-(model_.TVTH))));
double value_exp_1 = exp(((model_.KT12)*(T4-(model_.TVTH))));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;

d_dvth_temp_dTemp_t_GND = (((KT1_i+((model_.KT1L)/Leff))*d_TRatio_m1_dTemp_t_GND+(-(model_.KT11)*((((model_.KT12)*(DevTemp1-(model_.TVTH)))>80.0)?5.540622384e34*(model_.KT12)*d_DevTemp1_dTemp_t_GND:((((model_.KT12)*(DevTemp1-(model_.TVTH)))<(-80.0))?0.0:(deriv_exp_0_d0*((model_.KT12)*d_DevTemp1_dTemp_t_GND))))/(1+((((model_.KT12)*(DevTemp1-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(DevTemp1-(model_.TVTH))))-80.0)):((((model_.KT12)*(DevTemp1-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_0)))/(1+((((model_.KT12)*(DevTemp1-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(DevTemp1-(model_.TVTH))))-80.0)):((((model_.KT12)*(DevTemp1-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_0)))))-(-(model_.KT11)*((((model_.KT12)*(T4-(model_.TVTH)))>80.0)?5.540622384e34*(model_.KT12)*d_T4_dTemp_t_GND:((((model_.KT12)*(T4-(model_.TVTH)))<(-80.0))?0.0:(deriv_exp_1_d0*((model_.KT12)*d_T4_dTemp_t_GND))))/(1+((((model_.KT12)*(T4-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(T4-(model_.TVTH))))-80.0)):((((model_.KT12)*(T4-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_1)))/(1+((((model_.KT12)*(T4-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(T4-(model_.TVTH))))-80.0)):((((model_.KT12)*(T4-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_1)))));
dvth_temp = ((((KT1_i+((model_.KT1L)/Leff))*TRatio_m1)+((model_.KT11)/(1+((((model_.KT12)*(DevTemp1-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(DevTemp1-(model_.TVTH))))-80.0)):((((model_.KT12)*(DevTemp1-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_0)))))-((model_.KT11)/(1+((((model_.KT12)*(T4-(model_.TVTH)))>80.0)?(5.540622384e34*((1.0+((model_.KT12)*(T4-(model_.TVTH))))-80.0)):((((model_.KT12)*(T4-(model_.TVTH)))<(-80.0))?1.804851387e-35:value_exp_1)))));
}
}
}
if ((VSAT_t<1000))
{
UserInfo(*this)  << "Warning: VSAT(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSAT_t << " " <<  std::endl; 

d_VSAT_t_dTemp_t_GND =  0.0;
VSAT_t = 1000;
}
if ((VSAT1_t<1000))
{
UserInfo(*this)  << "Warning: VSAT1(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSAT1_t << " " <<  std::endl; 

d_VSAT1_t_dTemp_t_GND =  0.0;
VSAT1_t = 1000;
}
if ((VSATCV_t<1000))
{
UserInfo(*this)  << "Warning: VSATCV(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << VSATCV_t << " " <<  std::endl; 

d_VSATCV_t_dTemp_t_GND =  0.0;
VSATCV_t = 1000;
}
if (((model_.BULKMOD)!=0))
{
if (((model_.TEMPMOD)==0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((UC1_i*delTemp)-(-UC_i))-1.0e-6)*(((UC1_i*delTemp)-(-UC_i))-1.0e-6))-((4.0*(-UC_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UC_t_dTemp_t_GND = (((((UC1_i*delTemp)==0.0)&&((-UC_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(UC1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((UC1_i*delTemp)-(-UC_i))-1.0e-6)*UC1_i*d_delTemp_dTemp_t_GND+UC1_i*d_delTemp_dTemp_t_GND*(((UC1_i*delTemp)-(-UC_i))-1.0e-6))))));
UC_t = (UC_i+(((((UC1_i*delTemp)==0.0)&&((-UC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-UC_i)+(0.5*((((UC1_i*delTemp)-(-UC_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(UC1_i*delTemp))-1.0e-6)*((1.0+(UC1_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UC_t_dTemp_t_GND = UC_i*(((((1.0+(UC1_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(UC1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(UC1_i*delTemp))-1.0e-6)*UC1_i*d_delTemp_dTemp_t_GND+UC1_i*d_delTemp_dTemp_t_GND*((1.0+(UC1_i*delTemp))-1.0e-6))))));
UC_t = (UC_i*(((((1.0+(UC1_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(UC1_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.CVMOD)==1))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((UC1CV_i*delTemp)-(-UCCV_i))-1.0e-6)*(((UC1CV_i*delTemp)-(-UCCV_i))-1.0e-6))-((4.0*(-UCCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UCCV_t_dTemp_t_GND = (((((UC1CV_i*delTemp)==0.0)&&((-UCCV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(UC1CV_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((UC1CV_i*delTemp)-(-UCCV_i))-1.0e-6)*UC1CV_i*d_delTemp_dTemp_t_GND+UC1CV_i*d_delTemp_dTemp_t_GND*(((UC1CV_i*delTemp)-(-UCCV_i))-1.0e-6))))));
UCCV_t = (UCCV_i+(((((UC1CV_i*delTemp)==0.0)&&((-UCCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-UCCV_i)+(0.5*((((UC1CV_i*delTemp)-(-UCCV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(UC1CV_i*delTemp))-1.0e-6)*((1.0+(UC1CV_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UCCV_t_dTemp_t_GND = UCCV_i*(((((1.0+(UC1CV_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(UC1CV_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(UC1CV_i*delTemp))-1.0e-6)*UC1CV_i*d_delTemp_dTemp_t_GND+UC1CV_i*d_delTemp_dTemp_t_GND*((1.0+(UC1CV_i*delTemp))-1.0e-6))))));
UCCV_t = (UCCV_i*(((((1.0+(UC1CV_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(UC1CV_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((UC1R_i*delTemp)-(-UCR_i))-1.0e-6)*(((UC1R_i*delTemp)-(-UCR_i))-1.0e-6))-((4.0*(-UCR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UCR_t_dTemp_t_GND = (((((UC1R_i*delTemp)==0.0)&&((-UCR_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(UC1R_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((UC1R_i*delTemp)-(-UCR_i))-1.0e-6)*UC1R_i*d_delTemp_dTemp_t_GND+UC1R_i*d_delTemp_dTemp_t_GND*(((UC1R_i*delTemp)-(-UCR_i))-1.0e-6))))));
UCR_t = (UCR_i+(((((UC1R_i*delTemp)==0.0)&&((-UCR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-UCR_i)+(0.5*((((UC1R_i*delTemp)-(-UCR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(UC1R_i*delTemp))-1.0e-6)*((1.0+(UC1R_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_UCR_t_dTemp_t_GND = UCR_i*(((((1.0+(UC1R_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(UC1R_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(UC1R_i*delTemp))-1.0e-6)*UC1R_i*d_delTemp_dTemp_t_GND+UC1R_i*d_delTemp_dTemp_t_GND*((1.0+(UC1R_i*delTemp))-1.0e-6))))));
UCR_t = (UCR_i*(((((1.0+(UC1R_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(UC1R_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
}
else
{

d_UC_t_dTemp_t_GND = UC1_i*d_delTemp_dTemp_t_GND;
UC_t = (UC_i+(UC1_i*delTemp));
if (((model_.CVMOD)==1))
{

d_UCCV_t_dTemp_t_GND = UC1CV_i*d_delTemp_dTemp_t_GND;
UCCV_t = (UCCV_i+(UC1CV_i*delTemp));
}
if (((model_.ASYMMOD)!=0))
{

d_UCR_t_dTemp_t_GND = UC1R_i*d_delTemp_dTemp_t_GND;
UCR_t = (UCR_i+(UC1R_i*delTemp));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TETA0)*delTemp)-(-ETA0_i))-1.0e-6)*((((model_.TETA0)*delTemp)-(-ETA0_i))-1.0e-6))-((4.0*(-ETA0_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETA0_t_dTemp_t_GND = ((((((model_.TETA0)*delTemp)==0.0)&&((-ETA0_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TETA0)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TETA0)*delTemp)-(-ETA0_i))-1.0e-6)*(model_.TETA0)*d_delTemp_dTemp_t_GND+(model_.TETA0)*d_delTemp_dTemp_t_GND*((((model_.TETA0)*delTemp)-(-ETA0_i))-1.0e-6))))));
ETA0_t = (ETA0_i+((((((model_.TETA0)*delTemp)==0.0)&&((-ETA0_i)==0.0))&&(1.0e-6==0.0))?0.0:((-ETA0_i)+(0.5*(((((model_.TETA0)*delTemp)-(-ETA0_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TETA0)*delTemp))-1.0e-6)*((1.0+((model_.TETA0)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETA0_t_dTemp_t_GND = ETA0_i*(((((1.0+((model_.TETA0)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TETA0)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TETA0)*delTemp))-1.0e-6)*(model_.TETA0)*d_delTemp_dTemp_t_GND+(model_.TETA0)*d_delTemp_dTemp_t_GND*((1.0+((model_.TETA0)*delTemp))-1.0e-6))))));
ETA0_t = (ETA0_i*(((((1.0+((model_.TETA0)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TETA0)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.CVMOD)==1))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TETA0CV)*delTemp)-(-ETA0CV_i))-1.0e-6)*((((model_.TETA0CV)*delTemp)-(-ETA0CV_i))-1.0e-6))-((4.0*(-ETA0CV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETA0CV_t_dTemp_t_GND = ((((((model_.TETA0CV)*delTemp)==0.0)&&((-ETA0CV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TETA0CV)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TETA0CV)*delTemp)-(-ETA0CV_i))-1.0e-6)*(model_.TETA0CV)*d_delTemp_dTemp_t_GND+(model_.TETA0CV)*d_delTemp_dTemp_t_GND*((((model_.TETA0CV)*delTemp)-(-ETA0CV_i))-1.0e-6))))));
ETA0CV_t = (ETA0CV_i+((((((model_.TETA0CV)*delTemp)==0.0)&&((-ETA0CV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-ETA0CV_i)+(0.5*(((((model_.TETA0CV)*delTemp)-(-ETA0CV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TETA0CV)*delTemp))-1.0e-6)*((1.0+((model_.TETA0CV)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETA0CV_t_dTemp_t_GND = ETA0CV_i*(((((1.0+((model_.TETA0CV)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TETA0CV)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TETA0CV)*delTemp))-1.0e-6)*(model_.TETA0CV)*d_delTemp_dTemp_t_GND+(model_.TETA0CV)*d_delTemp_dTemp_t_GND*((1.0+((model_.TETA0CV)*delTemp))-1.0e-6))))));
ETA0CV_t = (ETA0CV_i*(((((1.0+((model_.TETA0CV)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TETA0CV)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TETA0R)*delTemp)-(-ETA0R_i))-1.0e-6)*((((model_.TETA0R)*delTemp)-(-ETA0R_i))-1.0e-6))-((4.0*(-ETA0R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETA0R_t_dTemp_t_GND = ((((((model_.TETA0R)*delTemp)==0.0)&&((-ETA0R_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TETA0R)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TETA0R)*delTemp)-(-ETA0R_i))-1.0e-6)*(model_.TETA0R)*d_delTemp_dTemp_t_GND+(model_.TETA0R)*d_delTemp_dTemp_t_GND*((((model_.TETA0R)*delTemp)-(-ETA0R_i))-1.0e-6))))));
ETA0R_t = (ETA0R_i+((((((model_.TETA0R)*delTemp)==0.0)&&((-ETA0R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-ETA0R_i)+(0.5*(((((model_.TETA0R)*delTemp)-(-ETA0R_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TETA0R)*delTemp))-1.0e-6)*((1.0+((model_.TETA0R)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETA0R_t_dTemp_t_GND = ETA0R_i*(((((1.0+((model_.TETA0R)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TETA0R)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TETA0R)*delTemp))-1.0e-6)*(model_.TETA0R)*d_delTemp_dTemp_t_GND+(model_.TETA0R)*d_delTemp_dTemp_t_GND*((1.0+((model_.TETA0R)*delTemp))-1.0e-6))))));
ETA0R_t = (ETA0R_i*(((((1.0+((model_.TETA0R)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TETA0R)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((EMOBT_i*delTemp)-(-ETAMOB_i))-1.0e-6)*(((EMOBT_i*delTemp)-(-ETAMOB_i))-1.0e-6))-((4.0*(-ETAMOB_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETAMOB_t_dTemp_t_GND = (((((EMOBT_i*delTemp)==0.0)&&((-ETAMOB_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(EMOBT_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((EMOBT_i*delTemp)-(-ETAMOB_i))-1.0e-6)*EMOBT_i*d_delTemp_dTemp_t_GND+EMOBT_i*d_delTemp_dTemp_t_GND*(((EMOBT_i*delTemp)-(-ETAMOB_i))-1.0e-6))))));
ETAMOB_t = (ETAMOB_i+(((((EMOBT_i*delTemp)==0.0)&&((-ETAMOB_i)==0.0))&&(1.0e-6==0.0))?0.0:((-ETAMOB_i)+(0.5*((((EMOBT_i*delTemp)-(-ETAMOB_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(EMOBT_i*delTemp))-1.0e-6)*((1.0+(EMOBT_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ETAMOB_t_dTemp_t_GND = ETAMOB_i*(((((1.0+(EMOBT_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(EMOBT_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(EMOBT_i*delTemp))-1.0e-6)*EMOBT_i*d_delTemp_dTemp_t_GND+EMOBT_i*d_delTemp_dTemp_t_GND*((1.0+(EMOBT_i*delTemp))-1.0e-6))))));
ETAMOB_t = (ETAMOB_i*(((((1.0+(EMOBT_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(EMOBT_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TRSDR)*delTemp)-(-(model_.RSDR)))-1.0e-6)*((((model_.TRSDR)*delTemp)-(-(model_.RSDR)))-1.0e-6))-((4.0*(-(model_.RSDR)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RSDR_t_dTemp_t_GND = ((((((model_.TRSDR)*delTemp)==0.0)&&((-(model_.RSDR))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TRSDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TRSDR)*delTemp)-(-(model_.RSDR)))-1.0e-6)*(model_.TRSDR)*d_delTemp_dTemp_t_GND+(model_.TRSDR)*d_delTemp_dTemp_t_GND*((((model_.TRSDR)*delTemp)-(-(model_.RSDR)))-1.0e-6))))));
RSDR_t = ((model_.RSDR)+((((((model_.TRSDR)*delTemp)==0.0)&&((-(model_.RSDR))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.RSDR))+(0.5*(((((model_.TRSDR)*delTemp)-(-(model_.RSDR)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)*((1.0+((model_.TRSDR)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RSDR_t_dTemp_t_GND = (model_.RSDR)*(((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TRSDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)*(model_.TRSDR)*d_delTemp_dTemp_t_GND+(model_.TRSDR)*d_delTemp_dTemp_t_GND*((1.0+((model_.TRSDR)*delTemp))-1.0e-6))))));
RSDR_t = ((model_.RSDR)*(((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TRSDR)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TRSDR)*delTemp)-(-(model_.RSDRR)))-1.0e-6)*((((model_.TRSDR)*delTemp)-(-(model_.RSDRR)))-1.0e-6))-((4.0*(-(model_.RSDRR)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RSDRR_t_dTemp_t_GND = ((((((model_.TRSDR)*delTemp)==0.0)&&((-(model_.RSDRR))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TRSDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TRSDR)*delTemp)-(-(model_.RSDRR)))-1.0e-6)*(model_.TRSDR)*d_delTemp_dTemp_t_GND+(model_.TRSDR)*d_delTemp_dTemp_t_GND*((((model_.TRSDR)*delTemp)-(-(model_.RSDRR)))-1.0e-6))))));
RSDRR_t = ((model_.RSDRR)+((((((model_.TRSDR)*delTemp)==0.0)&&((-(model_.RSDRR))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.RSDRR))+(0.5*(((((model_.TRSDR)*delTemp)-(-(model_.RSDRR)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)*((1.0+((model_.TRSDR)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RSDRR_t_dTemp_t_GND = (model_.RSDRR)*(((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TRSDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)*(model_.TRSDR)*d_delTemp_dTemp_t_GND+(model_.TRSDR)*d_delTemp_dTemp_t_GND*((1.0+((model_.TRSDR)*delTemp))-1.0e-6))))));
RSDRR_t = ((model_.RSDRR)*(((((1.0+((model_.TRSDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TRSDR)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TRDDR)*delTemp)-(-(model_.RDDR)))-1.0e-6)*((((model_.TRDDR)*delTemp)-(-(model_.RDDR)))-1.0e-6))-((4.0*(-(model_.RDDR)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RDDR_t_dTemp_t_GND = ((((((model_.TRDDR)*delTemp)==0.0)&&((-(model_.RDDR))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TRDDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TRDDR)*delTemp)-(-(model_.RDDR)))-1.0e-6)*(model_.TRDDR)*d_delTemp_dTemp_t_GND+(model_.TRDDR)*d_delTemp_dTemp_t_GND*((((model_.TRDDR)*delTemp)-(-(model_.RDDR)))-1.0e-6))))));
RDDR_t = ((model_.RDDR)+((((((model_.TRDDR)*delTemp)==0.0)&&((-(model_.RDDR))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.RDDR))+(0.5*(((((model_.TRDDR)*delTemp)-(-(model_.RDDR)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)*((1.0+((model_.TRDDR)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RDDR_t_dTemp_t_GND = (model_.RDDR)*(((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TRDDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)*(model_.TRDDR)*d_delTemp_dTemp_t_GND+(model_.TRDDR)*d_delTemp_dTemp_t_GND*((1.0+((model_.TRDDR)*delTemp))-1.0e-6))))));
RDDR_t = ((model_.RDDR)*(((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TRDDR)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TRDDR)*delTemp)-(-(model_.RDDRR)))-1.0e-6)*((((model_.TRDDR)*delTemp)-(-(model_.RDDRR)))-1.0e-6))-((4.0*(-(model_.RDDRR)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RDDRR_t_dTemp_t_GND = ((((((model_.TRDDR)*delTemp)==0.0)&&((-(model_.RDDRR))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TRDDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TRDDR)*delTemp)-(-(model_.RDDRR)))-1.0e-6)*(model_.TRDDR)*d_delTemp_dTemp_t_GND+(model_.TRDDR)*d_delTemp_dTemp_t_GND*((((model_.TRDDR)*delTemp)-(-(model_.RDDRR)))-1.0e-6))))));
RDDRR_t = ((model_.RDDRR)+((((((model_.TRDDR)*delTemp)==0.0)&&((-(model_.RDDRR))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.RDDRR))+(0.5*(((((model_.TRDDR)*delTemp)-(-(model_.RDDRR)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)*((1.0+((model_.TRDDR)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_RDDRR_t_dTemp_t_GND = (model_.RDDRR)*(((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TRDDR)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)*(model_.TRDDR)*d_delTemp_dTemp_t_GND+(model_.TRDDR)*d_delTemp_dTemp_t_GND*((1.0+((model_.TRDDR)*delTemp))-1.0e-6))))));
RDDRR_t = ((model_.RDDRR)*(((((1.0+((model_.TRDDR)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TRDDR)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-PTWGT_i)*delTemp)-(-PTWG_i))-1.0e-6)*((((-PTWGT_i)*delTemp)-(-PTWG_i))-1.0e-6))-((4.0*(-PTWG_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PTWG_t_dTemp_t_GND = ((((((-PTWGT_i)*delTemp)==0.0)&&((-PTWG_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-PTWGT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-PTWGT_i)*delTemp)-(-PTWG_i))-1.0e-6)*(-PTWGT_i)*d_delTemp_dTemp_t_GND+(-PTWGT_i)*d_delTemp_dTemp_t_GND*((((-PTWGT_i)*delTemp)-(-PTWG_i))-1.0e-6))))));
PTWG_t = (PTWG_i+((((((-PTWGT_i)*delTemp)==0.0)&&((-PTWG_i)==0.0))&&(1.0e-6==0.0))?0.0:((-PTWG_i)+(0.5*(((((-PTWGT_i)*delTemp)-(-PTWG_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)*((1.0+((-PTWGT_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PTWG_t_dTemp_t_GND = PTWG_i*(((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-PTWGT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)*(-PTWGT_i)*d_delTemp_dTemp_t_GND+(-PTWGT_i)*d_delTemp_dTemp_t_GND*((1.0+((-PTWGT_i)*delTemp))-1.0e-6))))));
PTWG_t = (PTWG_i*(((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-PTWGT_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if (((model_.ASYMMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-PTWGT_i)*delTemp)-(-PTWGR_i))-1.0e-6)*((((-PTWGT_i)*delTemp)-(-PTWGR_i))-1.0e-6))-((4.0*(-PTWGR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PTWGR_t_dTemp_t_GND = ((((((-PTWGT_i)*delTemp)==0.0)&&((-PTWGR_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-PTWGT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-PTWGT_i)*delTemp)-(-PTWGR_i))-1.0e-6)*(-PTWGT_i)*d_delTemp_dTemp_t_GND+(-PTWGT_i)*d_delTemp_dTemp_t_GND*((((-PTWGT_i)*delTemp)-(-PTWGR_i))-1.0e-6))))));
PTWGR_t = (PTWGR_i+((((((-PTWGT_i)*delTemp)==0.0)&&((-PTWGR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-PTWGR_i)+(0.5*(((((-PTWGT_i)*delTemp)-(-PTWGR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)*((1.0+((-PTWGT_i)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PTWGR_t_dTemp_t_GND = PTWGR_i*(((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-PTWGT_i)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)*(-PTWGT_i)*d_delTemp_dTemp_t_GND+(-PTWGT_i)*d_delTemp_dTemp_t_GND*((1.0+((-PTWGT_i)*delTemp))-1.0e-6))))));
PTWGR_t = (PTWGR_i*(((((1.0+((-PTWGT_i)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-PTWGT_i)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
double value_exp_0 = exp((IIT_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_BETA0_t_dTemp_t_GND = BETA0_i*(deriv_exp_0_d0*(IIT_i*d_Trat_ln_dTemp_t_GND));
BETA0_t = (BETA0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt(((((1.0+(TII_i*TRatio_m1))-0.01)*((1.0+(TII_i*TRatio_m1))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_SII0_t_dTemp_t_GND = SII0_i*(((((1.0+(TII_i*TRatio_m1))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(TII_i*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(TII_i*TRatio_m1))-0.01)*TII_i*d_TRatio_m1_dTemp_t_GND+TII_i*d_TRatio_m1_dTemp_t_GND*((1.0+(TII_i*TRatio_m1))-0.01))))));
SII0_t = (SII0_i*((((((1.0+(TII_i*TRatio_m1))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(TII_i*TRatio_m1))-0.01)+value_sqrt_0)))+0.01));
}

d_K0_t_dTemp_t_GND = K01_i*d_delTemp_dTemp_t_GND;
K0_t = (K0_i+(K01_i*delTemp));
{
double value_sqrt_0 = sqrt((((((K0SI1_i*delTemp)-(-K0SI_i))-1.0e-6)*(((K0SI1_i*delTemp)-(-K0SI_i))-1.0e-6))-((4.0*(-K0SI_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_K0SI_t_dTemp_t_GND = (((((K0SI1_i*delTemp)==0.0)&&((-K0SI_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(K0SI1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((K0SI1_i*delTemp)-(-K0SI_i))-1.0e-6)*K0SI1_i*d_delTemp_dTemp_t_GND+K0SI1_i*d_delTemp_dTemp_t_GND*(((K0SI1_i*delTemp)-(-K0SI_i))-1.0e-6))))));
K0SI_t = (K0SI_i+(((((K0SI1_i*delTemp)==0.0)&&((-K0SI_i)==0.0))&&(1.0e-6==0.0))?0.0:((-K0SI_i)+(0.5*((((K0SI1_i*delTemp)-(-K0SI_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((K2SI1_i*delTemp)-(-K2SI_i))-1.0e-6)*(((K2SI1_i*delTemp)-(-K2SI_i))-1.0e-6))-((4.0*(-K2SI_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_K2SI_t_dTemp_t_GND = (((((K2SI1_i*delTemp)==0.0)&&((-K2SI_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(K2SI1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((K2SI1_i*delTemp)-(-K2SI_i))-1.0e-6)*K2SI1_i*d_delTemp_dTemp_t_GND+K2SI1_i*d_delTemp_dTemp_t_GND*(((K2SI1_i*delTemp)-(-K2SI_i))-1.0e-6))))));
K2SI_t = (K2SI_i+(((((K2SI1_i*delTemp)==0.0)&&((-K2SI_i)==0.0))&&(1.0e-6==0.0))?0.0:((-K2SI_i)+(0.5*((((K2SI1_i*delTemp)-(-K2SI_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((K11_i*delTemp)-(-K1_i))-1.0e-6)*(((K11_i*delTemp)-(-K1_i))-1.0e-6))-((4.0*(-K1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_K1_t_dTemp_t_GND = (((((K11_i*delTemp)==0.0)&&((-K1_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(K11_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((K11_i*delTemp)-(-K1_i))-1.0e-6)*K11_i*d_delTemp_dTemp_t_GND+K11_i*d_delTemp_dTemp_t_GND*(((K11_i*delTemp)-(-K1_i))-1.0e-6))))));
K1_t = (K1_i+(((((K11_i*delTemp)==0.0)&&((-K1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-K1_i)+(0.5*((((K11_i*delTemp)-(-K1_i))-1.0e-6)+value_sqrt_0)))));
}

d_K2SAT_t_dTemp_t_GND = K2SAT1_i*d_delTemp_dTemp_t_GND;
K2SAT_t = (K2SAT_i+(K2SAT1_i*delTemp));

d_A1_t_dTemp_t_GND = A11_i*d_delTemp_dTemp_t_GND;
A1_t = (A1_i+(A11_i*delTemp));

d_A2_t_dTemp_t_GND = A21_i*d_delTemp_dTemp_t_GND;
A2_t = (A2_i+(A21_i*delTemp));
{
double value_sqrt_0 = sqrt((((((K21_i*delTemp)-(-K2_i))-1.0e-6)*(((K21_i*delTemp)-(-K2_i))-1.0e-6))-((4.0*(-K2_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_K2_t_dTemp_t_GND = (((((K21_i*delTemp)==0.0)&&((-K2_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(K21_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((K21_i*delTemp)-(-K2_i))-1.0e-6)*K21_i*d_delTemp_dTemp_t_GND+K21_i*d_delTemp_dTemp_t_GND*(((K21_i*delTemp)-(-K2_i))-1.0e-6))))));
K2_t = (K2_i+(((((K21_i*delTemp)==0.0)&&((-K2_i)==0.0))&&(1.0e-6==0.0))?0.0:((-K2_i)+(0.5*((((K21_i*delTemp)-(-K2_i))-1.0e-6)+value_sqrt_0)))));
}

d_K0SISAT_t_dTemp_t_GND = K0SISAT1_i*d_delTemp_dTemp_t_GND;
K0SISAT_t = (K0SISAT_i+(K0SISAT1_i*delTemp));

d_K2SISAT_t_dTemp_t_GND = K2SISAT1_i*d_delTemp_dTemp_t_GND;
K2SISAT_t = (K2SISAT_i+(K2SISAT1_i*delTemp));
{
double value_sqrt_0 = sqrt((((((AIGBINV1_i*delTemp)-(-AIGBINV_i))-1.0e-6)*(((AIGBINV1_i*delTemp)-(-AIGBINV_i))-1.0e-6))-((4.0*(-AIGBINV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_AIGBINV_t_dTemp_t_GND = (((((AIGBINV1_i*delTemp)==0.0)&&((-AIGBINV_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(AIGBINV1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((AIGBINV1_i*delTemp)-(-AIGBINV_i))-1.0e-6)*AIGBINV1_i*d_delTemp_dTemp_t_GND+AIGBINV1_i*d_delTemp_dTemp_t_GND*(((AIGBINV1_i*delTemp)-(-AIGBINV_i))-1.0e-6))))));
AIGBINV_t = (AIGBINV_i+(((((AIGBINV1_i*delTemp)==0.0)&&((-AIGBINV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-AIGBINV_i)+(0.5*((((AIGBINV1_i*delTemp)-(-AIGBINV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((AIGBACC1_i*delTemp)-(-AIGBACC_i))-1.0e-6)*(((AIGBACC1_i*delTemp)-(-AIGBACC_i))-1.0e-6))-((4.0*(-AIGBACC_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_AIGBACC_t_dTemp_t_GND = (((((AIGBACC1_i*delTemp)==0.0)&&((-AIGBACC_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(AIGBACC1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((AIGBACC1_i*delTemp)-(-AIGBACC_i))-1.0e-6)*AIGBACC1_i*d_delTemp_dTemp_t_GND+AIGBACC1_i*d_delTemp_dTemp_t_GND*(((AIGBACC1_i*delTemp)-(-AIGBACC_i))-1.0e-6))))));
AIGBACC_t = (AIGBACC_i+(((((AIGBACC1_i*delTemp)==0.0)&&((-AIGBACC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-AIGBACC_i)+(0.5*((((AIGBACC1_i*delTemp)-(-AIGBACC_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((AIGC1_i*delTemp)-(-AIGC_i))-1.0e-6)*(((AIGC1_i*delTemp)-(-AIGC_i))-1.0e-6))-((4.0*(-AIGC_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_AIGC_t_dTemp_t_GND = (((((AIGC1_i*delTemp)==0.0)&&((-AIGC_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(AIGC1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((AIGC1_i*delTemp)-(-AIGC_i))-1.0e-6)*AIGC1_i*d_delTemp_dTemp_t_GND+AIGC1_i*d_delTemp_dTemp_t_GND*(((AIGC1_i*delTemp)-(-AIGC_i))-1.0e-6))))));
AIGC_t = (AIGC_i+(((((AIGC1_i*delTemp)==0.0)&&((-AIGC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-AIGC_i)+(0.5*((((AIGC1_i*delTemp)-(-AIGC_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((AIGS1_i*delTemp)-(-AIGS_i))-1.0e-6)*(((AIGS1_i*delTemp)-(-AIGS_i))-1.0e-6))-((4.0*(-AIGS_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_AIGS_t_dTemp_t_GND = (((((AIGS1_i*delTemp)==0.0)&&((-AIGS_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(AIGS1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((AIGS1_i*delTemp)-(-AIGS_i))-1.0e-6)*AIGS1_i*d_delTemp_dTemp_t_GND+AIGS1_i*d_delTemp_dTemp_t_GND*(((AIGS1_i*delTemp)-(-AIGS_i))-1.0e-6))))));
AIGS_t = (AIGS_i+(((((AIGS1_i*delTemp)==0.0)&&((-AIGS_i)==0.0))&&(1.0e-6==0.0))?0.0:((-AIGS_i)+(0.5*((((AIGS1_i*delTemp)-(-AIGS_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((AIGD1_i*delTemp)-(-AIGD_i))-1.0e-6)*(((AIGD1_i*delTemp)-(-AIGD_i))-1.0e-6))-((4.0*(-AIGD_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_AIGD_t_dTemp_t_GND = (((((AIGD1_i*delTemp)==0.0)&&((-AIGD_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*(AIGD1_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*(((((AIGD1_i*delTemp)-(-AIGD_i))-1.0e-6)*AIGD1_i*d_delTemp_dTemp_t_GND+AIGD1_i*d_delTemp_dTemp_t_GND*(((AIGD1_i*delTemp)-(-AIGD_i))-1.0e-6))))));
AIGD_t = (AIGD_i+(((((AIGD1_i*delTemp)==0.0)&&((-AIGD_i)==0.0))&&(1.0e-6==0.0))?0.0:((-AIGD_i)+(0.5*((((AIGD1_i*delTemp)-(-AIGD_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((1.0+(TGIDL_i*delTemp))-1.0e-6)*((1.0+(TGIDL_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_BGIDL_t_dTemp_t_GND = BGIDL_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(TGIDL_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(TGIDL_i*delTemp))-1.0e-6)*TGIDL_i*d_delTemp_dTemp_t_GND+TGIDL_i*d_delTemp_dTemp_t_GND*((1.0+(TGIDL_i*delTemp))-1.0e-6))))));
BGIDL_t = (BGIDL_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(TGIDL_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((((1.0+(TGIDL_i*delTemp))-1.0e-6)*((1.0+(TGIDL_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_BGISL_t_dTemp_t_GND = BGISL_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(TGIDL_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(TGIDL_i*delTemp))-1.0e-6)*TGIDL_i*d_delTemp_dTemp_t_GND+TGIDL_i*d_delTemp_dTemp_t_GND*((1.0+(TGIDL_i*delTemp))-1.0e-6))))));
BGISL_t = (BGISL_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(TGIDL_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((((((model_.ALPHA01)*delTemp)-(-ALPHA0_i))-1.0e-6)*((((model_.ALPHA01)*delTemp)-(-ALPHA0_i))-1.0e-6))-((4.0*(-ALPHA0_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ALPHA0_t_dTemp_t_GND = ((((((model_.ALPHA01)*delTemp)==0.0)&&((-ALPHA0_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.ALPHA01)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.ALPHA01)*delTemp)-(-ALPHA0_i))-1.0e-6)*(model_.ALPHA01)*d_delTemp_dTemp_t_GND+(model_.ALPHA01)*d_delTemp_dTemp_t_GND*((((model_.ALPHA01)*delTemp)-(-ALPHA0_i))-1.0e-6))))));
ALPHA0_t = (ALPHA0_i+((((((model_.ALPHA01)*delTemp)==0.0)&&((-ALPHA0_i)==0.0))&&(1.0e-6==0.0))?0.0:((-ALPHA0_i)+(0.5*(((((model_.ALPHA01)*delTemp)-(-ALPHA0_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((((model_.ALPHA11)*delTemp)-(-ALPHA1_i))-1.0e-6)*((((model_.ALPHA11)*delTemp)-(-ALPHA1_i))-1.0e-6))-((4.0*(-ALPHA1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ALPHA1_t_dTemp_t_GND = ((((((model_.ALPHA11)*delTemp)==0.0)&&((-ALPHA1_i)==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.ALPHA11)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.ALPHA11)*delTemp)-(-ALPHA1_i))-1.0e-6)*(model_.ALPHA11)*d_delTemp_dTemp_t_GND+(model_.ALPHA11)*d_delTemp_dTemp_t_GND*((((model_.ALPHA11)*delTemp)-(-ALPHA1_i))-1.0e-6))))));
ALPHA1_t = (ALPHA1_i+((((((model_.ALPHA11)*delTemp)==0.0)&&((-ALPHA1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-ALPHA1_i)+(0.5*(((((model_.ALPHA11)*delTemp)-(-ALPHA1_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((((model_.ALPHAII01)*delTemp)-(-ALPHAII0_i))-1.0e-25)*((((model_.ALPHAII01)*delTemp)-(-ALPHAII0_i))-1.0e-25))-((4.0*(-ALPHAII0_i))*1.0e-25)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ALPHAII0_t_dTemp_t_GND = ((((((model_.ALPHAII01)*delTemp)==0.0)&&((-ALPHAII0_i)==0.0))&&(1.0e-25==0.0))?0.0:0.5*((model_.ALPHAII01)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.ALPHAII01)*delTemp)-(-ALPHAII0_i))-1.0e-25)*(model_.ALPHAII01)*d_delTemp_dTemp_t_GND+(model_.ALPHAII01)*d_delTemp_dTemp_t_GND*((((model_.ALPHAII01)*delTemp)-(-ALPHAII0_i))-1.0e-25))))));
ALPHAII0_t = (ALPHAII0_i+((((((model_.ALPHAII01)*delTemp)==0.0)&&((-ALPHAII0_i)==0.0))&&(1.0e-25==0.0))?0.0:((-ALPHAII0_i)+(0.5*(((((model_.ALPHAII01)*delTemp)-(-ALPHAII0_i))-1.0e-25)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((((model_.ALPHAII11)*delTemp)-(-ALPHAII1_i))-1.0e-20)*((((model_.ALPHAII11)*delTemp)-(-ALPHAII1_i))-1.0e-20))-((4.0*(-ALPHAII1_i))*1.0e-20)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ALPHAII1_t_dTemp_t_GND = ((((((model_.ALPHAII11)*delTemp)==0.0)&&((-ALPHAII1_i)==0.0))&&(1.0e-20==0.0))?0.0:0.5*((model_.ALPHAII11)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.ALPHAII11)*delTemp)-(-ALPHAII1_i))-1.0e-20)*(model_.ALPHAII11)*d_delTemp_dTemp_t_GND+(model_.ALPHAII11)*d_delTemp_dTemp_t_GND*((((model_.ALPHAII11)*delTemp)-(-ALPHAII1_i))-1.0e-20))))));
ALPHAII1_t = (ALPHAII1_i+((((((model_.ALPHAII11)*delTemp)==0.0)&&((-ALPHAII1_i)==0.0))&&(1.0e-20==0.0))?0.0:((-ALPHAII1_i)+(0.5*(((((model_.ALPHAII11)*delTemp)-(-ALPHAII1_i))-1.0e-20)+value_sqrt_0)))));
}
{
double value_exp_0 = exp((IGT_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_igtemp_dTemp_t_GND = (deriv_exp_0_d0*(IGT_i*d_Trat_ln_dTemp_t_GND));
igtemp = value_exp_0;
}

d_igsd_mult_dTemp_t_GND = igsd_mult0*d_igtemp_dTemp_t_GND;
igsd_mult = (igsd_mult0*igtemp);
if (((model_.BULKMOD)!=0))
{
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TCJ)*delTemp)-(-(model_.CJS)))-1.0e-6)*((((model_.TCJ)*delTemp)-(-(model_.CJS)))-1.0e-6))-((4.0*(-(model_.CJS)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJS_t_dTemp_t_GND = ((((((model_.TCJ)*delTemp)==0.0)&&((-(model_.CJS))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TCJ)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TCJ)*delTemp)-(-(model_.CJS)))-1.0e-6)*(model_.TCJ)*d_delTemp_dTemp_t_GND+(model_.TCJ)*d_delTemp_dTemp_t_GND*((((model_.TCJ)*delTemp)-(-(model_.CJS)))-1.0e-6))))));
CJS_t = ((model_.CJS)+((((((model_.TCJ)*delTemp)==0.0)&&((-(model_.CJS))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.CJS))+(0.5*(((((model_.TCJ)*delTemp)-(-(model_.CJS)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TCJ)*delTemp))-1.0e-6)*((1.0+((model_.TCJ)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJS_t_dTemp_t_GND = (model_.CJS)*(((((1.0+((model_.TCJ)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TCJ)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TCJ)*delTemp))-1.0e-6)*(model_.TCJ)*d_delTemp_dTemp_t_GND+(model_.TCJ)*d_delTemp_dTemp_t_GND*((1.0+((model_.TCJ)*delTemp))-1.0e-6))))));
CJS_t = ((model_.CJS)*(((((1.0+((model_.TCJ)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TCJ)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TCJ)*delTemp)-(-(model_.CJD)))-1.0e-6)*((((model_.TCJ)*delTemp)-(-(model_.CJD)))-1.0e-6))-((4.0*(-(model_.CJD)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJD_t_dTemp_t_GND = ((((((model_.TCJ)*delTemp)==0.0)&&((-(model_.CJD))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TCJ)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TCJ)*delTemp)-(-(model_.CJD)))-1.0e-6)*(model_.TCJ)*d_delTemp_dTemp_t_GND+(model_.TCJ)*d_delTemp_dTemp_t_GND*((((model_.TCJ)*delTemp)-(-(model_.CJD)))-1.0e-6))))));
CJD_t = ((model_.CJD)+((((((model_.TCJ)*delTemp)==0.0)&&((-(model_.CJD))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.CJD))+(0.5*(((((model_.TCJ)*delTemp)-(-(model_.CJD)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TCJ)*delTemp))-1.0e-6)*((1.0+((model_.TCJ)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJD_t_dTemp_t_GND = (model_.CJD)*(((((1.0+((model_.TCJ)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TCJ)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TCJ)*delTemp))-1.0e-6)*(model_.TCJ)*d_delTemp_dTemp_t_GND+(model_.TCJ)*d_delTemp_dTemp_t_GND*((1.0+((model_.TCJ)*delTemp))-1.0e-6))))));
CJD_t = ((model_.CJD)*(((((1.0+((model_.TCJ)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TCJ)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TCJSW)*delTemp)-(-(model_.CJSWS)))-1.0e-6)*((((model_.TCJSW)*delTemp)-(-(model_.CJSWS)))-1.0e-6))-((4.0*(-(model_.CJSWS)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWS_t_dTemp_t_GND = ((((((model_.TCJSW)*delTemp)==0.0)&&((-(model_.CJSWS))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TCJSW)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TCJSW)*delTemp)-(-(model_.CJSWS)))-1.0e-6)*(model_.TCJSW)*d_delTemp_dTemp_t_GND+(model_.TCJSW)*d_delTemp_dTemp_t_GND*((((model_.TCJSW)*delTemp)-(-(model_.CJSWS)))-1.0e-6))))));
CJSWS_t = ((model_.CJSWS)+((((((model_.TCJSW)*delTemp)==0.0)&&((-(model_.CJSWS))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.CJSWS))+(0.5*(((((model_.TCJSW)*delTemp)-(-(model_.CJSWS)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)*((1.0+((model_.TCJSW)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWS_t_dTemp_t_GND = (model_.CJSWS)*(((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TCJSW)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)*(model_.TCJSW)*d_delTemp_dTemp_t_GND+(model_.TCJSW)*d_delTemp_dTemp_t_GND*((1.0+((model_.TCJSW)*delTemp))-1.0e-6))))));
CJSWS_t = ((model_.CJSWS)*(((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TCJSW)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TCJSW)*delTemp)-(-(model_.CJSWD)))-1.0e-6)*((((model_.TCJSW)*delTemp)-(-(model_.CJSWD)))-1.0e-6))-((4.0*(-(model_.CJSWD)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWD_t_dTemp_t_GND = ((((((model_.TCJSW)*delTemp)==0.0)&&((-(model_.CJSWD))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TCJSW)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TCJSW)*delTemp)-(-(model_.CJSWD)))-1.0e-6)*(model_.TCJSW)*d_delTemp_dTemp_t_GND+(model_.TCJSW)*d_delTemp_dTemp_t_GND*((((model_.TCJSW)*delTemp)-(-(model_.CJSWD)))-1.0e-6))))));
CJSWD_t = ((model_.CJSWD)+((((((model_.TCJSW)*delTemp)==0.0)&&((-(model_.CJSWD))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.CJSWD))+(0.5*(((((model_.TCJSW)*delTemp)-(-(model_.CJSWD)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)*((1.0+((model_.TCJSW)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWD_t_dTemp_t_GND = (model_.CJSWD)*(((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TCJSW)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)*(model_.TCJSW)*d_delTemp_dTemp_t_GND+(model_.TCJSW)*d_delTemp_dTemp_t_GND*((1.0+((model_.TCJSW)*delTemp))-1.0e-6))))));
CJSWD_t = ((model_.CJSWD)*(((((1.0+((model_.TCJSW)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TCJSW)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGS)))-1.0e-6)*((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGS)))-1.0e-6))-((4.0*(-(model_.CJSWGS)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWGS_t_dTemp_t_GND = ((((((model_.TCJSWG)*delTemp)==0.0)&&((-(model_.CJSWGS))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TCJSWG)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGS)))-1.0e-6)*(model_.TCJSWG)*d_delTemp_dTemp_t_GND+(model_.TCJSWG)*d_delTemp_dTemp_t_GND*((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGS)))-1.0e-6))))));
CJSWGS_t = ((model_.CJSWGS)+((((((model_.TCJSWG)*delTemp)==0.0)&&((-(model_.CJSWGS))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.CJSWGS))+(0.5*(((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGS)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)*((1.0+((model_.TCJSWG)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWGS_t_dTemp_t_GND = (model_.CJSWGS)*(((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TCJSWG)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)*(model_.TCJSWG)*d_delTemp_dTemp_t_GND+(model_.TCJSWG)*d_delTemp_dTemp_t_GND*((1.0+((model_.TCJSWG)*delTemp))-1.0e-6))))));
CJSWGS_t = ((model_.CJSWGS)*(((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGD)))-1.0e-6)*((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGD)))-1.0e-6))-((4.0*(-(model_.CJSWGD)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWGD_t_dTemp_t_GND = ((((((model_.TCJSWG)*delTemp)==0.0)&&((-(model_.CJSWGD))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((model_.TCJSWG)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGD)))-1.0e-6)*(model_.TCJSWG)*d_delTemp_dTemp_t_GND+(model_.TCJSWG)*d_delTemp_dTemp_t_GND*((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGD)))-1.0e-6))))));
CJSWGD_t = ((model_.CJSWGD)+((((((model_.TCJSWG)*delTemp)==0.0)&&((-(model_.CJSWGD))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.CJSWGD))+(0.5*(((((model_.TCJSWG)*delTemp)-(-(model_.CJSWGD)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)*((1.0+((model_.TCJSWG)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_CJSWGD_t_dTemp_t_GND = (model_.CJSWGD)*(((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.TCJSWG)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)*(model_.TCJSWG)*d_delTemp_dTemp_t_GND+(model_.TCJSWG)*d_delTemp_dTemp_t_GND*((1.0+((model_.TCJSWG)*delTemp))-1.0e-6))))));
CJSWGD_t = ((model_.CJSWGD)*(((((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.TCJSWG)*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_sqrt_0 = sqrt((((((model_.PBS)-((model_.TPB)*delTemp))-0.01)*(((model_.PBS)-((model_.TPB)*delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PBS_t_dTemp_t_GND = ((((((model_.PBS)-((model_.TPB)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.TPB)*d_delTemp_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((model_.PBS)-((model_.TPB)*delTemp))-0.01)*(-(model_.TPB)*d_delTemp_dTemp_t_GND)+(-(model_.TPB)*d_delTemp_dTemp_t_GND)*(((model_.PBS)-((model_.TPB)*delTemp))-0.01))))));
PBS_t = (((((((model_.PBS)-((model_.TPB)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.PBS)-((model_.TPB)*delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.PBD)-((model_.TPB)*delTemp))-0.01)*(((model_.PBD)-((model_.TPB)*delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PBD_t_dTemp_t_GND = ((((((model_.PBD)-((model_.TPB)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.TPB)*d_delTemp_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((model_.PBD)-((model_.TPB)*delTemp))-0.01)*(-(model_.TPB)*d_delTemp_dTemp_t_GND)+(-(model_.TPB)*d_delTemp_dTemp_t_GND)*(((model_.PBD)-((model_.TPB)*delTemp))-0.01))))));
PBD_t = (((((((model_.PBD)-((model_.TPB)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.PBD)-((model_.TPB)*delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01)*(((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PBSWS_t_dTemp_t_GND = ((((((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.TPBSW)*d_delTemp_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01)*(-(model_.TPBSW)*d_delTemp_dTemp_t_GND)+(-(model_.TPBSW)*d_delTemp_dTemp_t_GND)*(((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01))))));
PBSWS_t = (((((((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.PBSWS)-((model_.TPBSW)*delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01)*(((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PBSWD_t_dTemp_t_GND = ((((((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.TPBSW)*d_delTemp_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01)*(-(model_.TPBSW)*d_delTemp_dTemp_t_GND)+(-(model_.TPBSW)*d_delTemp_dTemp_t_GND)*(((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01))))));
PBSWD_t = (((((((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.PBSWD)-((model_.TPBSW)*delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01)*(((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PBSWGS_t_dTemp_t_GND = ((((((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.TPBSWG)*d_delTemp_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01)*(-(model_.TPBSWG)*d_delTemp_dTemp_t_GND)+(-(model_.TPBSWG)*d_delTemp_dTemp_t_GND)*(((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01))))));
PBSWGS_t = (((((((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.PBSWGS)-((model_.TPBSWG)*delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01)*(((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_PBSWGD_t_dTemp_t_GND = ((((((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.TPBSWG)*d_delTemp_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01)*(-(model_.TPBSWG)*d_delTemp_dTemp_t_GND)+(-(model_.TPBSWG)*d_delTemp_dTemp_t_GND)*(((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01))))));
PBSWGD_t = (((((((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.PBSWGD)-((model_.TPBSWG)*delTemp))-0.01)+value_sqrt_0)))+0.01);
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((Vtm*d_Eg_dTemp_t_GND-Eg*d_Vtm_dTemp_t_GND)/Vtm/Vtm));
T0 = ((Eg0/Vtm0)-(Eg/Vtm));
{
double value_exp_0 = exp(((T0+((model_.XTIS)*Trat_ln))/(model_.NJS)));
double  deriv_exp_0_d0 = value_exp_0;

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = ((((T0+((model_.XTIS)*Trat_ln))/(model_.NJS))>80.0)?5.540622384e34*((d_T0_dTemp_t_GND+(model_.XTIS)*d_Trat_ln_dTemp_t_GND)/(model_.NJS)):((((T0+((model_.XTIS)*Trat_ln))/(model_.NJS))<(-80.0))?0.0:(deriv_exp_0_d0*(((d_T0_dTemp_t_GND+(model_.XTIS)*d_Trat_ln_dTemp_t_GND)/(model_.NJS))))));
T3 = ((((T0+((model_.XTIS)*Trat_ln))/(model_.NJS))>80.0)?(5.540622384e34*((1.0+((T0+((model_.XTIS)*Trat_ln))/(model_.NJS)))-80.0)):((((T0+((model_.XTIS)*Trat_ln))/(model_.NJS))<(-80.0))?1.804851387e-35:value_exp_0));
}

d_JSS_t_dTemp_t_GND = (model_.JSS)*d_T3_dTemp_t_GND;
JSS_t = ((model_.JSS)*T3);

d_JSWS_t_dTemp_t_GND = (model_.JSWS)*d_T3_dTemp_t_GND;
JSWS_t = ((model_.JSWS)*T3);

d_JSWGS_t_dTemp_t_GND = (model_.JSWGS)*d_T3_dTemp_t_GND;
JSWGS_t = ((model_.JSWGS)*T3);
{
double value_exp_0 = exp(((T0+((model_.XTID)*Trat_ln))/(model_.NJD)));
double  deriv_exp_0_d0 = value_exp_0;

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = ((((T0+((model_.XTID)*Trat_ln))/(model_.NJD))>80.0)?5.540622384e34*((d_T0_dTemp_t_GND+(model_.XTID)*d_Trat_ln_dTemp_t_GND)/(model_.NJD)):((((T0+((model_.XTID)*Trat_ln))/(model_.NJD))<(-80.0))?0.0:(deriv_exp_0_d0*(((d_T0_dTemp_t_GND+(model_.XTID)*d_Trat_ln_dTemp_t_GND)/(model_.NJD))))));
T3 = ((((T0+((model_.XTID)*Trat_ln))/(model_.NJD))>80.0)?(5.540622384e34*((1.0+((T0+((model_.XTID)*Trat_ln))/(model_.NJD)))-80.0)):((((T0+((model_.XTID)*Trat_ln))/(model_.NJD))<(-80.0))?1.804851387e-35:value_exp_0));
}

d_JSD_t_dTemp_t_GND = (model_.JSD)*d_T3_dTemp_t_GND;
JSD_t = ((model_.JSD)*T3);

d_JSWD_t_dTemp_t_GND = (model_.JSWD)*d_T3_dTemp_t_GND;
JSWD_t = ((model_.JSWD)*T3);

d_JSWGD_t_dTemp_t_GND = (model_.JSWGD)*d_T3_dTemp_t_GND;
JSWGD_t = ((model_.JSWGD)*T3);
{
double value_exp_0 = exp((((Eg0*(model_.XTSS))*TRatio_m1)/Vtm));
double  deriv_exp_0_d0 = value_exp_0;

d_JTSS_t_dTemp_t_GND = (model_.JTSS)*(((((Eg0*(model_.XTSS))*TRatio_m1)/Vtm)>80.0)?5.540622384e34*((Vtm*(Eg0*(model_.XTSS))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSS))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm):(((((Eg0*(model_.XTSS))*TRatio_m1)/Vtm)<(-80.0))?0.0:(deriv_exp_0_d0*(((Vtm*(Eg0*(model_.XTSS))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSS))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)))));
JTSS_t = ((model_.JTSS)*(((((Eg0*(model_.XTSS))*TRatio_m1)/Vtm)>80.0)?(5.540622384e34*((1.0+(((Eg0*(model_.XTSS))*TRatio_m1)/Vtm))-80.0)):(((((Eg0*(model_.XTSS))*TRatio_m1)/Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_exp_0 = exp((((Eg0*(model_.XTSD))*TRatio_m1)/Vtm));
double  deriv_exp_0_d0 = value_exp_0;

d_JTSD_t_dTemp_t_GND = (model_.JTSD)*(((((Eg0*(model_.XTSD))*TRatio_m1)/Vtm)>80.0)?5.540622384e34*((Vtm*(Eg0*(model_.XTSD))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSD))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm):(((((Eg0*(model_.XTSD))*TRatio_m1)/Vtm)<(-80.0))?0.0:(deriv_exp_0_d0*(((Vtm*(Eg0*(model_.XTSD))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSD))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)))));
JTSD_t = ((model_.JTSD)*(((((Eg0*(model_.XTSD))*TRatio_m1)/Vtm)>80.0)?(5.540622384e34*((1.0+(((Eg0*(model_.XTSD))*TRatio_m1)/Vtm))-80.0)):(((((Eg0*(model_.XTSD))*TRatio_m1)/Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_exp_0 = exp((((Eg0*(model_.XTSSWS))*TRatio_m1)/Vtm));
double  deriv_exp_0_d0 = value_exp_0;

d_JTSSWS_t_dTemp_t_GND = (model_.JTSSWS)*(((((Eg0*(model_.XTSSWS))*TRatio_m1)/Vtm)>80.0)?5.540622384e34*((Vtm*(Eg0*(model_.XTSSWS))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWS))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm):(((((Eg0*(model_.XTSSWS))*TRatio_m1)/Vtm)<(-80.0))?0.0:(deriv_exp_0_d0*(((Vtm*(Eg0*(model_.XTSSWS))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWS))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)))));
JTSSWS_t = ((model_.JTSSWS)*(((((Eg0*(model_.XTSSWS))*TRatio_m1)/Vtm)>80.0)?(5.540622384e34*((1.0+(((Eg0*(model_.XTSSWS))*TRatio_m1)/Vtm))-80.0)):(((((Eg0*(model_.XTSSWS))*TRatio_m1)/Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_exp_0 = exp((((Eg0*(model_.XTSSWD))*TRatio_m1)/Vtm));
double  deriv_exp_0_d0 = value_exp_0;

d_JTSSWD_t_dTemp_t_GND = (model_.JTSSWD)*(((((Eg0*(model_.XTSSWD))*TRatio_m1)/Vtm)>80.0)?5.540622384e34*((Vtm*(Eg0*(model_.XTSSWD))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWD))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm):(((((Eg0*(model_.XTSSWD))*TRatio_m1)/Vtm)<(-80.0))?0.0:(deriv_exp_0_d0*(((Vtm*(Eg0*(model_.XTSSWD))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWD))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)))));
JTSSWD_t = ((model_.JTSSWD)*(((((Eg0*(model_.XTSSWD))*TRatio_m1)/Vtm)>80.0)?(5.540622384e34*((1.0+(((Eg0*(model_.XTSSWD))*TRatio_m1)/Vtm))-80.0)):(((((Eg0*(model_.XTSSWD))*TRatio_m1)/Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_sqrt_0 = sqrt(((model_.JTWEFF)/Weff0));
double value_exp_1 = exp((((Eg0*(model_.XTSSWGS))*TRatio_m1)/Vtm));
double  deriv_exp_1_d0 = value_exp_1;

d_JTSSWGS_t_dTemp_t_GND = ((model_.JTSSWGS)*(value_sqrt_0+1.0))*(((((Eg0*(model_.XTSSWGS))*TRatio_m1)/Vtm)>80.0)?5.540622384e34*((Vtm*(Eg0*(model_.XTSSWGS))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWGS))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm):(((((Eg0*(model_.XTSSWGS))*TRatio_m1)/Vtm)<(-80.0))?0.0:(deriv_exp_1_d0*(((Vtm*(Eg0*(model_.XTSSWGS))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWGS))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)))));
JTSSWGS_t = (((model_.JTSSWGS)*(value_sqrt_0+1.0))*(((((Eg0*(model_.XTSSWGS))*TRatio_m1)/Vtm)>80.0)?(5.540622384e34*((1.0+(((Eg0*(model_.XTSSWGS))*TRatio_m1)/Vtm))-80.0)):(((((Eg0*(model_.XTSSWGS))*TRatio_m1)/Vtm)<(-80.0))?1.804851387e-35:value_exp_1)));
}
{
double value_sqrt_0 = sqrt(((model_.JTWEFF)/Weff0));
double value_exp_1 = exp((((Eg0*(model_.XTSSWGD))*TRatio_m1)/Vtm));
double  deriv_exp_1_d0 = value_exp_1;

d_JTSSWGD_t_dTemp_t_GND = ((model_.JTSSWGD)*(value_sqrt_0+1.0))*(((((Eg0*(model_.XTSSWGD))*TRatio_m1)/Vtm)>80.0)?5.540622384e34*((Vtm*(Eg0*(model_.XTSSWGD))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWGD))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm):(((((Eg0*(model_.XTSSWGD))*TRatio_m1)/Vtm)<(-80.0))?0.0:(deriv_exp_1_d0*(((Vtm*(Eg0*(model_.XTSSWGD))*d_TRatio_m1_dTemp_t_GND-((Eg0*(model_.XTSSWGD))*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)))));
JTSSWGD_t = (((model_.JTSSWGD)*(value_sqrt_0+1.0))*(((((Eg0*(model_.XTSSWGD))*TRatio_m1)/Vtm)>80.0)?(5.540622384e34*((1.0+(((Eg0*(model_.XTSSWGD))*TRatio_m1)/Vtm))-80.0)):(((((Eg0*(model_.XTSSWGD))*TRatio_m1)/Vtm)<(-80.0))?1.804851387e-35:value_exp_1)));
}
{
double value_sqrt_0 = sqrt((((((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01)*(((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_NJTS_t_dTemp_t_GND = ((((((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.NJTS)*(model_.TNJTS)*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01)*(model_.NJTS)*(model_.TNJTS)*d_TRatio_m1_dTemp_t_GND+(model_.NJTS)*(model_.TNJTS)*d_TRatio_m1_dTemp_t_GND*(((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01))))));
NJTS_t = (((((((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.NJTS)*(1.0+((model_.TNJTS)*TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01)*(((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_NJTSD_t_dTemp_t_GND = ((((((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.NJTSD)*(model_.TNJTSD)*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01)*(model_.NJTSD)*(model_.TNJTSD)*d_TRatio_m1_dTemp_t_GND+(model_.NJTSD)*(model_.TNJTSD)*d_TRatio_m1_dTemp_t_GND*(((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01))))));
NJTSD_t = (((((((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.NJTSD)*(1.0+((model_.TNJTSD)*TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01)*(((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_NJTSSW_t_dTemp_t_GND = ((((((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.NJTSSW)*(model_.TNJTSSW)*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01)*(model_.NJTSSW)*(model_.TNJTSSW)*d_TRatio_m1_dTemp_t_GND+(model_.NJTSSW)*(model_.TNJTSSW)*d_TRatio_m1_dTemp_t_GND*(((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01))))));
NJTSSW_t = (((((((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.NJTSSW)*(1.0+((model_.TNJTSSW)*TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01)*(((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_NJTSSWD_t_dTemp_t_GND = ((((((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.NJTSSWD)*(model_.TNJTSSWD)*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01)*(model_.NJTSSWD)*(model_.TNJTSSWD)*d_TRatio_m1_dTemp_t_GND+(model_.NJTSSWD)*(model_.TNJTSSWD)*d_TRatio_m1_dTemp_t_GND*(((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01))))));
NJTSSWD_t = (((((((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.NJTSSWD)*(1.0+((model_.TNJTSSWD)*TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01)*(((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_NJTSSWG_t_dTemp_t_GND = ((((((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.NJTSSWG)*(model_.TNJTSSWG)*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01)*(model_.NJTSSWG)*(model_.TNJTSSWG)*d_TRatio_m1_dTemp_t_GND+(model_.NJTSSWG)*(model_.TNJTSSWG)*d_TRatio_m1_dTemp_t_GND*(((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01))))));
NJTSSWG_t = (((((((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.NJTSSWG)*(1.0+((model_.TNJTSSWG)*TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt((((((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01)*(((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_NJTSSWGD_t_dTemp_t_GND = ((((((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.NJTSSWGD)*(model_.TNJTSSWGD)*d_TRatio_m1_dTemp_t_GND+(deriv_sqrt_0_d0*(((((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01)*(model_.NJTSSWGD)*(model_.TNJTSSWGD)*d_TRatio_m1_dTemp_t_GND+(model_.NJTSSWGD)*(model_.TNJTSSWGD)*d_TRatio_m1_dTemp_t_GND*(((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01))))));
NJTSSWGD_t = (((((((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.NJTSSWGD)*(1.0+((model_.TNJTSSWGD)*TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
}
if ((!(model_.given("VFBSD"))))
{
if (((model_.NGATE)>0.0))
{
if (((model_.CRYOMOD)==0))
{
{
double value_log_0 = log(((model_.NGATE)/ni));
double value_log_1 = log(((model_.NGATE)/ni));
double value_log_2 = log(((model_.NGATE)/ni));
double value_log_3 = log(((model_.NGATE)/ni));
double value_sqrt_4 = sqrt(((((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_3:(-87.498233534)))))+((4.0*1.0e-4)*1.0e-4)));
double value_log_5 = log(((model_.NSD)/ni));
double value_log_6 = log(((model_.NSD)/ni));
double value_log_7 = log(((model_.NSD)/ni));
double value_log_8 = log(((model_.NSD)/ni));
double value_sqrt_9 = sqrt(((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_7:(-87.498233534))))*((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_8:(-87.498233534)))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_log_0_d0 = (1.0/((model_.NGATE)/ni));
double  deriv_log_1_d0 = (1.0/((model_.NGATE)/ni));
double  deriv_log_2_d0 = (1.0/((model_.NGATE)/ni));
double  deriv_log_3_d0 = (1.0/((model_.NGATE)/ni));
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
double  deriv_log_5_d0 = (1.0/((model_.NSD)/ni));
double  deriv_log_6_d0 = (1.0/((model_.NSD)/ni));
double  deriv_log_7_d0 = (1.0/((model_.NSD)/ni));
double  deriv_log_8_d0 = (1.0/((model_.NSD)/ni));
double  deriv_sqrt_9_d0 = (0.5/value_sqrt_9);

d_vfbsd_dTemp_t_GND = devsign*((((((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?(deriv_log_1_d0*((-(model_.NGATE)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NGATE)/ni)>1.0e-38)?value_log_1:(-87.498233534))))+(deriv_sqrt_4_d0*((((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_2:(-87.498233534))))*(0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?(deriv_log_3_d0*((-(model_.NGATE)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NGATE)/ni)>1.0e-38)?value_log_3:(-87.498233534))))+(0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?(deriv_log_2_d0*((-(model_.NGATE)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NGATE)/ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_3:(-87.498233534)))))))))-(0.5*d_Eg_dTemp_t_GND-devsign*(0.5*d_Eg_dTemp_t_GND-(((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_5:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NSD)/ni)>1.0e-38)?(deriv_log_6_d0*((-(model_.NSD)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NSD)/ni)>1.0e-38)?value_log_6:(-87.498233534))))+(deriv_sqrt_9_d0*((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_7:(-87.498233534))))*(0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NSD)/ni)>1.0e-38)?(deriv_log_8_d0*((-(model_.NSD)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NSD)/ni)>1.0e-38)?value_log_8:(-87.498233534))))+(0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NSD)/ni)>1.0e-38)?(deriv_log_7_d0*((-(model_.NSD)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NSD)/ni)>1.0e-38)?value_log_7:(-87.498233534))))*((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_8:(-87.498233534))))))))))));
vfbsd = (devsign*((((((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*Eg)-(Vtm*((((model_.NGATE)/ni)>1.0e-38)?value_log_1:(-87.498233534))))+value_sqrt_4)))-((0.5*Eg)-(devsign*((0.5*Eg)-(((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_5:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_6:(-87.498233534))))+value_sqrt_9))))))));
}
}
else
{
{
double value_log_0 = log((model_.NGATE));
double value_log_1 = log((model_.NGATE));
double value_log_2 = log((model_.NGATE));
double value_log_3 = log((model_.NGATE));
double value_sqrt_4 = sqrt(((((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_2:(-87.498233534))-niln)))*((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_3:(-87.498233534))-niln))))+((4.0*1.0e-4)*1.0e-4)));
double value_log_5 = log((model_.NSD));
double value_log_6 = log((model_.NSD));
double value_log_7 = log((model_.NSD));
double value_log_8 = log((model_.NSD));
double value_sqrt_9 = sqrt(((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_7:(-87.498233534))-niln)))*((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_8:(-87.498233534))-niln))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
double  deriv_sqrt_9_d0 = (0.5/value_sqrt_9);

d_vfbsd_dTemp_t_GND = devsign*((((((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_0:(-87.498233534))-niln)))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NGATE)>1.0e-38)?value_log_1:(-87.498233534))-niln)))+(deriv_sqrt_4_d0*((((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_2:(-87.498233534))-niln)))*(0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NGATE)>1.0e-38)?value_log_3:(-87.498233534))-niln)))+(0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NGATE)>1.0e-38)?value_log_2:(-87.498233534))-niln)))*((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_3:(-87.498233534))-niln))))))))-(0.5*d_Eg_dTemp_t_GND-devsign*(0.5*d_Eg_dTemp_t_GND-(((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_5:(-87.498233534))-niln)))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NSD)>1.0e-38)?value_log_6:(-87.498233534))-niln)))+(deriv_sqrt_9_d0*((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_7:(-87.498233534))-niln)))*(0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NSD)>1.0e-38)?value_log_8:(-87.498233534))-niln)))+(0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NSD)>1.0e-38)?value_log_7:(-87.498233534))-niln)))*((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_8:(-87.498233534))-niln)))))))))));
vfbsd = (devsign*((((((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_0:(-87.498233534))-niln)))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*Eg)-(Vtm*((((model_.NGATE)>1.0e-38)?value_log_1:(-87.498233534))-niln)))+value_sqrt_4)))-((0.5*Eg)-(devsign*((0.5*Eg)-(((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_5:(-87.498233534))-niln)))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_6:(-87.498233534))-niln)))+value_sqrt_9))))))));
}
}
}
else
{
if (((model_.CRYOMOD)==0))
{
{
double value_log_0 = log(((model_.NSD)/ni));
double value_log_1 = log(((model_.NSD)/ni));
double value_log_2 = log(((model_.NSD)/ni));
double value_log_3 = log(((model_.NSD)/ni));
double value_sqrt_4 = sqrt(((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_3:(-87.498233534)))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_log_0_d0 = (1.0/((model_.NSD)/ni));
double  deriv_log_1_d0 = (1.0/((model_.NSD)/ni));
double  deriv_log_2_d0 = (1.0/((model_.NSD)/ni));
double  deriv_log_3_d0 = (1.0/((model_.NSD)/ni));
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);

d_vfbsd_dTemp_t_GND = devsign*(-(0.5*d_Eg_dTemp_t_GND-devsign*(0.5*d_Eg_dTemp_t_GND-(((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NSD)/ni)>1.0e-38)?(deriv_log_1_d0*((-(model_.NSD)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NSD)/ni)>1.0e-38)?value_log_1:(-87.498233534))))+(deriv_sqrt_4_d0*((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_2:(-87.498233534))))*(0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NSD)/ni)>1.0e-38)?(deriv_log_3_d0*((-(model_.NSD)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NSD)/ni)>1.0e-38)?value_log_3:(-87.498233534))))+(0.5*d_Eg_dTemp_t_GND-(Vtm*((((model_.NSD)/ni)>1.0e-38)?(deriv_log_2_d0*((-(model_.NSD)*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*((((model_.NSD)/ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_3:(-87.498233534))))))))))));
vfbsd = (devsign*(PHIG_i-(((model_.EASUB)+(0.5*Eg))-(devsign*((0.5*Eg)-(((((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*Eg)-(Vtm*((((model_.NSD)/ni)>1.0e-38)?value_log_1:(-87.498233534))))+value_sqrt_4))))))));
}
}
else
{
{
double value_log_0 = log((model_.NSD));
double value_log_1 = log((model_.NSD));
double value_log_2 = log((model_.NSD));
double value_log_3 = log((model_.NSD));
double value_sqrt_4 = sqrt(((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_2:(-87.498233534))-niln)))*((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_3:(-87.498233534))-niln))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);

d_vfbsd_dTemp_t_GND = devsign*(-(0.5*d_Eg_dTemp_t_GND-devsign*(0.5*d_Eg_dTemp_t_GND-(((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_0:(-87.498233534))-niln)))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NSD)>1.0e-38)?value_log_1:(-87.498233534))-niln)))+(deriv_sqrt_4_d0*((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_2:(-87.498233534))-niln)))*(0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NSD)>1.0e-38)?value_log_3:(-87.498233534))-niln)))+(0.5*d_Eg_dTemp_t_GND-(Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((model_.NSD)>1.0e-38)?value_log_2:(-87.498233534))-niln)))*((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_3:(-87.498233534))-niln)))))))))));
vfbsd = (devsign*(PHIG_i-(((model_.EASUB)+(0.5*Eg))-(devsign*((0.5*Eg)-(((((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_0:(-87.498233534))-niln)))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*Eg)-(Vtm*((((model_.NSD)>1.0e-38)?value_log_1:(-87.498233534))-niln)))+value_sqrt_4))))))));
}
}
}
}
else
{

d_vfbsd_dTemp_t_GND =  0.0;
vfbsd = (model_.VFBSD);
}
if ((!(model_.given("VFBSDCV"))))
{

d_vfbsdcv_dTemp_t_GND = d_vfbsd_dTemp_t_GND;
vfbsdcv = vfbsd;
}
else
{

d_vfbsdcv_dTemp_t_GND =  0.0;
vfbsdcv = (model_.VFBSDCV);
}
if (((model_.CRYOMOD)==0))
{
{
double value_log_0 = log((NBODY_i/ni));
double  deriv_log_0_d0 = (1.0/(NBODY_i/ni));

d_phib_dTemp_t_GND = (Vtm*(((NBODY_i/ni)>1.0e-38)?(deriv_log_0_d0*((-NBODY_i*d_ni_dTemp_t_GND/ni/ni))):0.0)+d_Vtm_dTemp_t_GND*(((NBODY_i/ni)>1.0e-38)?value_log_0:(-87.498233534)));
phib = (Vtm*(((NBODY_i/ni)>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_log_0 = log(((NBODY_i*(model_.NSD))/(ni*ni)));
double  deriv_log_0_d0 = (1.0/((NBODY_i*(model_.NSD))/(ni*ni)));

d_vbi_dTemp_t_GND = (Vtm*((((NBODY_i*(model_.NSD))/(ni*ni))>1.0e-38)?(deriv_log_0_d0*((-(NBODY_i*(model_.NSD))*(ni*d_ni_dTemp_t_GND+d_ni_dTemp_t_GND*ni)/(ni*ni)/(ni*ni)))):0.0)+d_Vtm_dTemp_t_GND*((((NBODY_i*(model_.NSD))/(ni*ni))>1.0e-38)?value_log_0:(-87.498233534)));
vbi = (Vtm*((((NBODY_i*(model_.NSD))/(ni*ni))>1.0e-38)?value_log_0:(-87.498233534)));
}
}
else
{
{
double value_log_0 = log(NBODY_i);

d_phib_dTemp_t_GND = (Vtm*(-d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*(((NBODY_i>1.0e-38)?value_log_0:(-87.498233534))-niln));
phib = (Vtm*(((NBODY_i>1.0e-38)?value_log_0:(-87.498233534))-niln));
}
{
double value_log_0 = log((NBODY_i*(model_.NSD)));

d_vbi_dTemp_t_GND = (Vtm*(-2*d_niln_dTemp_t_GND)+d_Vtm_dTemp_t_GND*((((NBODY_i*(model_.NSD))>1.0e-38)?value_log_0:(-87.498233534))-(2*niln)));
vbi = (Vtm*((((NBODY_i*(model_.NSD))>1.0e-38)?value_log_0:(-87.498233534))-(2*niln)));
}
}

d_deltaPhi_dTemp_t_GND = devsign*(-(((model_.TYPE)==1)?0.0:d_Eg_dTemp_t_GND));
deltaPhi = (devsign*(PHIG_i-((model_.EASUB)+(((model_.TYPE)==1)?0.0:Eg))));

d_eta_mu_dTemp_t_GND = 0.5*d_ETAMOB_t_dTemp_t_GND;
eta_mu = (0.5*ETAMOB_t);
eta_mu_cv = 0.5;
if (((model_.TYPE)!=1))
{

d_eta_mu_dTemp_t_GND = 0.333333333*d_ETAMOB_t_dTemp_t_GND;
eta_mu = (0.333333333*ETAMOB_t);
eta_mu_cv = 0.333333333;
}
if (((model_.BULKMOD)!=0))
{

d_Isbs_dTemp_t_GND = ((ASEJ*d_JSS_t_dTemp_t_GND+PSEJ*d_JSWS_t_dTemp_t_GND)+(TFIN*NFINtotal)*d_JSWGS_t_dTemp_t_GND);
Isbs = (((ASEJ*JSS_t)+(PSEJ*JSWS_t))+((TFIN*NFINtotal)*JSWGS_t));
if ((Isbs>0.0))
{

d_Nvtms_dTemp_t_GND = d_Vtm_dTemp_t_GND*(model_.NJS);
Nvtms = (Vtm*(model_.NJS));
{
double value_exp_0 = exp(((-(model_.BVS))/Nvtms));
double  deriv_exp_0_d0 = value_exp_0;

d_XExpBVS_dTemp_t_GND = ((((-(model_.BVS))/Nvtms)>80.0)?5.540622384e34*(-(-(model_.BVS))*d_Nvtms_dTemp_t_GND/Nvtms/Nvtms):((((-(model_.BVS))/Nvtms)<(-80.0))?0.0:(deriv_exp_0_d0*((-(-(model_.BVS))*d_Nvtms_dTemp_t_GND/Nvtms/Nvtms)))))*(model_.XJBVS);
XExpBVS = (((((-(model_.BVS))/Nvtms)>80.0)?(5.540622384e34*((1.0+((-(model_.BVS))/Nvtms))-80.0)):((((-(model_.BVS))/Nvtms)<(-80.0))?1.804851387e-35:value_exp_0))*(model_.XJBVS));
}
{
double value_max_0 = std::max(((model_.IJTHSFWD)/Isbs),static_cast<double>(10.0));
double  deriv_max_0_d0 = ((((model_.IJTHSFWD)/Isbs)>=10.0)?1.0:0.0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (deriv_max_0_d0*((-(model_.IJTHSFWD)*d_Isbs_dTemp_t_GND/Isbs/Isbs)));
T2 = value_max_0;
}

d_Tb_dV_di_si = d_Tb_dV_e_si = d_Tb_dV_e_di = d_Tb_dV_gi_si =  0.0;
d_Tb_dTemp_t_GND = (d_T2_dTemp_t_GND-d_XExpBVS_dTemp_t_GND);
Tb = ((1.0+T2)-XExpBVS);
{
double value_sqrt_0 = sqrt(((Tb*Tb)+(4.0*XExpBVS)));
double value_sqrt_1 = sqrt(((Tb*Tb)+(4.0*XExpBVS)));
double value_log_2 = log((0.5*(Tb+value_sqrt_1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_log_2_d0 = (1.0/(0.5*(Tb+value_sqrt_1)));

d_VjsmFwd_dTemp_t_GND = (Nvtms*(((0.5*(Tb+value_sqrt_0))>1.0e-38)?(deriv_log_2_d0*(0.5*(d_Tb_dTemp_t_GND+(deriv_sqrt_1_d0*(((Tb*d_Tb_dTemp_t_GND+d_Tb_dTemp_t_GND*Tb)+4.0*d_XExpBVS_dTemp_t_GND)))))):0.0)+d_Nvtms_dTemp_t_GND*(((0.5*(Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
VjsmFwd = (Nvtms*(((0.5*(Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
}
{
double value_exp_0 = exp((VjsmFwd/Nvtms));
double  deriv_exp_0_d0 = value_exp_0;

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (((VjsmFwd/Nvtms)>80.0)?5.540622384e34*((Nvtms*d_VjsmFwd_dTemp_t_GND-VjsmFwd*d_Nvtms_dTemp_t_GND)/Nvtms/Nvtms):(((VjsmFwd/Nvtms)<(-80.0))?0.0:(deriv_exp_0_d0*(((Nvtms*d_VjsmFwd_dTemp_t_GND-VjsmFwd*d_Nvtms_dTemp_t_GND)/Nvtms/Nvtms)))));
T0 = (((VjsmFwd/Nvtms)>80.0)?(5.540622384e34*((1.0+(VjsmFwd/Nvtms))-80.0)):(((VjsmFwd/Nvtms)<(-80.0))?1.804851387e-35:value_exp_0));
}

d_IVjsmFwd_dTemp_t_GND = (Isbs*((d_T0_dTemp_t_GND-((T0*d_XExpBVS_dTemp_t_GND-XExpBVS*d_T0_dTemp_t_GND)/T0/T0))+d_XExpBVS_dTemp_t_GND)+d_Isbs_dTemp_t_GND*(((T0-(XExpBVS/T0))+XExpBVS)-1.0));
IVjsmFwd = (Isbs*(((T0-(XExpBVS/T0))+XExpBVS)-1.0));

d_SslpFwd_dTemp_t_GND = ((Nvtms*(Isbs*(d_T0_dTemp_t_GND+((T0*d_XExpBVS_dTemp_t_GND-XExpBVS*d_T0_dTemp_t_GND)/T0/T0))+d_Isbs_dTemp_t_GND*(T0+(XExpBVS/T0)))-(Isbs*(T0+(XExpBVS/T0)))*d_Nvtms_dTemp_t_GND)/Nvtms/Nvtms);
SslpFwd = ((Isbs*(T0+(XExpBVS/T0)))/Nvtms);
{
double value_sqrt_0 = sqrt((((((model_.IJTHSREV)/Isbs)-10.0)*(((model_.IJTHSREV)/Isbs)-10.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((((model_.IJTHSREV)/Isbs)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.IJTHSREV)*d_Isbs_dTemp_t_GND/Isbs/Isbs)+(deriv_sqrt_0_d0*(((((model_.IJTHSREV)/Isbs)-10.0)*(-(model_.IJTHSREV)*d_Isbs_dTemp_t_GND/Isbs/Isbs)+(-(model_.IJTHSREV)*d_Isbs_dTemp_t_GND/Isbs/Isbs)*(((model_.IJTHSREV)/Isbs)-10.0))))));
T2 = (((((((model_.IJTHSREV)/Isbs)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.IJTHSREV)/Isbs)-10.0)+value_sqrt_0)))+10.0);
}
{
double value_log_0 = log(((T2-1.0)/(model_.XJBVS)));
double  deriv_log_0_d0 = (1.0/((T2-1.0)/(model_.XJBVS)));

d_VjsmRev_dTemp_t_GND = (-(Nvtms*((((T2-1.0)/(model_.XJBVS))>1.0e-38)?(deriv_log_0_d0*((d_T2_dTemp_t_GND/(model_.XJBVS)))):0.0)+d_Nvtms_dTemp_t_GND*((((T2-1.0)/(model_.XJBVS))>1.0e-38)?value_log_0:(-87.498233534))));
VjsmRev = ((-(model_.BVS))-(Nvtms*((((T2-1.0)/(model_.XJBVS))>1.0e-38)?value_log_0:(-87.498233534))));
}
{
double value_exp_0 = exp(((-((model_.BVS)+VjsmRev))/Nvtms));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (model_.XJBVS)*((((-((model_.BVS)+VjsmRev))/Nvtms)>80.0)?5.540622384e34*((Nvtms*(-d_VjsmRev_dTemp_t_GND)-(-((model_.BVS)+VjsmRev))*d_Nvtms_dTemp_t_GND)/Nvtms/Nvtms):((((-((model_.BVS)+VjsmRev))/Nvtms)<(-80.0))?0.0:(deriv_exp_0_d0*(((Nvtms*(-d_VjsmRev_dTemp_t_GND)-(-((model_.BVS)+VjsmRev))*d_Nvtms_dTemp_t_GND)/Nvtms/Nvtms)))));
T1 = ((model_.XJBVS)*((((-((model_.BVS)+VjsmRev))/Nvtms)>80.0)?(5.540622384e34*((1.0+((-((model_.BVS)+VjsmRev))/Nvtms))-80.0)):((((-((model_.BVS)+VjsmRev))/Nvtms)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_IVjsmRev_dTemp_t_GND = (Isbs*d_T1_dTemp_t_GND+d_Isbs_dTemp_t_GND*(1.0+T1));
IVjsmRev = (Isbs*(1.0+T1));

d_SslpRev_dTemp_t_GND = ((Nvtms*((-Isbs)*d_T1_dTemp_t_GND+(-d_Isbs_dTemp_t_GND)*T1)-((-Isbs)*T1)*d_Nvtms_dTemp_t_GND)/Nvtms/Nvtms);
SslpRev = (((-Isbs)*T1)/Nvtms);
}

d_Isbd_dTemp_t_GND = ((ADEJ*d_JSD_t_dTemp_t_GND+PDEJ*d_JSWD_t_dTemp_t_GND)+(TFIN*NFINtotal)*d_JSWGD_t_dTemp_t_GND);
Isbd = (((ADEJ*JSD_t)+(PDEJ*JSWD_t))+((TFIN*NFINtotal)*JSWGD_t));
if ((Isbd>0.0))
{

d_Nvtmd_dTemp_t_GND = d_Vtm_dTemp_t_GND*(model_.NJD);
Nvtmd = (Vtm*(model_.NJD));
{
double value_exp_0 = exp(((-(model_.BVD))/Nvtmd));
double  deriv_exp_0_d0 = value_exp_0;

d_XExpBVD_dTemp_t_GND = ((((-(model_.BVD))/Nvtmd)>80.0)?5.540622384e34*(-(-(model_.BVD))*d_Nvtmd_dTemp_t_GND/Nvtmd/Nvtmd):((((-(model_.BVD))/Nvtmd)<(-80.0))?0.0:(deriv_exp_0_d0*((-(-(model_.BVD))*d_Nvtmd_dTemp_t_GND/Nvtmd/Nvtmd)))))*(model_.XJBVD);
XExpBVD = (((((-(model_.BVD))/Nvtmd)>80.0)?(5.540622384e34*((1.0+((-(model_.BVD))/Nvtmd))-80.0)):((((-(model_.BVD))/Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0))*(model_.XJBVD));
}
{
double value_max_0 = std::max(((model_.IJTHDFWD)/Isbd),static_cast<double>(10.0));
double  deriv_max_0_d0 = ((((model_.IJTHDFWD)/Isbd)>=10.0)?1.0:0.0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (deriv_max_0_d0*((-(model_.IJTHDFWD)*d_Isbd_dTemp_t_GND/Isbd/Isbd)));
T2 = value_max_0;
}

d_Tb_dV_di_si = d_Tb_dV_e_si = d_Tb_dV_e_di = d_Tb_dV_gi_si =  0.0;
d_Tb_dTemp_t_GND = (d_T2_dTemp_t_GND-d_XExpBVD_dTemp_t_GND);
Tb = ((1.0+T2)-XExpBVD);
{
double value_sqrt_0 = sqrt(((Tb*Tb)+(4.0*XExpBVD)));
double value_sqrt_1 = sqrt(((Tb*Tb)+(4.0*XExpBVD)));
double value_log_2 = log((0.5*(Tb+value_sqrt_1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_log_2_d0 = (1.0/(0.5*(Tb+value_sqrt_1)));

d_VjdmFwd_dTemp_t_GND = (Nvtmd*(((0.5*(Tb+value_sqrt_0))>1.0e-38)?(deriv_log_2_d0*(0.5*(d_Tb_dTemp_t_GND+(deriv_sqrt_1_d0*(((Tb*d_Tb_dTemp_t_GND+d_Tb_dTemp_t_GND*Tb)+4.0*d_XExpBVD_dTemp_t_GND)))))):0.0)+d_Nvtmd_dTemp_t_GND*(((0.5*(Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
VjdmFwd = (Nvtmd*(((0.5*(Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
}
{
double value_exp_0 = exp((VjdmFwd/Nvtmd));
double  deriv_exp_0_d0 = value_exp_0;

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (((VjdmFwd/Nvtmd)>80.0)?5.540622384e34*((Nvtmd*d_VjdmFwd_dTemp_t_GND-VjdmFwd*d_Nvtmd_dTemp_t_GND)/Nvtmd/Nvtmd):(((VjdmFwd/Nvtmd)<(-80.0))?0.0:(deriv_exp_0_d0*(((Nvtmd*d_VjdmFwd_dTemp_t_GND-VjdmFwd*d_Nvtmd_dTemp_t_GND)/Nvtmd/Nvtmd)))));
T0 = (((VjdmFwd/Nvtmd)>80.0)?(5.540622384e34*((1.0+(VjdmFwd/Nvtmd))-80.0)):(((VjdmFwd/Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0));
}

d_IVjdmFwd_dTemp_t_GND = (Isbd*((d_T0_dTemp_t_GND-((T0*d_XExpBVD_dTemp_t_GND-XExpBVD*d_T0_dTemp_t_GND)/T0/T0))+d_XExpBVD_dTemp_t_GND)+d_Isbd_dTemp_t_GND*(((T0-(XExpBVD/T0))+XExpBVD)-1.0));
IVjdmFwd = (Isbd*(((T0-(XExpBVD/T0))+XExpBVD)-1.0));

d_DslpFwd_dTemp_t_GND = ((Nvtmd*(Isbd*(d_T0_dTemp_t_GND+((T0*d_XExpBVD_dTemp_t_GND-XExpBVD*d_T0_dTemp_t_GND)/T0/T0))+d_Isbd_dTemp_t_GND*(T0+(XExpBVD/T0)))-(Isbd*(T0+(XExpBVD/T0)))*d_Nvtmd_dTemp_t_GND)/Nvtmd/Nvtmd);
DslpFwd = ((Isbd*(T0+(XExpBVD/T0)))/Nvtmd);
{
double value_sqrt_0 = sqrt((((((model_.IJTHDREV)/Isbd)-10.0)*(((model_.IJTHDREV)/Isbd)-10.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((((((model_.IJTHDREV)/Isbd)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.IJTHDREV)*d_Isbd_dTemp_t_GND/Isbd/Isbd)+(deriv_sqrt_0_d0*(((((model_.IJTHDREV)/Isbd)-10.0)*(-(model_.IJTHDREV)*d_Isbd_dTemp_t_GND/Isbd/Isbd)+(-(model_.IJTHDREV)*d_Isbd_dTemp_t_GND/Isbd/Isbd)*(((model_.IJTHDREV)/Isbd)-10.0))))));
T2 = (((((((model_.IJTHDREV)/Isbd)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((model_.IJTHDREV)/Isbd)-10.0)+value_sqrt_0)))+10.0);
}
{
double value_log_0 = log(((T2-1.0)/(model_.XJBVD)));
double  deriv_log_0_d0 = (1.0/((T2-1.0)/(model_.XJBVD)));

d_VjdmRev_dTemp_t_GND = (-(Nvtmd*((((T2-1.0)/(model_.XJBVD))>1.0e-38)?(deriv_log_0_d0*((d_T2_dTemp_t_GND/(model_.XJBVD)))):0.0)+d_Nvtmd_dTemp_t_GND*((((T2-1.0)/(model_.XJBVD))>1.0e-38)?value_log_0:(-87.498233534))));
VjdmRev = ((-(model_.BVD))-(Nvtmd*((((T2-1.0)/(model_.XJBVD))>1.0e-38)?value_log_0:(-87.498233534))));
}
{
double value_exp_0 = exp(((-((model_.BVD)+VjdmRev))/Nvtmd));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (model_.XJBVD)*((((-((model_.BVD)+VjdmRev))/Nvtmd)>80.0)?5.540622384e34*((Nvtmd*(-d_VjdmRev_dTemp_t_GND)-(-((model_.BVD)+VjdmRev))*d_Nvtmd_dTemp_t_GND)/Nvtmd/Nvtmd):((((-((model_.BVD)+VjdmRev))/Nvtmd)<(-80.0))?0.0:(deriv_exp_0_d0*(((Nvtmd*(-d_VjdmRev_dTemp_t_GND)-(-((model_.BVD)+VjdmRev))*d_Nvtmd_dTemp_t_GND)/Nvtmd/Nvtmd)))));
T1 = ((model_.XJBVD)*((((-((model_.BVD)+VjdmRev))/Nvtmd)>80.0)?(5.540622384e34*((1.0+((-((model_.BVD)+VjdmRev))/Nvtmd))-80.0)):((((-((model_.BVD)+VjdmRev))/Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_IVjdmRev_dTemp_t_GND = (Isbd*d_T1_dTemp_t_GND+d_Isbd_dTemp_t_GND*(1.0+T1));
IVjdmRev = (Isbd*(1.0+T1));

d_DslpRev_dTemp_t_GND = ((Nvtmd*((-Isbd)*d_T1_dTemp_t_GND+(-d_Isbd_dTemp_t_GND)*T1)-((-Isbd)*T1)*d_Nvtmd_dTemp_t_GND)/Nvtmd/Nvtmd);
DslpRev = (((-Isbd)*T1)/Nvtmd);
}

d_Czbs_dTemp_t_GND = d_CJS_t_dTemp_t_GND*ASEJ;
Czbs = (CJS_t*ASEJ);

d_Czbssw_dTemp_t_GND = d_CJSWS_t_dTemp_t_GND*PSEJ;
Czbssw = (CJSWS_t*PSEJ);

d_Czbsswg_dTemp_t_GND = d_CJSWGS_t_dTemp_t_GND*Weff0*NFINtotal;
Czbsswg = ((CJSWGS_t*Weff0)*NFINtotal);

d_Czbd_dTemp_t_GND = d_CJD_t_dTemp_t_GND*ADEJ;
Czbd = (CJD_t*ADEJ);

d_Czbdsw_dTemp_t_GND = d_CJSWD_t_dTemp_t_GND*PDEJ;
Czbdsw = (CJSWD_t*PDEJ);

d_Czbdswg_dTemp_t_GND = d_CJSWGD_t_dTemp_t_GND*Weff0*NFINtotal;
Czbdswg = ((CJSWGD_t*Weff0)*NFINtotal);
{
if (((model_.SJS)>0.0))
{
{
double value_pow_0 = pow((1.0/(model_.SJS)),(1.0/(model_.MJS)));

d_vec1s_dTemp_t_GND = d_PBS_t_dTemp_t_GND*(1.0-value_pow_0);
vec1s = (PBS_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(vec1s/PBS_t)),(-(1.0+(model_.MJS))));
double  deriv_pow_0_d0 = (((1.0-(vec1s/PBS_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+(model_.MJS)))/(1.0-(vec1s/PBS_t))));

d_pb21s_dTemp_t_GND = ((value_pow_0*(d_PBS_t_dTemp_t_GND*(model_.SJS)*(model_.MJS2)/(model_.MJS))-(((PBS_t*(model_.SJS))*(model_.MJS2))/(model_.MJS))*(deriv_pow_0_d0*((-((PBS_t*d_vec1s_dTemp_t_GND-vec1s*d_PBS_t_dTemp_t_GND)/PBS_t/PBS_t)))))/value_pow_0/value_pow_0);
pb21s = ((((PBS_t*(model_.SJS))*(model_.MJS2))/(model_.MJS))/value_pow_0);
}
}
}
{
if (((model_.SJSWS)>0.0))
{
{
double value_pow_0 = pow((1.0/(model_.SJSWS)),(1.0/(model_.MJSWS)));

d_vec2s_dTemp_t_GND = d_PBSWS_t_dTemp_t_GND*(1.0-value_pow_0);
vec2s = (PBSWS_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(vec2s/PBSWS_t)),(-(1.0+(model_.MJSWS))));
double  deriv_pow_0_d0 = (((1.0-(vec2s/PBSWS_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+(model_.MJSWS)))/(1.0-(vec2s/PBSWS_t))));

d_pb22s_dTemp_t_GND = ((value_pow_0*(d_PBSWS_t_dTemp_t_GND*(model_.SJSWS)*(model_.MJSWS2)/(model_.MJSWS))-(((PBSWS_t*(model_.SJSWS))*(model_.MJSWS2))/(model_.MJSWS))*(deriv_pow_0_d0*((-((PBSWS_t*d_vec2s_dTemp_t_GND-vec2s*d_PBSWS_t_dTemp_t_GND)/PBSWS_t/PBSWS_t)))))/value_pow_0/value_pow_0);
pb22s = ((((PBSWS_t*(model_.SJSWS))*(model_.MJSWS2))/(model_.MJSWS))/value_pow_0);
}
}
}
{
if (((model_.SJSWGS)>0.0))
{
{
double value_pow_0 = pow((1.0/(model_.SJSWGS)),(1.0/(model_.MJSWGS)));

d_vec3s_dTemp_t_GND = d_PBSWGS_t_dTemp_t_GND*(1.0-value_pow_0);
vec3s = (PBSWGS_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(vec3s/PBSWGS_t)),(-(1.0+(model_.MJSWGS))));
double  deriv_pow_0_d0 = (((1.0-(vec3s/PBSWGS_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+(model_.MJSWGS)))/(1.0-(vec3s/PBSWGS_t))));

d_pb23s_dTemp_t_GND = ((value_pow_0*(d_PBSWGS_t_dTemp_t_GND*(model_.SJSWGS)*(model_.MJSWGS2)/(model_.MJSWGS))-(((PBSWGS_t*(model_.SJSWGS))*(model_.MJSWGS2))/(model_.MJSWGS))*(deriv_pow_0_d0*((-((PBSWGS_t*d_vec3s_dTemp_t_GND-vec3s*d_PBSWGS_t_dTemp_t_GND)/PBSWGS_t/PBSWGS_t)))))/value_pow_0/value_pow_0);
pb23s = ((((PBSWGS_t*(model_.SJSWGS))*(model_.MJSWGS2))/(model_.MJSWGS))/value_pow_0);
}
}
}
{
if (((model_.SJD)>0.0))
{
{
double value_pow_0 = pow((1.0/(model_.SJD)),(1.0/(model_.MJD)));

d_vec1d_dTemp_t_GND = d_PBD_t_dTemp_t_GND*(1.0-value_pow_0);
vec1d = (PBD_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(vec1d/PBD_t)),(-(1.0+(model_.MJD))));
double  deriv_pow_0_d0 = (((1.0-(vec1d/PBD_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+(model_.MJD)))/(1.0-(vec1d/PBD_t))));

d_pb21d_dTemp_t_GND = ((value_pow_0*(d_PBD_t_dTemp_t_GND*(model_.SJD)*(model_.MJD2)/(model_.MJD))-(((PBD_t*(model_.SJD))*(model_.MJD2))/(model_.MJD))*(deriv_pow_0_d0*((-((PBD_t*d_vec1d_dTemp_t_GND-vec1d*d_PBD_t_dTemp_t_GND)/PBD_t/PBD_t)))))/value_pow_0/value_pow_0);
pb21d = ((((PBD_t*(model_.SJD))*(model_.MJD2))/(model_.MJD))/value_pow_0);
}
}
}
{
if (((model_.SJSWD)>0.0))
{
{
double value_pow_0 = pow((1.0/(model_.SJSWD)),(1.0/(model_.MJSWD)));

d_vec2d_dTemp_t_GND = d_PBSWD_t_dTemp_t_GND*(1.0-value_pow_0);
vec2d = (PBSWD_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(vec2d/PBSWD_t)),(-(1.0+(model_.MJSWD))));
double  deriv_pow_0_d0 = (((1.0-(vec2d/PBSWD_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+(model_.MJSWD)))/(1.0-(vec2d/PBSWD_t))));

d_pb22d_dTemp_t_GND = ((value_pow_0*(d_PBSWD_t_dTemp_t_GND*(model_.SJSWD)*(model_.MJSWD2)/(model_.MJSWD))-(((PBSWD_t*(model_.SJSWD))*(model_.MJSWD2))/(model_.MJSWD))*(deriv_pow_0_d0*((-((PBSWD_t*d_vec2d_dTemp_t_GND-vec2d*d_PBSWD_t_dTemp_t_GND)/PBSWD_t/PBSWD_t)))))/value_pow_0/value_pow_0);
pb22d = ((((PBSWD_t*(model_.SJSWD))*(model_.MJSWD2))/(model_.MJSWD))/value_pow_0);
}
}
}
{
if (((model_.SJSWGD)>0.0))
{
{
double value_pow_0 = pow((1.0/(model_.SJSWGD)),(1.0/(model_.MJSWGD)));

d_vec3d_dTemp_t_GND = d_PBSWGD_t_dTemp_t_GND*(1.0-value_pow_0);
vec3d = (PBSWGD_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(vec3d/PBSWGD_t)),(-(1.0+(model_.MJSWGD))));
double  deriv_pow_0_d0 = (((1.0-(vec3d/PBSWGD_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+(model_.MJSWGD)))/(1.0-(vec3d/PBSWGD_t))));

d_pb23d_dTemp_t_GND = ((value_pow_0*(d_PBSWGD_t_dTemp_t_GND*(model_.SJSWGD)*(model_.MJSWGD2)/(model_.MJSWGD))-(((PBSWGD_t*(model_.SJSWGD))*(model_.MJSWGD2))/(model_.MJSWGD))*(deriv_pow_0_d0*((-((PBSWGD_t*d_vec3d_dTemp_t_GND-vec3d*d_PBSWGD_t_dTemp_t_GND)/PBSWGD_t/PBSWGD_t)))))/value_pow_0/value_pow_0);
pb23d = ((((PBSWGD_t*(model_.SJSWGD))*(model_.MJSWGD2))/(model_.MJSWGD))/value_pow_0);
}
}
}
}
{
double value_exp_0 = exp((((Eg*TRatio_m1)/Vtm)/NTGEN_i));
double  deriv_exp_0_d0 = value_exp_0;

d_igentemp_dTemp_t_GND = (((((Eg*TRatio_m1)/Vtm)/NTGEN_i)>80.0)?5.540622384e34*(((Vtm*(Eg*d_TRatio_m1_dTemp_t_GND+d_Eg_dTemp_t_GND*TRatio_m1)-(Eg*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)/NTGEN_i):(((((Eg*TRatio_m1)/Vtm)/NTGEN_i)<(-80.0))?0.0:(deriv_exp_0_d0*((((Vtm*(Eg*d_TRatio_m1_dTemp_t_GND+d_Eg_dTemp_t_GND*TRatio_m1)-(Eg*TRatio_m1)*d_Vtm_dTemp_t_GND)/Vtm/Vtm)/NTGEN_i)))));
igentemp = (((((Eg*TRatio_m1)/Vtm)/NTGEN_i)>80.0)?(5.540622384e34*((1.0+(((Eg*TRatio_m1)/Vtm)/NTGEN_i))-80.0)):(((((Eg*TRatio_m1)/Vtm)/NTGEN_i)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
// End block CMGTempDepCalc

d_vgs_noswap_dV_gi_si = devsign*d_probeVars[admsProbeID_V_gi_si][admsProbeID_V_gi_si];
vgs_noswap = (devsign*(probeVars[admsProbeID_V_gi_si]));

d_vds_noswap_dV_di_si = devsign*d_probeVars[admsProbeID_V_di_si][admsProbeID_V_di_si];
vds_noswap = (devsign*(probeVars[admsProbeID_V_di_si]));

d_vgd_noswap_dV_gi_di = devsign*d_probeVars[admsProbeID_V_gi_di][admsProbeID_V_gi_di];
vgd_noswap = (devsign*(probeVars[admsProbeID_V_gi_di]));

d_ves_jct_dV_e_si = devsign*d_probeVars[admsProbeID_V_e_si][admsProbeID_V_e_si];
ves_jct = (devsign*(probeVars[admsProbeID_V_e_si]));

d_ved_jct_dV_e_di = devsign*d_probeVars[admsProbeID_V_e_di][admsProbeID_V_e_di];
ved_jct = (devsign*(probeVars[admsProbeID_V_e_di]));

d_vge_dV_gi_e = devsign*d_probeVars[admsProbeID_V_gi_e][admsProbeID_V_gi_e];
vge = (devsign*(probeVars[admsProbeID_V_gi_e]));
sigvds = 1.0;
if ((vds_noswap<0.0))
{
sigvds = (-1.0);

d_vgs_dV_di_si = (-d_vds_noswap_dV_di_si);
d_vgs_dV_gi_si = d_vgs_noswap_dV_gi_si;
vgs = (vgs_noswap-vds_noswap);

d_vds_dV_di_si = (-1.0)*d_vds_noswap_dV_di_si;
vds = ((-1.0)*vds_noswap);

d_ves_dV_e_si =  0.0;
d_ves_dV_e_di = d_ved_jct_dV_e_di;
ves = ved_jct;
}
else
{

d_vgs_dV_di_si =  0.0;
d_vgs_dV_gi_si = d_vgs_noswap_dV_gi_si;
vgs = vgs_noswap;

d_vds_dV_di_si = d_vds_noswap_dV_di_si;
vds = vds_noswap;

d_ves_dV_e_di =  0.0;
d_ves_dV_e_si = d_ves_jct_dV_e_si;
ves = ves_jct;
}

d_vgsfb_dTemp_t_GND = (-d_deltaPhi_dTemp_t_GND);
d_vgsfb_dV_di_si = d_vgs_dV_di_si;
d_vgsfb_dV_gi_si = d_vgs_dV_gi_si;
vgsfb = (vgs-deltaPhi);
{
double value_sqrt_0 = sqrt(((vds*vds)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vdsx_dV_di_si = (deriv_sqrt_0_d0*((vds*d_vds_dV_di_si+d_vds_dV_di_si*vds)));
vdsx = (value_sqrt_0-0.1);
}
if (((model_.BULKMOD)!=0))
{

d_vesx_dV_di_si = (-0.5*(d_vds_dV_di_si-d_vdsx_dV_di_si));
d_vesx_dV_e_di = d_ves_dV_e_di;
d_vesx_dV_e_si = d_ves_dV_e_si;
vesx = (ves-(0.5*(vds-vdsx)));
vesmax = (0.95*PHIBE_i);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dTemp_t_GND =  0.0;
d_T2_dV_di_si = (-d_vesx_dV_di_si);
d_T2_dV_e_di = (-d_vesx_dV_e_di);
d_T2_dV_e_si = (-d_vesx_dV_e_si);
T2 = ((vesmax-vesx)-1.0e-3);
{
double value_sqrt_0 = sqrt(((T2*T2)+(0.004*vesmax)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_veseff_dTemp_t_GND = (-0.5*(d_T2_dTemp_t_GND+(deriv_sqrt_0_d0*((T2*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*T2)))));
d_veseff_dV_di_si = (-0.5*(d_T2_dV_di_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_di_si+d_T2_dV_di_si*T2)))));
d_veseff_dV_e_di = (-0.5*(d_T2_dV_e_di+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_di+d_T2_dV_e_di*T2)))));
d_veseff_dV_e_si = (-0.5*(d_T2_dV_e_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_si+d_T2_dV_e_si*T2)))));
veseff = (vesmax-(0.5*(T2+value_sqrt_0)));
}
}
{
double value_tanh_0 = tanh(((0.6*vds_noswap)/Vtm));
double  deriv_tanh_0_d0 = (1.0/cosh(((0.6*vds_noswap)/Vtm))/cosh(((0.6*vds_noswap)/Vtm)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dTemp_t_GND = (deriv_tanh_0_d0*((-(0.6*vds_noswap)*d_Vtm_dTemp_t_GND/Vtm/Vtm)));
d_T0_dV_di_si = (deriv_tanh_0_d0*((0.6*d_vds_noswap_dV_di_si/Vtm)));
T0 = value_tanh_0;
}

d_wf_dTemp_t_GND = 0.5*d_T0_dTemp_t_GND;
d_wf_dV_di_si = 0.5*d_T0_dV_di_si;
wf = (0.5+(0.5*T0));

d_wr_dTemp_t_GND = (-d_wf_dTemp_t_GND);
d_wr_dV_di_si = (-d_wf_dV_di_si);
wr = (1.0-wf);
if (((model_.ASYMMOD)!=0))
{

d_CDSCD_a_dTemp_t_GND = (CDSCDR_i*d_wr_dTemp_t_GND+CDSCD_i*d_wf_dTemp_t_GND);
d_CDSCD_a_dV_di_si = (CDSCDR_i*d_wr_dV_di_si+CDSCD_i*d_wf_dV_di_si);
CDSCD_a = ((CDSCDR_i*wr)+(CDSCD_i*wf));

d_ETA0_a_dV_di_si = (ETA0R_t*d_wr_dV_di_si+ETA0_t*d_wf_dV_di_si);
d_ETA0_a_dTemp_t_GND = ((ETA0R_t*d_wr_dTemp_t_GND+d_ETA0R_t_dTemp_t_GND*wr)+(ETA0_t*d_wf_dTemp_t_GND+d_ETA0_t_dTemp_t_GND*wf));
ETA0_a = ((ETA0R_t*wr)+(ETA0_t*wf));

d_PDIBL1_a_dTemp_t_GND = (PDIBL1R_i*d_wr_dTemp_t_GND+PDIBL1_i*d_wf_dTemp_t_GND);
d_PDIBL1_a_dV_di_si = (PDIBL1R_i*d_wr_dV_di_si+PDIBL1_i*d_wf_dV_di_si);
PDIBL1_a = ((PDIBL1R_i*wr)+(PDIBL1_i*wf));

d_PDIBL2_a_dTemp_t_GND = (PDIBL2R_i*d_wr_dTemp_t_GND+PDIBL2_i*d_wf_dTemp_t_GND);
d_PDIBL2_a_dV_di_si = (PDIBL2R_i*d_wr_dV_di_si+PDIBL2_i*d_wf_dV_di_si);
PDIBL2_a = ((PDIBL2R_i*wr)+(PDIBL2_i*wf));

d_MEXP_a_dV_di_si = (MEXPR_t*d_wr_dV_di_si+MEXP_t*d_wf_dV_di_si);
d_MEXP_a_dTemp_t_GND = ((MEXPR_t*d_wr_dTemp_t_GND+d_MEXPR_t_dTemp_t_GND*wr)+(MEXP_t*d_wf_dTemp_t_GND+d_MEXP_t_dTemp_t_GND*wf));
MEXP_a = ((MEXPR_t*wr)+(MEXP_t*wf));

d_PTWG_a_dV_di_si = (PTWGR_t*d_wr_dV_di_si+PTWG_t*d_wf_dV_di_si);
d_PTWG_a_dTemp_t_GND = ((PTWGR_t*d_wr_dTemp_t_GND+d_PTWGR_t_dTemp_t_GND*wr)+(PTWG_t*d_wf_dTemp_t_GND+d_PTWG_t_dTemp_t_GND*wf));
PTWG_a = ((PTWGR_t*wr)+(PTWG_t*wf));

d_VSAT1_a_dV_di_si = (VSAT1R_t*d_wr_dV_di_si+VSAT1_t*d_wf_dV_di_si);
d_VSAT1_a_dTemp_t_GND = ((VSAT1R_t*d_wr_dTemp_t_GND+d_VSAT1R_t_dTemp_t_GND*wr)+(VSAT1_t*d_wf_dTemp_t_GND+d_VSAT1_t_dTemp_t_GND*wf));
VSAT1_a = ((VSAT1R_t*wr)+(VSAT1_t*wf));

d_RSDR_a_dV_di_si = (RSDRR_t*d_wr_dV_di_si+RSDR_t*d_wf_dV_di_si);
d_RSDR_a_dTemp_t_GND = ((RSDRR_t*d_wr_dTemp_t_GND+d_RSDRR_t_dTemp_t_GND*wr)+(RSDR_t*d_wf_dTemp_t_GND+d_RSDR_t_dTemp_t_GND*wf));
RSDR_a = ((RSDRR_t*wr)+(RSDR_t*wf));

d_RDDR_a_dV_di_si = (RDDRR_t*d_wr_dV_di_si+RDDR_t*d_wf_dV_di_si);
d_RDDR_a_dTemp_t_GND = ((RDDRR_t*d_wr_dTemp_t_GND+d_RDDRR_t_dTemp_t_GND*wr)+(RDDR_t*d_wf_dTemp_t_GND+d_RDDR_t_dTemp_t_GND*wf));
RDDR_a = ((RDDRR_t*wr)+(RDDR_t*wf));

d_PCLM_a_dTemp_t_GND = (PCLMR_i*d_wr_dTemp_t_GND+(PCLM_t*d_wf_dTemp_t_GND+d_PCLM_t_dTemp_t_GND*wf));
d_PCLM_a_dV_di_si = (PCLMR_i*d_wr_dV_di_si+PCLM_t*d_wf_dV_di_si);
PCLM_a = ((PCLMR_i*wr)+(PCLM_t*wf));

d_VSAT_a_dV_di_si = (VSATR_t*d_wr_dV_di_si+VSAT_t*d_wf_dV_di_si);
d_VSAT_a_dTemp_t_GND = ((VSATR_t*d_wr_dTemp_t_GND+d_VSATR_t_dTemp_t_GND*wr)+(VSAT_t*d_wf_dTemp_t_GND+d_VSAT_t_dTemp_t_GND*wf));
VSAT_a = ((VSATR_t*wr)+(VSAT_t*wf));

d_KSATIV_a_dTemp_t_GND = (KSATIVR_i*d_wr_dTemp_t_GND+(KSATIV_t*d_wf_dTemp_t_GND+d_KSATIV_t_dTemp_t_GND*wf));
d_KSATIV_a_dV_di_si = (KSATIVR_i*d_wr_dV_di_si+KSATIV_t*d_wf_dV_di_si);
KSATIV_a = ((KSATIVR_i*wr)+(KSATIV_t*wf));

d_DVTSHIFT_a_dTemp_t_GND = (DVTSHIFTR_i*d_wr_dTemp_t_GND+DVTSHIFT_i*d_wf_dTemp_t_GND);
d_DVTSHIFT_a_dV_di_si = (DVTSHIFTR_i*d_wr_dV_di_si+DVTSHIFT_i*d_wf_dV_di_si);
DVTSHIFT_a = ((DVTSHIFTR_i*wr)+(DVTSHIFT_i*wf));

d_CIT_a_dTemp_t_GND = (CITR_i*d_wr_dTemp_t_GND+CIT_i*d_wf_dTemp_t_GND);
d_CIT_a_dV_di_si = (CITR_i*d_wr_dV_di_si+CIT_i*d_wf_dV_di_si);
CIT_a = ((CITR_i*wr)+(CIT_i*wf));

d_u0_a_dV_di_si = (u0r*d_wr_dV_di_si+u0*d_wf_dV_di_si);
d_u0_a_dTemp_t_GND = ((u0r*d_wr_dTemp_t_GND+d_u0r_dTemp_t_GND*wr)+(u0*d_wf_dTemp_t_GND+d_u0_dTemp_t_GND*wf));
u0_a = ((u0r*wr)+(u0*wf));

d_UA_a_dV_di_si = (UAR_t*d_wr_dV_di_si+UA_t*d_wf_dV_di_si);
d_UA_a_dTemp_t_GND = ((UAR_t*d_wr_dTemp_t_GND+d_UAR_t_dTemp_t_GND*wr)+(UA_t*d_wf_dTemp_t_GND+d_UA_t_dTemp_t_GND*wf));
UA_a = ((UAR_t*wr)+(UA_t*wf));

d_UD_a_dV_di_si = (UDR_t*d_wr_dV_di_si+UD_t*d_wf_dV_di_si);
d_UD_a_dTemp_t_GND = ((UDR_t*d_wr_dTemp_t_GND+d_UDR_t_dTemp_t_GND*wr)+(UD_t*d_wf_dTemp_t_GND+d_UD_t_dTemp_t_GND*wf));
UD_a = ((UDR_t*wr)+(UD_t*wf));

d_UC_a_dV_di_si = (UCR_t*d_wr_dV_di_si+UC_t*d_wf_dV_di_si);
d_UC_a_dTemp_t_GND = ((UCR_t*d_wr_dTemp_t_GND+d_UCR_t_dTemp_t_GND*wr)+(UC_t*d_wf_dTemp_t_GND+d_UC_t_dTemp_t_GND*wf));
UC_a = ((UCR_t*wr)+(UC_t*wf));

d_EU_a_dTemp_t_GND = (EUR_i*d_wr_dTemp_t_GND+(EU_t*d_wf_dTemp_t_GND+d_EU_t_dTemp_t_GND*wf));
d_EU_a_dV_di_si = (EUR_i*d_wr_dV_di_si+EU_t*d_wf_dV_di_si);
EU_a = ((EUR_i*wr)+(EU_t*wf));
}
else
{

d_CDSCD_a_dV_di_si = d_CDSCD_a_dTemp_t_GND =  0.0;
CDSCD_a = CDSCD_i;

d_ETA0_a_dV_di_si =  0.0;
d_ETA0_a_dTemp_t_GND = d_ETA0_t_dTemp_t_GND;
ETA0_a = ETA0_t;

d_PDIBL1_a_dV_di_si = d_PDIBL1_a_dTemp_t_GND =  0.0;
PDIBL1_a = PDIBL1_i;

d_PDIBL2_a_dV_di_si = d_PDIBL2_a_dTemp_t_GND =  0.0;
PDIBL2_a = PDIBL2_i;

d_MEXP_a_dV_di_si =  0.0;
d_MEXP_a_dTemp_t_GND = d_MEXP_t_dTemp_t_GND;
MEXP_a = MEXP_t;

d_PTWG_a_dV_di_si =  0.0;
d_PTWG_a_dTemp_t_GND = d_PTWG_t_dTemp_t_GND;
PTWG_a = PTWG_t;

d_VSAT1_a_dV_di_si =  0.0;
d_VSAT1_a_dTemp_t_GND = d_VSAT1_t_dTemp_t_GND;
VSAT1_a = VSAT1_t;

d_RSDR_a_dV_di_si =  0.0;
d_RSDR_a_dTemp_t_GND = d_RSDR_t_dTemp_t_GND;
RSDR_a = RSDR_t;

d_RDDR_a_dV_di_si =  0.0;
d_RDDR_a_dTemp_t_GND = d_RDDR_t_dTemp_t_GND;
RDDR_a = RDDR_t;

d_PCLM_a_dV_di_si =  0.0;
d_PCLM_a_dTemp_t_GND = d_PCLM_t_dTemp_t_GND;
PCLM_a = PCLM_t;

d_VSAT_a_dV_di_si =  0.0;
d_VSAT_a_dTemp_t_GND = d_VSAT_t_dTemp_t_GND;
VSAT_a = VSAT_t;

d_KSATIV_a_dV_di_si =  0.0;
d_KSATIV_a_dTemp_t_GND = d_KSATIV_t_dTemp_t_GND;
KSATIV_a = KSATIV_t;

d_DVTSHIFT_a_dV_di_si = d_DVTSHIFT_a_dTemp_t_GND =  0.0;
DVTSHIFT_a = DVTSHIFT_i;

d_CIT_a_dV_di_si = d_CIT_a_dTemp_t_GND =  0.0;
CIT_a = CIT_i;

d_u0_a_dV_di_si =  0.0;
d_u0_a_dTemp_t_GND = d_u0_dTemp_t_GND;
u0_a = u0;

d_UA_a_dV_di_si =  0.0;
d_UA_a_dTemp_t_GND = d_UA_t_dTemp_t_GND;
UA_a = UA_t;

d_UD_a_dV_di_si =  0.0;
d_UD_a_dTemp_t_GND = d_UD_t_dTemp_t_GND;
UD_a = UD_t;

d_UC_a_dV_di_si =  0.0;
d_UC_a_dTemp_t_GND = d_UC_t_dTemp_t_GND;
UC_a = UC_t;

d_EU_a_dV_di_si =  0.0;
d_EU_a_dTemp_t_GND = d_EU_t_dTemp_t_GND;
EU_a = EU_t;
}

d_inv_MEXP_dV_di_si = (-d_MEXP_a_dV_di_si/MEXP_a/MEXP_a);
d_inv_MEXP_dTemp_t_GND = (-d_MEXP_a_dTemp_t_GND/MEXP_a/MEXP_a);
inv_MEXP = (1.0/MEXP_a);

d_phist_dTemp_t_GND = d_phib_dTemp_t_GND;
phist = ((0.4+phib)+PHIN_i);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((2.0*(Cins/Weff_UFCM))/(rc+2.0));

d_cdsc_dTemp_t_GND = Theta_SW*d_CDSCD_a_dTemp_t_GND*vdsx;
d_cdsc_dV_di_si = Theta_SW*(CDSCD_a*d_vdsx_dV_di_si+d_CDSCD_a_dV_di_si*vdsx);
cdsc = (Theta_SW*(CDSC_i+(CDSCD_a*vdsx)));
if (((model_.NVTM)==0.0))
{
if (((model_.CRYOMOD)==0))
{

d_nVtm_dV_di_si = (Vtm*ThetaSS)*((T1*(d_CIT_a_dV_di_si+d_cdsc_dV_di_si)-(CIT_a+cdsc)*d_T1_dV_di_si)/T1/T1);
d_nVtm_dTemp_t_GND = ((Vtm*ThetaSS)*((T1*(d_CIT_a_dTemp_t_GND+d_cdsc_dTemp_t_GND)-(CIT_a+cdsc)*d_T1_dTemp_t_GND)/T1/T1)+(Vtm*d_ThetaSS_dTemp_t_GND+d_Vtm_dTemp_t_GND*ThetaSS)*(1.0+((CIT_a+cdsc)/T1)));
nVtm = ((Vtm*ThetaSS)*(1.0+((CIT_a+cdsc)/T1)));
}
else
{

d_nVtm_dV_di_si = (Vtmeff*ThetaSS)*((T1*(d_CIT_a_dV_di_si+d_cdsc_dV_di_si)-(CIT_a+cdsc)*d_T1_dV_di_si)/T1/T1);
d_nVtm_dTemp_t_GND = ((Vtmeff*ThetaSS)*((T1*(d_CIT_a_dTemp_t_GND+d_cdsc_dTemp_t_GND)-(CIT_a+cdsc)*d_T1_dTemp_t_GND)/T1/T1)+(Vtmeff*d_ThetaSS_dTemp_t_GND+d_Vtmeff_dTemp_t_GND*ThetaSS)*(1.0+((CIT_a+cdsc)/T1)));
nVtm = ((Vtmeff*ThetaSS)*(1.0+((CIT_a+cdsc)/T1)));
}
}
else
{

d_nVtm_dTemp_t_GND = d_nVtm_dV_di_si =  0.0;
nVtm = (model_.NVTM);
}

d_qdep_dV_di_si = (-Qdep_ov_Cins*d_nVtm_dV_di_si/nVtm/nVtm);
d_qdep_dTemp_t_GND = (-Qdep_ov_Cins*d_nVtm_dTemp_t_GND/nVtm/nVtm);
qdep = (Qdep_ov_Cins/nVtm);
{
double value_log_0 = log(((Cins*nVtm)/(((1.60219e-19*Nc)*2.0)*Ach)));
double  deriv_log_0_d0 = (1.0/((Cins*nVtm)/(((1.60219e-19*Nc)*2.0)*Ach)));

d_vth_fixed_factor_SI_dV_di_si = ((((Cins*nVtm)/(((1.60219e-19*Nc)*2.0)*Ach))>1.0e-38)?(deriv_log_0_d0*((Cins*d_nVtm_dV_di_si/(((1.60219e-19*Nc)*2.0)*Ach)))):0.0);
d_vth_fixed_factor_SI_dTemp_t_GND = ((((Cins*nVtm)/(((1.60219e-19*Nc)*2.0)*Ach))>1.0e-38)?(deriv_log_0_d0*((((((1.60219e-19*Nc)*2.0)*Ach)*Cins*d_nVtm_dTemp_t_GND-(Cins*nVtm)*1.60219e-19*d_Nc_dTemp_t_GND*2.0*Ach)/(((1.60219e-19*Nc)*2.0)*Ach)/(((1.60219e-19*Nc)*2.0)*Ach)))):0.0);
vth_fixed_factor_SI = ((((Cins*nVtm)/(((1.60219e-19*Nc)*2.0)*Ach))>1.0e-38)?value_log_0:(-87.498233534));
}
{
double value_exp_0 = exp((qdep*rc));
double value_exp_1 = exp((qdep*rc));
double value_log_2 = log((((qdep*rc)*(qdep*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_log_2_d0 = (1.0/(((qdep*rc)*(qdep*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)));

d_vth_fixed_factor_Sub_dV_di_si = ((((((qdep*rc)*(qdep*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_0))-(qdep*rc))-1.0))>1.0e-38)?(deriv_log_2_d0*((((((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)*((qdep*rc)*d_qdep_dV_di_si*rc+d_qdep_dV_di_si*rc*(qdep*rc))-((qdep*rc)*(qdep*rc))*((((qdep*rc)>80.0)?5.540622384e34*d_qdep_dV_di_si*rc:(((qdep*rc)<(-80.0))?0.0:(deriv_exp_1_d0*(d_qdep_dV_di_si*rc))))-d_qdep_dV_di_si*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)))):0.0)+d_vth_fixed_factor_SI_dV_di_si);
d_vth_fixed_factor_Sub_dTemp_t_GND = ((((((qdep*rc)*(qdep*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_0))-(qdep*rc))-1.0))>1.0e-38)?(deriv_log_2_d0*((((((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)*((qdep*rc)*d_qdep_dTemp_t_GND*rc+d_qdep_dTemp_t_GND*rc*(qdep*rc))-((qdep*rc)*(qdep*rc))*((((qdep*rc)>80.0)?5.540622384e34*d_qdep_dTemp_t_GND*rc:(((qdep*rc)<(-80.0))?0.0:(deriv_exp_1_d0*(d_qdep_dTemp_t_GND*rc))))-d_qdep_dTemp_t_GND*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*rc))-1.0)))):0.0)+d_vth_fixed_factor_SI_dTemp_t_GND);
vth_fixed_factor_Sub = ((((((qdep*rc)*(qdep*rc))/(((((qdep*rc)>80.0)?(5.540622384e34*((1.0+(qdep*rc))-80.0)):(((qdep*rc)<(-80.0))?1.804851387e-35:value_exp_0))-(qdep*rc))-1.0))>1.0e-38)?value_log_2:(-87.498233534))+vth_fixed_factor_SI);
}

d_q0_dV_di_si = (10.0*d_nVtm_dV_di_si/rc);
d_q0_dTemp_t_GND = (10.0*d_nVtm_dTemp_t_GND/rc);
q0 = (((10.0*nVtm)/rc)+(2.0*qbs));

d_fieldnormalizationfactor_dTemp_t_GND = (d_Vtm_dTemp_t_GND*Cins/(Weff_UFCM*epssub));
fieldnormalizationfactor = ((Vtm*Cins)/(Weff_UFCM*epssub));
{
double value_sqrt_0 = sqrt((2.0*mx));
double value_pow_1 = pow(((((4.5*1.05457e-34)*3.14159265358979323846)*1.60219e-19)/(4.0*value_sqrt_0)),0.666666667);
auxQMfact = value_pow_1;
}
{
double value_pow_0 = pow(fieldnormalizationfactor,0.666666667);
double  deriv_pow_0_d0 = ((fieldnormalizationfactor == 0.0)?0.0:(value_pow_0*0.666666667/fieldnormalizationfactor));

d_QMFACTORCVfinal_dTemp_t_GND = (((1.60219e-19*Vtm)*((model_.QMFACTORCV)*auxQMfact)*(deriv_pow_0_d0*(d_fieldnormalizationfactor_dTemp_t_GND))-(((model_.QMFACTORCV)*auxQMfact)*value_pow_0)*1.60219e-19*d_Vtm_dTemp_t_GND)/(1.60219e-19*Vtm)/(1.60219e-19*Vtm));
QMFACTORCVfinal = ((((model_.QMFACTORCV)*auxQMfact)*value_pow_0)/(1.60219e-19*Vtm));
}

d_dvth_vtroll_dTemp_t_GND = ((-DVT0_i)*Theta_SCE)*(d_vbi_dTemp_t_GND-d_phist_dTemp_t_GND);
dvth_vtroll = (((-DVT0_i)*Theta_SCE)*(vbi-phist));
{
double value_pow_0 = pow((vdsx+0.01),DVTP1_i);
double  deriv_pow_0_d0 = (((vdsx+0.01) == 0.0)?0.0:(value_pow_0*DVTP1_i/(vdsx+0.01)));

d_dvth_dibl_dV_di_si = ((((-ETA0_a)*Theta_DIBL)*d_vdsx_dV_di_si+(-d_ETA0_a_dV_di_si)*Theta_DIBL*vdsx)+(DVTP0_i*Theta_DITS)*(deriv_pow_0_d0*(d_vdsx_dV_di_si)));
d_dvth_dibl_dTemp_t_GND = (-d_ETA0_a_dTemp_t_GND)*Theta_DIBL*vdsx;
dvth_dibl = ((((-ETA0_a)*Theta_DIBL)*vdsx)+((DVTP0_i*Theta_DITS)*value_pow_0));
}
{
double value_sqrt_0 = sqrt(phist);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_dvth_rsce_dTemp_t_GND = (K1RSCE_i*Theta_RSCE)*(deriv_sqrt_0_d0*(d_phist_dTemp_t_GND));
dvth_rsce = ((K1RSCE_i*Theta_RSCE)*value_sqrt_0);
}

d_dvth_all_dV_di_si = (d_dvth_dibl_dV_di_si+d_DVTSHIFT_a_dV_di_si);
d_dvth_all_dTemp_t_GND = ((((d_dvth_vtroll_dTemp_t_GND+d_dvth_dibl_dTemp_t_GND)+d_dvth_rsce_dTemp_t_GND)+d_dvth_temp_dTemp_t_GND)+d_DVTSHIFT_a_dTemp_t_GND);
dvth_all = ((((dvth_vtroll+dvth_dibl)+dvth_rsce)+dvth_temp)+DVTSHIFT_a);

d_vgsfb_dTemp_t_GND = (d_vgsfb_dTemp_t_GND-d_dvth_all_dTemp_t_GND);
d_vgsfb_dV_di_si = (d_vgsfb_dV_di_si-d_dvth_all_dV_di_si);
vgsfb = (vgsfb-dvth_all);

d_beta0_dV_di_si = (d_u0_a_dV_di_si*cox*Weff0/Leff);
d_beta0_dTemp_t_GND = (d_u0_a_dTemp_t_GND*cox*Weff0/Leff);
beta0 = (((u0_a*cox)*Weff0)/Leff);
if (((model_.CRYOMOD)==0))
{
{
double value_log_0 = log((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = (-(nVtm*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*(beta0*d_nVtm_dV_di_si+d_beta0_dV_di_si*nVtm)*1.60219e-19*Nc*TFIN/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+d_nVtm_dV_di_si*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534))));
d_T0_dTemp_t_GND = (-(d_dvch_qm_dTemp_t_GND+(nVtm*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*(((beta0*nVtm)*1.60219e-19)*d_Nc_dTemp_t_GND+(beta0*d_nVtm_dTemp_t_GND+d_beta0_dTemp_t_GND*nVtm)*1.60219e-19*Nc)*TFIN/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+d_nVtm_dTemp_t_GND*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
T0 = (-(dvch_qm+(nVtm*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di =  0.0;
d_T1_dTemp_t_GND = (d_vgsfb_dTemp_t_GND+d_T0_dTemp_t_GND);
d_T1_dV_di_si = (d_vgsfb_dV_di_si+d_T0_dV_di_si);
d_T1_dV_gi_si = (d_vgsfb_dV_gi_si+d_T0_dV_gi_si);
T1 = ((vgsfb+T0)+DELVTRAND);
{
double value_sqrt_0 = sqrt(((T1*T1)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgsfbeff_dV_e_si = d_vgsfbeff_dV_e_di =  0.0;
d_vgsfbeff_dTemp_t_GND = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1)))))-d_T0_dTemp_t_GND);
d_vgsfbeff_dV_di_si = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1)))))-d_T0_dV_di_si);
d_vgsfbeff_dV_gi_si = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1)))))-d_T0_dV_gi_si);
vgsfbeff = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(T1+value_sqrt_0)))-T0);
}
}
else
{
{
double value_log_0 = log((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = ((-nVtm)*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*(beta0*d_nVtm_dV_di_si+d_beta0_dV_di_si*nVtm)*1.60219e-19*Nc*TFIN/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+(-d_nVtm_dV_di_si)*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
d_T0_dTemp_t_GND = ((-nVtm)*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*(((beta0*nVtm)*1.60219e-19)*d_Nc_dTemp_t_GND+(beta0*d_nVtm_dTemp_t_GND+d_beta0_dTemp_t_GND*nVtm)*1.60219e-19*Nc)*TFIN/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+(-d_nVtm_dTemp_t_GND)*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
T0 = ((-nVtm)*(((((2.0*cox)*(model_.IMIN))/((((beta0*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_sqrt_0 = sqrt((((T0-0.01)*(T0-0.01))+((0.25*1e-4)*1e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si =  0.0;
d_T1_dV_di_si = ((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dV_di_si+d_T0_dV_di_si*(T0-0.01))))));
d_T1_dTemp_t_GND = ((-d_dvch_qm_dTemp_t_GND)+((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*(T0-0.01)))))));
T1 = ((-dvch_qm)+((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:(0.5*((T0+0.01)+value_sqrt_0))));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_e_si = d_T2_dV_e_di =  0.0;
d_T2_dTemp_t_GND = (d_vgsfb_dTemp_t_GND+d_T1_dTemp_t_GND);
d_T2_dV_di_si = (d_vgsfb_dV_di_si+d_T1_dV_di_si);
d_T2_dV_gi_si = (d_vgsfb_dV_gi_si+d_T1_dV_gi_si);
T2 = ((vgsfb+T1)+DELVTRAND);
{
double value_sqrt_0 = sqrt(((T2*T2)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgsfbeff_dTemp_t_GND = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dTemp_t_GND+(deriv_sqrt_0_d0*((T2*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*T2)))))-d_T1_dTemp_t_GND);
d_vgsfbeff_dV_di_si = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_di_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_di_si+d_T2_dV_di_si*T2)))))-d_T1_dV_di_si);
d_vgsfbeff_dV_e_di = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_e_di+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_di+d_T2_dV_e_di*T2)))))-d_T1_dV_e_di);
d_vgsfbeff_dV_e_si = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_e_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_si+d_T2_dV_e_si*T2)))))-d_T1_dV_e_si);
d_vgsfbeff_dV_gi_si = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_gi_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si+d_T2_dV_gi_si*T2)))))-d_T1_dV_gi_si);
vgsfbeff = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(T2+value_sqrt_0)))-T1);
}
}

d_vch_dV_di_si = d_vch_dV_e_si = d_vch_dV_e_di = d_vch_dV_gi_si =  0.0;
d_vch_dTemp_t_GND = d_dvch_qm_dTemp_t_GND;
vch = dvch_qm;
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si =  0.0;
d_T4_dV_di_si = (deriv_pow_0_d0*((-d_qdep_dV_di_si)));
d_T4_dTemp_t_GND = (deriv_pow_0_d0*((-d_qdep_dTemp_t_GND)));
T4 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*phib)+vch)-ves)*(((2.0*phib)+vch)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dV_e_di = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_dV_e_di-d_ves_dV_e_di)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*(d_vch_dV_e_di-d_ves_dV_e_di)+(d_vch_dV_e_di-d_ves_dV_e_di)*(((2.0*phib)+vch)-ves))))));
d_T1_dV_e_si = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_dV_e_si-d_ves_dV_e_si)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*(d_vch_dV_e_si-d_ves_dV_e_si)+(d_vch_dV_e_si-d_ves_dV_e_si)*(((2.0*phib)+vch)-ves))))));
d_T1_dTemp_t_GND = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*d_phib_dTemp_t_GND+d_vch_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*(2.0*d_phib_dTemp_t_GND+d_vch_dTemp_t_GND)+(2.0*d_phib_dTemp_t_GND+d_vch_dTemp_t_GND)*(((2.0*phib)+vch)-ves))))));
T1 = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*phib)+vch)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(T1);
double value_sqrt_1 = sqrt((2.0*phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_si));
d_T3_dV_di_si = (((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_di_si))+(-(-K1_t)*2.0*d_nVtm_dV_di_si/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
d_T3_dTemp_t_GND = (((-K1_t)/(2.0*nVtm))*((deriv_sqrt_0_d0*(d_T1_dTemp_t_GND))-(deriv_sqrt_1_d0*(2.0*d_phib_dTemp_t_GND)))+(((2.0*nVtm)*(-d_K1_t_dTemp_t_GND)-(-K1_t)*2.0*d_nVtm_dTemp_t_GND)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
T3 = (((-K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = ((-d_T3_dV_gi_si)+QMFACTORCVfinal*d_T4_dV_gi_si);
d_T0_dV_e_di = ((-d_T3_dV_e_di)+QMFACTORCVfinal*d_T4_dV_e_di);
d_T0_dV_e_si = ((-d_T3_dV_e_si)+QMFACTORCVfinal*d_T4_dV_e_si);
d_T0_dV_di_si = ((((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T4_dV_di_si);
d_T0_dTemp_t_GND = ((((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T4_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T4));
T0 = ((((-qdep)-T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-d_T3_dV_gi_si);
d_T1_dV_e_di = (-d_T3_dV_e_di);
d_T1_dV_e_si = (-d_T3_dV_e_si);
d_T1_dV_di_si = (((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = (((-qdep)-T3)+vth_fixed_factor_SI);
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = (((-d_qdep_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T4_dV_di_si);
d_T0_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T4_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T4));
T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si =  0.0;
d_T1_dV_di_si = ((-d_qdep_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = ((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = ((-qdep)+vth_fixed_factor_SI);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((nVtm*(d_vgsfbeff_dTemp_t_GND-d_vch_dTemp_t_GND)-(vgsfbeff-vch)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_T2_dV_di_si = ((nVtm*(d_vgsfbeff_dV_di_si-d_vch_dV_di_si)-(vgsfbeff-vch)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_T2_dV_gi_si = ((d_vgsfbeff_dV_gi_si-d_vch_dV_gi_si)/nVtm);
d_T2_dV_e_di = ((d_vgsfbeff_dV_e_di-d_vch_dV_e_di)/nVtm);
d_T2_dV_e_si = ((d_vgsfbeff_dV_e_si-d_vch_dV_e_si)/nVtm);
T2 = ((vgsfbeff-vch)/nVtm);

d_F0_dTemp_t_GND = ((-d_T2_dTemp_t_GND)+d_T1_dTemp_t_GND);
d_F0_dV_di_si = ((-d_T2_dV_di_si)+d_T1_dV_di_si);
d_F0_dV_e_di = ((-d_T2_dV_e_di)+d_T1_dV_e_di);
d_F0_dV_e_si = ((-d_T2_dV_e_si)+d_T1_dV_e_si);
d_F0_dV_gi_si = ((-d_T2_dV_gi_si)+d_T1_dV_gi_si);
F0 = ((-T2)+T1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dTemp_t_GND = 0.5*(d_T2_dTemp_t_GND-d_T0_dTemp_t_GND);
d_T3_dV_di_si = 0.5*(d_T2_dV_di_si-d_T0_dV_di_si);
d_T3_dV_e_di = 0.5*(d_T2_dV_e_di-d_T0_dV_e_di);
d_T3_dV_e_si = 0.5*(d_T2_dV_e_si-d_T0_dV_e_si);
d_T3_dV_gi_si = 0.5*(d_T2_dV_gi_si-d_T0_dV_gi_si);
T3 = (0.5*(T2-T0));
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_qm_dTemp_t_GND = ((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))));
d_qm_dV_gi_si = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))));
d_qm_dV_e_di = ((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))));
d_qm_dV_e_si = ((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))));
d_qm_dV_di_si = ((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))));
qm = ((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e =  0.0;
d_T7_dTemp_t_GND = (deriv_log_0_d0*(d_qm_dTemp_t_GND));
d_T7_dV_gi_si = (deriv_log_0_d0*(d_qm_dV_gi_si));
d_T7_dV_e_di = (deriv_log_0_d0*(d_qm_dV_e_di));
d_T7_dV_e_si = (deriv_log_0_d0*(d_qm_dV_e_si));
d_T7_dV_di_si = (deriv_log_0_d0*(d_qm_dV_di_si));
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_qm_dTemp_t_GND = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dTemp_t_GND+d_T7_dTemp_t_GND*T7))));
d_qm_dV_gi_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_gi_si+d_T7_dV_gi_si*T7))));
d_qm_dV_e_di = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_di+d_T7_dV_e_di*T7))));
d_qm_dV_e_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_si+d_T7_dV_e_si*T7))));
d_qm_dV_di_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_di_si+d_T7_dV_di_si*T7))));
qm = (2.0*(1.0-value_sqrt_0));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{

d_qm_dTemp_t_GND = ((-qm)*d_qm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*qm);
d_qm_dV_gi_si = ((-qm)*d_qm_dV_gi_si+(-d_qm_dV_gi_si)*qm);
d_qm_dV_e_di = ((-qm)*d_qm_dV_e_di+(-d_qm_dV_e_di)*qm);
d_qm_dV_e_si = ((-qm)*d_qm_dV_e_si+(-d_qm_dV_e_si)*qm);
d_qm_dV_di_si = ((-qm)*d_qm_dV_di_si+(-d_qm_dV_di_si)*qm);
qm = ((-qm)*qm);
}

d_qis_dTemp_t_GND = ((-qm)*d_nVtm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*nVtm);
d_qis_dV_gi_si = (-d_qm_dV_gi_si)*nVtm;
d_qis_dV_e_di = (-d_qm_dV_e_di)*nVtm;
d_qis_dV_e_si = (-d_qm_dV_e_si)*nVtm;
d_qis_dV_di_si = ((-qm)*d_nVtm_dV_di_si+(-d_qm_dV_di_si)*nVtm);
qis = ((-qm)*nVtm);
if ((SUBBANDMOD==1))
{

d_QT2_dV_e_si = d_QT2_dV_e_di =  0.0;
d_QT2_dTemp_t_GND = ((nVtm*(d_vgsfb_dTemp_t_GND-d_vch_dTemp_t_GND)-(vgsfb-vch)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT2_dV_di_si = ((nVtm*(d_vgsfb_dV_di_si-d_vch_dV_di_si)-(vgsfb-vch)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT2_dV_gi_si = ((d_vgsfb_dV_gi_si-d_vch_dV_gi_si)/nVtm);
QT2 = ((vgsfb-vch)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*p1)*p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT3_dV_e_si = d_QT3_dV_e_di =  0.0;
d_QT3_dTemp_t_GND = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dTemp_t_GND+d_QT2_dTemp_t_GND*(QT2))))));
d_QT3_dV_di_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_di_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_di_si+d_QT2_dV_di_si*(QT2))))));
d_QT3_dV_gi_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_gi_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_gi_si+d_QT2_dV_gi_si*(QT2))))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(d1/2)/QT3));

d_QT4_dV_e_si = d_QT4_dV_e_di =  0.0;
d_QT4_dTemp_t_GND = (deriv_pow_0_d0*(d_QT3_dTemp_t_GND));
d_QT4_dV_di_si = (deriv_pow_0_d0*(d_QT3_dV_di_si));
d_QT4_dV_gi_si = (deriv_pow_0_d0*(d_QT3_dV_gi_si));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;

d_qnds1_dV_e_si = d_qnds1_dV_e_di =  0.0;
d_qnds1_dTemp_t_GND = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND)))))+qnd10*d_QT4_dTemp_t_GND*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds1_dV_di_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_di_si-d_QT3_dV_di_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_di_si-d_QT3_dV_di_si)))))+qnd10*d_QT4_dV_di_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds1_dV_gi_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_gi_si-d_QT3_dV_gi_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_gi_si-d_QT3_dV_gi_si)))))+qnd10*d_QT4_dV_gi_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
qnds1 = ((qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT5_dV_e_si = d_QT5_dV_e_di =  0.0;
d_QT5_dTemp_t_GND = ((nVtm*(d_vgsfb_dTemp_t_GND-d_vch_dTemp_t_GND)-((vgsfb-vch)-qe2)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT5_dV_di_si = ((nVtm*(d_vgsfb_dV_di_si-d_vch_dV_di_si)-((vgsfb-vch)-qe2)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT5_dV_gi_si = ((d_vgsfb_dV_gi_si-d_vch_dV_gi_si)/nVtm);
QT5 = (((vgsfb-vch)-qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*p2)*p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT6_dV_e_si = d_QT6_dV_e_di =  0.0;
d_QT6_dTemp_t_GND = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dTemp_t_GND+d_QT5_dTemp_t_GND*(QT5))))));
d_QT6_dV_di_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_di_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_di_si+d_QT5_dV_di_si*(QT5))))));
d_QT6_dV_gi_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_gi_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_gi_si+d_QT5_dV_gi_si*(QT5))))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(d2/2)/QT6));

d_QT7_dV_e_si = d_QT7_dV_e_di =  0.0;
d_QT7_dTemp_t_GND = (deriv_pow_0_d0*(d_QT6_dTemp_t_GND));
d_QT7_dV_di_si = (deriv_pow_0_d0*(d_QT6_dV_di_si));
d_QT7_dV_gi_si = (deriv_pow_0_d0*(d_QT6_dV_gi_si));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;

d_qnds2_dV_e_si = d_qnds2_dV_e_di =  0.0;
d_qnds2_dTemp_t_GND = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND)))))+qnd20*d_QT7_dTemp_t_GND*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds2_dV_di_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_di_si-d_QT6_dV_di_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_di_si-d_QT6_dV_di_si)))))+qnd20*d_QT7_dV_di_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds2_dV_gi_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_gi_si-d_QT6_dV_gi_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_gi_si-d_QT6_dV_gi_si)))))+qnd20*d_QT7_dV_gi_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
qnds2 = ((qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT8_dV_e_si = d_QT8_dV_e_di =  0.0;
d_QT8_dTemp_t_GND = ((nVtm*(d_vgsfb_dTemp_t_GND-d_vch_dTemp_t_GND)-((vgsfb-vch)-qe3)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT8_dV_di_si = ((nVtm*(d_vgsfb_dV_di_si-d_vch_dV_di_si)-((vgsfb-vch)-qe3)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT8_dV_gi_si = ((d_vgsfb_dV_gi_si-d_vch_dV_gi_si)/nVtm);
QT8 = (((vgsfb-vch)-qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*p3)*p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT9_dV_e_si = d_QT9_dV_e_di =  0.0;
d_QT9_dTemp_t_GND = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dTemp_t_GND+d_QT8_dTemp_t_GND*(QT8))))));
d_QT9_dV_di_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_di_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_di_si+d_QT8_dV_di_si*(QT8))))));
d_QT9_dV_gi_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_gi_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_gi_si+d_QT8_dV_gi_si*(QT8))))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(d3/2)/QT9));

d_QT10_dV_e_si = d_QT10_dV_e_di =  0.0;
d_QT10_dTemp_t_GND = (deriv_pow_0_d0*(d_QT9_dTemp_t_GND));
d_QT10_dV_di_si = (deriv_pow_0_d0*(d_QT9_dV_di_si));
d_QT10_dV_gi_si = (deriv_pow_0_d0*(d_QT9_dV_gi_si));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;

d_qnds3_dV_e_si = d_qnds3_dV_e_di =  0.0;
d_qnds3_dTemp_t_GND = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND)))))+qnd30*d_QT10_dTemp_t_GND*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds3_dV_di_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_di_si-d_QT9_dV_di_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_di_si-d_QT9_dV_di_si)))))+qnd30*d_QT10_dV_di_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds3_dV_gi_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_gi_si-d_QT9_dV_gi_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_gi_si-d_QT9_dV_gi_si)))))+qnd30*d_QT10_dV_gi_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
qnds3 = ((qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_qis_dTemp_t_GND = (nc3d*d_qis_dTemp_t_GND+ncq*((d_qnds1_dTemp_t_GND+d_qnds2_dTemp_t_GND)+d_qnds3_dTemp_t_GND));
d_qis_dV_gi_si = (nc3d*d_qis_dV_gi_si+ncq*((d_qnds1_dV_gi_si+d_qnds2_dV_gi_si)+d_qnds3_dV_gi_si));
d_qis_dV_e_di = (nc3d*d_qis_dV_e_di+ncq*((d_qnds1_dV_e_di+d_qnds2_dV_e_di)+d_qnds3_dV_e_di));
d_qis_dV_e_si = (nc3d*d_qis_dV_e_si+ncq*((d_qnds1_dV_e_si+d_qnds2_dV_e_si)+d_qnds3_dV_e_si));
d_qis_dV_di_si = (nc3d*d_qis_dV_di_si+ncq*((d_qnds1_dV_di_si+d_qnds2_dV_di_si)+d_qnds3_dV_di_si));
qis = ((nc3d*qis)+(ncq*((qnds1+qnds2)+qnds3)));
}

d_Eeffs_dV_gi_si = EeffFactor*eta_mu*d_qis_dV_gi_si;
d_Eeffs_dV_e_di = EeffFactor*eta_mu*d_qis_dV_e_di;
d_Eeffs_dV_e_si = EeffFactor*eta_mu*d_qis_dV_e_si;
d_Eeffs_dV_di_si = EeffFactor*eta_mu*d_qis_dV_di_si;
d_Eeffs_dTemp_t_GND = EeffFactor*(eta_mu*d_qis_dTemp_t_GND+d_eta_mu_dTemp_t_GND*qis);
Eeffs = (EeffFactor*(qbs+(eta_mu*qis)));
qb0 = (1.0e-2/cox);
{
double value_pow_0 = pow((0.5*(1.0+(qis/qb0))),UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qis/qb0))) == 0.0)?0.0:(value_pow_0*UCS_t/(0.5*(1.0+(qis/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qis/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qis/qb0))))*value_pow_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((deriv_pow_0_d0*(0.5*(d_qis_dTemp_t_GND/qb0)))+(deriv_pow_0_d1*(d_UCS_t_dTemp_t_GND)));
d_T2_dV_gi_si = (deriv_pow_0_d0*(0.5*(d_qis_dV_gi_si/qb0)));
d_T2_dV_e_di = (deriv_pow_0_d0*(0.5*(d_qis_dV_e_di/qb0)));
d_T2_dV_e_si = (deriv_pow_0_d0*(0.5*(d_qis_dV_e_si/qb0)));
d_T2_dV_di_si = (deriv_pow_0_d0*(0.5*(d_qis_dV_di_si/qb0)));
T2 = value_pow_0;
}
{
double value_pow_0 = pow(Eeffs,EU_a);
double  deriv_pow_0_d0 = ((Eeffs == 0.0)?0.0:(value_pow_0*EU_a/Eeffs));
double  deriv_pow_0_d1 = (Eeffs == 0.0)?0.0:(log(Eeffs)*value_pow_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = (deriv_pow_0_d0*(d_Eeffs_dV_gi_si));
d_T3_dV_e_di = (deriv_pow_0_d0*(d_Eeffs_dV_e_di));
d_T3_dV_e_si = (deriv_pow_0_d0*(d_Eeffs_dV_e_si));
d_T3_dV_di_si = ((deriv_pow_0_d0*(d_Eeffs_dV_di_si))+(deriv_pow_0_d1*(d_EU_a_dV_di_si)));
d_T3_dTemp_t_GND = ((deriv_pow_0_d0*(d_Eeffs_dTemp_t_GND))+(deriv_pow_0_d1*(d_EU_a_dTemp_t_GND)));
T3 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = ((UA_a+(UC_a*veseff))*d_T3_dV_gi_si+(-UD_a*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (((UA_a+(UC_a*veseff))*d_T3_dV_e_di+UC_a*d_veseff_dV_e_di*T3)+(-UD_a*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (((UA_a+(UC_a*veseff))*d_T3_dV_e_si+UC_a*d_veseff_dV_e_si*T3)+(-UD_a*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = (((UA_a+(UC_a*veseff))*d_T3_dV_di_si+(d_UA_a_dV_di_si+(UC_a*d_veseff_dV_di_si+d_UC_a_dV_di_si*veseff))*T3)+((T2*d_UD_a_dV_di_si-UD_a*d_T2_dV_di_si)/T2/T2));
d_T3_dTemp_t_GND = (((UA_a+(UC_a*veseff))*d_T3_dTemp_t_GND+(d_UA_a_dTemp_t_GND+(UC_a*d_veseff_dTemp_t_GND+d_UC_a_dTemp_t_GND*veseff))*T3)+((T2*d_UD_a_dTemp_t_GND-UD_a*d_T2_dTemp_t_GND)/T2/T2));
T3 = (((UA_a+(UC_a*veseff))*T3)+(UD_a/T2));
}
else
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = (UA_a*d_T3_dV_gi_si+(-UD_a*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (UA_a*d_T3_dV_e_di+(-UD_a*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (UA_a*d_T3_dV_e_si+(-UD_a*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = ((UA_a*d_T3_dV_di_si+d_UA_a_dV_di_si*T3)+((T2*d_UD_a_dV_di_si-UD_a*d_T2_dV_di_si)/T2/T2));
d_T3_dTemp_t_GND = ((UA_a*d_T3_dTemp_t_GND+d_UA_a_dTemp_t_GND*T3)+((T2*d_UD_a_dTemp_t_GND-UD_a*d_T2_dTemp_t_GND)/T2/T2));
T3 = ((UA_a*T3)+(UD_a/T2));
}

d_Dmobs_dTemp_t_GND = d_T3_dTemp_t_GND;
d_Dmobs_dV_gi_si = d_T3_dV_gi_si;
d_Dmobs_dV_e_di = d_T3_dV_e_di;
d_Dmobs_dV_e_si = d_T3_dV_e_si;
d_Dmobs_dV_di_si = d_T3_dV_di_si;
Dmobs = (1.0+T3);
{
double value_sqrt_0 = sqrt((((Dmobs-1.0)*(Dmobs-1.0))+((0.25*(model_.DMOBCLAMP))*(model_.DMOBCLAMP))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Dmobs_dTemp_t_GND = ((((Dmobs==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_dTemp_t_GND+(deriv_sqrt_0_d0*(((Dmobs-1.0)*d_Dmobs_dTemp_t_GND+d_Dmobs_dTemp_t_GND*(Dmobs-1.0))))));
d_Dmobs_dV_gi_si = ((((Dmobs==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_dV_gi_si+(deriv_sqrt_0_d0*(((Dmobs-1.0)*d_Dmobs_dV_gi_si+d_Dmobs_dV_gi_si*(Dmobs-1.0))))));
d_Dmobs_dV_e_di = ((((Dmobs==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_dV_e_di+(deriv_sqrt_0_d0*(((Dmobs-1.0)*d_Dmobs_dV_e_di+d_Dmobs_dV_e_di*(Dmobs-1.0))))));
d_Dmobs_dV_e_si = ((((Dmobs==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_dV_e_si+(deriv_sqrt_0_d0*(((Dmobs-1.0)*d_Dmobs_dV_e_si+d_Dmobs_dV_e_si*(Dmobs-1.0))))));
d_Dmobs_dV_di_si = ((((Dmobs==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_dV_di_si+(deriv_sqrt_0_d0*(((Dmobs-1.0)*d_Dmobs_dV_di_si+d_Dmobs_dV_di_si*(Dmobs-1.0))))));
Dmobs = ((((Dmobs==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:(0.5*((Dmobs+1.0)+value_sqrt_0)));
}

d_Dmobs_dTemp_t_GND = (d_Dmobs_dTemp_t_GND/U0MULT);
d_Dmobs_dV_gi_si = (d_Dmobs_dV_gi_si/U0MULT);
d_Dmobs_dV_e_di = (d_Dmobs_dV_e_di/U0MULT);
d_Dmobs_dV_e_si = (d_Dmobs_dV_e_si/U0MULT);
d_Dmobs_dV_di_si = (d_Dmobs_dV_di_si/U0MULT);
Dmobs = (Dmobs/U0MULT);
if (((model_.RDSMOD)==1))
{

d_Rdss_dV_e_si = d_Rdss_dV_e_di = d_Rdss_dV_gi_si = d_Rdss_dV_di_si = d_Rdss_dTemp_t_GND =  0.0;
Rdss = 0.0;
}
else
{
if (((model_.RDSMOD)==0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qis_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qis_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qis_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qis_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qis_dV_di_si;
T4 = (1.0+(PRWGS_i*qis));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}

d_Rdss_dTemp_t_GND = (((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal)*d_rdstemp_dTemp_t_GND+RDSW_i*d_T0_dTemp_t_GND*WeffWRFactor*NFINtotal*rdstemp);
d_Rdss_dV_di_si = RDSW_i*d_T0_dV_di_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_dV_gi_si = RDSW_i*d_T0_dV_gi_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_dV_e_di = RDSW_i*d_T0_dV_e_di*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_dV_e_si = RDSW_i*d_T0_dV_e_si*WeffWRFactor*NFINtotal*rdstemp;
Rdss = (((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal)*rdstemp);
}
else
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qis_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qis_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qis_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qis_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qis_dV_di_si;
T4 = (1.0+(PRWGS_i*qis));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}

d_Rdss_dTemp_t_GND = (((RSourceGeo+RDrainGeo)+((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal))*d_rdstemp_dTemp_t_GND+RDSW_i*d_T0_dTemp_t_GND*WeffWRFactor*NFINtotal*rdstemp);
d_Rdss_dV_di_si = RDSW_i*d_T0_dV_di_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_dV_gi_si = RDSW_i*d_T0_dV_gi_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_dV_e_di = RDSW_i*d_T0_dV_e_di*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_dV_e_si = RDSW_i*d_T0_dV_e_si*WeffWRFactor*NFINtotal*rdstemp;
Rdss = (((RSourceGeo+RDrainGeo)+((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal))*rdstemp);
}
}

d_Esat_dV_gi_si = ((2.0*VSAT_a)/u0_a)*d_Dmobs_dV_gi_si;
d_Esat_dV_e_di = ((2.0*VSAT_a)/u0_a)*d_Dmobs_dV_e_di;
d_Esat_dV_e_si = ((2.0*VSAT_a)/u0_a)*d_Dmobs_dV_e_si;
d_Esat_dV_di_si = (((2.0*VSAT_a)/u0_a)*d_Dmobs_dV_di_si+((u0_a*2.0*d_VSAT_a_dV_di_si-(2.0*VSAT_a)*d_u0_a_dV_di_si)/u0_a/u0_a)*Dmobs);
d_Esat_dTemp_t_GND = (((2.0*VSAT_a)/u0_a)*d_Dmobs_dTemp_t_GND+((u0_a*2.0*d_VSAT_a_dTemp_t_GND-(2.0*VSAT_a)*d_u0_a_dTemp_t_GND)/u0_a/u0_a)*Dmobs);
Esat = (((2.0*VSAT_a)/u0_a)*Dmobs);

d_EsatL_dV_gi_si = d_Esat_dV_gi_si*Leff;
d_EsatL_dV_e_di = d_Esat_dV_e_di*Leff;
d_EsatL_dV_e_si = d_Esat_dV_e_si*Leff;
d_EsatL_dV_di_si = d_Esat_dV_di_si*Leff;
d_EsatL_dTemp_t_GND = d_Esat_dTemp_t_GND*Leff;
EsatL = (Esat*Leff);
if (((model_.CRYOMOD)==0))
{

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e =  0.0;
d_T6_dV_gi_si = KSATIV_a*d_qis_dV_gi_si;
d_T6_dV_e_di = KSATIV_a*d_qis_dV_e_di;
d_T6_dV_e_si = KSATIV_a*d_qis_dV_e_si;
d_T6_dTemp_t_GND = (KSATIV_a*(d_qis_dTemp_t_GND+2.0*d_Vtm_dTemp_t_GND)+d_KSATIV_a_dTemp_t_GND*(qis+(2.0*Vtm)));
d_T6_dV_di_si = (KSATIV_a*d_qis_dV_di_si+d_KSATIV_a_dV_di_si*(qis+(2.0*Vtm)));
T6 = (KSATIV_a*(qis+(2.0*Vtm)));
}
else
{

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e =  0.0;
d_T6_dV_gi_si = KSATIV_a*d_qis_dV_gi_si;
d_T6_dV_e_di = KSATIV_a*d_qis_dV_e_di;
d_T6_dV_e_si = KSATIV_a*d_qis_dV_e_si;
d_T6_dTemp_t_GND = (KSATIV_a*(d_qis_dTemp_t_GND+2.0*d_Vtmeff_dTemp_t_GND)+d_KSATIV_a_dTemp_t_GND*(qis+(2.0*Vtmeff)));
d_T6_dV_di_si = (KSATIV_a*d_qis_dV_di_si+d_KSATIV_a_dV_di_si*(qis+(2.0*Vtmeff)));
T6 = (KSATIV_a*(qis+(2.0*Vtmeff)));
}
if ((Rdss>0.0))
{

d_WVCox_dV_di_si = Weff0*d_VSAT_a_dV_di_si*cox;
d_WVCox_dTemp_t_GND = Weff0*d_VSAT_a_dTemp_t_GND*cox;
WVCox = ((Weff0*VSAT_a)*cox);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = WVCox*d_Rdss_dV_gi_si;
d_T0_dV_e_di = WVCox*d_Rdss_dV_e_di;
d_T0_dV_e_si = WVCox*d_Rdss_dV_e_si;
d_T0_dV_di_si = (WVCox*d_Rdss_dV_di_si+d_WVCox_dV_di_si*Rdss);
d_T0_dTemp_t_GND = (WVCox*d_Rdss_dTemp_t_GND+d_WVCox_dTemp_t_GND*Rdss);
T0 = (WVCox*Rdss);

d_Ta_dV_gi_e =  0.0;
d_Ta_dTemp_t_GND = 2.0*d_T0_dTemp_t_GND;
d_Ta_dV_di_si = 2.0*d_T0_dV_di_si;
d_Ta_dV_gi_si = 2.0*d_T0_dV_gi_si;
d_Ta_dV_e_di = 2.0*d_T0_dV_e_di;
d_Ta_dV_e_si = 2.0*d_T0_dV_e_si;
Ta = (2.0*T0);

d_Tb_dTemp_t_GND = ((d_T6_dTemp_t_GND+d_EsatL_dTemp_t_GND)+((3.0*T6)*d_T0_dTemp_t_GND+3.0*d_T6_dTemp_t_GND*T0));
d_Tb_dV_gi_si = ((d_T6_dV_gi_si+d_EsatL_dV_gi_si)+((3.0*T6)*d_T0_dV_gi_si+3.0*d_T6_dV_gi_si*T0));
d_Tb_dV_e_di = ((d_T6_dV_e_di+d_EsatL_dV_e_di)+((3.0*T6)*d_T0_dV_e_di+3.0*d_T6_dV_e_di*T0));
d_Tb_dV_e_si = ((d_T6_dV_e_si+d_EsatL_dV_e_si)+((3.0*T6)*d_T0_dV_e_si+3.0*d_T6_dV_e_si*T0));
d_Tb_dV_di_si = ((d_T6_dV_di_si+d_EsatL_dV_di_si)+((3.0*T6)*d_T0_dV_di_si+3.0*d_T6_dV_di_si*T0));
Tb = ((T6+EsatL)+((3.0*T6)*T0));

d_Tc_dTemp_t_GND = (T6*(d_EsatL_dTemp_t_GND+((2.0*T6)*d_T0_dTemp_t_GND+2.0*d_T6_dTemp_t_GND*T0))+d_T6_dTemp_t_GND*(EsatL+((2.0*T6)*T0)));
d_Tc_dV_gi_si = (T6*(d_EsatL_dV_gi_si+((2.0*T6)*d_T0_dV_gi_si+2.0*d_T6_dV_gi_si*T0))+d_T6_dV_gi_si*(EsatL+((2.0*T6)*T0)));
d_Tc_dV_e_di = (T6*(d_EsatL_dV_e_di+((2.0*T6)*d_T0_dV_e_di+2.0*d_T6_dV_e_di*T0))+d_T6_dV_e_di*(EsatL+((2.0*T6)*T0)));
d_Tc_dV_e_si = (T6*(d_EsatL_dV_e_si+((2.0*T6)*d_T0_dV_e_si+2.0*d_T6_dV_e_si*T0))+d_T6_dV_e_si*(EsatL+((2.0*T6)*T0)));
d_Tc_dV_di_si = (T6*(d_EsatL_dV_di_si+((2.0*T6)*d_T0_dV_di_si+2.0*d_T6_dV_di_si*T0))+d_T6_dV_di_si*(EsatL+((2.0*T6)*T0)));
Tc = (T6*(EsatL+((2.0*T6)*T0)));
{
double value_sqrt_0 = sqrt(((Tb*Tb)-((2.0*Ta)*Tc)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Vdsat_dTemp_t_GND = ((Ta*(d_Tb_dTemp_t_GND-(deriv_sqrt_0_d0*(((Tb*d_Tb_dTemp_t_GND+d_Tb_dTemp_t_GND*Tb)-((2.0*Ta)*d_Tc_dTemp_t_GND+2.0*d_Ta_dTemp_t_GND*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dTemp_t_GND)/Ta/Ta);
d_Vdsat_dV_gi_si = ((Ta*(d_Tb_dV_gi_si-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_gi_si+d_Tb_dV_gi_si*Tb)-((2.0*Ta)*d_Tc_dV_gi_si+2.0*d_Ta_dV_gi_si*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_gi_si)/Ta/Ta);
d_Vdsat_dV_e_di = ((Ta*(d_Tb_dV_e_di-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_e_di+d_Tb_dV_e_di*Tb)-((2.0*Ta)*d_Tc_dV_e_di+2.0*d_Ta_dV_e_di*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_e_di)/Ta/Ta);
d_Vdsat_dV_e_si = ((Ta*(d_Tb_dV_e_si-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_e_si+d_Tb_dV_e_si*Tb)-((2.0*Ta)*d_Tc_dV_e_si+2.0*d_Ta_dV_e_si*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_e_si)/Ta/Ta);
d_Vdsat_dV_di_si = ((Ta*(d_Tb_dV_di_si-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_di_si+d_Tb_dV_di_si*Tb)-((2.0*Ta)*d_Tc_dV_di_si+2.0*d_Ta_dV_di_si*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_di_si)/Ta/Ta);
Vdsat = ((Tb-value_sqrt_0)/Ta);
}
}
else
{

d_Vdsat_dV_gi_si = (((EsatL+T6)*(EsatL*d_T6_dV_gi_si+d_EsatL_dV_gi_si*T6)-(EsatL*T6)*(d_EsatL_dV_gi_si+d_T6_dV_gi_si))/(EsatL+T6)/(EsatL+T6));
d_Vdsat_dV_e_di = (((EsatL+T6)*(EsatL*d_T6_dV_e_di+d_EsatL_dV_e_di*T6)-(EsatL*T6)*(d_EsatL_dV_e_di+d_T6_dV_e_di))/(EsatL+T6)/(EsatL+T6));
d_Vdsat_dV_e_si = (((EsatL+T6)*(EsatL*d_T6_dV_e_si+d_EsatL_dV_e_si*T6)-(EsatL*T6)*(d_EsatL_dV_e_si+d_T6_dV_e_si))/(EsatL+T6)/(EsatL+T6));
d_Vdsat_dV_di_si = (((EsatL+T6)*(EsatL*d_T6_dV_di_si+d_EsatL_dV_di_si*T6)-(EsatL*T6)*(d_EsatL_dV_di_si+d_T6_dV_di_si))/(EsatL+T6)/(EsatL+T6));
d_Vdsat_dTemp_t_GND = (((EsatL+T6)*(EsatL*d_T6_dTemp_t_GND+d_EsatL_dTemp_t_GND*T6)-(EsatL*T6)*(d_EsatL_dTemp_t_GND+d_T6_dTemp_t_GND))/(EsatL+T6)/(EsatL+T6));
Vdsat = ((EsatL*T6)/(EsatL+T6));
}
{
double value_sqrt_0 = sqrt((((Vdsat-1.0e-3)*(Vdsat-1.0e-3))+((4.0*1.0e-5)*1.0e-5)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Vdsat_dTemp_t_GND = ((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_dTemp_t_GND+(deriv_sqrt_0_d0*(((Vdsat-1.0e-3)*d_Vdsat_dTemp_t_GND+d_Vdsat_dTemp_t_GND*(Vdsat-1.0e-3))))));
d_Vdsat_dV_gi_si = ((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_dV_gi_si+(deriv_sqrt_0_d0*(((Vdsat-1.0e-3)*d_Vdsat_dV_gi_si+d_Vdsat_dV_gi_si*(Vdsat-1.0e-3))))));
d_Vdsat_dV_e_di = ((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_dV_e_di+(deriv_sqrt_0_d0*(((Vdsat-1.0e-3)*d_Vdsat_dV_e_di+d_Vdsat_dV_e_di*(Vdsat-1.0e-3))))));
d_Vdsat_dV_e_si = ((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_dV_e_si+(deriv_sqrt_0_d0*(((Vdsat-1.0e-3)*d_Vdsat_dV_e_si+d_Vdsat_dV_e_si*(Vdsat-1.0e-3))))));
d_Vdsat_dV_di_si = ((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_dV_di_si+(deriv_sqrt_0_d0*(((Vdsat-1.0e-3)*d_Vdsat_dV_di_si+d_Vdsat_dV_di_si*(Vdsat-1.0e-3))))));
Vdsat = (((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:(0.5*((Vdsat-1.0e-3)+value_sqrt_0)))+1.0e-3);
}
{
double value_pow_0 = pow(((vds/Vdsat)+1e-6),MEXP_a);
double  deriv_pow_0_d0 = ((((vds/Vdsat)+1e-6) == 0.0)?0.0:(value_pow_0*MEXP_a/((vds/Vdsat)+1e-6)));
double  deriv_pow_0_d1 = (((vds/Vdsat)+1e-6) == 0.0)?0.0:(log(((vds/Vdsat)+1e-6))*value_pow_0);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e =  0.0;
d_T7_dTemp_t_GND = ((deriv_pow_0_d0*((-vds*d_Vdsat_dTemp_t_GND/Vdsat/Vdsat)))+(deriv_pow_0_d1*(d_MEXP_a_dTemp_t_GND)));
d_T7_dV_gi_si = (deriv_pow_0_d0*((-vds*d_Vdsat_dV_gi_si/Vdsat/Vdsat)));
d_T7_dV_e_di = (deriv_pow_0_d0*((-vds*d_Vdsat_dV_e_di/Vdsat/Vdsat)));
d_T7_dV_e_si = (deriv_pow_0_d0*((-vds*d_Vdsat_dV_e_si/Vdsat/Vdsat)));
d_T7_dV_di_si = ((deriv_pow_0_d0*(((Vdsat*d_vds_dV_di_si-vds*d_Vdsat_dV_di_si)/Vdsat/Vdsat)))+(deriv_pow_0_d1*(d_MEXP_a_dV_di_si)));
T7 = value_pow_0;
}
{
double value_pow_0 = pow((1.0+T7),inv_MEXP);
double  deriv_pow_0_d0 = (((1.0+T7) == 0.0)?0.0:(value_pow_0*inv_MEXP/(1.0+T7)));
double  deriv_pow_0_d1 = ((1.0+T7) == 0.0)?0.0:(log((1.0+T7))*value_pow_0);

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = ((deriv_pow_0_d0*(d_T7_dTemp_t_GND))+(deriv_pow_0_d1*(d_inv_MEXP_dTemp_t_GND)));
d_T8_dV_gi_si = (deriv_pow_0_d0*(d_T7_dV_gi_si));
d_T8_dV_e_di = (deriv_pow_0_d0*(d_T7_dV_e_di));
d_T8_dV_e_si = (deriv_pow_0_d0*(d_T7_dV_e_si));
d_T8_dV_di_si = ((deriv_pow_0_d0*(d_T7_dV_di_si))+(deriv_pow_0_d1*(d_inv_MEXP_dV_di_si)));
T8 = value_pow_0;
}
{
double value_min_0 = std::min((vds/T8),vds);
double  deriv_min_0_d0 = (((vds/T8)<=vds)?1.0:0.0);
double  deriv_min_0_d1 = (((vds/T8)<=vds)?0.0:1.0);

d_Vdseff_dTemp_t_GND = (deriv_min_0_d0*((-vds*d_T8_dTemp_t_GND/T8/T8)));
d_Vdseff_dV_gi_si = (deriv_min_0_d0*((-vds*d_T8_dV_gi_si/T8/T8)));
d_Vdseff_dV_e_di = (deriv_min_0_d0*((-vds*d_T8_dV_e_di/T8/T8)));
d_Vdseff_dV_e_si = (deriv_min_0_d0*((-vds*d_T8_dV_e_si/T8/T8)));
d_Vdseff_dV_di_si = ((deriv_min_0_d0*(((T8*d_vds_dV_di_si-vds*d_T8_dV_di_si)/T8/T8)))+(deriv_min_0_d1*(d_vds_dV_di_si)));
Vdseff = value_min_0;
}

d_vch_dTemp_t_GND = (d_Vdseff_dTemp_t_GND+d_dvch_qm_dTemp_t_GND);
d_vch_dV_gi_si = d_Vdseff_dV_gi_si;
d_vch_dV_e_di = d_Vdseff_dV_e_di;
d_vch_dV_e_si = d_Vdseff_dV_e_si;
d_vch_dV_di_si = d_Vdseff_dV_di_si;
vch = (Vdseff+dvch_qm);
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di =  0.0;
d_T2_dV_di_si = (deriv_pow_0_d0*((-d_qdep_dV_di_si)));
d_T2_dTemp_t_GND = (deriv_pow_0_d0*((-d_qdep_dTemp_t_GND)));
T2 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*phib)+vch)-ves)*(((2.0*phib)+vch)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*(d_vch_dV_gi_si+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*d_vch_dV_gi_si+d_vch_dV_gi_si*(((2.0*phib)+vch)-ves))))));
d_T1_dV_e_di = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_dV_e_di-d_ves_dV_e_di)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*(d_vch_dV_e_di-d_ves_dV_e_di)+(d_vch_dV_e_di-d_ves_dV_e_di)*(((2.0*phib)+vch)-ves))))));
d_T1_dV_e_si = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_dV_e_si-d_ves_dV_e_si)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*(d_vch_dV_e_si-d_ves_dV_e_si)+(d_vch_dV_e_si-d_ves_dV_e_si)*(((2.0*phib)+vch)-ves))))));
d_T1_dV_di_si = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*(d_vch_dV_di_si+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*d_vch_dV_di_si+d_vch_dV_di_si*(((2.0*phib)+vch)-ves))))));
d_T1_dTemp_t_GND = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*d_phib_dTemp_t_GND+d_vch_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch)-ves)*(2.0*d_phib_dTemp_t_GND+d_vch_dTemp_t_GND)+(2.0*d_phib_dTemp_t_GND+d_vch_dTemp_t_GND)*(((2.0*phib)+vch)-ves))))));
T1 = ((((((2.0*phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*phib)+vch)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(T1);
double value_sqrt_1 = sqrt((2.0*phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_si));
d_T3_dV_di_si = (((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_di_si))+(-(-K1_t)*2.0*d_nVtm_dV_di_si/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
d_T3_dTemp_t_GND = (((-K1_t)/(2.0*nVtm))*((deriv_sqrt_0_d0*(d_T1_dTemp_t_GND))-(deriv_sqrt_1_d0*(2.0*d_phib_dTemp_t_GND)))+(((2.0*nVtm)*(-d_K1_t_dTemp_t_GND)-(-K1_t)*2.0*d_nVtm_dTemp_t_GND)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
T3 = (((-K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = ((-d_T3_dV_gi_si)+QMFACTORCVfinal*d_T2_dV_gi_si);
d_T0_dV_e_di = ((-d_T3_dV_e_di)+QMFACTORCVfinal*d_T2_dV_e_di);
d_T0_dV_e_si = ((-d_T3_dV_e_si)+QMFACTORCVfinal*d_T2_dV_e_si);
d_T0_dV_di_si = ((((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T2_dV_di_si);
d_T0_dTemp_t_GND = ((((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T2_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T2));
T0 = ((((-qdep)-T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T2));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-d_T3_dV_gi_si);
d_T1_dV_e_di = (-d_T3_dV_e_di);
d_T1_dV_e_si = (-d_T3_dV_e_si);
d_T1_dV_di_si = (((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = (((-qdep)-T3)+vth_fixed_factor_SI);
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_e_di = QMFACTORCVfinal*d_T2_dV_e_di;
d_T0_dV_e_si = QMFACTORCVfinal*d_T2_dV_e_si;
d_T0_dV_gi_si = QMFACTORCVfinal*d_T2_dV_gi_si;
d_T0_dV_di_si = (((-d_qdep_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T2_dV_di_si);
d_T0_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T2_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T2));
T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T2));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si =  0.0;
d_T1_dV_di_si = ((-d_qdep_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = ((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = ((-qdep)+vth_fixed_factor_SI);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((nVtm*(d_vgsfbeff_dTemp_t_GND-d_vch_dTemp_t_GND)-(vgsfbeff-vch)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_T2_dV_di_si = ((nVtm*(d_vgsfbeff_dV_di_si-d_vch_dV_di_si)-(vgsfbeff-vch)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_T2_dV_gi_si = ((d_vgsfbeff_dV_gi_si-d_vch_dV_gi_si)/nVtm);
d_T2_dV_e_di = ((d_vgsfbeff_dV_e_di-d_vch_dV_e_di)/nVtm);
d_T2_dV_e_si = ((d_vgsfbeff_dV_e_si-d_vch_dV_e_si)/nVtm);
T2 = ((vgsfbeff-vch)/nVtm);

d_F0_dTemp_t_GND = ((-d_T2_dTemp_t_GND)+d_T1_dTemp_t_GND);
d_F0_dV_di_si = ((-d_T2_dV_di_si)+d_T1_dV_di_si);
d_F0_dV_e_di = ((-d_T2_dV_e_di)+d_T1_dV_e_di);
d_F0_dV_e_si = ((-d_T2_dV_e_si)+d_T1_dV_e_si);
d_F0_dV_gi_si = ((-d_T2_dV_gi_si)+d_T1_dV_gi_si);
F0 = ((-T2)+T1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dTemp_t_GND = (d_T2_dTemp_t_GND-d_T0_dTemp_t_GND)*0.5;
d_T3_dV_di_si = (d_T2_dV_di_si-d_T0_dV_di_si)*0.5;
d_T3_dV_e_di = (d_T2_dV_e_di-d_T0_dV_e_di)*0.5;
d_T3_dV_e_si = (d_T2_dV_e_si-d_T0_dV_e_si)*0.5;
d_T3_dV_gi_si = (d_T2_dV_gi_si-d_T0_dV_gi_si)*0.5;
T3 = ((T2-T0)*0.5);
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_qm_dTemp_t_GND = ((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))));
d_qm_dV_gi_si = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))));
d_qm_dV_e_di = ((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))));
d_qm_dV_e_si = ((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))));
d_qm_dV_di_si = ((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))));
qm = ((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e =  0.0;
d_T7_dTemp_t_GND = (deriv_log_0_d0*(d_qm_dTemp_t_GND));
d_T7_dV_gi_si = (deriv_log_0_d0*(d_qm_dV_gi_si));
d_T7_dV_e_di = (deriv_log_0_d0*(d_qm_dV_e_di));
d_T7_dV_e_si = (deriv_log_0_d0*(d_qm_dV_e_si));
d_T7_dV_di_si = (deriv_log_0_d0*(d_qm_dV_di_si));
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_qm_dTemp_t_GND = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dTemp_t_GND+d_T7_dTemp_t_GND*T7))));
d_qm_dV_gi_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_gi_si+d_T7_dV_gi_si*T7))));
d_qm_dV_e_di = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_di+d_T7_dV_e_di*T7))));
d_qm_dV_e_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_si+d_T7_dV_e_si*T7))));
d_qm_dV_di_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_di_si+d_T7_dV_di_si*T7))));
qm = (2.0*(1.0-value_sqrt_0));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{

d_qm_dTemp_t_GND = ((-qm)*d_qm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*qm);
d_qm_dV_gi_si = ((-qm)*d_qm_dV_gi_si+(-d_qm_dV_gi_si)*qm);
d_qm_dV_e_di = ((-qm)*d_qm_dV_e_di+(-d_qm_dV_e_di)*qm);
d_qm_dV_e_si = ((-qm)*d_qm_dV_e_si+(-d_qm_dV_e_si)*qm);
d_qm_dV_di_si = ((-qm)*d_qm_dV_di_si+(-d_qm_dV_di_si)*qm);
qm = ((-qm)*qm);
}

d_qid_dTemp_t_GND = ((-qm)*d_nVtm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*nVtm);
d_qid_dV_gi_si = (-d_qm_dV_gi_si)*nVtm;
d_qid_dV_e_di = (-d_qm_dV_e_di)*nVtm;
d_qid_dV_e_si = (-d_qm_dV_e_si)*nVtm;
d_qid_dV_di_si = ((-qm)*d_nVtm_dV_di_si+(-d_qm_dV_di_si)*nVtm);
qid = ((-qm)*nVtm);
if ((SUBBANDMOD==1))
{

d_QT2_dV_e_di = ((-d_vch_dV_e_di)/nVtm);
d_QT2_dV_e_si = ((-d_vch_dV_e_si)/nVtm);
d_QT2_dTemp_t_GND = ((nVtm*(d_vgsfb_dTemp_t_GND-d_vch_dTemp_t_GND)-(vgsfb-vch)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT2_dV_di_si = ((nVtm*(d_vgsfb_dV_di_si-d_vch_dV_di_si)-(vgsfb-vch)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT2_dV_gi_si = ((d_vgsfb_dV_gi_si-d_vch_dV_gi_si)/nVtm);
QT2 = ((vgsfb-vch)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*p1)*p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT3_dTemp_t_GND = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dTemp_t_GND+d_QT2_dTemp_t_GND*(QT2))))));
d_QT3_dV_di_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_di_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_di_si+d_QT2_dV_di_si*(QT2))))));
d_QT3_dV_gi_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_gi_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_gi_si+d_QT2_dV_gi_si*(QT2))))));
d_QT3_dV_e_di = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_e_di+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_e_di+d_QT2_dV_e_di*(QT2))))));
d_QT3_dV_e_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_e_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_e_si+d_QT2_dV_e_si*(QT2))))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(d1/2)/QT3));

d_QT4_dTemp_t_GND = (deriv_pow_0_d0*(d_QT3_dTemp_t_GND));
d_QT4_dV_di_si = (deriv_pow_0_d0*(d_QT3_dV_di_si));
d_QT4_dV_gi_si = (deriv_pow_0_d0*(d_QT3_dV_gi_si));
d_QT4_dV_e_di = (deriv_pow_0_d0*(d_QT3_dV_e_di));
d_QT4_dV_e_si = (deriv_pow_0_d0*(d_QT3_dV_e_si));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;

d_qndd1_dTemp_t_GND = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND)))))+qnd10*d_QT4_dTemp_t_GND*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_di_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_di_si-d_QT3_dV_di_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_di_si-d_QT3_dV_di_si)))))+qnd10*d_QT4_dV_di_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_gi_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_gi_si-d_QT3_dV_gi_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_gi_si-d_QT3_dV_gi_si)))))+qnd10*d_QT4_dV_gi_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_e_di = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_e_di-d_QT3_dV_e_di):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_e_di-d_QT3_dV_e_di)))))+qnd10*d_QT4_dV_e_di*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_e_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_e_si-d_QT3_dV_e_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_e_si-d_QT3_dV_e_si)))))+qnd10*d_QT4_dV_e_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
qndd1 = ((qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT5_dV_e_di = ((-d_vch_dV_e_di)/nVtm);
d_QT5_dV_e_si = ((-d_vch_dV_e_si)/nVtm);
d_QT5_dTemp_t_GND = ((nVtm*(d_vgsfb_dTemp_t_GND-d_vch_dTemp_t_GND)-((vgsfb-vch)-qe2)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT5_dV_di_si = ((nVtm*(d_vgsfb_dV_di_si-d_vch_dV_di_si)-((vgsfb-vch)-qe2)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT5_dV_gi_si = ((d_vgsfb_dV_gi_si-d_vch_dV_gi_si)/nVtm);
QT5 = (((vgsfb-vch)-qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*p2)*p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT6_dTemp_t_GND = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dTemp_t_GND+d_QT5_dTemp_t_GND*(QT5))))));
d_QT6_dV_di_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_di_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_di_si+d_QT5_dV_di_si*(QT5))))));
d_QT6_dV_gi_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_gi_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_gi_si+d_QT5_dV_gi_si*(QT5))))));
d_QT6_dV_e_di = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_e_di+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_e_di+d_QT5_dV_e_di*(QT5))))));
d_QT6_dV_e_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_e_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_e_si+d_QT5_dV_e_si*(QT5))))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(d2/2)/QT6));

d_QT7_dTemp_t_GND = (deriv_pow_0_d0*(d_QT6_dTemp_t_GND));
d_QT7_dV_di_si = (deriv_pow_0_d0*(d_QT6_dV_di_si));
d_QT7_dV_gi_si = (deriv_pow_0_d0*(d_QT6_dV_gi_si));
d_QT7_dV_e_di = (deriv_pow_0_d0*(d_QT6_dV_e_di));
d_QT7_dV_e_si = (deriv_pow_0_d0*(d_QT6_dV_e_si));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;

d_qndd2_dTemp_t_GND = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND)))))+qnd20*d_QT7_dTemp_t_GND*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_di_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_di_si-d_QT6_dV_di_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_di_si-d_QT6_dV_di_si)))))+qnd20*d_QT7_dV_di_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_gi_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_gi_si-d_QT6_dV_gi_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_gi_si-d_QT6_dV_gi_si)))))+qnd20*d_QT7_dV_gi_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_e_di = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_e_di-d_QT6_dV_e_di):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_e_di-d_QT6_dV_e_di)))))+qnd20*d_QT7_dV_e_di*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_e_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_e_si-d_QT6_dV_e_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_e_si-d_QT6_dV_e_si)))))+qnd20*d_QT7_dV_e_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
qndd2 = ((qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT8_dV_e_di = ((-d_vch_dV_e_di)/nVtm);
d_QT8_dV_e_si = ((-d_vch_dV_e_si)/nVtm);
d_QT8_dTemp_t_GND = ((nVtm*(d_vgsfb_dTemp_t_GND-d_vch_dTemp_t_GND)-((vgsfb-vch)-qe3)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT8_dV_di_si = ((nVtm*(d_vgsfb_dV_di_si-d_vch_dV_di_si)-((vgsfb-vch)-qe3)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT8_dV_gi_si = ((d_vgsfb_dV_gi_si-d_vch_dV_gi_si)/nVtm);
QT8 = (((vgsfb-vch)-qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*p3)*p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT9_dTemp_t_GND = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dTemp_t_GND+d_QT8_dTemp_t_GND*(QT8))))));
d_QT9_dV_di_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_di_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_di_si+d_QT8_dV_di_si*(QT8))))));
d_QT9_dV_gi_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_gi_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_gi_si+d_QT8_dV_gi_si*(QT8))))));
d_QT9_dV_e_di = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_e_di+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_e_di+d_QT8_dV_e_di*(QT8))))));
d_QT9_dV_e_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_e_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_e_si+d_QT8_dV_e_si*(QT8))))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(d3/2)/QT9));

d_QT10_dTemp_t_GND = (deriv_pow_0_d0*(d_QT9_dTemp_t_GND));
d_QT10_dV_di_si = (deriv_pow_0_d0*(d_QT9_dV_di_si));
d_QT10_dV_gi_si = (deriv_pow_0_d0*(d_QT9_dV_gi_si));
d_QT10_dV_e_di = (deriv_pow_0_d0*(d_QT9_dV_e_di));
d_QT10_dV_e_si = (deriv_pow_0_d0*(d_QT9_dV_e_si));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;

d_qndd3_dTemp_t_GND = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND)))))+qnd30*d_QT10_dTemp_t_GND*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_di_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_di_si-d_QT9_dV_di_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_di_si-d_QT9_dV_di_si)))))+qnd30*d_QT10_dV_di_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_gi_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_gi_si-d_QT9_dV_gi_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_gi_si-d_QT9_dV_gi_si)))))+qnd30*d_QT10_dV_gi_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_e_di = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_e_di-d_QT9_dV_e_di):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_e_di-d_QT9_dV_e_di)))))+qnd30*d_QT10_dV_e_di*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_e_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_e_si-d_QT9_dV_e_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_e_si-d_QT9_dV_e_si)))))+qnd30*d_QT10_dV_e_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
qndd3 = ((qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_qid_dTemp_t_GND = (nc3d*d_qid_dTemp_t_GND+ncq*((d_qndd1_dTemp_t_GND+d_qndd2_dTemp_t_GND)+d_qndd3_dTemp_t_GND));
d_qid_dV_gi_si = (nc3d*d_qid_dV_gi_si+ncq*((d_qndd1_dV_gi_si+d_qndd2_dV_gi_si)+d_qndd3_dV_gi_si));
d_qid_dV_e_di = (nc3d*d_qid_dV_e_di+ncq*((d_qndd1_dV_e_di+d_qndd2_dV_e_di)+d_qndd3_dV_e_di));
d_qid_dV_e_si = (nc3d*d_qid_dV_e_si+ncq*((d_qndd1_dV_e_si+d_qndd2_dV_e_si)+d_qndd3_dV_e_si));
d_qid_dV_di_si = (nc3d*d_qid_dV_di_si+ncq*((d_qndd1_dV_di_si+d_qndd2_dV_di_si)+d_qndd3_dV_di_si));
qid = ((nc3d*qid)+(ncq*((qndd1+qndd2)+qndd3)));
}
if (((model_.CVMOD)==1))
{
{
double value_pow_0 = pow((vdsx+0.01),DVTP1_i);
double  deriv_pow_0_d0 = (((vdsx+0.01) == 0.0)?0.0:(value_pow_0*DVTP1_i/(vdsx+0.01)));

d_dvth_dibl_cv_dV_di_si = (((-ETA0CV_t)*Theta_DIBL)*d_vdsx_dV_di_si+(DVTP0_i*Theta_DITS)*(deriv_pow_0_d0*(d_vdsx_dV_di_si)));
d_dvth_dibl_cv_dTemp_t_GND = (-d_ETA0CV_t_dTemp_t_GND)*Theta_DIBL*vdsx;
dvth_dibl_cv = ((((-ETA0CV_t)*Theta_DIBL)*vdsx)+((DVTP0_i*Theta_DITS)*value_pow_0));
}

d_dvth_all_cv_dV_di_si = (d_dvth_dibl_cv_dV_di_si+d_DVTSHIFT_a_dV_di_si);
d_dvth_all_cv_dTemp_t_GND = ((((d_dvth_vtroll_dTemp_t_GND+d_dvth_dibl_cv_dTemp_t_GND)+d_dvth_rsce_dTemp_t_GND)+d_dvth_temp_dTemp_t_GND)+d_DVTSHIFT_a_dTemp_t_GND);
dvth_all_cv = ((((dvth_vtroll+dvth_dibl_cv)+dvth_rsce)+dvth_temp)+DVTSHIFT_a);

d_vgsfb_cv_dTemp_t_GND = ((-d_deltaPhi_dTemp_t_GND)-d_dvth_all_cv_dTemp_t_GND);
d_vgsfb_cv_dV_di_si = (d_vgs_dV_di_si-d_dvth_all_cv_dV_di_si);
d_vgsfb_cv_dV_gi_si = d_vgs_dV_gi_si;
vgsfb_cv = ((vgs-deltaPhi)-dvth_all_cv);

d_beta0_cv_dTemp_t_GND = (d_u0_cv_dTemp_t_GND*cox*Weff0/Leff);
beta0_cv = (((u0_cv*cox)*Weff0)/Leff);
if (((model_.CRYOMOD)==0))
{
{
double value_log_0 = log((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = (-(nVtm*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*beta0_cv*d_nVtm_dV_di_si*1.60219e-19*Nc*TFIN/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+d_nVtm_dV_di_si*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534))));
d_T0_dTemp_t_GND = (-(d_dvch_qm_dTemp_t_GND+(nVtm*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*(((beta0_cv*nVtm)*1.60219e-19)*d_Nc_dTemp_t_GND+(beta0_cv*d_nVtm_dTemp_t_GND+d_beta0_cv_dTemp_t_GND*nVtm)*1.60219e-19*Nc)*TFIN/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+d_nVtm_dTemp_t_GND*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
T0 = (-(dvch_qm+(nVtm*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_e_di = d_T0_dV_e_di;
d_T1_dV_e_si = d_T0_dV_e_si;
d_T1_dTemp_t_GND = (d_vgsfb_cv_dTemp_t_GND+d_T0_dTemp_t_GND);
d_T1_dV_di_si = (d_vgsfb_cv_dV_di_si+d_T0_dV_di_si);
d_T1_dV_gi_si = (d_vgsfb_cv_dV_gi_si+d_T0_dV_gi_si);
T1 = ((vgsfb_cv+T0)+DELVTRAND);
{
double value_sqrt_0 = sqrt(((T1*T1)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgsfbeff_cv_dTemp_t_GND = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1)))))-d_T0_dTemp_t_GND);
d_vgsfbeff_cv_dV_di_si = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1)))))-d_T0_dV_di_si);
d_vgsfbeff_cv_dV_gi_si = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1)))))-d_T0_dV_gi_si);
d_vgsfbeff_cv_dV_e_di = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1)))))-d_T0_dV_e_di);
d_vgsfbeff_cv_dV_e_si = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1)))))-d_T0_dV_e_si);
vgsfbeff_cv = ((((T1==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(T1+value_sqrt_0)))-T0);
}
}
else
{
{
double value_log_0 = log((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = ((-nVtm)*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*beta0_cv*d_nVtm_dV_di_si*1.60219e-19*Nc*TFIN/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+(-d_nVtm_dV_di_si)*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
d_T0_dTemp_t_GND = ((-nVtm)*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?(deriv_log_0_d0*((-((2.0*cox)*(model_.IMIN))*(((beta0_cv*nVtm)*1.60219e-19)*d_Nc_dTemp_t_GND+(beta0_cv*d_nVtm_dTemp_t_GND+d_beta0_cv_dTemp_t_GND*nVtm)*1.60219e-19*Nc)*TFIN/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN)))):0.0)+(-d_nVtm_dTemp_t_GND)*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
T0 = ((-nVtm)*(((((2.0*cox)*(model_.IMIN))/((((beta0_cv*nVtm)*1.60219e-19)*Nc)*TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_sqrt_0 = sqrt((((T0-0.01)*(T0-0.01))+((0.25*1e-4)*1e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_di_si = ((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dV_di_si+d_T0_dV_di_si*(T0-0.01))))));
d_T1_dV_gi_si = ((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dV_gi_si+d_T0_dV_gi_si*(T0-0.01))))));
d_T1_dV_e_di = ((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dV_e_di+d_T0_dV_e_di*(T0-0.01))))));
d_T1_dV_e_si = ((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dV_e_si+d_T0_dV_e_si*(T0-0.01))))));
d_T1_dTemp_t_GND = ((-d_dvch_qm_dTemp_t_GND)+((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*(((T0-0.01)*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*(T0-0.01)))))));
T1 = ((-dvch_qm)+((((T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:(0.5*((T0+0.01)+value_sqrt_0))));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dV_e_di = d_T1_dV_e_di;
d_T2_dV_e_si = d_T1_dV_e_si;
d_T2_dTemp_t_GND = (d_vgsfb_cv_dTemp_t_GND+d_T1_dTemp_t_GND);
d_T2_dV_di_si = (d_vgsfb_cv_dV_di_si+d_T1_dV_di_si);
d_T2_dV_gi_si = (d_vgsfb_cv_dV_gi_si+d_T1_dV_gi_si);
T2 = ((vgsfb_cv+T1)+DELVTRAND);
{
double value_sqrt_0 = sqrt(((T2*T2)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgsfbeff_cv_dTemp_t_GND = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dTemp_t_GND+(deriv_sqrt_0_d0*((T2*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*T2)))))-d_T1_dTemp_t_GND);
d_vgsfbeff_cv_dV_di_si = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_di_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_di_si+d_T2_dV_di_si*T2)))))-d_T1_dV_di_si);
d_vgsfbeff_cv_dV_e_di = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_e_di+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_di+d_T2_dV_e_di*T2)))))-d_T1_dV_e_di);
d_vgsfbeff_cv_dV_e_si = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_e_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_si+d_T2_dV_e_si*T2)))))-d_T1_dV_e_si);
d_vgsfbeff_cv_dV_gi_si = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(d_T2_dV_gi_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si+d_T2_dV_gi_si*T2)))))-d_T1_dV_gi_si);
vgsfbeff_cv = ((((T2==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(T2+value_sqrt_0)))-T1);
}
}

d_vch_cv_dV_di_si = d_vch_cv_dV_e_si = d_vch_cv_dV_e_di = d_vch_cv_dV_gi_si =  0.0;
d_vch_cv_dTemp_t_GND = d_dvch_qm_dTemp_t_GND;
vch_cv = dvch_qm;
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si =  0.0;
d_T4_dV_di_si = (deriv_pow_0_d0*((-d_qdep_dV_di_si)));
d_T4_dTemp_t_GND = (deriv_pow_0_d0*((-d_qdep_dTemp_t_GND)));
T4 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*phib)+vch_cv)-ves)*(((2.0*phib)+vch_cv)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dV_e_di = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_cv_dV_e_di-d_ves_dV_e_di)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*(d_vch_cv_dV_e_di-d_ves_dV_e_di)+(d_vch_cv_dV_e_di-d_ves_dV_e_di)*(((2.0*phib)+vch_cv)-ves))))));
d_T1_dV_e_si = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_cv_dV_e_si-d_ves_dV_e_si)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*(d_vch_cv_dV_e_si-d_ves_dV_e_si)+(d_vch_cv_dV_e_si-d_ves_dV_e_si)*(((2.0*phib)+vch_cv)-ves))))));
d_T1_dTemp_t_GND = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*d_phib_dTemp_t_GND+d_vch_cv_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*(2.0*d_phib_dTemp_t_GND+d_vch_cv_dTemp_t_GND)+(2.0*d_phib_dTemp_t_GND+d_vch_cv_dTemp_t_GND)*(((2.0*phib)+vch_cv)-ves))))));
T1 = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*phib)+vch_cv)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(T1);
double value_sqrt_1 = sqrt((2.0*phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_si));
d_T3_dV_di_si = (((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_di_si))+(-(-K1_t)*2.0*d_nVtm_dV_di_si/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
d_T3_dTemp_t_GND = (((-K1_t)/(2.0*nVtm))*((deriv_sqrt_0_d0*(d_T1_dTemp_t_GND))-(deriv_sqrt_1_d0*(2.0*d_phib_dTemp_t_GND)))+(((2.0*nVtm)*(-d_K1_t_dTemp_t_GND)-(-K1_t)*2.0*d_nVtm_dTemp_t_GND)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
T3 = (((-K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = ((-d_T3_dV_gi_si)+QMFACTORCVfinal*d_T4_dV_gi_si);
d_T0_dV_e_di = ((-d_T3_dV_e_di)+QMFACTORCVfinal*d_T4_dV_e_di);
d_T0_dV_e_si = ((-d_T3_dV_e_si)+QMFACTORCVfinal*d_T4_dV_e_si);
d_T0_dV_di_si = ((((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T4_dV_di_si);
d_T0_dTemp_t_GND = ((((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T4_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T4));
T0 = ((((-qdep)-T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-d_T3_dV_gi_si);
d_T1_dV_e_di = (-d_T3_dV_e_di);
d_T1_dV_e_si = (-d_T3_dV_e_si);
d_T1_dV_di_si = (((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = (((-qdep)-T3)+vth_fixed_factor_SI);
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = QMFACTORCVfinal*d_T4_dV_gi_si;
d_T0_dV_e_di = QMFACTORCVfinal*d_T4_dV_e_di;
d_T0_dV_e_si = QMFACTORCVfinal*d_T4_dV_e_si;
d_T0_dV_di_si = (((-d_qdep_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T4_dV_di_si);
d_T0_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T4_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T4));
T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si =  0.0;
d_T1_dV_di_si = ((-d_qdep_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = ((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = ((-qdep)+vth_fixed_factor_SI);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((nVtm*(d_vgsfbeff_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-(vgsfbeff_cv-vch_cv)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_T2_dV_di_si = ((nVtm*(d_vgsfbeff_cv_dV_di_si-d_vch_cv_dV_di_si)-(vgsfbeff_cv-vch_cv)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_T2_dV_gi_si = ((d_vgsfbeff_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
d_T2_dV_e_di = ((d_vgsfbeff_cv_dV_e_di-d_vch_cv_dV_e_di)/nVtm);
d_T2_dV_e_si = ((d_vgsfbeff_cv_dV_e_si-d_vch_cv_dV_e_si)/nVtm);
T2 = ((vgsfbeff_cv-vch_cv)/nVtm);

d_F0_dTemp_t_GND = ((-d_T2_dTemp_t_GND)+d_T1_dTemp_t_GND);
d_F0_dV_di_si = ((-d_T2_dV_di_si)+d_T1_dV_di_si);
d_F0_dV_e_di = ((-d_T2_dV_e_di)+d_T1_dV_e_di);
d_F0_dV_e_si = ((-d_T2_dV_e_si)+d_T1_dV_e_si);
d_F0_dV_gi_si = ((-d_T2_dV_gi_si)+d_T1_dV_gi_si);
F0 = ((-T2)+T1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dTemp_t_GND = 0.5*(d_T2_dTemp_t_GND-d_T0_dTemp_t_GND);
d_T3_dV_di_si = 0.5*(d_T2_dV_di_si-d_T0_dV_di_si);
d_T3_dV_e_di = 0.5*(d_T2_dV_e_di-d_T0_dV_e_di);
d_T3_dV_e_si = 0.5*(d_T2_dV_e_si-d_T0_dV_e_si);
d_T3_dV_gi_si = 0.5*(d_T2_dV_gi_si-d_T0_dV_gi_si);
T3 = (0.5*(T2-T0));
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_qm_dTemp_t_GND = ((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))));
d_qm_dV_gi_si = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))));
d_qm_dV_e_di = ((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))));
d_qm_dV_e_si = ((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))));
d_qm_dV_di_si = ((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))));
qm = ((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e =  0.0;
d_T7_dTemp_t_GND = (deriv_log_0_d0*(d_qm_dTemp_t_GND));
d_T7_dV_gi_si = (deriv_log_0_d0*(d_qm_dV_gi_si));
d_T7_dV_e_di = (deriv_log_0_d0*(d_qm_dV_e_di));
d_T7_dV_e_si = (deriv_log_0_d0*(d_qm_dV_e_si));
d_T7_dV_di_si = (deriv_log_0_d0*(d_qm_dV_di_si));
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_qm_dTemp_t_GND = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dTemp_t_GND+d_T7_dTemp_t_GND*T7))));
d_qm_dV_gi_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_gi_si+d_T7_dV_gi_si*T7))));
d_qm_dV_e_di = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_di+d_T7_dV_e_di*T7))));
d_qm_dV_e_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_si+d_T7_dV_e_si*T7))));
d_qm_dV_di_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_di_si+d_T7_dV_di_si*T7))));
qm = (2.0*(1.0-value_sqrt_0));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{

d_qm_dTemp_t_GND = ((-qm)*d_qm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*qm);
d_qm_dV_gi_si = ((-qm)*d_qm_dV_gi_si+(-d_qm_dV_gi_si)*qm);
d_qm_dV_e_di = ((-qm)*d_qm_dV_e_di+(-d_qm_dV_e_di)*qm);
d_qm_dV_e_si = ((-qm)*d_qm_dV_e_si+(-d_qm_dV_e_si)*qm);
d_qm_dV_di_si = ((-qm)*d_qm_dV_di_si+(-d_qm_dV_di_si)*qm);
qm = ((-qm)*qm);
}

d_qis_cv_dTemp_t_GND = ((-qm)*d_nVtm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*nVtm);
d_qis_cv_dV_gi_si = (-d_qm_dV_gi_si)*nVtm;
d_qis_cv_dV_e_di = (-d_qm_dV_e_di)*nVtm;
d_qis_cv_dV_e_si = (-d_qm_dV_e_si)*nVtm;
d_qis_cv_dV_di_si = ((-qm)*d_nVtm_dV_di_si+(-d_qm_dV_di_si)*nVtm);
qis_cv = ((-qm)*nVtm);
if ((SUBBANDMOD==1))
{

d_QT2_dV_e_si = d_QT2_dV_e_di =  0.0;
d_QT2_dTemp_t_GND = ((nVtm*(d_vgsfb_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-(vgsfb_cv-vch_cv)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT2_dV_di_si = ((nVtm*(d_vgsfb_cv_dV_di_si-d_vch_cv_dV_di_si)-(vgsfb_cv-vch_cv)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT2_dV_gi_si = ((d_vgsfb_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
QT2 = ((vgsfb_cv-vch_cv)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*p1)*p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT3_dTemp_t_GND = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dTemp_t_GND+d_QT2_dTemp_t_GND*(QT2))))));
d_QT3_dV_di_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_di_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_di_si+d_QT2_dV_di_si*(QT2))))));
d_QT3_dV_gi_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_gi_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_gi_si+d_QT2_dV_gi_si*(QT2))))));
d_QT3_dV_e_di = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_e_di+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_e_di+d_QT2_dV_e_di*(QT2))))));
d_QT3_dV_e_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_e_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_e_si+d_QT2_dV_e_si*(QT2))))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(d1/2)/QT3));

d_QT4_dTemp_t_GND = (deriv_pow_0_d0*(d_QT3_dTemp_t_GND));
d_QT4_dV_di_si = (deriv_pow_0_d0*(d_QT3_dV_di_si));
d_QT4_dV_gi_si = (deriv_pow_0_d0*(d_QT3_dV_gi_si));
d_QT4_dV_e_di = (deriv_pow_0_d0*(d_QT3_dV_e_di));
d_QT4_dV_e_si = (deriv_pow_0_d0*(d_QT3_dV_e_si));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;

d_qnds1_dTemp_t_GND = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND)))))+qnd10*d_QT4_dTemp_t_GND*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds1_dV_di_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_di_si-d_QT3_dV_di_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_di_si-d_QT3_dV_di_si)))))+qnd10*d_QT4_dV_di_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds1_dV_gi_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_gi_si-d_QT3_dV_gi_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_gi_si-d_QT3_dV_gi_si)))))+qnd10*d_QT4_dV_gi_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds1_dV_e_di = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_e_di-d_QT3_dV_e_di):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_e_di-d_QT3_dV_e_di)))))+qnd10*d_QT4_dV_e_di*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds1_dV_e_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_e_si-d_QT3_dV_e_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_e_si-d_QT3_dV_e_si)))))+qnd10*d_QT4_dV_e_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
qnds1 = ((qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT5_dV_e_si = d_QT5_dV_e_di =  0.0;
d_QT5_dTemp_t_GND = ((nVtm*(d_vgsfb_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-((vgsfb_cv-vch_cv)-qe2)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT5_dV_di_si = ((nVtm*(d_vgsfb_cv_dV_di_si-d_vch_cv_dV_di_si)-((vgsfb_cv-vch_cv)-qe2)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT5_dV_gi_si = ((d_vgsfb_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
QT5 = (((vgsfb_cv-vch_cv)-qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*p2)*p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT6_dTemp_t_GND = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dTemp_t_GND+d_QT5_dTemp_t_GND*(QT5))))));
d_QT6_dV_di_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_di_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_di_si+d_QT5_dV_di_si*(QT5))))));
d_QT6_dV_gi_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_gi_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_gi_si+d_QT5_dV_gi_si*(QT5))))));
d_QT6_dV_e_di = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_e_di+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_e_di+d_QT5_dV_e_di*(QT5))))));
d_QT6_dV_e_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_e_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_e_si+d_QT5_dV_e_si*(QT5))))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(d2/2)/QT6));

d_QT7_dTemp_t_GND = (deriv_pow_0_d0*(d_QT6_dTemp_t_GND));
d_QT7_dV_di_si = (deriv_pow_0_d0*(d_QT6_dV_di_si));
d_QT7_dV_gi_si = (deriv_pow_0_d0*(d_QT6_dV_gi_si));
d_QT7_dV_e_di = (deriv_pow_0_d0*(d_QT6_dV_e_di));
d_QT7_dV_e_si = (deriv_pow_0_d0*(d_QT6_dV_e_si));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;

d_qnds2_dTemp_t_GND = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND)))))+qnd20*d_QT7_dTemp_t_GND*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds2_dV_di_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_di_si-d_QT6_dV_di_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_di_si-d_QT6_dV_di_si)))))+qnd20*d_QT7_dV_di_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds2_dV_gi_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_gi_si-d_QT6_dV_gi_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_gi_si-d_QT6_dV_gi_si)))))+qnd20*d_QT7_dV_gi_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds2_dV_e_di = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_e_di-d_QT6_dV_e_di):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_e_di-d_QT6_dV_e_di)))))+qnd20*d_QT7_dV_e_di*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds2_dV_e_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_e_si-d_QT6_dV_e_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_e_si-d_QT6_dV_e_si)))))+qnd20*d_QT7_dV_e_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
qnds2 = ((qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT8_dV_e_si = d_QT8_dV_e_di =  0.0;
d_QT8_dTemp_t_GND = ((nVtm*(d_vgsfb_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-((vgsfb_cv-vch_cv)-qe3)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT8_dV_di_si = ((nVtm*(d_vgsfb_cv_dV_di_si-d_vch_cv_dV_di_si)-((vgsfb_cv-vch_cv)-qe3)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT8_dV_gi_si = ((d_vgsfb_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
QT8 = (((vgsfb_cv-vch_cv)-qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*p3)*p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT9_dTemp_t_GND = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dTemp_t_GND+d_QT8_dTemp_t_GND*(QT8))))));
d_QT9_dV_di_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_di_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_di_si+d_QT8_dV_di_si*(QT8))))));
d_QT9_dV_gi_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_gi_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_gi_si+d_QT8_dV_gi_si*(QT8))))));
d_QT9_dV_e_di = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_e_di+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_e_di+d_QT8_dV_e_di*(QT8))))));
d_QT9_dV_e_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_e_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_e_si+d_QT8_dV_e_si*(QT8))))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(d3/2)/QT9));

d_QT10_dTemp_t_GND = (deriv_pow_0_d0*(d_QT9_dTemp_t_GND));
d_QT10_dV_di_si = (deriv_pow_0_d0*(d_QT9_dV_di_si));
d_QT10_dV_gi_si = (deriv_pow_0_d0*(d_QT9_dV_gi_si));
d_QT10_dV_e_di = (deriv_pow_0_d0*(d_QT9_dV_e_di));
d_QT10_dV_e_si = (deriv_pow_0_d0*(d_QT9_dV_e_si));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;

d_qnds3_dTemp_t_GND = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND)))))+qnd30*d_QT10_dTemp_t_GND*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds3_dV_di_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_di_si-d_QT9_dV_di_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_di_si-d_QT9_dV_di_si)))))+qnd30*d_QT10_dV_di_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds3_dV_gi_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_gi_si-d_QT9_dV_gi_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_gi_si-d_QT9_dV_gi_si)))))+qnd30*d_QT10_dV_gi_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds3_dV_e_di = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_e_di-d_QT9_dV_e_di):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_e_di-d_QT9_dV_e_di)))))+qnd30*d_QT10_dV_e_di*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qnds3_dV_e_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_e_si-d_QT9_dV_e_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_e_si-d_QT9_dV_e_si)))))+qnd30*d_QT10_dV_e_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
qnds3 = ((qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_qis_cv_dTemp_t_GND = (nc3d*d_qis_cv_dTemp_t_GND+ncq*((d_qnds1_dTemp_t_GND+d_qnds2_dTemp_t_GND)+d_qnds3_dTemp_t_GND));
d_qis_cv_dV_gi_si = (nc3d*d_qis_cv_dV_gi_si+ncq*((d_qnds1_dV_gi_si+d_qnds2_dV_gi_si)+d_qnds3_dV_gi_si));
d_qis_cv_dV_e_di = (nc3d*d_qis_cv_dV_e_di+ncq*((d_qnds1_dV_e_di+d_qnds2_dV_e_di)+d_qnds3_dV_e_di));
d_qis_cv_dV_e_si = (nc3d*d_qis_cv_dV_e_si+ncq*((d_qnds1_dV_e_si+d_qnds2_dV_e_si)+d_qnds3_dV_e_si));
d_qis_cv_dV_di_si = (nc3d*d_qis_cv_dV_di_si+ncq*((d_qnds1_dV_di_si+d_qnds2_dV_di_si)+d_qnds3_dV_di_si));
qis_cv = ((nc3d*qis_cv)+(ncq*((qnds1+qnds2)+qnds3)));
}

d_Eeffs_cv_dV_gi_si = EeffFactor*eta_mu*d_qis_cv_dV_gi_si;
d_Eeffs_cv_dV_e_di = EeffFactor*eta_mu*d_qis_cv_dV_e_di;
d_Eeffs_cv_dV_e_si = EeffFactor*eta_mu*d_qis_cv_dV_e_si;
d_Eeffs_cv_dV_di_si = EeffFactor*eta_mu*d_qis_cv_dV_di_si;
d_Eeffs_cv_dTemp_t_GND = EeffFactor*(eta_mu*d_qis_cv_dTemp_t_GND+d_eta_mu_dTemp_t_GND*qis_cv);
Eeffs_cv = (EeffFactor*(qbs+(eta_mu*qis_cv)));
{
double value_pow_0 = pow((0.5*(1.0+(qis_cv/qb0))),UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qis_cv/qb0))) == 0.0)?0.0:(value_pow_0*UCS_t/(0.5*(1.0+(qis_cv/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qis_cv/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qis_cv/qb0))))*value_pow_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((deriv_pow_0_d0*(0.5*(d_qis_cv_dTemp_t_GND/qb0)))+(deriv_pow_0_d1*(d_UCS_t_dTemp_t_GND)));
d_T2_dV_gi_si = (deriv_pow_0_d0*(0.5*(d_qis_cv_dV_gi_si/qb0)));
d_T2_dV_e_di = (deriv_pow_0_d0*(0.5*(d_qis_cv_dV_e_di/qb0)));
d_T2_dV_e_si = (deriv_pow_0_d0*(0.5*(d_qis_cv_dV_e_si/qb0)));
d_T2_dV_di_si = (deriv_pow_0_d0*(0.5*(d_qis_cv_dV_di_si/qb0)));
T2 = value_pow_0;
}
{
double value_pow_0 = pow(Eeffs_cv,EU_a);
double  deriv_pow_0_d0 = ((Eeffs_cv == 0.0)?0.0:(value_pow_0*EU_a/Eeffs_cv));
double  deriv_pow_0_d1 = (Eeffs_cv == 0.0)?0.0:(log(Eeffs_cv)*value_pow_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = (deriv_pow_0_d0*(d_Eeffs_cv_dV_gi_si));
d_T3_dV_e_di = (deriv_pow_0_d0*(d_Eeffs_cv_dV_e_di));
d_T3_dV_e_si = (deriv_pow_0_d0*(d_Eeffs_cv_dV_e_si));
d_T3_dV_di_si = ((deriv_pow_0_d0*(d_Eeffs_cv_dV_di_si))+(deriv_pow_0_d1*(d_EU_a_dV_di_si)));
d_T3_dTemp_t_GND = ((deriv_pow_0_d0*(d_Eeffs_cv_dTemp_t_GND))+(deriv_pow_0_d1*(d_EU_a_dTemp_t_GND)));
T3 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = ((UACV_t+(UCCV_t*veseff))*d_T3_dV_gi_si+(-UDCV_t*d_T2_dV_gi_si/T2/T2));
d_T3_dV_di_si = (((UACV_t+(UCCV_t*veseff))*d_T3_dV_di_si+UCCV_t*d_veseff_dV_di_si*T3)+(-UDCV_t*d_T2_dV_di_si/T2/T2));
d_T3_dV_e_di = (((UACV_t+(UCCV_t*veseff))*d_T3_dV_e_di+UCCV_t*d_veseff_dV_e_di*T3)+(-UDCV_t*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (((UACV_t+(UCCV_t*veseff))*d_T3_dV_e_si+UCCV_t*d_veseff_dV_e_si*T3)+(-UDCV_t*d_T2_dV_e_si/T2/T2));
d_T3_dTemp_t_GND = (((UACV_t+(UCCV_t*veseff))*d_T3_dTemp_t_GND+(d_UACV_t_dTemp_t_GND+(UCCV_t*d_veseff_dTemp_t_GND+d_UCCV_t_dTemp_t_GND*veseff))*T3)+((T2*d_UDCV_t_dTemp_t_GND-UDCV_t*d_T2_dTemp_t_GND)/T2/T2));
T3 = (((UACV_t+(UCCV_t*veseff))*T3)+(UDCV_t/T2));
}
else
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = (UACV_t*d_T3_dV_gi_si+(-UDCV_t*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (UACV_t*d_T3_dV_e_di+(-UDCV_t*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (UACV_t*d_T3_dV_e_si+(-UDCV_t*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = (UACV_t*d_T3_dV_di_si+(-UDCV_t*d_T2_dV_di_si/T2/T2));
d_T3_dTemp_t_GND = ((UACV_t*d_T3_dTemp_t_GND+d_UACV_t_dTemp_t_GND*T3)+((T2*d_UDCV_t_dTemp_t_GND-UDCV_t*d_T2_dTemp_t_GND)/T2/T2));
T3 = ((UACV_t*T3)+(UDCV_t/T2));
}

d_Dmobs_cv_dTemp_t_GND = d_T3_dTemp_t_GND;
d_Dmobs_cv_dV_gi_si = d_T3_dV_gi_si;
d_Dmobs_cv_dV_e_di = d_T3_dV_e_di;
d_Dmobs_cv_dV_e_si = d_T3_dV_e_si;
d_Dmobs_cv_dV_di_si = d_T3_dV_di_si;
Dmobs_cv = (1.0+T3);
{
double value_sqrt_0 = sqrt((((Dmobs_cv-1.0)*(Dmobs_cv-1.0))+((0.25*(model_.DMOBCLAMP))*(model_.DMOBCLAMP))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Dmobs_cv_dTemp_t_GND = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_cv_dTemp_t_GND+(deriv_sqrt_0_d0*(((Dmobs_cv-1.0)*d_Dmobs_cv_dTemp_t_GND+d_Dmobs_cv_dTemp_t_GND*(Dmobs_cv-1.0))))));
d_Dmobs_cv_dV_gi_si = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_cv_dV_gi_si+(deriv_sqrt_0_d0*(((Dmobs_cv-1.0)*d_Dmobs_cv_dV_gi_si+d_Dmobs_cv_dV_gi_si*(Dmobs_cv-1.0))))));
d_Dmobs_cv_dV_e_di = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_cv_dV_e_di+(deriv_sqrt_0_d0*(((Dmobs_cv-1.0)*d_Dmobs_cv_dV_e_di+d_Dmobs_cv_dV_e_di*(Dmobs_cv-1.0))))));
d_Dmobs_cv_dV_e_si = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_cv_dV_e_si+(deriv_sqrt_0_d0*(((Dmobs_cv-1.0)*d_Dmobs_cv_dV_e_si+d_Dmobs_cv_dV_e_si*(Dmobs_cv-1.0))))));
d_Dmobs_cv_dV_di_si = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmobs_cv_dV_di_si+(deriv_sqrt_0_d0*(((Dmobs_cv-1.0)*d_Dmobs_cv_dV_di_si+d_Dmobs_cv_dV_di_si*(Dmobs_cv-1.0))))));
Dmobs_cv = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:(0.5*((Dmobs_cv+1.0)+value_sqrt_0)));
}

d_Dmobs_cv_dTemp_t_GND = (d_Dmobs_cv_dTemp_t_GND/U0MULT);
d_Dmobs_cv_dV_gi_si = (d_Dmobs_cv_dV_gi_si/U0MULT);
d_Dmobs_cv_dV_e_di = (d_Dmobs_cv_dV_e_di/U0MULT);
d_Dmobs_cv_dV_e_si = (d_Dmobs_cv_dV_e_si/U0MULT);
d_Dmobs_cv_dV_di_si = (d_Dmobs_cv_dV_di_si/U0MULT);
Dmobs_cv = (Dmobs_cv/U0MULT);
if (((model_.RDSMOD)==1))
{

d_Rdss_cv_dV_e_si = d_Rdss_cv_dV_e_di = d_Rdss_cv_dV_gi_si = d_Rdss_cv_dV_di_si = d_Rdss_cv_dTemp_t_GND =  0.0;
Rdss_cv = 0.0;
}
else
{
if (((model_.RDSMOD)==0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qis_cv_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qis_cv_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qis_cv_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qis_cv_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qis_cv_dV_di_si;
T4 = (1.0+(PRWGS_i*qis_cv));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}

d_Rdss_cv_dTemp_t_GND = (((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal)*d_rdstemp_dTemp_t_GND+RDSW_i*d_T0_dTemp_t_GND*WeffWRFactor*NFINtotal*rdstemp);
d_Rdss_cv_dV_di_si = RDSW_i*d_T0_dV_di_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_cv_dV_gi_si = RDSW_i*d_T0_dV_gi_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_cv_dV_e_di = RDSW_i*d_T0_dV_e_di*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_cv_dV_e_si = RDSW_i*d_T0_dV_e_si*WeffWRFactor*NFINtotal*rdstemp;
Rdss_cv = (((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal)*rdstemp);
}
else
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qis_cv_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qis_cv_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qis_cv_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qis_cv_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qis_cv_dV_di_si;
T4 = (1.0+(PRWGS_i*qis_cv));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}

d_Rdss_cv_dTemp_t_GND = (((RSourceGeo+RDrainGeo)+((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal))*d_rdstemp_dTemp_t_GND+RDSW_i*d_T0_dTemp_t_GND*WeffWRFactor*NFINtotal*rdstemp);
d_Rdss_cv_dV_di_si = RDSW_i*d_T0_dV_di_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_cv_dV_gi_si = RDSW_i*d_T0_dV_gi_si*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_cv_dV_e_di = RDSW_i*d_T0_dV_e_di*WeffWRFactor*NFINtotal*rdstemp;
d_Rdss_cv_dV_e_si = RDSW_i*d_T0_dV_e_si*WeffWRFactor*NFINtotal*rdstemp;
Rdss_cv = (((RSourceGeo+RDrainGeo)+((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)*NFINtotal))*rdstemp);
}
}

d_Esats_cv_dV_gi_si = ((2.0*VSATCV_t)/u0_cv)*d_Dmobs_cv_dV_gi_si;
d_Esats_cv_dV_e_di = ((2.0*VSATCV_t)/u0_cv)*d_Dmobs_cv_dV_e_di;
d_Esats_cv_dV_e_si = ((2.0*VSATCV_t)/u0_cv)*d_Dmobs_cv_dV_e_si;
d_Esats_cv_dV_di_si = ((2.0*VSATCV_t)/u0_cv)*d_Dmobs_cv_dV_di_si;
d_Esats_cv_dTemp_t_GND = (((2.0*VSATCV_t)/u0_cv)*d_Dmobs_cv_dTemp_t_GND+((u0_cv*2.0*d_VSATCV_t_dTemp_t_GND-(2.0*VSATCV_t)*d_u0_cv_dTemp_t_GND)/u0_cv/u0_cv)*Dmobs_cv);
Esats_cv = (((2.0*VSATCV_t)/u0_cv)*Dmobs_cv);

d_EsatLs_cv_dV_gi_si = d_Esats_cv_dV_gi_si*Leff;
d_EsatLs_cv_dV_e_di = d_Esats_cv_dV_e_di*Leff;
d_EsatLs_cv_dV_e_si = d_Esats_cv_dV_e_si*Leff;
d_EsatLs_cv_dV_di_si = d_Esats_cv_dV_di_si*Leff;
d_EsatLs_cv_dTemp_t_GND = d_Esats_cv_dTemp_t_GND*Leff;
EsatLs_cv = (Esats_cv*Leff);
if (((model_.CRYOMOD)==0))
{

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e =  0.0;
d_T6_dV_gi_si = KSATIV_a*d_qis_cv_dV_gi_si;
d_T6_dV_e_di = KSATIV_a*d_qis_cv_dV_e_di;
d_T6_dV_e_si = KSATIV_a*d_qis_cv_dV_e_si;
d_T6_dTemp_t_GND = (KSATIV_a*(d_qis_cv_dTemp_t_GND+2.0*d_Vtm_dTemp_t_GND)+d_KSATIV_a_dTemp_t_GND*(qis_cv+(2.0*Vtm)));
d_T6_dV_di_si = (KSATIV_a*d_qis_cv_dV_di_si+d_KSATIV_a_dV_di_si*(qis_cv+(2.0*Vtm)));
T6 = (KSATIV_a*(qis_cv+(2.0*Vtm)));
}
else
{

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e =  0.0;
d_T6_dV_gi_si = KSATIV_a*d_qis_cv_dV_gi_si;
d_T6_dV_e_di = KSATIV_a*d_qis_cv_dV_e_di;
d_T6_dV_e_si = KSATIV_a*d_qis_cv_dV_e_si;
d_T6_dTemp_t_GND = (KSATIV_a*(d_qis_cv_dTemp_t_GND+2.0*d_Vtmeff_dTemp_t_GND)+d_KSATIV_a_dTemp_t_GND*(qis_cv+(2.0*Vtmeff)));
d_T6_dV_di_si = (KSATIV_a*d_qis_cv_dV_di_si+d_KSATIV_a_dV_di_si*(qis_cv+(2.0*Vtmeff)));
T6 = (KSATIV_a*(qis_cv+(2.0*Vtmeff)));
}
if ((Rdss_cv>0.0))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_di_si = ((Weff0*VSATCV_t)*cox)*d_Rdss_cv_dV_di_si;
d_T0_dV_gi_si = ((Weff0*VSATCV_t)*cox)*d_Rdss_cv_dV_gi_si;
d_T0_dV_e_di = ((Weff0*VSATCV_t)*cox)*d_Rdss_cv_dV_e_di;
d_T0_dV_e_si = ((Weff0*VSATCV_t)*cox)*d_Rdss_cv_dV_e_si;
d_T0_dTemp_t_GND = (((Weff0*VSATCV_t)*cox)*d_Rdss_cv_dTemp_t_GND+Weff0*d_VSATCV_t_dTemp_t_GND*cox*Rdss_cv);
T0 = (((Weff0*VSATCV_t)*cox)*Rdss_cv);

d_Ta_dV_gi_e =  0.0;
d_Ta_dTemp_t_GND = 2.0*d_T0_dTemp_t_GND;
d_Ta_dV_di_si = 2.0*d_T0_dV_di_si;
d_Ta_dV_gi_si = 2.0*d_T0_dV_gi_si;
d_Ta_dV_e_di = 2.0*d_T0_dV_e_di;
d_Ta_dV_e_si = 2.0*d_T0_dV_e_si;
Ta = (2.0*T0);

d_Tb_dTemp_t_GND = ((d_T6_dTemp_t_GND+d_EsatLs_cv_dTemp_t_GND)+((3.0*T6)*d_T0_dTemp_t_GND+3.0*d_T6_dTemp_t_GND*T0));
d_Tb_dV_gi_si = ((d_T6_dV_gi_si+d_EsatLs_cv_dV_gi_si)+((3.0*T6)*d_T0_dV_gi_si+3.0*d_T6_dV_gi_si*T0));
d_Tb_dV_e_di = ((d_T6_dV_e_di+d_EsatLs_cv_dV_e_di)+((3.0*T6)*d_T0_dV_e_di+3.0*d_T6_dV_e_di*T0));
d_Tb_dV_e_si = ((d_T6_dV_e_si+d_EsatLs_cv_dV_e_si)+((3.0*T6)*d_T0_dV_e_si+3.0*d_T6_dV_e_si*T0));
d_Tb_dV_di_si = ((d_T6_dV_di_si+d_EsatLs_cv_dV_di_si)+((3.0*T6)*d_T0_dV_di_si+3.0*d_T6_dV_di_si*T0));
Tb = ((T6+EsatLs_cv)+((3.0*T6)*T0));

d_Tc_dTemp_t_GND = (T6*(d_EsatLs_cv_dTemp_t_GND+((2.0*T6)*d_T0_dTemp_t_GND+2.0*d_T6_dTemp_t_GND*T0))+d_T6_dTemp_t_GND*(EsatLs_cv+((2.0*T6)*T0)));
d_Tc_dV_gi_si = (T6*(d_EsatLs_cv_dV_gi_si+((2.0*T6)*d_T0_dV_gi_si+2.0*d_T6_dV_gi_si*T0))+d_T6_dV_gi_si*(EsatLs_cv+((2.0*T6)*T0)));
d_Tc_dV_e_di = (T6*(d_EsatLs_cv_dV_e_di+((2.0*T6)*d_T0_dV_e_di+2.0*d_T6_dV_e_di*T0))+d_T6_dV_e_di*(EsatLs_cv+((2.0*T6)*T0)));
d_Tc_dV_e_si = (T6*(d_EsatLs_cv_dV_e_si+((2.0*T6)*d_T0_dV_e_si+2.0*d_T6_dV_e_si*T0))+d_T6_dV_e_si*(EsatLs_cv+((2.0*T6)*T0)));
d_Tc_dV_di_si = (T6*(d_EsatLs_cv_dV_di_si+((2.0*T6)*d_T0_dV_di_si+2.0*d_T6_dV_di_si*T0))+d_T6_dV_di_si*(EsatLs_cv+((2.0*T6)*T0)));
Tc = (T6*(EsatLs_cv+((2.0*T6)*T0)));
{
double value_sqrt_0 = sqrt(((Tb*Tb)-((2.0*Ta)*Tc)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Vdsat_cv_dTemp_t_GND = ((Ta*(d_Tb_dTemp_t_GND-(deriv_sqrt_0_d0*(((Tb*d_Tb_dTemp_t_GND+d_Tb_dTemp_t_GND*Tb)-((2.0*Ta)*d_Tc_dTemp_t_GND+2.0*d_Ta_dTemp_t_GND*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dTemp_t_GND)/Ta/Ta);
d_Vdsat_cv_dV_gi_si = ((Ta*(d_Tb_dV_gi_si-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_gi_si+d_Tb_dV_gi_si*Tb)-((2.0*Ta)*d_Tc_dV_gi_si+2.0*d_Ta_dV_gi_si*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_gi_si)/Ta/Ta);
d_Vdsat_cv_dV_e_di = ((Ta*(d_Tb_dV_e_di-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_e_di+d_Tb_dV_e_di*Tb)-((2.0*Ta)*d_Tc_dV_e_di+2.0*d_Ta_dV_e_di*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_e_di)/Ta/Ta);
d_Vdsat_cv_dV_e_si = ((Ta*(d_Tb_dV_e_si-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_e_si+d_Tb_dV_e_si*Tb)-((2.0*Ta)*d_Tc_dV_e_si+2.0*d_Ta_dV_e_si*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_e_si)/Ta/Ta);
d_Vdsat_cv_dV_di_si = ((Ta*(d_Tb_dV_di_si-(deriv_sqrt_0_d0*(((Tb*d_Tb_dV_di_si+d_Tb_dV_di_si*Tb)-((2.0*Ta)*d_Tc_dV_di_si+2.0*d_Ta_dV_di_si*Tc)))))-(Tb-value_sqrt_0)*d_Ta_dV_di_si)/Ta/Ta);
Vdsat_cv = ((Tb-value_sqrt_0)/Ta);
}
}
else
{

d_Vdsat_cv_dV_gi_si = (((EsatLs_cv+T6)*(EsatLs_cv*d_T6_dV_gi_si+d_EsatLs_cv_dV_gi_si*T6)-(EsatLs_cv*T6)*(d_EsatLs_cv_dV_gi_si+d_T6_dV_gi_si))/(EsatLs_cv+T6)/(EsatLs_cv+T6));
d_Vdsat_cv_dV_e_di = (((EsatLs_cv+T6)*(EsatLs_cv*d_T6_dV_e_di+d_EsatLs_cv_dV_e_di*T6)-(EsatLs_cv*T6)*(d_EsatLs_cv_dV_e_di+d_T6_dV_e_di))/(EsatLs_cv+T6)/(EsatLs_cv+T6));
d_Vdsat_cv_dV_e_si = (((EsatLs_cv+T6)*(EsatLs_cv*d_T6_dV_e_si+d_EsatLs_cv_dV_e_si*T6)-(EsatLs_cv*T6)*(d_EsatLs_cv_dV_e_si+d_T6_dV_e_si))/(EsatLs_cv+T6)/(EsatLs_cv+T6));
d_Vdsat_cv_dV_di_si = (((EsatLs_cv+T6)*(EsatLs_cv*d_T6_dV_di_si+d_EsatLs_cv_dV_di_si*T6)-(EsatLs_cv*T6)*(d_EsatLs_cv_dV_di_si+d_T6_dV_di_si))/(EsatLs_cv+T6)/(EsatLs_cv+T6));
d_Vdsat_cv_dTemp_t_GND = (((EsatLs_cv+T6)*(EsatLs_cv*d_T6_dTemp_t_GND+d_EsatLs_cv_dTemp_t_GND*T6)-(EsatLs_cv*T6)*(d_EsatLs_cv_dTemp_t_GND+d_T6_dTemp_t_GND))/(EsatLs_cv+T6)/(EsatLs_cv+T6));
Vdsat_cv = ((EsatLs_cv*T6)/(EsatLs_cv+T6));
}
{
double value_sqrt_0 = sqrt((((Vdsat_cv-1.0e-3)*(Vdsat_cv-1.0e-3))+((4.0*1.0e-5)*1.0e-5)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Vdsat_cv_dTemp_t_GND = ((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_cv_dTemp_t_GND+(deriv_sqrt_0_d0*(((Vdsat_cv-1.0e-3)*d_Vdsat_cv_dTemp_t_GND+d_Vdsat_cv_dTemp_t_GND*(Vdsat_cv-1.0e-3))))));
d_Vdsat_cv_dV_gi_si = ((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_cv_dV_gi_si+(deriv_sqrt_0_d0*(((Vdsat_cv-1.0e-3)*d_Vdsat_cv_dV_gi_si+d_Vdsat_cv_dV_gi_si*(Vdsat_cv-1.0e-3))))));
d_Vdsat_cv_dV_e_di = ((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_cv_dV_e_di+(deriv_sqrt_0_d0*(((Vdsat_cv-1.0e-3)*d_Vdsat_cv_dV_e_di+d_Vdsat_cv_dV_e_di*(Vdsat_cv-1.0e-3))))));
d_Vdsat_cv_dV_e_si = ((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_cv_dV_e_si+(deriv_sqrt_0_d0*(((Vdsat_cv-1.0e-3)*d_Vdsat_cv_dV_e_si+d_Vdsat_cv_dV_e_si*(Vdsat_cv-1.0e-3))))));
d_Vdsat_cv_dV_di_si = ((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_cv_dV_di_si+(deriv_sqrt_0_d0*(((Vdsat_cv-1.0e-3)*d_Vdsat_cv_dV_di_si+d_Vdsat_cv_dV_di_si*(Vdsat_cv-1.0e-3))))));
Vdsat_cv = (((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:(0.5*((Vdsat_cv-1.0e-3)+value_sqrt_0)))+1.0e-3);
}
{
double value_pow_0 = pow(((vds/Vdsat_cv)+1e-6),MEXP_a);
double  deriv_pow_0_d0 = ((((vds/Vdsat_cv)+1e-6) == 0.0)?0.0:(value_pow_0*MEXP_a/((vds/Vdsat_cv)+1e-6)));
double  deriv_pow_0_d1 = (((vds/Vdsat_cv)+1e-6) == 0.0)?0.0:(log(((vds/Vdsat_cv)+1e-6))*value_pow_0);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e =  0.0;
d_T7_dTemp_t_GND = ((deriv_pow_0_d0*((-vds*d_Vdsat_cv_dTemp_t_GND/Vdsat_cv/Vdsat_cv)))+(deriv_pow_0_d1*(d_MEXP_a_dTemp_t_GND)));
d_T7_dV_gi_si = (deriv_pow_0_d0*((-vds*d_Vdsat_cv_dV_gi_si/Vdsat_cv/Vdsat_cv)));
d_T7_dV_e_di = (deriv_pow_0_d0*((-vds*d_Vdsat_cv_dV_e_di/Vdsat_cv/Vdsat_cv)));
d_T7_dV_e_si = (deriv_pow_0_d0*((-vds*d_Vdsat_cv_dV_e_si/Vdsat_cv/Vdsat_cv)));
d_T7_dV_di_si = ((deriv_pow_0_d0*(((Vdsat_cv*d_vds_dV_di_si-vds*d_Vdsat_cv_dV_di_si)/Vdsat_cv/Vdsat_cv)))+(deriv_pow_0_d1*(d_MEXP_a_dV_di_si)));
T7 = value_pow_0;
}
{
double value_pow_0 = pow((1.0+T7),inv_MEXP);
double  deriv_pow_0_d0 = (((1.0+T7) == 0.0)?0.0:(value_pow_0*inv_MEXP/(1.0+T7)));
double  deriv_pow_0_d1 = ((1.0+T7) == 0.0)?0.0:(log((1.0+T7))*value_pow_0);

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = ((deriv_pow_0_d0*(d_T7_dTemp_t_GND))+(deriv_pow_0_d1*(d_inv_MEXP_dTemp_t_GND)));
d_T8_dV_gi_si = (deriv_pow_0_d0*(d_T7_dV_gi_si));
d_T8_dV_e_di = (deriv_pow_0_d0*(d_T7_dV_e_di));
d_T8_dV_e_si = (deriv_pow_0_d0*(d_T7_dV_e_si));
d_T8_dV_di_si = ((deriv_pow_0_d0*(d_T7_dV_di_si))+(deriv_pow_0_d1*(d_inv_MEXP_dV_di_si)));
T8 = value_pow_0;
}
{
double value_min_0 = std::min((vds/T8),vds);
double  deriv_min_0_d0 = (((vds/T8)<=vds)?1.0:0.0);
double  deriv_min_0_d1 = (((vds/T8)<=vds)?0.0:1.0);

d_Vdseff_cv_dTemp_t_GND = (deriv_min_0_d0*((-vds*d_T8_dTemp_t_GND/T8/T8)));
d_Vdseff_cv_dV_gi_si = (deriv_min_0_d0*((-vds*d_T8_dV_gi_si/T8/T8)));
d_Vdseff_cv_dV_e_di = (deriv_min_0_d0*((-vds*d_T8_dV_e_di/T8/T8)));
d_Vdseff_cv_dV_e_si = (deriv_min_0_d0*((-vds*d_T8_dV_e_si/T8/T8)));
d_Vdseff_cv_dV_di_si = ((deriv_min_0_d0*(((T8*d_vds_dV_di_si-vds*d_T8_dV_di_si)/T8/T8)))+(deriv_min_0_d1*(d_vds_dV_di_si)));
Vdseff_cv = value_min_0;
}

d_vch_cv_dTemp_t_GND = (d_Vdseff_cv_dTemp_t_GND+d_dvch_qm_dTemp_t_GND);
d_vch_cv_dV_gi_si = d_Vdseff_cv_dV_gi_si;
d_vch_cv_dV_e_di = d_Vdseff_cv_dV_e_di;
d_vch_cv_dV_e_si = d_Vdseff_cv_dV_e_si;
d_vch_cv_dV_di_si = d_Vdseff_cv_dV_di_si;
vch_cv = (Vdseff_cv+dvch_qm);
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di =  0.0;
d_T2_dV_di_si = (deriv_pow_0_d0*((-d_qdep_dV_di_si)));
d_T2_dTemp_t_GND = (deriv_pow_0_d0*((-d_qdep_dTemp_t_GND)));
T2 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*phib)+vch_cv)-ves)*(((2.0*phib)+vch_cv)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*(d_vch_cv_dV_gi_si+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*d_vch_cv_dV_gi_si+d_vch_cv_dV_gi_si*(((2.0*phib)+vch_cv)-ves))))));
d_T1_dV_e_di = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_cv_dV_e_di-d_ves_dV_e_di)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*(d_vch_cv_dV_e_di-d_ves_dV_e_di)+(d_vch_cv_dV_e_di-d_ves_dV_e_di)*(((2.0*phib)+vch_cv)-ves))))));
d_T1_dV_e_si = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((d_vch_cv_dV_e_si-d_ves_dV_e_si)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*(d_vch_cv_dV_e_si-d_ves_dV_e_si)+(d_vch_cv_dV_e_si-d_ves_dV_e_si)*(((2.0*phib)+vch_cv)-ves))))));
d_T1_dV_di_si = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*(d_vch_cv_dV_di_si+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*d_vch_cv_dV_di_si+d_vch_cv_dV_di_si*(((2.0*phib)+vch_cv)-ves))))));
d_T1_dTemp_t_GND = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*d_phib_dTemp_t_GND+d_vch_cv_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((2.0*phib)+vch_cv)-ves)*(2.0*d_phib_dTemp_t_GND+d_vch_cv_dTemp_t_GND)+(2.0*d_phib_dTemp_t_GND+d_vch_cv_dTemp_t_GND)*(((2.0*phib)+vch_cv)-ves))))));
T1 = ((((((2.0*phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*phib)+vch_cv)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(T1);
double value_sqrt_1 = sqrt((2.0*phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dV_gi_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = ((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_e_si));
d_T3_dV_di_si = (((-K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_T1_dV_di_si))+(-(-K1_t)*2.0*d_nVtm_dV_di_si/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
d_T3_dTemp_t_GND = (((-K1_t)/(2.0*nVtm))*((deriv_sqrt_0_d0*(d_T1_dTemp_t_GND))-(deriv_sqrt_1_d0*(2.0*d_phib_dTemp_t_GND)))+(((2.0*nVtm)*(-d_K1_t_dTemp_t_GND)-(-K1_t)*2.0*d_nVtm_dTemp_t_GND)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
T3 = (((-K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = ((-d_T3_dV_gi_si)+QMFACTORCVfinal*d_T2_dV_gi_si);
d_T0_dV_e_di = ((-d_T3_dV_e_di)+QMFACTORCVfinal*d_T2_dV_e_di);
d_T0_dV_e_si = ((-d_T3_dV_e_si)+QMFACTORCVfinal*d_T2_dV_e_si);
d_T0_dV_di_si = ((((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T2_dV_di_si);
d_T0_dTemp_t_GND = ((((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T2_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T2));
T0 = ((((-qdep)-T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T2));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-d_T3_dV_gi_si);
d_T1_dV_e_di = (-d_T3_dV_e_di);
d_T1_dV_e_si = (-d_T3_dV_e_si);
d_T1_dV_di_si = (((-d_qdep_dV_di_si)-d_T3_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)-d_T3_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = (((-qdep)-T3)+vth_fixed_factor_SI);
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_e_di = QMFACTORCVfinal*d_T2_dV_e_di;
d_T0_dV_e_si = QMFACTORCVfinal*d_T2_dV_e_si;
d_T0_dV_gi_si = QMFACTORCVfinal*d_T2_dV_gi_si;
d_T0_dV_di_si = (((-d_qdep_dV_di_si)+d_vth_fixed_factor_Sub_dV_di_si)+QMFACTORCVfinal*d_T2_dV_di_si);
d_T0_dTemp_t_GND = (((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_Sub_dTemp_t_GND)+(QMFACTORCVfinal*d_T2_dTemp_t_GND+d_QMFACTORCVfinal_dTemp_t_GND*T2));
T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T2));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si =  0.0;
d_T1_dV_di_si = ((-d_qdep_dV_di_si)+d_vth_fixed_factor_SI_dV_di_si);
d_T1_dTemp_t_GND = ((-d_qdep_dTemp_t_GND)+d_vth_fixed_factor_SI_dTemp_t_GND);
T1 = ((-qdep)+vth_fixed_factor_SI);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((nVtm*(d_vgsfbeff_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-(vgsfbeff_cv-vch_cv)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_T2_dV_di_si = ((nVtm*(d_vgsfbeff_cv_dV_di_si-d_vch_cv_dV_di_si)-(vgsfbeff_cv-vch_cv)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_T2_dV_gi_si = ((d_vgsfbeff_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
d_T2_dV_e_di = ((d_vgsfbeff_cv_dV_e_di-d_vch_cv_dV_e_di)/nVtm);
d_T2_dV_e_si = ((d_vgsfbeff_cv_dV_e_si-d_vch_cv_dV_e_si)/nVtm);
T2 = ((vgsfbeff_cv-vch_cv)/nVtm);

d_F0_dTemp_t_GND = ((-d_T2_dTemp_t_GND)+d_T1_dTemp_t_GND);
d_F0_dV_di_si = ((-d_T2_dV_di_si)+d_T1_dV_di_si);
d_F0_dV_e_di = ((-d_T2_dV_e_di)+d_T1_dV_e_di);
d_F0_dV_e_si = ((-d_T2_dV_e_si)+d_T1_dV_e_si);
d_F0_dV_gi_si = ((-d_T2_dV_gi_si)+d_T1_dV_gi_si);
F0 = ((-T2)+T1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dTemp_t_GND = (d_T2_dTemp_t_GND-d_T0_dTemp_t_GND)*0.5;
d_T3_dV_di_si = (d_T2_dV_di_si-d_T0_dV_di_si)*0.5;
d_T3_dV_e_di = (d_T2_dV_e_di-d_T0_dV_e_di)*0.5;
d_T3_dV_e_si = (d_T2_dV_e_si-d_T0_dV_e_si)*0.5;
d_T3_dV_gi_si = (d_T2_dV_gi_si-d_T0_dV_gi_si)*0.5;
T3 = ((T2-T0)*0.5);
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_qm_dTemp_t_GND = ((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))));
d_qm_dV_gi_si = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))));
d_qm_dV_e_di = ((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))));
d_qm_dV_e_si = ((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))));
d_qm_dV_di_si = ((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))));
qm = ((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e =  0.0;
d_T7_dTemp_t_GND = (deriv_log_0_d0*(d_qm_dTemp_t_GND));
d_T7_dV_gi_si = (deriv_log_0_d0*(d_qm_dV_gi_si));
d_T7_dV_e_di = (deriv_log_0_d0*(d_qm_dV_e_di));
d_T7_dV_e_si = (deriv_log_0_d0*(d_qm_dV_e_si));
d_T7_dV_di_si = (deriv_log_0_d0*(d_qm_dV_di_si));
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_qm_dTemp_t_GND = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dTemp_t_GND+d_T7_dTemp_t_GND*T7))));
d_qm_dV_gi_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_gi_si+d_T7_dV_gi_si*T7))));
d_qm_dV_e_di = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_di+d_T7_dV_e_di*T7))));
d_qm_dV_e_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_e_si+d_T7_dV_e_si*T7))));
d_qm_dV_di_si = 2.0*(-(deriv_sqrt_0_d0*((T7*d_T7_dV_di_si+d_T7_dV_di_si*T7))));
qm = (2.0*(1.0-value_sqrt_0));
}

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e =  0.0;
d_T8_dTemp_t_GND = (d_qm_dTemp_t_GND*(model_.ALPHA_UFCM)+d_qdep_dTemp_t_GND)*rc;
d_T8_dV_gi_si = d_qm_dV_gi_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_di = d_qm_dV_e_di*(model_.ALPHA_UFCM)*rc;
d_T8_dV_e_si = d_qm_dV_e_si*(model_.ALPHA_UFCM)*rc;
d_T8_dV_di_si = (d_qm_dV_di_si*(model_.ALPHA_UFCM)+d_qdep_dV_di_si)*rc;
T8 = (((qm*(model_.ALPHA_UFCM))+qdep)*rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dTemp_t_GND-T8*(((T8>80.0)?5.540622384e34*d_T8_dTemp_t_GND:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dTemp_t_GND))))-d_T8_dTemp_t_GND))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_gi_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_gi_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_gi_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_gi_si))))-d_T8_dV_gi_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_di = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_di-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_di:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_di))))-d_T8_dV_e_di))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_e_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_e_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_e_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_e_si))))-d_T8_dV_e_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
d_T4_dV_di_si = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dV_di_si-T8*(((T8>80.0)?5.540622384e34*d_T8_dV_di_si:((T8<(-80.0))?0.0:(deriv_exp_0_d0*(d_T8_dV_di_si))))-d_T8_dV_di_si))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (T8*d_T4_dTemp_t_GND+d_T8_dTemp_t_GND*T4);
d_T5_dV_gi_si = (T8*d_T4_dV_gi_si+d_T8_dV_gi_si*T4);
d_T5_dV_e_di = (T8*d_T4_dV_e_di+d_T8_dV_e_di*T4);
d_T5_dV_e_si = (T8*d_T4_dV_e_si+d_T8_dV_e_si*T4);
d_T5_dV_di_si = (T8*d_T4_dV_di_si+d_T8_dV_di_si*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));

d_qm_ln_dTemp_t_GND = (deriv_log_0_d0*((-(d_qm_dTemp_t_GND+d_qdep_dTemp_t_GND))));
d_qm_ln_dV_gi_si = (deriv_log_0_d0*((-d_qm_dV_gi_si)));
d_qm_ln_dV_e_di = (deriv_log_0_d0*((-d_qm_dV_e_di)));
d_qm_ln_dV_e_si = (deriv_log_0_d0*((-d_qm_dV_e_si)));
d_qm_ln_dV_di_si = (deriv_log_0_d0*((-(d_qm_dV_di_si+d_qdep_dV_di_si))));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;

d_e0_dV_gi_e =  0.0;
d_e0_dTemp_t_GND = ((((d_F0_dTemp_t_GND-d_qm_dTemp_t_GND)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dTemp_t_GND))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dTemp_t_GND)):0.0))+(QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dTemp_t_GND))+d_QMFACTORCVfinal_dTemp_t_GND*value_exp_2));
d_e0_dV_di_si = ((((d_F0_dV_di_si-d_qm_dV_di_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_di_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_di_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_di_si)));
d_e0_dV_e_di = ((((d_F0_dV_e_di-d_qm_dV_e_di)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_di))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_di)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_di)));
d_e0_dV_e_si = ((((d_F0_dV_e_si-d_qm_dV_e_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_e_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_e_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_e_si)));
d_e0_dV_gi_si = ((((d_F0_dV_gi_si-d_qm_dV_gi_si)+(((-qm)>1.0e-38)?(deriv_log_0_d0*((-d_qm_dV_gi_si))):0.0))+((T5>1.0e-38)?(deriv_log_1_d0*(d_T5_dV_gi_si)):0.0))+QMFACTORCVfinal*(deriv_exp_2_d0*(0.666666667*d_qm_ln_dV_gi_si)));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e1_dV_gi_e =  0.0;
d_e1_dTemp_t_GND = (((-d_qm_dTemp_t_GND/qm/qm)+((-2.0*d_T8_dTemp_t_GND/T8/T8)-d_T4_dTemp_t_GND)*rc)-((0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dTemp_t_GND))+0.666666667*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e1_dV_gi_si = (((-d_qm_dV_gi_si/qm/qm)+((-2.0*d_T8_dV_gi_si/T8/T8)-d_T4_dV_gi_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_gi_si)));
d_e1_dV_e_di = (((-d_qm_dV_e_di/qm/qm)+((-2.0*d_T8_dV_e_di/T8/T8)-d_T4_dV_e_di)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_di)));
d_e1_dV_e_si = (((-d_qm_dV_e_si/qm/qm)+((-2.0*d_T8_dV_e_si/T8/T8)-d_T4_dV_e_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_e_si)));
d_e1_dV_di_si = (((-d_qm_dV_di_si/qm/qm)+((-2.0*d_T8_dV_di_si/T8/T8)-d_T4_dV_di_si)*rc)-(0.666666667*QMFACTORCVfinal)*(deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dV_di_si)));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;

d_e2_dTemp_t_GND = ((-(-1.0)*(qm*d_qm_dTemp_t_GND+d_qm_dTemp_t_GND*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dTemp_t_GND))+(2.0/9.0)*d_QMFACTORCVfinal_dTemp_t_GND*value_exp_0));
d_e2_dV_gi_si = ((-(-1.0)*(qm*d_qm_dV_gi_si+d_qm_dV_gi_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_gi_si)));
d_e2_dV_e_di = ((-(-1.0)*(qm*d_qm_dV_e_di+d_qm_dV_e_di*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_di)));
d_e2_dV_e_si = ((-(-1.0)*(qm*d_qm_dV_e_si+d_qm_dV_e_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_e_si)));
d_e2_dV_di_si = ((-(-1.0)*(qm*d_qm_dV_di_si+d_qm_dV_di_si*qm)/(qm*qm)/(qm*qm))-((2.0/9.0)*QMFACTORCVfinal)*(deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dV_di_si)));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}

d_qm_dTemp_t_GND = (d_qm_dTemp_t_GND-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dTemp_t_GND+d_e0_dTemp_t_GND*e2)-(e0*e2)*((2.0*e1)*d_e1_dTemp_t_GND+2.0*d_e1_dTemp_t_GND*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_gi_si = (d_qm_dV_gi_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_gi_si+d_e0_dV_gi_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_gi_si+2.0*d_e1_dV_gi_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_di = (d_qm_dV_e_di-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_di+d_e0_dV_e_di*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_di+2.0*d_e1_dV_e_di*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_e_si = (d_qm_dV_e_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_e_si+d_e0_dV_e_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_e_si+2.0*d_e1_dV_e_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_qm_dV_di_si = (d_qm_dV_di_si-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dV_di_si+d_e0_dV_di_si*e2)-(e0*e2)*((2.0*e1)*d_e1_dV_di_si+2.0*d_e1_dV_di_si*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{

d_qm_dTemp_t_GND = ((-qm)*d_qm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*qm);
d_qm_dV_gi_si = ((-qm)*d_qm_dV_gi_si+(-d_qm_dV_gi_si)*qm);
d_qm_dV_e_di = ((-qm)*d_qm_dV_e_di+(-d_qm_dV_e_di)*qm);
d_qm_dV_e_si = ((-qm)*d_qm_dV_e_si+(-d_qm_dV_e_si)*qm);
d_qm_dV_di_si = ((-qm)*d_qm_dV_di_si+(-d_qm_dV_di_si)*qm);
qm = ((-qm)*qm);
}

d_qid_cv_dTemp_t_GND = ((-qm)*d_nVtm_dTemp_t_GND+(-d_qm_dTemp_t_GND)*nVtm);
d_qid_cv_dV_gi_si = (-d_qm_dV_gi_si)*nVtm;
d_qid_cv_dV_e_di = (-d_qm_dV_e_di)*nVtm;
d_qid_cv_dV_e_si = (-d_qm_dV_e_si)*nVtm;
d_qid_cv_dV_di_si = ((-qm)*d_nVtm_dV_di_si+(-d_qm_dV_di_si)*nVtm);
qid_cv = ((-qm)*nVtm);
if ((SUBBANDMOD==1))
{

d_QT2_dV_e_di = ((-d_vch_cv_dV_e_di)/nVtm);
d_QT2_dV_e_si = ((-d_vch_cv_dV_e_si)/nVtm);
d_QT2_dTemp_t_GND = ((nVtm*(d_vgsfb_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-(vgsfb_cv-vch_cv)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT2_dV_di_si = ((nVtm*(d_vgsfb_cv_dV_di_si-d_vch_cv_dV_di_si)-(vgsfb_cv-vch_cv)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT2_dV_gi_si = ((d_vgsfb_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
QT2 = ((vgsfb_cv-vch_cv)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*p1)*p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT3_dTemp_t_GND = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dTemp_t_GND+d_QT2_dTemp_t_GND*(QT2))))));
d_QT3_dV_di_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_di_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_di_si+d_QT2_dV_di_si*(QT2))))));
d_QT3_dV_gi_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_gi_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_gi_si+d_QT2_dV_gi_si*(QT2))))));
d_QT3_dV_e_di = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_e_di+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_e_di+d_QT2_dV_e_di*(QT2))))));
d_QT3_dV_e_si = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:0.5*(d_QT2_dV_e_si+(deriv_sqrt_0_d0*(((QT2)*d_QT2_dV_e_si+d_QT2_dV_e_si*(QT2))))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(d1/2)/QT3));

d_QT4_dTemp_t_GND = (deriv_pow_0_d0*(d_QT3_dTemp_t_GND));
d_QT4_dV_di_si = (deriv_pow_0_d0*(d_QT3_dV_di_si));
d_QT4_dV_gi_si = (deriv_pow_0_d0*(d_QT3_dV_gi_si));
d_QT4_dV_e_di = (deriv_pow_0_d0*(d_QT3_dV_e_di));
d_QT4_dV_e_si = (deriv_pow_0_d0*(d_QT3_dV_e_si));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;

d_qndd1_dTemp_t_GND = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dTemp_t_GND-d_QT3_dTemp_t_GND)))))+qnd10*d_QT4_dTemp_t_GND*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_di_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_di_si-d_QT3_dV_di_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_di_si-d_QT3_dV_di_si)))))+qnd10*d_QT4_dV_di_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_gi_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_gi_si-d_QT3_dV_gi_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_gi_si-d_QT3_dV_gi_si)))))+qnd10*d_QT4_dV_gi_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_e_di = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_e_di-d_QT3_dV_e_di):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_e_di-d_QT3_dV_e_di)))))+qnd10*d_QT4_dV_e_di*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd1_dV_e_si = ((qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dV_e_si-d_QT3_dV_e_si):(((QT2-QT3)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT2_dV_e_si-d_QT3_dV_e_si)))))+qnd10*d_QT4_dV_e_si*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
qndd1 = ((qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT5_dV_e_di = ((-d_vch_cv_dV_e_di)/nVtm);
d_QT5_dV_e_si = ((-d_vch_cv_dV_e_si)/nVtm);
d_QT5_dTemp_t_GND = ((nVtm*(d_vgsfb_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-((vgsfb_cv-vch_cv)-qe2)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT5_dV_di_si = ((nVtm*(d_vgsfb_cv_dV_di_si-d_vch_cv_dV_di_si)-((vgsfb_cv-vch_cv)-qe2)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT5_dV_gi_si = ((d_vgsfb_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
QT5 = (((vgsfb_cv-vch_cv)-qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*p2)*p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT6_dTemp_t_GND = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dTemp_t_GND+d_QT5_dTemp_t_GND*(QT5))))));
d_QT6_dV_di_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_di_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_di_si+d_QT5_dV_di_si*(QT5))))));
d_QT6_dV_gi_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_gi_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_gi_si+d_QT5_dV_gi_si*(QT5))))));
d_QT6_dV_e_di = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_e_di+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_e_di+d_QT5_dV_e_di*(QT5))))));
d_QT6_dV_e_si = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:0.5*(d_QT5_dV_e_si+(deriv_sqrt_0_d0*(((QT5)*d_QT5_dV_e_si+d_QT5_dV_e_si*(QT5))))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(d2/2)/QT6));

d_QT7_dTemp_t_GND = (deriv_pow_0_d0*(d_QT6_dTemp_t_GND));
d_QT7_dV_di_si = (deriv_pow_0_d0*(d_QT6_dV_di_si));
d_QT7_dV_gi_si = (deriv_pow_0_d0*(d_QT6_dV_gi_si));
d_QT7_dV_e_di = (deriv_pow_0_d0*(d_QT6_dV_e_di));
d_QT7_dV_e_si = (deriv_pow_0_d0*(d_QT6_dV_e_si));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;

d_qndd2_dTemp_t_GND = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dTemp_t_GND-d_QT6_dTemp_t_GND)))))+qnd20*d_QT7_dTemp_t_GND*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_di_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_di_si-d_QT6_dV_di_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_di_si-d_QT6_dV_di_si)))))+qnd20*d_QT7_dV_di_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_gi_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_gi_si-d_QT6_dV_gi_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_gi_si-d_QT6_dV_gi_si)))))+qnd20*d_QT7_dV_gi_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_e_di = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_e_di-d_QT6_dV_e_di):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_e_di-d_QT6_dV_e_di)))))+qnd20*d_QT7_dV_e_di*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd2_dV_e_si = ((qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dV_e_si-d_QT6_dV_e_si):(((QT5-QT6)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT5_dV_e_si-d_QT6_dV_e_si)))))+qnd20*d_QT7_dV_e_si*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
qndd2 = ((qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_QT8_dV_e_di = ((-d_vch_cv_dV_e_di)/nVtm);
d_QT8_dV_e_si = ((-d_vch_cv_dV_e_si)/nVtm);
d_QT8_dTemp_t_GND = ((nVtm*(d_vgsfb_cv_dTemp_t_GND-d_vch_cv_dTemp_t_GND)-((vgsfb_cv-vch_cv)-qe3)*d_nVtm_dTemp_t_GND)/nVtm/nVtm);
d_QT8_dV_di_si = ((nVtm*(d_vgsfb_cv_dV_di_si-d_vch_cv_dV_di_si)-((vgsfb_cv-vch_cv)-qe3)*d_nVtm_dV_di_si)/nVtm/nVtm);
d_QT8_dV_gi_si = ((d_vgsfb_cv_dV_gi_si-d_vch_cv_dV_gi_si)/nVtm);
QT8 = (((vgsfb_cv-vch_cv)-qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*p3)*p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_QT9_dTemp_t_GND = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dTemp_t_GND+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dTemp_t_GND+d_QT8_dTemp_t_GND*(QT8))))));
d_QT9_dV_di_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_di_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_di_si+d_QT8_dV_di_si*(QT8))))));
d_QT9_dV_gi_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_gi_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_gi_si+d_QT8_dV_gi_si*(QT8))))));
d_QT9_dV_e_di = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_e_di+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_e_di+d_QT8_dV_e_di*(QT8))))));
d_QT9_dV_e_si = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:0.5*(d_QT8_dV_e_si+(deriv_sqrt_0_d0*(((QT8)*d_QT8_dV_e_si+d_QT8_dV_e_si*(QT8))))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(d3/2)/QT9));

d_QT10_dTemp_t_GND = (deriv_pow_0_d0*(d_QT9_dTemp_t_GND));
d_QT10_dV_di_si = (deriv_pow_0_d0*(d_QT9_dV_di_si));
d_QT10_dV_gi_si = (deriv_pow_0_d0*(d_QT9_dV_gi_si));
d_QT10_dV_e_di = (deriv_pow_0_d0*(d_QT9_dV_e_di));
d_QT10_dV_e_si = (deriv_pow_0_d0*(d_QT9_dV_e_si));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;

d_qndd3_dTemp_t_GND = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dTemp_t_GND-d_QT9_dTemp_t_GND)))))+qnd30*d_QT10_dTemp_t_GND*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_di_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_di_si-d_QT9_dV_di_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_di_si-d_QT9_dV_di_si)))))+qnd30*d_QT10_dV_di_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_gi_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_gi_si-d_QT9_dV_gi_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_gi_si-d_QT9_dV_gi_si)))))+qnd30*d_QT10_dV_gi_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_e_di = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_e_di-d_QT9_dV_e_di):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_e_di-d_QT9_dV_e_di)))))+qnd30*d_QT10_dV_e_di*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
d_qndd3_dV_e_si = ((qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dV_e_si-d_QT9_dV_e_si):(((QT8-QT9)<(-80.0))?0.0:(deriv_exp_0_d0*((d_QT8_dV_e_si-d_QT9_dV_e_si)))))+qnd30*d_QT10_dV_e_si*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
qndd3 = ((qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_qid_cv_dTemp_t_GND = (nc3d*d_qid_cv_dTemp_t_GND+ncq*((d_qndd1_dTemp_t_GND+d_qndd2_dTemp_t_GND)+d_qndd3_dTemp_t_GND));
d_qid_cv_dV_gi_si = (nc3d*d_qid_cv_dV_gi_si+ncq*((d_qndd1_dV_gi_si+d_qndd2_dV_gi_si)+d_qndd3_dV_gi_si));
d_qid_cv_dV_e_di = (nc3d*d_qid_cv_dV_e_di+ncq*((d_qndd1_dV_e_di+d_qndd2_dV_e_di)+d_qndd3_dV_e_di));
d_qid_cv_dV_e_si = (nc3d*d_qid_cv_dV_e_si+ncq*((d_qndd1_dV_e_si+d_qndd2_dV_e_si)+d_qndd3_dV_e_si));
d_qid_cv_dV_di_si = (nc3d*d_qid_cv_dV_di_si+ncq*((d_qndd1_dV_di_si+d_qndd2_dV_di_si)+d_qndd3_dV_di_si));
qid_cv = ((nc3d*qid_cv)+(ncq*((qndd1+qndd2)+qndd3)));
}

d_qia_cv_dTemp_t_GND = 0.5*(d_qis_cv_dTemp_t_GND+d_qid_cv_dTemp_t_GND);
d_qia_cv_dV_gi_si = 0.5*(d_qis_cv_dV_gi_si+d_qid_cv_dV_gi_si);
d_qia_cv_dV_e_di = 0.5*(d_qis_cv_dV_e_di+d_qid_cv_dV_e_di);
d_qia_cv_dV_e_si = 0.5*(d_qis_cv_dV_e_si+d_qid_cv_dV_e_si);
d_qia_cv_dV_di_si = 0.5*(d_qis_cv_dV_di_si+d_qid_cv_dV_di_si);
qia_cv = (0.5*(qis_cv+qid_cv));

d_dqi_cv_dTemp_t_GND = (d_qis_cv_dTemp_t_GND-d_qid_cv_dTemp_t_GND);
d_dqi_cv_dV_gi_si = (d_qis_cv_dV_gi_si-d_qid_cv_dV_gi_si);
d_dqi_cv_dV_e_di = (d_qis_cv_dV_e_di-d_qid_cv_dV_e_di);
d_dqi_cv_dV_e_si = (d_qis_cv_dV_e_si-d_qid_cv_dV_e_si);
d_dqi_cv_dV_di_si = (d_qis_cv_dV_di_si-d_qid_cv_dV_di_si);
dqi_cv = (qis_cv-qid_cv);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = ((Vdseff_cv*d_Vdseff_cv_dTemp_t_GND+d_Vdseff_cv_dTemp_t_GND*Vdseff_cv)/6.25e-4);
d_T0_dV_gi_si = ((Vdseff_cv*d_Vdseff_cv_dV_gi_si+d_Vdseff_cv_dV_gi_si*Vdseff_cv)/6.25e-4);
d_T0_dV_e_di = ((Vdseff_cv*d_Vdseff_cv_dV_e_di+d_Vdseff_cv_dV_e_di*Vdseff_cv)/6.25e-4);
d_T0_dV_e_si = ((Vdseff_cv*d_Vdseff_cv_dV_e_si+d_Vdseff_cv_dV_e_si*Vdseff_cv)/6.25e-4);
d_T0_dV_di_si = ((Vdseff_cv*d_Vdseff_cv_dV_di_si+d_Vdseff_cv_dV_di_si*Vdseff_cv)/6.25e-4);
T0 = ((Vdseff_cv*Vdseff_cv)/6.25e-4);
if (((model_.CHARGEWF)!=0.0))
{
{
double value_exp_0 = exp((-T0));
double  deriv_exp_0_d0 = value_exp_0;

d_qia2_cv_dTemp_t_GND = (0.5*(d_qis_cv_dTemp_t_GND+d_qid_cv_dTemp_t_GND)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_cv_dTemp_t_GND+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dTemp_t_GND):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dTemp_t_GND))))))*0.5*dqi_cv));
d_qia2_cv_dV_gi_si = (0.5*(d_qis_cv_dV_gi_si+d_qid_cv_dV_gi_si)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_cv_dV_gi_si+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_gi_si):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_gi_si))))))*0.5*dqi_cv));
d_qia2_cv_dV_e_di = (0.5*(d_qis_cv_dV_e_di+d_qid_cv_dV_e_di)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_cv_dV_e_di+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_e_di):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_e_di))))))*0.5*dqi_cv));
d_qia2_cv_dV_e_si = (0.5*(d_qis_cv_dV_e_si+d_qid_cv_dV_e_si)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_cv_dV_e_si+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_e_si):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_e_si))))))*0.5*dqi_cv));
d_qia2_cv_dV_di_si = (0.5*(d_qis_cv_dV_di_si+d_qid_cv_dV_di_si)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_cv_dV_di_si+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_di_si):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_di_si))))))*0.5*dqi_cv));
qia2_cv = ((0.5*(qis_cv+qid_cv))+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*dqi_cv));
}
}
else
{

d_qia2_cv_dTemp_t_GND = 0.5*(d_qis_cv_dTemp_t_GND+d_qid_cv_dTemp_t_GND);
d_qia2_cv_dV_gi_si = 0.5*(d_qis_cv_dV_gi_si+d_qid_cv_dV_gi_si);
d_qia2_cv_dV_e_di = 0.5*(d_qis_cv_dV_e_di+d_qid_cv_dV_e_di);
d_qia2_cv_dV_e_si = 0.5*(d_qis_cv_dV_e_si+d_qid_cv_dV_e_si);
d_qia2_cv_dV_di_si = 0.5*(d_qis_cv_dV_di_si+d_qid_cv_dV_di_si);
qia2_cv = (0.5*(qis_cv+qid_cv));
}
if ((qis_cv<0.0))
{
UserInfo(*this)  << "Warning: Negative source-side inversion carrier density for C-V. Vgs = %g Vds = %g Vbs = %g qis_cv = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qis_cv << " " <<  std::endl; 
}
if ((qid_cv<0.0))
{
UserInfo(*this)  << "Warning: Negative drain-side inversion carrier density for C-V. Vgs = %g Vds = %g Vbs = %g qid_cv = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qid_cv << " " <<  std::endl; 
}
}
if (((model_.BULKMOD)!=0))
{
{
double value_sqrt_0 = sqrt(Vtm);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T9_dV_gi_e = d_T9_dV_e_si = d_T9_dV_e_di = d_T9_dV_gi_si =  0.0;
d_T9_dV_di_si = (-K1_t*2.0*d_nVtm_dV_di_si/(2.0*nVtm)/(2.0*nVtm))*value_sqrt_0;
d_T9_dTemp_t_GND = ((K1_t/(2.0*nVtm))*(deriv_sqrt_0_d0*(d_Vtm_dTemp_t_GND))+(((2.0*nVtm)*d_K1_t_dTemp_t_GND-K1_t*2.0*d_nVtm_dTemp_t_GND)/(2.0*nVtm)/(2.0*nVtm))*value_sqrt_0);
T9 = ((K1_t/(2.0*nVtm))*value_sqrt_0);
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = (d_T9_dV_di_si/2.0);
d_T0_dTemp_t_GND = (d_T9_dTemp_t_GND/2.0);
T0 = (T9/2.0);
{
double value_log_0 = log((NBODY_i/Nc));
double  deriv_log_0_d0 = (1.0/(NBODY_i/Nc));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = ((Vtm*(-((d_deltaPhi_dTemp_t_GND-d_Eg_dTemp_t_GND)-(Vtm*(((NBODY_i/Nc)>1.0e-38)?(deriv_log_0_d0*((-NBODY_i*d_Nc_dTemp_t_GND/Nc/Nc))):0.0)+d_Vtm_dTemp_t_GND*(((NBODY_i/Nc)>1.0e-38)?value_log_0:(-87.498233534)))))-(vge-(((deltaPhi-Eg)-(Vtm*(((NBODY_i/Nc)>1.0e-38)?value_log_0:(-87.498233534))))+(model_.DELVFBACC)))*d_Vtm_dTemp_t_GND)/Vtm/Vtm);
d_T2_dV_gi_e = (d_vge_dV_gi_e/Vtm);
T2 = ((vge-(((deltaPhi-Eg)-(Vtm*(((NBODY_i/Nc)>1.0e-38)?value_log_0:(-87.498233534))))+(model_.DELVFBACC)))/Vtm);
}
if (((T2*Vtm)>(phib+(T9*sqrt((phib*Vtm))))))
{
{
double value_sqrt_0 = sqrt(((T2-1.0)+(T0*T0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dTemp_t_GND = ((deriv_sqrt_0_d0*((d_T2_dTemp_t_GND+(T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0))))-d_T0_dTemp_t_GND);
d_T1_dV_di_si = ((deriv_sqrt_0_d0*((d_T2_dV_di_si+(T0*d_T0_dV_di_si+d_T0_dV_di_si*T0))))-d_T0_dV_di_si);
d_T1_dV_e_di = ((deriv_sqrt_0_d0*((d_T2_dV_e_di+(T0*d_T0_dV_e_di+d_T0_dV_e_di*T0))))-d_T0_dV_e_di);
d_T1_dV_e_si = ((deriv_sqrt_0_d0*((d_T2_dV_e_si+(T0*d_T0_dV_e_si+d_T0_dV_e_si*T0))))-d_T0_dV_e_si);
d_T1_dV_gi_si = ((deriv_sqrt_0_d0*((d_T2_dV_gi_si+(T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0))))-d_T0_dV_gi_si);
d_T1_dV_gi_e = ((deriv_sqrt_0_d0*((d_T2_dV_gi_e+(T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0))))-d_T0_dV_gi_e);
T1 = (value_sqrt_0-T0);
}

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 = d_T10_dV_gi_di1 = d_T10_dV_gi_si1 =  0.0;
d_T10_dTemp_t_GND = (T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1);
d_T10_dV_di_si = (T1*d_T1_dV_di_si+d_T1_dV_di_si*T1);
d_T10_dV_gi_si = (T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1);
d_T10_dV_e_di = (T1*d_T1_dV_e_di+d_T1_dV_e_di*T1);
d_T10_dV_e_si = (T1*d_T1_dV_e_si+d_T1_dV_e_si*T1);
d_T10_dV_gi_e = (T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1);
T10 = (1.0+(T1*T1));
{
double value_exp_0 = exp((-T10));
double  deriv_exp_0_d0 = value_exp_0;

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dTemp_t_GND = (((-T10)>80.0)?5.540622384e34*(-d_T10_dTemp_t_GND):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dTemp_t_GND)))));
d_T6_dV_di_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_di_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_di_si)))));
d_T6_dV_gi_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_gi_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_gi_si)))));
d_T6_dV_e_di = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_e_di):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_e_di)))));
d_T6_dV_e_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_e_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_e_si)))));
d_T6_dV_gi_e = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_gi_e):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_gi_e)))));
T6 = ((((-T10)>80.0)?(5.540622384e34*((1.0+(-T10))-80.0)):(((-T10)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
}
else
{
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dTemp_t_GND = (d_T2_dTemp_t_GND*0.5-3.0*(d_T9_dTemp_t_GND/value_sqrt_0));
d_T3_dV_di_si = (d_T2_dV_di_si*0.5-3.0*(d_T9_dV_di_si/value_sqrt_0));
d_T3_dV_e_di = (d_T2_dV_e_di*0.5-3.0*(d_T9_dV_e_di/value_sqrt_0));
d_T3_dV_e_si = (d_T2_dV_e_si*0.5-3.0*(d_T9_dV_e_si/value_sqrt_0));
d_T3_dV_gi_si = (d_T2_dV_gi_si*0.5-3.0*(d_T9_dV_gi_si/value_sqrt_0));
d_T3_dV_gi_e = (d_T2_dV_gi_e*0.5-3.0*(d_T9_dV_gi_e/value_sqrt_0));
T3 = ((T2*0.5)-(3.0*(1.0+(T9/value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((T3*T3)+(6.0*T2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 = d_T10_dV_gi_di1 = d_T10_dV_gi_si1 =  0.0;
d_T10_dTemp_t_GND = (d_T3_dTemp_t_GND+(deriv_sqrt_0_d0*(((T3*d_T3_dTemp_t_GND+d_T3_dTemp_t_GND*T3)+6.0*d_T2_dTemp_t_GND))));
d_T10_dV_gi_si = (d_T3_dV_gi_si+(deriv_sqrt_0_d0*(((T3*d_T3_dV_gi_si+d_T3_dV_gi_si*T3)+6.0*d_T2_dV_gi_si))));
d_T10_dV_e_di = (d_T3_dV_e_di+(deriv_sqrt_0_d0*(((T3*d_T3_dV_e_di+d_T3_dV_e_di*T3)+6.0*d_T2_dV_e_di))));
d_T10_dV_e_si = (d_T3_dV_e_si+(deriv_sqrt_0_d0*(((T3*d_T3_dV_e_si+d_T3_dV_e_si*T3)+6.0*d_T2_dV_e_si))));
d_T10_dV_di_si = (d_T3_dV_di_si+(deriv_sqrt_0_d0*(((T3*d_T3_dV_di_si+d_T3_dV_di_si*T3)+6.0*d_T2_dV_di_si))));
d_T10_dV_gi_e = (d_T3_dV_gi_e+(deriv_sqrt_0_d0*(((T3*d_T3_dV_gi_e+d_T3_dV_gi_e*T3)+6.0*d_T2_dV_gi_e))));
T10 = (T3+value_sqrt_0);
}
if ((T2<0.0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 =  0.0;
d_T4_dTemp_t_GND = ((T9*(d_T2_dTemp_t_GND-d_T10_dTemp_t_GND)-(T2-T10)*d_T9_dTemp_t_GND)/T9/T9);
d_T4_dV_di_si = ((T9*(d_T2_dV_di_si-d_T10_dV_di_si)-(T2-T10)*d_T9_dV_di_si)/T9/T9);
d_T4_dV_e_di = ((T9*(d_T2_dV_e_di-d_T10_dV_e_di)-(T2-T10)*d_T9_dV_e_di)/T9/T9);
d_T4_dV_e_si = ((T9*(d_T2_dV_e_si-d_T10_dV_e_si)-(T2-T10)*d_T9_dV_e_si)/T9/T9);
d_T4_dV_gi_si = ((T9*(d_T2_dV_gi_si-d_T10_dV_gi_si)-(T2-T10)*d_T9_dV_gi_si)/T9/T9);
d_T4_dV_gi_e = ((T9*(d_T2_dV_gi_e-d_T10_dV_gi_e)-(T2-T10)*d_T9_dV_gi_e)/T9/T9);
T4 = ((T2-T10)/T9);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dTemp_t_GND = ((-d_T10_dTemp_t_GND)+(T4*d_T4_dTemp_t_GND+d_T4_dTemp_t_GND*T4));
d_T6_dV_di_si = ((-d_T10_dV_di_si)+(T4*d_T4_dV_di_si+d_T4_dV_di_si*T4));
d_T6_dV_gi_si = ((-d_T10_dV_gi_si)+(T4*d_T4_dV_gi_si+d_T4_dV_gi_si*T4));
d_T6_dV_e_di = ((-d_T10_dV_e_di)+(T4*d_T4_dV_e_di+d_T4_dV_e_di*T4));
d_T6_dV_e_si = ((-d_T10_dV_e_si)+(T4*d_T4_dV_e_si+d_T4_dV_e_si*T4));
d_T6_dV_gi_e = ((-d_T10_dV_gi_e)+(T4*d_T4_dV_gi_e+d_T4_dV_gi_e*T4));
T6 = ((-T10)+(T4*T4));
{
double value_log_0 = log(((1.0-T10)+(T4*T4)));
double  deriv_log_0_d0 = (1.0/((1.0-T10)+(T4*T4)));

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 = d_T10_dV_gi_di1 = d_T10_dV_gi_si1 =  0.0;
d_T10_dTemp_t_GND = (-((((1.0-T10)+(T4*T4))>1.0e-38)?(deriv_log_0_d0*(((-d_T10_dTemp_t_GND)+(T4*d_T4_dTemp_t_GND+d_T4_dTemp_t_GND*T4)))):0.0));
d_T10_dV_di_si = (-((((1.0-T10)+(T4*T4))>1.0e-38)?(deriv_log_0_d0*(((-d_T10_dV_di_si)+(T4*d_T4_dV_di_si+d_T4_dV_di_si*T4)))):0.0));
d_T10_dV_gi_si = (-((((1.0-T10)+(T4*T4))>1.0e-38)?(deriv_log_0_d0*(((-d_T10_dV_gi_si)+(T4*d_T4_dV_gi_si+d_T4_dV_gi_si*T4)))):0.0));
d_T10_dV_e_di = (-((((1.0-T10)+(T4*T4))>1.0e-38)?(deriv_log_0_d0*(((-d_T10_dV_e_di)+(T4*d_T4_dV_e_di+d_T4_dV_e_di*T4)))):0.0));
d_T10_dV_e_si = (-((((1.0-T10)+(T4*T4))>1.0e-38)?(deriv_log_0_d0*(((-d_T10_dV_e_si)+(T4*d_T4_dV_e_si+d_T4_dV_e_si*T4)))):0.0));
d_T10_dV_gi_e = (-((((1.0-T10)+(T4*T4))>1.0e-38)?(deriv_log_0_d0*(((-d_T10_dV_gi_e)+(T4*d_T4_dV_gi_e+d_T4_dV_gi_e*T4)))):0.0));
T10 = (-((((1.0-T10)+(T4*T4))>1.0e-38)?value_log_0:(-87.498233534)));
}
}
else
{
{
double value_exp_0 = exp((-T10));
double  deriv_exp_0_d0 = value_exp_0;

d_T11_dTemp_t_GND = (((-T10)>80.0)?5.540622384e34*(-d_T10_dTemp_t_GND):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dTemp_t_GND)))));
d_T11_dV_di_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_di_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_di_si)))));
d_T11_dV_gi_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_gi_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_gi_si)))));
d_T11_dV_e_di = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_e_di):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_e_di)))));
d_T11_dV_e_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_e_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_e_si)))));
d_T11_dV_gi_e = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_gi_e):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_gi_e)))));
T11 = (((-T10)>80.0)?(5.540622384e34*((1.0+(-T10))-80.0)):(((-T10)<(-80.0))?1.804851387e-35:value_exp_0));
}
{
double value_sqrt_0 = sqrt((((T2-1.0)+T11)+(T0*T0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 =  0.0;
d_T4_dTemp_t_GND = ((deriv_sqrt_0_d0*(((d_T2_dTemp_t_GND+d_T11_dTemp_t_GND)+(T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0))))-d_T0_dTemp_t_GND);
d_T4_dV_di_si = ((deriv_sqrt_0_d0*(((d_T2_dV_di_si+d_T11_dV_di_si)+(T0*d_T0_dV_di_si+d_T0_dV_di_si*T0))))-d_T0_dV_di_si);
d_T4_dV_e_di = ((deriv_sqrt_0_d0*(((d_T2_dV_e_di+d_T11_dV_e_di)+(T0*d_T0_dV_e_di+d_T0_dV_e_di*T0))))-d_T0_dV_e_di);
d_T4_dV_e_si = ((deriv_sqrt_0_d0*(((d_T2_dV_e_si+d_T11_dV_e_si)+(T0*d_T0_dV_e_si+d_T0_dV_e_si*T0))))-d_T0_dV_e_si);
d_T4_dV_gi_si = ((deriv_sqrt_0_d0*(((d_T2_dV_gi_si+d_T11_dV_gi_si)+(T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0))))-d_T0_dV_gi_si);
d_T4_dV_gi_e = ((deriv_sqrt_0_d0*(((d_T2_dV_gi_e+d_T11_dV_gi_e)+(T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0))))-d_T0_dV_gi_e);
T4 = (value_sqrt_0-T0);
}

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 = d_T10_dV_gi_di1 = d_T10_dV_gi_si1 =  0.0;
d_T10_dTemp_t_GND = ((-d_T11_dTemp_t_GND)+(T4*d_T4_dTemp_t_GND+d_T4_dTemp_t_GND*T4));
d_T10_dV_di_si = ((-d_T11_dV_di_si)+(T4*d_T4_dV_di_si+d_T4_dV_di_si*T4));
d_T10_dV_gi_si = ((-d_T11_dV_gi_si)+(T4*d_T4_dV_gi_si+d_T4_dV_gi_si*T4));
d_T10_dV_e_di = ((-d_T11_dV_e_di)+(T4*d_T4_dV_e_di+d_T4_dV_e_di*T4));
d_T10_dV_e_si = ((-d_T11_dV_e_si)+(T4*d_T4_dV_e_si+d_T4_dV_e_si*T4));
d_T10_dV_gi_e = ((-d_T11_dV_gi_e)+(T4*d_T4_dV_gi_e+d_T4_dV_gi_e*T4));
T10 = ((1.0-T11)+(T4*T4));
{
double value_exp_0 = exp((-T10));
double  deriv_exp_0_d0 = value_exp_0;

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dTemp_t_GND = (((-T10)>80.0)?5.540622384e34*(-d_T10_dTemp_t_GND):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dTemp_t_GND)))));
d_T6_dV_di_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_di_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_di_si)))));
d_T6_dV_gi_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_gi_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_gi_si)))));
d_T6_dV_e_di = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_e_di):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_e_di)))));
d_T6_dV_e_si = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_e_si):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_e_si)))));
d_T6_dV_gi_e = (((-T10)>80.0)?5.540622384e34*(-d_T10_dV_gi_e):(((-T10)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T10_dV_gi_e)))));
T6 = ((((-T10)>80.0)?(5.540622384e34*((1.0+(-T10))-80.0)):(((-T10)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
}
}
{
double value_sqrt_0 = sqrt((T6+T10));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 =  0.0;
d_T7_dTemp_t_GND = (deriv_sqrt_0_d0*((d_T6_dTemp_t_GND+d_T10_dTemp_t_GND)));
d_T7_dV_gi_si = (deriv_sqrt_0_d0*((d_T6_dV_gi_si+d_T10_dV_gi_si)));
d_T7_dV_e_di = (deriv_sqrt_0_d0*((d_T6_dV_e_di+d_T10_dV_e_di)));
d_T7_dV_e_si = (deriv_sqrt_0_d0*((d_T6_dV_e_si+d_T10_dV_e_si)));
d_T7_dV_di_si = (deriv_sqrt_0_d0*((d_T6_dV_di_si+d_T10_dV_di_si)));
d_T7_dV_gi_e = (deriv_sqrt_0_d0*((d_T6_dV_gi_e+d_T10_dV_gi_e)));
T7 = value_sqrt_0;
}
if ((T10>1.0e-15))
{

d_e0_dTemp_t_GND = ((-(d_T2_dTemp_t_GND-d_T10_dTemp_t_GND))+(T9*d_T7_dTemp_t_GND+d_T9_dTemp_t_GND*T7));
d_e0_dV_di_si = ((-(d_T2_dV_di_si-d_T10_dV_di_si))+(T9*d_T7_dV_di_si+d_T9_dV_di_si*T7));
d_e0_dV_e_di = ((-(d_T2_dV_e_di-d_T10_dV_e_di))+(T9*d_T7_dV_e_di+d_T9_dV_e_di*T7));
d_e0_dV_e_si = ((-(d_T2_dV_e_si-d_T10_dV_e_si))+(T9*d_T7_dV_e_si+d_T9_dV_e_si*T7));
d_e0_dV_gi_si = ((-(d_T2_dV_gi_si-d_T10_dV_gi_si))+(T9*d_T7_dV_gi_si+d_T9_dV_gi_si*T7));
d_e0_dV_gi_e = ((-(d_T2_dV_gi_e-d_T10_dV_gi_e))+(T9*d_T7_dV_gi_e+d_T9_dV_gi_e*T7));
e0 = ((-(T2-T10))+(T9*T7));

d_e1_dV_gi_si = (-((T7*((T9*0.5)*d_T6_dV_gi_si+d_T9_dV_gi_si*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_gi_si)/T7/T7));
d_e1_dV_e_di = (-((T7*((T9*0.5)*d_T6_dV_e_di+d_T9_dV_e_di*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_e_di)/T7/T7));
d_e1_dV_e_si = (-((T7*((T9*0.5)*d_T6_dV_e_si+d_T9_dV_e_si*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_e_si)/T7/T7));
d_e1_dV_gi_e = (-((T7*((T9*0.5)*d_T6_dV_gi_e+d_T9_dV_gi_e*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_gi_e)/T7/T7));
d_e1_dV_di_si = (-((T7*((T9*0.5)*d_T6_dV_di_si+d_T9_dV_di_si*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_di_si)/T7/T7));
d_e1_dTemp_t_GND = (-((T7*((T9*0.5)*d_T6_dTemp_t_GND+d_T9_dTemp_t_GND*0.5*T6)-((T9*0.5)*T6)*d_T7_dTemp_t_GND)/T7/T7));
e1 = (1.0-(((T9*0.5)*T6)/T7));

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 =  0.0;
d_T8_dTemp_t_GND = (d_T10_dTemp_t_GND-((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1));
d_T8_dV_di_si = (d_T10_dV_di_si-((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1));
d_T8_dV_gi_si = (d_T10_dV_gi_si-((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1));
d_T8_dV_e_di = (d_T10_dV_e_di-((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1));
d_T8_dV_e_si = (d_T10_dV_e_si-((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1));
d_T8_dV_gi_e = (d_T10_dV_gi_e-((e1*d_e0_dV_gi_e-e0*d_e1_dV_gi_e)/e1/e1));
T8 = (T10-(e0/e1));
{
double value_exp_0 = exp((-T8));
double  deriv_exp_0_d0 = value_exp_0;

d_T11_dTemp_t_GND = (((-T8)>80.0)?5.540622384e34*(-d_T8_dTemp_t_GND):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dTemp_t_GND)))));
d_T11_dV_gi_si = (((-T8)>80.0)?5.540622384e34*(-d_T8_dV_gi_si):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_gi_si)))));
d_T11_dV_e_di = (((-T8)>80.0)?5.540622384e34*(-d_T8_dV_e_di):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_e_di)))));
d_T11_dV_e_si = (((-T8)>80.0)?5.540622384e34*(-d_T8_dV_e_si):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_e_si)))));
d_T11_dV_di_si = (((-T8)>80.0)?5.540622384e34*(-d_T8_dV_di_si):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_di_si)))));
d_T11_dV_gi_e = (((-T8)>80.0)?5.540622384e34*(-d_T8_dV_gi_e):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_gi_e)))));
T11 = ((((-T8)>80.0)?(5.540622384e34*((1.0+(-T8))-80.0)):(((-T8)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
{
double value_sqrt_0 = sqrt((T11+T8));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T12_dTemp_t_GND = (deriv_sqrt_0_d0*((d_T11_dTemp_t_GND+d_T8_dTemp_t_GND)));
d_T12_dV_di_si = (deriv_sqrt_0_d0*((d_T11_dV_di_si+d_T8_dV_di_si)));
d_T12_dV_gi_si = (deriv_sqrt_0_d0*((d_T11_dV_gi_si+d_T8_dV_gi_si)));
d_T12_dV_e_di = (deriv_sqrt_0_d0*((d_T11_dV_e_di+d_T8_dV_e_di)));
d_T12_dV_e_si = (deriv_sqrt_0_d0*((d_T11_dV_e_si+d_T8_dV_e_si)));
d_T12_dV_gi_e = (deriv_sqrt_0_d0*((d_T11_dV_gi_e+d_T8_dV_gi_e)));
T12 = value_sqrt_0;
}

d_qba_dV_gi_si = ((-T9)*d_T12_dV_gi_si+(-d_T9_dV_gi_si)*T12)*Vtm;
d_qba_dV_e_di = ((-T9)*d_T12_dV_e_di+(-d_T9_dV_e_di)*T12)*Vtm;
d_qba_dV_e_si = ((-T9)*d_T12_dV_e_si+(-d_T9_dV_e_si)*T12)*Vtm;
d_qba_dV_gi_e = ((-T9)*d_T12_dV_gi_e+(-d_T9_dV_gi_e)*T12)*Vtm;
d_qba_dV_di_si = ((-T9)*d_T12_dV_di_si+(-d_T9_dV_di_si)*T12)*Vtm;
d_qba_dTemp_t_GND = (((-T9)*T12)*d_Vtm_dTemp_t_GND+((-T9)*d_T12_dTemp_t_GND+(-d_T9_dTemp_t_GND)*T12)*Vtm);
qba = (((-T9)*T12)*Vtm);
}
else
{
if ((T10<(-1.0e-15)))
{

d_e0_dTemp_t_GND = ((-(d_T2_dTemp_t_GND-d_T10_dTemp_t_GND))-(T9*d_T7_dTemp_t_GND+d_T9_dTemp_t_GND*T7));
d_e0_dV_di_si = ((-(d_T2_dV_di_si-d_T10_dV_di_si))-(T9*d_T7_dV_di_si+d_T9_dV_di_si*T7));
d_e0_dV_e_di = ((-(d_T2_dV_e_di-d_T10_dV_e_di))-(T9*d_T7_dV_e_di+d_T9_dV_e_di*T7));
d_e0_dV_e_si = ((-(d_T2_dV_e_si-d_T10_dV_e_si))-(T9*d_T7_dV_e_si+d_T9_dV_e_si*T7));
d_e0_dV_gi_si = ((-(d_T2_dV_gi_si-d_T10_dV_gi_si))-(T9*d_T7_dV_gi_si+d_T9_dV_gi_si*T7));
d_e0_dV_gi_e = ((-(d_T2_dV_gi_e-d_T10_dV_gi_e))-(T9*d_T7_dV_gi_e+d_T9_dV_gi_e*T7));
e0 = ((-(T2-T10))-(T9*T7));

d_e1_dV_gi_si = ((T7*((T9*0.5)*d_T6_dV_gi_si+d_T9_dV_gi_si*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_gi_si)/T7/T7);
d_e1_dV_e_di = ((T7*((T9*0.5)*d_T6_dV_e_di+d_T9_dV_e_di*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_e_di)/T7/T7);
d_e1_dV_e_si = ((T7*((T9*0.5)*d_T6_dV_e_si+d_T9_dV_e_si*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_e_si)/T7/T7);
d_e1_dV_gi_e = ((T7*((T9*0.5)*d_T6_dV_gi_e+d_T9_dV_gi_e*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_gi_e)/T7/T7);
d_e1_dV_di_si = ((T7*((T9*0.5)*d_T6_dV_di_si+d_T9_dV_di_si*0.5*T6)-((T9*0.5)*T6)*d_T7_dV_di_si)/T7/T7);
d_e1_dTemp_t_GND = ((T7*((T9*0.5)*d_T6_dTemp_t_GND+d_T9_dTemp_t_GND*0.5*T6)-((T9*0.5)*T6)*d_T7_dTemp_t_GND)/T7/T7);
e1 = (1.0+(((T9*0.5)*T6)/T7));

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 =  0.0;
d_T8_dTemp_t_GND = (d_T10_dTemp_t_GND-((e1*d_e0_dTemp_t_GND-e0*d_e1_dTemp_t_GND)/e1/e1));
d_T8_dV_di_si = (d_T10_dV_di_si-((e1*d_e0_dV_di_si-e0*d_e1_dV_di_si)/e1/e1));
d_T8_dV_gi_si = (d_T10_dV_gi_si-((e1*d_e0_dV_gi_si-e0*d_e1_dV_gi_si)/e1/e1));
d_T8_dV_e_di = (d_T10_dV_e_di-((e1*d_e0_dV_e_di-e0*d_e1_dV_e_di)/e1/e1));
d_T8_dV_e_si = (d_T10_dV_e_si-((e1*d_e0_dV_e_si-e0*d_e1_dV_e_si)/e1/e1));
d_T8_dV_gi_e = (d_T10_dV_gi_e-((e1*d_e0_dV_gi_e-e0*d_e1_dV_gi_e)/e1/e1));
T8 = (T10-(e0/e1));
{
double value_exp_0 = exp((-T8));
double  deriv_exp_0_d0 = value_exp_0;

d_T12a_dTemp_t_GND = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dTemp_t_GND):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dTemp_t_GND)))))+d_T8_dTemp_t_GND);
d_T12a_dV_gi_si = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dV_gi_si):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_gi_si)))))+d_T8_dV_gi_si);
d_T12a_dV_e_di = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dV_e_di):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_e_di)))))+d_T8_dV_e_di);
d_T12a_dV_e_si = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dV_e_si):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_e_si)))))+d_T8_dV_e_si);
d_T12a_dV_di_si = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dV_di_si):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_di_si)))))+d_T8_dV_di_si);
d_T12a_dV_gi_e = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dV_gi_e):(((-T8)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T8_dV_gi_e)))))+d_T8_dV_gi_e);
T12a = (((((-T8)>80.0)?(5.540622384e34*((1.0+(-T8))-80.0)):(((-T8)<(-80.0))?1.804851387e-35:value_exp_0))+T8)-1.0);
}
if ((T12a<=0))
{

d_T12_dV_gi_e = d_T12_dV_e_si = d_T12_dV_e_di = d_T12_dV_gi_si = d_T12_dV_di_si = d_T12_dTemp_t_GND =  0.0;
T12 = 0.0;
}
else
{
{
double value_sqrt_0 = sqrt(T12a);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T12_dV_gi_si = (T9*(deriv_sqrt_0_d0*(d_T12a_dV_gi_si))+d_T9_dV_gi_si*value_sqrt_0);
d_T12_dV_e_di = (T9*(deriv_sqrt_0_d0*(d_T12a_dV_e_di))+d_T9_dV_e_di*value_sqrt_0);
d_T12_dV_e_si = (T9*(deriv_sqrt_0_d0*(d_T12a_dV_e_si))+d_T9_dV_e_si*value_sqrt_0);
d_T12_dV_gi_e = (T9*(deriv_sqrt_0_d0*(d_T12a_dV_gi_e))+d_T9_dV_gi_e*value_sqrt_0);
d_T12_dV_di_si = (T9*(deriv_sqrt_0_d0*(d_T12a_dV_di_si))+d_T9_dV_di_si*value_sqrt_0);
d_T12_dTemp_t_GND = (T9*(deriv_sqrt_0_d0*(d_T12a_dTemp_t_GND))+d_T9_dTemp_t_GND*value_sqrt_0);
T12 = (T9*value_sqrt_0);
}
}
}
else
{

d_T8_dV_ge_e = d_T8_dV_gi_di = d_T8_dV_ge_di = d_T8_dV_ge_si = d_T8_dV_gi_di1 = d_T8_dV_gi_si1 = d_T8_dV_d_di1 = d_T8_dV_s_si1 = d_T8_dV_gi_e = d_T8_dV_di_si = d_T8_dV_e_si = d_T8_dV_e_di = d_T8_dV_gi_si = d_T8_dTemp_t_GND =  0.0;
T8 = 0.0;

d_T12_dV_gi_e = d_T12_dV_e_si = d_T12_dV_e_di = d_T12_dV_gi_si = d_T12_dV_di_si = d_T12_dTemp_t_GND =  0.0;
T12 = 0.0;
}

d_qba_dTemp_t_GND = (T12*d_Vtm_dTemp_t_GND+d_T12_dTemp_t_GND*Vtm);
d_qba_dV_di_si = d_T12_dV_di_si*Vtm;
d_qba_dV_gi_si = d_T12_dV_gi_si*Vtm;
d_qba_dV_e_di = d_T12_dV_e_di*Vtm;
d_qba_dV_e_si = d_T12_dV_e_si*Vtm;
d_qba_dV_gi_e = d_T12_dV_gi_e*Vtm;
qba = (T12*Vtm);
}
{
double value_exp_0 = exp(((-T8)/2.0));
double  deriv_exp_0_d0 = value_exp_0;

d_qi_acc_for_QM_dV_gi_si = (T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dV_gi_si)/2.0):((((-T8)/2.0)<(-80.0))?0.0:(deriv_exp_0_d0*(((-d_T8_dV_gi_si)/2.0)))))+d_T9_dV_gi_si*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm;
d_qi_acc_for_QM_dV_e_di = (T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dV_e_di)/2.0):((((-T8)/2.0)<(-80.0))?0.0:(deriv_exp_0_d0*(((-d_T8_dV_e_di)/2.0)))))+d_T9_dV_e_di*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm;
d_qi_acc_for_QM_dV_e_si = (T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dV_e_si)/2.0):((((-T8)/2.0)<(-80.0))?0.0:(deriv_exp_0_d0*(((-d_T8_dV_e_si)/2.0)))))+d_T9_dV_e_si*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm;
d_qi_acc_for_QM_dV_gi_e = (T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dV_gi_e)/2.0):((((-T8)/2.0)<(-80.0))?0.0:(deriv_exp_0_d0*(((-d_T8_dV_gi_e)/2.0)))))+d_T9_dV_gi_e*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm;
d_qi_acc_for_QM_dV_di_si = (T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dV_di_si)/2.0):((((-T8)/2.0)<(-80.0))?0.0:(deriv_exp_0_d0*(((-d_T8_dV_di_si)/2.0)))))+d_T9_dV_di_si*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm;
d_qi_acc_for_QM_dTemp_t_GND = ((T9*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*d_Vtm_dTemp_t_GND+(T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dTemp_t_GND)/2.0):((((-T8)/2.0)<(-80.0))?0.0:(deriv_exp_0_d0*(((-d_T8_dTemp_t_GND)/2.0)))))+d_T9_dTemp_t_GND*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm);
qi_acc_for_QM = ((T9*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*Vtm);
}
{
double value_sqrt_0 = sqrt((((T8-1.0)*(T8-1.0))+((0.25*2.0)*2.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_psipclamp_dTemp_t_GND = 0.5*(d_T8_dTemp_t_GND+(deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dTemp_t_GND+d_T8_dTemp_t_GND*(T8-1.0)))));
d_psipclamp_dV_gi_si = 0.5*(d_T8_dV_gi_si+(deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dV_gi_si+d_T8_dV_gi_si*(T8-1.0)))));
d_psipclamp_dV_e_di = 0.5*(d_T8_dV_e_di+(deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dV_e_di+d_T8_dV_e_di*(T8-1.0)))));
d_psipclamp_dV_e_si = 0.5*(d_T8_dV_e_si+(deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dV_e_si+d_T8_dV_e_si*(T8-1.0)))));
d_psipclamp_dV_di_si = 0.5*(d_T8_dV_di_si+(deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dV_di_si+d_T8_dV_di_si*(T8-1.0)))));
d_psipclamp_dV_gi_e = 0.5*(d_T8_dV_gi_e+(deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dV_gi_e+d_T8_dV_gi_e*(T8-1.0)))));
psipclamp = (0.5*((T8+1.0)+value_sqrt_0));
}
{
double value_sqrt_0 = sqrt(psipclamp);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sqrtpsip_dTemp_t_GND = (deriv_sqrt_0_d0*(d_psipclamp_dTemp_t_GND));
d_sqrtpsip_dV_gi_si = (deriv_sqrt_0_d0*(d_psipclamp_dV_gi_si));
d_sqrtpsip_dV_e_di = (deriv_sqrt_0_d0*(d_psipclamp_dV_e_di));
d_sqrtpsip_dV_e_si = (deriv_sqrt_0_d0*(d_psipclamp_dV_e_si));
d_sqrtpsip_dV_di_si = (deriv_sqrt_0_d0*(d_psipclamp_dV_di_si));
d_sqrtpsip_dV_gi_e = (deriv_sqrt_0_d0*(d_psipclamp_dV_gi_e));
sqrtpsip = value_sqrt_0;
}

d_nq_dV_gi_si = ((sqrtpsip*d_T9_dV_gi_si-T9*d_sqrtpsip_dV_gi_si)/sqrtpsip/sqrtpsip);
d_nq_dV_e_di = ((sqrtpsip*d_T9_dV_e_di-T9*d_sqrtpsip_dV_e_di)/sqrtpsip/sqrtpsip);
d_nq_dV_e_si = ((sqrtpsip*d_T9_dV_e_si-T9*d_sqrtpsip_dV_e_si)/sqrtpsip/sqrtpsip);
d_nq_dV_gi_e = ((sqrtpsip*d_T9_dV_gi_e-T9*d_sqrtpsip_dV_gi_e)/sqrtpsip/sqrtpsip);
d_nq_dV_di_si = ((sqrtpsip*d_T9_dV_di_si-T9*d_sqrtpsip_dV_di_si)/sqrtpsip/sqrtpsip);
d_nq_dTemp_t_GND = ((sqrtpsip*d_T9_dTemp_t_GND-T9*d_sqrtpsip_dTemp_t_GND)/sqrtpsip/sqrtpsip);
nq = (1.0+(T9/sqrtpsip));
}

d_qia_dTemp_t_GND = 0.5*(d_qis_dTemp_t_GND+d_qid_dTemp_t_GND);
d_qia_dV_gi_si = 0.5*(d_qis_dV_gi_si+d_qid_dV_gi_si);
d_qia_dV_e_di = 0.5*(d_qis_dV_e_di+d_qid_dV_e_di);
d_qia_dV_e_si = 0.5*(d_qis_dV_e_si+d_qid_dV_e_si);
d_qia_dV_di_si = 0.5*(d_qis_dV_di_si+d_qid_dV_di_si);
qia = (0.5*(qis+qid));

d_dqi_dTemp_t_GND = (d_qis_dTemp_t_GND-d_qid_dTemp_t_GND);
d_dqi_dV_gi_si = (d_qis_dV_gi_si-d_qid_dV_gi_si);
d_dqi_dV_e_di = (d_qis_dV_e_di-d_qid_dV_e_di);
d_dqi_dV_e_si = (d_qis_dV_e_si-d_qid_dV_e_si);
d_dqi_dV_di_si = (d_qis_dV_di_si-d_qid_dV_di_si);
dqi = (qis-qid);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = ((Vdseff*d_Vdseff_dTemp_t_GND+d_Vdseff_dTemp_t_GND*Vdseff)/6.25e-4);
d_T0_dV_gi_si = ((Vdseff*d_Vdseff_dV_gi_si+d_Vdseff_dV_gi_si*Vdseff)/6.25e-4);
d_T0_dV_e_di = ((Vdseff*d_Vdseff_dV_e_di+d_Vdseff_dV_e_di*Vdseff)/6.25e-4);
d_T0_dV_e_si = ((Vdseff*d_Vdseff_dV_e_si+d_Vdseff_dV_e_si*Vdseff)/6.25e-4);
d_T0_dV_di_si = ((Vdseff*d_Vdseff_dV_di_si+d_Vdseff_dV_di_si*Vdseff)/6.25e-4);
T0 = ((Vdseff*Vdseff)/6.25e-4);
if (((model_.CHARGEWF)!=0.0))
{
{
double value_exp_0 = exp((-T0));
double  deriv_exp_0_d0 = value_exp_0;

d_qia2_dTemp_t_GND = (0.5*(d_qis_dTemp_t_GND+d_qid_dTemp_t_GND)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_dTemp_t_GND+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dTemp_t_GND):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dTemp_t_GND))))))*0.5*dqi));
d_qia2_dV_gi_si = (0.5*(d_qis_dV_gi_si+d_qid_dV_gi_si)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_dV_gi_si+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_gi_si):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_gi_si))))))*0.5*dqi));
d_qia2_dV_e_di = (0.5*(d_qis_dV_e_di+d_qid_dV_e_di)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_dV_e_di+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_e_di):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_e_di))))))*0.5*dqi));
d_qia2_dV_e_si = (0.5*(d_qis_dV_e_si+d_qid_dV_e_si)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_dV_e_si+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_e_si):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_e_si))))))*0.5*dqi));
d_qia2_dV_di_si = (0.5*(d_qis_dV_di_si+d_qid_dV_di_si)+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_dV_di_si+(model_.CHARGEWF)*(-(((-T0)>80.0)?5.540622384e34*(-d_T0_dV_di_si):(((-T0)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T0_dV_di_si))))))*0.5*dqi));
qia2 = ((0.5*(qis+qid))+((((model_.CHARGEWF)*(1.0-(((-T0)>80.0)?(5.540622384e34*((1.0+(-T0))-80.0)):(((-T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*dqi));
}
}
else
{

d_qia2_dTemp_t_GND = 0.5*(d_qis_dTemp_t_GND+d_qid_dTemp_t_GND);
d_qia2_dV_gi_si = 0.5*(d_qis_dV_gi_si+d_qid_dV_gi_si);
d_qia2_dV_e_di = 0.5*(d_qis_dV_e_di+d_qid_dV_e_di);
d_qia2_dV_e_si = 0.5*(d_qis_dV_e_si+d_qid_dV_e_si);
d_qia2_dV_di_si = 0.5*(d_qis_dV_di_si+d_qid_dV_di_si);
qia2 = (0.5*(qis+qid));
}
if ((qis<0.0))
{
UserInfo(*this)  << "Warning: Negative source-side inversion carrier density. Vgs = %g Vds = %g Vbs = %g qis = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qis << " " <<  std::endl; 
}
if ((qid<0.0))
{
UserInfo(*this)  << "Warning: Negative drain-side inversion carrier density. Vgs = %g Vds = %g Vbs = %g qid = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qid << " " <<  std::endl; 
}
if ((QMTCENCV_i>0.0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = (d_qia_dTemp_t_GND/(model_.QM0));
d_T4_dV_gi_si = (d_qia_dV_gi_si/(model_.QM0));
d_T4_dV_e_di = (d_qia_dV_e_di/(model_.QM0));
d_T4_dV_e_si = (d_qia_dV_e_si/(model_.QM0));
d_T4_dV_di_si = (d_qia_dV_di_si/(model_.QM0));
T4 = (qia/(model_.QM0));
{
double value_pow_0 = pow(T4,(model_.PQM));
double  deriv_pow_0_d0 = ((T4 == 0.0)?0.0:(value_pow_0*(model_.PQM)/T4));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (deriv_pow_0_d0*(d_T4_dTemp_t_GND));
d_T5_dV_di_si = (deriv_pow_0_d0*(d_T4_dV_di_si));
d_T5_dV_gi_si = (deriv_pow_0_d0*(d_T4_dV_gi_si));
d_T5_dV_e_di = (deriv_pow_0_d0*(d_T4_dV_e_di));
d_T5_dV_e_si = (deriv_pow_0_d0*(d_T4_dV_e_si));
d_T5_dV_gi_e = (deriv_pow_0_d0*(d_T4_dV_gi_e));
T5 = (1.0+value_pow_0);
}

d_Tcen_dTemp_t_GND = (-Tcen0*d_T5_dTemp_t_GND/T5/T5);
d_Tcen_dV_gi_si = (-Tcen0*d_T5_dV_gi_si/T5/T5);
d_Tcen_dV_e_di = (-Tcen0*d_T5_dV_e_di/T5/T5);
d_Tcen_dV_e_si = (-Tcen0*d_T5_dV_e_si/T5/T5);
d_Tcen_dV_di_si = (-Tcen0*d_T5_dV_di_si/T5/T5);
d_Tcen_dV_gi_e = (-Tcen0*d_T5_dV_gi_e/T5/T5);
Tcen = (Tcen0/T5);

d_coxeff_dTemp_t_GND = (-(d_Tcen_dTemp_t_GND*QMTCENCV_i/epssub)/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub))/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
d_coxeff_dV_gi_si = (-(d_Tcen_dV_gi_si*QMTCENCV_i/epssub)/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub))/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
d_coxeff_dV_e_di = (-(d_Tcen_dV_e_di*QMTCENCV_i/epssub)/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub))/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
d_coxeff_dV_e_si = (-(d_Tcen_dV_e_si*QMTCENCV_i/epssub)/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub))/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
d_coxeff_dV_di_si = (-(d_Tcen_dV_di_si*QMTCENCV_i/epssub)/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub))/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
d_coxeff_dV_gi_e = (-(d_Tcen_dV_gi_e*QMTCENCV_i/epssub)/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub))/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
coxeff = (1.0/((1.0/((cox*(model_.EOT))/(model_.TOXP)))+((Tcen*QMTCENCV_i)/epssub)));
}
else
{

d_coxeff_dV_gi_e = d_coxeff_dV_di_si = d_coxeff_dV_e_si = d_coxeff_dV_e_di = d_coxeff_dV_gi_si = d_coxeff_dTemp_t_GND =  0.0;
coxeff = cox;
}
if ((((model_.BULKMOD)!=0)&&(QMTCENCVA_i!=0.0)))
{
{
double value_pow_0 = pow((qi_acc_for_QM/(model_.QM0ACC)),(model_.PQMACC));
double  deriv_pow_0_d0 = (((qi_acc_for_QM/(model_.QM0ACC)) == 0.0)?0.0:(value_pow_0*(model_.PQMACC)/(qi_acc_for_QM/(model_.QM0ACC))));

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dV_gi_si = (deriv_pow_0_d0*((d_qi_acc_for_QM_dV_gi_si/(model_.QM0ACC))));
d_T6_dV_e_di = (deriv_pow_0_d0*((d_qi_acc_for_QM_dV_e_di/(model_.QM0ACC))));
d_T6_dV_e_si = (deriv_pow_0_d0*((d_qi_acc_for_QM_dV_e_si/(model_.QM0ACC))));
d_T6_dV_gi_e = (deriv_pow_0_d0*((d_qi_acc_for_QM_dV_gi_e/(model_.QM0ACC))));
d_T6_dV_di_si = (deriv_pow_0_d0*((d_qi_acc_for_QM_dV_di_si/(model_.QM0ACC))));
d_T6_dTemp_t_GND = (deriv_pow_0_d0*((d_qi_acc_for_QM_dTemp_t_GND/(model_.QM0ACC))));
T6 = (1.0+value_pow_0);
}

d_Tcen_dTemp_t_GND = (-Tcen0*d_T6_dTemp_t_GND/T6/T6);
d_Tcen_dV_gi_si = (-Tcen0*d_T6_dV_gi_si/T6/T6);
d_Tcen_dV_e_di = (-Tcen0*d_T6_dV_e_di/T6/T6);
d_Tcen_dV_e_si = (-Tcen0*d_T6_dV_e_si/T6/T6);
d_Tcen_dV_di_si = (-Tcen0*d_T6_dV_di_si/T6/T6);
d_Tcen_dV_gi_e = (-Tcen0*d_T6_dV_gi_e/T6/T6);
Tcen = (Tcen0/T6);

d_cox_acc_dTemp_t_GND = (-((-d_cox_acc_dTemp_t_GND/cox_acc/cox_acc)+(d_Tcen_dTemp_t_GND*QMTCENCVA_i/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
d_cox_acc_dV_gi_si = (-((-d_cox_acc_dV_gi_si/cox_acc/cox_acc)+(d_Tcen_dV_gi_si*QMTCENCVA_i/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
d_cox_acc_dV_e_di = (-((-d_cox_acc_dV_e_di/cox_acc/cox_acc)+(d_Tcen_dV_e_di*QMTCENCVA_i/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
d_cox_acc_dV_e_si = (-((-d_cox_acc_dV_e_si/cox_acc/cox_acc)+(d_Tcen_dV_e_si*QMTCENCVA_i/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
d_cox_acc_dV_di_si = (-((-d_cox_acc_dV_di_si/cox_acc/cox_acc)+(d_Tcen_dV_di_si*QMTCENCVA_i/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
d_cox_acc_dV_gi_e = (-((-d_cox_acc_dV_gi_e/cox_acc/cox_acc)+(d_Tcen_dV_gi_e*QMTCENCVA_i/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub))/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
cox_acc = (1.0/((1.0/cox_acc)+((Tcen*QMTCENCVA_i)/epssub)));
}

d_beta_dV_di_si = (d_u0_a_dV_di_si*cox*Weff0/Leff);
d_beta_dTemp_t_GND = (d_u0_a_dTemp_t_GND*cox*Weff0/Leff);
beta = (((u0_a*cox)*Weff0)/Leff);

d_Eeffm_dV_gi_si = EeffFactor*eta_mu*d_qia2_dV_gi_si;
d_Eeffm_dV_e_di = EeffFactor*eta_mu*d_qia2_dV_e_di;
d_Eeffm_dV_e_si = EeffFactor*eta_mu*d_qia2_dV_e_si;
d_Eeffm_dV_di_si = EeffFactor*eta_mu*d_qia2_dV_di_si;
d_Eeffm_dTemp_t_GND = EeffFactor*(eta_mu*d_qia2_dTemp_t_GND+d_eta_mu_dTemp_t_GND*qia2);
Eeffm = (EeffFactor*(qbs+(eta_mu*qia2)));
if (((model_.CRYOMOD)==0))
{
{
double value_pow_0 = pow((0.5*(1.0+(qia2/qb0))),UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qia2/qb0))) == 0.0)?0.0:(value_pow_0*UCS_t/(0.5*(1.0+(qia2/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qia2/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qia2/qb0))))*value_pow_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((deriv_pow_0_d0*(0.5*(d_qia2_dTemp_t_GND/qb0)))+(deriv_pow_0_d1*(d_UCS_t_dTemp_t_GND)));
d_T2_dV_gi_si = (deriv_pow_0_d0*(0.5*(d_qia2_dV_gi_si/qb0)));
d_T2_dV_e_di = (deriv_pow_0_d0*(0.5*(d_qia2_dV_e_di/qb0)));
d_T2_dV_e_si = (deriv_pow_0_d0*(0.5*(d_qia2_dV_e_si/qb0)));
d_T2_dV_di_si = (deriv_pow_0_d0*(0.5*(d_qia2_dV_di_si/qb0)));
T2 = value_pow_0;
}
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = (UDSeff_t*d_qis_dV_gi_si+UDDeff_t*d_qid_dV_gi_si);
d_T0_dV_e_di = (UDSeff_t*d_qis_dV_e_di+UDDeff_t*d_qid_dV_e_di);
d_T0_dV_e_si = (UDSeff_t*d_qis_dV_e_si+UDDeff_t*d_qid_dV_e_si);
d_T0_dV_di_si = (UDSeff_t*d_qis_dV_di_si+UDDeff_t*d_qid_dV_di_si);
d_T0_dTemp_t_GND = ((UDSeff_t*d_qis_dTemp_t_GND+d_UDSeff_t_dTemp_t_GND*qis)+(UDDeff_t*d_qid_dTemp_t_GND+d_UDDeff_t_dTemp_t_GND*qid));
T0 = ((UDSeff_t*qis)+(UDDeff_t*qid));
{
double value_sqrt_0 = sqrt(((T0*T0)+((4.0*1.0e-12)*1.0e-12)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)))));
d_T1_dV_di_si = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0)))));
d_T1_dV_gi_si = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0)))));
d_T1_dV_e_di = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0)))));
d_T1_dV_e_si = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0)))));
T1 = (((T0==0.0)&&(1.0e-12==0.0))?0.0:(0.5*(T0+value_sqrt_0)));
}
{
double value_pow_0 = pow((0.5*(1.0+(T1/qb0))),UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(T1/qb0))) == 0.0)?0.0:(value_pow_0*UCS_t/(0.5*(1.0+(T1/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(T1/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(T1/qb0))))*value_pow_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 =  0.0;
d_T2_dTemp_t_GND = ((deriv_pow_0_d0*(0.5*(d_T1_dTemp_t_GND/qb0)))+(deriv_pow_0_d1*(d_UCS_t_dTemp_t_GND)));
d_T2_dV_di_si = (deriv_pow_0_d0*(0.5*(d_T1_dV_di_si/qb0)));
d_T2_dV_gi_si = (deriv_pow_0_d0*(0.5*(d_T1_dV_gi_si/qb0)));
d_T2_dV_e_di = (deriv_pow_0_d0*(0.5*(d_T1_dV_e_di/qb0)));
d_T2_dV_e_si = (deriv_pow_0_d0*(0.5*(d_T1_dV_e_si/qb0)));
d_T2_dV_gi_e = (deriv_pow_0_d0*(0.5*(d_T1_dV_gi_e/qb0)));
T2 = value_pow_0;
}
}
{
double value_pow_0 = pow(Eeffm,EU_a);
double  deriv_pow_0_d0 = ((Eeffm == 0.0)?0.0:(value_pow_0*EU_a/Eeffm));
double  deriv_pow_0_d1 = (Eeffm == 0.0)?0.0:(log(Eeffm)*value_pow_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = (deriv_pow_0_d0*(d_Eeffm_dV_gi_si));
d_T0_dV_e_di = (deriv_pow_0_d0*(d_Eeffm_dV_e_di));
d_T0_dV_e_si = (deriv_pow_0_d0*(d_Eeffm_dV_e_si));
d_T0_dV_di_si = ((deriv_pow_0_d0*(d_Eeffm_dV_di_si))+(deriv_pow_0_d1*(d_EU_a_dV_di_si)));
d_T0_dTemp_t_GND = ((deriv_pow_0_d0*(d_Eeffm_dTemp_t_GND))+(deriv_pow_0_d1*(d_EU_a_dTemp_t_GND)));
T0 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dV_gi_e = ((UA_a+(UC_a*veseff))*d_T0_dV_gi_e+(-UD_a*d_T2_dV_gi_e/T2/T2));
d_T3_dV_gi_si = ((UA_a+(UC_a*veseff))*d_T0_dV_gi_si+(-UD_a*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (((UA_a+(UC_a*veseff))*d_T0_dV_e_di+UC_a*d_veseff_dV_e_di*T0)+(-UD_a*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (((UA_a+(UC_a*veseff))*d_T0_dV_e_si+UC_a*d_veseff_dV_e_si*T0)+(-UD_a*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = (((UA_a+(UC_a*veseff))*d_T0_dV_di_si+(d_UA_a_dV_di_si+(UC_a*d_veseff_dV_di_si+d_UC_a_dV_di_si*veseff))*T0)+((T2*d_UD_a_dV_di_si-UD_a*d_T2_dV_di_si)/T2/T2));
d_T3_dTemp_t_GND = (((UA_a+(UC_a*veseff))*d_T0_dTemp_t_GND+(d_UA_a_dTemp_t_GND+(UC_a*d_veseff_dTemp_t_GND+d_UC_a_dTemp_t_GND*veseff))*T0)+((T2*d_UD_a_dTemp_t_GND-UD_a*d_T2_dTemp_t_GND)/T2/T2));
T3 = (((UA_a+(UC_a*veseff))*T0)+(UD_a/T2));
}
else
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dV_gi_e = (UA_a*d_T0_dV_gi_e+(-UD_a*d_T2_dV_gi_e/T2/T2));
d_T3_dV_gi_si = (UA_a*d_T0_dV_gi_si+(-UD_a*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (UA_a*d_T0_dV_e_di+(-UD_a*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (UA_a*d_T0_dV_e_si+(-UD_a*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = ((UA_a*d_T0_dV_di_si+d_UA_a_dV_di_si*T0)+((T2*d_UD_a_dV_di_si-UD_a*d_T2_dV_di_si)/T2/T2));
d_T3_dTemp_t_GND = ((UA_a*d_T0_dTemp_t_GND+d_UA_a_dTemp_t_GND*T0)+((T2*d_UD_a_dTemp_t_GND-UD_a*d_T2_dTemp_t_GND)/T2/T2));
T3 = ((UA_a*T0)+(UD_a/T2));
}

d_Dmob_dTemp_t_GND = d_T3_dTemp_t_GND;
d_Dmob_dV_gi_si = d_T3_dV_gi_si;
d_Dmob_dV_e_di = d_T3_dV_e_di;
d_Dmob_dV_e_si = d_T3_dV_e_si;
d_Dmob_dV_di_si = d_T3_dV_di_si;
d_Dmob_dV_gi_e = d_T3_dV_gi_e;
Dmob = (1.0+T3);
{
double value_sqrt_0 = sqrt((((Dmob-1.0)*(Dmob-1.0))+((0.25*(model_.DMOBCLAMP))*(model_.DMOBCLAMP))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Dmob_dTemp_t_GND = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_dTemp_t_GND+(deriv_sqrt_0_d0*(((Dmob-1.0)*d_Dmob_dTemp_t_GND+d_Dmob_dTemp_t_GND*(Dmob-1.0))))));
d_Dmob_dV_gi_si = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_dV_gi_si+(deriv_sqrt_0_d0*(((Dmob-1.0)*d_Dmob_dV_gi_si+d_Dmob_dV_gi_si*(Dmob-1.0))))));
d_Dmob_dV_e_di = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_dV_e_di+(deriv_sqrt_0_d0*(((Dmob-1.0)*d_Dmob_dV_e_di+d_Dmob_dV_e_di*(Dmob-1.0))))));
d_Dmob_dV_e_si = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_dV_e_si+(deriv_sqrt_0_d0*(((Dmob-1.0)*d_Dmob_dV_e_si+d_Dmob_dV_e_si*(Dmob-1.0))))));
d_Dmob_dV_di_si = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_dV_di_si+(deriv_sqrt_0_d0*(((Dmob-1.0)*d_Dmob_dV_di_si+d_Dmob_dV_di_si*(Dmob-1.0))))));
d_Dmob_dV_gi_e = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_dV_gi_e+(deriv_sqrt_0_d0*(((Dmob-1.0)*d_Dmob_dV_gi_e+d_Dmob_dV_gi_e*(Dmob-1.0))))));
Dmob = ((((Dmob==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:(0.5*((Dmob+1.0)+value_sqrt_0)));
}

d_Dmob_dTemp_t_GND = (d_Dmob_dTemp_t_GND/U0MULT);
d_Dmob_dV_gi_si = (d_Dmob_dV_gi_si/U0MULT);
d_Dmob_dV_e_di = (d_Dmob_dV_e_di/U0MULT);
d_Dmob_dV_e_si = (d_Dmob_dV_e_si/U0MULT);
d_Dmob_dV_di_si = (d_Dmob_dV_di_si/U0MULT);
d_Dmob_dV_gi_e = (d_Dmob_dV_gi_e/U0MULT);
Dmob = (Dmob/U0MULT);

d_ueff_dV_gi_si = (-u0_a*d_Dmob_dV_gi_si/Dmob/Dmob);
d_ueff_dV_e_di = (-u0_a*d_Dmob_dV_e_di/Dmob/Dmob);
d_ueff_dV_e_si = (-u0_a*d_Dmob_dV_e_si/Dmob/Dmob);
d_ueff_dV_gi_e = (-u0_a*d_Dmob_dV_gi_e/Dmob/Dmob);
d_ueff_dV_di_si = ((Dmob*d_u0_a_dV_di_si-u0_a*d_Dmob_dV_di_si)/Dmob/Dmob);
d_ueff_dTemp_t_GND = ((Dmob*d_u0_a_dTemp_t_GND-u0_a*d_Dmob_dTemp_t_GND)/Dmob/Dmob);
ueff = (u0_a/Dmob);
if (((model_.CVMOD)==1))
{
if (((model_.CRYOMOD)==0))
{
{
double value_pow_0 = pow((0.5*(1.0+(qia2_cv/qb0))),UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qia2_cv/qb0))) == 0.0)?0.0:(value_pow_0*UCS_t/(0.5*(1.0+(qia2_cv/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qia2_cv/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qia2_cv/qb0))))*value_pow_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = ((deriv_pow_0_d0*(0.5*(d_qia2_cv_dTemp_t_GND/qb0)))+(deriv_pow_0_d1*(d_UCS_t_dTemp_t_GND)));
d_T2_dV_gi_si = (deriv_pow_0_d0*(0.5*(d_qia2_cv_dV_gi_si/qb0)));
d_T2_dV_e_di = (deriv_pow_0_d0*(0.5*(d_qia2_cv_dV_e_di/qb0)));
d_T2_dV_e_si = (deriv_pow_0_d0*(0.5*(d_qia2_cv_dV_e_si/qb0)));
d_T2_dV_di_si = (deriv_pow_0_d0*(0.5*(d_qia2_cv_dV_di_si/qb0)));
T2 = value_pow_0;
}
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = (UDSeff_t*d_qis_cv_dV_gi_si+UDDeff_t*d_qid_cv_dV_gi_si);
d_T0_dV_e_di = (UDSeff_t*d_qis_cv_dV_e_di+UDDeff_t*d_qid_cv_dV_e_di);
d_T0_dV_e_si = (UDSeff_t*d_qis_cv_dV_e_si+UDDeff_t*d_qid_cv_dV_e_si);
d_T0_dV_di_si = (UDSeff_t*d_qis_cv_dV_di_si+UDDeff_t*d_qid_cv_dV_di_si);
d_T0_dTemp_t_GND = ((UDSeff_t*d_qis_cv_dTemp_t_GND+d_UDSeff_t_dTemp_t_GND*qis_cv)+(UDDeff_t*d_qid_cv_dTemp_t_GND+d_UDDeff_t_dTemp_t_GND*qid_cv));
T0 = ((UDSeff_t*qis_cv)+(UDDeff_t*qid_cv));
{
double value_sqrt_0 = sqrt(((T0*T0)+((4.0*1.0e-12)*1.0e-12)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)))));
d_T1_dV_di_si = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0)))));
d_T1_dV_gi_si = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0)))));
d_T1_dV_e_di = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0)))));
d_T1_dV_e_si = (((T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0)))));
T1 = (((T0==0.0)&&(1.0e-12==0.0))?0.0:(0.5*(T0+value_sqrt_0)));
}
{
double value_pow_0 = pow((0.5*(1.0+(T1/qb0))),UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(T1/qb0))) == 0.0)?0.0:(value_pow_0*UCS_t/(0.5*(1.0+(T1/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(T1/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(T1/qb0))))*value_pow_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 =  0.0;
d_T2_dTemp_t_GND = ((deriv_pow_0_d0*(0.5*(d_T1_dTemp_t_GND/qb0)))+(deriv_pow_0_d1*(d_UCS_t_dTemp_t_GND)));
d_T2_dV_di_si = (deriv_pow_0_d0*(0.5*(d_T1_dV_di_si/qb0)));
d_T2_dV_gi_si = (deriv_pow_0_d0*(0.5*(d_T1_dV_gi_si/qb0)));
d_T2_dV_e_di = (deriv_pow_0_d0*(0.5*(d_T1_dV_e_di/qb0)));
d_T2_dV_e_si = (deriv_pow_0_d0*(0.5*(d_T1_dV_e_si/qb0)));
d_T2_dV_gi_e = (deriv_pow_0_d0*(0.5*(d_T1_dV_gi_e/qb0)));
T2 = value_pow_0;
}
}

d_Eeffm_cv_dTemp_t_GND = EeffFactor*eta_mu_cv*d_qia2_cv_dTemp_t_GND;
d_Eeffm_cv_dV_gi_si = EeffFactor*eta_mu_cv*d_qia2_cv_dV_gi_si;
d_Eeffm_cv_dV_e_di = EeffFactor*eta_mu_cv*d_qia2_cv_dV_e_di;
d_Eeffm_cv_dV_e_si = EeffFactor*eta_mu_cv*d_qia2_cv_dV_e_si;
d_Eeffm_cv_dV_di_si = EeffFactor*eta_mu_cv*d_qia2_cv_dV_di_si;
Eeffm_cv = (EeffFactor*(qbs+(eta_mu_cv*qia2_cv)));
{
double value_pow_0 = pow(Eeffm_cv,EU_a);
double  deriv_pow_0_d0 = ((Eeffm_cv == 0.0)?0.0:(value_pow_0*EU_a/Eeffm_cv));
double  deriv_pow_0_d1 = (Eeffm_cv == 0.0)?0.0:(log(Eeffm_cv)*value_pow_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dV_gi_e = (-UDCV_t*d_T2_dV_gi_e/T2/T2);
d_T3_dV_gi_si = (UACV_t*(deriv_pow_0_d0*(d_Eeffm_cv_dV_gi_si))+(-UDCV_t*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (UACV_t*(deriv_pow_0_d0*(d_Eeffm_cv_dV_e_di))+(-UDCV_t*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (UACV_t*(deriv_pow_0_d0*(d_Eeffm_cv_dV_e_si))+(-UDCV_t*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = (UACV_t*((deriv_pow_0_d0*(d_Eeffm_cv_dV_di_si))+(deriv_pow_0_d1*(d_EU_a_dV_di_si)))+(-UDCV_t*d_T2_dV_di_si/T2/T2));
d_T3_dTemp_t_GND = ((UACV_t*((deriv_pow_0_d0*(d_Eeffm_cv_dTemp_t_GND))+(deriv_pow_0_d1*(d_EU_a_dTemp_t_GND)))+d_UACV_t_dTemp_t_GND*value_pow_0)+((T2*d_UDCV_t_dTemp_t_GND-UDCV_t*d_T2_dTemp_t_GND)/T2/T2));
T3 = ((UACV_t*value_pow_0)+(UDCV_t/T2));
}
}
else
{

d_Eeffm_cv_dTemp_t_GND = EeffFactor*eta_mu_cv*d_qia2_dTemp_t_GND;
d_Eeffm_cv_dV_gi_si = EeffFactor*eta_mu_cv*d_qia2_dV_gi_si;
d_Eeffm_cv_dV_e_di = EeffFactor*eta_mu_cv*d_qia2_dV_e_di;
d_Eeffm_cv_dV_e_si = EeffFactor*eta_mu_cv*d_qia2_dV_e_si;
d_Eeffm_cv_dV_di_si = EeffFactor*eta_mu_cv*d_qia2_dV_di_si;
Eeffm_cv = (EeffFactor*(qbs+(eta_mu_cv*qia2)));
{
double value_pow_0 = pow(Eeffm_cv,EU_a);
double  deriv_pow_0_d0 = ((Eeffm_cv == 0.0)?0.0:(value_pow_0*EU_a/Eeffm_cv));
double  deriv_pow_0_d1 = (Eeffm_cv == 0.0)?0.0:(log(Eeffm_cv)*value_pow_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dV_gi_e = (-UD_a*d_T2_dV_gi_e/T2/T2);
d_T3_dV_gi_si = (UA_a*(deriv_pow_0_d0*(d_Eeffm_cv_dV_gi_si))+(-UD_a*d_T2_dV_gi_si/T2/T2));
d_T3_dV_e_di = (UA_a*(deriv_pow_0_d0*(d_Eeffm_cv_dV_e_di))+(-UD_a*d_T2_dV_e_di/T2/T2));
d_T3_dV_e_si = (UA_a*(deriv_pow_0_d0*(d_Eeffm_cv_dV_e_si))+(-UD_a*d_T2_dV_e_si/T2/T2));
d_T3_dV_di_si = ((UA_a*((deriv_pow_0_d0*(d_Eeffm_cv_dV_di_si))+(deriv_pow_0_d1*(d_EU_a_dV_di_si)))+d_UA_a_dV_di_si*value_pow_0)+((T2*d_UD_a_dV_di_si-UD_a*d_T2_dV_di_si)/T2/T2));
d_T3_dTemp_t_GND = ((UA_a*((deriv_pow_0_d0*(d_Eeffm_cv_dTemp_t_GND))+(deriv_pow_0_d1*(d_EU_a_dTemp_t_GND)))+d_UA_a_dTemp_t_GND*value_pow_0)+((T2*d_UD_a_dTemp_t_GND-UD_a*d_T2_dTemp_t_GND)/T2/T2));
T3 = ((UA_a*value_pow_0)+(UD_a/T2));
}
}

d_Dmob_cv_dTemp_t_GND = d_T3_dTemp_t_GND;
d_Dmob_cv_dV_gi_si = d_T3_dV_gi_si;
d_Dmob_cv_dV_e_di = d_T3_dV_e_di;
d_Dmob_cv_dV_e_si = d_T3_dV_e_si;
d_Dmob_cv_dV_di_si = d_T3_dV_di_si;
d_Dmob_cv_dV_gi_e = d_T3_dV_gi_e;
Dmob_cv = (1.0+T3);
{
double value_sqrt_0 = sqrt((((Dmob_cv-1.0)*(Dmob_cv-1.0))+((0.25*(model_.DMOBCLAMP))*(model_.DMOBCLAMP))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Dmob_cv_dTemp_t_GND = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_cv_dTemp_t_GND+(deriv_sqrt_0_d0*(((Dmob_cv-1.0)*d_Dmob_cv_dTemp_t_GND+d_Dmob_cv_dTemp_t_GND*(Dmob_cv-1.0))))));
d_Dmob_cv_dV_gi_si = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_cv_dV_gi_si+(deriv_sqrt_0_d0*(((Dmob_cv-1.0)*d_Dmob_cv_dV_gi_si+d_Dmob_cv_dV_gi_si*(Dmob_cv-1.0))))));
d_Dmob_cv_dV_e_di = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_cv_dV_e_di+(deriv_sqrt_0_d0*(((Dmob_cv-1.0)*d_Dmob_cv_dV_e_di+d_Dmob_cv_dV_e_di*(Dmob_cv-1.0))))));
d_Dmob_cv_dV_e_si = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_cv_dV_e_si+(deriv_sqrt_0_d0*(((Dmob_cv-1.0)*d_Dmob_cv_dV_e_si+d_Dmob_cv_dV_e_si*(Dmob_cv-1.0))))));
d_Dmob_cv_dV_di_si = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_cv_dV_di_si+(deriv_sqrt_0_d0*(((Dmob_cv-1.0)*d_Dmob_cv_dV_di_si+d_Dmob_cv_dV_di_si*(Dmob_cv-1.0))))));
d_Dmob_cv_dV_gi_e = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob_cv_dV_gi_e+(deriv_sqrt_0_d0*(((Dmob_cv-1.0)*d_Dmob_cv_dV_gi_e+d_Dmob_cv_dV_gi_e*(Dmob_cv-1.0))))));
Dmob_cv = ((((Dmob_cv==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:(0.5*((Dmob_cv+1.0)+value_sqrt_0)));
}

d_Dmob_cv_dTemp_t_GND = (d_Dmob_cv_dTemp_t_GND/U0MULT);
d_Dmob_cv_dV_gi_si = (d_Dmob_cv_dV_gi_si/U0MULT);
d_Dmob_cv_dV_e_di = (d_Dmob_cv_dV_e_di/U0MULT);
d_Dmob_cv_dV_e_si = (d_Dmob_cv_dV_e_si/U0MULT);
d_Dmob_cv_dV_di_si = (d_Dmob_cv_dV_di_si/U0MULT);
d_Dmob_cv_dV_gi_e = (d_Dmob_cv_dV_gi_e/U0MULT);
Dmob_cv = (Dmob_cv/U0MULT);
tmp = (((DROUT_i*Leff)/scl)+1.0e-6);
if ((tmp<40.0))
{
{
double value_cosh_0 = cosh(tmp);

d_DIBLfactor_dTemp_t_GND = ((0.5*d_PDIBL1_a_dTemp_t_GND/(value_cosh_0-1.0))+d_PDIBL2_a_dTemp_t_GND);
d_DIBLfactor_dV_di_si = ((0.5*d_PDIBL1_a_dV_di_si/(value_cosh_0-1.0))+d_PDIBL2_a_dV_di_si);
DIBLfactor = (((0.5*PDIBL1_a)/(value_cosh_0-1.0))+PDIBL2_a);
}
}
else
{
{
double value_exp_0 = exp((-tmp));

d_DIBLfactor_dTemp_t_GND = (d_PDIBL1_a_dTemp_t_GND*(((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0))+d_PDIBL2_a_dTemp_t_GND);
d_DIBLfactor_dV_di_si = (d_PDIBL1_a_dV_di_si*(((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0))+d_PDIBL2_a_dV_di_si);
DIBLfactor = ((PDIBL1_a*(((-tmp)>80.0)?(5.540622384e34*((1.0+(-tmp))-80.0)):(((-tmp)<(-80.0))?1.804851387e-35:value_exp_0)))+PDIBL2_a);
}
}
if ((PVAG_i>0.0))
{

d_PVAGfactor_dTemp_t_GND = ((EsatL*PVAG_i*d_qia_dTemp_t_GND-(PVAG_i*qia)*d_EsatL_dTemp_t_GND)/EsatL/EsatL);
d_PVAGfactor_dV_gi_si = ((EsatL*PVAG_i*d_qia_dV_gi_si-(PVAG_i*qia)*d_EsatL_dV_gi_si)/EsatL/EsatL);
d_PVAGfactor_dV_e_di = ((EsatL*PVAG_i*d_qia_dV_e_di-(PVAG_i*qia)*d_EsatL_dV_e_di)/EsatL/EsatL);
d_PVAGfactor_dV_e_si = ((EsatL*PVAG_i*d_qia_dV_e_si-(PVAG_i*qia)*d_EsatL_dV_e_si)/EsatL/EsatL);
d_PVAGfactor_dV_di_si = ((EsatL*PVAG_i*d_qia_dV_di_si-(PVAG_i*qia)*d_EsatL_dV_di_si)/EsatL/EsatL);
PVAGfactor = (1.0+((PVAG_i*qia)/EsatL));
}
else
{

d_PVAGfactor_dTemp_t_GND = (-(-((EsatL*PVAG_i*d_qia_dTemp_t_GND-(PVAG_i*qia)*d_EsatL_dTemp_t_GND)/EsatL/EsatL))/(1.0-((PVAG_i*qia)/EsatL))/(1.0-((PVAG_i*qia)/EsatL)));
d_PVAGfactor_dV_gi_si = (-(-((EsatL*PVAG_i*d_qia_dV_gi_si-(PVAG_i*qia)*d_EsatL_dV_gi_si)/EsatL/EsatL))/(1.0-((PVAG_i*qia)/EsatL))/(1.0-((PVAG_i*qia)/EsatL)));
d_PVAGfactor_dV_e_di = (-(-((EsatL*PVAG_i*d_qia_dV_e_di-(PVAG_i*qia)*d_EsatL_dV_e_di)/EsatL/EsatL))/(1.0-((PVAG_i*qia)/EsatL))/(1.0-((PVAG_i*qia)/EsatL)));
d_PVAGfactor_dV_e_si = (-(-((EsatL*PVAG_i*d_qia_dV_e_si-(PVAG_i*qia)*d_EsatL_dV_e_si)/EsatL/EsatL))/(1.0-((PVAG_i*qia)/EsatL))/(1.0-((PVAG_i*qia)/EsatL)));
d_PVAGfactor_dV_di_si = (-(-((EsatL*PVAG_i*d_qia_dV_di_si-(PVAG_i*qia)*d_EsatL_dV_di_si)/EsatL/EsatL))/(1.0-((PVAG_i*qia)/EsatL))/(1.0-((PVAG_i*qia)/EsatL)));
PVAGfactor = (1.0/(1.0-((PVAG_i*qia)/EsatL)));
}

d_diffVds_dTemp_t_GND = (-d_Vdseff_dTemp_t_GND);
d_diffVds_dV_gi_si = (-d_Vdseff_dV_gi_si);
d_diffVds_dV_e_di = (-d_Vdseff_dV_e_di);
d_diffVds_dV_e_si = (-d_Vdseff_dV_e_si);
d_diffVds_dV_di_si = (d_vds_dV_di_si-d_Vdseff_dV_di_si);
diffVds = (vds-Vdseff);
if (((model_.CRYOMOD)==0))
{

d_Vgst2Vtm_dTemp_t_GND = (d_qia_dTemp_t_GND+2.0*d_Vtm_dTemp_t_GND);
d_Vgst2Vtm_dV_gi_si = d_qia_dV_gi_si;
d_Vgst2Vtm_dV_e_di = d_qia_dV_e_di;
d_Vgst2Vtm_dV_e_si = d_qia_dV_e_si;
d_Vgst2Vtm_dV_di_si = d_qia_dV_di_si;
Vgst2Vtm = (qia+(2.0*Vtm));
}
else
{

d_Vgst2Vtm_dTemp_t_GND = (d_qia_dTemp_t_GND+2.0*d_Vtmeff_dTemp_t_GND);
d_Vgst2Vtm_dV_gi_si = d_qia_dV_gi_si;
d_Vgst2Vtm_dV_e_di = d_qia_dV_e_di;
d_Vgst2Vtm_dV_e_si = d_qia_dV_e_si;
d_Vgst2Vtm_dV_di_si = d_qia_dV_di_si;
Vgst2Vtm = (qia+(2.0*Vtmeff));
}
if ((DIBLfactor>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = d_Vgst2Vtm_dTemp_t_GND;
d_T1_dV_gi_si = d_Vgst2Vtm_dV_gi_si;
d_T1_dV_e_di = d_Vgst2Vtm_dV_e_di;
d_T1_dV_e_si = d_Vgst2Vtm_dV_e_si;
d_T1_dV_di_si = d_Vgst2Vtm_dV_di_si;
T1 = Vgst2Vtm;

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dTemp_t_GND = (((Vdsat+T1)*d_T1_dTemp_t_GND-T1*(d_Vdsat_dTemp_t_GND+d_T1_dTemp_t_GND))/(Vdsat+T1)/(Vdsat+T1));
d_T3_dV_di_si = (((Vdsat+T1)*d_T1_dV_di_si-T1*(d_Vdsat_dV_di_si+d_T1_dV_di_si))/(Vdsat+T1)/(Vdsat+T1));
d_T3_dV_gi_si = (((Vdsat+T1)*d_T1_dV_gi_si-T1*(d_Vdsat_dV_gi_si+d_T1_dV_gi_si))/(Vdsat+T1)/(Vdsat+T1));
d_T3_dV_e_di = (((Vdsat+T1)*d_T1_dV_e_di-T1*(d_Vdsat_dV_e_di+d_T1_dV_e_di))/(Vdsat+T1)/(Vdsat+T1));
d_T3_dV_e_si = (((Vdsat+T1)*d_T1_dV_e_si-T1*(d_Vdsat_dV_e_si+d_T1_dV_e_si))/(Vdsat+T1)/(Vdsat+T1));
d_T3_dV_gi_e = (((Vdsat+T1)*d_T1_dV_gi_e-T1*d_T1_dV_gi_e)/(Vdsat+T1)/(Vdsat+T1));
T3 = (T1/(Vdsat+T1));

d_VaDIBL_dTemp_t_GND = (((T1/DIBLfactor)*T3)*d_PVAGfactor_dTemp_t_GND+((T1/DIBLfactor)*d_T3_dTemp_t_GND+((DIBLfactor*d_T1_dTemp_t_GND-T1*d_DIBLfactor_dTemp_t_GND)/DIBLfactor/DIBLfactor)*T3)*PVAGfactor);
d_VaDIBL_dV_di_si = (((T1/DIBLfactor)*T3)*d_PVAGfactor_dV_di_si+((T1/DIBLfactor)*d_T3_dV_di_si+((DIBLfactor*d_T1_dV_di_si-T1*d_DIBLfactor_dV_di_si)/DIBLfactor/DIBLfactor)*T3)*PVAGfactor);
d_VaDIBL_dV_gi_si = (((T1/DIBLfactor)*T3)*d_PVAGfactor_dV_gi_si+((T1/DIBLfactor)*d_T3_dV_gi_si+(d_T1_dV_gi_si/DIBLfactor)*T3)*PVAGfactor);
d_VaDIBL_dV_e_di = (((T1/DIBLfactor)*T3)*d_PVAGfactor_dV_e_di+((T1/DIBLfactor)*d_T3_dV_e_di+(d_T1_dV_e_di/DIBLfactor)*T3)*PVAGfactor);
d_VaDIBL_dV_e_si = (((T1/DIBLfactor)*T3)*d_PVAGfactor_dV_e_si+((T1/DIBLfactor)*d_T3_dV_e_si+(d_T1_dV_e_si/DIBLfactor)*T3)*PVAGfactor);
d_VaDIBL_dV_gi_e = ((T1/DIBLfactor)*d_T3_dV_gi_e+(d_T1_dV_gi_e/DIBLfactor)*T3)*PVAGfactor;
VaDIBL = (((T1/DIBLfactor)*T3)*PVAGfactor);

d_Moc_dV_gi_e = (-diffVds*d_VaDIBL_dV_gi_e/VaDIBL/VaDIBL);
d_Moc_dTemp_t_GND = ((VaDIBL*d_diffVds_dTemp_t_GND-diffVds*d_VaDIBL_dTemp_t_GND)/VaDIBL/VaDIBL);
d_Moc_dV_gi_si = ((VaDIBL*d_diffVds_dV_gi_si-diffVds*d_VaDIBL_dV_gi_si)/VaDIBL/VaDIBL);
d_Moc_dV_e_di = ((VaDIBL*d_diffVds_dV_e_di-diffVds*d_VaDIBL_dV_e_di)/VaDIBL/VaDIBL);
d_Moc_dV_e_si = ((VaDIBL*d_diffVds_dV_e_si-diffVds*d_VaDIBL_dV_e_si)/VaDIBL/VaDIBL);
d_Moc_dV_di_si = ((VaDIBL*d_diffVds_dV_di_si-diffVds*d_VaDIBL_dV_di_si)/VaDIBL/VaDIBL);
Moc = (1.0+(diffVds/VaDIBL));
}
else
{

d_Moc_dV_di_si = d_Moc_dV_e_si = d_Moc_dV_e_di = d_Moc_dV_gi_si = d_Moc_dTemp_t_GND = d_Moc_dV_gi_e =  0.0;
Moc = 1.0;
}
if ((PCLM_a>0.0))
{
if ((PCLMG_i<0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-(-PCLMG_i*d_qia_dV_gi_si)/((1.0/PCLM_a)-(PCLMG_i*qia))/((1.0/PCLM_a)-(PCLMG_i*qia)));
d_T1_dV_e_di = (-(-PCLMG_i*d_qia_dV_e_di)/((1.0/PCLM_a)-(PCLMG_i*qia))/((1.0/PCLM_a)-(PCLMG_i*qia)));
d_T1_dV_e_si = (-(-PCLMG_i*d_qia_dV_e_si)/((1.0/PCLM_a)-(PCLMG_i*qia))/((1.0/PCLM_a)-(PCLMG_i*qia)));
d_T1_dTemp_t_GND = (-((-d_PCLM_a_dTemp_t_GND/PCLM_a/PCLM_a)-PCLMG_i*d_qia_dTemp_t_GND)/((1.0/PCLM_a)-(PCLMG_i*qia))/((1.0/PCLM_a)-(PCLMG_i*qia)));
d_T1_dV_di_si = (-((-d_PCLM_a_dV_di_si/PCLM_a/PCLM_a)-PCLMG_i*d_qia_dV_di_si)/((1.0/PCLM_a)-(PCLMG_i*qia))/((1.0/PCLM_a)-(PCLMG_i*qia)));
T1 = (1.0/((1.0/PCLM_a)-(PCLMG_i*qia)));
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = PCLMG_i*d_qia_dV_gi_si;
d_T1_dV_e_di = PCLMG_i*d_qia_dV_e_di;
d_T1_dV_e_si = PCLMG_i*d_qia_dV_e_si;
d_T1_dTemp_t_GND = (d_PCLM_a_dTemp_t_GND+PCLMG_i*d_qia_dTemp_t_GND);
d_T1_dV_di_si = (d_PCLM_a_dV_di_si+PCLMG_i*d_qia_dV_di_si);
T1 = (PCLM_a+(PCLMG_i*qia));
}
{
double value_log_0 = log((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL))));
double  deriv_log_0_d0 = (1.0/(1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL))));

d_Mclm_dTemp_t_GND = (T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatL)*((T1*(-d_Vdseff_dTemp_t_GND)-(vds-Vdseff)*d_T1_dTemp_t_GND)/T1/T1)-((vds-Vdseff)/T1)*(d_Vdsat_dTemp_t_GND+d_EsatL_dTemp_t_GND))/(Vdsat+EsatL)/(Vdsat+EsatL)))):0.0)+d_T1_dTemp_t_GND*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
d_Mclm_dV_di_si = (T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatL)*((T1*(d_vds_dV_di_si-d_Vdseff_dV_di_si)-(vds-Vdseff)*d_T1_dV_di_si)/T1/T1)-((vds-Vdseff)/T1)*(d_Vdsat_dV_di_si+d_EsatL_dV_di_si))/(Vdsat+EsatL)/(Vdsat+EsatL)))):0.0)+d_T1_dV_di_si*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
d_Mclm_dV_gi_si = (T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatL)*((T1*(-d_Vdseff_dV_gi_si)-(vds-Vdseff)*d_T1_dV_gi_si)/T1/T1)-((vds-Vdseff)/T1)*(d_Vdsat_dV_gi_si+d_EsatL_dV_gi_si))/(Vdsat+EsatL)/(Vdsat+EsatL)))):0.0)+d_T1_dV_gi_si*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
d_Mclm_dV_e_di = (T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatL)*((T1*(-d_Vdseff_dV_e_di)-(vds-Vdseff)*d_T1_dV_e_di)/T1/T1)-((vds-Vdseff)/T1)*(d_Vdsat_dV_e_di+d_EsatL_dV_e_di))/(Vdsat+EsatL)/(Vdsat+EsatL)))):0.0)+d_T1_dV_e_di*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
d_Mclm_dV_e_si = (T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatL)*((T1*(-d_Vdseff_dV_e_si)-(vds-Vdseff)*d_T1_dV_e_si)/T1/T1)-((vds-Vdseff)/T1)*(d_Vdsat_dV_e_si+d_EsatL_dV_e_si))/(Vdsat+EsatL)/(Vdsat+EsatL)))):0.0)+d_T1_dV_e_si*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
d_Mclm_dV_gi_e = (T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?(deriv_log_0_d0*(((-(vds-Vdseff)*d_T1_dV_gi_e/T1/T1)/(Vdsat+EsatL)))):0.0)+d_T1_dV_gi_e*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
Mclm = (1.0+(T1*(((1.0+(((vds-Vdseff)/T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534))));
}
}
else
{

d_Mclm_dV_gi_e = d_Mclm_dV_e_si = d_Mclm_dV_e_di = d_Mclm_dV_gi_si = d_Mclm_dV_di_si = d_Mclm_dTemp_t_GND =  0.0;
Mclm = 1.0;
}

d_Moc_dV_gi_e = (Moc*d_Mclm_dV_gi_e+d_Moc_dV_gi_e*Mclm);
d_Moc_dTemp_t_GND = (Moc*d_Mclm_dTemp_t_GND+d_Moc_dTemp_t_GND*Mclm);
d_Moc_dV_gi_si = (Moc*d_Mclm_dV_gi_si+d_Moc_dV_gi_si*Mclm);
d_Moc_dV_e_di = (Moc*d_Mclm_dV_e_di+d_Moc_dV_e_di*Mclm);
d_Moc_dV_e_si = (Moc*d_Mclm_dV_e_si+d_Moc_dV_e_si*Mclm);
d_Moc_dV_di_si = (Moc*d_Mclm_dV_di_si+d_Moc_dV_di_si*Mclm);
Moc = (Moc*Mclm);

d_Esat1_dV_gi_si = (-(2.0*VSAT1_a)*d_ueff_dV_gi_si/ueff/ueff);
d_Esat1_dV_e_di = (-(2.0*VSAT1_a)*d_ueff_dV_e_di/ueff/ueff);
d_Esat1_dV_e_si = (-(2.0*VSAT1_a)*d_ueff_dV_e_si/ueff/ueff);
d_Esat1_dV_gi_e = (-(2.0*VSAT1_a)*d_ueff_dV_gi_e/ueff/ueff);
d_Esat1_dV_di_si = ((ueff*2.0*d_VSAT1_a_dV_di_si-(2.0*VSAT1_a)*d_ueff_dV_di_si)/ueff/ueff);
d_Esat1_dTemp_t_GND = ((ueff*2.0*d_VSAT1_a_dTemp_t_GND-(2.0*VSAT1_a)*d_ueff_dTemp_t_GND)/ueff/ueff);
Esat1 = ((2.0*VSAT1_a)/ueff);

d_Esat1L_dV_gi_si = d_Esat1_dV_gi_si*Leff;
d_Esat1L_dV_e_di = d_Esat1_dV_e_di*Leff;
d_Esat1L_dV_e_si = d_Esat1_dV_e_si*Leff;
d_Esat1L_dV_gi_e = d_Esat1_dV_gi_e*Leff;
d_Esat1L_dV_di_si = d_Esat1_dV_di_si*Leff;
d_Esat1L_dTemp_t_GND = d_Esat1_dTemp_t_GND*Leff;
Esat1L = (Esat1*Leff);
{
double value_log_0 = log((dqi/Esat1L));
double value_log_1 = log((dqi/Esat1L));
double value_log_2 = log((dqi/Esat1L));
double value_log_3 = log((dqi/Esat1L));
double value_exp_4 = exp((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_3:(-87.498233534))));
double  deriv_log_0_d0 = (1.0/(dqi/Esat1L));
double  deriv_log_1_d0 = (1.0/(dqi/Esat1L));
double  deriv_log_2_d0 = (1.0/(dqi/Esat1L));
double  deriv_log_3_d0 = (1.0/(dqi/Esat1L));
double  deriv_exp_4_d0 = value_exp_4;

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dV_gi_e = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_1_d0*((-dqi*d_Esat1L_dV_gi_e/Esat1L/Esat1L))):0.0):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_3_d0*((-dqi*d_Esat1L_dV_gi_e/Esat1L/Esat1L))):0.0)))));
d_T0_dTemp_t_GND = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_1_d0*(((Esat1L*d_dqi_dTemp_t_GND-dqi*d_Esat1L_dTemp_t_GND)/Esat1L/Esat1L))):0.0):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_3_d0*(((Esat1L*d_dqi_dTemp_t_GND-dqi*d_Esat1L_dTemp_t_GND)/Esat1L/Esat1L))):0.0)))));
d_T0_dV_gi_si = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_1_d0*(((Esat1L*d_dqi_dV_gi_si-dqi*d_Esat1L_dV_gi_si)/Esat1L/Esat1L))):0.0):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_3_d0*(((Esat1L*d_dqi_dV_gi_si-dqi*d_Esat1L_dV_gi_si)/Esat1L/Esat1L))):0.0)))));
d_T0_dV_e_di = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_1_d0*(((Esat1L*d_dqi_dV_e_di-dqi*d_Esat1L_dV_e_di)/Esat1L/Esat1L))):0.0):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_3_d0*(((Esat1L*d_dqi_dV_e_di-dqi*d_Esat1L_dV_e_di)/Esat1L/Esat1L))):0.0)))));
d_T0_dV_e_si = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_1_d0*(((Esat1L*d_dqi_dV_e_si-dqi*d_Esat1L_dV_e_si)/Esat1L/Esat1L))):0.0):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_3_d0*(((Esat1L*d_dqi_dV_e_si-dqi*d_Esat1L_dV_e_si)/Esat1L/Esat1L))):0.0)))));
d_T0_dV_di_si = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_1_d0*(((Esat1L*d_dqi_dV_di_si-dqi*d_Esat1L_dV_di_si)/Esat1L/Esat1L))):0.0):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(PSAT_i*(((dqi/Esat1L)>1.0e-38)?(deriv_log_3_d0*(((Esat1L*d_dqi_dV_di_si-dqi*d_Esat1L_dV_di_si)/Esat1L/Esat1L))):0.0)))));
T0 = (((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4));
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (1.0/PSAT_i);
{
double value_log_0 = log(DELTAVSAT_i);
double value_log_1 = log(DELTAVSAT_i);
double value_log_2 = log(DELTAVSAT_i);
double value_log_3 = log(DELTAVSAT_i);
double value_exp_4 = exp((T1*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))));
double  deriv_exp_4_d0 = value_exp_4;

d_Ta_dTemp_t_GND = (((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*d_T1_dTemp_t_GND*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(d_T1_dTemp_t_GND*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
d_Ta_dV_di_si = (((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*d_T1_dV_di_si*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(d_T1_dV_di_si*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
d_Ta_dV_gi_si = (((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*d_T1_dV_gi_si*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(d_T1_dV_gi_si*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
d_Ta_dV_e_di = (((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*d_T1_dV_e_di*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(d_T1_dV_e_di*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
d_Ta_dV_e_si = (((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*d_T1_dV_e_si*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(d_T1_dV_e_si*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
d_Ta_dV_gi_e = (((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*d_T1_dV_gi_e*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*(d_T1_dV_gi_e*((DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
Ta = (1.0+(((T1*((DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*((DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*((DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)));
}
{
double value_log_0 = log((DELTAVSAT_i+T0));
double value_log_1 = log((DELTAVSAT_i+T0));
double value_log_2 = log((DELTAVSAT_i+T0));
double value_log_3 = log((DELTAVSAT_i+T0));
double value_exp_4 = exp((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534))));
double  deriv_log_0_d0 = (1.0/(DELTAVSAT_i+T0));
double  deriv_log_1_d0 = (1.0/(DELTAVSAT_i+T0));
double  deriv_log_2_d0 = (1.0/(DELTAVSAT_i+T0));
double  deriv_log_3_d0 = (1.0/(DELTAVSAT_i+T0));
double  deriv_exp_4_d0 = value_exp_4;

d_Dvsat_dTemp_t_GND = ((Ta*(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_1_d0*(d_T0_dTemp_t_GND)):0.0)+d_T1_dTemp_t_GND*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*((T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_3_d0*(d_T0_dTemp_t_GND)):0.0)+d_T1_dTemp_t_GND*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534)))))))-(1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dTemp_t_GND)/Ta/Ta);
d_Dvsat_dV_di_si = ((Ta*(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_1_d0*(d_T0_dV_di_si)):0.0)+d_T1_dV_di_si*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*((T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_3_d0*(d_T0_dV_di_si)):0.0)+d_T1_dV_di_si*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534)))))))-(1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dV_di_si)/Ta/Ta);
d_Dvsat_dV_gi_si = ((Ta*(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_1_d0*(d_T0_dV_gi_si)):0.0)+d_T1_dV_gi_si*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*((T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_3_d0*(d_T0_dV_gi_si)):0.0)+d_T1_dV_gi_si*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534)))))))-(1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dV_gi_si)/Ta/Ta);
d_Dvsat_dV_e_di = ((Ta*(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_1_d0*(d_T0_dV_e_di)):0.0)+d_T1_dV_e_di*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*((T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_3_d0*(d_T0_dV_e_di)):0.0)+d_T1_dV_e_di*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534)))))))-(1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dV_e_di)/Ta/Ta);
d_Dvsat_dV_e_si = ((Ta*(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_1_d0*(d_T0_dV_e_si)):0.0)+d_T1_dV_e_si*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*((T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_3_d0*(d_T0_dV_e_si)):0.0)+d_T1_dV_e_si*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534)))))))-(1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dV_e_si)/Ta/Ta);
d_Dvsat_dV_gi_e = ((Ta*(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_1_d0*(d_T0_dV_gi_e)):0.0)+d_T1_dV_gi_e*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:(deriv_exp_4_d0*((T1*(((DELTAVSAT_i+T0)>1.0e-38)?(deriv_log_3_d0*(d_T0_dV_gi_e)):0.0)+d_T1_dV_gi_e*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_3:(-87.498233534)))))))-(1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dV_gi_e)/Ta/Ta);
Dvsat = ((1.0+(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((T1*(((DELTAVSAT_i+T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))/Ta);
}

d_Dvsat_dTemp_t_GND = (d_Dvsat_dTemp_t_GND+((((0.5*PTWG_a)*qia)*dqi)*d_dqi_dTemp_t_GND+(((0.5*PTWG_a)*qia)*d_dqi_dTemp_t_GND+((0.5*PTWG_a)*d_qia_dTemp_t_GND+0.5*d_PTWG_a_dTemp_t_GND*qia)*dqi)*dqi));
d_Dvsat_dV_di_si = (d_Dvsat_dV_di_si+((((0.5*PTWG_a)*qia)*dqi)*d_dqi_dV_di_si+(((0.5*PTWG_a)*qia)*d_dqi_dV_di_si+((0.5*PTWG_a)*d_qia_dV_di_si+0.5*d_PTWG_a_dV_di_si*qia)*dqi)*dqi));
d_Dvsat_dV_gi_si = (d_Dvsat_dV_gi_si+((((0.5*PTWG_a)*qia)*dqi)*d_dqi_dV_gi_si+(((0.5*PTWG_a)*qia)*d_dqi_dV_gi_si+(0.5*PTWG_a)*d_qia_dV_gi_si*dqi)*dqi));
d_Dvsat_dV_e_di = (d_Dvsat_dV_e_di+((((0.5*PTWG_a)*qia)*dqi)*d_dqi_dV_e_di+(((0.5*PTWG_a)*qia)*d_dqi_dV_e_di+(0.5*PTWG_a)*d_qia_dV_e_di*dqi)*dqi));
d_Dvsat_dV_e_si = (d_Dvsat_dV_e_si+((((0.5*PTWG_a)*qia)*dqi)*d_dqi_dV_e_si+(((0.5*PTWG_a)*qia)*d_dqi_dV_e_si+(0.5*PTWG_a)*d_qia_dV_e_si*dqi)*dqi));
Dvsat = (Dvsat+((((0.5*PTWG_a)*qia)*dqi)*dqi));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dV_gi_si = (-A2_t*d_qia_dV_gi_si/(qia+(2.0*nVtm))/(qia+(2.0*nVtm)));
d_T0_dV_e_di = (-A2_t*d_qia_dV_e_di/(qia+(2.0*nVtm))/(qia+(2.0*nVtm)));
d_T0_dV_e_si = (-A2_t*d_qia_dV_e_si/(qia+(2.0*nVtm))/(qia+(2.0*nVtm)));
d_T0_dV_di_si = (-A2_t*(d_qia_dV_di_si+2.0*d_nVtm_dV_di_si)/(qia+(2.0*nVtm))/(qia+(2.0*nVtm)));
d_T0_dTemp_t_GND = (d_A1_t_dTemp_t_GND+(((qia+(2.0*nVtm))*d_A2_t_dTemp_t_GND-A2_t*(d_qia_dTemp_t_GND+2.0*d_nVtm_dTemp_t_GND))/(qia+(2.0*nVtm))/(qia+(2.0*nVtm))));
T0 = (A1_t+(A2_t/(qia+(2.0*nVtm))));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dTemp_t_GND = ((T0*dqi)*d_dqi_dTemp_t_GND+(T0*d_dqi_dTemp_t_GND+d_T0_dTemp_t_GND*dqi)*dqi);
d_T1_dV_di_si = ((T0*dqi)*d_dqi_dV_di_si+(T0*d_dqi_dV_di_si+d_T0_dV_di_si*dqi)*dqi);
d_T1_dV_gi_si = ((T0*dqi)*d_dqi_dV_gi_si+(T0*d_dqi_dV_gi_si+d_T0_dV_gi_si*dqi)*dqi);
d_T1_dV_e_di = ((T0*dqi)*d_dqi_dV_e_di+(T0*d_dqi_dV_e_di+d_T0_dV_e_di*dqi)*dqi);
d_T1_dV_e_si = ((T0*dqi)*d_dqi_dV_e_si+(T0*d_dqi_dV_e_si+d_T0_dV_e_si*dqi)*dqi);
d_T1_dV_gi_e = d_T0_dV_gi_e*dqi*dqi;
T1 = ((T0*dqi)*dqi);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 =  0.0;
d_T2_dTemp_t_GND = d_T1_dTemp_t_GND;
d_T2_dV_di_si = d_T1_dV_di_si;
d_T2_dV_gi_si = d_T1_dV_gi_si;
d_T2_dV_e_di = d_T1_dV_e_di;
d_T2_dV_e_si = d_T1_dV_e_si;
d_T2_dV_gi_e = d_T1_dV_gi_e;
T2 = ((T1+1.0)-0.001);
{
double value_sqrt_0 = sqrt(((T2*T2)+0.004));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 =  0.0;
d_T3_dTemp_t_GND = 0.5*(d_T2_dTemp_t_GND+(deriv_sqrt_0_d0*((T2*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*T2))));
d_T3_dV_di_si = 0.5*(d_T2_dV_di_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_di_si+d_T2_dV_di_si*T2))));
d_T3_dV_e_di = 0.5*(d_T2_dV_e_di+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_di+d_T2_dV_e_di*T2))));
d_T3_dV_e_si = 0.5*(d_T2_dV_e_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_e_si+d_T2_dV_e_si*T2))));
d_T3_dV_gi_si = 0.5*(d_T2_dV_gi_si+(deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si+d_T2_dV_gi_si*T2))));
d_T3_dV_gi_e = 0.5*(d_T2_dV_gi_e+(deriv_sqrt_0_d0*((T2*d_T2_dV_gi_e+d_T2_dV_gi_e*T2))));
T3 = ((-1.0)+(0.5*(T2+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((1.0+T3));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Nsat_dTemp_t_GND = 0.5*(deriv_sqrt_0_d0*(d_T3_dTemp_t_GND));
d_Nsat_dV_gi_si = 0.5*(deriv_sqrt_0_d0*(d_T3_dV_gi_si));
d_Nsat_dV_e_di = 0.5*(deriv_sqrt_0_d0*(d_T3_dV_e_di));
d_Nsat_dV_e_si = 0.5*(deriv_sqrt_0_d0*(d_T3_dV_e_si));
d_Nsat_dV_di_si = 0.5*(deriv_sqrt_0_d0*(d_T3_dV_di_si));
d_Nsat_dV_gi_e = 0.5*(deriv_sqrt_0_d0*(d_T3_dV_gi_e));
Nsat = (0.5*(1.0+value_sqrt_0));
}

d_Dvsat_dTemp_t_GND = (Dvsat*d_Nsat_dTemp_t_GND+d_Dvsat_dTemp_t_GND*Nsat);
d_Dvsat_dV_di_si = (Dvsat*d_Nsat_dV_di_si+d_Dvsat_dV_di_si*Nsat);
d_Dvsat_dV_gi_si = (Dvsat*d_Nsat_dV_gi_si+d_Dvsat_dV_gi_si*Nsat);
d_Dvsat_dV_e_di = (Dvsat*d_Nsat_dV_e_di+d_Dvsat_dV_e_di*Nsat);
d_Dvsat_dV_e_si = (Dvsat*d_Nsat_dV_e_si+d_Dvsat_dV_e_si*Nsat);
d_Dvsat_dV_gi_e = (Dvsat*d_Nsat_dV_gi_e+d_Dvsat_dV_gi_e*Nsat);
Dvsat = (Dvsat*Nsat);
{
double value_sqrt_0 = sqrt((((Dvsat-1.0)*(Dvsat-1.0))+((0.25*(model_.DVSATCLAMP))*(model_.DVSATCLAMP))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Dvsat_dTemp_t_GND = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:0.5*(d_Dvsat_dTemp_t_GND+(deriv_sqrt_0_d0*(((Dvsat-1.0)*d_Dvsat_dTemp_t_GND+d_Dvsat_dTemp_t_GND*(Dvsat-1.0))))));
d_Dvsat_dV_di_si = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:0.5*(d_Dvsat_dV_di_si+(deriv_sqrt_0_d0*(((Dvsat-1.0)*d_Dvsat_dV_di_si+d_Dvsat_dV_di_si*(Dvsat-1.0))))));
d_Dvsat_dV_gi_si = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:0.5*(d_Dvsat_dV_gi_si+(deriv_sqrt_0_d0*(((Dvsat-1.0)*d_Dvsat_dV_gi_si+d_Dvsat_dV_gi_si*(Dvsat-1.0))))));
d_Dvsat_dV_e_di = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:0.5*(d_Dvsat_dV_e_di+(deriv_sqrt_0_d0*(((Dvsat-1.0)*d_Dvsat_dV_e_di+d_Dvsat_dV_e_di*(Dvsat-1.0))))));
d_Dvsat_dV_e_si = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:0.5*(d_Dvsat_dV_e_si+(deriv_sqrt_0_d0*(((Dvsat-1.0)*d_Dvsat_dV_e_si+d_Dvsat_dV_e_si*(Dvsat-1.0))))));
d_Dvsat_dV_gi_e = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:0.5*(d_Dvsat_dV_gi_e+(deriv_sqrt_0_d0*(((Dvsat-1.0)*d_Dvsat_dV_gi_e+d_Dvsat_dV_gi_e*(Dvsat-1.0))))));
Dvsat = ((((Dvsat==0.0)&&(1.0==0.0))&&((model_.DVSATCLAMP)==0.0))?0.0:(0.5*((Dvsat+1.0)+value_sqrt_0)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(K0SI_t+((K0SISAT_t*dqi)*dqi)));
double  deriv_max_0_d1 = ((0.0>=(K0SI_t+((K0SISAT_t*dqi)*dqi)))?0.0:1.0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-K0_t*(value_max_0*d_qia_dV_gi_si+(deriv_max_0_d1*(((K0SISAT_t*dqi)*d_dqi_dV_gi_si+K0SISAT_t*d_dqi_dV_gi_si*dqi)))*qia)/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_e_di = (-K0_t*(value_max_0*d_qia_dV_e_di+(deriv_max_0_d1*(((K0SISAT_t*dqi)*d_dqi_dV_e_di+K0SISAT_t*d_dqi_dV_e_di*dqi)))*qia)/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_e_si = (-K0_t*(value_max_0*d_qia_dV_e_si+(deriv_max_0_d1*(((K0SISAT_t*dqi)*d_dqi_dV_e_si+K0SISAT_t*d_dqi_dV_e_si*dqi)))*qia)/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_di_si = (-K0_t*((value_max_0*d_qia_dV_di_si+(deriv_max_0_d1*(((K0SISAT_t*dqi)*d_dqi_dV_di_si+K0SISAT_t*d_dqi_dV_di_si*dqi)))*qia)+2.0*d_nVtm_dV_di_si)/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dTemp_t_GND = ((((value_max_0*qia)+(2.0*nVtm))*d_K0_t_dTemp_t_GND-K0_t*((value_max_0*d_qia_dTemp_t_GND+(deriv_max_0_d1*((d_K0SI_t_dTemp_t_GND+((K0SISAT_t*dqi)*d_dqi_dTemp_t_GND+(K0SISAT_t*d_dqi_dTemp_t_GND+d_K0SISAT_t_dTemp_t_GND*dqi)*dqi))))*qia)+2.0*d_nVtm_dTemp_t_GND))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
T1 = (K0_t/((value_max_0*qia)+(2.0*nVtm)));
}
{
double value_exp_0 = exp((-T1));
double  deriv_exp_0_d0 = value_exp_0;

d_Mnud_dTemp_t_GND = (((-T1)>80.0)?5.540622384e34*(-d_T1_dTemp_t_GND):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dTemp_t_GND)))));
d_Mnud_dV_di_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_di_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_di_si)))));
d_Mnud_dV_gi_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si)))));
d_Mnud_dV_e_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_di)))));
d_Mnud_dV_e_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_si)))));
d_Mnud_dV_gi_e = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_e):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_e)))));
Mnud = (((-T1)>80.0)?(5.540622384e34*((1.0+(-T1))-80.0)):(((-T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
if (((model_.BULKMOD)==2))
{
{
double value_sqrt_0 = sqrt((((K2_t+(K2SAT_t*vdsx))*(K2_t+(K2SAT_t*vdsx)))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si =  0.0;
d_T0_dV_di_si = ((((K2_t+(K2SAT_t*vdsx))==0.0)&&(1.0e-6==0.0))?0.0:0.5*(K2SAT_t*d_vdsx_dV_di_si+(deriv_sqrt_0_d0*(((K2_t+(K2SAT_t*vdsx))*K2SAT_t*d_vdsx_dV_di_si+K2SAT_t*d_vdsx_dV_di_si*(K2_t+(K2SAT_t*vdsx)))))));
d_T0_dTemp_t_GND = ((((K2_t+(K2SAT_t*vdsx))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((d_K2_t_dTemp_t_GND+d_K2SAT_t_dTemp_t_GND*vdsx)+(deriv_sqrt_0_d0*(((K2_t+(K2SAT_t*vdsx))*(d_K2_t_dTemp_t_GND+d_K2SAT_t_dTemp_t_GND*vdsx)+(d_K2_t_dTemp_t_GND+d_K2SAT_t_dTemp_t_GND*vdsx)*(K2_t+(K2SAT_t*vdsx)))))));
T0 = ((((K2_t+(K2SAT_t*vdsx))==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((K2_t+(K2SAT_t*vdsx))+value_sqrt_0)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(K2SI_t+((K2SISAT_t*dqi)*dqi)));
double  deriv_max_0_d1 = ((0.0>=(K2SI_t+((K2SISAT_t*dqi)*dqi)))?0.0:1.0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dTemp_t_GND = ((((value_max_0*qia)+(2.0*nVtm))*d_T0_dTemp_t_GND-T0*((value_max_0*d_qia_dTemp_t_GND+(deriv_max_0_d1*((d_K2SI_t_dTemp_t_GND+((K2SISAT_t*dqi)*d_dqi_dTemp_t_GND+(K2SISAT_t*d_dqi_dTemp_t_GND+d_K2SISAT_t_dTemp_t_GND*dqi)*dqi))))*qia)+2.0*d_nVtm_dTemp_t_GND))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_di_si = ((((value_max_0*qia)+(2.0*nVtm))*d_T0_dV_di_si-T0*((value_max_0*d_qia_dV_di_si+(deriv_max_0_d1*(((K2SISAT_t*dqi)*d_dqi_dV_di_si+K2SISAT_t*d_dqi_dV_di_si*dqi)))*qia)+2.0*d_nVtm_dV_di_si))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_gi_si = ((((value_max_0*qia)+(2.0*nVtm))*d_T0_dV_gi_si-T0*(value_max_0*d_qia_dV_gi_si+(deriv_max_0_d1*(((K2SISAT_t*dqi)*d_dqi_dV_gi_si+K2SISAT_t*d_dqi_dV_gi_si*dqi)))*qia))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_e_di = ((((value_max_0*qia)+(2.0*nVtm))*d_T0_dV_e_di-T0*(value_max_0*d_qia_dV_e_di+(deriv_max_0_d1*(((K2SISAT_t*dqi)*d_dqi_dV_e_di+K2SISAT_t*d_dqi_dV_e_di*dqi)))*qia))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_e_si = ((((value_max_0*qia)+(2.0*nVtm))*d_T0_dV_e_si-T0*(value_max_0*d_qia_dV_e_si+(deriv_max_0_d1*(((K2SISAT_t*dqi)*d_dqi_dV_e_si+K2SISAT_t*d_dqi_dV_e_si*dqi)))*qia))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
d_T1_dV_gi_e = (d_T0_dV_gi_e/((value_max_0*qia)+(2.0*nVtm)));
T1 = (T0/((value_max_0*qia)+(2.0*nVtm)));
}
{
double value_sqrt_0 = sqrt((PHIBE_i-veseff));
double value_sqrt_1 = sqrt(PHIBE_i);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = (deriv_sqrt_0_d0*((-d_veseff_dTemp_t_GND)));
d_T3_dV_di_si = (deriv_sqrt_0_d0*((-d_veseff_dV_di_si)));
d_T3_dV_e_di = (deriv_sqrt_0_d0*((-d_veseff_dV_e_di)));
d_T3_dV_e_si = (deriv_sqrt_0_d0*((-d_veseff_dV_e_si)));
T3 = (value_sqrt_0-value_sqrt_1);
}
{
double value_exp_0 = exp(((-T1)*T3));
double  deriv_exp_0_d0 = value_exp_0;

d_Mob_dTemp_t_GND = ((((-T1)*T3)>80.0)?5.540622384e34*((-T1)*d_T3_dTemp_t_GND+(-d_T1_dTemp_t_GND)*T3):((((-T1)*T3)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T1)*d_T3_dTemp_t_GND+(-d_T1_dTemp_t_GND)*T3)))));
d_Mob_dV_di_si = ((((-T1)*T3)>80.0)?5.540622384e34*((-T1)*d_T3_dV_di_si+(-d_T1_dV_di_si)*T3):((((-T1)*T3)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T1)*d_T3_dV_di_si+(-d_T1_dV_di_si)*T3)))));
d_Mob_dV_gi_si = ((((-T1)*T3)>80.0)?5.540622384e34*((-T1)*d_T3_dV_gi_si+(-d_T1_dV_gi_si)*T3):((((-T1)*T3)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T1)*d_T3_dV_gi_si+(-d_T1_dV_gi_si)*T3)))));
d_Mob_dV_e_di = ((((-T1)*T3)>80.0)?5.540622384e34*((-T1)*d_T3_dV_e_di+(-d_T1_dV_e_di)*T3):((((-T1)*T3)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T1)*d_T3_dV_e_di+(-d_T1_dV_e_di)*T3)))));
d_Mob_dV_e_si = ((((-T1)*T3)>80.0)?5.540622384e34*((-T1)*d_T3_dV_e_si+(-d_T1_dV_e_si)*T3):((((-T1)*T3)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T1)*d_T3_dV_e_si+(-d_T1_dV_e_si)*T3)))));
d_Mob_dV_gi_e = ((((-T1)*T3)>80.0)?5.540622384e34*((-T1)*d_T3_dV_gi_e+(-d_T1_dV_gi_e)*T3):((((-T1)*T3)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T1)*d_T3_dV_gi_e+(-d_T1_dV_gi_e)*T3)))));
Mob = ((((-T1)*T3)>80.0)?(5.540622384e34*((1.0+((-T1)*T3))-80.0)):((((-T1)*T3)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
else
{

d_Mob_dV_gi_e = d_Mob_dV_e_si = d_Mob_dV_e_di = d_Mob_dV_gi_si = d_Mob_dV_di_si = d_Mob_dTemp_t_GND =  0.0;
Mob = 1.0;
}
if (((model_.CVMOD)==1))
{

d_EsatCV_dV_gi_si = ((2.0*VSATCV_t)*d_Dmob_cv_dV_gi_si/u0_cv);
d_EsatCV_dV_e_di = ((2.0*VSATCV_t)*d_Dmob_cv_dV_e_di/u0_cv);
d_EsatCV_dV_e_si = ((2.0*VSATCV_t)*d_Dmob_cv_dV_e_si/u0_cv);
d_EsatCV_dV_di_si = ((2.0*VSATCV_t)*d_Dmob_cv_dV_di_si/u0_cv);
d_EsatCV_dV_gi_e = ((2.0*VSATCV_t)*d_Dmob_cv_dV_gi_e/u0_cv);
d_EsatCV_dTemp_t_GND = ((u0_cv*((2.0*VSATCV_t)*d_Dmob_cv_dTemp_t_GND+2.0*d_VSATCV_t_dTemp_t_GND*Dmob_cv)-((2.0*VSATCV_t)*Dmob_cv)*d_u0_cv_dTemp_t_GND)/u0_cv/u0_cv);
EsatCV = (((2.0*VSATCV_t)*Dmob_cv)/u0_cv);
}
else
{

d_EsatCV_dV_gi_si = ((2.0*VSATCV_t)*d_Dmob_cv_dV_gi_si/u0_a);
d_EsatCV_dV_e_di = ((2.0*VSATCV_t)*d_Dmob_cv_dV_e_di/u0_a);
d_EsatCV_dV_e_si = ((2.0*VSATCV_t)*d_Dmob_cv_dV_e_si/u0_a);
d_EsatCV_dV_di_si = ((u0_a*(2.0*VSATCV_t)*d_Dmob_cv_dV_di_si-((2.0*VSATCV_t)*Dmob_cv)*d_u0_a_dV_di_si)/u0_a/u0_a);
d_EsatCV_dV_gi_e = ((2.0*VSATCV_t)*d_Dmob_cv_dV_gi_e/u0_a);
d_EsatCV_dTemp_t_GND = ((u0_a*((2.0*VSATCV_t)*d_Dmob_cv_dTemp_t_GND+2.0*d_VSATCV_t_dTemp_t_GND*Dmob_cv)-((2.0*VSATCV_t)*Dmob_cv)*d_u0_a_dTemp_t_GND)/u0_a/u0_a);
EsatCV = (((2.0*VSATCV_t)*Dmob_cv)/u0_a);
}

d_EsatCVL_dV_gi_si = d_EsatCV_dV_gi_si*LeffCV;
d_EsatCVL_dV_e_di = d_EsatCV_dV_e_di*LeffCV;
d_EsatCVL_dV_e_si = d_EsatCV_dV_e_si*LeffCV;
d_EsatCVL_dV_di_si = d_EsatCV_dV_di_si*LeffCV;
d_EsatCVL_dV_gi_e = d_EsatCV_dV_gi_e*LeffCV;
d_EsatCVL_dTemp_t_GND = d_EsatCV_dTemp_t_GND*LeffCV;
EsatCVL = (EsatCV*LeffCV);
if (((model_.CVMOD)==1))
{
{
double value_pow_0 = pow((dqi_cv/EsatCVL),PSATCV_i);
double  deriv_pow_0_d0 = (((dqi_cv/EsatCVL) == 0.0)?0.0:(value_pow_0*PSATCV_i/(dqi_cv/EsatCVL)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dV_gi_e = (deriv_pow_0_d0*((-dqi_cv*d_EsatCVL_dV_gi_e/EsatCVL/EsatCVL)));
d_T0_dTemp_t_GND = (deriv_pow_0_d0*(((EsatCVL*d_dqi_cv_dTemp_t_GND-dqi_cv*d_EsatCVL_dTemp_t_GND)/EsatCVL/EsatCVL)));
d_T0_dV_gi_si = (deriv_pow_0_d0*(((EsatCVL*d_dqi_cv_dV_gi_si-dqi_cv*d_EsatCVL_dV_gi_si)/EsatCVL/EsatCVL)));
d_T0_dV_e_di = (deriv_pow_0_d0*(((EsatCVL*d_dqi_cv_dV_e_di-dqi_cv*d_EsatCVL_dV_e_di)/EsatCVL/EsatCVL)));
d_T0_dV_e_si = (deriv_pow_0_d0*(((EsatCVL*d_dqi_cv_dV_e_si-dqi_cv*d_EsatCVL_dV_e_si)/EsatCVL/EsatCVL)));
d_T0_dV_di_si = (deriv_pow_0_d0*(((EsatCVL*d_dqi_cv_dV_di_si-dqi_cv*d_EsatCVL_dV_di_si)/EsatCVL/EsatCVL)));
T0 = value_pow_0;
}
}
else
{
{
double value_pow_0 = pow((dqi/EsatCVL),PSATCV_i);
double  deriv_pow_0_d0 = (((dqi/EsatCVL) == 0.0)?0.0:(value_pow_0*PSATCV_i/(dqi/EsatCVL)));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dV_gi_e = (deriv_pow_0_d0*((-dqi*d_EsatCVL_dV_gi_e/EsatCVL/EsatCVL)));
d_T0_dTemp_t_GND = (deriv_pow_0_d0*(((EsatCVL*d_dqi_dTemp_t_GND-dqi*d_EsatCVL_dTemp_t_GND)/EsatCVL/EsatCVL)));
d_T0_dV_gi_si = (deriv_pow_0_d0*(((EsatCVL*d_dqi_dV_gi_si-dqi*d_EsatCVL_dV_gi_si)/EsatCVL/EsatCVL)));
d_T0_dV_e_di = (deriv_pow_0_d0*(((EsatCVL*d_dqi_dV_e_di-dqi*d_EsatCVL_dV_e_di)/EsatCVL/EsatCVL)));
d_T0_dV_e_si = (deriv_pow_0_d0*(((EsatCVL*d_dqi_dV_e_si-dqi*d_EsatCVL_dV_e_si)/EsatCVL/EsatCVL)));
d_T0_dV_di_si = (deriv_pow_0_d0*(((EsatCVL*d_dqi_dV_di_si-dqi*d_EsatCVL_dV_di_si)/EsatCVL/EsatCVL)));
T0 = value_pow_0;
}
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (1.0/PSATCV_i);
{
double value_pow_0 = pow(DELTAVSATCV_i,T1);
double  deriv_pow_0_d1 = (DELTAVSATCV_i == 0.0)?0.0:(log(DELTAVSATCV_i)*value_pow_0);

d_Ta_dTemp_t_GND = (deriv_pow_0_d1*(d_T1_dTemp_t_GND));
d_Ta_dV_di_si = (deriv_pow_0_d1*(d_T1_dV_di_si));
d_Ta_dV_gi_si = (deriv_pow_0_d1*(d_T1_dV_gi_si));
d_Ta_dV_e_di = (deriv_pow_0_d1*(d_T1_dV_e_di));
d_Ta_dV_e_si = (deriv_pow_0_d1*(d_T1_dV_e_si));
d_Ta_dV_gi_e = (deriv_pow_0_d1*(d_T1_dV_gi_e));
Ta = (1.0+value_pow_0);
}
{
double value_pow_0 = pow((DELTAVSATCV_i+T0),T1);
double  deriv_pow_0_d0 = (((DELTAVSATCV_i+T0) == 0.0)?0.0:(value_pow_0*T1/(DELTAVSATCV_i+T0)));
double  deriv_pow_0_d1 = ((DELTAVSATCV_i+T0) == 0.0)?0.0:(log((DELTAVSATCV_i+T0))*value_pow_0);

d_DvsatCV_dTemp_t_GND = ((Ta*((deriv_pow_0_d0*(d_T0_dTemp_t_GND))+(deriv_pow_0_d1*(d_T1_dTemp_t_GND)))-(1.0+value_pow_0)*d_Ta_dTemp_t_GND)/Ta/Ta);
d_DvsatCV_dV_di_si = ((Ta*((deriv_pow_0_d0*(d_T0_dV_di_si))+(deriv_pow_0_d1*(d_T1_dV_di_si)))-(1.0+value_pow_0)*d_Ta_dV_di_si)/Ta/Ta);
d_DvsatCV_dV_gi_si = ((Ta*((deriv_pow_0_d0*(d_T0_dV_gi_si))+(deriv_pow_0_d1*(d_T1_dV_gi_si)))-(1.0+value_pow_0)*d_Ta_dV_gi_si)/Ta/Ta);
d_DvsatCV_dV_e_di = ((Ta*((deriv_pow_0_d0*(d_T0_dV_e_di))+(deriv_pow_0_d1*(d_T1_dV_e_di)))-(1.0+value_pow_0)*d_Ta_dV_e_di)/Ta/Ta);
d_DvsatCV_dV_e_si = ((Ta*((deriv_pow_0_d0*(d_T0_dV_e_si))+(deriv_pow_0_d1*(d_T1_dV_e_si)))-(1.0+value_pow_0)*d_Ta_dV_e_si)/Ta/Ta);
d_DvsatCV_dV_gi_e = ((Ta*((deriv_pow_0_d0*(d_T0_dV_gi_e))+(deriv_pow_0_d1*(d_T1_dV_gi_e)))-(1.0+value_pow_0)*d_Ta_dV_gi_e)/Ta/Ta);
DvsatCV = ((1.0+value_pow_0)/Ta);
}
if ((PCLMCV_i!=0.0))
{
{
double value_log_0 = log((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL))));
double  deriv_log_0_d0 = (1.0/(1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL))));

d_MclmCV_dV_gi_e = PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?(deriv_log_0_d0*((-((vds-Vdseff)/PCLMCV_i)*d_EsatCVL_dV_gi_e/(Vdsat+EsatCVL)/(Vdsat+EsatCVL)))):0.0);
d_MclmCV_dTemp_t_GND = PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatCVL)*((-d_Vdseff_dTemp_t_GND)/PCLMCV_i)-((vds-Vdseff)/PCLMCV_i)*(d_Vdsat_dTemp_t_GND+d_EsatCVL_dTemp_t_GND))/(Vdsat+EsatCVL)/(Vdsat+EsatCVL)))):0.0);
d_MclmCV_dV_gi_si = PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatCVL)*((-d_Vdseff_dV_gi_si)/PCLMCV_i)-((vds-Vdseff)/PCLMCV_i)*(d_Vdsat_dV_gi_si+d_EsatCVL_dV_gi_si))/(Vdsat+EsatCVL)/(Vdsat+EsatCVL)))):0.0);
d_MclmCV_dV_e_di = PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatCVL)*((-d_Vdseff_dV_e_di)/PCLMCV_i)-((vds-Vdseff)/PCLMCV_i)*(d_Vdsat_dV_e_di+d_EsatCVL_dV_e_di))/(Vdsat+EsatCVL)/(Vdsat+EsatCVL)))):0.0);
d_MclmCV_dV_e_si = PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatCVL)*((-d_Vdseff_dV_e_si)/PCLMCV_i)-((vds-Vdseff)/PCLMCV_i)*(d_Vdsat_dV_e_si+d_EsatCVL_dV_e_si))/(Vdsat+EsatCVL)/(Vdsat+EsatCVL)))):0.0);
d_MclmCV_dV_di_si = PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?(deriv_log_0_d0*((((Vdsat+EsatCVL)*((d_vds_dV_di_si-d_Vdseff_dV_di_si)/PCLMCV_i)-((vds-Vdseff)/PCLMCV_i)*(d_Vdsat_dV_di_si+d_EsatCVL_dV_di_si))/(Vdsat+EsatCVL)/(Vdsat+EsatCVL)))):0.0);
MclmCV = (1.0+(PCLMCV_i*(((1.0+(((vds-Vdseff)/PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?value_log_0:(-87.498233534))));
}
}
else
{

d_MclmCV_dV_di_si = d_MclmCV_dV_e_si = d_MclmCV_dV_e_di = d_MclmCV_dV_gi_si = d_MclmCV_dTemp_t_GND = d_MclmCV_dV_gi_e =  0.0;
MclmCV = 1.0;
}
qb = ((((-1.60219e-19)*NBODY_i)*Ach)*LeffCV);

d_etaiv_dV_gi_si = (-q0*d_qia_dV_gi_si/(q0+qia)/(q0+qia));
d_etaiv_dV_e_di = (-q0*d_qia_dV_e_di/(q0+qia)/(q0+qia));
d_etaiv_dV_e_si = (-q0*d_qia_dV_e_si/(q0+qia)/(q0+qia));
d_etaiv_dV_di_si = (((q0+qia)*d_q0_dV_di_si-q0*(d_q0_dV_di_si+d_qia_dV_di_si))/(q0+qia)/(q0+qia));
d_etaiv_dTemp_t_GND = (((q0+qia)*d_q0_dTemp_t_GND-q0*(d_q0_dTemp_t_GND+d_qia_dTemp_t_GND))/(q0+qia)/(q0+qia));
etaiv = (q0/(q0+qia));

d_ids0_ov_dqi_dTemp_t_GND = (d_qia_dTemp_t_GND+((2.0-etaiv)*d_nVtm_dTemp_t_GND+(-d_etaiv_dTemp_t_GND)*nVtm));
d_ids0_ov_dqi_dV_gi_si = (d_qia_dV_gi_si+(-d_etaiv_dV_gi_si)*nVtm);
d_ids0_ov_dqi_dV_e_di = (d_qia_dV_e_di+(-d_etaiv_dV_e_di)*nVtm);
d_ids0_ov_dqi_dV_e_si = (d_qia_dV_e_si+(-d_etaiv_dV_e_si)*nVtm);
d_ids0_ov_dqi_dV_di_si = (d_qia_dV_di_si+((2.0-etaiv)*d_nVtm_dV_di_si+(-d_etaiv_dV_di_si)*nVtm));
ids0_ov_dqi = (qia+((2.0-etaiv)*nVtm));

d_ids0_dTemp_t_GND = (ids0_ov_dqi*d_dqi_dTemp_t_GND+d_ids0_ov_dqi_dTemp_t_GND*dqi);
d_ids0_dV_gi_si = (ids0_ov_dqi*d_dqi_dV_gi_si+d_ids0_ov_dqi_dV_gi_si*dqi);
d_ids0_dV_e_di = (ids0_ov_dqi*d_dqi_dV_e_di+d_ids0_ov_dqi_dV_e_di*dqi);
d_ids0_dV_e_si = (ids0_ov_dqi*d_dqi_dV_e_si+d_ids0_ov_dqi_dV_e_si*dqi);
d_ids0_dV_di_si = (ids0_ov_dqi*d_dqi_dV_di_si+d_ids0_ov_dqi_dV_di_si*dqi);
ids0 = (ids0_ov_dqi*dqi);
if ( (model_.RDSMOD) == (0))
{

d_Rsource_dTemp_t_GND = d_Rsource_dV_s_si1 = d_Rsource_dV_gi_e = d_Rsource_dV_di_si = d_Rsource_dV_e_si = d_Rsource_dV_e_di = d_Rsource_dV_gi_si = d_Rsource_dV_gi_si1 =  0.0;
Rsource = RSourceGeo;

d_Rdrain_dTemp_t_GND = d_Rdrain_dV_d_di1 = d_Rdrain_dV_s_si1 = d_Rdrain_dV_gi_e = d_Rdrain_dV_di_si = d_Rdrain_dV_e_si = d_Rdrain_dV_e_di = d_Rdrain_dV_gi_si = d_Rdrain_dV_gi_di1 = d_Rdrain_dV_gi_si1 =  0.0;
Rdrain = RDrainGeo;

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qia_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qia_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qia_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qia_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qia_dV_di_si;
T4 = (1.0+(PRWGS_i*qia));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
d_T1_dV_gi_e = (-d_T4_dV_gi_e/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
d_T0_dV_gi_e = 0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}

d_Rdsi_dV_gi_di1 = d_Rdsi_dV_gi_si1 =  0.0;
d_Rdsi_dV_di_si = rdstemp*RDSW_i*d_T0_dV_di_si*WeffWRFactor;
d_Rdsi_dV_gi_si = rdstemp*RDSW_i*d_T0_dV_gi_si*WeffWRFactor;
d_Rdsi_dV_e_di = rdstemp*RDSW_i*d_T0_dV_e_di*WeffWRFactor;
d_Rdsi_dV_e_si = rdstemp*RDSW_i*d_T0_dV_e_si*WeffWRFactor;
d_Rdsi_dV_gi_e = rdstemp*RDSW_i*d_T0_dV_gi_e*WeffWRFactor;
d_Rdsi_dTemp_t_GND = (rdstemp*RDSW_i*d_T0_dTemp_t_GND+d_rdstemp_dTemp_t_GND*((model_.RDSWMIN)+(RDSW_i*T0)))*WeffWRFactor;
Rdsi = ((rdstemp*((model_.RDSWMIN)+(RDSW_i*T0)))*WeffWRFactor);

d_Dr_dV_gi_di1 = d_Dr_dV_gi_si1 =  0.0;
d_Dr_dV_gi_e = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_gi_e+(-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_gi_e+d_Dmob_dV_gi_e*Dvsat)/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_gi_si = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_gi_si+(((Dmob*Dvsat)*(NFINtotal*beta)*d_ids0_ov_dqi_dV_gi_si-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_gi_si+d_Dmob_dV_gi_si*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_e_di = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_e_di+(((Dmob*Dvsat)*(NFINtotal*beta)*d_ids0_ov_dqi_dV_e_di-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_e_di+d_Dmob_dV_e_di*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_e_si = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_e_si+(((Dmob*Dvsat)*(NFINtotal*beta)*d_ids0_ov_dqi_dV_e_si-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_e_si+d_Dmob_dV_e_si*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_di_si = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_di_si+(((Dmob*Dvsat)*((NFINtotal*beta)*d_ids0_ov_dqi_dV_di_si+NFINtotal*d_beta_dV_di_si*ids0_ov_dqi)-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_di_si+d_Dmob_dV_di_si*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dTemp_t_GND = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dTemp_t_GND+(((Dmob*Dvsat)*((NFINtotal*beta)*d_ids0_ov_dqi_dTemp_t_GND+NFINtotal*d_beta_dTemp_t_GND*ids0_ov_dqi)-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dTemp_t_GND+d_Dmob_dTemp_t_GND*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
Dr = (1.0+((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*Rdsi));
}
else
if ( (model_.RDSMOD) == (1))
{

d_Rdsi_dV_gi_di1 = d_Rdsi_dV_gi_si1 = d_Rdsi_dTemp_t_GND = d_Rdsi_dV_gi_e = d_Rdsi_dV_e_si = d_Rdsi_dV_e_di = d_Rdsi_dV_gi_si = d_Rdsi_dV_di_si =  0.0;
Rdsi = 0.0;

d_Dr_dV_gi_di1 = d_Dr_dV_gi_si1 = d_Dr_dTemp_t_GND = d_Dr_dV_di_si = d_Dr_dV_e_si = d_Dr_dV_e_di = d_Dr_dV_gi_si = d_Dr_dV_gi_e =  0.0;
Dr = 1.0;

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (-d_vfbsd_dTemp_t_GND);
d_T2_dV_gi_si1 = devsign*d_probeVars[admsProbeID_V_gi_si1][admsProbeID_V_gi_si1];
T2 = ((devsign*(probeVars[admsProbeID_V_gi_si1]))-vfbsd);
{
double value_sqrt_0 = sqrt(((T2*T2)+0.1));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 =  0.0;
d_T3_dTemp_t_GND = (deriv_sqrt_0_d0*((T2*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*T2)));
d_T3_dV_di_si = (deriv_sqrt_0_d0*((T2*d_T2_dV_di_si+d_T2_dV_di_si*T2)));
d_T3_dV_e_di = (deriv_sqrt_0_d0*((T2*d_T2_dV_e_di+d_T2_dV_e_di*T2)));
d_T3_dV_e_si = (deriv_sqrt_0_d0*((T2*d_T2_dV_e_si+d_T2_dV_e_si*T2)));
d_T3_dV_gi_si = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si+d_T2_dV_gi_si*T2)));
d_T3_dV_gi_e = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_e+d_T2_dV_gi_e*T2)));
d_T3_dV_gi_si1 = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si1+d_T2_dV_gi_si1*T2)));
T3 = value_sqrt_0;
}

d_vgs_eff_dV_ge_di = d_vgs_eff_dV_ge_si = d_vgs_eff_dV_gi_di1 =  0.0;
d_vgs_eff_dTemp_t_GND = 0.5*(d_T2_dTemp_t_GND+d_T3_dTemp_t_GND);
d_vgs_eff_dV_di_si = 0.5*(d_T2_dV_di_si+d_T3_dV_di_si);
d_vgs_eff_dV_e_di = 0.5*(d_T2_dV_e_di+d_T3_dV_e_di);
d_vgs_eff_dV_e_si = 0.5*(d_T2_dV_e_si+d_T3_dV_e_si);
d_vgs_eff_dV_gi_si = 0.5*(d_T2_dV_gi_si+d_T3_dV_gi_si);
d_vgs_eff_dV_gi_e = 0.5*(d_T2_dV_gi_e+d_T3_dV_gi_e);
d_vgs_eff_dV_gi_si1 = 0.5*(d_T2_dV_gi_si1+d_T3_dV_gi_si1);
vgs_eff = (0.5*(T2+T3));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_vgs_eff_dTemp_t_GND;
d_T4_dV_di_si = PRWGS_i*d_vgs_eff_dV_di_si;
d_T4_dV_e_di = PRWGS_i*d_vgs_eff_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_vgs_eff_dV_e_si;
d_T4_dV_gi_si = PRWGS_i*d_vgs_eff_dV_gi_si;
d_T4_dV_gi_e = PRWGS_i*d_vgs_eff_dV_gi_e;
d_T4_dV_gi_si1 = PRWGS_i*d_vgs_eff_dV_gi_si1;
T4 = (1.0+(PRWGS_i*vgs_eff));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
d_T1_dV_gi_e = (-d_T4_dV_gi_e/T4/T4);
d_T1_dV_gi_si1 = (-d_T4_dV_gi_si1/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
d_T0_dV_gi_e = 0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1))));
d_T0_dV_gi_si1 = 0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}
{
double value_pow_0 = pow((((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6),(0.5*(model_.PRSDR)));
double  deriv_pow_0_d0 = (((((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6) == 0.0)?0.0:(value_pow_0*(0.5*(model_.PRSDR))/(((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_gi_e = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si =  0.0;
d_T5_dV_s_si1 = RSW_i*RSDR_a*(deriv_pow_0_d0*(((probeVars[admsProbeID_V_s_si1])*d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]+d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]*(probeVars[admsProbeID_V_s_si1]))));
d_T5_dV_di_si = RSW_i*d_RSDR_a_dV_di_si*value_pow_0;
d_T5_dTemp_t_GND = RSW_i*d_RSDR_a_dTemp_t_GND*value_pow_0;
T5 = (RSW_i*(1.0+(RSDR_a*value_pow_0)));
}

d_Rsource_dV_gi_si1 = rdstemp*(T5*d_T0_dV_gi_si1+d_T5_dV_gi_si1*T0)*WeffWRFactor;
d_Rsource_dV_gi_si = rdstemp*(T5*d_T0_dV_gi_si+d_T5_dV_gi_si*T0)*WeffWRFactor;
d_Rsource_dV_e_di = rdstemp*(T5*d_T0_dV_e_di+d_T5_dV_e_di*T0)*WeffWRFactor;
d_Rsource_dV_e_si = rdstemp*(T5*d_T0_dV_e_si+d_T5_dV_e_si*T0)*WeffWRFactor;
d_Rsource_dV_di_si = rdstemp*(T5*d_T0_dV_di_si+d_T5_dV_di_si*T0)*WeffWRFactor;
d_Rsource_dV_gi_e = rdstemp*(T5*d_T0_dV_gi_e+d_T5_dV_gi_e*T0)*WeffWRFactor;
d_Rsource_dV_s_si1 = rdstemp*d_T5_dV_s_si1*T0*WeffWRFactor;
d_Rsource_dTemp_t_GND = (rdstemp*(T5*d_T0_dTemp_t_GND+d_T5_dTemp_t_GND*T0)*WeffWRFactor+d_rdstemp_dTemp_t_GND*(RSourceGeo+(((model_.RSWMIN)+(T5*T0))*WeffWRFactor)));
Rsource = (rdstemp*(RSourceGeo+(((model_.RSWMIN)+(T5*T0))*WeffWRFactor)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dTemp_t_GND = (-d_vfbsd_dTemp_t_GND);
d_T2_dV_gi_di1 = devsign*d_probeVars[admsProbeID_V_gi_di1][admsProbeID_V_gi_di1];
T2 = ((devsign*(probeVars[admsProbeID_V_gi_di1]))-vfbsd);
{
double value_sqrt_0 = sqrt(((T2*T2)+0.1));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si =  0.0;
d_T3_dTemp_t_GND = (deriv_sqrt_0_d0*((T2*d_T2_dTemp_t_GND+d_T2_dTemp_t_GND*T2)));
d_T3_dV_di_si = (deriv_sqrt_0_d0*((T2*d_T2_dV_di_si+d_T2_dV_di_si*T2)));
d_T3_dV_e_di = (deriv_sqrt_0_d0*((T2*d_T2_dV_e_di+d_T2_dV_e_di*T2)));
d_T3_dV_e_si = (deriv_sqrt_0_d0*((T2*d_T2_dV_e_si+d_T2_dV_e_si*T2)));
d_T3_dV_gi_si = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si+d_T2_dV_gi_si*T2)));
d_T3_dV_gi_e = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_e+d_T2_dV_gi_e*T2)));
d_T3_dV_gi_si1 = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_si1+d_T2_dV_gi_si1*T2)));
d_T3_dV_gi_di1 = (deriv_sqrt_0_d0*((T2*d_T2_dV_gi_di1+d_T2_dV_gi_di1*T2)));
T3 = value_sqrt_0;
}

d_vgd_eff_dV_gi_di = d_vgd_eff_dV_ge_di = d_vgd_eff_dV_ge_si =  0.0;
d_vgd_eff_dTemp_t_GND = 0.5*(d_T2_dTemp_t_GND+d_T3_dTemp_t_GND);
d_vgd_eff_dV_di_si = 0.5*(d_T2_dV_di_si+d_T3_dV_di_si);
d_vgd_eff_dV_e_di = 0.5*(d_T2_dV_e_di+d_T3_dV_e_di);
d_vgd_eff_dV_e_si = 0.5*(d_T2_dV_e_si+d_T3_dV_e_si);
d_vgd_eff_dV_gi_si = 0.5*(d_T2_dV_gi_si+d_T3_dV_gi_si);
d_vgd_eff_dV_gi_e = 0.5*(d_T2_dV_gi_e+d_T3_dV_gi_e);
d_vgd_eff_dV_gi_si1 = 0.5*(d_T2_dV_gi_si1+d_T3_dV_gi_si1);
d_vgd_eff_dV_gi_di1 = 0.5*(d_T2_dV_gi_di1+d_T3_dV_gi_di1);
vgd_eff = (0.5*(T2+T3));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si =  0.0;
d_T4_dTemp_t_GND = PRWGD_i*d_vgd_eff_dTemp_t_GND;
d_T4_dV_di_si = PRWGD_i*d_vgd_eff_dV_di_si;
d_T4_dV_e_di = PRWGD_i*d_vgd_eff_dV_e_di;
d_T4_dV_e_si = PRWGD_i*d_vgd_eff_dV_e_si;
d_T4_dV_gi_si = PRWGD_i*d_vgd_eff_dV_gi_si;
d_T4_dV_gi_e = PRWGD_i*d_vgd_eff_dV_gi_e;
d_T4_dV_gi_si1 = PRWGD_i*d_vgd_eff_dV_gi_si1;
d_T4_dV_gi_di1 = PRWGD_i*d_vgd_eff_dV_gi_di1;
T4 = (1.0+(PRWGD_i*vgd_eff));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
d_T1_dV_gi_e = (-d_T4_dV_gi_e/T4/T4);
d_T1_dV_gi_si1 = (-d_T4_dV_gi_si1/T4/T4);
d_T1_dV_gi_di1 = (-d_T4_dV_gi_di1/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
d_T0_dV_gi_e = 0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1))));
d_T0_dV_gi_si1 = 0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1))));
d_T0_dV_gi_di1 = 0.5*(d_T1_dV_gi_di1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}
{
double value_pow_0 = pow((((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6),(0.5*(model_.PRDDR)));
double  deriv_pow_0_d0 = (((((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6) == 0.0)?0.0:(value_pow_0*(0.5*(model_.PRDDR))/(((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si =  0.0;
d_T5_dV_d_di1 = RDW_i*RDDR_a*(deriv_pow_0_d0*(((probeVars[admsProbeID_V_d_di1])*d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]+d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]*(probeVars[admsProbeID_V_d_di1]))));
d_T5_dV_di_si = RDW_i*d_RDDR_a_dV_di_si*value_pow_0;
d_T5_dTemp_t_GND = RDW_i*d_RDDR_a_dTemp_t_GND*value_pow_0;
T5 = (RDW_i*(1.0+(RDDR_a*value_pow_0)));
}

d_Rdrain_dV_gi_si1 = rdstemp*(T5*d_T0_dV_gi_si1+d_T5_dV_gi_si1*T0)*WeffWRFactor;
d_Rdrain_dV_gi_di1 = rdstemp*(T5*d_T0_dV_gi_di1+d_T5_dV_gi_di1*T0)*WeffWRFactor;
d_Rdrain_dV_gi_si = rdstemp*(T5*d_T0_dV_gi_si+d_T5_dV_gi_si*T0)*WeffWRFactor;
d_Rdrain_dV_e_di = rdstemp*(T5*d_T0_dV_e_di+d_T5_dV_e_di*T0)*WeffWRFactor;
d_Rdrain_dV_e_si = rdstemp*(T5*d_T0_dV_e_si+d_T5_dV_e_si*T0)*WeffWRFactor;
d_Rdrain_dV_di_si = rdstemp*(T5*d_T0_dV_di_si+d_T5_dV_di_si*T0)*WeffWRFactor;
d_Rdrain_dV_gi_e = rdstemp*(T5*d_T0_dV_gi_e+d_T5_dV_gi_e*T0)*WeffWRFactor;
d_Rdrain_dV_s_si1 = rdstemp*d_T5_dV_s_si1*T0*WeffWRFactor;
d_Rdrain_dV_d_di1 = rdstemp*d_T5_dV_d_di1*T0*WeffWRFactor;
d_Rdrain_dTemp_t_GND = (rdstemp*(T5*d_T0_dTemp_t_GND+d_T5_dTemp_t_GND*T0)*WeffWRFactor+d_rdstemp_dTemp_t_GND*(RDrainGeo+(((model_.RDWMIN)+(T5*T0))*WeffWRFactor)));
Rdrain = (rdstemp*(RDrainGeo+(((model_.RDWMIN)+(T5*T0))*WeffWRFactor)));
}
else
if ( (model_.RDSMOD) == (2))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qia_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qia_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qia_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qia_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qia_dV_di_si;
T4 = (1.0+(PRWGS_i*qia));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si =  0.0;
d_T1_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T1_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T1_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T1_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T1_dV_e_si = (-d_T4_dV_e_si/T4/T4);
d_T1_dV_gi_e = (-d_T4_dV_gi_e/T4/T4);
d_T1_dV_gi_si1 = (-d_T4_dV_gi_si1/T4/T4);
d_T1_dV_gi_di1 = (-d_T4_dV_gi_di1/T4/T4);
T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T1*T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si =  0.0;
d_T0_dTemp_t_GND = 0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1))));
d_T0_dV_di_si = 0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1))));
d_T0_dV_gi_si = 0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1))));
d_T0_dV_e_di = 0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1))));
d_T0_dV_e_si = 0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1))));
d_T0_dV_gi_e = 0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1))));
d_T0_dV_gi_si1 = 0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1))));
d_T0_dV_gi_di1 = 0.5*(d_T1_dV_gi_di1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1))));
T0 = (0.5*(T1+value_sqrt_0));
}

d_Rdsi_dV_di_si = rdstemp*RDSW_i*d_T0_dV_di_si*WeffWRFactor;
d_Rdsi_dV_gi_si = rdstemp*RDSW_i*d_T0_dV_gi_si*WeffWRFactor;
d_Rdsi_dV_e_di = rdstemp*RDSW_i*d_T0_dV_e_di*WeffWRFactor;
d_Rdsi_dV_e_si = rdstemp*RDSW_i*d_T0_dV_e_si*WeffWRFactor;
d_Rdsi_dV_gi_e = rdstemp*RDSW_i*d_T0_dV_gi_e*WeffWRFactor;
d_Rdsi_dV_gi_si1 = rdstemp*RDSW_i*d_T0_dV_gi_si1*WeffWRFactor;
d_Rdsi_dV_gi_di1 = rdstemp*RDSW_i*d_T0_dV_gi_di1*WeffWRFactor;
d_Rdsi_dTemp_t_GND = (rdstemp*RDSW_i*d_T0_dTemp_t_GND*WeffWRFactor+d_rdstemp_dTemp_t_GND*(((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)+RSourceGeo)+RDrainGeo));
Rdsi = (rdstemp*(((((model_.RDSWMIN)+(RDSW_i*T0))*WeffWRFactor)+RSourceGeo)+RDrainGeo));

d_Dr_dV_gi_si1 = (((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_gi_si1;
d_Dr_dV_gi_di1 = (((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_gi_di1;
d_Dr_dV_gi_e = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_gi_e+(-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_gi_e+d_Dmob_dV_gi_e*Dvsat)/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_gi_si = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_gi_si+(((Dmob*Dvsat)*(NFINtotal*beta)*d_ids0_ov_dqi_dV_gi_si-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_gi_si+d_Dmob_dV_gi_si*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_e_di = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_e_di+(((Dmob*Dvsat)*(NFINtotal*beta)*d_ids0_ov_dqi_dV_e_di-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_e_di+d_Dmob_dV_e_di*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_e_si = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_e_si+(((Dmob*Dvsat)*(NFINtotal*beta)*d_ids0_ov_dqi_dV_e_si-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_e_si+d_Dmob_dV_e_si*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dV_di_si = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dV_di_si+(((Dmob*Dvsat)*((NFINtotal*beta)*d_ids0_ov_dqi_dV_di_si+NFINtotal*d_beta_dV_di_si*ids0_ov_dqi)-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dV_di_si+d_Dmob_dV_di_si*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
d_Dr_dTemp_t_GND = ((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*d_Rdsi_dTemp_t_GND+(((Dmob*Dvsat)*((NFINtotal*beta)*d_ids0_ov_dqi_dTemp_t_GND+NFINtotal*d_beta_dTemp_t_GND*ids0_ov_dqi)-((NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dTemp_t_GND+d_Dmob_dTemp_t_GND*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*Rdsi);
Dr = (1.0+((((NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*Rdsi));

d_Rsource_dTemp_t_GND = d_Rsource_dV_s_si1 = d_Rsource_dV_gi_e = d_Rsource_dV_di_si = d_Rsource_dV_e_si = d_Rsource_dV_e_di = d_Rsource_dV_gi_si = d_Rsource_dV_gi_si1 =  0.0;
Rsource = 0.0;

d_Rdrain_dTemp_t_GND = d_Rdrain_dV_d_di1 = d_Rdrain_dV_s_si1 = d_Rdrain_dV_gi_e = d_Rdrain_dV_di_si = d_Rdrain_dV_e_si = d_Rdrain_dV_e_di = d_Rdrain_dV_gi_si = d_Rdrain_dV_gi_di1 = d_Rdrain_dV_gi_si1 =  0.0;
Rdrain = 0.0;
}
else
{
 // no default
}

d_ids_dV_gi_si1 = (-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*(Dmob*Dvsat)*d_Dr_dV_gi_si1/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dV_gi_di1 = (-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*(Dmob*Dvsat)*d_Dr_dV_gi_di1/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dV_gi_e = ((((Dmob*Dvsat)*Dr)*(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dV_gi_e+((((NFINtotal*beta)*ids0)*Moc)*d_Mnud_dV_gi_e+((NFINtotal*beta)*ids0)*d_Moc_dV_gi_e*Mnud)*Mob)-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*d_Dr_dV_gi_e+(Dmob*d_Dvsat_dV_gi_e+d_Dmob_dV_gi_e*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dV_gi_si = ((((Dmob*Dvsat)*Dr)*(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dV_gi_si+((((NFINtotal*beta)*ids0)*Moc)*d_Mnud_dV_gi_si+(((NFINtotal*beta)*ids0)*d_Moc_dV_gi_si+(NFINtotal*beta)*d_ids0_dV_gi_si*Moc)*Mnud)*Mob)-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*d_Dr_dV_gi_si+(Dmob*d_Dvsat_dV_gi_si+d_Dmob_dV_gi_si*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dV_e_di = ((((Dmob*Dvsat)*Dr)*(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dV_e_di+((((NFINtotal*beta)*ids0)*Moc)*d_Mnud_dV_e_di+(((NFINtotal*beta)*ids0)*d_Moc_dV_e_di+(NFINtotal*beta)*d_ids0_dV_e_di*Moc)*Mnud)*Mob)-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*d_Dr_dV_e_di+(Dmob*d_Dvsat_dV_e_di+d_Dmob_dV_e_di*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dV_e_si = ((((Dmob*Dvsat)*Dr)*(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dV_e_si+((((NFINtotal*beta)*ids0)*Moc)*d_Mnud_dV_e_si+(((NFINtotal*beta)*ids0)*d_Moc_dV_e_si+(NFINtotal*beta)*d_ids0_dV_e_si*Moc)*Mnud)*Mob)-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*d_Dr_dV_e_si+(Dmob*d_Dvsat_dV_e_si+d_Dmob_dV_e_si*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dV_di_si = ((((Dmob*Dvsat)*Dr)*(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dV_di_si+((((NFINtotal*beta)*ids0)*Moc)*d_Mnud_dV_di_si+(((NFINtotal*beta)*ids0)*d_Moc_dV_di_si+((NFINtotal*beta)*d_ids0_dV_di_si+NFINtotal*d_beta_dV_di_si*ids0)*Moc)*Mnud)*Mob)-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*d_Dr_dV_di_si+(Dmob*d_Dvsat_dV_di_si+d_Dmob_dV_di_si*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_ids_dTemp_t_GND = ((((Dmob*Dvsat)*Dr)*(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dTemp_t_GND+((((NFINtotal*beta)*ids0)*Moc)*d_Mnud_dTemp_t_GND+(((NFINtotal*beta)*ids0)*d_Moc_dTemp_t_GND+((NFINtotal*beta)*d_ids0_dTemp_t_GND+NFINtotal*d_beta_dTemp_t_GND*ids0)*Moc)*Mnud)*Mob)-(((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*d_Dr_dTemp_t_GND+(Dmob*d_Dvsat_dTemp_t_GND+d_Dmob_dTemp_t_GND*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
ids = ((((((NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)/((Dmob*Dvsat)*Dr));

d_ids_dV_gi_si1 = d_ids_dV_gi_si1*IDS0MULT;
d_ids_dV_gi_di1 = d_ids_dV_gi_di1*IDS0MULT;
d_ids_dV_gi_e = d_ids_dV_gi_e*IDS0MULT;
d_ids_dV_gi_si = d_ids_dV_gi_si*IDS0MULT;
d_ids_dV_e_di = d_ids_dV_e_di*IDS0MULT;
d_ids_dV_e_si = d_ids_dV_e_si*IDS0MULT;
d_ids_dV_di_si = d_ids_dV_di_si*IDS0MULT;
d_ids_dTemp_t_GND = d_ids_dTemp_t_GND*IDS0MULT;
ids = (ids*IDS0MULT);
if (((model_.CVMOD)==1))
{

d_T11_dV_gi_e = (-((2.0*qia_cv)+nVtm)*d_DvsatCV_dV_gi_e/DvsatCV/DvsatCV);
d_T11_dTemp_t_GND = ((DvsatCV*(2.0*d_qia_cv_dTemp_t_GND+d_nVtm_dTemp_t_GND)-((2.0*qia_cv)+nVtm)*d_DvsatCV_dTemp_t_GND)/DvsatCV/DvsatCV);
d_T11_dV_gi_si = ((DvsatCV*2.0*d_qia_cv_dV_gi_si-((2.0*qia_cv)+nVtm)*d_DvsatCV_dV_gi_si)/DvsatCV/DvsatCV);
d_T11_dV_e_di = ((DvsatCV*2.0*d_qia_cv_dV_e_di-((2.0*qia_cv)+nVtm)*d_DvsatCV_dV_e_di)/DvsatCV/DvsatCV);
d_T11_dV_e_si = ((DvsatCV*2.0*d_qia_cv_dV_e_si-((2.0*qia_cv)+nVtm)*d_DvsatCV_dV_e_si)/DvsatCV/DvsatCV);
d_T11_dV_di_si = ((DvsatCV*(2.0*d_qia_cv_dV_di_si+d_nVtm_dV_di_si)-((2.0*qia_cv)+nVtm)*d_DvsatCV_dV_di_si)/DvsatCV/DvsatCV);
T11 = (((2.0*qia_cv)+nVtm)/DvsatCV);

d_qg_dV_gi_e = (-(dqi_cv*dqi_cv)*6.0*d_T11_dV_gi_e/(6.0*T11)/(6.0*T11));
d_qg_dTemp_t_GND = (d_qia_cv_dTemp_t_GND+(((6.0*T11)*(dqi_cv*d_dqi_cv_dTemp_t_GND+d_dqi_cv_dTemp_t_GND*dqi_cv)-(dqi_cv*dqi_cv)*6.0*d_T11_dTemp_t_GND)/(6.0*T11)/(6.0*T11)));
d_qg_dV_gi_si = (d_qia_cv_dV_gi_si+(((6.0*T11)*(dqi_cv*d_dqi_cv_dV_gi_si+d_dqi_cv_dV_gi_si*dqi_cv)-(dqi_cv*dqi_cv)*6.0*d_T11_dV_gi_si)/(6.0*T11)/(6.0*T11)));
d_qg_dV_e_di = (d_qia_cv_dV_e_di+(((6.0*T11)*(dqi_cv*d_dqi_cv_dV_e_di+d_dqi_cv_dV_e_di*dqi_cv)-(dqi_cv*dqi_cv)*6.0*d_T11_dV_e_di)/(6.0*T11)/(6.0*T11)));
d_qg_dV_e_si = (d_qia_cv_dV_e_si+(((6.0*T11)*(dqi_cv*d_dqi_cv_dV_e_si+d_dqi_cv_dV_e_si*dqi_cv)-(dqi_cv*dqi_cv)*6.0*d_T11_dV_e_si)/(6.0*T11)/(6.0*T11)));
d_qg_dV_di_si = (d_qia_cv_dV_di_si+(((6.0*T11)*(dqi_cv*d_dqi_cv_dV_di_si+d_dqi_cv_dV_di_si*dqi_cv)-(dqi_cv*dqi_cv)*6.0*d_T11_dV_di_si)/(6.0*T11)/(6.0*T11)));
qg = (qia_cv+((dqi_cv*dqi_cv)/(6.0*T11)));

d_qd_dV_gi_e = (-0.5)*(-(dqi_cv/6.0)*(-((dqi_cv/T11)*(-dqi_cv*5.0*d_T11_dV_gi_e/(5.0*T11)/(5.0*T11))+(-dqi_cv*d_T11_dV_gi_e/T11/T11)*(1.0+(dqi_cv/(5.0*T11))))));
d_qd_dTemp_t_GND = (-0.5)*(d_qia_cv_dTemp_t_GND-((dqi_cv/6.0)*(-((dqi_cv/T11)*(((5.0*T11)*d_dqi_cv_dTemp_t_GND-dqi_cv*5.0*d_T11_dTemp_t_GND)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_cv_dTemp_t_GND-dqi_cv*d_T11_dTemp_t_GND)/T11/T11)*(1.0+(dqi_cv/(5.0*T11)))))+(d_dqi_cv_dTemp_t_GND/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11)))))));
d_qd_dV_gi_si = (-0.5)*(d_qia_cv_dV_gi_si-((dqi_cv/6.0)*(-((dqi_cv/T11)*(((5.0*T11)*d_dqi_cv_dV_gi_si-dqi_cv*5.0*d_T11_dV_gi_si)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_cv_dV_gi_si-dqi_cv*d_T11_dV_gi_si)/T11/T11)*(1.0+(dqi_cv/(5.0*T11)))))+(d_dqi_cv_dV_gi_si/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11)))))));
d_qd_dV_e_di = (-0.5)*(d_qia_cv_dV_e_di-((dqi_cv/6.0)*(-((dqi_cv/T11)*(((5.0*T11)*d_dqi_cv_dV_e_di-dqi_cv*5.0*d_T11_dV_e_di)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_cv_dV_e_di-dqi_cv*d_T11_dV_e_di)/T11/T11)*(1.0+(dqi_cv/(5.0*T11)))))+(d_dqi_cv_dV_e_di/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11)))))));
d_qd_dV_e_si = (-0.5)*(d_qia_cv_dV_e_si-((dqi_cv/6.0)*(-((dqi_cv/T11)*(((5.0*T11)*d_dqi_cv_dV_e_si-dqi_cv*5.0*d_T11_dV_e_si)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_cv_dV_e_si-dqi_cv*d_T11_dV_e_si)/T11/T11)*(1.0+(dqi_cv/(5.0*T11)))))+(d_dqi_cv_dV_e_si/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11)))))));
d_qd_dV_di_si = (-0.5)*(d_qia_cv_dV_di_si-((dqi_cv/6.0)*(-((dqi_cv/T11)*(((5.0*T11)*d_dqi_cv_dV_di_si-dqi_cv*5.0*d_T11_dV_di_si)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_cv_dV_di_si-dqi_cv*d_T11_dV_di_si)/T11/T11)*(1.0+(dqi_cv/(5.0*T11)))))+(d_dqi_cv_dV_di_si/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11)))))));
qd = ((-0.5)*(qia_cv-((dqi_cv/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11))))))));
}
else
{

d_T11_dV_gi_e = (-((2.0*qia)+nVtm)*d_DvsatCV_dV_gi_e/DvsatCV/DvsatCV);
d_T11_dTemp_t_GND = ((DvsatCV*(2.0*d_qia_dTemp_t_GND+d_nVtm_dTemp_t_GND)-((2.0*qia)+nVtm)*d_DvsatCV_dTemp_t_GND)/DvsatCV/DvsatCV);
d_T11_dV_gi_si = ((DvsatCV*2.0*d_qia_dV_gi_si-((2.0*qia)+nVtm)*d_DvsatCV_dV_gi_si)/DvsatCV/DvsatCV);
d_T11_dV_e_di = ((DvsatCV*2.0*d_qia_dV_e_di-((2.0*qia)+nVtm)*d_DvsatCV_dV_e_di)/DvsatCV/DvsatCV);
d_T11_dV_e_si = ((DvsatCV*2.0*d_qia_dV_e_si-((2.0*qia)+nVtm)*d_DvsatCV_dV_e_si)/DvsatCV/DvsatCV);
d_T11_dV_di_si = ((DvsatCV*(2.0*d_qia_dV_di_si+d_nVtm_dV_di_si)-((2.0*qia)+nVtm)*d_DvsatCV_dV_di_si)/DvsatCV/DvsatCV);
T11 = (((2.0*qia)+nVtm)/DvsatCV);

d_qg_dV_gi_e = (-(dqi*dqi)*6.0*d_T11_dV_gi_e/(6.0*T11)/(6.0*T11));
d_qg_dTemp_t_GND = (d_qia_dTemp_t_GND+(((6.0*T11)*(dqi*d_dqi_dTemp_t_GND+d_dqi_dTemp_t_GND*dqi)-(dqi*dqi)*6.0*d_T11_dTemp_t_GND)/(6.0*T11)/(6.0*T11)));
d_qg_dV_gi_si = (d_qia_dV_gi_si+(((6.0*T11)*(dqi*d_dqi_dV_gi_si+d_dqi_dV_gi_si*dqi)-(dqi*dqi)*6.0*d_T11_dV_gi_si)/(6.0*T11)/(6.0*T11)));
d_qg_dV_e_di = (d_qia_dV_e_di+(((6.0*T11)*(dqi*d_dqi_dV_e_di+d_dqi_dV_e_di*dqi)-(dqi*dqi)*6.0*d_T11_dV_e_di)/(6.0*T11)/(6.0*T11)));
d_qg_dV_e_si = (d_qia_dV_e_si+(((6.0*T11)*(dqi*d_dqi_dV_e_si+d_dqi_dV_e_si*dqi)-(dqi*dqi)*6.0*d_T11_dV_e_si)/(6.0*T11)/(6.0*T11)));
d_qg_dV_di_si = (d_qia_dV_di_si+(((6.0*T11)*(dqi*d_dqi_dV_di_si+d_dqi_dV_di_si*dqi)-(dqi*dqi)*6.0*d_T11_dV_di_si)/(6.0*T11)/(6.0*T11)));
qg = (qia+((dqi*dqi)/(6.0*T11)));

d_qd_dV_gi_e = (-0.5)*(-(dqi/6.0)*(-((dqi/T11)*(-dqi*5.0*d_T11_dV_gi_e/(5.0*T11)/(5.0*T11))+(-dqi*d_T11_dV_gi_e/T11/T11)*(1.0+(dqi/(5.0*T11))))));
d_qd_dTemp_t_GND = (-0.5)*(d_qia_dTemp_t_GND-((dqi/6.0)*(-((dqi/T11)*(((5.0*T11)*d_dqi_dTemp_t_GND-dqi*5.0*d_T11_dTemp_t_GND)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_dTemp_t_GND-dqi*d_T11_dTemp_t_GND)/T11/T11)*(1.0+(dqi/(5.0*T11)))))+(d_dqi_dTemp_t_GND/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11)))))));
d_qd_dV_gi_si = (-0.5)*(d_qia_dV_gi_si-((dqi/6.0)*(-((dqi/T11)*(((5.0*T11)*d_dqi_dV_gi_si-dqi*5.0*d_T11_dV_gi_si)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_dV_gi_si-dqi*d_T11_dV_gi_si)/T11/T11)*(1.0+(dqi/(5.0*T11)))))+(d_dqi_dV_gi_si/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11)))))));
d_qd_dV_e_di = (-0.5)*(d_qia_dV_e_di-((dqi/6.0)*(-((dqi/T11)*(((5.0*T11)*d_dqi_dV_e_di-dqi*5.0*d_T11_dV_e_di)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_dV_e_di-dqi*d_T11_dV_e_di)/T11/T11)*(1.0+(dqi/(5.0*T11)))))+(d_dqi_dV_e_di/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11)))))));
d_qd_dV_e_si = (-0.5)*(d_qia_dV_e_si-((dqi/6.0)*(-((dqi/T11)*(((5.0*T11)*d_dqi_dV_e_si-dqi*5.0*d_T11_dV_e_si)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_dV_e_si-dqi*d_T11_dV_e_si)/T11/T11)*(1.0+(dqi/(5.0*T11)))))+(d_dqi_dV_e_si/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11)))))));
d_qd_dV_di_si = (-0.5)*(d_qia_dV_di_si-((dqi/6.0)*(-((dqi/T11)*(((5.0*T11)*d_dqi_dV_di_si-dqi*5.0*d_T11_dV_di_si)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_dV_di_si-dqi*d_T11_dV_di_si)/T11/T11)*(1.0+(dqi/(5.0*T11)))))+(d_dqi_dV_di_si/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11)))))));
qd = ((-0.5)*(qia-((dqi/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11))))))));
}

d_inv_MclmCV_dV_gi_e = (-d_MclmCV_dV_gi_e/MclmCV/MclmCV);
d_inv_MclmCV_dTemp_t_GND = (-d_MclmCV_dTemp_t_GND/MclmCV/MclmCV);
d_inv_MclmCV_dV_gi_si = (-d_MclmCV_dV_gi_si/MclmCV/MclmCV);
d_inv_MclmCV_dV_e_di = (-d_MclmCV_dV_e_di/MclmCV/MclmCV);
d_inv_MclmCV_dV_e_si = (-d_MclmCV_dV_e_si/MclmCV/MclmCV);
d_inv_MclmCV_dV_di_si = (-d_MclmCV_dV_di_si/MclmCV/MclmCV);
inv_MclmCV = (1.0/MclmCV);

d_qg_dV_gi_e = ((inv_MclmCV*d_qg_dV_gi_e+d_inv_MclmCV_dV_gi_e*qg)+d_MclmCV_dV_gi_e*qid);
d_qg_dTemp_t_GND = ((inv_MclmCV*d_qg_dTemp_t_GND+d_inv_MclmCV_dTemp_t_GND*qg)+((MclmCV-1.0)*d_qid_dTemp_t_GND+d_MclmCV_dTemp_t_GND*qid));
d_qg_dV_gi_si = ((inv_MclmCV*d_qg_dV_gi_si+d_inv_MclmCV_dV_gi_si*qg)+((MclmCV-1.0)*d_qid_dV_gi_si+d_MclmCV_dV_gi_si*qid));
d_qg_dV_e_di = ((inv_MclmCV*d_qg_dV_e_di+d_inv_MclmCV_dV_e_di*qg)+((MclmCV-1.0)*d_qid_dV_e_di+d_MclmCV_dV_e_di*qid));
d_qg_dV_e_si = ((inv_MclmCV*d_qg_dV_e_si+d_inv_MclmCV_dV_e_si*qg)+((MclmCV-1.0)*d_qid_dV_e_si+d_MclmCV_dV_e_si*qid));
d_qg_dV_di_si = ((inv_MclmCV*d_qg_dV_di_si+d_inv_MclmCV_dV_di_si*qg)+((MclmCV-1.0)*d_qid_dV_di_si+d_MclmCV_dV_di_si*qid));
qg = ((inv_MclmCV*qg)+((MclmCV-1.0)*qid));

d_qd_dV_gi_e = (((inv_MclmCV*inv_MclmCV)*d_qd_dV_gi_e+(inv_MclmCV*d_inv_MclmCV_dV_gi_e+d_inv_MclmCV_dV_gi_e*inv_MclmCV)*qd)+0.5*(d_MclmCV_dV_gi_e-d_inv_MclmCV_dV_gi_e)*qid);
d_qd_dTemp_t_GND = (((inv_MclmCV*inv_MclmCV)*d_qd_dTemp_t_GND+(inv_MclmCV*d_inv_MclmCV_dTemp_t_GND+d_inv_MclmCV_dTemp_t_GND*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*d_qid_dTemp_t_GND+0.5*(d_MclmCV_dTemp_t_GND-d_inv_MclmCV_dTemp_t_GND)*qid));
d_qd_dV_gi_si = (((inv_MclmCV*inv_MclmCV)*d_qd_dV_gi_si+(inv_MclmCV*d_inv_MclmCV_dV_gi_si+d_inv_MclmCV_dV_gi_si*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*d_qid_dV_gi_si+0.5*(d_MclmCV_dV_gi_si-d_inv_MclmCV_dV_gi_si)*qid));
d_qd_dV_e_di = (((inv_MclmCV*inv_MclmCV)*d_qd_dV_e_di+(inv_MclmCV*d_inv_MclmCV_dV_e_di+d_inv_MclmCV_dV_e_di*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*d_qid_dV_e_di+0.5*(d_MclmCV_dV_e_di-d_inv_MclmCV_dV_e_di)*qid));
d_qd_dV_e_si = (((inv_MclmCV*inv_MclmCV)*d_qd_dV_e_si+(inv_MclmCV*d_inv_MclmCV_dV_e_si+d_inv_MclmCV_dV_e_si*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*d_qid_dV_e_si+0.5*(d_MclmCV_dV_e_si-d_inv_MclmCV_dV_e_si)*qid));
d_qd_dV_di_si = (((inv_MclmCV*inv_MclmCV)*d_qd_dV_di_si+(inv_MclmCV*d_inv_MclmCV_dV_di_si+d_inv_MclmCV_dV_di_si*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*d_qid_dV_di_si+0.5*(d_MclmCV_dV_di_si-d_inv_MclmCV_dV_di_si)*qid));
qd = (((inv_MclmCV*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*qid));
if (((model_.NQSMOD)==2))
{

d_xdpart_dV_gi_e = ((qg*d_qd_dV_gi_e-qd*d_qg_dV_gi_e)/qg/qg);
d_xdpart_dTemp_t_GND = ((qg*d_qd_dTemp_t_GND-qd*d_qg_dTemp_t_GND)/qg/qg);
d_xdpart_dV_gi_si = ((qg*d_qd_dV_gi_si-qd*d_qg_dV_gi_si)/qg/qg);
d_xdpart_dV_e_di = ((qg*d_qd_dV_e_di-qd*d_qg_dV_e_di)/qg/qg);
d_xdpart_dV_e_si = ((qg*d_qd_dV_e_si-qd*d_qg_dV_e_si)/qg/qg);
d_xdpart_dV_di_si = ((qg*d_qd_dV_di_si-qd*d_qg_dV_di_si)/qg/qg);
xdpart = (qd/qg);
}
else
{

d_xdpart_dV_di_si = d_xdpart_dV_e_si = d_xdpart_dV_e_di = d_xdpart_dV_gi_si = d_xdpart_dTemp_t_GND = d_xdpart_dV_gi_e =  0.0;
xdpart = 0.0;
}

d_qs_dV_gi_di1 = d_qs_dV_gi_si1 =  0.0;
d_qs_dV_gi_e = ((-d_qg_dV_gi_e)-d_qd_dV_gi_e);
d_qs_dTemp_t_GND = ((-d_qg_dTemp_t_GND)-d_qd_dTemp_t_GND);
d_qs_dV_gi_si = ((-d_qg_dV_gi_si)-d_qd_dV_gi_si);
d_qs_dV_e_di = ((-d_qg_dV_e_di)-d_qd_dV_e_di);
d_qs_dV_e_si = ((-d_qg_dV_e_si)-d_qd_dV_e_si);
d_qs_dV_di_si = ((-d_qg_dV_di_si)-d_qd_dV_di_si);
qs = ((-qg)-qd);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dTemp_t_GND = ((NFINtotal*WeffCV0)*LeffCV)*d_coxeff_dTemp_t_GND;
d_T6_dV_gi_si = ((NFINtotal*WeffCV0)*LeffCV)*d_coxeff_dV_gi_si;
d_T6_dV_e_di = ((NFINtotal*WeffCV0)*LeffCV)*d_coxeff_dV_e_di;
d_T6_dV_e_si = ((NFINtotal*WeffCV0)*LeffCV)*d_coxeff_dV_e_si;
d_T6_dV_di_si = ((NFINtotal*WeffCV0)*LeffCV)*d_coxeff_dV_di_si;
d_T6_dV_gi_e = ((NFINtotal*WeffCV0)*LeffCV)*d_coxeff_dV_gi_e;
T6 = (((NFINtotal*WeffCV0)*LeffCV)*coxeff);

d_qg_dTemp_t_GND = (T6*d_qg_dTemp_t_GND+d_T6_dTemp_t_GND*qg);
d_qg_dV_gi_si = (T6*d_qg_dV_gi_si+d_T6_dV_gi_si*qg);
d_qg_dV_e_di = (T6*d_qg_dV_e_di+d_T6_dV_e_di*qg);
d_qg_dV_e_si = (T6*d_qg_dV_e_si+d_T6_dV_e_si*qg);
d_qg_dV_di_si = (T6*d_qg_dV_di_si+d_T6_dV_di_si*qg);
d_qg_dV_gi_e = (T6*d_qg_dV_gi_e+d_T6_dV_gi_e*qg);
qg = (T6*qg);

d_qd_dTemp_t_GND = (T6*d_qd_dTemp_t_GND+d_T6_dTemp_t_GND*qd);
d_qd_dV_gi_si = (T6*d_qd_dV_gi_si+d_T6_dV_gi_si*qd);
d_qd_dV_e_di = (T6*d_qd_dV_e_di+d_T6_dV_e_di*qd);
d_qd_dV_e_si = (T6*d_qd_dV_e_si+d_T6_dV_e_si*qd);
d_qd_dV_di_si = (T6*d_qd_dV_di_si+d_T6_dV_di_si*qd);
d_qd_dV_gi_e = (T6*d_qd_dV_gi_e+d_T6_dV_gi_e*qd);
qd = (T6*qd);

d_qs_dV_gi_di1 = d_qs_dV_gi_si1 =  0.0;
d_qs_dTemp_t_GND = (T6*d_qs_dTemp_t_GND+d_T6_dTemp_t_GND*qs);
d_qs_dV_gi_si = (T6*d_qs_dV_gi_si+d_T6_dV_gi_si*qs);
d_qs_dV_e_di = (T6*d_qs_dV_e_di+d_T6_dV_e_di*qs);
d_qs_dV_e_si = (T6*d_qs_dV_e_si+d_T6_dV_e_si*qs);
d_qs_dV_di_si = (T6*d_qs_dV_di_si+d_T6_dV_di_si*qs);
d_qs_dV_gi_e = (T6*d_qs_dV_gi_e+d_T6_dV_gi_e*qs);
qs = (T6*qs);

d_qinv_dV_gi_e = d_qg_dV_gi_e;
d_qinv_dTemp_t_GND = d_qg_dTemp_t_GND;
d_qinv_dV_gi_si = d_qg_dV_gi_si;
d_qinv_dV_e_di = d_qg_dV_e_di;
d_qinv_dV_e_si = d_qg_dV_e_si;
d_qinv_dV_di_si = d_qg_dV_di_si;
qinv = qg;
if (((model_.BULKMOD)!=0))
{
if (((model_.GEOMOD)==5))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dTemp_t_GND = ((NFINtotal*WeffCV_acc)*LeffCV_acc)*d_cox_acc_dTemp_t_GND;
d_T1_dV_gi_si = ((NFINtotal*WeffCV_acc)*LeffCV_acc)*d_cox_acc_dV_gi_si;
d_T1_dV_e_di = ((NFINtotal*WeffCV_acc)*LeffCV_acc)*d_cox_acc_dV_e_di;
d_T1_dV_e_si = ((NFINtotal*WeffCV_acc)*LeffCV_acc)*d_cox_acc_dV_e_si;
d_T1_dV_di_si = ((NFINtotal*WeffCV_acc)*LeffCV_acc)*d_cox_acc_dV_di_si;
d_T1_dV_gi_e = ((NFINtotal*WeffCV_acc)*LeffCV_acc)*d_cox_acc_dV_gi_e;
T1 = (((NFINtotal*WeffCV_acc)*LeffCV_acc)*cox_acc);
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dTemp_t_GND = ((NFINtotal*WeffCV0)*LeffCV_acc)*d_cox_acc_dTemp_t_GND;
d_T1_dV_gi_si = ((NFINtotal*WeffCV0)*LeffCV_acc)*d_cox_acc_dV_gi_si;
d_T1_dV_e_di = ((NFINtotal*WeffCV0)*LeffCV_acc)*d_cox_acc_dV_e_di;
d_T1_dV_e_si = ((NFINtotal*WeffCV0)*LeffCV_acc)*d_cox_acc_dV_e_si;
d_T1_dV_di_si = ((NFINtotal*WeffCV0)*LeffCV_acc)*d_cox_acc_dV_di_si;
d_T1_dV_gi_e = ((NFINtotal*WeffCV0)*LeffCV_acc)*d_cox_acc_dV_gi_e;
T1 = (((NFINtotal*WeffCV0)*LeffCV_acc)*cox_acc);
}

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 =  0.0;
d_T7_dV_gi_si = d_qi_acc_for_QM_dV_gi_si;
d_T7_dV_e_di = d_qi_acc_for_QM_dV_e_di;
d_T7_dV_e_si = d_qi_acc_for_QM_dV_e_si;
d_T7_dV_gi_e = d_qi_acc_for_QM_dV_gi_e;
d_T7_dV_di_si = d_qi_acc_for_QM_dV_di_si;
d_T7_dTemp_t_GND = d_qi_acc_for_QM_dTemp_t_GND;
T7 = qi_acc_for_QM;

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 =  0.0;
d_T10_dV_gi_si1 = (T7*d_T1_dV_gi_si1+d_T7_dV_gi_si1*T1);
d_T10_dV_gi_di1 = (T7*d_T1_dV_gi_di1+d_T7_dV_gi_di1*T1);
d_T10_dTemp_t_GND = (T7*d_T1_dTemp_t_GND+d_T7_dTemp_t_GND*T1);
d_T10_dV_gi_si = (T7*d_T1_dV_gi_si+d_T7_dV_gi_si*T1);
d_T10_dV_e_di = (T7*d_T1_dV_e_di+d_T7_dV_e_di*T1);
d_T10_dV_e_si = (T7*d_T1_dV_e_si+d_T7_dV_e_si*T1);
d_T10_dV_di_si = (T7*d_T1_dV_di_si+d_T7_dV_di_si*T1);
d_T10_dV_gi_e = (T7*d_T1_dV_gi_e+d_T7_dV_gi_e*T1);
T10 = (T7*T1);

d_qg_acc_dTemp_t_GND = (-d_T10_dTemp_t_GND);
d_qg_acc_dV_di_si = (-d_T10_dV_di_si);
d_qg_acc_dV_gi_si = (-d_T10_dV_gi_si);
d_qg_acc_dV_e_di = (-d_T10_dV_e_di);
d_qg_acc_dV_e_si = (-d_T10_dV_e_si);
d_qg_acc_dV_gi_e = (-d_T10_dV_gi_e);
d_qg_acc_dV_gi_si1 = (-d_T10_dV_gi_si1);
d_qg_acc_dV_gi_di1 = (-d_T10_dV_gi_di1);
qg_acc = (-T10);

d_qb_acc_dTemp_t_GND = d_T10_dTemp_t_GND;
d_qb_acc_dV_di_si = d_T10_dV_di_si;
d_qb_acc_dV_gi_si = d_T10_dV_gi_si;
d_qb_acc_dV_e_di = d_T10_dV_e_di;
d_qb_acc_dV_e_si = d_T10_dV_e_si;
d_qb_acc_dV_gi_e = d_T10_dV_gi_e;
d_qb_acc_dV_gi_si1 = d_T10_dV_gi_si1;
d_qb_acc_dV_gi_di1 = d_T10_dV_gi_di1;
qb_acc = T10;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (((NFINtotal*WeffCV0)*LeffCV)*cox);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 =  0.0;
d_T2_dV_gi_si = (d_qba_dV_gi_si-d_qi_acc_for_QM_dV_gi_si);
d_T2_dV_e_di = (d_qba_dV_e_di-d_qi_acc_for_QM_dV_e_di);
d_T2_dV_e_si = (d_qba_dV_e_si-d_qi_acc_for_QM_dV_e_si);
d_T2_dV_gi_e = (d_qba_dV_gi_e-d_qi_acc_for_QM_dV_gi_e);
d_T2_dV_di_si = (d_qba_dV_di_si-d_qi_acc_for_QM_dV_di_si);
d_T2_dTemp_t_GND = (d_qba_dTemp_t_GND-d_qi_acc_for_QM_dTemp_t_GND);
T2 = (qba-qi_acc_for_QM);

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 =  0.0;
d_T10_dTemp_t_GND = (T1*d_T2_dTemp_t_GND+d_T1_dTemp_t_GND*T2);
d_T10_dV_di_si = (T1*d_T2_dV_di_si+d_T1_dV_di_si*T2);
d_T10_dV_gi_si = (T1*d_T2_dV_gi_si+d_T1_dV_gi_si*T2);
d_T10_dV_e_di = (T1*d_T2_dV_e_di+d_T1_dV_e_di*T2);
d_T10_dV_e_si = (T1*d_T2_dV_e_si+d_T1_dV_e_si*T2);
d_T10_dV_gi_e = (T1*d_T2_dV_gi_e+d_T1_dV_gi_e*T2);
d_T10_dV_gi_si1 = (T1*d_T2_dV_gi_si1+d_T1_dV_gi_si1*T2);
d_T10_dV_gi_di1 = (T1*d_T2_dV_gi_di1+d_T1_dV_gi_di1*T2);
T10 = (T1*T2);

d_qg_acc_dTemp_t_GND = (d_qg_acc_dTemp_t_GND-d_T10_dTemp_t_GND);
d_qg_acc_dV_di_si = (d_qg_acc_dV_di_si-d_T10_dV_di_si);
d_qg_acc_dV_gi_si = (d_qg_acc_dV_gi_si-d_T10_dV_gi_si);
d_qg_acc_dV_e_di = (d_qg_acc_dV_e_di-d_T10_dV_e_di);
d_qg_acc_dV_e_si = (d_qg_acc_dV_e_si-d_T10_dV_e_si);
d_qg_acc_dV_gi_e = (d_qg_acc_dV_gi_e-d_T10_dV_gi_e);
d_qg_acc_dV_gi_si1 = (d_qg_acc_dV_gi_si1-d_T10_dV_gi_si1);
d_qg_acc_dV_gi_di1 = (d_qg_acc_dV_gi_di1-d_T10_dV_gi_di1);
qg_acc = (qg_acc-T10);

d_qb_acc_dTemp_t_GND = (d_qb_acc_dTemp_t_GND+d_T10_dTemp_t_GND);
d_qb_acc_dV_di_si = (d_qb_acc_dV_di_si+d_T10_dV_di_si);
d_qb_acc_dV_gi_si = (d_qb_acc_dV_gi_si+d_T10_dV_gi_si);
d_qb_acc_dV_e_di = (d_qb_acc_dV_e_di+d_T10_dV_e_di);
d_qb_acc_dV_e_si = (d_qb_acc_dV_e_si+d_T10_dV_e_si);
d_qb_acc_dV_gi_e = (d_qb_acc_dV_gi_e+d_T10_dV_gi_e);
d_qb_acc_dV_gi_si1 = (d_qb_acc_dV_gi_si1+d_T10_dV_gi_si1);
d_qb_acc_dV_gi_di1 = (d_qb_acc_dV_gi_di1+d_T10_dV_gi_di1);
qb_acc = (qb_acc+T10);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (((NFINtotal*WeffCV0)*LeffCV)*cox);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 =  0.0;
d_T2_dV_gi_si = (((nq-1.0)*0.5)*(d_qia_dV_gi_si+(((6.0*T11)*(dqi*d_dqi_dV_gi_si+d_dqi_dV_gi_si*dqi)-(dqi*dqi)*6.0*d_T11_dV_gi_si)/(6.0*T11)/(6.0*T11)))+d_nq_dV_gi_si*0.5*(qia+((dqi*dqi)/(6.0*T11))));
d_T2_dV_e_di = (((nq-1.0)*0.5)*(d_qia_dV_e_di+(((6.0*T11)*(dqi*d_dqi_dV_e_di+d_dqi_dV_e_di*dqi)-(dqi*dqi)*6.0*d_T11_dV_e_di)/(6.0*T11)/(6.0*T11)))+d_nq_dV_e_di*0.5*(qia+((dqi*dqi)/(6.0*T11))));
d_T2_dV_e_si = (((nq-1.0)*0.5)*(d_qia_dV_e_si+(((6.0*T11)*(dqi*d_dqi_dV_e_si+d_dqi_dV_e_si*dqi)-(dqi*dqi)*6.0*d_T11_dV_e_si)/(6.0*T11)/(6.0*T11)))+d_nq_dV_e_si*0.5*(qia+((dqi*dqi)/(6.0*T11))));
d_T2_dV_gi_e = (((nq-1.0)*0.5)*(-(dqi*dqi)*6.0*d_T11_dV_gi_e/(6.0*T11)/(6.0*T11))+d_nq_dV_gi_e*0.5*(qia+((dqi*dqi)/(6.0*T11))));
d_T2_dV_di_si = (((nq-1.0)*0.5)*(d_qia_dV_di_si+(((6.0*T11)*(dqi*d_dqi_dV_di_si+d_dqi_dV_di_si*dqi)-(dqi*dqi)*6.0*d_T11_dV_di_si)/(6.0*T11)/(6.0*T11)))+d_nq_dV_di_si*0.5*(qia+((dqi*dqi)/(6.0*T11))));
d_T2_dTemp_t_GND = (((nq-1.0)*0.5)*(d_qia_dTemp_t_GND+(((6.0*T11)*(dqi*d_dqi_dTemp_t_GND+d_dqi_dTemp_t_GND*dqi)-(dqi*dqi)*6.0*d_T11_dTemp_t_GND)/(6.0*T11)/(6.0*T11)))+d_nq_dTemp_t_GND*0.5*(qia+((dqi*dqi)/(6.0*T11))));
T2 = (((nq-1.0)*0.5)*(qia+((dqi*dqi)/(6.0*T11))));

d_T10_dV_ge_e = d_T10_dV_gi_di = d_T10_dV_ge_di = d_T10_dV_ge_si = d_T10_dV_d_di1 = d_T10_dV_s_si1 =  0.0;
d_T10_dTemp_t_GND = (T1*d_T2_dTemp_t_GND+d_T1_dTemp_t_GND*T2);
d_T10_dV_di_si = (T1*d_T2_dV_di_si+d_T1_dV_di_si*T2);
d_T10_dV_gi_si = (T1*d_T2_dV_gi_si+d_T1_dV_gi_si*T2);
d_T10_dV_e_di = (T1*d_T2_dV_e_di+d_T1_dV_e_di*T2);
d_T10_dV_e_si = (T1*d_T2_dV_e_si+d_T1_dV_e_si*T2);
d_T10_dV_gi_e = (T1*d_T2_dV_gi_e+d_T1_dV_gi_e*T2);
d_T10_dV_gi_si1 = (T1*d_T2_dV_gi_si1+d_T1_dV_gi_si1*T2);
d_T10_dV_gi_di1 = (T1*d_T2_dV_gi_di1+d_T1_dV_gi_di1*T2);
T10 = (T1*T2);

d_qg_acc_dTemp_t_GND = (d_qg_acc_dTemp_t_GND-d_T10_dTemp_t_GND);
d_qg_acc_dV_di_si = (d_qg_acc_dV_di_si-d_T10_dV_di_si);
d_qg_acc_dV_gi_si = (d_qg_acc_dV_gi_si-d_T10_dV_gi_si);
d_qg_acc_dV_e_di = (d_qg_acc_dV_e_di-d_T10_dV_e_di);
d_qg_acc_dV_e_si = (d_qg_acc_dV_e_si-d_T10_dV_e_si);
d_qg_acc_dV_gi_e = (d_qg_acc_dV_gi_e-d_T10_dV_gi_e);
d_qg_acc_dV_gi_si1 = (d_qg_acc_dV_gi_si1-d_T10_dV_gi_si1);
d_qg_acc_dV_gi_di1 = (d_qg_acc_dV_gi_di1-d_T10_dV_gi_di1);
qg_acc = (qg_acc-T10);

d_qb_acc_dTemp_t_GND = (d_qb_acc_dTemp_t_GND+d_T10_dTemp_t_GND);
d_qb_acc_dV_di_si = (d_qb_acc_dV_di_si+d_T10_dV_di_si);
d_qb_acc_dV_gi_si = (d_qb_acc_dV_gi_si+d_T10_dV_gi_si);
d_qb_acc_dV_e_di = (d_qb_acc_dV_e_di+d_T10_dV_e_di);
d_qb_acc_dV_e_si = (d_qb_acc_dV_e_si+d_T10_dV_e_si);
d_qb_acc_dV_gi_e = (d_qb_acc_dV_gi_e+d_T10_dV_gi_e);
d_qb_acc_dV_gi_si1 = (d_qb_acc_dV_gi_si1+d_T10_dV_gi_si1);
d_qb_acc_dV_gi_di1 = (d_qb_acc_dV_gi_di1+d_T10_dV_gi_di1);
qb_acc = (qb_acc+T10);
}
if ((sigvds<0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 =  0.0;
d_T1_dV_gi_e = d_qd_dV_gi_e;
d_T1_dTemp_t_GND = d_qd_dTemp_t_GND;
d_T1_dV_gi_si = d_qd_dV_gi_si;
d_T1_dV_e_di = d_qd_dV_e_di;
d_T1_dV_e_si = d_qd_dV_e_si;
d_T1_dV_di_si = d_qd_dV_di_si;
T1 = qd;

d_qd_dV_gi_e = d_qs_dV_gi_e;
d_qd_dTemp_t_GND = d_qs_dTemp_t_GND;
d_qd_dV_gi_si = d_qs_dV_gi_si;
d_qd_dV_e_di = d_qs_dV_e_di;
d_qd_dV_e_si = d_qs_dV_e_si;
d_qd_dV_di_si = d_qs_dV_di_si;
qd = qs;

d_qs_dTemp_t_GND = d_T1_dTemp_t_GND;
d_qs_dV_di_si = d_T1_dV_di_si;
d_qs_dV_gi_si = d_T1_dV_gi_si;
d_qs_dV_e_di = d_T1_dV_e_di;
d_qs_dV_e_si = d_T1_dV_e_si;
d_qs_dV_gi_e = d_T1_dV_gi_e;
d_qs_dV_gi_si1 = d_T1_dV_gi_si1;
d_qs_dV_gi_di1 = d_T1_dV_gi_di1;
qs = T1;
}
if (((model_.CGEOMOD)!=1))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = ((NFINtotal*WeffCV0)*devsign);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
d_T2_dV_ge_si = devsign*d_probeVars[admsProbeID_V_ge_si][admsProbeID_V_ge_si];
T2 = (devsign*(probeVars[admsProbeID_V_ge_si]));

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di =  0.0;
d_T0_dTemp_t_GND = (d_T2_dTemp_t_GND-d_vfbsdcv_dTemp_t_GND);
d_T0_dV_di_si = d_T2_dV_di_si;
d_T0_dV_e_di = d_T2_dV_e_di;
d_T0_dV_e_si = d_T2_dV_e_si;
d_T0_dV_gi_si = d_T2_dV_gi_si;
d_T0_dV_gi_e = d_T2_dV_gi_e;
d_T0_dV_gi_si1 = d_T2_dV_gi_si1;
d_T0_dV_gi_di1 = d_T2_dV_gi_di1;
d_T0_dV_ge_si = d_T2_dV_ge_si;
T0 = ((T2-vfbsdcv)+0.02);
{
double value_sqrt_0 = sqrt(((T0*T0)+(4.0*0.02)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgs_overlap_dTemp_t_GND = 0.5*(d_T0_dTemp_t_GND-(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0))));
d_vgs_overlap_dV_di_si = 0.5*(d_T0_dV_di_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0))));
d_vgs_overlap_dV_gi_si = 0.5*(d_T0_dV_gi_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0))));
d_vgs_overlap_dV_e_di = 0.5*(d_T0_dV_e_di-(deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0))));
d_vgs_overlap_dV_e_si = 0.5*(d_T0_dV_e_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0))));
d_vgs_overlap_dV_gi_e = 0.5*(d_T0_dV_gi_e-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0))));
d_vgs_overlap_dV_gi_si1 = 0.5*(d_T0_dV_gi_si1-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0))));
d_vgs_overlap_dV_gi_di1 = 0.5*(d_T0_dV_gi_di1-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0))));
d_vgs_overlap_dV_ge_si = 0.5*(d_T0_dV_ge_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0))));
vgs_overlap = (0.5*(T0-value_sqrt_0));
}
{
double value_sqrt_0 = sqrt((1.0-((4.0*vgs_overlap)/CKAPPAS_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_qgs_ov_dV_ge_di =  0.0;
d_qgs_ov_dV_ge_si = (T1*(CGSL_i*((d_T2_dV_ge_si-d_vgs_overlap_dV_ge_si)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_ge_si/CKAPPAS_i)))))+CGSO_i*d_T2_dV_ge_si)+d_T1_dV_ge_si*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dTemp_t_GND = (T1*(CGSL_i*(((d_T2_dTemp_t_GND-d_vfbsdcv_dTemp_t_GND)-d_vgs_overlap_dTemp_t_GND)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dTemp_t_GND/CKAPPAS_i)))))+CGSO_i*d_T2_dTemp_t_GND)+d_T1_dTemp_t_GND*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_di_si = (T1*(CGSL_i*((d_T2_dV_di_si-d_vgs_overlap_dV_di_si)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_di_si/CKAPPAS_i)))))+CGSO_i*d_T2_dV_di_si)+d_T1_dV_di_si*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_gi_si = (T1*(CGSL_i*((d_T2_dV_gi_si-d_vgs_overlap_dV_gi_si)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_gi_si/CKAPPAS_i)))))+CGSO_i*d_T2_dV_gi_si)+d_T1_dV_gi_si*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_e_di = (T1*(CGSL_i*((d_T2_dV_e_di-d_vgs_overlap_dV_e_di)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_e_di/CKAPPAS_i)))))+CGSO_i*d_T2_dV_e_di)+d_T1_dV_e_di*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_e_si = (T1*(CGSL_i*((d_T2_dV_e_si-d_vgs_overlap_dV_e_si)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_e_si/CKAPPAS_i)))))+CGSO_i*d_T2_dV_e_si)+d_T1_dV_e_si*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_gi_e = (T1*(CGSL_i*((d_T2_dV_gi_e-d_vgs_overlap_dV_gi_e)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_gi_e/CKAPPAS_i)))))+CGSO_i*d_T2_dV_gi_e)+d_T1_dV_gi_e*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_gi_si1 = (T1*(CGSL_i*((d_T2_dV_gi_si1-d_vgs_overlap_dV_gi_si1)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_gi_si1/CKAPPAS_i)))))+CGSO_i*d_T2_dV_gi_si1)+d_T1_dV_gi_si1*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
d_qgs_ov_dV_gi_di1 = (T1*(CGSL_i*((d_T2_dV_gi_di1-d_vgs_overlap_dV_gi_di1)-(0.5*CKAPPAS_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgs_overlap_dV_gi_di1/CKAPPAS_i)))))+CGSO_i*d_T2_dV_gi_di1)+d_T1_dV_gi_di1*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
qgs_ov = (T1*((CGSL_i*(((T2-vfbsdcv)-vgs_overlap)-((0.5*CKAPPAS_i)*(value_sqrt_0-1.0))))+(CGSO_i*T2)));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
d_T2_dV_ge_di = devsign*d_probeVars[admsProbeID_V_ge_di][admsProbeID_V_ge_di];
T2 = (devsign*(probeVars[admsProbeID_V_ge_di]));

d_T0_dV_ge_e = d_T0_dV_gi_di =  0.0;
d_T0_dTemp_t_GND = (d_T2_dTemp_t_GND-d_vfbsdcv_dTemp_t_GND);
d_T0_dV_di_si = d_T2_dV_di_si;
d_T0_dV_e_di = d_T2_dV_e_di;
d_T0_dV_e_si = d_T2_dV_e_si;
d_T0_dV_gi_si = d_T2_dV_gi_si;
d_T0_dV_gi_e = d_T2_dV_gi_e;
d_T0_dV_gi_si1 = d_T2_dV_gi_si1;
d_T0_dV_gi_di1 = d_T2_dV_gi_di1;
d_T0_dV_ge_si = d_T2_dV_ge_si;
d_T0_dV_ge_di = d_T2_dV_ge_di;
T0 = ((T2-vfbsdcv)+0.02);
{
double value_sqrt_0 = sqrt(((T0*T0)+(4.0*0.02)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgd_overlap_dTemp_t_GND = 0.5*(d_T0_dTemp_t_GND-(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0))));
d_vgd_overlap_dV_di_si = 0.5*(d_T0_dV_di_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0))));
d_vgd_overlap_dV_gi_si = 0.5*(d_T0_dV_gi_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0))));
d_vgd_overlap_dV_e_di = 0.5*(d_T0_dV_e_di-(deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0))));
d_vgd_overlap_dV_e_si = 0.5*(d_T0_dV_e_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0))));
d_vgd_overlap_dV_gi_e = 0.5*(d_T0_dV_gi_e-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0))));
d_vgd_overlap_dV_gi_si1 = 0.5*(d_T0_dV_gi_si1-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0))));
d_vgd_overlap_dV_gi_di1 = 0.5*(d_T0_dV_gi_di1-(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0))));
d_vgd_overlap_dV_ge_si = 0.5*(d_T0_dV_ge_si-(deriv_sqrt_0_d0*((T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0))));
d_vgd_overlap_dV_ge_di = 0.5*(d_T0_dV_ge_di-(deriv_sqrt_0_d0*((T0*d_T0_dV_ge_di+d_T0_dV_ge_di*T0))));
vgd_overlap = (0.5*(T0-value_sqrt_0));
}
{
double value_sqrt_0 = sqrt((1.0-((4.0*vgd_overlap)/CKAPPAD_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_qgd_ov_dV_ge_si = (T1*(CGDL_i*((d_T2_dV_ge_si-d_vgd_overlap_dV_ge_si)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_ge_si/CKAPPAD_i)))))+CGDO_i*d_T2_dV_ge_si)+d_T1_dV_ge_si*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_ge_di = (T1*(CGDL_i*((d_T2_dV_ge_di-d_vgd_overlap_dV_ge_di)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_ge_di/CKAPPAD_i)))))+CGDO_i*d_T2_dV_ge_di)+d_T1_dV_ge_di*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dTemp_t_GND = (T1*(CGDL_i*(((d_T2_dTemp_t_GND-d_vfbsdcv_dTemp_t_GND)-d_vgd_overlap_dTemp_t_GND)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dTemp_t_GND/CKAPPAD_i)))))+CGDO_i*d_T2_dTemp_t_GND)+d_T1_dTemp_t_GND*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_di_si = (T1*(CGDL_i*((d_T2_dV_di_si-d_vgd_overlap_dV_di_si)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_di_si/CKAPPAD_i)))))+CGDO_i*d_T2_dV_di_si)+d_T1_dV_di_si*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_gi_si = (T1*(CGDL_i*((d_T2_dV_gi_si-d_vgd_overlap_dV_gi_si)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_gi_si/CKAPPAD_i)))))+CGDO_i*d_T2_dV_gi_si)+d_T1_dV_gi_si*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_e_di = (T1*(CGDL_i*((d_T2_dV_e_di-d_vgd_overlap_dV_e_di)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_e_di/CKAPPAD_i)))))+CGDO_i*d_T2_dV_e_di)+d_T1_dV_e_di*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_e_si = (T1*(CGDL_i*((d_T2_dV_e_si-d_vgd_overlap_dV_e_si)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_e_si/CKAPPAD_i)))))+CGDO_i*d_T2_dV_e_si)+d_T1_dV_e_si*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_gi_e = (T1*(CGDL_i*((d_T2_dV_gi_e-d_vgd_overlap_dV_gi_e)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_gi_e/CKAPPAD_i)))))+CGDO_i*d_T2_dV_gi_e)+d_T1_dV_gi_e*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_gi_si1 = (T1*(CGDL_i*((d_T2_dV_gi_si1-d_vgd_overlap_dV_gi_si1)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_gi_si1/CKAPPAD_i)))))+CGDO_i*d_T2_dV_gi_si1)+d_T1_dV_gi_si1*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
d_qgd_ov_dV_gi_di1 = (T1*(CGDL_i*((d_T2_dV_gi_di1-d_vgd_overlap_dV_gi_di1)-(0.5*CKAPPAD_i)*(deriv_sqrt_0_d0*((-(4.0*d_vgd_overlap_dV_gi_di1/CKAPPAD_i)))))+CGDO_i*d_T2_dV_gi_di1)+d_T1_dV_gi_di1*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
qgd_ov = (T1*((CGDL_i*(((T2-vfbsdcv)-vgd_overlap)-((0.5*CKAPPAD_i)*(value_sqrt_0-1.0))))+(CGDO_i*T2)));
}
}
if (((model_.CGEOMOD)==0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si = d_T1_dTemp_t_GND =  0.0;
T1 = (NFINtotal*WeffCV0);

d_qgs_fr_dV_ge_di = d_qgs_fr_dV_ge_s =  0.0;
d_qgs_fr_dV_ge_si = ((T1*CFS_i)*d_probeVars[admsProbeID_V_ge_si][admsProbeID_V_ge_si]+d_T1_dV_ge_si*CFS_i*(probeVars[admsProbeID_V_ge_si]));
d_qgs_fr_dTemp_t_GND = d_T1_dTemp_t_GND*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_di_si = d_T1_dV_di_si*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_gi_si = d_T1_dV_gi_si*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_e_di = d_T1_dV_e_di*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_e_si = d_T1_dV_e_si*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_gi_e = d_T1_dV_gi_e*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_gi_si1 = d_T1_dV_gi_si1*CFS_i*(probeVars[admsProbeID_V_ge_si]);
d_qgs_fr_dV_gi_di1 = d_T1_dV_gi_di1*CFS_i*(probeVars[admsProbeID_V_ge_si]);
qgs_fr = ((T1*CFS_i)*(probeVars[admsProbeID_V_ge_si]));

d_qgd_fr_dV_ge_si = d_qgd_fr_dV_ge_d =  0.0;
d_qgd_fr_dV_ge_di = ((T1*CFD_i)*d_probeVars[admsProbeID_V_ge_di][admsProbeID_V_ge_di]+d_T1_dV_ge_di*CFD_i*(probeVars[admsProbeID_V_ge_di]));
d_qgd_fr_dTemp_t_GND = d_T1_dTemp_t_GND*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_di_si = d_T1_dV_di_si*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_gi_si = d_T1_dV_gi_si*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_e_di = d_T1_dV_e_di*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_e_si = d_T1_dV_e_si*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_gi_e = d_T1_dV_gi_e*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_gi_si1 = d_T1_dV_gi_si1*CFD_i*(probeVars[admsProbeID_V_ge_di]);
d_qgd_fr_dV_gi_di1 = d_T1_dV_gi_di1*CFD_i*(probeVars[admsProbeID_V_ge_di]);
qgd_fr = ((T1*CFD_i)*(probeVars[admsProbeID_V_ge_di]));

d_qgs_parasitic_dV_ge_s = d_qgs_parasitic_dV_ge_di =  0.0;
d_qgs_parasitic_dV_ge_si = (d_qgs_ov_dV_ge_si+d_qgs_fr_dV_ge_si);
d_qgs_parasitic_dTemp_t_GND = (d_qgs_ov_dTemp_t_GND+d_qgs_fr_dTemp_t_GND);
d_qgs_parasitic_dV_di_si = (d_qgs_ov_dV_di_si+d_qgs_fr_dV_di_si);
d_qgs_parasitic_dV_gi_si = (d_qgs_ov_dV_gi_si+d_qgs_fr_dV_gi_si);
d_qgs_parasitic_dV_e_di = (d_qgs_ov_dV_e_di+d_qgs_fr_dV_e_di);
d_qgs_parasitic_dV_e_si = (d_qgs_ov_dV_e_si+d_qgs_fr_dV_e_si);
d_qgs_parasitic_dV_gi_e = (d_qgs_ov_dV_gi_e+d_qgs_fr_dV_gi_e);
d_qgs_parasitic_dV_gi_si1 = (d_qgs_ov_dV_gi_si1+d_qgs_fr_dV_gi_si1);
d_qgs_parasitic_dV_gi_di1 = (d_qgs_ov_dV_gi_di1+d_qgs_fr_dV_gi_di1);
qgs_parasitic = (qgs_ov+qgs_fr);

d_qgd_parasitic_dV_ge_d =  0.0;
d_qgd_parasitic_dV_ge_si = (d_qgd_ov_dV_ge_si+d_qgd_fr_dV_ge_si);
d_qgd_parasitic_dV_ge_di = (d_qgd_ov_dV_ge_di+d_qgd_fr_dV_ge_di);
d_qgd_parasitic_dTemp_t_GND = (d_qgd_ov_dTemp_t_GND+d_qgd_fr_dTemp_t_GND);
d_qgd_parasitic_dV_di_si = (d_qgd_ov_dV_di_si+d_qgd_fr_dV_di_si);
d_qgd_parasitic_dV_gi_si = (d_qgd_ov_dV_gi_si+d_qgd_fr_dV_gi_si);
d_qgd_parasitic_dV_e_di = (d_qgd_ov_dV_e_di+d_qgd_fr_dV_e_di);
d_qgd_parasitic_dV_e_si = (d_qgd_ov_dV_e_si+d_qgd_fr_dV_e_si);
d_qgd_parasitic_dV_gi_e = (d_qgd_ov_dV_gi_e+d_qgd_fr_dV_gi_e);
d_qgd_parasitic_dV_gi_si1 = (d_qgd_ov_dV_gi_si1+d_qgd_fr_dV_gi_si1);
d_qgd_parasitic_dV_gi_di1 = (d_qgd_ov_dV_gi_di1+d_qgd_fr_dV_gi_di1);
qgd_parasitic = (qgd_ov+qgd_fr);
}
else
{
if (((model_.CGEOMOD)==1))
{
if (((model_.CGEO1SW)==1))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = (NFINtotal*WeffCV0);

d_COVS_i_dTemp_t_GND = (T0*d_COVS_i_dTemp_t_GND+d_T0_dTemp_t_GND*COVS_i);
d_COVS_i_dV_di_si = (T0*d_COVS_i_dV_di_si+d_T0_dV_di_si*COVS_i);
d_COVS_i_dV_gi_si = (T0*d_COVS_i_dV_gi_si+d_T0_dV_gi_si*COVS_i);
d_COVS_i_dV_e_di = (T0*d_COVS_i_dV_e_di+d_T0_dV_e_di*COVS_i);
d_COVS_i_dV_e_si = (T0*d_COVS_i_dV_e_si+d_T0_dV_e_si*COVS_i);
d_COVS_i_dV_gi_e = (T0*d_COVS_i_dV_gi_e+d_T0_dV_gi_e*COVS_i);
d_COVS_i_dV_gi_si1 = (T0*d_COVS_i_dV_gi_si1+d_T0_dV_gi_si1*COVS_i);
d_COVS_i_dV_gi_di1 = (T0*d_COVS_i_dV_gi_di1+d_T0_dV_gi_di1*COVS_i);
d_COVS_i_dV_ge_si = (T0*d_COVS_i_dV_ge_si+d_T0_dV_ge_si*COVS_i);
d_COVS_i_dV_ge_di = (T0*d_COVS_i_dV_ge_di+d_T0_dV_ge_di*COVS_i);
COVS_i = (T0*COVS_i);

d_COVD_i_dTemp_t_GND = (T0*d_COVD_i_dTemp_t_GND+d_T0_dTemp_t_GND*COVD_i);
d_COVD_i_dV_di_si = (T0*d_COVD_i_dV_di_si+d_T0_dV_di_si*COVD_i);
d_COVD_i_dV_gi_si = (T0*d_COVD_i_dV_gi_si+d_T0_dV_gi_si*COVD_i);
d_COVD_i_dV_e_di = (T0*d_COVD_i_dV_e_di+d_T0_dV_e_di*COVD_i);
d_COVD_i_dV_e_si = (T0*d_COVD_i_dV_e_si+d_T0_dV_e_si*COVD_i);
d_COVD_i_dV_gi_e = (T0*d_COVD_i_dV_gi_e+d_T0_dV_gi_e*COVD_i);
d_COVD_i_dV_gi_si1 = (T0*d_COVD_i_dV_gi_si1+d_T0_dV_gi_si1*COVD_i);
d_COVD_i_dV_gi_di1 = (T0*d_COVD_i_dV_gi_di1+d_T0_dV_gi_di1*COVD_i);
d_COVD_i_dV_ge_si = (T0*d_COVD_i_dV_ge_si+d_T0_dV_ge_si*COVD_i);
d_COVD_i_dV_ge_di = (T0*d_COVD_i_dV_ge_di+d_T0_dV_ge_di*COVD_i);
COVD_i = (T0*COVD_i);

d_cgsp_dTemp_t_GND = d_T0_dTemp_t_GND*CGSP;
d_cgsp_dV_di_si = d_T0_dV_di_si*CGSP;
d_cgsp_dV_gi_si = d_T0_dV_gi_si*CGSP;
d_cgsp_dV_e_di = d_T0_dV_e_di*CGSP;
d_cgsp_dV_e_si = d_T0_dV_e_si*CGSP;
d_cgsp_dV_gi_e = d_T0_dV_gi_e*CGSP;
d_cgsp_dV_gi_si1 = d_T0_dV_gi_si1*CGSP;
d_cgsp_dV_gi_di1 = d_T0_dV_gi_di1*CGSP;
d_cgsp_dV_ge_si = d_T0_dV_ge_si*CGSP;
d_cgsp_dV_ge_di = d_T0_dV_ge_di*CGSP;
cgsp = (T0*CGSP);

d_cgdp_dTemp_t_GND = d_T0_dTemp_t_GND*CGDP;
d_cgdp_dV_di_si = d_T0_dV_di_si*CGDP;
d_cgdp_dV_gi_si = d_T0_dV_gi_si*CGDP;
d_cgdp_dV_e_di = d_T0_dV_e_di*CGDP;
d_cgdp_dV_e_si = d_T0_dV_e_si*CGDP;
d_cgdp_dV_gi_e = d_T0_dV_gi_e*CGDP;
d_cgdp_dV_gi_si1 = d_T0_dV_gi_si1*CGDP;
d_cgdp_dV_gi_di1 = d_T0_dV_gi_di1*CGDP;
d_cgdp_dV_ge_si = d_T0_dV_ge_si*CGDP;
d_cgdp_dV_ge_di = d_T0_dV_ge_di*CGDP;
cgdp = (T0*CGDP);
}
else
{

d_cgsp_dV_ge_di = d_cgsp_dV_ge_si = d_cgsp_dV_gi_di1 = d_cgsp_dV_gi_si1 = d_cgsp_dV_gi_e = d_cgsp_dV_e_si = d_cgsp_dV_e_di = d_cgsp_dV_gi_si = d_cgsp_dV_di_si = d_cgsp_dTemp_t_GND =  0.0;
cgsp = CGSP;

d_cgdp_dV_ge_di = d_cgdp_dV_ge_si = d_cgdp_dV_gi_di1 = d_cgdp_dV_gi_si1 = d_cgdp_dV_gi_e = d_cgdp_dV_e_si = d_cgdp_dV_e_di = d_cgdp_dV_gi_si = d_cgdp_dV_di_si = d_cgdp_dTemp_t_GND =  0.0;
cgdp = CGDP;
}

d_qgs_ov_dTemp_t_GND = d_COVS_i_dTemp_t_GND*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_di_si = d_COVS_i_dV_di_si*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_gi_si = d_COVS_i_dV_gi_si*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_e_di = d_COVS_i_dV_e_di*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_e_si = d_COVS_i_dV_e_si*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_gi_e = d_COVS_i_dV_gi_e*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_gi_si1 = d_COVS_i_dV_gi_si1*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_gi_di1 = d_COVS_i_dV_gi_di1*(probeVars[admsProbeID_V_ge_si]);
d_qgs_ov_dV_ge_si = (COVS_i*d_probeVars[admsProbeID_V_ge_si][admsProbeID_V_ge_si]+d_COVS_i_dV_ge_si*(probeVars[admsProbeID_V_ge_si]));
d_qgs_ov_dV_ge_di = d_COVS_i_dV_ge_di*(probeVars[admsProbeID_V_ge_si]);
qgs_ov = (COVS_i*(probeVars[admsProbeID_V_ge_si]));

d_qgd_ov_dTemp_t_GND = d_COVD_i_dTemp_t_GND*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_di_si = d_COVD_i_dV_di_si*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_gi_si = d_COVD_i_dV_gi_si*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_e_di = d_COVD_i_dV_e_di*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_e_si = d_COVD_i_dV_e_si*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_gi_e = d_COVD_i_dV_gi_e*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_gi_si1 = d_COVD_i_dV_gi_si1*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_gi_di1 = d_COVD_i_dV_gi_di1*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_ge_si = d_COVD_i_dV_ge_si*(probeVars[admsProbeID_V_ge_di]);
d_qgd_ov_dV_ge_di = (COVD_i*d_probeVars[admsProbeID_V_ge_di][admsProbeID_V_ge_di]+d_COVD_i_dV_ge_di*(probeVars[admsProbeID_V_ge_di]));
qgd_ov = (COVD_i*(probeVars[admsProbeID_V_ge_di]));

d_qgs_parasitic_dV_ge_s =  0.0;
d_qgs_parasitic_dV_ge_si = d_qgs_ov_dV_ge_si;
d_qgs_parasitic_dTemp_t_GND = d_qgs_ov_dTemp_t_GND;
d_qgs_parasitic_dV_di_si = d_qgs_ov_dV_di_si;
d_qgs_parasitic_dV_gi_si = d_qgs_ov_dV_gi_si;
d_qgs_parasitic_dV_e_di = d_qgs_ov_dV_e_di;
d_qgs_parasitic_dV_e_si = d_qgs_ov_dV_e_si;
d_qgs_parasitic_dV_gi_e = d_qgs_ov_dV_gi_e;
d_qgs_parasitic_dV_gi_si1 = d_qgs_ov_dV_gi_si1;
d_qgs_parasitic_dV_gi_di1 = d_qgs_ov_dV_gi_di1;
d_qgs_parasitic_dV_ge_di = d_qgs_ov_dV_ge_di;
qgs_parasitic = qgs_ov;

d_qgd_parasitic_dV_ge_d =  0.0;
d_qgd_parasitic_dV_ge_si = d_qgd_ov_dV_ge_si;
d_qgd_parasitic_dV_ge_di = d_qgd_ov_dV_ge_di;
d_qgd_parasitic_dTemp_t_GND = d_qgd_ov_dTemp_t_GND;
d_qgd_parasitic_dV_di_si = d_qgd_ov_dV_di_si;
d_qgd_parasitic_dV_gi_si = d_qgd_ov_dV_gi_si;
d_qgd_parasitic_dV_e_di = d_qgd_ov_dV_e_di;
d_qgd_parasitic_dV_e_si = d_qgd_ov_dV_e_si;
d_qgd_parasitic_dV_gi_e = d_qgd_ov_dV_gi_e;
d_qgd_parasitic_dV_gi_si1 = d_qgd_ov_dV_gi_si1;
d_qgd_parasitic_dV_gi_di1 = d_qgd_ov_dV_gi_di1;
qgd_parasitic = qgd_ov;

d_qgs_fr_dV_ge_s = cgsp*d_probeVars[admsProbeID_V_ge_s][admsProbeID_V_ge_s];
d_qgs_fr_dTemp_t_GND = d_cgsp_dTemp_t_GND*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_di_si = d_cgsp_dV_di_si*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_gi_si = d_cgsp_dV_gi_si*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_e_di = d_cgsp_dV_e_di*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_e_si = d_cgsp_dV_e_si*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_gi_e = d_cgsp_dV_gi_e*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_gi_si1 = d_cgsp_dV_gi_si1*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_gi_di1 = d_cgsp_dV_gi_di1*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_ge_si = d_cgsp_dV_ge_si*(probeVars[admsProbeID_V_ge_s]);
d_qgs_fr_dV_ge_di = d_cgsp_dV_ge_di*(probeVars[admsProbeID_V_ge_s]);
qgs_fr = (cgsp*(probeVars[admsProbeID_V_ge_s]));

d_qgd_fr_dV_ge_d = cgdp*d_probeVars[admsProbeID_V_ge_d][admsProbeID_V_ge_d];
d_qgd_fr_dTemp_t_GND = d_cgdp_dTemp_t_GND*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_di_si = d_cgdp_dV_di_si*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_gi_si = d_cgdp_dV_gi_si*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_e_di = d_cgdp_dV_e_di*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_e_si = d_cgdp_dV_e_si*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_gi_e = d_cgdp_dV_gi_e*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_gi_si1 = d_cgdp_dV_gi_si1*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_gi_di1 = d_cgdp_dV_gi_di1*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_ge_si = d_cgdp_dV_ge_si*(probeVars[admsProbeID_V_ge_d]);
d_qgd_fr_dV_ge_di = d_cgdp_dV_ge_di*(probeVars[admsProbeID_V_ge_d]);
qgd_fr = (cgdp*(probeVars[admsProbeID_V_ge_d]));
}
else
{

d_qgs_fr_dV_ge_di = d_qgs_fr_dV_ge_s = d_qgs_fr_dV_gi_di1 = d_qgs_fr_dV_gi_si1 = d_qgs_fr_dV_gi_e = d_qgs_fr_dV_e_si = d_qgs_fr_dV_e_di = d_qgs_fr_dV_gi_si = d_qgs_fr_dV_di_si = d_qgs_fr_dTemp_t_GND =  0.0;
d_qgs_fr_dV_ge_si = Cfr_geo*d_probeVars[admsProbeID_V_ge_si][admsProbeID_V_ge_si];
qgs_fr = (Cfr_geo*(probeVars[admsProbeID_V_ge_si]));

d_qgd_fr_dV_ge_si = d_qgd_fr_dV_ge_d = d_qgd_fr_dV_gi_di1 = d_qgd_fr_dV_gi_si1 = d_qgd_fr_dV_gi_e = d_qgd_fr_dV_e_si = d_qgd_fr_dV_e_di = d_qgd_fr_dV_gi_si = d_qgd_fr_dV_di_si = d_qgd_fr_dTemp_t_GND =  0.0;
d_qgd_fr_dV_ge_di = Cfr_geo*d_probeVars[admsProbeID_V_ge_di][admsProbeID_V_ge_di];
qgd_fr = (Cfr_geo*(probeVars[admsProbeID_V_ge_di]));

d_qgs_parasitic_dV_ge_s = d_qgs_fr_dV_ge_s;
d_qgs_parasitic_dV_ge_si = (d_qgs_ov_dV_ge_si+d_qgs_fr_dV_ge_si);
d_qgs_parasitic_dTemp_t_GND = (d_qgs_ov_dTemp_t_GND+d_qgs_fr_dTemp_t_GND);
d_qgs_parasitic_dV_di_si = (d_qgs_ov_dV_di_si+d_qgs_fr_dV_di_si);
d_qgs_parasitic_dV_gi_si = (d_qgs_ov_dV_gi_si+d_qgs_fr_dV_gi_si);
d_qgs_parasitic_dV_e_di = (d_qgs_ov_dV_e_di+d_qgs_fr_dV_e_di);
d_qgs_parasitic_dV_e_si = (d_qgs_ov_dV_e_si+d_qgs_fr_dV_e_si);
d_qgs_parasitic_dV_gi_e = (d_qgs_ov_dV_gi_e+d_qgs_fr_dV_gi_e);
d_qgs_parasitic_dV_gi_si1 = (d_qgs_ov_dV_gi_si1+d_qgs_fr_dV_gi_si1);
d_qgs_parasitic_dV_gi_di1 = (d_qgs_ov_dV_gi_di1+d_qgs_fr_dV_gi_di1);
d_qgs_parasitic_dV_ge_di = (d_qgs_ov_dV_ge_di+d_qgs_fr_dV_ge_di);
qgs_parasitic = (qgs_ov+qgs_fr);

d_qgd_parasitic_dV_ge_d = d_qgd_fr_dV_ge_d;
d_qgd_parasitic_dV_ge_si = (d_qgd_ov_dV_ge_si+d_qgd_fr_dV_ge_si);
d_qgd_parasitic_dV_ge_di = (d_qgd_ov_dV_ge_di+d_qgd_fr_dV_ge_di);
d_qgd_parasitic_dTemp_t_GND = (d_qgd_ov_dTemp_t_GND+d_qgd_fr_dTemp_t_GND);
d_qgd_parasitic_dV_di_si = (d_qgd_ov_dV_di_si+d_qgd_fr_dV_di_si);
d_qgd_parasitic_dV_gi_si = (d_qgd_ov_dV_gi_si+d_qgd_fr_dV_gi_si);
d_qgd_parasitic_dV_e_di = (d_qgd_ov_dV_e_di+d_qgd_fr_dV_e_di);
d_qgd_parasitic_dV_e_si = (d_qgd_ov_dV_e_si+d_qgd_fr_dV_e_si);
d_qgd_parasitic_dV_gi_e = (d_qgd_ov_dV_gi_e+d_qgd_fr_dV_gi_e);
d_qgd_parasitic_dV_gi_si1 = (d_qgd_ov_dV_gi_si1+d_qgd_fr_dV_gi_si1);
d_qgd_parasitic_dV_gi_di1 = (d_qgd_ov_dV_gi_di1+d_qgd_fr_dV_gi_di1);
qgd_parasitic = (qgd_ov+qgd_fr);
}
}

d_qds_fr_dV_d_s = CDSP*d_probeVars[admsProbeID_V_d_s][admsProbeID_V_d_s];
qds_fr = (CDSP*(probeVars[admsProbeID_V_d_s]));
if (((model_.IIMOD)==1))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = ((d_ALPHA0_t_dTemp_t_GND+d_ALPHA1_t_dTemp_t_GND*Leff)/Leff);
T0 = ((ALPHA0_t+(ALPHA1_t*Leff))/Leff);
if (((T0<=0.0)||(BETA0_t<=0.0)))
{

d_Iii_dV_ge_di = d_Iii_dV_ge_si = d_Iii_dV_gi_di1 = d_Iii_dV_gi_si1 = d_Iii_dV_gi_e = d_Iii_dV_e_si = d_Iii_dV_e_di = d_Iii_dV_gi_si = d_Iii_dV_di_si = d_Iii_dTemp_t_GND =  0.0;
Iii = 0.0;
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (-(-BETA0_t)*d_diffVds_dV_gi_si/(diffVds+1.0e-30)/(diffVds+1.0e-30));
d_T1_dV_e_di = (-(-BETA0_t)*d_diffVds_dV_e_di/(diffVds+1.0e-30)/(diffVds+1.0e-30));
d_T1_dV_e_si = (-(-BETA0_t)*d_diffVds_dV_e_si/(diffVds+1.0e-30)/(diffVds+1.0e-30));
d_T1_dV_di_si = (-(-BETA0_t)*d_diffVds_dV_di_si/(diffVds+1.0e-30)/(diffVds+1.0e-30));
d_T1_dTemp_t_GND = (((diffVds+1.0e-30)*(-d_BETA0_t_dTemp_t_GND)-(-BETA0_t)*d_diffVds_dTemp_t_GND)/(diffVds+1.0e-30)/(diffVds+1.0e-30));
T1 = ((-BETA0_t)/(diffVds+1.0e-30));
{
double value_exp_0 = exp(T1);
double  deriv_exp_0_d0 = value_exp_0;

d_Iii_dTemp_t_GND = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dTemp_t_GND:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dTemp_t_GND))))+((T0*diffVds)*d_ids_dTemp_t_GND+(T0*d_diffVds_dTemp_t_GND+d_T0_dTemp_t_GND*diffVds)*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_di_si = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_di_si:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_di_si))))+((T0*diffVds)*d_ids_dV_di_si+(T0*d_diffVds_dV_di_si+d_T0_dV_di_si*diffVds)*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_gi_si = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_gi_si:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_gi_si))))+((T0*diffVds)*d_ids_dV_gi_si+(T0*d_diffVds_dV_gi_si+d_T0_dV_gi_si*diffVds)*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_e_di = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_e_di:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_e_di))))+((T0*diffVds)*d_ids_dV_e_di+(T0*d_diffVds_dV_e_di+d_T0_dV_e_di*diffVds)*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_e_si = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_e_si:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_e_si))))+((T0*diffVds)*d_ids_dV_e_si+(T0*d_diffVds_dV_e_si+d_T0_dV_e_si*diffVds)*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_gi_e = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_gi_e:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_gi_e))))+((T0*diffVds)*d_ids_dV_gi_e+d_T0_dV_gi_e*diffVds*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_gi_si1 = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_gi_si1:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_gi_si1))))+((T0*diffVds)*d_ids_dV_gi_si1+d_T0_dV_gi_si1*diffVds*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_gi_di1 = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_gi_di1:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_gi_di1))))+((T0*diffVds)*d_ids_dV_gi_di1+d_T0_dV_gi_di1*diffVds*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_ge_si = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_ge_si:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_ge_si))))+d_T0_dV_ge_si*diffVds*ids*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
d_Iii_dV_ge_di = (((T0*diffVds)*ids)*((T1>80.0)?5.540622384e34*d_T1_dV_ge_di:((T1<(-80.0))?0.0:(deriv_exp_0_d0*(d_T1_dV_ge_di))))+d_T0_dV_ge_di*diffVds*ids*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
Iii = (((T0*diffVds)*ids)*((T1>80.0)?(5.540622384e34*((1.0+T1)-80.0)):((T1<(-80.0))?1.804851387e-35:value_exp_0)));
}
}
}
else
{
if (((model_.IIMOD)==2))
{

d_ALPHAII_dTemp_t_GND = ((d_ALPHAII0_t_dTemp_t_GND+d_ALPHAII1_t_dTemp_t_GND*Leff)/Leff);
ALPHAII = ((ALPHAII0_t+(ALPHAII1_t*Leff))/Leff);
if ((ALPHAII<=0.0))
{

d_Iii_dV_ge_di = d_Iii_dV_ge_si = d_Iii_dV_gi_di1 = d_Iii_dV_gi_si1 = d_Iii_dV_gi_e = d_Iii_dV_e_si = d_Iii_dV_e_di = d_Iii_dV_gi_si = d_Iii_dV_di_si = d_Iii_dTemp_t_GND =  0.0;
Iii = 0.0;
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = (ESATII_i*Leff);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di =  0.0;
d_T1_dV_di_si = (((1.0+T0)*SII0_t*d_T0_dV_di_si-(SII0_t*T0)*d_T0_dV_di_si)/(1.0+T0)/(1.0+T0));
d_T1_dV_gi_si = (((1.0+T0)*SII0_t*d_T0_dV_gi_si-(SII0_t*T0)*d_T0_dV_gi_si)/(1.0+T0)/(1.0+T0));
d_T1_dV_e_di = (((1.0+T0)*SII0_t*d_T0_dV_e_di-(SII0_t*T0)*d_T0_dV_e_di)/(1.0+T0)/(1.0+T0));
d_T1_dV_e_si = (((1.0+T0)*SII0_t*d_T0_dV_e_si-(SII0_t*T0)*d_T0_dV_e_si)/(1.0+T0)/(1.0+T0));
d_T1_dV_gi_e = (((1.0+T0)*SII0_t*d_T0_dV_gi_e-(SII0_t*T0)*d_T0_dV_gi_e)/(1.0+T0)/(1.0+T0));
d_T1_dV_gi_si1 = (((1.0+T0)*SII0_t*d_T0_dV_gi_si1-(SII0_t*T0)*d_T0_dV_gi_si1)/(1.0+T0)/(1.0+T0));
d_T1_dV_gi_di1 = (((1.0+T0)*SII0_t*d_T0_dV_gi_di1-(SII0_t*T0)*d_T0_dV_gi_di1)/(1.0+T0)/(1.0+T0));
d_T1_dV_ge_si = (((1.0+T0)*SII0_t*d_T0_dV_ge_si-(SII0_t*T0)*d_T0_dV_ge_si)/(1.0+T0)/(1.0+T0));
d_T1_dV_ge_di = (((1.0+T0)*SII0_t*d_T0_dV_ge_di-(SII0_t*T0)*d_T0_dV_ge_di)/(1.0+T0)/(1.0+T0));
d_T1_dTemp_t_GND = (((1.0+T0)*(SII0_t*d_T0_dTemp_t_GND+d_SII0_t_dTemp_t_GND*T0)-(SII0_t*T0)*d_T0_dTemp_t_GND)/(1.0+T0)/(1.0+T0));
T1 = ((SII0_t*T0)/(1.0+T0));
{
double value_sqrt_0 = sqrt((((SII1_i*vgsfbeff)*(SII1_i*vgsfbeff))+((4.0*(model_.IIMOD2CLAMP1))*(model_.IIMOD2CLAMP1))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = (-((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:0.5*(SII1_i*d_vgsfbeff_dTemp_t_GND+(deriv_sqrt_0_d0*(((SII1_i*vgsfbeff)*SII1_i*d_vgsfbeff_dTemp_t_GND+SII1_i*d_vgsfbeff_dTemp_t_GND*(SII1_i*vgsfbeff))))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0)))));
d_T0_dV_di_si = (-((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:0.5*(SII1_i*d_vgsfbeff_dV_di_si+(deriv_sqrt_0_d0*(((SII1_i*vgsfbeff)*SII1_i*d_vgsfbeff_dV_di_si+SII1_i*d_vgsfbeff_dV_di_si*(SII1_i*vgsfbeff))))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0)))));
d_T0_dV_gi_si = (-((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:0.5*(SII1_i*d_vgsfbeff_dV_gi_si+(deriv_sqrt_0_d0*(((SII1_i*vgsfbeff)*SII1_i*d_vgsfbeff_dV_gi_si+SII1_i*d_vgsfbeff_dV_gi_si*(SII1_i*vgsfbeff))))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0)))));
d_T0_dV_e_di = (-((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:0.5*(SII1_i*d_vgsfbeff_dV_e_di+(deriv_sqrt_0_d0*(((SII1_i*vgsfbeff)*SII1_i*d_vgsfbeff_dV_e_di+SII1_i*d_vgsfbeff_dV_e_di*(SII1_i*vgsfbeff))))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0)))));
d_T0_dV_e_si = (-((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:0.5*(SII1_i*d_vgsfbeff_dV_e_si+(deriv_sqrt_0_d0*(((SII1_i*vgsfbeff)*SII1_i*d_vgsfbeff_dV_e_si+SII1_i*d_vgsfbeff_dV_e_si*(SII1_i*vgsfbeff))))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0))))/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0)))));
T0 = (1.0/(1.0+((((SII1_i*vgsfbeff)==0.0)&&((model_.IIMOD2CLAMP1)==0.0))?0.0:(0.5*((SII1_i*vgsfbeff)+value_sqrt_0)))));
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di =  0.0;
d_T3_dTemp_t_GND = d_T0_dTemp_t_GND;
d_T3_dV_di_si = d_T0_dV_di_si;
d_T3_dV_gi_si = d_T0_dV_gi_si;
d_T3_dV_e_di = d_T0_dV_e_di;
d_T3_dV_e_si = d_T0_dV_e_si;
d_T3_dV_gi_e = d_T0_dV_gi_e;
d_T3_dV_gi_si1 = d_T0_dV_gi_si1;
d_T3_dV_gi_di1 = d_T0_dV_gi_di1;
d_T3_dV_ge_si = d_T0_dV_ge_si;
d_T3_dV_ge_di = d_T0_dV_ge_di;
T3 = (T0+SII2_i);
{
double value_sqrt_0 = sqrt((((vgsfbeff*T3)*(vgsfbeff*T3))+((4.0*(model_.IIMOD2CLAMP2))*(model_.IIMOD2CLAMP2))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di =  0.0;
d_T2_dV_gi_e = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*(vgsfbeff*d_T3_dV_gi_e+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*vgsfbeff*d_T3_dV_gi_e+vgsfbeff*d_T3_dV_gi_e*(vgsfbeff*T3))))));
d_T2_dV_gi_si1 = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*(vgsfbeff*d_T3_dV_gi_si1+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*vgsfbeff*d_T3_dV_gi_si1+vgsfbeff*d_T3_dV_gi_si1*(vgsfbeff*T3))))));
d_T2_dV_gi_di1 = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*(vgsfbeff*d_T3_dV_gi_di1+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*vgsfbeff*d_T3_dV_gi_di1+vgsfbeff*d_T3_dV_gi_di1*(vgsfbeff*T3))))));
d_T2_dV_ge_si = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*(vgsfbeff*d_T3_dV_ge_si+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*vgsfbeff*d_T3_dV_ge_si+vgsfbeff*d_T3_dV_ge_si*(vgsfbeff*T3))))));
d_T2_dV_ge_di = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*(vgsfbeff*d_T3_dV_ge_di+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*vgsfbeff*d_T3_dV_ge_di+vgsfbeff*d_T3_dV_ge_di*(vgsfbeff*T3))))));
d_T2_dTemp_t_GND = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*((vgsfbeff*d_T3_dTemp_t_GND+d_vgsfbeff_dTemp_t_GND*T3)+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*(vgsfbeff*d_T3_dTemp_t_GND+d_vgsfbeff_dTemp_t_GND*T3)+(vgsfbeff*d_T3_dTemp_t_GND+d_vgsfbeff_dTemp_t_GND*T3)*(vgsfbeff*T3))))));
d_T2_dV_di_si = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*((vgsfbeff*d_T3_dV_di_si+d_vgsfbeff_dV_di_si*T3)+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*(vgsfbeff*d_T3_dV_di_si+d_vgsfbeff_dV_di_si*T3)+(vgsfbeff*d_T3_dV_di_si+d_vgsfbeff_dV_di_si*T3)*(vgsfbeff*T3))))));
d_T2_dV_gi_si = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*((vgsfbeff*d_T3_dV_gi_si+d_vgsfbeff_dV_gi_si*T3)+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*(vgsfbeff*d_T3_dV_gi_si+d_vgsfbeff_dV_gi_si*T3)+(vgsfbeff*d_T3_dV_gi_si+d_vgsfbeff_dV_gi_si*T3)*(vgsfbeff*T3))))));
d_T2_dV_e_di = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*((vgsfbeff*d_T3_dV_e_di+d_vgsfbeff_dV_e_di*T3)+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*(vgsfbeff*d_T3_dV_e_di+d_vgsfbeff_dV_e_di*T3)+(vgsfbeff*d_T3_dV_e_di+d_vgsfbeff_dV_e_di*T3)*(vgsfbeff*T3))))));
d_T2_dV_e_si = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:0.5*((vgsfbeff*d_T3_dV_e_si+d_vgsfbeff_dV_e_si*T3)+(deriv_sqrt_0_d0*(((vgsfbeff*T3)*(vgsfbeff*d_T3_dV_e_si+d_vgsfbeff_dV_e_si*T3)+(vgsfbeff*d_T3_dV_e_si+d_vgsfbeff_dV_e_si*T3)*(vgsfbeff*T3))))));
T2 = ((((vgsfbeff*T3)==0.0)&&((model_.IIMOD2CLAMP2)==0.0))?0.0:(0.5*((vgsfbeff*T3)+value_sqrt_0)));
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
d_T3_dV_di_si = (-SIID_i*d_vds_dV_di_si/(1.0+(SIID_i*vds))/(1.0+(SIID_i*vds)));
T3 = (1.0/(1.0+(SIID_i*vds)));

d_VgsStep_dTemp_t_GND = ((T1*T2)*d_T3_dTemp_t_GND+(T1*d_T2_dTemp_t_GND+d_T1_dTemp_t_GND*T2)*T3);
d_VgsStep_dV_di_si = ((T1*T2)*d_T3_dV_di_si+(T1*d_T2_dV_di_si+d_T1_dV_di_si*T2)*T3);
d_VgsStep_dV_gi_si = ((T1*T2)*d_T3_dV_gi_si+(T1*d_T2_dV_gi_si+d_T1_dV_gi_si*T2)*T3);
d_VgsStep_dV_e_di = ((T1*T2)*d_T3_dV_e_di+(T1*d_T2_dV_e_di+d_T1_dV_e_di*T2)*T3);
d_VgsStep_dV_e_si = ((T1*T2)*d_T3_dV_e_si+(T1*d_T2_dV_e_si+d_T1_dV_e_si*T2)*T3);
d_VgsStep_dV_gi_e = ((T1*T2)*d_T3_dV_gi_e+(T1*d_T2_dV_gi_e+d_T1_dV_gi_e*T2)*T3);
d_VgsStep_dV_gi_si1 = ((T1*T2)*d_T3_dV_gi_si1+(T1*d_T2_dV_gi_si1+d_T1_dV_gi_si1*T2)*T3);
d_VgsStep_dV_gi_di1 = ((T1*T2)*d_T3_dV_gi_di1+(T1*d_T2_dV_gi_di1+d_T1_dV_gi_di1*T2)*T3);
d_VgsStep_dV_ge_si = ((T1*T2)*d_T3_dV_ge_si+(T1*d_T2_dV_ge_si+d_T1_dV_ge_si*T2)*T3);
d_VgsStep_dV_ge_di = ((T1*T2)*d_T3_dV_ge_di+(T1*d_T2_dV_ge_di+d_T1_dV_ge_di*T2)*T3);
VgsStep = ((T1*T2)*T3);

d_Vdsatii_dTemp_t_GND = d_VgsStep_dTemp_t_GND*(1.0-(LII_i/Leff));
d_Vdsatii_dV_di_si = d_VgsStep_dV_di_si*(1.0-(LII_i/Leff));
d_Vdsatii_dV_gi_si = d_VgsStep_dV_gi_si*(1.0-(LII_i/Leff));
d_Vdsatii_dV_e_di = d_VgsStep_dV_e_di*(1.0-(LII_i/Leff));
d_Vdsatii_dV_e_si = d_VgsStep_dV_e_si*(1.0-(LII_i/Leff));
d_Vdsatii_dV_gi_e = d_VgsStep_dV_gi_e*(1.0-(LII_i/Leff));
d_Vdsatii_dV_gi_si1 = d_VgsStep_dV_gi_si1*(1.0-(LII_i/Leff));
d_Vdsatii_dV_gi_di1 = d_VgsStep_dV_gi_di1*(1.0-(LII_i/Leff));
d_Vdsatii_dV_ge_si = d_VgsStep_dV_ge_si*(1.0-(LII_i/Leff));
d_Vdsatii_dV_ge_di = d_VgsStep_dV_ge_di*(1.0-(LII_i/Leff));
Vdsatii = (VgsStep*(1.0-(LII_i/Leff)));

d_Vdiff_dTemp_t_GND = (-d_Vdsatii_dTemp_t_GND);
d_Vdiff_dV_gi_si = (-d_Vdsatii_dV_gi_si);
d_Vdiff_dV_e_di = (-d_Vdsatii_dV_e_di);
d_Vdiff_dV_e_si = (-d_Vdsatii_dV_e_si);
d_Vdiff_dV_gi_e = (-d_Vdsatii_dV_gi_e);
d_Vdiff_dV_gi_si1 = (-d_Vdsatii_dV_gi_si1);
d_Vdiff_dV_gi_di1 = (-d_Vdsatii_dV_gi_di1);
d_Vdiff_dV_ge_si = (-d_Vdsatii_dV_ge_si);
d_Vdiff_dV_ge_di = (-d_Vdsatii_dV_ge_di);
d_Vdiff_dV_di_si = (d_vds_dV_di_si-d_Vdsatii_dV_di_si);
Vdiff = (vds-Vdsatii);

d_T0_dV_ge_e = d_T0_dV_gi_di =  0.0;
d_T0_dTemp_t_GND = (BETAII1_i*d_Vdiff_dTemp_t_GND+((BETAII0_i*Vdiff)*d_Vdiff_dTemp_t_GND+BETAII0_i*d_Vdiff_dTemp_t_GND*Vdiff));
d_T0_dV_gi_si = (BETAII1_i*d_Vdiff_dV_gi_si+((BETAII0_i*Vdiff)*d_Vdiff_dV_gi_si+BETAII0_i*d_Vdiff_dV_gi_si*Vdiff));
d_T0_dV_e_di = (BETAII1_i*d_Vdiff_dV_e_di+((BETAII0_i*Vdiff)*d_Vdiff_dV_e_di+BETAII0_i*d_Vdiff_dV_e_di*Vdiff));
d_T0_dV_e_si = (BETAII1_i*d_Vdiff_dV_e_si+((BETAII0_i*Vdiff)*d_Vdiff_dV_e_si+BETAII0_i*d_Vdiff_dV_e_si*Vdiff));
d_T0_dV_gi_e = (BETAII1_i*d_Vdiff_dV_gi_e+((BETAII0_i*Vdiff)*d_Vdiff_dV_gi_e+BETAII0_i*d_Vdiff_dV_gi_e*Vdiff));
d_T0_dV_gi_si1 = (BETAII1_i*d_Vdiff_dV_gi_si1+((BETAII0_i*Vdiff)*d_Vdiff_dV_gi_si1+BETAII0_i*d_Vdiff_dV_gi_si1*Vdiff));
d_T0_dV_gi_di1 = (BETAII1_i*d_Vdiff_dV_gi_di1+((BETAII0_i*Vdiff)*d_Vdiff_dV_gi_di1+BETAII0_i*d_Vdiff_dV_gi_di1*Vdiff));
d_T0_dV_ge_si = (BETAII1_i*d_Vdiff_dV_ge_si+((BETAII0_i*Vdiff)*d_Vdiff_dV_ge_si+BETAII0_i*d_Vdiff_dV_ge_si*Vdiff));
d_T0_dV_ge_di = (BETAII1_i*d_Vdiff_dV_ge_di+((BETAII0_i*Vdiff)*d_Vdiff_dV_ge_di+BETAII0_i*d_Vdiff_dV_ge_di*Vdiff));
d_T0_dV_di_si = (BETAII1_i*d_Vdiff_dV_di_si+((BETAII0_i*Vdiff)*d_Vdiff_dV_di_si+BETAII0_i*d_Vdiff_dV_di_si*Vdiff));
T0 = ((BETAII2_i+(BETAII1_i*Vdiff))+((BETAII0_i*Vdiff)*Vdiff));
{
double value_sqrt_0 = sqrt(((T0*T0)+1.0e-10));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di =  0.0;
d_T1_dTemp_t_GND = (deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)));
d_T1_dV_di_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0)));
d_T1_dV_gi_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0)));
d_T1_dV_e_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0)));
d_T1_dV_e_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0)));
d_T1_dV_gi_e = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0)));
d_T1_dV_gi_si1 = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0)));
d_T1_dV_gi_di1 = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0)));
d_T1_dV_ge_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0)));
d_T1_dV_ge_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_ge_di+d_T0_dV_ge_di*T0)));
T1 = value_sqrt_0;
}
{
double value_exp_0 = exp((Vdiff/T1));
double value_exp_1 = exp((Vdiff/T1));
double value_exp_2 = exp((Vdiff/T1));
double value_exp_3 = exp((Vdiff/T1));
double value_sqrt_4 = sqrt(((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3)))-((4.0*(-10.0))*(model_.IIMOD2CLAMP3))));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_exp_2_d0 = value_exp_2;
double  deriv_exp_3_d0 = value_exp_3;
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);

d_Ratio_dV_gi_si = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_si-Vdiff*d_T1_dV_gi_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_gi_si-Vdiff*d_T1_dV_gi_si)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_si-Vdiff*d_T1_dV_gi_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_gi_si-Vdiff*d_T1_dV_gi_si)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_si-Vdiff*d_T1_dV_gi_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_gi_si-Vdiff*d_T1_dV_gi_si)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_e_di = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_e_di-Vdiff*d_T1_dV_e_di)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_e_di-Vdiff*d_T1_dV_e_di)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_e_di-Vdiff*d_T1_dV_e_di)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_e_di-Vdiff*d_T1_dV_e_di)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_e_di-Vdiff*d_T1_dV_e_di)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_e_di-Vdiff*d_T1_dV_e_di)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_e_si = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_e_si-Vdiff*d_T1_dV_e_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_e_si-Vdiff*d_T1_dV_e_si)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_e_si-Vdiff*d_T1_dV_e_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_e_si-Vdiff*d_T1_dV_e_si)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_e_si-Vdiff*d_T1_dV_e_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_e_si-Vdiff*d_T1_dV_e_si)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_gi_e = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_e-Vdiff*d_T1_dV_gi_e)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_gi_e-Vdiff*d_T1_dV_gi_e)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_e-Vdiff*d_T1_dV_gi_e)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_gi_e-Vdiff*d_T1_dV_gi_e)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_e-Vdiff*d_T1_dV_gi_e)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_gi_e-Vdiff*d_T1_dV_gi_e)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_gi_si1 = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_si1-Vdiff*d_T1_dV_gi_si1)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_gi_si1-Vdiff*d_T1_dV_gi_si1)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_si1-Vdiff*d_T1_dV_gi_si1)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_gi_si1-Vdiff*d_T1_dV_gi_si1)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_si1-Vdiff*d_T1_dV_gi_si1)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_gi_si1-Vdiff*d_T1_dV_gi_si1)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_gi_di1 = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_di1-Vdiff*d_T1_dV_gi_di1)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_gi_di1-Vdiff*d_T1_dV_gi_di1)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_di1-Vdiff*d_T1_dV_gi_di1)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_gi_di1-Vdiff*d_T1_dV_gi_di1)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_gi_di1-Vdiff*d_T1_dV_gi_di1)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_gi_di1-Vdiff*d_T1_dV_gi_di1)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_ge_si = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_ge_si-Vdiff*d_T1_dV_ge_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_ge_si-Vdiff*d_T1_dV_ge_si)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_ge_si-Vdiff*d_T1_dV_ge_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_ge_si-Vdiff*d_T1_dV_ge_si)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_ge_si-Vdiff*d_T1_dV_ge_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_ge_si-Vdiff*d_T1_dV_ge_si)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_ge_di = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_ge_di-Vdiff*d_T1_dV_ge_di)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_ge_di-Vdiff*d_T1_dV_ge_di)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_ge_di-Vdiff*d_T1_dV_ge_di)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_ge_di-Vdiff*d_T1_dV_ge_di)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_ge_di-Vdiff*d_T1_dV_ge_di)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_ge_di-Vdiff*d_T1_dV_ge_di)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dV_di_si = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_di_si-Vdiff*d_T1_dV_di_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dV_di_si-Vdiff*d_T1_dV_di_si)/T1/T1)))))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_di_si-Vdiff*d_T1_dV_di_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dV_di_si-Vdiff*d_T1_dV_di_si)/T1/T1)))))+(-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dV_di_si-Vdiff*d_T1_dV_di_si)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dV_di_si-Vdiff*d_T1_dV_di_si)/T1/T1)))))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
d_Ratio_dTemp_t_GND = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:0.5*(((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dTemp_t_GND-Vdiff*d_T1_dTemp_t_GND)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_1_d0*(((T1*d_Vdiff_dTemp_t_GND-Vdiff*d_T1_dTemp_t_GND)/T1/T1)))))+(-d_ALPHAII_dTemp_t_GND)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_1)))+(deriv_sqrt_4_d0*((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-(model_.IIMOD2CLAMP3))*((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dTemp_t_GND-Vdiff*d_T1_dTemp_t_GND)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_3_d0*(((T1*d_Vdiff_dTemp_t_GND-Vdiff*d_T1_dTemp_t_GND)/T1/T1)))))+(-d_ALPHAII_dTemp_t_GND)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))+((-ALPHAII)*(((Vdiff/T1)>80.0)?5.540622384e34*((T1*d_Vdiff_dTemp_t_GND-Vdiff*d_T1_dTemp_t_GND)/T1/T1):(((Vdiff/T1)<(-80.0))?0.0:(deriv_exp_2_d0*(((T1*d_Vdiff_dTemp_t_GND-Vdiff*d_T1_dTemp_t_GND)/T1/T1)))))+(-d_ALPHAII_dTemp_t_GND)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_2)))*((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-(model_.IIMOD2CLAMP3))))))));
Ratio = (-((((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&((model_.IIMOD2CLAMP3)==0.0))?0.0:((-10.0)+(0.5*(((((-ALPHAII)*(((Vdiff/T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/T1))-80.0)):(((Vdiff/T1)<(-80.0))?1.804851387e-35:value_exp_1)))-(-10.0))-(model_.IIMOD2CLAMP3))+value_sqrt_4)))));
}

d_Iii_dV_gi_si = (Ratio*d_ids_dV_gi_si+d_Ratio_dV_gi_si*ids);
d_Iii_dV_e_di = (Ratio*d_ids_dV_e_di+d_Ratio_dV_e_di*ids);
d_Iii_dV_e_si = (Ratio*d_ids_dV_e_si+d_Ratio_dV_e_si*ids);
d_Iii_dV_gi_e = (Ratio*d_ids_dV_gi_e+d_Ratio_dV_gi_e*ids);
d_Iii_dV_gi_si1 = (Ratio*d_ids_dV_gi_si1+d_Ratio_dV_gi_si1*ids);
d_Iii_dV_gi_di1 = (Ratio*d_ids_dV_gi_di1+d_Ratio_dV_gi_di1*ids);
d_Iii_dV_ge_si = d_Ratio_dV_ge_si*ids;
d_Iii_dV_ge_di = d_Ratio_dV_ge_di*ids;
d_Iii_dV_di_si = (Ratio*d_ids_dV_di_si+d_Ratio_dV_di_si*ids);
d_Iii_dTemp_t_GND = (Ratio*d_ids_dTemp_t_GND+d_Ratio_dTemp_t_GND*ids);
Iii = (Ratio*ids);
}
}
}
if (((model_.IGBMOD)!=0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = ((Vtm*(d_qia_dTemp_t_GND/NIGBINV_i)-((qia-EIGBINV_i)/NIGBINV_i)*d_Vtm_dTemp_t_GND)/Vtm/Vtm);
d_T1_dV_gi_si = ((d_qia_dV_gi_si/NIGBINV_i)/Vtm);
d_T1_dV_e_di = ((d_qia_dV_e_di/NIGBINV_i)/Vtm);
d_T1_dV_e_si = ((d_qia_dV_e_si/NIGBINV_i)/Vtm);
d_T1_dV_di_si = ((d_qia_dV_di_si/NIGBINV_i)/Vtm);
T1 = (((qia-EIGBINV_i)/NIGBINV_i)/Vtm);
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(T1);

d_Vaux_Igbinv_dV_di_si = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_di_si);
d_Vaux_Igbinv_dV_gi_si = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_si);
d_Vaux_Igbinv_dV_e_di = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_e_di);
d_Vaux_Igbinv_dV_e_si = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_e_si);
d_Vaux_Igbinv_dV_gi_e = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_e);
d_Vaux_Igbinv_dV_gi_si1 = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_si1);
d_Vaux_Igbinv_dV_gi_di1 = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_di1);
d_Vaux_Igbinv_dV_ge_si = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_ge_si);
d_Vaux_Igbinv_dV_ge_di = (NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_ge_di);
d_Vaux_Igbinv_dTemp_t_GND = ((NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dTemp_t_GND)+NIGBINV_i*d_Vtm_dTemp_t_GND*evaluator_ln_one_plus_exp_0.getValues(T1));
Vaux_Igbinv = ((NIGBINV_i*Vtm)*evaluator_ln_one_plus_exp_0.getValues(T1));
}
{
double value_sqrt_0 = sqrt((((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)*(((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6))-((4.0*(-(model_.IGBINVCLAMP)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dV_gi_si = (((((AIGBINV_t-(BIGBINV_i*qia))==0.0)&&((-(model_.IGBINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBINV_i*d_qia_dV_gi_si)+(deriv_sqrt_0_d0*(((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)*(-BIGBINV_i*d_qia_dV_gi_si)+(-BIGBINV_i*d_qia_dV_gi_si)*(((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6))))));
d_T2_dV_e_di = (((((AIGBINV_t-(BIGBINV_i*qia))==0.0)&&((-(model_.IGBINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBINV_i*d_qia_dV_e_di)+(deriv_sqrt_0_d0*(((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)*(-BIGBINV_i*d_qia_dV_e_di)+(-BIGBINV_i*d_qia_dV_e_di)*(((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6))))));
d_T2_dV_e_si = (((((AIGBINV_t-(BIGBINV_i*qia))==0.0)&&((-(model_.IGBINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBINV_i*d_qia_dV_e_si)+(deriv_sqrt_0_d0*(((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)*(-BIGBINV_i*d_qia_dV_e_si)+(-BIGBINV_i*d_qia_dV_e_si)*(((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6))))));
d_T2_dV_di_si = (((((AIGBINV_t-(BIGBINV_i*qia))==0.0)&&((-(model_.IGBINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBINV_i*d_qia_dV_di_si)+(deriv_sqrt_0_d0*(((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)*(-BIGBINV_i*d_qia_dV_di_si)+(-BIGBINV_i*d_qia_dV_di_si)*(((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6))))));
d_T2_dTemp_t_GND = (((((AIGBINV_t-(BIGBINV_i*qia))==0.0)&&((-(model_.IGBINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((d_AIGBINV_t_dTemp_t_GND-BIGBINV_i*d_qia_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)*(d_AIGBINV_t_dTemp_t_GND-BIGBINV_i*d_qia_dTemp_t_GND)+(d_AIGBINV_t_dTemp_t_GND-BIGBINV_i*d_qia_dTemp_t_GND)*(((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6))))));
T2 = (((((AIGBINV_t-(BIGBINV_i*qia))==0.0)&&((-(model_.IGBINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.IGBINVCLAMP))+(0.5*((((AIGBINV_t-(BIGBINV_i*qia))-(-(model_.IGBINVCLAMP)))-1.0e-6)+value_sqrt_0))));
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e =  0.0;
d_T3_dTemp_t_GND = CIGBINV_i*d_qia_dTemp_t_GND;
d_T3_dV_gi_si = CIGBINV_i*d_qia_dV_gi_si;
d_T3_dV_e_di = CIGBINV_i*d_qia_dV_e_di;
d_T3_dV_e_si = CIGBINV_i*d_qia_dV_e_si;
d_T3_dV_di_si = CIGBINV_i*d_qia_dV_di_si;
T3 = (1.0+(CIGBINV_i*qia));

d_T4_dV_ge_e = d_T4_dV_gi_di =  0.0;
d_T4_dTemp_t_GND = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dTemp_t_GND+((-9.82222e11)*(model_.TOXG))*d_T2_dTemp_t_GND*T3);
d_T4_dV_di_si = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_di_si+((-9.82222e11)*(model_.TOXG))*d_T2_dV_di_si*T3);
d_T4_dV_e_di = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_e_di+((-9.82222e11)*(model_.TOXG))*d_T2_dV_e_di*T3);
d_T4_dV_e_si = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_e_si+((-9.82222e11)*(model_.TOXG))*d_T2_dV_e_si*T3);
d_T4_dV_gi_si = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_gi_si+((-9.82222e11)*(model_.TOXG))*d_T2_dV_gi_si*T3);
d_T4_dV_gi_e = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_gi_e+((-9.82222e11)*(model_.TOXG))*d_T2_dV_gi_e*T3);
d_T4_dV_gi_si1 = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_gi_si1+((-9.82222e11)*(model_.TOXG))*d_T2_dV_gi_si1*T3);
d_T4_dV_gi_di1 = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_gi_di1+((-9.82222e11)*(model_.TOXG))*d_T2_dV_gi_di1*T3);
d_T4_dV_ge_si = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_ge_si+((-9.82222e11)*(model_.TOXG))*d_T2_dV_ge_si*T3);
d_T4_dV_ge_di = ((((-9.82222e11)*(model_.TOXG))*T2)*d_T3_dV_ge_di+((-9.82222e11)*(model_.TOXG))*d_T2_dV_ge_di*T3);
T4 = ((((-9.82222e11)*(model_.TOXG))*T2)*T3);
{
double value_exp_0 = exp(T4);
double  deriv_exp_0_d0 = value_exp_0;

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((T4>80.0)?5.540622384e34*d_T4_dTemp_t_GND:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dTemp_t_GND))));
d_T5_dV_di_si = ((T4>80.0)?5.540622384e34*d_T4_dV_di_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_di_si))));
d_T5_dV_gi_si = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_si))));
d_T5_dV_e_di = ((T4>80.0)?5.540622384e34*d_T4_dV_e_di:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_e_di))));
d_T5_dV_e_si = ((T4>80.0)?5.540622384e34*d_T4_dV_e_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_e_si))));
d_T5_dV_gi_e = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_e:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_e))));
d_T5_dV_gi_si1 = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_si1:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_si1))));
d_T5_dV_gi_di1 = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_di1:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_di1))));
d_T5_dV_ge_si = ((T4>80.0)?5.540622384e34*d_T4_dV_ge_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_ge_si))));
d_T5_dV_ge_di = ((T4>80.0)?5.540622384e34*d_T4_dV_ge_di:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_ge_di))));
T5 = ((T4>80.0)?(5.540622384e34*((1.0+T4)-80.0)):((T4<(-80.0))?1.804851387e-35:value_exp_0));
}

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si = d_T6_dTemp_t_GND =  0.0;
T6 = 3.75956e-7;

d_igbinv_dV_s_si1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_s_si1+(Weff0*Leff)*d_T6_dV_s_si1*Toxratio*vge*Vaux_Igbinv*T5);
d_igbinv_dV_d_di1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_d_di1+(Weff0*Leff)*d_T6_dV_d_di1*Toxratio*vge*Vaux_Igbinv*T5);
d_igbinv_dV_gi_si1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_gi_si1+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_gi_si1+(Weff0*Leff)*d_T6_dV_gi_si1*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_gi_di1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_gi_di1+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_gi_di1+(Weff0*Leff)*d_T6_dV_gi_di1*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_ge_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_ge_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_ge_si+(Weff0*Leff)*d_T6_dV_ge_si*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_ge_di = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_ge_di+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_ge_di+(Weff0*Leff)*d_T6_dV_ge_di*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dTemp_t_GND = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dTemp_t_GND+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dTemp_t_GND+(Weff0*Leff)*d_T6_dTemp_t_GND*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_gi_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_gi_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_gi_si+(Weff0*Leff)*d_T6_dV_gi_si*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_e_di = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_e_di+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_e_di+(Weff0*Leff)*d_T6_dV_e_di*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_e_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_e_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_e_si+(Weff0*Leff)*d_T6_dV_e_si*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_di_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_di_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_di_si+(Weff0*Leff)*d_T6_dV_di_si*Toxratio*vge*Vaux_Igbinv)*T5);
d_igbinv_dV_gi_e = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*d_T5_dV_gi_e+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbinv_dV_gi_e+((((Weff0*Leff)*T6)*Toxratio)*d_vge_dV_gi_e+(Weff0*Leff)*d_T6_dV_gi_e*Toxratio*vge)*Vaux_Igbinv)*T5);
igbinv = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbinv)*T5);

d_igbinv_dV_s_si1 = IGB0MULT*d_igbinv_dV_s_si1*igtemp;
d_igbinv_dV_d_di1 = IGB0MULT*d_igbinv_dV_d_di1*igtemp;
d_igbinv_dV_gi_si1 = IGB0MULT*d_igbinv_dV_gi_si1*igtemp;
d_igbinv_dV_gi_di1 = IGB0MULT*d_igbinv_dV_gi_di1*igtemp;
d_igbinv_dV_ge_si = IGB0MULT*d_igbinv_dV_ge_si*igtemp;
d_igbinv_dV_ge_di = IGB0MULT*d_igbinv_dV_ge_di*igtemp;
d_igbinv_dTemp_t_GND = ((IGB0MULT*igbinv)*d_igtemp_dTemp_t_GND+IGB0MULT*d_igbinv_dTemp_t_GND*igtemp);
d_igbinv_dV_gi_si = IGB0MULT*d_igbinv_dV_gi_si*igtemp;
d_igbinv_dV_e_di = IGB0MULT*d_igbinv_dV_e_di*igtemp;
d_igbinv_dV_e_si = IGB0MULT*d_igbinv_dV_e_si*igtemp;
d_igbinv_dV_di_si = IGB0MULT*d_igbinv_dV_di_si*igtemp;
d_igbinv_dV_gi_e = IGB0MULT*d_igbinv_dV_gi_e*igtemp;
igbinv = ((IGB0MULT*igbinv)*igtemp);

d_vfbzb_dTemp_t_GND = ((d_deltaPhi_dTemp_t_GND-(d_Eg_dTemp_t_GND/2.0))-d_phib_dTemp_t_GND);
vfbzb = ((deltaPhi-(Eg/2.0))-phib);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dV_gi_e = (-d_vge_dV_gi_e);
d_T0_dTemp_t_GND = d_vfbzb_dTemp_t_GND;
T0 = (vfbzb-vge);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di =  0.0;
d_T1_dTemp_t_GND = ((Vtm*(d_T0_dTemp_t_GND/NIGBACC_i)-(T0/NIGBACC_i)*d_Vtm_dTemp_t_GND)/Vtm/Vtm);
d_T1_dV_di_si = ((d_T0_dV_di_si/NIGBACC_i)/Vtm);
d_T1_dV_gi_si = ((d_T0_dV_gi_si/NIGBACC_i)/Vtm);
d_T1_dV_e_di = ((d_T0_dV_e_di/NIGBACC_i)/Vtm);
d_T1_dV_e_si = ((d_T0_dV_e_si/NIGBACC_i)/Vtm);
d_T1_dV_gi_e = ((d_T0_dV_gi_e/NIGBACC_i)/Vtm);
d_T1_dV_gi_si1 = ((d_T0_dV_gi_si1/NIGBACC_i)/Vtm);
d_T1_dV_gi_di1 = ((d_T0_dV_gi_di1/NIGBACC_i)/Vtm);
d_T1_dV_ge_si = ((d_T0_dV_ge_si/NIGBACC_i)/Vtm);
d_T1_dV_ge_di = ((d_T0_dV_ge_di/NIGBACC_i)/Vtm);
T1 = ((T0/NIGBACC_i)/Vtm);
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(T1);

d_Vaux_Igbacc_dV_di_si = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_di_si);
d_Vaux_Igbacc_dV_gi_si = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_si);
d_Vaux_Igbacc_dV_e_di = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_e_di);
d_Vaux_Igbacc_dV_e_si = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_e_si);
d_Vaux_Igbacc_dV_gi_e = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_e);
d_Vaux_Igbacc_dV_gi_si1 = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_si1);
d_Vaux_Igbacc_dV_gi_di1 = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_gi_di1);
d_Vaux_Igbacc_dV_ge_si = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_ge_si);
d_Vaux_Igbacc_dV_ge_di = (NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dV_ge_di);
d_Vaux_Igbacc_dTemp_t_GND = ((NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(T1,d_T1_dTemp_t_GND)+NIGBACC_i*d_Vtm_dTemp_t_GND*evaluator_ln_one_plus_exp_0.getValues(T1));
Vaux_Igbacc = ((NIGBACC_i*Vtm)*evaluator_ln_one_plus_exp_0.getValues(T1));
}
if (((model_.BULKMOD)!=0))
{

d_Voxacc_dV_ge_di = d_Voxacc_dV_ge_si = d_Voxacc_dV_gi_di1 = d_Voxacc_dV_gi_si1 =  0.0;
d_Voxacc_dV_gi_si = d_qi_acc_for_QM_dV_gi_si;
d_Voxacc_dV_e_di = d_qi_acc_for_QM_dV_e_di;
d_Voxacc_dV_e_si = d_qi_acc_for_QM_dV_e_si;
d_Voxacc_dV_gi_e = d_qi_acc_for_QM_dV_gi_e;
d_Voxacc_dV_di_si = d_qi_acc_for_QM_dV_di_si;
d_Voxacc_dTemp_t_GND = d_qi_acc_for_QM_dTemp_t_GND;
Voxacc = qi_acc_for_QM;
}
else
{
if ((vfbzb<=0.0))
{
{
double value_sqrt_0 = sqrt((((T0-0.02)*(T0-0.02))-(0.08*vfbzb)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Voxacc_dTemp_t_GND = 0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((((T0-0.02)*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*(T0-0.02))-0.08*d_vfbzb_dTemp_t_GND))));
d_Voxacc_dV_di_si = 0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_di_si+d_T0_dV_di_si*(T0-0.02)))));
d_Voxacc_dV_gi_si = 0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_si+d_T0_dV_gi_si*(T0-0.02)))));
d_Voxacc_dV_e_di = 0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_e_di+d_T0_dV_e_di*(T0-0.02)))));
d_Voxacc_dV_e_si = 0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_e_si+d_T0_dV_e_si*(T0-0.02)))));
d_Voxacc_dV_gi_e = 0.5*(d_T0_dV_gi_e+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_e+d_T0_dV_gi_e*(T0-0.02)))));
d_Voxacc_dV_gi_si1 = 0.5*(d_T0_dV_gi_si1+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_si1+d_T0_dV_gi_si1*(T0-0.02)))));
d_Voxacc_dV_gi_di1 = 0.5*(d_T0_dV_gi_di1+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_di1+d_T0_dV_gi_di1*(T0-0.02)))));
d_Voxacc_dV_ge_si = 0.5*(d_T0_dV_ge_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_ge_si+d_T0_dV_ge_si*(T0-0.02)))));
d_Voxacc_dV_ge_di = 0.5*(d_T0_dV_ge_di+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_ge_di+d_T0_dV_ge_di*(T0-0.02)))));
Voxacc = (0.5*((T0-0.02)+value_sqrt_0));
}
}
else
{
{
double value_sqrt_0 = sqrt((((T0-0.02)*(T0-0.02))+(0.08*vfbzb)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Voxacc_dTemp_t_GND = 0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((((T0-0.02)*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*(T0-0.02))+0.08*d_vfbzb_dTemp_t_GND))));
d_Voxacc_dV_di_si = 0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_di_si+d_T0_dV_di_si*(T0-0.02)))));
d_Voxacc_dV_gi_si = 0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_si+d_T0_dV_gi_si*(T0-0.02)))));
d_Voxacc_dV_e_di = 0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_e_di+d_T0_dV_e_di*(T0-0.02)))));
d_Voxacc_dV_e_si = 0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_e_si+d_T0_dV_e_si*(T0-0.02)))));
d_Voxacc_dV_gi_e = 0.5*(d_T0_dV_gi_e+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_e+d_T0_dV_gi_e*(T0-0.02)))));
d_Voxacc_dV_gi_si1 = 0.5*(d_T0_dV_gi_si1+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_si1+d_T0_dV_gi_si1*(T0-0.02)))));
d_Voxacc_dV_gi_di1 = 0.5*(d_T0_dV_gi_di1+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_gi_di1+d_T0_dV_gi_di1*(T0-0.02)))));
d_Voxacc_dV_ge_si = 0.5*(d_T0_dV_ge_si+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_ge_si+d_T0_dV_ge_si*(T0-0.02)))));
d_Voxacc_dV_ge_di = 0.5*(d_T0_dV_ge_di+(deriv_sqrt_0_d0*(((T0-0.02)*d_T0_dV_ge_di+d_T0_dV_ge_di*(T0-0.02)))));
Voxacc = (0.5*((T0-0.02)+value_sqrt_0));
}
}
}
{
double value_sqrt_0 = sqrt((((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))-((4.0*(-(model_.IGBACCCLAMP)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di =  0.0;
d_T2_dV_gi_si = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_gi_si)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_gi_si)+(-BIGBACC_i*d_Voxacc_dV_gi_si)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_e_di = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_e_di)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_e_di)+(-BIGBACC_i*d_Voxacc_dV_e_di)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_e_si = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_e_si)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_e_si)+(-BIGBACC_i*d_Voxacc_dV_e_si)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_gi_e = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_gi_e)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_gi_e)+(-BIGBACC_i*d_Voxacc_dV_gi_e)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_di_si = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_di_si)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_di_si)+(-BIGBACC_i*d_Voxacc_dV_di_si)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_gi_si1 = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_gi_si1)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_gi_si1)+(-BIGBACC_i*d_Voxacc_dV_gi_si1)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_gi_di1 = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_gi_di1)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_gi_di1)+(-BIGBACC_i*d_Voxacc_dV_gi_di1)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_ge_si = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_ge_si)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_ge_si)+(-BIGBACC_i*d_Voxacc_dV_ge_si)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dV_ge_di = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGBACC_i*d_Voxacc_dV_ge_di)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(-BIGBACC_i*d_Voxacc_dV_ge_di)+(-BIGBACC_i*d_Voxacc_dV_ge_di)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
d_T2_dTemp_t_GND = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((d_AIGBACC_t_dTemp_t_GND-BIGBACC_i*d_Voxacc_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)*(d_AIGBACC_t_dTemp_t_GND-BIGBACC_i*d_Voxacc_dTemp_t_GND)+(d_AIGBACC_t_dTemp_t_GND-BIGBACC_i*d_Voxacc_dTemp_t_GND)*(((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6))))));
T2 = (((((AIGBACC_t-(BIGBACC_i*Voxacc))==0.0)&&((-(model_.IGBACCCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.IGBACCCLAMP))+(0.5*((((AIGBACC_t-(BIGBACC_i*Voxacc))-(-(model_.IGBACCCLAMP)))-1.0e-6)+value_sqrt_0))));
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di =  0.0;
d_T3_dV_gi_si = CIGBACC_i*d_Voxacc_dV_gi_si;
d_T3_dV_e_di = CIGBACC_i*d_Voxacc_dV_e_di;
d_T3_dV_e_si = CIGBACC_i*d_Voxacc_dV_e_si;
d_T3_dV_gi_e = CIGBACC_i*d_Voxacc_dV_gi_e;
d_T3_dV_di_si = CIGBACC_i*d_Voxacc_dV_di_si;
d_T3_dTemp_t_GND = CIGBACC_i*d_Voxacc_dTemp_t_GND;
d_T3_dV_gi_si1 = CIGBACC_i*d_Voxacc_dV_gi_si1;
d_T3_dV_gi_di1 = CIGBACC_i*d_Voxacc_dV_gi_di1;
d_T3_dV_ge_si = CIGBACC_i*d_Voxacc_dV_ge_si;
d_T3_dV_ge_di = CIGBACC_i*d_Voxacc_dV_ge_di;
T3 = (1.0+(CIGBACC_i*Voxacc));

d_T4_dV_ge_e = d_T4_dV_gi_di =  0.0;
d_T4_dTemp_t_GND = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dTemp_t_GND+((-7.45669e11)*(model_.TOXG))*d_T2_dTemp_t_GND*T3);
d_T4_dV_di_si = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_di_si+((-7.45669e11)*(model_.TOXG))*d_T2_dV_di_si*T3);
d_T4_dV_e_di = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_e_di+((-7.45669e11)*(model_.TOXG))*d_T2_dV_e_di*T3);
d_T4_dV_e_si = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_e_si+((-7.45669e11)*(model_.TOXG))*d_T2_dV_e_si*T3);
d_T4_dV_gi_si = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_gi_si+((-7.45669e11)*(model_.TOXG))*d_T2_dV_gi_si*T3);
d_T4_dV_gi_e = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_gi_e+((-7.45669e11)*(model_.TOXG))*d_T2_dV_gi_e*T3);
d_T4_dV_gi_si1 = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_gi_si1+((-7.45669e11)*(model_.TOXG))*d_T2_dV_gi_si1*T3);
d_T4_dV_gi_di1 = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_gi_di1+((-7.45669e11)*(model_.TOXG))*d_T2_dV_gi_di1*T3);
d_T4_dV_ge_si = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_ge_si+((-7.45669e11)*(model_.TOXG))*d_T2_dV_ge_si*T3);
d_T4_dV_ge_di = ((((-7.45669e11)*(model_.TOXG))*T2)*d_T3_dV_ge_di+((-7.45669e11)*(model_.TOXG))*d_T2_dV_ge_di*T3);
T4 = ((((-7.45669e11)*(model_.TOXG))*T2)*T3);
{
double value_exp_0 = exp(T4);
double  deriv_exp_0_d0 = value_exp_0;

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((T4>80.0)?5.540622384e34*d_T4_dTemp_t_GND:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dTemp_t_GND))));
d_T5_dV_di_si = ((T4>80.0)?5.540622384e34*d_T4_dV_di_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_di_si))));
d_T5_dV_gi_si = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_si))));
d_T5_dV_e_di = ((T4>80.0)?5.540622384e34*d_T4_dV_e_di:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_e_di))));
d_T5_dV_e_si = ((T4>80.0)?5.540622384e34*d_T4_dV_e_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_e_si))));
d_T5_dV_gi_e = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_e:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_e))));
d_T5_dV_gi_si1 = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_si1:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_si1))));
d_T5_dV_gi_di1 = ((T4>80.0)?5.540622384e34*d_T4_dV_gi_di1:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_gi_di1))));
d_T5_dV_ge_si = ((T4>80.0)?5.540622384e34*d_T4_dV_ge_si:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_ge_si))));
d_T5_dV_ge_di = ((T4>80.0)?5.540622384e34*d_T4_dV_ge_di:((T4<(-80.0))?0.0:(deriv_exp_0_d0*(d_T4_dV_ge_di))));
T5 = ((T4>80.0)?(5.540622384e34*((1.0+T4)-80.0)):((T4<(-80.0))?1.804851387e-35:value_exp_0));
}

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si = d_T6_dTemp_t_GND =  0.0;
T6 = 4.97232e-7;

d_igbacc_dV_s_si1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_s_si1+(Weff0*Leff)*d_T6_dV_s_si1*Toxratio*vge*Vaux_Igbacc*T5);
d_igbacc_dV_d_di1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_d_di1+(Weff0*Leff)*d_T6_dV_d_di1*Toxratio*vge*Vaux_Igbacc*T5);
d_igbacc_dV_gi_si1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_gi_si1+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_gi_si1+(Weff0*Leff)*d_T6_dV_gi_si1*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_gi_di1 = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_gi_di1+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_gi_di1+(Weff0*Leff)*d_T6_dV_gi_di1*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_ge_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_ge_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_ge_si+(Weff0*Leff)*d_T6_dV_ge_si*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_ge_di = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_ge_di+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_ge_di+(Weff0*Leff)*d_T6_dV_ge_di*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dTemp_t_GND = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dTemp_t_GND+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dTemp_t_GND+(Weff0*Leff)*d_T6_dTemp_t_GND*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_gi_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_gi_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_gi_si+(Weff0*Leff)*d_T6_dV_gi_si*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_e_di = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_e_di+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_e_di+(Weff0*Leff)*d_T6_dV_e_di*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_e_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_e_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_e_si+(Weff0*Leff)*d_T6_dV_e_si*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_di_si = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_di_si+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_di_si+(Weff0*Leff)*d_T6_dV_di_si*Toxratio*vge*Vaux_Igbacc)*T5);
d_igbacc_dV_gi_e = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*d_T5_dV_gi_e+(((((Weff0*Leff)*T6)*Toxratio)*vge)*d_Vaux_Igbacc_dV_gi_e+((((Weff0*Leff)*T6)*Toxratio)*d_vge_dV_gi_e+(Weff0*Leff)*d_T6_dV_gi_e*Toxratio*vge)*Vaux_Igbacc)*T5);
igbacc = ((((((Weff0*Leff)*T6)*Toxratio)*vge)*Vaux_Igbacc)*T5);

d_igbacc_dV_s_si1 = IGB0MULT*d_igbacc_dV_s_si1*igtemp;
d_igbacc_dV_d_di1 = IGB0MULT*d_igbacc_dV_d_di1*igtemp;
d_igbacc_dV_gi_si1 = IGB0MULT*d_igbacc_dV_gi_si1*igtemp;
d_igbacc_dV_gi_di1 = IGB0MULT*d_igbacc_dV_gi_di1*igtemp;
d_igbacc_dV_ge_si = IGB0MULT*d_igbacc_dV_ge_si*igtemp;
d_igbacc_dV_ge_di = IGB0MULT*d_igbacc_dV_ge_di*igtemp;
d_igbacc_dTemp_t_GND = ((IGB0MULT*igbacc)*d_igtemp_dTemp_t_GND+IGB0MULT*d_igbacc_dTemp_t_GND*igtemp);
d_igbacc_dV_gi_si = IGB0MULT*d_igbacc_dV_gi_si*igtemp;
d_igbacc_dV_e_di = IGB0MULT*d_igbacc_dV_e_di*igtemp;
d_igbacc_dV_e_si = IGB0MULT*d_igbacc_dV_e_si*igtemp;
d_igbacc_dV_di_si = IGB0MULT*d_igbacc_dV_di_si*igtemp;
d_igbacc_dV_gi_e = IGB0MULT*d_igbacc_dV_gi_e*igtemp;
igbacc = ((IGB0MULT*igbacc)*igtemp);
}
if (((model_.IGCMOD)!=0))
{
{
double value_sqrt_0 = sqrt((((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)*(((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6))-((4.0*(-(model_.IGCINVCLAMP)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dV_gi_si = (((((AIGC_t-(BIGC_i*qia))==0.0)&&((-(model_.IGCINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGC_i*d_qia_dV_gi_si)+(deriv_sqrt_0_d0*(((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)*(-BIGC_i*d_qia_dV_gi_si)+(-BIGC_i*d_qia_dV_gi_si)*(((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6))))));
d_T1_dV_e_di = (((((AIGC_t-(BIGC_i*qia))==0.0)&&((-(model_.IGCINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGC_i*d_qia_dV_e_di)+(deriv_sqrt_0_d0*(((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)*(-BIGC_i*d_qia_dV_e_di)+(-BIGC_i*d_qia_dV_e_di)*(((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6))))));
d_T1_dV_e_si = (((((AIGC_t-(BIGC_i*qia))==0.0)&&((-(model_.IGCINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGC_i*d_qia_dV_e_si)+(deriv_sqrt_0_d0*(((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)*(-BIGC_i*d_qia_dV_e_si)+(-BIGC_i*d_qia_dV_e_si)*(((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6))))));
d_T1_dV_di_si = (((((AIGC_t-(BIGC_i*qia))==0.0)&&((-(model_.IGCINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-BIGC_i*d_qia_dV_di_si)+(deriv_sqrt_0_d0*(((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)*(-BIGC_i*d_qia_dV_di_si)+(-BIGC_i*d_qia_dV_di_si)*(((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6))))));
d_T1_dTemp_t_GND = (((((AIGC_t-(BIGC_i*qia))==0.0)&&((-(model_.IGCINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((d_AIGC_t_dTemp_t_GND-BIGC_i*d_qia_dTemp_t_GND)+(deriv_sqrt_0_d0*(((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)*(d_AIGC_t_dTemp_t_GND-BIGC_i*d_qia_dTemp_t_GND)+(d_AIGC_t_dTemp_t_GND-BIGC_i*d_qia_dTemp_t_GND)*(((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6))))));
T1 = (((((AIGC_t-(BIGC_i*qia))==0.0)&&((-(model_.IGCINVCLAMP))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.IGCINVCLAMP))+(0.5*((((AIGC_t-(BIGC_i*qia))-(-(model_.IGCINVCLAMP)))-1.0e-6)+value_sqrt_0))));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e =  0.0;
d_T2_dTemp_t_GND = CIGC_i*d_qia_dTemp_t_GND;
d_T2_dV_gi_si = CIGC_i*d_qia_dV_gi_si;
d_T2_dV_e_di = CIGC_i*d_qia_dV_e_di;
d_T2_dV_e_si = CIGC_i*d_qia_dV_e_si;
d_T2_dV_di_si = CIGC_i*d_qia_dV_di_si;
T2 = (1.0+(CIGC_i*qia));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di =  0.0;
d_T3_dTemp_t_GND = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dTemp_t_GND+((-Bechvb)*(model_.TOXG))*d_T1_dTemp_t_GND*T2);
d_T3_dV_di_si = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_di_si+((-Bechvb)*(model_.TOXG))*d_T1_dV_di_si*T2);
d_T3_dV_gi_si = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_gi_si+((-Bechvb)*(model_.TOXG))*d_T1_dV_gi_si*T2);
d_T3_dV_e_di = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_e_di+((-Bechvb)*(model_.TOXG))*d_T1_dV_e_di*T2);
d_T3_dV_e_si = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_e_si+((-Bechvb)*(model_.TOXG))*d_T1_dV_e_si*T2);
d_T3_dV_gi_e = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_gi_e+((-Bechvb)*(model_.TOXG))*d_T1_dV_gi_e*T2);
d_T3_dV_gi_si1 = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_gi_si1+((-Bechvb)*(model_.TOXG))*d_T1_dV_gi_si1*T2);
d_T3_dV_gi_di1 = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_gi_di1+((-Bechvb)*(model_.TOXG))*d_T1_dV_gi_di1*T2);
d_T3_dV_ge_si = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_ge_si+((-Bechvb)*(model_.TOXG))*d_T1_dV_ge_si*T2);
d_T3_dV_ge_di = ((((-Bechvb)*(model_.TOXG))*T1)*d_T2_dV_ge_di+((-Bechvb)*(model_.TOXG))*d_T1_dV_ge_di*T2);
T3 = ((((-Bechvb)*(model_.TOXG))*T1)*T2);
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di =  0.0;
d_T4_dV_gi_e = qia*((T3>80.0)?5.540622384e34*d_T3_dV_gi_e:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_e))));
d_T4_dV_gi_si1 = qia*((T3>80.0)?5.540622384e34*d_T3_dV_gi_si1:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si1))));
d_T4_dV_gi_di1 = qia*((T3>80.0)?5.540622384e34*d_T3_dV_gi_di1:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_di1))));
d_T4_dV_ge_si = qia*((T3>80.0)?5.540622384e34*d_T3_dV_ge_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_ge_si))));
d_T4_dV_ge_di = qia*((T3>80.0)?5.540622384e34*d_T3_dV_ge_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_ge_di))));
d_T4_dTemp_t_GND = (qia*((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))))+d_qia_dTemp_t_GND*((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0)));
d_T4_dV_gi_si = (qia*((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))))+d_qia_dV_gi_si*((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0)));
d_T4_dV_e_di = (qia*((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))))+d_qia_dV_e_di*((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0)));
d_T4_dV_e_si = (qia*((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))))+d_qia_dV_e_si*((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0)));
d_T4_dV_di_si = (qia*((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))))+d_qia_dV_di_si*((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0)));
T4 = (qia*((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0)));
}

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
d_T5_dV_e_di = 0.5*d_ved_jct_dV_e_di;
d_T5_dV_e_si = 0.5*d_ves_jct_dV_e_si;
d_T5_dV_di_si = 0.5*d_vdsx_dV_di_si;
d_T5_dV_gi_e = d_vge_dV_gi_e;
T5 = ((vge+(0.5*vdsx))+(0.5*(ves_jct+ved_jct)));

d_igc0_dV_s_si1 = (((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_s_si1*igtemp;
d_igc0_dV_d_di1 = (((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_d_di1*igtemp;
d_igc0_dTemp_t_GND = (((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*T5)*d_igtemp_dTemp_t_GND+((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dTemp_t_GND+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dTemp_t_GND*T5)*igtemp);
d_igc0_dV_di_si = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_di_si+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_di_si*T5)*igtemp;
d_igc0_dV_gi_si = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_gi_si+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_gi_si*T5)*igtemp;
d_igc0_dV_e_di = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_e_di+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_e_di*T5)*igtemp;
d_igc0_dV_e_si = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_e_si+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_e_si*T5)*igtemp;
d_igc0_dV_gi_e = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_gi_e+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_gi_e*T5)*igtemp;
d_igc0_dV_gi_si1 = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_gi_si1+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_gi_si1*T5)*igtemp;
d_igc0_dV_gi_di1 = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_gi_di1+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_gi_di1*T5)*igtemp;
d_igc0_dV_ge_si = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_ge_si+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_ge_si*T5)*igtemp;
d_igc0_dV_ge_di = ((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*d_T5_dV_ge_di+((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*d_T4_dV_ge_di*T5)*igtemp;
igc0 = (((((((IGC0MULT*Weff0)*Leff)*Aechvb)*Toxratio)*T4)*T5)*igtemp);
{
double value_sqrt_0 = sqrt(((Vdseff*Vdseff)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Vdseffx_dTemp_t_GND = (deriv_sqrt_0_d0*((Vdseff*d_Vdseff_dTemp_t_GND+d_Vdseff_dTemp_t_GND*Vdseff)));
d_Vdseffx_dV_gi_si = (deriv_sqrt_0_d0*((Vdseff*d_Vdseff_dV_gi_si+d_Vdseff_dV_gi_si*Vdseff)));
d_Vdseffx_dV_e_di = (deriv_sqrt_0_d0*((Vdseff*d_Vdseff_dV_e_di+d_Vdseff_dV_e_di*Vdseff)));
d_Vdseffx_dV_e_si = (deriv_sqrt_0_d0*((Vdseff*d_Vdseff_dV_e_si+d_Vdseff_dV_e_si*Vdseff)));
d_Vdseffx_dV_di_si = (deriv_sqrt_0_d0*((Vdseff*d_Vdseff_dV_di_si+d_Vdseff_dV_di_si*Vdseff)));
Vdseffx = (value_sqrt_0-0.1);
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = PIGCD_i*d_Vdseffx_dTemp_t_GND;
d_T1_dV_gi_si = PIGCD_i*d_Vdseffx_dV_gi_si;
d_T1_dV_e_di = PIGCD_i*d_Vdseffx_dV_e_di;
d_T1_dV_e_si = PIGCD_i*d_Vdseffx_dV_e_si;
d_T1_dV_di_si = PIGCD_i*d_Vdseffx_dV_di_si;
T1 = (PIGCD_i*Vdseffx);
{
double value_exp_0 = exp((-T1));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_exp_dTemp_t_GND = (((-T1)>80.0)?5.540622384e34*(-d_T1_dTemp_t_GND):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dTemp_t_GND)))));
d_T1_exp_dV_di_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_di_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_di_si)))));
d_T1_exp_dV_gi_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si)))));
d_T1_exp_dV_e_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_di)))));
d_T1_exp_dV_e_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_si)))));
d_T1_exp_dV_gi_e = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_e):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_e)))));
d_T1_exp_dV_gi_si1 = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si1):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si1)))));
d_T1_exp_dV_gi_di1 = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_di1):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_di1)))));
d_T1_exp_dV_ge_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_ge_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_ge_si)))));
d_T1_exp_dV_ge_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_ge_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_ge_di)))));
T1_exp = (((-T1)>80.0)?(5.540622384e34*((1.0+(-T1))-80.0)):(((-T1)<(-80.0))?1.804851387e-35:value_exp_0));
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di =  0.0;
d_T3_dTemp_t_GND = (d_T1_dTemp_t_GND+d_T1_exp_dTemp_t_GND);
d_T3_dV_di_si = (d_T1_dV_di_si+d_T1_exp_dV_di_si);
d_T3_dV_gi_si = (d_T1_dV_gi_si+d_T1_exp_dV_gi_si);
d_T3_dV_e_di = (d_T1_dV_e_di+d_T1_exp_dV_e_di);
d_T3_dV_e_si = (d_T1_dV_e_si+d_T1_exp_dV_e_si);
d_T3_dV_gi_e = (d_T1_dV_gi_e+d_T1_exp_dV_gi_e);
d_T3_dV_gi_si1 = (d_T1_dV_gi_si1+d_T1_exp_dV_gi_si1);
d_T3_dV_gi_di1 = (d_T1_dV_gi_di1+d_T1_exp_dV_gi_di1);
d_T3_dV_ge_si = (d_T1_dV_ge_si+d_T1_exp_dV_ge_si);
d_T3_dV_ge_di = (d_T1_dV_ge_di+d_T1_exp_dV_ge_di);
T3 = (((T1+T1_exp)-1.0)+1.0e-4);

d_T4_dV_ge_e = d_T4_dV_gi_di =  0.0;
d_T4_dTemp_t_GND = (-((T1+1.0)*d_T1_exp_dTemp_t_GND+d_T1_dTemp_t_GND*T1_exp));
d_T4_dV_di_si = (-((T1+1.0)*d_T1_exp_dV_di_si+d_T1_dV_di_si*T1_exp));
d_T4_dV_gi_si = (-((T1+1.0)*d_T1_exp_dV_gi_si+d_T1_dV_gi_si*T1_exp));
d_T4_dV_e_di = (-((T1+1.0)*d_T1_exp_dV_e_di+d_T1_dV_e_di*T1_exp));
d_T4_dV_e_si = (-((T1+1.0)*d_T1_exp_dV_e_si+d_T1_dV_e_si*T1_exp));
d_T4_dV_gi_e = (-((T1+1.0)*d_T1_exp_dV_gi_e+d_T1_dV_gi_e*T1_exp));
d_T4_dV_gi_si1 = (-((T1+1.0)*d_T1_exp_dV_gi_si1+d_T1_dV_gi_si1*T1_exp));
d_T4_dV_gi_di1 = (-((T1+1.0)*d_T1_exp_dV_gi_di1+d_T1_dV_gi_di1*T1_exp));
d_T4_dV_ge_si = (-((T1+1.0)*d_T1_exp_dV_ge_si+d_T1_dV_ge_si*T1_exp));
d_T4_dV_ge_di = (-((T1+1.0)*d_T1_exp_dV_ge_di+d_T1_dV_ge_di*T1_exp));
T4 = ((1.0-((T1+1.0)*T1_exp))+1.0e-4);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1);
d_T5_dV_di_si = (T1*d_T1_dV_di_si+d_T1_dV_di_si*T1);
d_T5_dV_gi_si = (T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1);
d_T5_dV_e_di = (T1*d_T1_dV_e_di+d_T1_dV_e_di*T1);
d_T5_dV_e_si = (T1*d_T1_dV_e_si+d_T1_dV_e_si*T1);
d_T5_dV_gi_e = (T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1);
d_T5_dV_gi_si1 = (T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1);
d_T5_dV_gi_di1 = (T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1);
d_T5_dV_ge_si = (T1*d_T1_dV_ge_si+d_T1_dV_ge_si*T1);
d_T5_dV_ge_di = (T1*d_T1_dV_ge_di+d_T1_dV_ge_di*T1);
T5 = ((T1*T1)+2.0e-4);

d_igcd_dV_s_si1 = ((T5*d_igc0_dV_s_si1*T4-(igc0*T4)*d_T5_dV_s_si1)/T5/T5);
d_igcd_dV_d_di1 = ((T5*d_igc0_dV_d_di1*T4-(igc0*T4)*d_T5_dV_d_di1)/T5/T5);
d_igcd_dTemp_t_GND = ((T5*(igc0*d_T4_dTemp_t_GND+d_igc0_dTemp_t_GND*T4)-(igc0*T4)*d_T5_dTemp_t_GND)/T5/T5);
d_igcd_dV_di_si = ((T5*(igc0*d_T4_dV_di_si+d_igc0_dV_di_si*T4)-(igc0*T4)*d_T5_dV_di_si)/T5/T5);
d_igcd_dV_gi_si = ((T5*(igc0*d_T4_dV_gi_si+d_igc0_dV_gi_si*T4)-(igc0*T4)*d_T5_dV_gi_si)/T5/T5);
d_igcd_dV_e_di = ((T5*(igc0*d_T4_dV_e_di+d_igc0_dV_e_di*T4)-(igc0*T4)*d_T5_dV_e_di)/T5/T5);
d_igcd_dV_e_si = ((T5*(igc0*d_T4_dV_e_si+d_igc0_dV_e_si*T4)-(igc0*T4)*d_T5_dV_e_si)/T5/T5);
d_igcd_dV_gi_e = ((T5*(igc0*d_T4_dV_gi_e+d_igc0_dV_gi_e*T4)-(igc0*T4)*d_T5_dV_gi_e)/T5/T5);
d_igcd_dV_gi_si1 = ((T5*(igc0*d_T4_dV_gi_si1+d_igc0_dV_gi_si1*T4)-(igc0*T4)*d_T5_dV_gi_si1)/T5/T5);
d_igcd_dV_gi_di1 = ((T5*(igc0*d_T4_dV_gi_di1+d_igc0_dV_gi_di1*T4)-(igc0*T4)*d_T5_dV_gi_di1)/T5/T5);
d_igcd_dV_ge_si = ((T5*(igc0*d_T4_dV_ge_si+d_igc0_dV_ge_si*T4)-(igc0*T4)*d_T5_dV_ge_si)/T5/T5);
d_igcd_dV_ge_di = ((T5*(igc0*d_T4_dV_ge_di+d_igc0_dV_ge_di*T4)-(igc0*T4)*d_T5_dV_ge_di)/T5/T5);
igcd = ((igc0*T4)/T5);

d_igcs_dV_s_si1 = ((T5*(igc0*d_T3_dV_s_si1+d_igc0_dV_s_si1*T3)-(igc0*T3)*d_T5_dV_s_si1)/T5/T5);
d_igcs_dV_d_di1 = ((T5*(igc0*d_T3_dV_d_di1+d_igc0_dV_d_di1*T3)-(igc0*T3)*d_T5_dV_d_di1)/T5/T5);
d_igcs_dTemp_t_GND = ((T5*(igc0*d_T3_dTemp_t_GND+d_igc0_dTemp_t_GND*T3)-(igc0*T3)*d_T5_dTemp_t_GND)/T5/T5);
d_igcs_dV_di_si = ((T5*(igc0*d_T3_dV_di_si+d_igc0_dV_di_si*T3)-(igc0*T3)*d_T5_dV_di_si)/T5/T5);
d_igcs_dV_gi_si = ((T5*(igc0*d_T3_dV_gi_si+d_igc0_dV_gi_si*T3)-(igc0*T3)*d_T5_dV_gi_si)/T5/T5);
d_igcs_dV_e_di = ((T5*(igc0*d_T3_dV_e_di+d_igc0_dV_e_di*T3)-(igc0*T3)*d_T5_dV_e_di)/T5/T5);
d_igcs_dV_e_si = ((T5*(igc0*d_T3_dV_e_si+d_igc0_dV_e_si*T3)-(igc0*T3)*d_T5_dV_e_si)/T5/T5);
d_igcs_dV_gi_e = ((T5*(igc0*d_T3_dV_gi_e+d_igc0_dV_gi_e*T3)-(igc0*T3)*d_T5_dV_gi_e)/T5/T5);
d_igcs_dV_gi_si1 = ((T5*(igc0*d_T3_dV_gi_si1+d_igc0_dV_gi_si1*T3)-(igc0*T3)*d_T5_dV_gi_si1)/T5/T5);
d_igcs_dV_gi_di1 = ((T5*(igc0*d_T3_dV_gi_di1+d_igc0_dV_gi_di1*T3)-(igc0*T3)*d_T5_dV_gi_di1)/T5/T5);
d_igcs_dV_ge_si = ((T5*(igc0*d_T3_dV_ge_si+d_igc0_dV_ge_si*T3)-(igc0*T3)*d_T5_dV_ge_si)/T5/T5);
d_igcs_dV_ge_di = ((T5*(igc0*d_T3_dV_ge_di+d_igc0_dV_ge_di*T3)-(igc0*T3)*d_T5_dV_ge_di)/T5/T5);
igcs = ((igc0*T3)/T5);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-d_vfbsd_dTemp_t_GND);
d_T0_dV_gi_si = d_vgs_noswap_dV_gi_si;
T0 = (vgs_noswap-vfbsd);
{
double value_sqrt_0 = sqrt(((T0*T0)+1.0e-4));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgs_eff_dTemp_t_GND = (deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)));
d_vgs_eff_dV_di_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0)));
d_vgs_eff_dV_gi_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0)));
d_vgs_eff_dV_e_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0)));
d_vgs_eff_dV_e_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0)));
d_vgs_eff_dV_gi_e = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0)));
d_vgs_eff_dV_gi_si1 = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0)));
d_vgs_eff_dV_gi_di1 = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0)));
d_vgs_eff_dV_ge_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0)));
d_vgs_eff_dV_ge_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_ge_di+d_T0_dV_ge_di*T0)));
vgs_eff = value_sqrt_0;
}
if (((model_.IGCLAMP)==1))
{
{
double value_sqrt_0 = sqrt((((AIGS_t-(BIGS_i*vgs_eff))*(AIGS_t-(BIGS_i*vgs_eff)))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di =  0.0;
d_T1_dV_di_si = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_di_si)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_di_si)+(-BIGS_i*d_vgs_eff_dV_di_si)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_e_di = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_e_di)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_e_di)+(-BIGS_i*d_vgs_eff_dV_e_di)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_e_si = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_e_si)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_e_si)+(-BIGS_i*d_vgs_eff_dV_e_si)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_gi_si = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_gi_si)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_gi_si)+(-BIGS_i*d_vgs_eff_dV_gi_si)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_gi_e = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_gi_e)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_gi_e)+(-BIGS_i*d_vgs_eff_dV_gi_e)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_gi_si1 = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_gi_si1)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_gi_si1)+(-BIGS_i*d_vgs_eff_dV_gi_si1)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_gi_di1 = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_gi_di1)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_gi_di1)+(-BIGS_i*d_vgs_eff_dV_gi_di1)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_ge_si = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_ge_si)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_ge_si)+(-BIGS_i*d_vgs_eff_dV_ge_si)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dV_ge_di = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGS_i*d_vgs_eff_dV_ge_di)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(-BIGS_i*d_vgs_eff_dV_ge_di)+(-BIGS_i*d_vgs_eff_dV_ge_di)*(AIGS_t-(BIGS_i*vgs_eff)))))));
d_T1_dTemp_t_GND = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((d_AIGS_t_dTemp_t_GND-BIGS_i*d_vgs_eff_dTemp_t_GND)+(deriv_sqrt_0_d0*(((AIGS_t-(BIGS_i*vgs_eff))*(d_AIGS_t_dTemp_t_GND-BIGS_i*d_vgs_eff_dTemp_t_GND)+(d_AIGS_t_dTemp_t_GND-BIGS_i*d_vgs_eff_dTemp_t_GND)*(AIGS_t-(BIGS_i*vgs_eff)))))));
T1 = ((((AIGS_t-(BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((AIGS_t-(BIGS_i*vgs_eff))+value_sqrt_0)));
}
if ((CIGS_i<0.01))
{
CIGS_i = 0.01;
}
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di =  0.0;
d_T1_dV_di_si = (-BIGS_i*d_vgs_eff_dV_di_si);
d_T1_dV_e_di = (-BIGS_i*d_vgs_eff_dV_e_di);
d_T1_dV_e_si = (-BIGS_i*d_vgs_eff_dV_e_si);
d_T1_dV_gi_si = (-BIGS_i*d_vgs_eff_dV_gi_si);
d_T1_dV_gi_e = (-BIGS_i*d_vgs_eff_dV_gi_e);
d_T1_dV_gi_si1 = (-BIGS_i*d_vgs_eff_dV_gi_si1);
d_T1_dV_gi_di1 = (-BIGS_i*d_vgs_eff_dV_gi_di1);
d_T1_dV_ge_si = (-BIGS_i*d_vgs_eff_dV_ge_si);
d_T1_dV_ge_di = (-BIGS_i*d_vgs_eff_dV_ge_di);
d_T1_dTemp_t_GND = (d_AIGS_t_dTemp_t_GND-BIGS_i*d_vgs_eff_dTemp_t_GND);
T1 = (AIGS_t-(BIGS_i*vgs_eff));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di =  0.0;
d_T2_dTemp_t_GND = CIGS_i*d_vgs_eff_dTemp_t_GND;
d_T2_dV_di_si = CIGS_i*d_vgs_eff_dV_di_si;
d_T2_dV_e_di = CIGS_i*d_vgs_eff_dV_e_di;
d_T2_dV_e_si = CIGS_i*d_vgs_eff_dV_e_si;
d_T2_dV_gi_si = CIGS_i*d_vgs_eff_dV_gi_si;
d_T2_dV_gi_e = CIGS_i*d_vgs_eff_dV_gi_e;
d_T2_dV_gi_si1 = CIGS_i*d_vgs_eff_dV_gi_si1;
d_T2_dV_gi_di1 = CIGS_i*d_vgs_eff_dV_gi_di1;
d_T2_dV_ge_si = CIGS_i*d_vgs_eff_dV_ge_si;
d_T2_dV_ge_di = CIGS_i*d_vgs_eff_dV_ge_di;
T2 = (1.0+(CIGS_i*vgs_eff));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di =  0.0;
d_T3_dTemp_t_GND = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dTemp_t_GND+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dTemp_t_GND*T2);
d_T3_dV_di_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_di_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_di_si*T2);
d_T3_dV_gi_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_si*T2);
d_T3_dV_e_di = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_e_di+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_e_di*T2);
d_T3_dV_e_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_e_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_e_si*T2);
d_T3_dV_gi_e = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_e+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_e*T2);
d_T3_dV_gi_si1 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_si1+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_si1*T2);
d_T3_dV_gi_di1 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_di1+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_di1*T2);
d_T3_dV_ge_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_ge_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_ge_si*T2);
d_T3_dV_ge_di = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_ge_di+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_ge_di*T2);
T3 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*T2);
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e = d_T4_dV_gi_di =  0.0;
d_T4_dTemp_t_GND = ((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))));
d_T4_dV_gi_si = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))));
d_T4_dV_e_di = ((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))));
d_T4_dV_e_si = ((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))));
d_T4_dV_di_si = ((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))));
d_T4_dV_gi_e = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_e:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_e))));
d_T4_dV_gi_si1 = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si1:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si1))));
d_T4_dV_gi_di1 = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_di1:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_di1))));
d_T4_dV_ge_si = ((T3>80.0)?5.540622384e34*d_T3_dV_ge_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_ge_si))));
d_T4_dV_ge_di = ((T3>80.0)?5.540622384e34*d_T3_dV_ge_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_ge_di))));
T4 = ((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((sigvds>0.0))
{

d_igs_dV_gi_di =  0.0;
d_igs_dV_di_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_di_si+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_di_si*T4);
d_igs_dV_e_di = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_e_di+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_e_di*T4);
d_igs_dV_e_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_e_si+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_e_si*T4);
d_igs_dV_gi_e = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_e+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_e*T4);
d_igs_dV_gi_si1 = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_si1+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_si1*T4);
d_igs_dV_gi_di1 = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_di1+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_di1*T4);
d_igs_dV_ge_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_ge_si+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_ge_si*T4);
d_igs_dV_ge_di = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_ge_di+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_ge_di*T4);
d_igs_dV_gi_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_si+(((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_si+(igsd_mult*(model_.DLCIGS))*d_vgs_noswap_dV_gi_si*vgs_eff)*T4);
d_igs_dTemp_t_GND = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dTemp_t_GND+(((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dTemp_t_GND+d_igsd_mult_dTemp_t_GND*(model_.DLCIGS)*vgs_noswap*vgs_eff)*T4);
igs = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*T4);
}
else
{

d_igd_dV_gi_di =  0.0;
d_igd_dV_di_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_di_si+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_di_si*T4);
d_igd_dV_e_di = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_e_di+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_e_di*T4);
d_igd_dV_e_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_e_si+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_e_si*T4);
d_igd_dV_gi_e = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_e+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_e*T4);
d_igd_dV_gi_si1 = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_si1+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_si1*T4);
d_igd_dV_gi_di1 = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_di1+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_di1*T4);
d_igd_dV_ge_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_ge_si+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_ge_si*T4);
d_igd_dV_ge_di = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_ge_di+((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_ge_di*T4);
d_igd_dV_gi_si = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dV_gi_si+(((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dV_gi_si+(igsd_mult*(model_.DLCIGS))*d_vgs_noswap_dV_gi_si*vgs_eff)*T4);
d_igd_dTemp_t_GND = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*d_T4_dTemp_t_GND+(((igsd_mult*(model_.DLCIGS))*vgs_noswap)*d_vgs_eff_dTemp_t_GND+d_igsd_mult_dTemp_t_GND*(model_.DLCIGS)*vgs_noswap*vgs_eff)*T4);
igd = ((((igsd_mult*(model_.DLCIGS))*vgs_noswap)*vgs_eff)*T4);
}

d_T0_dV_ge_e = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-d_vfbsd_dTemp_t_GND);
d_T0_dV_gi_di = d_vgd_noswap_dV_gi_di;
T0 = (vgd_noswap-vfbsd);
{
double value_sqrt_0 = sqrt(((T0*T0)+1.0e-4));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vgd_eff_dTemp_t_GND = (deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0)));
d_vgd_eff_dV_di_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0)));
d_vgd_eff_dV_gi_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0)));
d_vgd_eff_dV_e_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0)));
d_vgd_eff_dV_e_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0)));
d_vgd_eff_dV_gi_e = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0)));
d_vgd_eff_dV_gi_si1 = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0)));
d_vgd_eff_dV_gi_di1 = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0)));
d_vgd_eff_dV_ge_si = (deriv_sqrt_0_d0*((T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0)));
d_vgd_eff_dV_ge_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_ge_di+d_T0_dV_ge_di*T0)));
d_vgd_eff_dV_gi_di = (deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di+d_T0_dV_gi_di*T0)));
vgd_eff = value_sqrt_0;
}
if (((model_.IGCLAMP)==1))
{
{
double value_sqrt_0 = sqrt((((AIGD_t-(BIGD_i*vgd_eff))*(AIGD_t-(BIGD_i*vgd_eff)))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dV_di_si = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_di_si)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_di_si)+(-BIGD_i*d_vgd_eff_dV_di_si)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_e_di = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_e_di)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_e_di)+(-BIGD_i*d_vgd_eff_dV_e_di)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_e_si = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_e_si)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_e_si)+(-BIGD_i*d_vgd_eff_dV_e_si)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_gi_si = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_gi_si)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_gi_si)+(-BIGD_i*d_vgd_eff_dV_gi_si)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_gi_e = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_gi_e)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_gi_e)+(-BIGD_i*d_vgd_eff_dV_gi_e)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_gi_si1 = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_gi_si1)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_gi_si1)+(-BIGD_i*d_vgd_eff_dV_gi_si1)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_gi_di1 = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_gi_di1)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_gi_di1)+(-BIGD_i*d_vgd_eff_dV_gi_di1)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_ge_si = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_ge_si)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_ge_si)+(-BIGD_i*d_vgd_eff_dV_ge_si)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_ge_di = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_ge_di)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_ge_di)+(-BIGD_i*d_vgd_eff_dV_ge_di)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dV_gi_di = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((-BIGD_i*d_vgd_eff_dV_gi_di)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(-BIGD_i*d_vgd_eff_dV_gi_di)+(-BIGD_i*d_vgd_eff_dV_gi_di)*(AIGD_t-(BIGD_i*vgd_eff)))))));
d_T1_dTemp_t_GND = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((d_AIGD_t_dTemp_t_GND-BIGD_i*d_vgd_eff_dTemp_t_GND)+(deriv_sqrt_0_d0*(((AIGD_t-(BIGD_i*vgd_eff))*(d_AIGD_t_dTemp_t_GND-BIGD_i*d_vgd_eff_dTemp_t_GND)+(d_AIGD_t_dTemp_t_GND-BIGD_i*d_vgd_eff_dTemp_t_GND)*(AIGD_t-(BIGD_i*vgd_eff)))))));
T1 = ((((AIGD_t-(BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((AIGD_t-(BIGD_i*vgd_eff))+value_sqrt_0)));
}
if ((CIGD_i<0.01))
{
CIGD_i = 0.01;
}
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dV_di_si = (-BIGD_i*d_vgd_eff_dV_di_si);
d_T1_dV_e_di = (-BIGD_i*d_vgd_eff_dV_e_di);
d_T1_dV_e_si = (-BIGD_i*d_vgd_eff_dV_e_si);
d_T1_dV_gi_si = (-BIGD_i*d_vgd_eff_dV_gi_si);
d_T1_dV_gi_e = (-BIGD_i*d_vgd_eff_dV_gi_e);
d_T1_dV_gi_si1 = (-BIGD_i*d_vgd_eff_dV_gi_si1);
d_T1_dV_gi_di1 = (-BIGD_i*d_vgd_eff_dV_gi_di1);
d_T1_dV_ge_si = (-BIGD_i*d_vgd_eff_dV_ge_si);
d_T1_dV_ge_di = (-BIGD_i*d_vgd_eff_dV_ge_di);
d_T1_dV_gi_di = (-BIGD_i*d_vgd_eff_dV_gi_di);
d_T1_dTemp_t_GND = (d_AIGD_t_dTemp_t_GND-BIGD_i*d_vgd_eff_dTemp_t_GND);
T1 = (AIGD_t-(BIGD_i*vgd_eff));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dTemp_t_GND = CIGD_i*d_vgd_eff_dTemp_t_GND;
d_T2_dV_di_si = CIGD_i*d_vgd_eff_dV_di_si;
d_T2_dV_e_di = CIGD_i*d_vgd_eff_dV_e_di;
d_T2_dV_e_si = CIGD_i*d_vgd_eff_dV_e_si;
d_T2_dV_gi_si = CIGD_i*d_vgd_eff_dV_gi_si;
d_T2_dV_gi_e = CIGD_i*d_vgd_eff_dV_gi_e;
d_T2_dV_gi_si1 = CIGD_i*d_vgd_eff_dV_gi_si1;
d_T2_dV_gi_di1 = CIGD_i*d_vgd_eff_dV_gi_di1;
d_T2_dV_ge_si = CIGD_i*d_vgd_eff_dV_ge_si;
d_T2_dV_ge_di = CIGD_i*d_vgd_eff_dV_ge_di;
d_T2_dV_gi_di = CIGD_i*d_vgd_eff_dV_gi_di;
T2 = (1.0+(CIGD_i*vgd_eff));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e =  0.0;
d_T3_dTemp_t_GND = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dTemp_t_GND+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dTemp_t_GND*T2);
d_T3_dV_di_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_di_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_di_si*T2);
d_T3_dV_gi_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_si*T2);
d_T3_dV_e_di = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_e_di+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_e_di*T2);
d_T3_dV_e_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_e_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_e_si*T2);
d_T3_dV_gi_e = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_e+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_e*T2);
d_T3_dV_gi_si1 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_si1+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_si1*T2);
d_T3_dV_gi_di1 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_di1+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_di1*T2);
d_T3_dV_ge_si = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_ge_si+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_ge_si*T2);
d_T3_dV_ge_di = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_ge_di+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_ge_di*T2);
d_T3_dV_gi_di = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*d_T2_dV_gi_di+(((-Bechvb)*(model_.TOXG))*POXEDGE_i)*d_T1_dV_gi_di*T2);
T3 = (((((-Bechvb)*(model_.TOXG))*POXEDGE_i)*T1)*T2);
{
double value_exp_0 = exp(T3);
double  deriv_exp_0_d0 = value_exp_0;

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T3>80.0)?5.540622384e34*d_T3_dTemp_t_GND:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dTemp_t_GND))));
d_T4_dV_gi_si = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si))));
d_T4_dV_e_di = ((T3>80.0)?5.540622384e34*d_T3_dV_e_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_di))));
d_T4_dV_e_si = ((T3>80.0)?5.540622384e34*d_T3_dV_e_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_e_si))));
d_T4_dV_di_si = ((T3>80.0)?5.540622384e34*d_T3_dV_di_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_di_si))));
d_T4_dV_gi_e = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_e:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_e))));
d_T4_dV_gi_si1 = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_si1:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_si1))));
d_T4_dV_gi_di1 = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_di1:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_di1))));
d_T4_dV_ge_si = ((T3>80.0)?5.540622384e34*d_T3_dV_ge_si:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_ge_si))));
d_T4_dV_ge_di = ((T3>80.0)?5.540622384e34*d_T3_dV_ge_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_ge_di))));
d_T4_dV_gi_di = ((T3>80.0)?5.540622384e34*d_T3_dV_gi_di:((T3<(-80.0))?0.0:(deriv_exp_0_d0*(d_T3_dV_gi_di))));
T4 = ((T3>80.0)?(5.540622384e34*((1.0+T3)-80.0)):((T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((sigvds>0.0))
{

d_igd_dV_di_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_di_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_di_si*T4);
d_igd_dV_e_di = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_e_di+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_e_di*T4);
d_igd_dV_e_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_e_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_e_si*T4);
d_igd_dV_gi_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_si*T4);
d_igd_dV_gi_e = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_e+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_e*T4);
d_igd_dV_gi_si1 = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_si1+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_si1*T4);
d_igd_dV_gi_di1 = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_di1+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_di1*T4);
d_igd_dV_ge_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_ge_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_ge_si*T4);
d_igd_dV_ge_di = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_ge_di+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_ge_di*T4);
d_igd_dV_gi_di = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_di+(((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_di+(igsd_mult*(model_.DLCIGD))*d_vgd_noswap_dV_gi_di*vgd_eff)*T4);
d_igd_dTemp_t_GND = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dTemp_t_GND+(((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dTemp_t_GND+d_igsd_mult_dTemp_t_GND*(model_.DLCIGD)*vgd_noswap*vgd_eff)*T4);
igd = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*T4);
}
else
{

d_igs_dV_di_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_di_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_di_si*T4);
d_igs_dV_e_di = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_e_di+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_e_di*T4);
d_igs_dV_e_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_e_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_e_si*T4);
d_igs_dV_gi_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_si*T4);
d_igs_dV_gi_e = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_e+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_e*T4);
d_igs_dV_gi_si1 = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_si1+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_si1*T4);
d_igs_dV_gi_di1 = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_di1+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_di1*T4);
d_igs_dV_ge_si = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_ge_si+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_ge_si*T4);
d_igs_dV_ge_di = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_ge_di+((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_ge_di*T4);
d_igs_dV_gi_di = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dV_gi_di+(((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dV_gi_di+(igsd_mult*(model_.DLCIGD))*d_vgd_noswap_dV_gi_di*vgd_eff)*T4);
d_igs_dTemp_t_GND = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*d_T4_dTemp_t_GND+(((igsd_mult*(model_.DLCIGD))*vgd_noswap)*d_vgd_eff_dTemp_t_GND+d_igsd_mult_dTemp_t_GND*(model_.DLCIGD)*vgd_noswap*vgd_eff)*T4);
igs = ((((igsd_mult*(model_.DLCIGD))*vgd_noswap)*vgd_eff)*T4);
}
}
if (((model_.GIDLMOD)!=0))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si = d_T0_dTemp_t_GND =  0.0;
T0 = (epsratio*(model_.EOT));
if (((AGIDL_i<=0.0)||(BGIDL_t<=0.0)))
{

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si = d_T6_dTemp_t_GND =  0.0;
T6 = 0.0;
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dV_di_si = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_di_si/T0/T0);
d_T1_dV_gi_si = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_gi_si/T0/T0);
d_T1_dV_e_di = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_e_di/T0/T0);
d_T1_dV_e_si = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_e_si/T0/T0);
d_T1_dV_gi_e = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_gi_e/T0/T0);
d_T1_dV_gi_si1 = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_gi_si1/T0/T0);
d_T1_dV_gi_di1 = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_gi_di1/T0/T0);
d_T1_dV_ge_si = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_ge_si/T0/T0);
d_T1_dV_ge_di = (-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_ge_di/T0/T0);
d_T1_dTemp_t_GND = ((T0*d_vfbsd_dTemp_t_GND-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dTemp_t_GND)/T0/T0);
d_T1_dV_gi_di = ((T0*(-d_vgd_noswap_dV_gi_di)-(((-vgd_noswap)-EGIDL_i)+vfbsd)*d_T0_dV_gi_di)/T0/T0);
T1 = ((((-vgd_noswap)-EGIDL_i)+vfbsd)/T0);
{
double value_sqrt_0 = sqrt(((T1*T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1)))));
d_T1_dV_di_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1)))));
d_T1_dV_gi_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1)))));
d_T1_dV_e_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1)))));
d_T1_dV_e_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1)))));
d_T1_dV_gi_e = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1)))));
d_T1_dV_gi_si1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1)))));
d_T1_dV_gi_di1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1)))));
d_T1_dV_ge_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_si+d_T1_dV_ge_si*T1)))));
d_T1_dV_ge_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_di+d_T1_dV_ge_di*T1)))));
d_T1_dV_gi_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di+d_T1_dV_gi_di*T1)))));
T1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(T1+value_sqrt_0)));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dV_di_si = (-BGIDL_t*d_T1_dV_di_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si = (-BGIDL_t*d_T1_dV_gi_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_di = (-BGIDL_t*d_T1_dV_e_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_si = (-BGIDL_t*d_T1_dV_e_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_e = (-BGIDL_t*d_T1_dV_gi_e/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si1 = (-BGIDL_t*d_T1_dV_gi_si1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di1 = (-BGIDL_t*d_T1_dV_gi_di1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_si = (-BGIDL_t*d_T1_dV_ge_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_di = (-BGIDL_t*d_T1_dV_ge_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di = (-BGIDL_t*d_T1_dV_gi_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dTemp_t_GND = (((T1+1.0e-3)*d_BGIDL_t_dTemp_t_GND-BGIDL_t*d_T1_dTemp_t_GND)/(T1+1.0e-3)/(T1+1.0e-3));
T2 = (BGIDL_t/(T1+1.0e-3));
{
double value_pow_0 = pow(T1,PGIDL_i);
double  deriv_pow_0_d0 = ((T1 == 0.0)?0.0:(value_pow_0*PGIDL_i/T1));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e =  0.0;
d_T3_dTemp_t_GND = (deriv_pow_0_d0*(d_T1_dTemp_t_GND));
d_T3_dV_di_si = (deriv_pow_0_d0*(d_T1_dV_di_si));
d_T3_dV_gi_si = (deriv_pow_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = (deriv_pow_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = (deriv_pow_0_d0*(d_T1_dV_e_si));
d_T3_dV_gi_e = (deriv_pow_0_d0*(d_T1_dV_gi_e));
d_T3_dV_gi_si1 = (deriv_pow_0_d0*(d_T1_dV_gi_si1));
d_T3_dV_gi_di1 = (deriv_pow_0_d0*(d_T1_dV_gi_di1));
d_T3_dV_ge_si = (deriv_pow_0_d0*(d_T1_dV_ge_si));
d_T3_dV_ge_di = (deriv_pow_0_d0*(d_T1_dV_ge_di));
d_T3_dV_gi_di = (deriv_pow_0_d0*(d_T1_dV_gi_di));
T3 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
d_T4_dV_e_di = (((-ved_jct)*ved_jct)*d_ved_jct_dV_e_di+((-ved_jct)*d_ved_jct_dV_e_di+(-d_ved_jct_dV_e_di)*ved_jct)*ved_jct);
T4 = (((-ved_jct)*ved_jct)*ved_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));

d_T4a_dTemp_t_GND = (deriv_fabs_0_d0*(d_T4_dTemp_t_GND));
d_T4a_dV_di_si = (deriv_fabs_0_d0*(d_T4_dV_di_si));
d_T4a_dV_gi_si = (deriv_fabs_0_d0*(d_T4_dV_gi_si));
d_T4a_dV_e_di = (deriv_fabs_0_d0*(d_T4_dV_e_di));
d_T4a_dV_e_si = (deriv_fabs_0_d0*(d_T4_dV_e_si));
d_T4a_dV_gi_e = (deriv_fabs_0_d0*(d_T4_dV_gi_e));
d_T4a_dV_gi_si1 = (deriv_fabs_0_d0*(d_T4_dV_gi_si1));
d_T4a_dV_gi_di1 = (deriv_fabs_0_d0*(d_T4_dV_gi_di1));
d_T4a_dV_ge_si = (deriv_fabs_0_d0*(d_T4_dV_ge_si));
d_T4a_dV_ge_di = (deriv_fabs_0_d0*(d_T4_dV_ge_di));
d_T4a_dV_gi_di = (deriv_fabs_0_d0*(d_T4_dV_gi_di));
T4a = ((CGIDL_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_di_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_e = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)*(T4/T4a))))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-T2));
double  deriv_exp_0_d0 = value_exp_0;

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e =  0.0;
d_T6_dV_s_si1 = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_s_si1+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_s_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_s_si1)))))+(AGIDL_i*Weff0)*d_T3_dV_s_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_d_di1 = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_d_di1+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_d_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_d_di1)))))+(AGIDL_i*Weff0)*d_T3_dV_d_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dTemp_t_GND = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dTemp_t_GND+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dTemp_t_GND):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dTemp_t_GND)))))+(AGIDL_i*Weff0)*d_T3_dTemp_t_GND*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_si = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_e_di = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_di+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_di)))))+(AGIDL_i*Weff0)*d_T3_dV_e_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_e_si = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_si+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_si)))))+(AGIDL_i*Weff0)*d_T3_dV_e_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_di_si = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_di_si+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_di_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_di_si)))))+(AGIDL_i*Weff0)*d_T3_dV_di_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_e = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_e+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_e):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_e)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_e*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_si1 = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si1+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si1)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_di1 = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di1+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di1)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_ge_si = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_si+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_si)))))+(AGIDL_i*Weff0)*d_T3_dV_ge_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_ge_di = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_di+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_di)))))+(AGIDL_i*Weff0)*d_T3_dV_ge_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_di = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T6 = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
else
{
{
double value_exp_0 = exp((-T2));
double  deriv_exp_0_d0 = value_exp_0;

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dTemp_t_GND = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dTemp_t_GND):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dTemp_t_GND)))))+(AGIDL_i*Weff0)*d_T3_dTemp_t_GND*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_gi_si = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_e_di = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_di)))))+(AGIDL_i*Weff0)*d_T3_dV_e_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_e_si = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_si)))))+(AGIDL_i*Weff0)*d_T3_dV_e_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_di_si = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_vds_noswap_dV_di_si+(((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_di_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_di_si)))))+(AGIDL_i*Weff0)*d_T3_dV_di_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap);
d_T6_dV_gi_e = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_e):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_e)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_e*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_gi_si1 = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si1)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_gi_di1 = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di1)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_ge_si = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_si)))))+(AGIDL_i*Weff0)*d_T3_dV_ge_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_ge_di = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_di)))))+(AGIDL_i*Weff0)*d_T3_dV_ge_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
d_T6_dV_gi_di = (((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di)))))+(AGIDL_i*Weff0)*d_T3_dV_gi_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
T6 = ((((AGIDL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap);
}
}
}
if (((((model_.BULKMOD)!=0)&&((model_.GIDLMOD)==2))&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
{
double value_sqrt_0 = sqrt(((((1.0+(TGIDL_i*delTemp))-1.0e-6)*((1.0+(TGIDL_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_BGIDLB_t_dTemp_t_GND = BGIDLB_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(TGIDL_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(TGIDL_i*delTemp))-1.0e-6)*TGIDL_i*d_delTemp_dTemp_t_GND+TGIDL_i*d_delTemp_dTemp_t_GND*((1.0+(TGIDL_i*delTemp))-1.0e-6))))));
BGIDLB_t = (BGIDLB_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(TGIDL_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
if (((AGIDLB_i<=0.0)||(BGIDLB_t<=0.0)))
{

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si = d_T7_dTemp_t_GND =  0.0;
T7 = 0.0;
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dV_di_si = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_di_si/T0/T0);
d_T1_dV_gi_si = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_gi_si/T0/T0);
d_T1_dV_e_di = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_e_di/T0/T0);
d_T1_dV_e_si = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_e_si/T0/T0);
d_T1_dV_gi_e = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_gi_e/T0/T0);
d_T1_dV_gi_si1 = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_gi_si1/T0/T0);
d_T1_dV_gi_di1 = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_gi_di1/T0/T0);
d_T1_dV_ge_si = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_ge_si/T0/T0);
d_T1_dV_ge_di = (-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_ge_di/T0/T0);
d_T1_dTemp_t_GND = ((T0*d_vfbsd_dTemp_t_GND-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dTemp_t_GND)/T0/T0);
d_T1_dV_gi_di = ((T0*(-d_vgd_noswap_dV_gi_di)-(((-vgd_noswap)-EGIDLB_i)+vfbsd)*d_T0_dV_gi_di)/T0/T0);
T1 = ((((-vgd_noswap)-EGIDLB_i)+vfbsd)/T0);
{
double value_sqrt_0 = sqrt(((T1*T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1)))));
d_T1_dV_di_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1)))));
d_T1_dV_gi_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1)))));
d_T1_dV_e_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1)))));
d_T1_dV_e_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1)))));
d_T1_dV_gi_e = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1)))));
d_T1_dV_gi_si1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1)))));
d_T1_dV_gi_di1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1)))));
d_T1_dV_ge_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_si+d_T1_dV_ge_si*T1)))));
d_T1_dV_ge_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_di+d_T1_dV_ge_di*T1)))));
d_T1_dV_gi_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di+d_T1_dV_gi_di*T1)))));
T1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(T1+value_sqrt_0)));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dV_di_si = (-BGIDLB_t*d_T1_dV_di_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si = (-BGIDLB_t*d_T1_dV_gi_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_di = (-BGIDLB_t*d_T1_dV_e_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_si = (-BGIDLB_t*d_T1_dV_e_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_e = (-BGIDLB_t*d_T1_dV_gi_e/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si1 = (-BGIDLB_t*d_T1_dV_gi_si1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di1 = (-BGIDLB_t*d_T1_dV_gi_di1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_si = (-BGIDLB_t*d_T1_dV_ge_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_di = (-BGIDLB_t*d_T1_dV_ge_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di = (-BGIDLB_t*d_T1_dV_gi_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dTemp_t_GND = (((T1+1.0e-3)*d_BGIDLB_t_dTemp_t_GND-BGIDLB_t*d_T1_dTemp_t_GND)/(T1+1.0e-3)/(T1+1.0e-3));
T2 = (BGIDLB_t/(T1+1.0e-3));
{
double value_pow_0 = pow(T1,PGIDLB_i);
double  deriv_pow_0_d0 = ((T1 == 0.0)?0.0:(value_pow_0*PGIDLB_i/T1));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e =  0.0;
d_T3_dTemp_t_GND = (deriv_pow_0_d0*(d_T1_dTemp_t_GND));
d_T3_dV_di_si = (deriv_pow_0_d0*(d_T1_dV_di_si));
d_T3_dV_gi_si = (deriv_pow_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = (deriv_pow_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = (deriv_pow_0_d0*(d_T1_dV_e_si));
d_T3_dV_gi_e = (deriv_pow_0_d0*(d_T1_dV_gi_e));
d_T3_dV_gi_si1 = (deriv_pow_0_d0*(d_T1_dV_gi_si1));
d_T3_dV_gi_di1 = (deriv_pow_0_d0*(d_T1_dV_gi_di1));
d_T3_dV_ge_si = (deriv_pow_0_d0*(d_T1_dV_ge_si));
d_T3_dV_ge_di = (deriv_pow_0_d0*(d_T1_dV_ge_di));
d_T3_dV_gi_di = (deriv_pow_0_d0*(d_T1_dV_gi_di));
T3 = value_pow_0;
}

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
d_T4_dV_e_di = (((-ved_jct)*ved_jct)*d_ved_jct_dV_e_di+((-ved_jct)*d_ved_jct_dV_e_di+(-d_ved_jct_dV_e_di)*ved_jct)*ved_jct);
T4 = (((-ved_jct)*ved_jct)*ved_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));

d_T4a_dTemp_t_GND = (deriv_fabs_0_d0*(d_T4_dTemp_t_GND));
d_T4a_dV_di_si = (deriv_fabs_0_d0*(d_T4_dV_di_si));
d_T4a_dV_gi_si = (deriv_fabs_0_d0*(d_T4_dV_gi_si));
d_T4a_dV_e_di = (deriv_fabs_0_d0*(d_T4_dV_e_di));
d_T4a_dV_e_si = (deriv_fabs_0_d0*(d_T4_dV_e_si));
d_T4a_dV_gi_e = (deriv_fabs_0_d0*(d_T4_dV_gi_e));
d_T4a_dV_gi_si1 = (deriv_fabs_0_d0*(d_T4_dV_gi_si1));
d_T4a_dV_gi_di1 = (deriv_fabs_0_d0*(d_T4_dV_gi_di1));
d_T4a_dV_ge_si = (deriv_fabs_0_d0*(d_T4_dV_ge_si));
d_T4a_dV_ge_di = (deriv_fabs_0_d0*(d_T4_dV_ge_di));
d_T4a_dV_gi_di = (deriv_fabs_0_d0*(d_T4_dV_gi_di));
T4a = ((CGIDLB_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_di_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_e = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)*(T4/T4a))))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-T2));
double  deriv_exp_0_d0 = value_exp_0;

d_T7_dV_ge_e =  0.0;
d_T7_dV_s_si1 = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_s_si1+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_s_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_s_si1)))))+(AGIDLB_i*WeffB)*d_T3_dV_s_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_d_di1 = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_d_di1+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_d_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_d_di1)))))+(AGIDLB_i*WeffB)*d_T3_dV_d_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dTemp_t_GND = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dTemp_t_GND+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dTemp_t_GND):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dTemp_t_GND)))))+(AGIDLB_i*WeffB)*d_T3_dTemp_t_GND*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_si = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si)))))+(AGIDLB_i*WeffB)*d_T3_dV_gi_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_e_di = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_di+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_di)))))+(AGIDLB_i*WeffB)*d_T3_dV_e_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_e_si = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_si+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_si)))))+(AGIDLB_i*WeffB)*d_T3_dV_e_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_di_si = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_di_si+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_di_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_di_si)))))+(AGIDLB_i*WeffB)*d_T3_dV_di_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_e = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_e+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_e):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_e)))))+(AGIDLB_i*WeffB)*d_T3_dV_gi_e*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_si1 = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si1+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si1)))))+(AGIDLB_i*WeffB)*d_T3_dV_gi_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_di1 = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di1+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di1)))))+(AGIDLB_i*WeffB)*d_T3_dV_gi_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_ge_si = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_si+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_si)))))+(AGIDLB_i*WeffB)*d_T3_dV_ge_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_ge_di = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_di+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_di)))))+(AGIDLB_i*WeffB)*d_T3_dV_ge_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_di = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di+(((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di)))))+(AGIDLB_i*WeffB)*d_T3_dV_gi_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T7 = ((((AGIDLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
}
if ((sigvds>0.0))
{

d_igidl_dTemp_t_GND = d_T6_dTemp_t_GND;
d_igidl_dV_gi_si = d_T6_dV_gi_si;
d_igidl_dV_e_di = d_T6_dV_e_di;
d_igidl_dV_e_si = d_T6_dV_e_si;
d_igidl_dV_di_si = d_T6_dV_di_si;
d_igidl_dV_gi_e = d_T6_dV_gi_e;
d_igidl_dV_s_si1 = d_T6_dV_s_si1;
d_igidl_dV_d_di1 = d_T6_dV_d_di1;
d_igidl_dV_gi_si1 = d_T6_dV_gi_si1;
d_igidl_dV_gi_di1 = d_T6_dV_gi_di1;
d_igidl_dV_ge_si = d_T6_dV_ge_si;
d_igidl_dV_ge_di = d_T6_dV_ge_di;
d_igidl_dV_gi_di = d_T6_dV_gi_di;
igidl = T6;

d_igidlb_dTemp_t_GND = d_T7_dTemp_t_GND;
d_igidlb_dV_gi_si = d_T7_dV_gi_si;
d_igidlb_dV_e_di = d_T7_dV_e_di;
d_igidlb_dV_e_si = d_T7_dV_e_si;
d_igidlb_dV_di_si = d_T7_dV_di_si;
d_igidlb_dV_gi_e = d_T7_dV_gi_e;
d_igidlb_dV_s_si1 = d_T7_dV_s_si1;
d_igidlb_dV_d_di1 = d_T7_dV_d_di1;
d_igidlb_dV_gi_si1 = d_T7_dV_gi_si1;
d_igidlb_dV_gi_di1 = d_T7_dV_gi_di1;
d_igidlb_dV_ge_si = d_T7_dV_ge_si;
d_igidlb_dV_ge_di = d_T7_dV_ge_di;
d_igidlb_dV_gi_di = d_T7_dV_gi_di;
igidlb = T7;
}
else
{

d_igisl_dTemp_t_GND = d_T6_dTemp_t_GND;
d_igisl_dV_gi_si = d_T6_dV_gi_si;
d_igisl_dV_e_di = d_T6_dV_e_di;
d_igisl_dV_e_si = d_T6_dV_e_si;
d_igisl_dV_di_si = d_T6_dV_di_si;
d_igisl_dV_gi_e = d_T6_dV_gi_e;
d_igisl_dV_s_si1 = d_T6_dV_s_si1;
d_igisl_dV_d_di1 = d_T6_dV_d_di1;
d_igisl_dV_gi_si1 = d_T6_dV_gi_si1;
d_igisl_dV_gi_di1 = d_T6_dV_gi_di1;
d_igisl_dV_ge_si = d_T6_dV_ge_si;
d_igisl_dV_ge_di = d_T6_dV_ge_di;
d_igisl_dV_gi_di = d_T6_dV_gi_di;
igisl = T6;

d_igislb_dTemp_t_GND = d_T7_dTemp_t_GND;
d_igislb_dV_gi_si = d_T7_dV_gi_si;
d_igislb_dV_e_di = d_T7_dV_e_di;
d_igislb_dV_e_si = d_T7_dV_e_si;
d_igislb_dV_di_si = d_T7_dV_di_si;
d_igislb_dV_gi_e = d_T7_dV_gi_e;
d_igislb_dV_s_si1 = d_T7_dV_s_si1;
d_igislb_dV_d_di1 = d_T7_dV_d_di1;
d_igislb_dV_gi_si1 = d_T7_dV_gi_si1;
d_igislb_dV_gi_di1 = d_T7_dV_gi_di1;
d_igislb_dV_ge_si = d_T7_dV_ge_si;
d_igislb_dV_ge_di = d_T7_dV_ge_di;
d_igislb_dV_gi_di = d_T7_dV_gi_di;
igislb = T7;
}
if (((AGISL_i<=0.0)||(BGISL_t<=0.0)))
{

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_di_si = d_T6_dV_e_si = d_T6_dV_e_di = d_T6_dV_gi_si = d_T6_dTemp_t_GND =  0.0;
T6 = 0.0;
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dV_di_si = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_di_si/T0/T0);
d_T1_dV_e_di = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_e_di/T0/T0);
d_T1_dV_e_si = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_e_si/T0/T0);
d_T1_dV_gi_e = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_gi_e/T0/T0);
d_T1_dV_gi_si1 = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_gi_si1/T0/T0);
d_T1_dV_gi_di1 = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_gi_di1/T0/T0);
d_T1_dV_ge_si = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_ge_si/T0/T0);
d_T1_dV_ge_di = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_ge_di/T0/T0);
d_T1_dV_gi_di = (-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_gi_di/T0/T0);
d_T1_dTemp_t_GND = ((T0*d_vfbsd_dTemp_t_GND-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dTemp_t_GND)/T0/T0);
d_T1_dV_gi_si = ((T0*(-d_vgs_noswap_dV_gi_si)-(((-vgs_noswap)-EGISL_i)+vfbsd)*d_T0_dV_gi_si)/T0/T0);
T1 = ((((-vgs_noswap)-EGISL_i)+vfbsd)/T0);
{
double value_sqrt_0 = sqrt(((T1*T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1)))));
d_T1_dV_di_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1)))));
d_T1_dV_gi_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1)))));
d_T1_dV_e_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1)))));
d_T1_dV_e_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1)))));
d_T1_dV_gi_e = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1)))));
d_T1_dV_gi_si1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1)))));
d_T1_dV_gi_di1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1)))));
d_T1_dV_ge_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_si+d_T1_dV_ge_si*T1)))));
d_T1_dV_ge_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_di+d_T1_dV_ge_di*T1)))));
d_T1_dV_gi_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di+d_T1_dV_gi_di*T1)))));
T1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(T1+value_sqrt_0)));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dV_di_si = (-BGISL_t*d_T1_dV_di_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si = (-BGISL_t*d_T1_dV_gi_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_di = (-BGISL_t*d_T1_dV_e_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_si = (-BGISL_t*d_T1_dV_e_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_e = (-BGISL_t*d_T1_dV_gi_e/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si1 = (-BGISL_t*d_T1_dV_gi_si1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di1 = (-BGISL_t*d_T1_dV_gi_di1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_si = (-BGISL_t*d_T1_dV_ge_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_di = (-BGISL_t*d_T1_dV_ge_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di = (-BGISL_t*d_T1_dV_gi_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dTemp_t_GND = (((T1+1.0e-3)*d_BGISL_t_dTemp_t_GND-BGISL_t*d_T1_dTemp_t_GND)/(T1+1.0e-3)/(T1+1.0e-3));
T2 = (BGISL_t/(T1+1.0e-3));
{
double value_pow_0 = pow(T1,PGISL_i);
double  deriv_pow_0_d0 = ((T1 == 0.0)?0.0:(value_pow_0*PGISL_i/T1));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e =  0.0;
d_T3_dTemp_t_GND = (deriv_pow_0_d0*(d_T1_dTemp_t_GND));
d_T3_dV_di_si = (deriv_pow_0_d0*(d_T1_dV_di_si));
d_T3_dV_gi_si = (deriv_pow_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = (deriv_pow_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = (deriv_pow_0_d0*(d_T1_dV_e_si));
d_T3_dV_gi_e = (deriv_pow_0_d0*(d_T1_dV_gi_e));
d_T3_dV_gi_si1 = (deriv_pow_0_d0*(d_T1_dV_gi_si1));
d_T3_dV_gi_di1 = (deriv_pow_0_d0*(d_T1_dV_gi_di1));
d_T3_dV_ge_si = (deriv_pow_0_d0*(d_T1_dV_ge_si));
d_T3_dV_ge_di = (deriv_pow_0_d0*(d_T1_dV_ge_di));
d_T3_dV_gi_di = (deriv_pow_0_d0*(d_T1_dV_gi_di));
T3 = value_pow_0;
}
if (((model_.BULKMOD)!=0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
d_T4_dV_e_si = (((-ves_jct)*ves_jct)*d_ves_jct_dV_e_si+((-ves_jct)*d_ves_jct_dV_e_si+(-d_ves_jct_dV_e_si)*ves_jct)*ves_jct);
T4 = (((-ves_jct)*ves_jct)*ves_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));

d_T4a_dTemp_t_GND = (deriv_fabs_0_d0*(d_T4_dTemp_t_GND));
d_T4a_dV_di_si = (deriv_fabs_0_d0*(d_T4_dV_di_si));
d_T4a_dV_gi_si = (deriv_fabs_0_d0*(d_T4_dV_gi_si));
d_T4a_dV_e_di = (deriv_fabs_0_d0*(d_T4_dV_e_di));
d_T4a_dV_e_si = (deriv_fabs_0_d0*(d_T4_dV_e_si));
d_T4a_dV_gi_e = (deriv_fabs_0_d0*(d_T4_dV_gi_e));
d_T4a_dV_gi_si1 = (deriv_fabs_0_d0*(d_T4_dV_gi_si1));
d_T4a_dV_gi_di1 = (deriv_fabs_0_d0*(d_T4_dV_gi_di1));
d_T4a_dV_ge_si = (deriv_fabs_0_d0*(d_T4_dV_ge_si));
d_T4a_dV_ge_di = (deriv_fabs_0_d0*(d_T4_dV_ge_di));
d_T4a_dV_gi_di = (deriv_fabs_0_d0*(d_T4_dV_gi_di));
T4a = ((CGISL_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_di_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_e = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)*(T4/T4a))))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-T2));
double  deriv_exp_0_d0 = value_exp_0;

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e =  0.0;
d_T6_dV_s_si1 = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_s_si1+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_s_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_s_si1)))))+(AGISL_i*Weff0)*d_T3_dV_s_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_d_di1 = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_d_di1+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_d_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_d_di1)))))+(AGISL_i*Weff0)*d_T3_dV_d_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dTemp_t_GND = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dTemp_t_GND+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dTemp_t_GND):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dTemp_t_GND)))))+(AGISL_i*Weff0)*d_T3_dTemp_t_GND*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_si = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si)))))+(AGISL_i*Weff0)*d_T3_dV_gi_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_e_di = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_di+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_di)))))+(AGISL_i*Weff0)*d_T3_dV_e_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_e_si = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_si+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_si)))))+(AGISL_i*Weff0)*d_T3_dV_e_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_di_si = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_di_si+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_di_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_di_si)))))+(AGISL_i*Weff0)*d_T3_dV_di_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_e = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_e+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_e):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_e)))))+(AGISL_i*Weff0)*d_T3_dV_gi_e*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_si1 = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si1+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si1)))))+(AGISL_i*Weff0)*d_T3_dV_gi_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_di1 = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di1+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di1)))))+(AGISL_i*Weff0)*d_T3_dV_gi_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_ge_si = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_si+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_si)))))+(AGISL_i*Weff0)*d_T3_dV_ge_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_ge_di = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_di+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_di)))))+(AGISL_i*Weff0)*d_T3_dV_ge_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T6_dV_gi_di = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di)))))+(AGISL_i*Weff0)*d_T3_dV_gi_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T6 = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
else
{
{
double value_exp_0 = exp((-T2));
double  deriv_exp_0_d0 = value_exp_0;

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dTemp_t_GND = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dTemp_t_GND):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dTemp_t_GND)))))+(AGISL_i*Weff0)*d_T3_dTemp_t_GND*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_gi_si = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si)))))+(AGISL_i*Weff0)*d_T3_dV_gi_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_e_di = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_di)))))+(AGISL_i*Weff0)*d_T3_dV_e_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_e_si = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_si)))))+(AGISL_i*Weff0)*d_T3_dV_e_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_di_si = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-d_vds_noswap_dV_di_si)+(((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_di_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_di_si)))))+(AGISL_i*Weff0)*d_T3_dV_di_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap));
d_T6_dV_gi_e = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_e):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_e)))))+(AGISL_i*Weff0)*d_T3_dV_gi_e*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_gi_si1 = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si1)))))+(AGISL_i*Weff0)*d_T3_dV_gi_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_gi_di1 = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di1)))))+(AGISL_i*Weff0)*d_T3_dV_gi_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_ge_si = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_si)))))+(AGISL_i*Weff0)*d_T3_dV_ge_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_ge_di = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_di)))))+(AGISL_i*Weff0)*d_T3_dV_ge_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
d_T6_dV_gi_di = (((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di)))))+(AGISL_i*Weff0)*d_T3_dV_gi_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
T6 = ((((AGISL_i*Weff0)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap));
}
}
}
if (((((model_.BULKMOD)!=0)&&((model_.GIDLMOD)==2))&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
{
double value_sqrt_0 = sqrt(((((1.0+(TGIDL_i*delTemp))-1.0e-6)*((1.0+(TGIDL_i*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_BGISLB_t_dTemp_t_GND = BGISLB_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(TGIDL_i*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+(TGIDL_i*delTemp))-1.0e-6)*TGIDL_i*d_delTemp_dTemp_t_GND+TGIDL_i*d_delTemp_dTemp_t_GND*((1.0+(TGIDL_i*delTemp))-1.0e-6))))));
BGISLB_t = (BGISLB_i*(((((1.0+(TGIDL_i*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(TGIDL_i*delTemp))-1.0e-6)+value_sqrt_0))));
}
if (((AGISLB_i<=0.0)||(BGISLB_t<=0.0)))
{

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si = d_T7_dTemp_t_GND =  0.0;
T7 = 0.0;
}
else
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dV_di_si = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_di_si/T0/T0);
d_T1_dV_e_di = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_e_di/T0/T0);
d_T1_dV_e_si = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_e_si/T0/T0);
d_T1_dV_gi_e = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_gi_e/T0/T0);
d_T1_dV_gi_si1 = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_gi_si1/T0/T0);
d_T1_dV_gi_di1 = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_gi_di1/T0/T0);
d_T1_dV_ge_si = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_ge_si/T0/T0);
d_T1_dV_ge_di = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_ge_di/T0/T0);
d_T1_dV_gi_di = (-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_gi_di/T0/T0);
d_T1_dTemp_t_GND = ((T0*d_vfbsd_dTemp_t_GND-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dTemp_t_GND)/T0/T0);
d_T1_dV_gi_si = ((T0*(-d_vgs_noswap_dV_gi_si)-(((-vgs_noswap)-EGISLB_i)+vfbsd)*d_T0_dV_gi_si)/T0/T0);
T1 = ((((-vgs_noswap)-EGISLB_i)+vfbsd)/T0);
{
double value_sqrt_0 = sqrt(((T1*T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dTemp_t_GND+(deriv_sqrt_0_d0*((T1*d_T1_dTemp_t_GND+d_T1_dTemp_t_GND*T1)))));
d_T1_dV_di_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_di_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_di_si+d_T1_dV_di_si*T1)))));
d_T1_dV_gi_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si+d_T1_dV_gi_si*T1)))));
d_T1_dV_e_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_di+d_T1_dV_e_di*T1)))));
d_T1_dV_e_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_e_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_e_si+d_T1_dV_e_si*T1)))));
d_T1_dV_gi_e = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_e+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_e+d_T1_dV_gi_e*T1)))));
d_T1_dV_gi_si1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_si1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_si1+d_T1_dV_gi_si1*T1)))));
d_T1_dV_gi_di1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di1+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di1+d_T1_dV_gi_di1*T1)))));
d_T1_dV_ge_si = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_si+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_si+d_T1_dV_ge_si*T1)))));
d_T1_dV_ge_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_ge_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_ge_di+d_T1_dV_ge_di*T1)))));
d_T1_dV_gi_di = (((T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(d_T1_dV_gi_di+(deriv_sqrt_0_d0*((T1*d_T1_dV_gi_di+d_T1_dV_gi_di*T1)))));
T1 = (((T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(T1+value_sqrt_0)));
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dV_di_si = (-BGISLB_t*d_T1_dV_di_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si = (-BGISLB_t*d_T1_dV_gi_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_di = (-BGISLB_t*d_T1_dV_e_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_e_si = (-BGISLB_t*d_T1_dV_e_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_e = (-BGISLB_t*d_T1_dV_gi_e/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_si1 = (-BGISLB_t*d_T1_dV_gi_si1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di1 = (-BGISLB_t*d_T1_dV_gi_di1/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_si = (-BGISLB_t*d_T1_dV_ge_si/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_ge_di = (-BGISLB_t*d_T1_dV_ge_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dV_gi_di = (-BGISLB_t*d_T1_dV_gi_di/(T1+1.0e-3)/(T1+1.0e-3));
d_T2_dTemp_t_GND = (((T1+1.0e-3)*d_BGISLB_t_dTemp_t_GND-BGISLB_t*d_T1_dTemp_t_GND)/(T1+1.0e-3)/(T1+1.0e-3));
T2 = (BGISLB_t/(T1+1.0e-3));
{
double value_pow_0 = pow(T1,PGISLB_i);
double  deriv_pow_0_d0 = ((T1 == 0.0)?0.0:(value_pow_0*PGISLB_i/T1));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e =  0.0;
d_T3_dTemp_t_GND = (deriv_pow_0_d0*(d_T1_dTemp_t_GND));
d_T3_dV_di_si = (deriv_pow_0_d0*(d_T1_dV_di_si));
d_T3_dV_gi_si = (deriv_pow_0_d0*(d_T1_dV_gi_si));
d_T3_dV_e_di = (deriv_pow_0_d0*(d_T1_dV_e_di));
d_T3_dV_e_si = (deriv_pow_0_d0*(d_T1_dV_e_si));
d_T3_dV_gi_e = (deriv_pow_0_d0*(d_T1_dV_gi_e));
d_T3_dV_gi_si1 = (deriv_pow_0_d0*(d_T1_dV_gi_si1));
d_T3_dV_gi_di1 = (deriv_pow_0_d0*(d_T1_dV_gi_di1));
d_T3_dV_ge_si = (deriv_pow_0_d0*(d_T1_dV_ge_si));
d_T3_dV_ge_di = (deriv_pow_0_d0*(d_T1_dV_ge_di));
d_T3_dV_gi_di = (deriv_pow_0_d0*(d_T1_dV_gi_di));
T3 = value_pow_0;
}

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si = d_T4_dTemp_t_GND =  0.0;
d_T4_dV_e_si = (((-ves_jct)*ves_jct)*d_ves_jct_dV_e_si+((-ves_jct)*d_ves_jct_dV_e_si+(-d_ves_jct_dV_e_si)*ves_jct)*ves_jct);
T4 = (((-ves_jct)*ves_jct)*ves_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));

d_T4a_dTemp_t_GND = (deriv_fabs_0_d0*(d_T4_dTemp_t_GND));
d_T4a_dV_di_si = (deriv_fabs_0_d0*(d_T4_dV_di_si));
d_T4a_dV_gi_si = (deriv_fabs_0_d0*(d_T4_dV_gi_si));
d_T4a_dV_e_di = (deriv_fabs_0_d0*(d_T4_dV_e_di));
d_T4a_dV_e_si = (deriv_fabs_0_d0*(d_T4_dV_e_si));
d_T4a_dV_gi_e = (deriv_fabs_0_d0*(d_T4_dV_gi_e));
d_T4a_dV_gi_si1 = (deriv_fabs_0_d0*(d_T4_dV_gi_si1));
d_T4a_dV_gi_di1 = (deriv_fabs_0_d0*(d_T4_dV_gi_di1));
d_T4a_dV_ge_si = (deriv_fabs_0_d0*(d_T4_dV_ge_si));
d_T4a_dV_ge_di = (deriv_fabs_0_d0*(d_T4_dV_ge_di));
d_T4a_dV_gi_di = (deriv_fabs_0_d0*(d_T4_dV_gi_di));
T4a = ((CGISLB_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)+((T4a*d_T4_dTemp_t_GND-T4*d_T4a_dTemp_t_GND)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_di_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)+((T4a*d_T4_dV_di_si-T4*d_T4a_dV_di_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)+((T4a*d_T4_dV_gi_si-T4*d_T4a_dV_gi_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)+((T4a*d_T4_dV_e_di-T4*d_T4a_dV_e_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_e_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)+((T4a*d_T4_dV_e_si-T4*d_T4a_dV_e_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_e = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)+((T4a*d_T4_dV_gi_e-T4*d_T4a_dV_gi_e)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_si1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)+((T4a*d_T4_dV_gi_si1-T4*d_T4a_dV_gi_si1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di1 = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)+((T4a*d_T4_dV_gi_di1-T4*d_T4a_dV_gi_di1)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_si = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)+((T4a*d_T4_dV_ge_si-T4*d_T4a_dV_ge_si)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_ge_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)+((T4a*d_T4_dV_ge_di-T4*d_T4a_dV_ge_di)/T4a/T4a)*(T4/T4a))))));
d_T5_dV_gi_di = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+(deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)+((T4a*d_T4_dV_gi_di-T4*d_T4a_dV_gi_di)/T4a/T4a)*(T4/T4a))))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-T2));
double  deriv_exp_0_d0 = value_exp_0;

d_T7_dV_ge_e =  0.0;
d_T7_dV_s_si1 = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_s_si1+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_s_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_s_si1)))))+(AGISLB_i*WeffB)*d_T3_dV_s_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_d_di1 = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_d_di1+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_d_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_d_di1)))))+(AGISLB_i*WeffB)*d_T3_dV_d_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dTemp_t_GND = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dTemp_t_GND+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dTemp_t_GND):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dTemp_t_GND)))))+(AGISLB_i*WeffB)*d_T3_dTemp_t_GND*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_si = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si)))))+(AGISLB_i*WeffB)*d_T3_dV_gi_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_e_di = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_di+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_di)))))+(AGISLB_i*WeffB)*d_T3_dV_e_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_e_si = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_e_si+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_e_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_e_si)))))+(AGISLB_i*WeffB)*d_T3_dV_e_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_di_si = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_di_si+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_di_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_di_si)))))+(AGISLB_i*WeffB)*d_T3_dV_di_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_e = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_e+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_e):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_e)))))+(AGISLB_i*WeffB)*d_T3_dV_gi_e*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_si1 = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_si1+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_si1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_si1)))))+(AGISLB_i*WeffB)*d_T3_dV_gi_si1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_di1 = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di1+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di1):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di1)))))+(AGISLB_i*WeffB)*d_T3_dV_gi_di1*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_ge_si = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_si+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_si):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_si)))))+(AGISLB_i*WeffB)*d_T3_dV_ge_si*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_ge_di = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_ge_di+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_ge_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_ge_di)))))+(AGISLB_i*WeffB)*d_T3_dV_ge_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
d_T7_dV_gi_di = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dV_gi_di+(((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?5.540622384e34*(-d_T2_dV_gi_di):(((-T2)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T2_dV_gi_di)))))+(AGISLB_i*WeffB)*d_T3_dV_gi_di*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T7 = ((((AGISLB_i*WeffB)*T3)*(((-T2)>80.0)?(5.540622384e34*((1.0+(-T2))-80.0)):(((-T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
}
if ((sigvds>0.0))
{

d_igisl_dTemp_t_GND = d_T6_dTemp_t_GND;
d_igisl_dV_gi_si = d_T6_dV_gi_si;
d_igisl_dV_e_di = d_T6_dV_e_di;
d_igisl_dV_e_si = d_T6_dV_e_si;
d_igisl_dV_di_si = d_T6_dV_di_si;
d_igisl_dV_gi_e = d_T6_dV_gi_e;
d_igisl_dV_s_si1 = d_T6_dV_s_si1;
d_igisl_dV_d_di1 = d_T6_dV_d_di1;
d_igisl_dV_gi_si1 = d_T6_dV_gi_si1;
d_igisl_dV_gi_di1 = d_T6_dV_gi_di1;
d_igisl_dV_ge_si = d_T6_dV_ge_si;
d_igisl_dV_ge_di = d_T6_dV_ge_di;
d_igisl_dV_gi_di = d_T6_dV_gi_di;
igisl = T6;

d_igislb_dTemp_t_GND = d_T7_dTemp_t_GND;
d_igislb_dV_gi_si = d_T7_dV_gi_si;
d_igislb_dV_e_di = d_T7_dV_e_di;
d_igislb_dV_e_si = d_T7_dV_e_si;
d_igislb_dV_di_si = d_T7_dV_di_si;
d_igislb_dV_gi_e = d_T7_dV_gi_e;
d_igislb_dV_s_si1 = d_T7_dV_s_si1;
d_igislb_dV_d_di1 = d_T7_dV_d_di1;
d_igislb_dV_gi_si1 = d_T7_dV_gi_si1;
d_igislb_dV_gi_di1 = d_T7_dV_gi_di1;
d_igislb_dV_ge_si = d_T7_dV_ge_si;
d_igislb_dV_ge_di = d_T7_dV_ge_di;
d_igislb_dV_gi_di = d_T7_dV_gi_di;
igislb = T7;
}
else
{

d_igidl_dTemp_t_GND = d_T6_dTemp_t_GND;
d_igidl_dV_gi_si = d_T6_dV_gi_si;
d_igidl_dV_e_di = d_T6_dV_e_di;
d_igidl_dV_e_si = d_T6_dV_e_si;
d_igidl_dV_di_si = d_T6_dV_di_si;
d_igidl_dV_gi_e = d_T6_dV_gi_e;
d_igidl_dV_s_si1 = d_T6_dV_s_si1;
d_igidl_dV_d_di1 = d_T6_dV_d_di1;
d_igidl_dV_gi_si1 = d_T6_dV_gi_si1;
d_igidl_dV_gi_di1 = d_T6_dV_gi_di1;
d_igidl_dV_ge_si = d_T6_dV_ge_si;
d_igidl_dV_ge_di = d_T6_dV_ge_di;
d_igidl_dV_gi_di = d_T6_dV_gi_di;
igidl = T6;

d_igidlb_dTemp_t_GND = d_T7_dTemp_t_GND;
d_igidlb_dV_gi_si = d_T7_dV_gi_si;
d_igidlb_dV_e_di = d_T7_dV_e_di;
d_igidlb_dV_e_si = d_T7_dV_e_si;
d_igidlb_dV_di_si = d_T7_dV_di_si;
d_igidlb_dV_gi_e = d_T7_dV_gi_e;
d_igidlb_dV_s_si1 = d_T7_dV_s_si1;
d_igidlb_dV_d_di1 = d_T7_dV_d_di1;
d_igidlb_dV_gi_si1 = d_T7_dV_gi_si1;
d_igidlb_dV_gi_di1 = d_T7_dV_gi_di1;
d_igidlb_dV_ge_si = d_T7_dV_ge_si;
d_igidlb_dV_ge_di = d_T7_dV_ge_di;
d_igidlb_dV_gi_di = d_T7_dV_gi_di;
igidlb = T7;
}
}
if (((model_.BULKMOD)!=0))
{
if ((Isbs>0.0))
{
if ((ves_jct<VjsmRev))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-ves_jct*d_Nvtms_dTemp_t_GND/Nvtms/Nvtms);
d_T0_dV_e_si = (d_ves_jct_dV_e_si/Nvtms);
T0 = (ves_jct/Nvtms);
{
double value_exp_0 = exp(T0);
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((T0>80.0)?5.540622384e34*d_T0_dTemp_t_GND:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND))));
d_T1_dV_di_si = ((T0>80.0)?5.540622384e34*d_T0_dV_di_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si))));
d_T1_dV_gi_si = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si))));
d_T1_dV_e_di = ((T0>80.0)?5.540622384e34*d_T0_dV_e_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di))));
d_T1_dV_e_si = ((T0>80.0)?5.540622384e34*d_T0_dV_e_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si))));
d_T1_dV_gi_e = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_e:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e))));
d_T1_dV_gi_si1 = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_si1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1))));
d_T1_dV_gi_di1 = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_di1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1))));
d_T1_dV_ge_si = ((T0>80.0)?5.540622384e34*d_T0_dV_ge_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si))));
d_T1_dV_ge_di = ((T0>80.0)?5.540622384e34*d_T0_dV_ge_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di))));
d_T1_dV_gi_di = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di))));
T1 = (((T0>80.0)?(5.540622384e34*((1.0+T0)-80.0)):((T0<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_di = d_T2_dV_di_si =  0.0;
d_T2_dV_e_si = SslpRev*d_ves_jct_dV_e_si;
d_T2_dTemp_t_GND = (d_IVjsmRev_dTemp_t_GND+(SslpRev*(-d_VjsmRev_dTemp_t_GND)+d_SslpRev_dTemp_t_GND*(ves_jct-VjsmRev)));
T2 = (IVjsmRev+(SslpRev*(ves_jct-VjsmRev)));

d_Ies_dTemp_t_GND = (T1*d_T2_dTemp_t_GND+d_T1_dTemp_t_GND*T2);
d_Ies_dV_di_si = (T1*d_T2_dV_di_si+d_T1_dV_di_si*T2);
d_Ies_dV_gi_si = (T1*d_T2_dV_gi_si+d_T1_dV_gi_si*T2);
d_Ies_dV_e_di = (T1*d_T2_dV_e_di+d_T1_dV_e_di*T2);
d_Ies_dV_e_si = (T1*d_T2_dV_e_si+d_T1_dV_e_si*T2);
d_Ies_dV_gi_e = (T1*d_T2_dV_gi_e+d_T1_dV_gi_e*T2);
d_Ies_dV_gi_si1 = (T1*d_T2_dV_gi_si1+d_T1_dV_gi_si1*T2);
d_Ies_dV_gi_di1 = (T1*d_T2_dV_gi_di1+d_T1_dV_gi_di1*T2);
d_Ies_dV_ge_si = (T1*d_T2_dV_ge_si+d_T1_dV_ge_si*T2);
d_Ies_dV_ge_di = (T1*d_T2_dV_ge_di+d_T1_dV_ge_di*T2);
d_Ies_dV_gi_di = (T1*d_T2_dV_gi_di+d_T1_dV_gi_di*T2);
Ies = (T1*T2);
}
else
{
if ((ves_jct<=VjsmFwd))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-ves_jct*d_Nvtms_dTemp_t_GND/Nvtms/Nvtms);
d_T0_dV_e_si = (d_ves_jct_dV_e_si/Nvtms);
T0 = (ves_jct/Nvtms);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-((model_.BVS)+ves_jct)*d_Nvtms_dTemp_t_GND/Nvtms/Nvtms);
d_T1_dV_e_si = (d_ves_jct_dV_e_si/Nvtms);
T1 = (((model_.BVS)+ves_jct)/Nvtms);
{
double value_exp_0 = exp((-T1));
double  deriv_exp_0_d0 = value_exp_0;

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dTemp_t_GND = (((-T1)>80.0)?5.540622384e34*(-d_T1_dTemp_t_GND):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dTemp_t_GND)))));
d_T2_dV_di_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_di_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_di_si)))));
d_T2_dV_gi_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si)))));
d_T2_dV_e_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_di)))));
d_T2_dV_e_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_si)))));
d_T2_dV_gi_e = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_e):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_e)))));
d_T2_dV_gi_si1 = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si1):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si1)))));
d_T2_dV_gi_di1 = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_di1):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_di1)))));
d_T2_dV_ge_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_ge_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_ge_si)))));
d_T2_dV_ge_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_ge_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_ge_di)))));
d_T2_dV_gi_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_di)))));
T2 = (((-T1)>80.0)?(5.540622384e34*((1.0+(-T1))-80.0)):(((-T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
{
double value_exp_0 = exp(T0);
double  deriv_exp_0_d0 = value_exp_0;

d_Ies_dV_di_si = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_di_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si))))-(model_.XJBVS)*d_T2_dV_di_si);
d_Ies_dV_gi_si = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si))))-(model_.XJBVS)*d_T2_dV_gi_si);
d_Ies_dV_e_di = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_e_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di))))-(model_.XJBVS)*d_T2_dV_e_di);
d_Ies_dV_e_si = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_e_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si))))-(model_.XJBVS)*d_T2_dV_e_si);
d_Ies_dV_gi_e = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_e:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e))))-(model_.XJBVS)*d_T2_dV_gi_e);
d_Ies_dV_gi_si1 = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_si1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1))))-(model_.XJBVS)*d_T2_dV_gi_si1);
d_Ies_dV_gi_di1 = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_di1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1))))-(model_.XJBVS)*d_T2_dV_gi_di1);
d_Ies_dV_ge_si = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_ge_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si))))-(model_.XJBVS)*d_T2_dV_ge_si);
d_Ies_dV_ge_di = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_ge_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di))))-(model_.XJBVS)*d_T2_dV_ge_di);
d_Ies_dV_gi_di = Isbs*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di))))-(model_.XJBVS)*d_T2_dV_gi_di);
d_Ies_dTemp_t_GND = (Isbs*((((T0>80.0)?5.540622384e34*d_T0_dTemp_t_GND:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND))))+d_XExpBVS_dTemp_t_GND)-(model_.XJBVS)*d_T2_dTemp_t_GND)+d_Isbs_dTemp_t_GND*(((((T0>80.0)?(5.540622384e34*((1.0+T0)-80.0)):((T0<(-80.0))?1.804851387e-35:value_exp_0))+XExpBVS)-1.0)-((model_.XJBVS)*T2)));
Ies = (Isbs*(((((T0>80.0)?(5.540622384e34*((1.0+T0)-80.0)):((T0<(-80.0))?1.804851387e-35:value_exp_0))+XExpBVS)-1.0)-((model_.XJBVS)*T2)));
}
}
else
{

d_Ies_dV_gi_di = d_Ies_dV_ge_di = d_Ies_dV_ge_si = d_Ies_dV_gi_di1 = d_Ies_dV_gi_si1 = d_Ies_dV_gi_e = d_Ies_dV_e_di = d_Ies_dV_gi_si = d_Ies_dV_di_si =  0.0;
d_Ies_dV_e_si = SslpFwd*d_ves_jct_dV_e_si;
d_Ies_dTemp_t_GND = (d_IVjsmFwd_dTemp_t_GND+(SslpFwd*(-d_VjsmFwd_dTemp_t_GND)+d_SslpFwd_dTemp_t_GND*(ves_jct-VjsmFwd)));
Ies = (IVjsmFwd+(SslpFwd*(ves_jct-VjsmFwd)));
}
}
}
else
{

d_Ies_dV_gi_di = d_Ies_dV_ge_di = d_Ies_dV_ge_si = d_Ies_dV_gi_di1 = d_Ies_dV_gi_si1 = d_Ies_dV_gi_e = d_Ies_dV_e_si = d_Ies_dV_e_di = d_Ies_dV_gi_si = d_Ies_dV_di_si = d_Ies_dTemp_t_GND =  0.0;
Ies = 0.0;
}
if ((JTSS_t>0.0))
{
if ((((model_.VTSS)-ves_jct)<((model_.VTSS)*1.0e-3)))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ves_jct)/Vtm0)*d_NJTS_t_dTemp_t_GND/NJTS_t/NJTS_t);
d_T0_dV_e_si = (((-d_ves_jct_dV_e_si)/Vtm0)/NJTS_t);
T0 = (((-ves_jct)/Vtm0)/NJTS_t);
{
double value_exp_0 = exp((T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dTemp_t_GND*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND*1.0e3))));
d_T1_dV_di_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_di_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si*1.0e3))));
d_T1_dV_gi_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si*1.0e3))));
d_T1_dV_e_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di*1.0e3))));
d_T1_dV_e_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si*1.0e3))));
d_T1_dV_gi_e = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_e*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e*1.0e3))));
d_T1_dV_gi_si1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1*1.0e3))));
d_T1_dV_gi_di1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1*1.0e3))));
d_T1_dV_ge_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si*1.0e3))));
d_T1_dV_ge_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di*1.0e3))));
d_T1_dV_gi_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di*1.0e3))));
T1 = ((((T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(T0*1.0e3))-80.0)):(((T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ies_dTemp_t_GND = (d_Ies_dTemp_t_GND-((ASEJ*JTSS_t)*d_T1_dTemp_t_GND+ASEJ*d_JTSS_t_dTemp_t_GND*T1));
d_Ies_dV_di_si = (d_Ies_dV_di_si-(ASEJ*JTSS_t)*d_T1_dV_di_si);
d_Ies_dV_gi_si = (d_Ies_dV_gi_si-(ASEJ*JTSS_t)*d_T1_dV_gi_si);
d_Ies_dV_e_di = (d_Ies_dV_e_di-(ASEJ*JTSS_t)*d_T1_dV_e_di);
d_Ies_dV_e_si = (d_Ies_dV_e_si-(ASEJ*JTSS_t)*d_T1_dV_e_si);
d_Ies_dV_gi_e = (d_Ies_dV_gi_e-(ASEJ*JTSS_t)*d_T1_dV_gi_e);
d_Ies_dV_gi_si1 = (d_Ies_dV_gi_si1-(ASEJ*JTSS_t)*d_T1_dV_gi_si1);
d_Ies_dV_gi_di1 = (d_Ies_dV_gi_di1-(ASEJ*JTSS_t)*d_T1_dV_gi_di1);
d_Ies_dV_ge_si = (d_Ies_dV_ge_si-(ASEJ*JTSS_t)*d_T1_dV_ge_si);
d_Ies_dV_ge_di = (d_Ies_dV_ge_di-(ASEJ*JTSS_t)*d_T1_dV_ge_di);
d_Ies_dV_gi_di = (d_Ies_dV_gi_di-(ASEJ*JTSS_t)*d_T1_dV_gi_di);
Ies = (Ies-((ASEJ*JTSS_t)*T1));
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ves_jct)/Vtm0)*d_NJTS_t_dTemp_t_GND/NJTS_t/NJTS_t);
d_T0_dV_e_si = (((-d_ves_jct_dV_e_si)/Vtm0)/NJTS_t);
T0 = (((-ves_jct)/Vtm0)/NJTS_t);
{
double value_exp_0 = exp(((T0*(model_.VTSS))/((model_.VTSS)-ves_jct)));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dTemp_t_GND*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dTemp_t_GND*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_di_si = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_di_si*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_di_si*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_gi_si = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_e_di = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_e_di*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_e_di*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_e_si = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*((((model_.VTSS)-ves_jct)*d_T0_dV_e_si*(model_.VTSS)-(T0*(model_.VTSS))*(-d_ves_jct_dV_e_si))/((model_.VTSS)-ves_jct)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*(((((model_.VTSS)-ves_jct)*d_T0_dV_e_si*(model_.VTSS)-(T0*(model_.VTSS))*(-d_ves_jct_dV_e_si))/((model_.VTSS)-ves_jct)/((model_.VTSS)-ves_jct))))));
d_T1_dV_gi_e = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_e*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_e*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_gi_si1 = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si1*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si1*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_gi_di1 = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di1*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di1*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_ge_si = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_si*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_si*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_ge_di = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_di*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_di*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
d_T1_dV_gi_di = ((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di*(model_.VTSS)/((model_.VTSS)-ves_jct)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di*(model_.VTSS)/((model_.VTSS)-ves_jct))))));
T1 = (((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))>80.0)?(5.540622384e34*((1.0+((T0*(model_.VTSS))/((model_.VTSS)-ves_jct)))-80.0)):((((T0*(model_.VTSS))/((model_.VTSS)-ves_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ies_dTemp_t_GND = (d_Ies_dTemp_t_GND-((ASEJ*JTSS_t)*d_T1_dTemp_t_GND+ASEJ*d_JTSS_t_dTemp_t_GND*T1));
d_Ies_dV_di_si = (d_Ies_dV_di_si-(ASEJ*JTSS_t)*d_T1_dV_di_si);
d_Ies_dV_gi_si = (d_Ies_dV_gi_si-(ASEJ*JTSS_t)*d_T1_dV_gi_si);
d_Ies_dV_e_di = (d_Ies_dV_e_di-(ASEJ*JTSS_t)*d_T1_dV_e_di);
d_Ies_dV_e_si = (d_Ies_dV_e_si-(ASEJ*JTSS_t)*d_T1_dV_e_si);
d_Ies_dV_gi_e = (d_Ies_dV_gi_e-(ASEJ*JTSS_t)*d_T1_dV_gi_e);
d_Ies_dV_gi_si1 = (d_Ies_dV_gi_si1-(ASEJ*JTSS_t)*d_T1_dV_gi_si1);
d_Ies_dV_gi_di1 = (d_Ies_dV_gi_di1-(ASEJ*JTSS_t)*d_T1_dV_gi_di1);
d_Ies_dV_ge_si = (d_Ies_dV_ge_si-(ASEJ*JTSS_t)*d_T1_dV_ge_si);
d_Ies_dV_ge_di = (d_Ies_dV_ge_di-(ASEJ*JTSS_t)*d_T1_dV_ge_di);
d_Ies_dV_gi_di = (d_Ies_dV_gi_di-(ASEJ*JTSS_t)*d_T1_dV_gi_di);
Ies = (Ies-((ASEJ*JTSS_t)*T1));
}
}
if ((JTSSWS_t>0.0))
{
if ((((model_.VTSSWS)-ves_jct)<((model_.VTSSWS)*1.0e-3)))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ves_jct)/Vtm0)*d_NJTSSW_t_dTemp_t_GND/NJTSSW_t/NJTSSW_t);
d_T0_dV_e_si = (((-d_ves_jct_dV_e_si)/Vtm0)/NJTSSW_t);
T0 = (((-ves_jct)/Vtm0)/NJTSSW_t);
{
double value_exp_0 = exp((T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dTemp_t_GND*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND*1.0e3))));
d_T1_dV_di_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_di_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si*1.0e3))));
d_T1_dV_gi_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si*1.0e3))));
d_T1_dV_e_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di*1.0e3))));
d_T1_dV_e_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si*1.0e3))));
d_T1_dV_gi_e = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_e*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e*1.0e3))));
d_T1_dV_gi_si1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1*1.0e3))));
d_T1_dV_gi_di1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1*1.0e3))));
d_T1_dV_ge_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si*1.0e3))));
d_T1_dV_ge_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di*1.0e3))));
d_T1_dV_gi_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di*1.0e3))));
T1 = ((((T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(T0*1.0e3))-80.0)):(((T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ies_dTemp_t_GND = (d_Ies_dTemp_t_GND-((PSEJ*JTSSWS_t)*d_T1_dTemp_t_GND+PSEJ*d_JTSSWS_t_dTemp_t_GND*T1));
d_Ies_dV_di_si = (d_Ies_dV_di_si-(PSEJ*JTSSWS_t)*d_T1_dV_di_si);
d_Ies_dV_gi_si = (d_Ies_dV_gi_si-(PSEJ*JTSSWS_t)*d_T1_dV_gi_si);
d_Ies_dV_e_di = (d_Ies_dV_e_di-(PSEJ*JTSSWS_t)*d_T1_dV_e_di);
d_Ies_dV_e_si = (d_Ies_dV_e_si-(PSEJ*JTSSWS_t)*d_T1_dV_e_si);
d_Ies_dV_gi_e = (d_Ies_dV_gi_e-(PSEJ*JTSSWS_t)*d_T1_dV_gi_e);
d_Ies_dV_gi_si1 = (d_Ies_dV_gi_si1-(PSEJ*JTSSWS_t)*d_T1_dV_gi_si1);
d_Ies_dV_gi_di1 = (d_Ies_dV_gi_di1-(PSEJ*JTSSWS_t)*d_T1_dV_gi_di1);
d_Ies_dV_ge_si = (d_Ies_dV_ge_si-(PSEJ*JTSSWS_t)*d_T1_dV_ge_si);
d_Ies_dV_ge_di = (d_Ies_dV_ge_di-(PSEJ*JTSSWS_t)*d_T1_dV_ge_di);
d_Ies_dV_gi_di = (d_Ies_dV_gi_di-(PSEJ*JTSSWS_t)*d_T1_dV_gi_di);
Ies = (Ies-((PSEJ*JTSSWS_t)*T1));
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ves_jct)/Vtm0)*d_NJTSSW_t_dTemp_t_GND/NJTSSW_t/NJTSSW_t);
d_T0_dV_e_si = (((-d_ves_jct_dV_e_si)/Vtm0)/NJTSSW_t);
T0 = (((-ves_jct)/Vtm0)/NJTSSW_t);
{
double value_exp_0 = exp(((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct)));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dTemp_t_GND*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dTemp_t_GND*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_di_si = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_di_si*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_di_si*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_gi_si = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_e_di = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_e_di*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_e_di*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_e_si = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*((((model_.VTSSWS)-ves_jct)*d_T0_dV_e_si*(model_.VTSSWS)-(T0*(model_.VTSSWS))*(-d_ves_jct_dV_e_si))/((model_.VTSSWS)-ves_jct)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*(((((model_.VTSSWS)-ves_jct)*d_T0_dV_e_si*(model_.VTSSWS)-(T0*(model_.VTSSWS))*(-d_ves_jct_dV_e_si))/((model_.VTSSWS)-ves_jct)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_gi_e = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_e*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_e*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_gi_si1 = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si1*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si1*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_gi_di1 = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di1*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di1*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_ge_si = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_si*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_si*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_ge_di = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_di*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_di*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
d_T1_dV_gi_di = ((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di*(model_.VTSSWS)/((model_.VTSSWS)-ves_jct))))));
T1 = (((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))>80.0)?(5.540622384e34*((1.0+((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct)))-80.0)):((((T0*(model_.VTSSWS))/((model_.VTSSWS)-ves_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ies_dTemp_t_GND = (d_Ies_dTemp_t_GND-((PSEJ*JTSSWS_t)*d_T1_dTemp_t_GND+PSEJ*d_JTSSWS_t_dTemp_t_GND*T1));
d_Ies_dV_di_si = (d_Ies_dV_di_si-(PSEJ*JTSSWS_t)*d_T1_dV_di_si);
d_Ies_dV_gi_si = (d_Ies_dV_gi_si-(PSEJ*JTSSWS_t)*d_T1_dV_gi_si);
d_Ies_dV_e_di = (d_Ies_dV_e_di-(PSEJ*JTSSWS_t)*d_T1_dV_e_di);
d_Ies_dV_e_si = (d_Ies_dV_e_si-(PSEJ*JTSSWS_t)*d_T1_dV_e_si);
d_Ies_dV_gi_e = (d_Ies_dV_gi_e-(PSEJ*JTSSWS_t)*d_T1_dV_gi_e);
d_Ies_dV_gi_si1 = (d_Ies_dV_gi_si1-(PSEJ*JTSSWS_t)*d_T1_dV_gi_si1);
d_Ies_dV_gi_di1 = (d_Ies_dV_gi_di1-(PSEJ*JTSSWS_t)*d_T1_dV_gi_di1);
d_Ies_dV_ge_si = (d_Ies_dV_ge_si-(PSEJ*JTSSWS_t)*d_T1_dV_ge_si);
d_Ies_dV_ge_di = (d_Ies_dV_ge_di-(PSEJ*JTSSWS_t)*d_T1_dV_ge_di);
d_Ies_dV_gi_di = (d_Ies_dV_gi_di-(PSEJ*JTSSWS_t)*d_T1_dV_gi_di);
Ies = (Ies-((PSEJ*JTSSWS_t)*T1));
}
}
if ((JTSSWGS_t>0.0))
{
if ((((model_.VTSSWGS)-ves_jct)<((model_.VTSSWGS)*1.0e-3)))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ves_jct)/Vtm0)*d_NJTSSWG_t_dTemp_t_GND/NJTSSWG_t/NJTSSWG_t);
d_T0_dV_e_si = (((-d_ves_jct_dV_e_si)/Vtm0)/NJTSSWG_t);
T0 = (((-ves_jct)/Vtm0)/NJTSSWG_t);
{
double value_exp_0 = exp((T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dTemp_t_GND*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND*1.0e3))));
d_T1_dV_di_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_di_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si*1.0e3))));
d_T1_dV_gi_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si*1.0e3))));
d_T1_dV_e_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di*1.0e3))));
d_T1_dV_e_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si*1.0e3))));
d_T1_dV_gi_e = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_e*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e*1.0e3))));
d_T1_dV_gi_si1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1*1.0e3))));
d_T1_dV_gi_di1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1*1.0e3))));
d_T1_dV_ge_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si*1.0e3))));
d_T1_dV_ge_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di*1.0e3))));
d_T1_dV_gi_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di*1.0e3))));
T1 = ((((T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(T0*1.0e3))-80.0)):(((T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ies_dTemp_t_GND = (d_Ies_dTemp_t_GND-(((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dTemp_t_GND+(Weff0*NFINtotal)*d_JTSSWGS_t_dTemp_t_GND*T1));
d_Ies_dV_di_si = (d_Ies_dV_di_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_di_si);
d_Ies_dV_gi_si = (d_Ies_dV_gi_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_si);
d_Ies_dV_e_di = (d_Ies_dV_e_di-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_e_di);
d_Ies_dV_e_si = (d_Ies_dV_e_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_e_si);
d_Ies_dV_gi_e = (d_Ies_dV_gi_e-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_e);
d_Ies_dV_gi_si1 = (d_Ies_dV_gi_si1-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_si1);
d_Ies_dV_gi_di1 = (d_Ies_dV_gi_di1-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_di1);
d_Ies_dV_ge_si = (d_Ies_dV_ge_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_ge_si);
d_Ies_dV_ge_di = (d_Ies_dV_ge_di-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_ge_di);
d_Ies_dV_gi_di = (d_Ies_dV_gi_di-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_di);
Ies = (Ies-(((Weff0*NFINtotal)*JTSSWGS_t)*T1));
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_di = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ves_jct)/Vtm0)*d_NJTSSWG_t_dTemp_t_GND/NJTSSWG_t/NJTSSWG_t);
d_T0_dV_e_si = (((-d_ves_jct_dV_e_si)/Vtm0)/NJTSSWG_t);
T0 = (((-ves_jct)/Vtm0)/NJTSSWG_t);
{
double value_exp_0 = exp(((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct)));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dTemp_t_GND*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dTemp_t_GND*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_di_si = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_di_si*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_di_si*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_gi_si = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_e_di = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_e_di*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_e_di*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_e_si = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*((((model_.VTSSWGS)-ves_jct)*d_T0_dV_e_si*(model_.VTSSWGS)-(T0*(model_.VTSSWGS))*(-d_ves_jct_dV_e_si))/((model_.VTSSWGS)-ves_jct)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*(((((model_.VTSSWGS)-ves_jct)*d_T0_dV_e_si*(model_.VTSSWGS)-(T0*(model_.VTSSWGS))*(-d_ves_jct_dV_e_si))/((model_.VTSSWGS)-ves_jct)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_gi_e = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_e*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_e*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_gi_si1 = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si1*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si1*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_gi_di1 = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di1*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di1*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_ge_si = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_si*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_si*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_ge_di = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_di*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_di*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
d_T1_dV_gi_di = ((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di*(model_.VTSSWGS)/((model_.VTSSWGS)-ves_jct))))));
T1 = (((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))>80.0)?(5.540622384e34*((1.0+((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct)))-80.0)):((((T0*(model_.VTSSWGS))/((model_.VTSSWGS)-ves_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ies_dTemp_t_GND = (d_Ies_dTemp_t_GND-(((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dTemp_t_GND+(Weff0*NFINtotal)*d_JTSSWGS_t_dTemp_t_GND*T1));
d_Ies_dV_di_si = (d_Ies_dV_di_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_di_si);
d_Ies_dV_gi_si = (d_Ies_dV_gi_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_si);
d_Ies_dV_e_di = (d_Ies_dV_e_di-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_e_di);
d_Ies_dV_e_si = (d_Ies_dV_e_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_e_si);
d_Ies_dV_gi_e = (d_Ies_dV_gi_e-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_e);
d_Ies_dV_gi_si1 = (d_Ies_dV_gi_si1-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_si1);
d_Ies_dV_gi_di1 = (d_Ies_dV_gi_di1-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_di1);
d_Ies_dV_ge_si = (d_Ies_dV_ge_si-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_ge_si);
d_Ies_dV_ge_di = (d_Ies_dV_ge_di-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_ge_di);
d_Ies_dV_gi_di = (d_Ies_dV_gi_di-((Weff0*NFINtotal)*JTSSWGS_t)*d_T1_dV_gi_di);
Ies = (Ies-(((Weff0*NFINtotal)*JTSSWGS_t)*T1));
}
}
if ((Isbd>0.0))
{
if ((ved_jct<VjdmRev))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-ved_jct*d_Nvtmd_dTemp_t_GND/Nvtmd/Nvtmd);
d_T0_dV_e_di = (d_ved_jct_dV_e_di/Nvtmd);
T0 = (ved_jct/Nvtmd);
{
double value_exp_0 = exp(T0);
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((T0>80.0)?5.540622384e34*d_T0_dTemp_t_GND:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND))));
d_T1_dV_di_si = ((T0>80.0)?5.540622384e34*d_T0_dV_di_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si))));
d_T1_dV_gi_si = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si))));
d_T1_dV_e_di = ((T0>80.0)?5.540622384e34*d_T0_dV_e_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di))));
d_T1_dV_e_si = ((T0>80.0)?5.540622384e34*d_T0_dV_e_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si))));
d_T1_dV_gi_e = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_e:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e))));
d_T1_dV_gi_si1 = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_si1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1))));
d_T1_dV_gi_di1 = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_di1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1))));
d_T1_dV_ge_si = ((T0>80.0)?5.540622384e34*d_T0_dV_ge_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si))));
d_T1_dV_ge_di = ((T0>80.0)?5.540622384e34*d_T0_dV_ge_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di))));
d_T1_dV_gi_di = ((T0>80.0)?5.540622384e34*d_T0_dV_gi_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di))));
T1 = (((T0>80.0)?(5.540622384e34*((1.0+T0)-80.0)):((T0<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_di_si =  0.0;
d_T2_dV_e_di = DslpRev*d_ved_jct_dV_e_di;
d_T2_dTemp_t_GND = (d_IVjdmRev_dTemp_t_GND+(DslpRev*(-d_VjdmRev_dTemp_t_GND)+d_DslpRev_dTemp_t_GND*(ved_jct-VjdmRev)));
T2 = (IVjdmRev+(DslpRev*(ved_jct-VjdmRev)));

d_Ied_dTemp_t_GND = (T1*d_T2_dTemp_t_GND+d_T1_dTemp_t_GND*T2);
d_Ied_dV_di_si = (T1*d_T2_dV_di_si+d_T1_dV_di_si*T2);
d_Ied_dV_gi_si = (T1*d_T2_dV_gi_si+d_T1_dV_gi_si*T2);
d_Ied_dV_e_di = (T1*d_T2_dV_e_di+d_T1_dV_e_di*T2);
d_Ied_dV_e_si = (T1*d_T2_dV_e_si+d_T1_dV_e_si*T2);
d_Ied_dV_gi_e = (T1*d_T2_dV_gi_e+d_T1_dV_gi_e*T2);
d_Ied_dV_gi_si1 = (T1*d_T2_dV_gi_si1+d_T1_dV_gi_si1*T2);
d_Ied_dV_gi_di1 = (T1*d_T2_dV_gi_di1+d_T1_dV_gi_di1*T2);
d_Ied_dV_ge_si = (T1*d_T2_dV_ge_si+d_T1_dV_ge_si*T2);
d_Ied_dV_ge_di = (T1*d_T2_dV_ge_di+d_T1_dV_ge_di*T2);
d_Ied_dV_gi_di = (T1*d_T2_dV_gi_di+d_T1_dV_gi_di*T2);
Ied = (T1*T2);
}
else
{
if ((ved_jct<=VjdmFwd))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-ved_jct*d_Nvtmd_dTemp_t_GND/Nvtmd/Nvtmd);
d_T0_dV_e_di = (d_ved_jct_dV_e_di/Nvtmd);
T0 = (ved_jct/Nvtmd);

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-((model_.BVD)+ved_jct)*d_Nvtmd_dTemp_t_GND/Nvtmd/Nvtmd);
d_T1_dV_e_di = (d_ved_jct_dV_e_di/Nvtmd);
T1 = (((model_.BVD)+ved_jct)/Nvtmd);
{
double value_exp_0 = exp((-T1));
double  deriv_exp_0_d0 = value_exp_0;

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dTemp_t_GND = (((-T1)>80.0)?5.540622384e34*(-d_T1_dTemp_t_GND):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dTemp_t_GND)))));
d_T2_dV_di_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_di_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_di_si)))));
d_T2_dV_gi_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si)))));
d_T2_dV_e_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_di)))));
d_T2_dV_e_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_e_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_e_si)))));
d_T2_dV_gi_e = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_e):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_e)))));
d_T2_dV_gi_si1 = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_si1):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_si1)))));
d_T2_dV_gi_di1 = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_di1):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_di1)))));
d_T2_dV_ge_si = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_ge_si):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_ge_si)))));
d_T2_dV_ge_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_ge_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_ge_di)))));
d_T2_dV_gi_di = (((-T1)>80.0)?5.540622384e34*(-d_T1_dV_gi_di):(((-T1)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T1_dV_gi_di)))));
T2 = (((-T1)>80.0)?(5.540622384e34*((1.0+(-T1))-80.0)):(((-T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
{
double value_exp_0 = exp(T0);
double  deriv_exp_0_d0 = value_exp_0;

d_Ied_dV_di_si = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_di_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si))))-(model_.XJBVD)*d_T2_dV_di_si);
d_Ied_dV_gi_si = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si))))-(model_.XJBVD)*d_T2_dV_gi_si);
d_Ied_dV_e_di = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_e_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di))))-(model_.XJBVD)*d_T2_dV_e_di);
d_Ied_dV_e_si = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_e_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si))))-(model_.XJBVD)*d_T2_dV_e_si);
d_Ied_dV_gi_e = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_e:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e))))-(model_.XJBVD)*d_T2_dV_gi_e);
d_Ied_dV_gi_si1 = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_si1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1))))-(model_.XJBVD)*d_T2_dV_gi_si1);
d_Ied_dV_gi_di1 = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_di1:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1))))-(model_.XJBVD)*d_T2_dV_gi_di1);
d_Ied_dV_ge_si = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_ge_si:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si))))-(model_.XJBVD)*d_T2_dV_ge_si);
d_Ied_dV_ge_di = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_ge_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di))))-(model_.XJBVD)*d_T2_dV_ge_di);
d_Ied_dV_gi_di = Isbd*(((T0>80.0)?5.540622384e34*d_T0_dV_gi_di:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di))))-(model_.XJBVD)*d_T2_dV_gi_di);
d_Ied_dTemp_t_GND = (Isbd*((((T0>80.0)?5.540622384e34*d_T0_dTemp_t_GND:((T0<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND))))+d_XExpBVD_dTemp_t_GND)-(model_.XJBVD)*d_T2_dTemp_t_GND)+d_Isbd_dTemp_t_GND*(((((T0>80.0)?(5.540622384e34*((1.0+T0)-80.0)):((T0<(-80.0))?1.804851387e-35:value_exp_0))+XExpBVD)-1.0)-((model_.XJBVD)*T2)));
Ied = (Isbd*(((((T0>80.0)?(5.540622384e34*((1.0+T0)-80.0)):((T0<(-80.0))?1.804851387e-35:value_exp_0))+XExpBVD)-1.0)-((model_.XJBVD)*T2)));
}
}
else
{

d_Ied_dV_gi_di = d_Ied_dV_ge_di = d_Ied_dV_ge_si = d_Ied_dV_gi_di1 = d_Ied_dV_gi_si1 = d_Ied_dV_gi_e = d_Ied_dV_e_si = d_Ied_dV_gi_si = d_Ied_dV_di_si =  0.0;
d_Ied_dV_e_di = DslpFwd*d_ved_jct_dV_e_di;
d_Ied_dTemp_t_GND = (d_IVjdmFwd_dTemp_t_GND+(DslpFwd*(-d_VjdmFwd_dTemp_t_GND)+d_DslpFwd_dTemp_t_GND*(ved_jct-VjdmFwd)));
Ied = (IVjdmFwd+(DslpFwd*(ved_jct-VjdmFwd)));
}
}
}
else
{

d_Ied_dV_gi_di = d_Ied_dV_ge_di = d_Ied_dV_ge_si = d_Ied_dV_gi_di1 = d_Ied_dV_gi_si1 = d_Ied_dV_gi_e = d_Ied_dV_e_si = d_Ied_dV_e_di = d_Ied_dV_gi_si = d_Ied_dV_di_si = d_Ied_dTemp_t_GND =  0.0;
Ied = 0.0;
}
if ((JTSD_t>0.0))
{
if ((((model_.VTSD)-ved_jct)<((model_.VTSD)*1.0e-3)))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ved_jct)/Vtm0)*d_NJTSD_t_dTemp_t_GND/NJTSD_t/NJTSD_t);
d_T0_dV_e_di = (((-d_ved_jct_dV_e_di)/Vtm0)/NJTSD_t);
T0 = (((-ved_jct)/Vtm0)/NJTSD_t);
{
double value_exp_0 = exp((T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dTemp_t_GND*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND*1.0e3))));
d_T1_dV_di_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_di_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si*1.0e3))));
d_T1_dV_gi_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si*1.0e3))));
d_T1_dV_e_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di*1.0e3))));
d_T1_dV_e_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si*1.0e3))));
d_T1_dV_gi_e = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_e*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e*1.0e3))));
d_T1_dV_gi_si1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1*1.0e3))));
d_T1_dV_gi_di1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1*1.0e3))));
d_T1_dV_ge_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si*1.0e3))));
d_T1_dV_ge_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di*1.0e3))));
d_T1_dV_gi_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di*1.0e3))));
T1 = ((((T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(T0*1.0e3))-80.0)):(((T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ied_dTemp_t_GND = (d_Ied_dTemp_t_GND-((ADEJ*JTSD_t)*d_T1_dTemp_t_GND+ADEJ*d_JTSD_t_dTemp_t_GND*T1));
d_Ied_dV_di_si = (d_Ied_dV_di_si-(ADEJ*JTSD_t)*d_T1_dV_di_si);
d_Ied_dV_gi_si = (d_Ied_dV_gi_si-(ADEJ*JTSD_t)*d_T1_dV_gi_si);
d_Ied_dV_e_di = (d_Ied_dV_e_di-(ADEJ*JTSD_t)*d_T1_dV_e_di);
d_Ied_dV_e_si = (d_Ied_dV_e_si-(ADEJ*JTSD_t)*d_T1_dV_e_si);
d_Ied_dV_gi_e = (d_Ied_dV_gi_e-(ADEJ*JTSD_t)*d_T1_dV_gi_e);
d_Ied_dV_gi_si1 = (d_Ied_dV_gi_si1-(ADEJ*JTSD_t)*d_T1_dV_gi_si1);
d_Ied_dV_gi_di1 = (d_Ied_dV_gi_di1-(ADEJ*JTSD_t)*d_T1_dV_gi_di1);
d_Ied_dV_ge_si = (d_Ied_dV_ge_si-(ADEJ*JTSD_t)*d_T1_dV_ge_si);
d_Ied_dV_ge_di = (d_Ied_dV_ge_di-(ADEJ*JTSD_t)*d_T1_dV_ge_di);
d_Ied_dV_gi_di = (d_Ied_dV_gi_di-(ADEJ*JTSD_t)*d_T1_dV_gi_di);
Ied = (Ied-((ADEJ*JTSD_t)*T1));
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ved_jct)/Vtm0)*d_NJTSD_t_dTemp_t_GND/NJTSD_t/NJTSD_t);
d_T0_dV_e_di = (((-d_ved_jct_dV_e_di)/Vtm0)/NJTSD_t);
T0 = (((-ved_jct)/Vtm0)/NJTSD_t);
{
double value_exp_0 = exp(((T0*(model_.VTSD))/((model_.VTSD)-ved_jct)));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dTemp_t_GND*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dTemp_t_GND*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_di_si = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_di_si*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_di_si*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_gi_si = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_e_di = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*((((model_.VTSD)-ved_jct)*d_T0_dV_e_di*(model_.VTSD)-(T0*(model_.VTSD))*(-d_ved_jct_dV_e_di))/((model_.VTSD)-ved_jct)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*(((((model_.VTSD)-ved_jct)*d_T0_dV_e_di*(model_.VTSD)-(T0*(model_.VTSD))*(-d_ved_jct_dV_e_di))/((model_.VTSD)-ved_jct)/((model_.VTSD)-ved_jct))))));
d_T1_dV_e_si = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_e_si*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_e_si*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_gi_e = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_e*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_e*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_gi_si1 = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si1*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si1*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_gi_di1 = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di1*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di1*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_ge_si = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_si*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_si*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_ge_di = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_di*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_di*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
d_T1_dV_gi_di = ((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di*(model_.VTSD)/((model_.VTSD)-ved_jct)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di*(model_.VTSD)/((model_.VTSD)-ved_jct))))));
T1 = (((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))>80.0)?(5.540622384e34*((1.0+((T0*(model_.VTSD))/((model_.VTSD)-ved_jct)))-80.0)):((((T0*(model_.VTSD))/((model_.VTSD)-ved_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ied_dTemp_t_GND = (d_Ied_dTemp_t_GND-((ADEJ*JTSD_t)*d_T1_dTemp_t_GND+ADEJ*d_JTSD_t_dTemp_t_GND*T1));
d_Ied_dV_di_si = (d_Ied_dV_di_si-(ADEJ*JTSD_t)*d_T1_dV_di_si);
d_Ied_dV_gi_si = (d_Ied_dV_gi_si-(ADEJ*JTSD_t)*d_T1_dV_gi_si);
d_Ied_dV_e_di = (d_Ied_dV_e_di-(ADEJ*JTSD_t)*d_T1_dV_e_di);
d_Ied_dV_e_si = (d_Ied_dV_e_si-(ADEJ*JTSD_t)*d_T1_dV_e_si);
d_Ied_dV_gi_e = (d_Ied_dV_gi_e-(ADEJ*JTSD_t)*d_T1_dV_gi_e);
d_Ied_dV_gi_si1 = (d_Ied_dV_gi_si1-(ADEJ*JTSD_t)*d_T1_dV_gi_si1);
d_Ied_dV_gi_di1 = (d_Ied_dV_gi_di1-(ADEJ*JTSD_t)*d_T1_dV_gi_di1);
d_Ied_dV_ge_si = (d_Ied_dV_ge_si-(ADEJ*JTSD_t)*d_T1_dV_ge_si);
d_Ied_dV_ge_di = (d_Ied_dV_ge_di-(ADEJ*JTSD_t)*d_T1_dV_ge_di);
d_Ied_dV_gi_di = (d_Ied_dV_gi_di-(ADEJ*JTSD_t)*d_T1_dV_gi_di);
Ied = (Ied-((ADEJ*JTSD_t)*T1));
}
}
if ((JTSSWD_t>0.0))
{
if ((((model_.VTSSWD)-ved_jct)<((model_.VTSSWD)*1.0e-3)))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ved_jct)/Vtm0)*d_NJTSSWD_t_dTemp_t_GND/NJTSSWD_t/NJTSSWD_t);
d_T0_dV_e_di = (((-d_ved_jct_dV_e_di)/Vtm0)/NJTSSWD_t);
T0 = (((-ved_jct)/Vtm0)/NJTSSWD_t);
{
double value_exp_0 = exp((T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dTemp_t_GND*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND*1.0e3))));
d_T1_dV_di_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_di_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si*1.0e3))));
d_T1_dV_gi_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si*1.0e3))));
d_T1_dV_e_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di*1.0e3))));
d_T1_dV_e_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si*1.0e3))));
d_T1_dV_gi_e = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_e*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e*1.0e3))));
d_T1_dV_gi_si1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1*1.0e3))));
d_T1_dV_gi_di1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1*1.0e3))));
d_T1_dV_ge_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si*1.0e3))));
d_T1_dV_ge_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di*1.0e3))));
d_T1_dV_gi_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di*1.0e3))));
T1 = ((((T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(T0*1.0e3))-80.0)):(((T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ied_dTemp_t_GND = (d_Ied_dTemp_t_GND-((PDEJ*JTSSWD_t)*d_T1_dTemp_t_GND+PDEJ*d_JTSSWD_t_dTemp_t_GND*T1));
d_Ied_dV_di_si = (d_Ied_dV_di_si-(PDEJ*JTSSWD_t)*d_T1_dV_di_si);
d_Ied_dV_gi_si = (d_Ied_dV_gi_si-(PDEJ*JTSSWD_t)*d_T1_dV_gi_si);
d_Ied_dV_e_di = (d_Ied_dV_e_di-(PDEJ*JTSSWD_t)*d_T1_dV_e_di);
d_Ied_dV_e_si = (d_Ied_dV_e_si-(PDEJ*JTSSWD_t)*d_T1_dV_e_si);
d_Ied_dV_gi_e = (d_Ied_dV_gi_e-(PDEJ*JTSSWD_t)*d_T1_dV_gi_e);
d_Ied_dV_gi_si1 = (d_Ied_dV_gi_si1-(PDEJ*JTSSWD_t)*d_T1_dV_gi_si1);
d_Ied_dV_gi_di1 = (d_Ied_dV_gi_di1-(PDEJ*JTSSWD_t)*d_T1_dV_gi_di1);
d_Ied_dV_ge_si = (d_Ied_dV_ge_si-(PDEJ*JTSSWD_t)*d_T1_dV_ge_si);
d_Ied_dV_ge_di = (d_Ied_dV_ge_di-(PDEJ*JTSSWD_t)*d_T1_dV_ge_di);
d_Ied_dV_gi_di = (d_Ied_dV_gi_di-(PDEJ*JTSSWD_t)*d_T1_dV_gi_di);
Ied = (Ied-((PDEJ*JTSSWD_t)*T1));
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ved_jct)/Vtm0)*d_NJTSSWD_t_dTemp_t_GND/NJTSSWD_t/NJTSSWD_t);
d_T0_dV_e_di = (((-d_ved_jct_dV_e_di)/Vtm0)/NJTSSWD_t);
T0 = (((-ved_jct)/Vtm0)/NJTSSWD_t);
{
double value_exp_0 = exp(((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct)));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dTemp_t_GND*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dTemp_t_GND*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_di_si = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_di_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_di_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_gi_si = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_e_di = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*((((model_.VTSSWD)-ved_jct)*d_T0_dV_e_di*(model_.VTSSWD)-(T0*(model_.VTSSWD))*(-d_ved_jct_dV_e_di))/((model_.VTSSWD)-ved_jct)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*(((((model_.VTSSWD)-ved_jct)*d_T0_dV_e_di*(model_.VTSSWD)-(T0*(model_.VTSSWD))*(-d_ved_jct_dV_e_di))/((model_.VTSSWD)-ved_jct)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_e_si = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_e_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_e_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_gi_e = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_e*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_e*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_gi_si1 = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si1*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si1*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_gi_di1 = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di1*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di1*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_ge_si = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_si*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_ge_di = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_di*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_di*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
d_T1_dV_gi_di = ((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di*(model_.VTSSWD)/((model_.VTSSWD)-ved_jct))))));
T1 = (((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))>80.0)?(5.540622384e34*((1.0+((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct)))-80.0)):((((T0*(model_.VTSSWD))/((model_.VTSSWD)-ved_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ied_dTemp_t_GND = (d_Ied_dTemp_t_GND-((PDEJ*JTSSWD_t)*d_T1_dTemp_t_GND+PDEJ*d_JTSSWD_t_dTemp_t_GND*T1));
d_Ied_dV_di_si = (d_Ied_dV_di_si-(PDEJ*JTSSWD_t)*d_T1_dV_di_si);
d_Ied_dV_gi_si = (d_Ied_dV_gi_si-(PDEJ*JTSSWD_t)*d_T1_dV_gi_si);
d_Ied_dV_e_di = (d_Ied_dV_e_di-(PDEJ*JTSSWD_t)*d_T1_dV_e_di);
d_Ied_dV_e_si = (d_Ied_dV_e_si-(PDEJ*JTSSWD_t)*d_T1_dV_e_si);
d_Ied_dV_gi_e = (d_Ied_dV_gi_e-(PDEJ*JTSSWD_t)*d_T1_dV_gi_e);
d_Ied_dV_gi_si1 = (d_Ied_dV_gi_si1-(PDEJ*JTSSWD_t)*d_T1_dV_gi_si1);
d_Ied_dV_gi_di1 = (d_Ied_dV_gi_di1-(PDEJ*JTSSWD_t)*d_T1_dV_gi_di1);
d_Ied_dV_ge_si = (d_Ied_dV_ge_si-(PDEJ*JTSSWD_t)*d_T1_dV_ge_si);
d_Ied_dV_ge_di = (d_Ied_dV_ge_di-(PDEJ*JTSSWD_t)*d_T1_dV_ge_di);
d_Ied_dV_gi_di = (d_Ied_dV_gi_di-(PDEJ*JTSSWD_t)*d_T1_dV_gi_di);
Ied = (Ied-((PDEJ*JTSSWD_t)*T1));
}
}
if ((JTSSWGD_t>0.0))
{
if ((((model_.VTSSWGD)-ved_jct)<((model_.VTSSWGD)*1.0e-3)))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ved_jct)/Vtm0)*d_NJTSSWGD_t_dTemp_t_GND/NJTSSWGD_t/NJTSSWGD_t);
d_T0_dV_e_di = (((-d_ved_jct_dV_e_di)/Vtm0)/NJTSSWGD_t);
T0 = (((-ved_jct)/Vtm0)/NJTSSWGD_t);
{
double value_exp_0 = exp((T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dTemp_t_GND*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dTemp_t_GND*1.0e3))));
d_T1_dV_di_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_di_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_di_si*1.0e3))));
d_T1_dV_gi_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si*1.0e3))));
d_T1_dV_e_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_di*1.0e3))));
d_T1_dV_e_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_e_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_e_si*1.0e3))));
d_T1_dV_gi_e = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_e*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_e*1.0e3))));
d_T1_dV_gi_si1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_si1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_si1*1.0e3))));
d_T1_dV_gi_di1 = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di1*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di1*1.0e3))));
d_T1_dV_ge_si = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_si*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_si*1.0e3))));
d_T1_dV_ge_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_ge_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_ge_di*1.0e3))));
d_T1_dV_gi_di = (((T0*1.0e3)>80.0)?5.540622384e34*d_T0_dV_gi_di*1.0e3:(((T0*1.0e3)<(-80.0))?0.0:(deriv_exp_0_d0*(d_T0_dV_gi_di*1.0e3))));
T1 = ((((T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(T0*1.0e3))-80.0)):(((T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ied_dTemp_t_GND = (d_Ied_dTemp_t_GND-(((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dTemp_t_GND+(Weff0*NFINtotal)*d_JTSSWGD_t_dTemp_t_GND*T1));
d_Ied_dV_di_si = (d_Ied_dV_di_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_di_si);
d_Ied_dV_gi_si = (d_Ied_dV_gi_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_si);
d_Ied_dV_e_di = (d_Ied_dV_e_di-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_e_di);
d_Ied_dV_e_si = (d_Ied_dV_e_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_e_si);
d_Ied_dV_gi_e = (d_Ied_dV_gi_e-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_e);
d_Ied_dV_gi_si1 = (d_Ied_dV_gi_si1-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_si1);
d_Ied_dV_gi_di1 = (d_Ied_dV_gi_di1-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_di1);
d_Ied_dV_ge_si = (d_Ied_dV_ge_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_ge_si);
d_Ied_dV_ge_di = (d_Ied_dV_ge_di-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_ge_di);
d_Ied_dV_gi_di = (d_Ied_dV_gi_di-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_di);
Ied = (Ied-(((Weff0*NFINtotal)*JTSSWGD_t)*T1));
}
else
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e = d_T0_dV_e_si = d_T0_dV_gi_si = d_T0_dV_di_si =  0.0;
d_T0_dTemp_t_GND = (-((-ved_jct)/Vtm0)*d_NJTSSWGD_t_dTemp_t_GND/NJTSSWGD_t/NJTSSWGD_t);
d_T0_dV_e_di = (((-d_ved_jct_dV_e_di)/Vtm0)/NJTSSWGD_t);
T0 = (((-ved_jct)/Vtm0)/NJTSSWGD_t);
{
double value_exp_0 = exp(((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct)));
double  deriv_exp_0_d0 = value_exp_0;

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dTemp_t_GND*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dTemp_t_GND*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_di_si = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_di_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_di_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_gi_si = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_e_di = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*((((model_.VTSSWGD)-ved_jct)*d_T0_dV_e_di*(model_.VTSSWGD)-(T0*(model_.VTSSWGD))*(-d_ved_jct_dV_e_di))/((model_.VTSSWGD)-ved_jct)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*(((((model_.VTSSWGD)-ved_jct)*d_T0_dV_e_di*(model_.VTSSWGD)-(T0*(model_.VTSSWGD))*(-d_ved_jct_dV_e_di))/((model_.VTSSWGD)-ved_jct)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_e_si = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_e_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_e_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_gi_e = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_e*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_e*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_gi_si1 = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_si1*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_si1*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_gi_di1 = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di1*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di1*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_ge_si = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_si*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_ge_di = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_ge_di*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_ge_di*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
d_T1_dV_gi_di = ((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?5.540622384e34*(d_T0_dV_gi_di*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?0.0:(deriv_exp_0_d0*((d_T0_dV_gi_di*(model_.VTSSWGD)/((model_.VTSSWGD)-ved_jct))))));
T1 = (((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))>80.0)?(5.540622384e34*((1.0+((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct)))-80.0)):((((T0*(model_.VTSSWGD))/((model_.VTSSWGD)-ved_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}

d_Ied_dTemp_t_GND = (d_Ied_dTemp_t_GND-(((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dTemp_t_GND+(Weff0*NFINtotal)*d_JTSSWGD_t_dTemp_t_GND*T1));
d_Ied_dV_di_si = (d_Ied_dV_di_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_di_si);
d_Ied_dV_gi_si = (d_Ied_dV_gi_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_si);
d_Ied_dV_e_di = (d_Ied_dV_e_di-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_e_di);
d_Ied_dV_e_si = (d_Ied_dV_e_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_e_si);
d_Ied_dV_gi_e = (d_Ied_dV_gi_e-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_e);
d_Ied_dV_gi_si1 = (d_Ied_dV_gi_si1-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_si1);
d_Ied_dV_gi_di1 = (d_Ied_dV_gi_di1-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_di1);
d_Ied_dV_ge_si = (d_Ied_dV_ge_si-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_ge_si);
d_Ied_dV_ge_di = (d_Ied_dV_ge_di-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_ge_di);
d_Ied_dV_gi_di = (d_Ied_dV_gi_di-((Weff0*NFINtotal)*JTSSWGD_t)*d_T1_dV_gi_di);
Ied = (Ied-(((Weff0*NFINtotal)*JTSSWGD_t)*T1));
}
}
{
if ((Czbs>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-ves_jct*d_PBS_t_dTemp_t_GND/PBS_t/PBS_t);
d_T1_dV_e_si = (d_ves_jct_dV_e_si/PBS_t);
T1 = (ves_jct/PBS_t);
if ((T1<0.9))
{
if (((model_.SJS)>0.0))
{
if ((ves_jct>vec1s))
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJS)!=1))
{
if (((model_.MJS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 =  0.0;
d_Qesj1_dV_di_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_e_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_e_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_e = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_si1 = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_di1 = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_ge_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_ge_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dTemp_t_GND = (((PBS_t*Czbs)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBS_t*d_Czbs_dTemp_t_GND+d_PBS_t_dTemp_t_GND*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
Qesj1 = (((PBS_t*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 =  0.0;
d_Qesj1_dV_di_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qesj1_dV_gi_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qesj1_dV_e_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qesj1_dV_e_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qesj1_dV_gi_e = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qesj1_dV_gi_si1 = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qesj1_dV_gi_di1 = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qesj1_dV_ge_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qesj1_dV_ge_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qesj1_dV_gi_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qesj1_dTemp_t_GND = (((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBS_t)*d_Czbs_dTemp_t_GND+(-d_PBS_t_dTemp_t_GND)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj1 = (((-PBS_t)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((PBS_t*d_vec1s_dTemp_t_GND-vec1s*d_PBS_t_dTemp_t_GND)/PBS_t/PBS_t));
arg = (1.0-(vec1s/PBS_t));
if (((model_.MJS)!=1))
{
if (((model_.MJS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qec_dV_di_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_gi_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_e_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_e_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_gi_e = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_gi_si1 = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_gi_di1 = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_ge_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_ge_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJS)));
d_Qec_dV_gi_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJS)));
d_Qec_dTemp_t_GND = (((PBS_t*Czbs)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBS_t*d_Czbs_dTemp_t_GND+d_PBS_t_dTemp_t_GND*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
Qec = (((PBS_t*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qec_dV_di_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qec_dV_gi_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qec_dV_e_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qec_dV_e_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qec_dV_gi_e = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qec_dV_gi_si1 = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qec_dV_gi_di1 = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qec_dV_ge_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qec_dV_ge_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qec_dV_gi_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qec_dTemp_t_GND = (((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBS_t)*d_Czbs_dTemp_t_GND+(-d_PBS_t_dTemp_t_GND)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-PBS_t)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((pb21s*(-d_vec1s_dTemp_t_GND)-(ves_jct-vec1s)*d_pb21s_dTemp_t_GND)/pb21s/pb21s));
d_arg_dV_e_si = (-(d_ves_jct_dV_e_si/pb21s));
arg = (1.0-((ves_jct-vec1s)/pb21s));
if (((model_.MJS2)!=1))
{
if (((model_.MJS2)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJS2)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJS2))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 =  0.0;
d_Qesj1_dV_di_si = (d_Qec_dV_di_si+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_gi_si = (d_Qec_dV_gi_si+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_e_di = (d_Qec_dV_e_di+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_e_si = (d_Qec_dV_e_si+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_gi_e = (d_Qec_dV_gi_e+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_gi_si1 = (d_Qec_dV_gi_si1+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_gi_di1 = (d_Qec_dV_gi_di1+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_ge_si = (d_Qec_dV_ge_si+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_ge_di = (d_Qec_dV_ge_di+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dV_gi_di = (d_Qec_dV_gi_di+((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJS2))));
d_Qesj1_dTemp_t_GND = (d_Qec_dTemp_t_GND+(((((model_.SJS)*pb21s)*Czbs)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(((model_.SJS)*pb21s)*d_Czbs_dTemp_t_GND+(model_.SJS)*d_pb21s_dTemp_t_GND*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS2))));
Qesj1 = (Qec+(((((model_.SJS)*pb21s)*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS2))));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 =  0.0;
d_Qesj1_dV_di_si = (d_Qec_dV_di_si-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0));
d_Qesj1_dV_gi_si = (d_Qec_dV_gi_si-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0));
d_Qesj1_dV_e_di = (d_Qec_dV_e_di-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0));
d_Qesj1_dV_e_si = (d_Qec_dV_e_si-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0));
d_Qesj1_dV_gi_e = (d_Qec_dV_gi_e-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0));
d_Qesj1_dV_gi_si1 = (d_Qec_dV_gi_si1-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0));
d_Qesj1_dV_gi_di1 = (d_Qec_dV_gi_di1-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0));
d_Qesj1_dV_ge_si = (d_Qec_dV_ge_si-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0));
d_Qesj1_dV_ge_di = (d_Qec_dV_ge_di-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0));
d_Qesj1_dV_gi_di = (d_Qec_dV_gi_di-(((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0));
d_Qesj1_dTemp_t_GND = (d_Qec_dTemp_t_GND-((((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+(((model_.SJS)*pb21s)*d_Czbs_dTemp_t_GND+(model_.SJS)*d_pb21s_dTemp_t_GND*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qesj1 = (Qec-((((model_.SJS)*pb21s)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJS)!=1))
{
if (((model_.MJS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 =  0.0;
d_Qesj1_dV_di_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_e_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_e_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_e = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_si1 = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_di1 = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_ge_si = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_ge_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dV_gi_di = ((PBS_t*Czbs)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJS)));
d_Qesj1_dTemp_t_GND = (((PBS_t*Czbs)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBS_t*d_Czbs_dTemp_t_GND+d_PBS_t_dTemp_t_GND*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
Qesj1 = (((PBS_t*Czbs)*(1.0-(arg*sarg)))/(1.0-(model_.MJS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 =  0.0;
d_Qesj1_dV_di_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qesj1_dV_gi_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qesj1_dV_e_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qesj1_dV_e_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qesj1_dV_gi_e = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qesj1_dV_gi_si1 = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qesj1_dV_gi_di1 = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qesj1_dV_ge_si = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qesj1_dV_ge_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qesj1_dV_gi_di = ((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qesj1_dTemp_t_GND = (((-PBS_t)*Czbs)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBS_t)*d_Czbs_dTemp_t_GND+(-d_PBS_t_dTemp_t_GND)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj1 = (((-PBS_t)*Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if (((model_.MJS)!=1))
{
if (((model_.MJS)==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-(model_.MJS)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = value_pow_0;
}
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1.0/(1.0-(model_.MJS)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dTemp_t_GND)+d_T3_dTemp_t_GND*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_gi_si = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_gi_si)+d_T3_dV_gi_si*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_e_di = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_e_di)+d_T3_dV_e_di*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_e_si = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_e_si)+d_T3_dV_e_si*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_di_si = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_di_si)+d_T3_dV_di_si*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_gi_e = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_gi_e)+d_T3_dV_gi_e*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_gi_si1 = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_gi_si1)+d_T3_dV_gi_si1*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_gi_di1 = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_gi_di1)+d_T3_dV_gi_di1*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_ge_si = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_ge_si)+d_T3_dV_ge_si*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_ge_di = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_ge_di)+d_T3_dV_ge_di*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
d_T5_dV_gi_di = (T3*(-((0.05*(model_.MJS))*(1.0+(model_.MJS)))*d_T2_dV_gi_di)+d_T3_dV_gi_di*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
T5 = (T3*(1.0-(((0.05*(model_.MJS))*(1.0+(model_.MJS)))*T2)));
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = (1.5-value_log_0);
}
}

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dTemp_t_GND+(T2*d_T1_dTemp_t_GND+d_T2_dTemp_t_GND*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_di_si = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_di_si+(T2*d_T1_dV_di_si+d_T2_dV_di_si*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_e_di = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_e_di+(T2*d_T1_dV_e_di+d_T2_dV_e_di*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_e_si = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_e_si+(T2*d_T1_dV_e_si+d_T2_dV_e_si*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_gi_si = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_gi_si+(T2*d_T1_dV_gi_si+d_T2_dV_gi_si*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_gi_e = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_gi_e+(T2*d_T1_dV_gi_e+d_T2_dV_gi_e*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_gi_si1 = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_gi_si1+(T2*d_T1_dV_gi_si1+d_T2_dV_gi_si1*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_gi_di1 = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_gi_di1+(T2*d_T1_dV_gi_di1+d_T2_dV_gi_di1*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_ge_si = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_ge_si+(T2*d_T1_dV_ge_si+d_T2_dV_ge_si*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_ge_di = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_ge_di+(T2*d_T1_dV_ge_di+d_T2_dV_ge_di*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
d_T4_dV_gi_di = ((T2*(T1-1.0))*(5.0*(model_.MJS))*d_T1_dV_gi_di+(T2*d_T1_dV_gi_di+d_T2_dV_gi_di*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));
T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJS))*(T1-1.0))+(1.0+(model_.MJS))));

d_Qesj1_dV_s_si1 = (PBS_t*Czbs)*d_T5_dV_s_si1;
d_Qesj1_dV_d_di1 = (PBS_t*Czbs)*d_T5_dV_d_di1;
d_Qesj1_dV_di_si = (PBS_t*Czbs)*(d_T4_dV_di_si+d_T5_dV_di_si);
d_Qesj1_dV_gi_si = (PBS_t*Czbs)*(d_T4_dV_gi_si+d_T5_dV_gi_si);
d_Qesj1_dV_e_di = (PBS_t*Czbs)*(d_T4_dV_e_di+d_T5_dV_e_di);
d_Qesj1_dV_e_si = (PBS_t*Czbs)*(d_T4_dV_e_si+d_T5_dV_e_si);
d_Qesj1_dV_gi_e = (PBS_t*Czbs)*(d_T4_dV_gi_e+d_T5_dV_gi_e);
d_Qesj1_dV_gi_si1 = (PBS_t*Czbs)*(d_T4_dV_gi_si1+d_T5_dV_gi_si1);
d_Qesj1_dV_gi_di1 = (PBS_t*Czbs)*(d_T4_dV_gi_di1+d_T5_dV_gi_di1);
d_Qesj1_dV_ge_si = (PBS_t*Czbs)*(d_T4_dV_ge_si+d_T5_dV_ge_si);
d_Qesj1_dV_ge_di = (PBS_t*Czbs)*(d_T4_dV_ge_di+d_T5_dV_ge_di);
d_Qesj1_dV_gi_di = (PBS_t*Czbs)*(d_T4_dV_gi_di+d_T5_dV_gi_di);
d_Qesj1_dTemp_t_GND = ((PBS_t*Czbs)*(d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(PBS_t*d_Czbs_dTemp_t_GND+d_PBS_t_dTemp_t_GND*Czbs)*(T4+T5));
Qesj1 = ((PBS_t*Czbs)*(T4+T5));
}
}
else
{

d_Qesj1_dV_d_di1 = d_Qesj1_dV_s_si1 = d_Qesj1_dTemp_t_GND = d_Qesj1_dV_gi_di = d_Qesj1_dV_ge_di = d_Qesj1_dV_ge_si = d_Qesj1_dV_gi_di1 = d_Qesj1_dV_gi_si1 = d_Qesj1_dV_gi_e = d_Qesj1_dV_e_si = d_Qesj1_dV_e_di = d_Qesj1_dV_gi_si = d_Qesj1_dV_di_si =  0.0;
Qesj1 = 0.0;
}
}
{
if ((Czbssw>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-ves_jct*d_PBSWS_t_dTemp_t_GND/PBSWS_t/PBSWS_t);
d_T1_dV_e_si = (d_ves_jct_dV_e_si/PBSWS_t);
T1 = (ves_jct/PBSWS_t);
if ((T1<0.9))
{
if (((model_.SJSWS)>0.0))
{
if ((ves_jct>vec2s))
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWS)!=1))
{
if (((model_.MJSWS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 =  0.0;
d_Qesj2_dV_di_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_e_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_e_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_e = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_si1 = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_di1 = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_ge_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_ge_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dTemp_t_GND = (((PBSWS_t*Czbssw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWS_t*d_Czbssw_dTemp_t_GND+d_PBSWS_t_dTemp_t_GND*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
Qesj2 = (((PBSWS_t*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 =  0.0;
d_Qesj2_dV_di_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qesj2_dV_gi_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qesj2_dV_e_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qesj2_dV_e_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qesj2_dV_gi_e = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qesj2_dV_gi_si1 = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qesj2_dV_gi_di1 = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qesj2_dV_ge_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qesj2_dV_ge_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qesj2_dV_gi_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qesj2_dTemp_t_GND = (((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWS_t)*d_Czbssw_dTemp_t_GND+(-d_PBSWS_t_dTemp_t_GND)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj2 = (((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((PBSWS_t*d_vec2s_dTemp_t_GND-vec2s*d_PBSWS_t_dTemp_t_GND)/PBSWS_t/PBSWS_t));
arg = (1.0-(vec2s/PBSWS_t));
if (((model_.MJSWS)!=1))
{
if (((model_.MJSWS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qec_dV_di_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_gi_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_e_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_e_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_gi_e = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_gi_si1 = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_gi_di1 = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_ge_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_ge_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dV_gi_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWS)));
d_Qec_dTemp_t_GND = (((PBSWS_t*Czbssw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWS_t*d_Czbssw_dTemp_t_GND+d_PBSWS_t_dTemp_t_GND*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
Qec = (((PBSWS_t*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qec_dV_di_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qec_dV_gi_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qec_dV_e_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qec_dV_e_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qec_dV_gi_e = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qec_dV_gi_si1 = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qec_dV_gi_di1 = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qec_dV_ge_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qec_dV_ge_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qec_dV_gi_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qec_dTemp_t_GND = (((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWS_t)*d_Czbssw_dTemp_t_GND+(-d_PBSWS_t_dTemp_t_GND)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((pb22s*(-d_vec2s_dTemp_t_GND)-(ves_jct-vec2s)*d_pb22s_dTemp_t_GND)/pb22s/pb22s));
d_arg_dV_e_si = (-(d_ves_jct_dV_e_si/pb22s));
arg = (1.0-((ves_jct-vec2s)/pb22s));
if (((model_.MJSWS2)!=1))
{
if (((model_.MJSWS2)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWS2)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWS2))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 =  0.0;
d_Qesj2_dV_di_si = (d_Qec_dV_di_si+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_gi_si = (d_Qec_dV_gi_si+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_e_di = (d_Qec_dV_e_di+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_e_si = (d_Qec_dV_e_si+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_gi_e = (d_Qec_dV_gi_e+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_gi_si1 = (d_Qec_dV_gi_si1+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_gi_di1 = (d_Qec_dV_gi_di1+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_ge_si = (d_Qec_dV_ge_si+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_ge_di = (d_Qec_dV_ge_di+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dV_gi_di = (d_Qec_dV_gi_di+((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWS2))));
d_Qesj2_dTemp_t_GND = (d_Qec_dTemp_t_GND+(((((model_.SJSWS)*pb22s)*Czbssw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(((model_.SJSWS)*pb22s)*d_Czbssw_dTemp_t_GND+(model_.SJSWS)*d_pb22s_dTemp_t_GND*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS2))));
Qesj2 = (Qec+(((((model_.SJSWS)*pb22s)*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS2))));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 =  0.0;
d_Qesj2_dV_di_si = (d_Qec_dV_di_si-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0));
d_Qesj2_dV_gi_si = (d_Qec_dV_gi_si-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0));
d_Qesj2_dV_e_di = (d_Qec_dV_e_di-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0));
d_Qesj2_dV_e_si = (d_Qec_dV_e_si-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0));
d_Qesj2_dV_gi_e = (d_Qec_dV_gi_e-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0));
d_Qesj2_dV_gi_si1 = (d_Qec_dV_gi_si1-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0));
d_Qesj2_dV_gi_di1 = (d_Qec_dV_gi_di1-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0));
d_Qesj2_dV_ge_si = (d_Qec_dV_ge_si-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0));
d_Qesj2_dV_ge_di = (d_Qec_dV_ge_di-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0));
d_Qesj2_dV_gi_di = (d_Qec_dV_gi_di-(((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0));
d_Qesj2_dTemp_t_GND = (d_Qec_dTemp_t_GND-((((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+(((model_.SJSWS)*pb22s)*d_Czbssw_dTemp_t_GND+(model_.SJSWS)*d_pb22s_dTemp_t_GND*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qesj2 = (Qec-((((model_.SJSWS)*pb22s)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWS)!=1))
{
if (((model_.MJSWS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 =  0.0;
d_Qesj2_dV_di_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_e_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_e_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_e = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_si1 = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_di1 = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_ge_si = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_ge_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dV_gi_di = ((PBSWS_t*Czbssw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWS)));
d_Qesj2_dTemp_t_GND = (((PBSWS_t*Czbssw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWS_t*d_Czbssw_dTemp_t_GND+d_PBSWS_t_dTemp_t_GND*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
Qesj2 = (((PBSWS_t*Czbssw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 =  0.0;
d_Qesj2_dV_di_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qesj2_dV_gi_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qesj2_dV_e_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qesj2_dV_e_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qesj2_dV_gi_e = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qesj2_dV_gi_si1 = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qesj2_dV_gi_di1 = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qesj2_dV_ge_si = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qesj2_dV_ge_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qesj2_dV_gi_di = ((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qesj2_dTemp_t_GND = (((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWS_t)*d_Czbssw_dTemp_t_GND+(-d_PBSWS_t_dTemp_t_GND)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj2 = (((-PBSWS_t)*Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if (((model_.MJSWS)!=1))
{
if (((model_.MJSWS)==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-(model_.MJSWS)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = value_pow_0;
}
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1.0/(1.0-(model_.MJSWS)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dTemp_t_GND)+d_T3_dTemp_t_GND*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_gi_si = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_gi_si)+d_T3_dV_gi_si*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_e_di = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_e_di)+d_T3_dV_e_di*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_e_si = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_e_si)+d_T3_dV_e_si*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_di_si = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_di_si)+d_T3_dV_di_si*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_gi_e = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_gi_e)+d_T3_dV_gi_e*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_gi_si1 = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_gi_si1)+d_T3_dV_gi_si1*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_gi_di1 = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_gi_di1)+d_T3_dV_gi_di1*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_ge_si = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_ge_si)+d_T3_dV_ge_si*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_ge_di = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_ge_di)+d_T3_dV_ge_di*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
d_T5_dV_gi_di = (T3*(-((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*d_T2_dV_gi_di)+d_T3_dV_gi_di*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
T5 = (T3*(1.0-(((0.05*(model_.MJSWS))*(1.0+(model_.MJSWS)))*T2)));
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = (1.5-value_log_0);
}
}

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dTemp_t_GND+(T2*d_T1_dTemp_t_GND+d_T2_dTemp_t_GND*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_di_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_di_si+(T2*d_T1_dV_di_si+d_T2_dV_di_si*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_e_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_e_di+(T2*d_T1_dV_e_di+d_T2_dV_e_di*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_e_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_e_si+(T2*d_T1_dV_e_si+d_T2_dV_e_si*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_gi_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_gi_si+(T2*d_T1_dV_gi_si+d_T2_dV_gi_si*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_gi_e = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_gi_e+(T2*d_T1_dV_gi_e+d_T2_dV_gi_e*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_gi_si1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_gi_si1+(T2*d_T1_dV_gi_si1+d_T2_dV_gi_si1*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_gi_di1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_gi_di1+(T2*d_T1_dV_gi_di1+d_T2_dV_gi_di1*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_ge_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_ge_si+(T2*d_T1_dV_ge_si+d_T2_dV_ge_si*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_ge_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_ge_di+(T2*d_T1_dV_ge_di+d_T2_dV_ge_di*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
d_T4_dV_gi_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWS))*d_T1_dV_gi_di+(T2*d_T1_dV_gi_di+d_T2_dV_gi_di*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));
T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWS))*(T1-1.0))+(1.0+(model_.MJSWS))));

d_Qesj2_dV_s_si1 = (PBSWS_t*Czbssw)*d_T5_dV_s_si1;
d_Qesj2_dV_d_di1 = (PBSWS_t*Czbssw)*d_T5_dV_d_di1;
d_Qesj2_dV_di_si = (PBSWS_t*Czbssw)*(d_T4_dV_di_si+d_T5_dV_di_si);
d_Qesj2_dV_gi_si = (PBSWS_t*Czbssw)*(d_T4_dV_gi_si+d_T5_dV_gi_si);
d_Qesj2_dV_e_di = (PBSWS_t*Czbssw)*(d_T4_dV_e_di+d_T5_dV_e_di);
d_Qesj2_dV_e_si = (PBSWS_t*Czbssw)*(d_T4_dV_e_si+d_T5_dV_e_si);
d_Qesj2_dV_gi_e = (PBSWS_t*Czbssw)*(d_T4_dV_gi_e+d_T5_dV_gi_e);
d_Qesj2_dV_gi_si1 = (PBSWS_t*Czbssw)*(d_T4_dV_gi_si1+d_T5_dV_gi_si1);
d_Qesj2_dV_gi_di1 = (PBSWS_t*Czbssw)*(d_T4_dV_gi_di1+d_T5_dV_gi_di1);
d_Qesj2_dV_ge_si = (PBSWS_t*Czbssw)*(d_T4_dV_ge_si+d_T5_dV_ge_si);
d_Qesj2_dV_ge_di = (PBSWS_t*Czbssw)*(d_T4_dV_ge_di+d_T5_dV_ge_di);
d_Qesj2_dV_gi_di = (PBSWS_t*Czbssw)*(d_T4_dV_gi_di+d_T5_dV_gi_di);
d_Qesj2_dTemp_t_GND = ((PBSWS_t*Czbssw)*(d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(PBSWS_t*d_Czbssw_dTemp_t_GND+d_PBSWS_t_dTemp_t_GND*Czbssw)*(T4+T5));
Qesj2 = ((PBSWS_t*Czbssw)*(T4+T5));
}
}
else
{

d_Qesj2_dV_d_di1 = d_Qesj2_dV_s_si1 = d_Qesj2_dTemp_t_GND = d_Qesj2_dV_gi_di = d_Qesj2_dV_ge_di = d_Qesj2_dV_ge_si = d_Qesj2_dV_gi_di1 = d_Qesj2_dV_gi_si1 = d_Qesj2_dV_gi_e = d_Qesj2_dV_e_si = d_Qesj2_dV_e_di = d_Qesj2_dV_gi_si = d_Qesj2_dV_di_si =  0.0;
Qesj2 = 0.0;
}
}
{
if ((Czbsswg>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-ves_jct*d_PBSWGS_t_dTemp_t_GND/PBSWGS_t/PBSWGS_t);
d_T1_dV_e_si = (d_ves_jct_dV_e_si/PBSWGS_t);
T1 = (ves_jct/PBSWGS_t);
if ((T1<0.9))
{
if (((model_.SJSWGS)>0.0))
{
if ((ves_jct>vec3s))
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWGS)!=1))
{
if (((model_.MJSWGS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 =  0.0;
d_Qesj3_dV_di_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_e_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_e_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_e = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_si1 = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_di1 = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_ge_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_ge_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dTemp_t_GND = (((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWGS_t*d_Czbsswg_dTemp_t_GND+d_PBSWGS_t_dTemp_t_GND*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
Qesj3 = (((PBSWGS_t*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 =  0.0;
d_Qesj3_dV_di_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qesj3_dV_gi_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qesj3_dV_e_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qesj3_dV_e_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qesj3_dV_gi_e = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qesj3_dV_gi_si1 = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qesj3_dV_gi_di1 = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qesj3_dV_ge_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qesj3_dV_ge_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qesj3_dV_gi_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qesj3_dTemp_t_GND = (((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWGS_t)*d_Czbsswg_dTemp_t_GND+(-d_PBSWGS_t_dTemp_t_GND)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj3 = (((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((PBSWGS_t*d_vec3s_dTemp_t_GND-vec3s*d_PBSWGS_t_dTemp_t_GND)/PBSWGS_t/PBSWGS_t));
arg = (1.0-(vec3s/PBSWGS_t));
if (((model_.MJSWGS)!=1))
{
if (((model_.MJSWGS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qec_dV_di_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_gi_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_e_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_e_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_gi_e = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_gi_si1 = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_gi_di1 = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_ge_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_ge_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dV_gi_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qec_dTemp_t_GND = (((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWGS_t*d_Czbsswg_dTemp_t_GND+d_PBSWGS_t_dTemp_t_GND*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
Qec = (((PBSWGS_t*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qec_dV_di_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qec_dV_gi_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qec_dV_e_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qec_dV_e_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qec_dV_gi_e = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qec_dV_gi_si1 = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qec_dV_gi_di1 = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qec_dV_ge_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qec_dV_ge_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qec_dV_gi_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qec_dTemp_t_GND = (((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWGS_t)*d_Czbsswg_dTemp_t_GND+(-d_PBSWGS_t_dTemp_t_GND)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((pb23s*(-d_vec3s_dTemp_t_GND)-(ves_jct-vec3s)*d_pb23s_dTemp_t_GND)/pb23s/pb23s));
d_arg_dV_e_si = (-(d_ves_jct_dV_e_si/pb23s));
arg = (1.0-((ves_jct-vec3s)/pb23s));
if (((model_.MJSWGS2)!=1))
{
if (((model_.MJSWGS2)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGS2)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGS2))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 =  0.0;
d_Qesj3_dV_di_si = (d_Qec_dV_di_si+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_gi_si = (d_Qec_dV_gi_si+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_e_di = (d_Qec_dV_e_di+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_e_si = (d_Qec_dV_e_si+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_gi_e = (d_Qec_dV_gi_e+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_gi_si1 = (d_Qec_dV_gi_si1+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_gi_di1 = (d_Qec_dV_gi_di1+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_ge_si = (d_Qec_dV_ge_si+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_ge_di = (d_Qec_dV_ge_di+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dV_gi_di = (d_Qec_dV_gi_di+((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGS2))));
d_Qesj3_dTemp_t_GND = (d_Qec_dTemp_t_GND+(((((model_.SJSWGS)*pb23s)*Czbsswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(((model_.SJSWGS)*pb23s)*d_Czbsswg_dTemp_t_GND+(model_.SJSWGS)*d_pb23s_dTemp_t_GND*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS2))));
Qesj3 = (Qec+(((((model_.SJSWGS)*pb23s)*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS2))));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 =  0.0;
d_Qesj3_dV_di_si = (d_Qec_dV_di_si-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0));
d_Qesj3_dV_gi_si = (d_Qec_dV_gi_si-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0));
d_Qesj3_dV_e_di = (d_Qec_dV_e_di-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0));
d_Qesj3_dV_e_si = (d_Qec_dV_e_si-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0));
d_Qesj3_dV_gi_e = (d_Qec_dV_gi_e-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0));
d_Qesj3_dV_gi_si1 = (d_Qec_dV_gi_si1-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0));
d_Qesj3_dV_gi_di1 = (d_Qec_dV_gi_di1-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0));
d_Qesj3_dV_ge_si = (d_Qec_dV_ge_si-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0));
d_Qesj3_dV_ge_di = (d_Qec_dV_ge_di-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0));
d_Qesj3_dV_gi_di = (d_Qec_dV_gi_di-(((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0));
d_Qesj3_dTemp_t_GND = (d_Qec_dTemp_t_GND-((((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+(((model_.SJSWGS)*pb23s)*d_Czbsswg_dTemp_t_GND+(model_.SJSWGS)*d_pb23s_dTemp_t_GND*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qesj3 = (Qec-((((model_.SJSWGS)*pb23s)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWGS)!=1))
{
if (((model_.MJSWGS)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGS)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGS))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 =  0.0;
d_Qesj3_dV_di_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_e_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_e_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_e = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_si1 = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_di1 = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_ge_si = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_ge_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dV_gi_di = ((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGS)));
d_Qesj3_dTemp_t_GND = (((PBSWGS_t*Czbsswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWGS_t*d_Czbsswg_dTemp_t_GND+d_PBSWGS_t_dTemp_t_GND*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
Qesj3 = (((PBSWGS_t*Czbsswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGS)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 =  0.0;
d_Qesj3_dV_di_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qesj3_dV_gi_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qesj3_dV_e_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qesj3_dV_e_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qesj3_dV_gi_e = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qesj3_dV_gi_si1 = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qesj3_dV_gi_di1 = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qesj3_dV_ge_si = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qesj3_dV_ge_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qesj3_dV_gi_di = ((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qesj3_dTemp_t_GND = (((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWGS_t)*d_Czbsswg_dTemp_t_GND+(-d_PBSWGS_t_dTemp_t_GND)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj3 = (((-PBSWGS_t)*Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if (((model_.MJSWGS)!=1))
{
if (((model_.MJSWGS)==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-(model_.MJSWGS)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = value_pow_0;
}
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1.0/(1.0-(model_.MJSWGS)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dTemp_t_GND)+d_T3_dTemp_t_GND*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_gi_si = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_gi_si)+d_T3_dV_gi_si*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_e_di = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_e_di)+d_T3_dV_e_di*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_e_si = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_e_si)+d_T3_dV_e_si*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_di_si = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_di_si)+d_T3_dV_di_si*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_gi_e = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_gi_e)+d_T3_dV_gi_e*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_gi_si1 = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_gi_si1)+d_T3_dV_gi_si1*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_gi_di1 = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_gi_di1)+d_T3_dV_gi_di1*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_ge_si = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_ge_si)+d_T3_dV_ge_si*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_ge_di = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_ge_di)+d_T3_dV_ge_di*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
d_T5_dV_gi_di = (T3*(-((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*d_T2_dV_gi_di)+d_T3_dV_gi_di*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
T5 = (T3*(1.0-(((0.05*(model_.MJSWGS))*(1.0+(model_.MJSWGS)))*T2)));
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = (1.5-value_log_0);
}
}

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dTemp_t_GND+(T2*d_T1_dTemp_t_GND+d_T2_dTemp_t_GND*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_di_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_di_si+(T2*d_T1_dV_di_si+d_T2_dV_di_si*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_e_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_e_di+(T2*d_T1_dV_e_di+d_T2_dV_e_di*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_e_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_e_si+(T2*d_T1_dV_e_si+d_T2_dV_e_si*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_gi_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_gi_si+(T2*d_T1_dV_gi_si+d_T2_dV_gi_si*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_gi_e = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_gi_e+(T2*d_T1_dV_gi_e+d_T2_dV_gi_e*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_gi_si1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_gi_si1+(T2*d_T1_dV_gi_si1+d_T2_dV_gi_si1*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_gi_di1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_gi_di1+(T2*d_T1_dV_gi_di1+d_T2_dV_gi_di1*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_ge_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_ge_si+(T2*d_T1_dV_ge_si+d_T2_dV_ge_si*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_ge_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_ge_di+(T2*d_T1_dV_ge_di+d_T2_dV_ge_di*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
d_T4_dV_gi_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWGS))*d_T1_dV_gi_di+(T2*d_T1_dV_gi_di+d_T2_dV_gi_di*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));
T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWGS))*(T1-1.0))+(1.0+(model_.MJSWGS))));

d_Qesj3_dV_s_si1 = (PBSWGS_t*Czbsswg)*d_T5_dV_s_si1;
d_Qesj3_dV_d_di1 = (PBSWGS_t*Czbsswg)*d_T5_dV_d_di1;
d_Qesj3_dV_di_si = (PBSWGS_t*Czbsswg)*(d_T4_dV_di_si+d_T5_dV_di_si);
d_Qesj3_dV_gi_si = (PBSWGS_t*Czbsswg)*(d_T4_dV_gi_si+d_T5_dV_gi_si);
d_Qesj3_dV_e_di = (PBSWGS_t*Czbsswg)*(d_T4_dV_e_di+d_T5_dV_e_di);
d_Qesj3_dV_e_si = (PBSWGS_t*Czbsswg)*(d_T4_dV_e_si+d_T5_dV_e_si);
d_Qesj3_dV_gi_e = (PBSWGS_t*Czbsswg)*(d_T4_dV_gi_e+d_T5_dV_gi_e);
d_Qesj3_dV_gi_si1 = (PBSWGS_t*Czbsswg)*(d_T4_dV_gi_si1+d_T5_dV_gi_si1);
d_Qesj3_dV_gi_di1 = (PBSWGS_t*Czbsswg)*(d_T4_dV_gi_di1+d_T5_dV_gi_di1);
d_Qesj3_dV_ge_si = (PBSWGS_t*Czbsswg)*(d_T4_dV_ge_si+d_T5_dV_ge_si);
d_Qesj3_dV_ge_di = (PBSWGS_t*Czbsswg)*(d_T4_dV_ge_di+d_T5_dV_ge_di);
d_Qesj3_dV_gi_di = (PBSWGS_t*Czbsswg)*(d_T4_dV_gi_di+d_T5_dV_gi_di);
d_Qesj3_dTemp_t_GND = ((PBSWGS_t*Czbsswg)*(d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(PBSWGS_t*d_Czbsswg_dTemp_t_GND+d_PBSWGS_t_dTemp_t_GND*Czbsswg)*(T4+T5));
Qesj3 = ((PBSWGS_t*Czbsswg)*(T4+T5));
}
}
else
{

d_Qesj3_dV_d_di1 = d_Qesj3_dV_s_si1 = d_Qesj3_dTemp_t_GND = d_Qesj3_dV_gi_di = d_Qesj3_dV_ge_di = d_Qesj3_dV_ge_si = d_Qesj3_dV_gi_di1 = d_Qesj3_dV_gi_si1 = d_Qesj3_dV_gi_e = d_Qesj3_dV_e_si = d_Qesj3_dV_e_di = d_Qesj3_dV_gi_si = d_Qesj3_dV_di_si =  0.0;
Qesj3 = 0.0;
}
}

d_Qesj_dV_di_si = ((d_Qesj1_dV_di_si+d_Qesj2_dV_di_si)+d_Qesj3_dV_di_si);
d_Qesj_dV_gi_si = ((d_Qesj1_dV_gi_si+d_Qesj2_dV_gi_si)+d_Qesj3_dV_gi_si);
d_Qesj_dV_e_di = ((d_Qesj1_dV_e_di+d_Qesj2_dV_e_di)+d_Qesj3_dV_e_di);
d_Qesj_dV_e_si = ((d_Qesj1_dV_e_si+d_Qesj2_dV_e_si)+d_Qesj3_dV_e_si);
d_Qesj_dV_gi_e = ((d_Qesj1_dV_gi_e+d_Qesj2_dV_gi_e)+d_Qesj3_dV_gi_e);
d_Qesj_dV_gi_si1 = ((d_Qesj1_dV_gi_si1+d_Qesj2_dV_gi_si1)+d_Qesj3_dV_gi_si1);
d_Qesj_dV_gi_di1 = ((d_Qesj1_dV_gi_di1+d_Qesj2_dV_gi_di1)+d_Qesj3_dV_gi_di1);
d_Qesj_dV_ge_si = ((d_Qesj1_dV_ge_si+d_Qesj2_dV_ge_si)+d_Qesj3_dV_ge_si);
d_Qesj_dV_ge_di = ((d_Qesj1_dV_ge_di+d_Qesj2_dV_ge_di)+d_Qesj3_dV_ge_di);
d_Qesj_dV_gi_di = ((d_Qesj1_dV_gi_di+d_Qesj2_dV_gi_di)+d_Qesj3_dV_gi_di);
d_Qesj_dTemp_t_GND = ((d_Qesj1_dTemp_t_GND+d_Qesj2_dTemp_t_GND)+d_Qesj3_dTemp_t_GND);
d_Qesj_dV_s_si1 = ((d_Qesj1_dV_s_si1+d_Qesj2_dV_s_si1)+d_Qesj3_dV_s_si1);
d_Qesj_dV_d_di1 = ((d_Qesj1_dV_d_di1+d_Qesj2_dV_d_di1)+d_Qesj3_dV_d_di1);
Qesj = ((Qesj1+Qesj2)+Qesj3);
{
if ((Czbd>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-ved_jct*d_PBD_t_dTemp_t_GND/PBD_t/PBD_t);
d_T1_dV_e_di = (d_ved_jct_dV_e_di/PBD_t);
T1 = (ved_jct/PBD_t);
if ((T1<0.9))
{
if (((model_.SJD)>0.0))
{
if ((ved_jct>vec1d))
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJD)!=1))
{
if (((model_.MJD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 =  0.0;
d_Qedj1_dV_di_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_e_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_e_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_e = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_si1 = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_di1 = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_ge_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_ge_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dTemp_t_GND = (((PBD_t*Czbd)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBD_t*d_Czbd_dTemp_t_GND+d_PBD_t_dTemp_t_GND*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
Qedj1 = (((PBD_t*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 =  0.0;
d_Qedj1_dV_di_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qedj1_dV_gi_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qedj1_dV_e_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qedj1_dV_e_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qedj1_dV_gi_e = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qedj1_dV_gi_si1 = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qedj1_dV_gi_di1 = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qedj1_dV_ge_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qedj1_dV_ge_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qedj1_dV_gi_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qedj1_dTemp_t_GND = (((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBD_t)*d_Czbd_dTemp_t_GND+(-d_PBD_t_dTemp_t_GND)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj1 = (((-PBD_t)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((PBD_t*d_vec1d_dTemp_t_GND-vec1d*d_PBD_t_dTemp_t_GND)/PBD_t/PBD_t));
arg = (1.0-(vec1d/PBD_t));
if (((model_.MJD)!=1))
{
if (((model_.MJD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qec_dV_di_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_gi_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_e_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_e_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_gi_e = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_gi_si1 = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_gi_di1 = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_ge_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_ge_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJD)));
d_Qec_dV_gi_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJD)));
d_Qec_dTemp_t_GND = (((PBD_t*Czbd)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBD_t*d_Czbd_dTemp_t_GND+d_PBD_t_dTemp_t_GND*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
Qec = (((PBD_t*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qec_dV_di_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qec_dV_gi_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qec_dV_e_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qec_dV_e_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qec_dV_gi_e = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qec_dV_gi_si1 = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qec_dV_gi_di1 = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qec_dV_ge_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qec_dV_ge_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qec_dV_gi_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qec_dTemp_t_GND = (((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBD_t)*d_Czbd_dTemp_t_GND+(-d_PBD_t_dTemp_t_GND)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-PBD_t)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((pb21d*(-d_vec1d_dTemp_t_GND)-(ved_jct-vec1d)*d_pb21d_dTemp_t_GND)/pb21d/pb21d));
d_arg_dV_e_di = (-(d_ved_jct_dV_e_di/pb21d));
arg = (1.0-((ved_jct-vec1d)/pb21d));
if (((model_.MJD2)!=1))
{
if (((model_.MJD2)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJD2)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJD2))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 =  0.0;
d_Qedj1_dV_di_si = (d_Qec_dV_di_si+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_gi_si = (d_Qec_dV_gi_si+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_e_di = (d_Qec_dV_e_di+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_e_si = (d_Qec_dV_e_si+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_gi_e = (d_Qec_dV_gi_e+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_gi_si1 = (d_Qec_dV_gi_si1+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_gi_di1 = (d_Qec_dV_gi_di1+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_ge_si = (d_Qec_dV_ge_si+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_ge_di = (d_Qec_dV_ge_di+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dV_gi_di = (d_Qec_dV_gi_di+((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJD2))));
d_Qedj1_dTemp_t_GND = (d_Qec_dTemp_t_GND+(((((model_.SJD)*pb21d)*Czbd)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(((model_.SJD)*pb21d)*d_Czbd_dTemp_t_GND+(model_.SJD)*d_pb21d_dTemp_t_GND*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD2))));
Qedj1 = (Qec+(((((model_.SJD)*pb21d)*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD2))));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 =  0.0;
d_Qedj1_dV_di_si = (d_Qec_dV_di_si-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0));
d_Qedj1_dV_gi_si = (d_Qec_dV_gi_si-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0));
d_Qedj1_dV_e_di = (d_Qec_dV_e_di-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0));
d_Qedj1_dV_e_si = (d_Qec_dV_e_si-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0));
d_Qedj1_dV_gi_e = (d_Qec_dV_gi_e-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0));
d_Qedj1_dV_gi_si1 = (d_Qec_dV_gi_si1-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0));
d_Qedj1_dV_gi_di1 = (d_Qec_dV_gi_di1-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0));
d_Qedj1_dV_ge_si = (d_Qec_dV_ge_si-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0));
d_Qedj1_dV_ge_di = (d_Qec_dV_ge_di-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0));
d_Qedj1_dV_gi_di = (d_Qec_dV_gi_di-(((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0));
d_Qedj1_dTemp_t_GND = (d_Qec_dTemp_t_GND-((((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+(((model_.SJD)*pb21d)*d_Czbd_dTemp_t_GND+(model_.SJD)*d_pb21d_dTemp_t_GND*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qedj1 = (Qec-((((model_.SJD)*pb21d)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJD)!=1))
{
if (((model_.MJD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 =  0.0;
d_Qedj1_dV_di_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_e_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_e_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_e = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_si1 = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_di1 = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_ge_si = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_ge_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dV_gi_di = ((PBD_t*Czbd)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJD)));
d_Qedj1_dTemp_t_GND = (((PBD_t*Czbd)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBD_t*d_Czbd_dTemp_t_GND+d_PBD_t_dTemp_t_GND*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
Qedj1 = (((PBD_t*Czbd)*(1.0-(arg*sarg)))/(1.0-(model_.MJD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 =  0.0;
d_Qedj1_dV_di_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qedj1_dV_gi_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qedj1_dV_e_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qedj1_dV_e_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qedj1_dV_gi_e = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qedj1_dV_gi_si1 = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qedj1_dV_gi_di1 = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qedj1_dV_ge_si = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qedj1_dV_ge_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qedj1_dV_gi_di = ((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qedj1_dTemp_t_GND = (((-PBD_t)*Czbd)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBD_t)*d_Czbd_dTemp_t_GND+(-d_PBD_t_dTemp_t_GND)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj1 = (((-PBD_t)*Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if (((model_.MJD)!=1))
{
if (((model_.MJD)==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-(model_.MJD)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = value_pow_0;
}
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1.0/(1.0-(model_.MJD)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dTemp_t_GND)+d_T3_dTemp_t_GND*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_gi_si = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_gi_si)+d_T3_dV_gi_si*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_e_di = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_e_di)+d_T3_dV_e_di*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_e_si = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_e_si)+d_T3_dV_e_si*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_di_si = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_di_si)+d_T3_dV_di_si*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_gi_e = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_gi_e)+d_T3_dV_gi_e*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_gi_si1 = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_gi_si1)+d_T3_dV_gi_si1*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_gi_di1 = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_gi_di1)+d_T3_dV_gi_di1*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_ge_si = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_ge_si)+d_T3_dV_ge_si*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_ge_di = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_ge_di)+d_T3_dV_ge_di*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
d_T5_dV_gi_di = (T3*(-((0.05*(model_.MJD))*(1.0+(model_.MJD)))*d_T2_dV_gi_di)+d_T3_dV_gi_di*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
T5 = (T3*(1.0-(((0.05*(model_.MJD))*(1.0+(model_.MJD)))*T2)));
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = (1.5-value_log_0);
}
}

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dTemp_t_GND+(T2*d_T1_dTemp_t_GND+d_T2_dTemp_t_GND*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_di_si = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_di_si+(T2*d_T1_dV_di_si+d_T2_dV_di_si*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_e_di = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_e_di+(T2*d_T1_dV_e_di+d_T2_dV_e_di*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_e_si = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_e_si+(T2*d_T1_dV_e_si+d_T2_dV_e_si*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_gi_si = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_gi_si+(T2*d_T1_dV_gi_si+d_T2_dV_gi_si*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_gi_e = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_gi_e+(T2*d_T1_dV_gi_e+d_T2_dV_gi_e*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_gi_si1 = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_gi_si1+(T2*d_T1_dV_gi_si1+d_T2_dV_gi_si1*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_gi_di1 = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_gi_di1+(T2*d_T1_dV_gi_di1+d_T2_dV_gi_di1*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_ge_si = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_ge_si+(T2*d_T1_dV_ge_si+d_T2_dV_ge_si*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_ge_di = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_ge_di+(T2*d_T1_dV_ge_di+d_T2_dV_ge_di*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
d_T4_dV_gi_di = ((T2*(T1-1.0))*(5.0*(model_.MJD))*d_T1_dV_gi_di+(T2*d_T1_dV_gi_di+d_T2_dV_gi_di*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));
T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJD))*(T1-1.0))+(1.0+(model_.MJD))));

d_Qedj1_dV_s_si1 = (PBD_t*Czbd)*d_T5_dV_s_si1;
d_Qedj1_dV_d_di1 = (PBD_t*Czbd)*d_T5_dV_d_di1;
d_Qedj1_dV_di_si = (PBD_t*Czbd)*(d_T4_dV_di_si+d_T5_dV_di_si);
d_Qedj1_dV_gi_si = (PBD_t*Czbd)*(d_T4_dV_gi_si+d_T5_dV_gi_si);
d_Qedj1_dV_e_di = (PBD_t*Czbd)*(d_T4_dV_e_di+d_T5_dV_e_di);
d_Qedj1_dV_e_si = (PBD_t*Czbd)*(d_T4_dV_e_si+d_T5_dV_e_si);
d_Qedj1_dV_gi_e = (PBD_t*Czbd)*(d_T4_dV_gi_e+d_T5_dV_gi_e);
d_Qedj1_dV_gi_si1 = (PBD_t*Czbd)*(d_T4_dV_gi_si1+d_T5_dV_gi_si1);
d_Qedj1_dV_gi_di1 = (PBD_t*Czbd)*(d_T4_dV_gi_di1+d_T5_dV_gi_di1);
d_Qedj1_dV_ge_si = (PBD_t*Czbd)*(d_T4_dV_ge_si+d_T5_dV_ge_si);
d_Qedj1_dV_ge_di = (PBD_t*Czbd)*(d_T4_dV_ge_di+d_T5_dV_ge_di);
d_Qedj1_dV_gi_di = (PBD_t*Czbd)*(d_T4_dV_gi_di+d_T5_dV_gi_di);
d_Qedj1_dTemp_t_GND = ((PBD_t*Czbd)*(d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(PBD_t*d_Czbd_dTemp_t_GND+d_PBD_t_dTemp_t_GND*Czbd)*(T4+T5));
Qedj1 = ((PBD_t*Czbd)*(T4+T5));
}
}
else
{

d_Qedj1_dV_d_di1 = d_Qedj1_dV_s_si1 = d_Qedj1_dTemp_t_GND = d_Qedj1_dV_gi_di = d_Qedj1_dV_ge_di = d_Qedj1_dV_ge_si = d_Qedj1_dV_gi_di1 = d_Qedj1_dV_gi_si1 = d_Qedj1_dV_gi_e = d_Qedj1_dV_e_si = d_Qedj1_dV_e_di = d_Qedj1_dV_gi_si = d_Qedj1_dV_di_si =  0.0;
Qedj1 = 0.0;
}
}
{
if ((Czbdsw>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-ved_jct*d_PBSWD_t_dTemp_t_GND/PBSWD_t/PBSWD_t);
d_T1_dV_e_di = (d_ved_jct_dV_e_di/PBSWD_t);
T1 = (ved_jct/PBSWD_t);
if ((T1<0.9))
{
if (((model_.SJSWD)>0.0))
{
if ((ved_jct>vec2d))
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWD)!=1))
{
if (((model_.MJSWD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 =  0.0;
d_Qedj2_dV_di_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_e_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_e_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_e = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_si1 = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_di1 = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_ge_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_ge_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dTemp_t_GND = (((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWD_t*d_Czbdsw_dTemp_t_GND+d_PBSWD_t_dTemp_t_GND*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
Qedj2 = (((PBSWD_t*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 =  0.0;
d_Qedj2_dV_di_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qedj2_dV_gi_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qedj2_dV_e_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qedj2_dV_e_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qedj2_dV_gi_e = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qedj2_dV_gi_si1 = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qedj2_dV_gi_di1 = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qedj2_dV_ge_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qedj2_dV_ge_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qedj2_dV_gi_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qedj2_dTemp_t_GND = (((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWD_t)*d_Czbdsw_dTemp_t_GND+(-d_PBSWD_t_dTemp_t_GND)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj2 = (((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((PBSWD_t*d_vec2d_dTemp_t_GND-vec2d*d_PBSWD_t_dTemp_t_GND)/PBSWD_t/PBSWD_t));
arg = (1.0-(vec2d/PBSWD_t));
if (((model_.MJSWD)!=1))
{
if (((model_.MJSWD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qec_dV_di_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_gi_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_e_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_e_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_gi_e = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_gi_si1 = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_gi_di1 = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_ge_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_ge_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dV_gi_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWD)));
d_Qec_dTemp_t_GND = (((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWD_t*d_Czbdsw_dTemp_t_GND+d_PBSWD_t_dTemp_t_GND*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
Qec = (((PBSWD_t*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qec_dV_di_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qec_dV_gi_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qec_dV_e_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qec_dV_e_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qec_dV_gi_e = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qec_dV_gi_si1 = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qec_dV_gi_di1 = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qec_dV_ge_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qec_dV_ge_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qec_dV_gi_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qec_dTemp_t_GND = (((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWD_t)*d_Czbdsw_dTemp_t_GND+(-d_PBSWD_t_dTemp_t_GND)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((pb22d*(-d_vec2d_dTemp_t_GND)-(ved_jct-vec2d)*d_pb22d_dTemp_t_GND)/pb22d/pb22d));
d_arg_dV_e_di = (-(d_ved_jct_dV_e_di/pb22d));
arg = (1.0-((ved_jct-vec2d)/pb22d));
if (((model_.MJSWD2)!=1))
{
if (((model_.MJSWD2)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWD2)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWD2))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 =  0.0;
d_Qedj2_dV_di_si = (d_Qec_dV_di_si+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_gi_si = (d_Qec_dV_gi_si+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_e_di = (d_Qec_dV_e_di+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_e_si = (d_Qec_dV_e_si+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_gi_e = (d_Qec_dV_gi_e+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_gi_si1 = (d_Qec_dV_gi_si1+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_gi_di1 = (d_Qec_dV_gi_di1+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_ge_si = (d_Qec_dV_ge_si+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_ge_di = (d_Qec_dV_ge_di+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dV_gi_di = (d_Qec_dV_gi_di+((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWD2))));
d_Qedj2_dTemp_t_GND = (d_Qec_dTemp_t_GND+(((((model_.SJSWD)*pb22d)*Czbdsw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(((model_.SJSWD)*pb22d)*d_Czbdsw_dTemp_t_GND+(model_.SJSWD)*d_pb22d_dTemp_t_GND*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD2))));
Qedj2 = (Qec+(((((model_.SJSWD)*pb22d)*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD2))));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 =  0.0;
d_Qedj2_dV_di_si = (d_Qec_dV_di_si-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0));
d_Qedj2_dV_gi_si = (d_Qec_dV_gi_si-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0));
d_Qedj2_dV_e_di = (d_Qec_dV_e_di-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0));
d_Qedj2_dV_e_si = (d_Qec_dV_e_si-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0));
d_Qedj2_dV_gi_e = (d_Qec_dV_gi_e-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0));
d_Qedj2_dV_gi_si1 = (d_Qec_dV_gi_si1-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0));
d_Qedj2_dV_gi_di1 = (d_Qec_dV_gi_di1-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0));
d_Qedj2_dV_ge_si = (d_Qec_dV_ge_si-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0));
d_Qedj2_dV_ge_di = (d_Qec_dV_ge_di-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0));
d_Qedj2_dV_gi_di = (d_Qec_dV_gi_di-(((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0));
d_Qedj2_dTemp_t_GND = (d_Qec_dTemp_t_GND-((((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+(((model_.SJSWD)*pb22d)*d_Czbdsw_dTemp_t_GND+(model_.SJSWD)*d_pb22d_dTemp_t_GND*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qedj2 = (Qec-((((model_.SJSWD)*pb22d)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWD)!=1))
{
if (((model_.MJSWD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 =  0.0;
d_Qedj2_dV_di_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_e_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_e_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_e = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_si1 = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_di1 = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_ge_si = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_ge_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dV_gi_di = ((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWD)));
d_Qedj2_dTemp_t_GND = (((PBSWD_t*Czbdsw)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWD_t*d_Czbdsw_dTemp_t_GND+d_PBSWD_t_dTemp_t_GND*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
Qedj2 = (((PBSWD_t*Czbdsw)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 =  0.0;
d_Qedj2_dV_di_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qedj2_dV_gi_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qedj2_dV_e_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qedj2_dV_e_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qedj2_dV_gi_e = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qedj2_dV_gi_si1 = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qedj2_dV_gi_di1 = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qedj2_dV_ge_si = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qedj2_dV_ge_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qedj2_dV_gi_di = ((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qedj2_dTemp_t_GND = (((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWD_t)*d_Czbdsw_dTemp_t_GND+(-d_PBSWD_t_dTemp_t_GND)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj2 = (((-PBSWD_t)*Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if (((model_.MJSWD)!=1))
{
if (((model_.MJSWD)==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-(model_.MJSWD)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = value_pow_0;
}
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1.0/(1.0-(model_.MJSWD)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dTemp_t_GND)+d_T3_dTemp_t_GND*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_gi_si = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_gi_si)+d_T3_dV_gi_si*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_e_di = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_e_di)+d_T3_dV_e_di*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_e_si = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_e_si)+d_T3_dV_e_si*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_di_si = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_di_si)+d_T3_dV_di_si*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_gi_e = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_gi_e)+d_T3_dV_gi_e*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_gi_si1 = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_gi_si1)+d_T3_dV_gi_si1*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_gi_di1 = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_gi_di1)+d_T3_dV_gi_di1*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_ge_si = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_ge_si)+d_T3_dV_ge_si*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_ge_di = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_ge_di)+d_T3_dV_ge_di*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
d_T5_dV_gi_di = (T3*(-((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*d_T2_dV_gi_di)+d_T3_dV_gi_di*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
T5 = (T3*(1.0-(((0.05*(model_.MJSWD))*(1.0+(model_.MJSWD)))*T2)));
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = (1.5-value_log_0);
}
}

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dTemp_t_GND+(T2*d_T1_dTemp_t_GND+d_T2_dTemp_t_GND*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_di_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_di_si+(T2*d_T1_dV_di_si+d_T2_dV_di_si*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_e_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_e_di+(T2*d_T1_dV_e_di+d_T2_dV_e_di*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_e_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_e_si+(T2*d_T1_dV_e_si+d_T2_dV_e_si*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_gi_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_gi_si+(T2*d_T1_dV_gi_si+d_T2_dV_gi_si*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_gi_e = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_gi_e+(T2*d_T1_dV_gi_e+d_T2_dV_gi_e*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_gi_si1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_gi_si1+(T2*d_T1_dV_gi_si1+d_T2_dV_gi_si1*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_gi_di1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_gi_di1+(T2*d_T1_dV_gi_di1+d_T2_dV_gi_di1*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_ge_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_ge_si+(T2*d_T1_dV_ge_si+d_T2_dV_ge_si*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_ge_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_ge_di+(T2*d_T1_dV_ge_di+d_T2_dV_ge_di*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
d_T4_dV_gi_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWD))*d_T1_dV_gi_di+(T2*d_T1_dV_gi_di+d_T2_dV_gi_di*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));
T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWD))*(T1-1.0))+(1.0+(model_.MJSWD))));

d_Qedj2_dV_s_si1 = (PBSWD_t*Czbdsw)*d_T5_dV_s_si1;
d_Qedj2_dV_d_di1 = (PBSWD_t*Czbdsw)*d_T5_dV_d_di1;
d_Qedj2_dV_di_si = (PBSWD_t*Czbdsw)*(d_T4_dV_di_si+d_T5_dV_di_si);
d_Qedj2_dV_gi_si = (PBSWD_t*Czbdsw)*(d_T4_dV_gi_si+d_T5_dV_gi_si);
d_Qedj2_dV_e_di = (PBSWD_t*Czbdsw)*(d_T4_dV_e_di+d_T5_dV_e_di);
d_Qedj2_dV_e_si = (PBSWD_t*Czbdsw)*(d_T4_dV_e_si+d_T5_dV_e_si);
d_Qedj2_dV_gi_e = (PBSWD_t*Czbdsw)*(d_T4_dV_gi_e+d_T5_dV_gi_e);
d_Qedj2_dV_gi_si1 = (PBSWD_t*Czbdsw)*(d_T4_dV_gi_si1+d_T5_dV_gi_si1);
d_Qedj2_dV_gi_di1 = (PBSWD_t*Czbdsw)*(d_T4_dV_gi_di1+d_T5_dV_gi_di1);
d_Qedj2_dV_ge_si = (PBSWD_t*Czbdsw)*(d_T4_dV_ge_si+d_T5_dV_ge_si);
d_Qedj2_dV_ge_di = (PBSWD_t*Czbdsw)*(d_T4_dV_ge_di+d_T5_dV_ge_di);
d_Qedj2_dV_gi_di = (PBSWD_t*Czbdsw)*(d_T4_dV_gi_di+d_T5_dV_gi_di);
d_Qedj2_dTemp_t_GND = ((PBSWD_t*Czbdsw)*(d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(PBSWD_t*d_Czbdsw_dTemp_t_GND+d_PBSWD_t_dTemp_t_GND*Czbdsw)*(T4+T5));
Qedj2 = ((PBSWD_t*Czbdsw)*(T4+T5));
}
}
else
{

d_Qedj2_dV_d_di1 = d_Qedj2_dV_s_si1 = d_Qedj2_dTemp_t_GND = d_Qedj2_dV_gi_di = d_Qedj2_dV_ge_di = d_Qedj2_dV_ge_si = d_Qedj2_dV_gi_di1 = d_Qedj2_dV_gi_si1 = d_Qedj2_dV_gi_e = d_Qedj2_dV_e_si = d_Qedj2_dV_e_di = d_Qedj2_dV_gi_si = d_Qedj2_dV_di_si =  0.0;
Qedj2 = 0.0;
}
}
{
if ((Czbdswg>0.0))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_gi_si = d_T1_dV_di_si =  0.0;
d_T1_dTemp_t_GND = (-ved_jct*d_PBSWGD_t_dTemp_t_GND/PBSWGD_t/PBSWGD_t);
d_T1_dV_e_di = (d_ved_jct_dV_e_di/PBSWGD_t);
T1 = (ved_jct/PBSWGD_t);
if ((T1<0.9))
{
if (((model_.SJSWGD)>0.0))
{
if ((ved_jct>vec3d))
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWGD)!=1))
{
if (((model_.MJSWGD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 =  0.0;
d_Qedj3_dV_di_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_e_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_e_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_e = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_si1 = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_di1 = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_ge_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_ge_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dTemp_t_GND = (((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWGD_t*d_Czbdswg_dTemp_t_GND+d_PBSWGD_t_dTemp_t_GND*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
Qedj3 = (((PBSWGD_t*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 =  0.0;
d_Qedj3_dV_di_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qedj3_dV_gi_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qedj3_dV_e_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qedj3_dV_e_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qedj3_dV_gi_e = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qedj3_dV_gi_si1 = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qedj3_dV_gi_di1 = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qedj3_dV_ge_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qedj3_dV_ge_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qedj3_dV_gi_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qedj3_dTemp_t_GND = (((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWGD_t)*d_Czbdswg_dTemp_t_GND+(-d_PBSWGD_t_dTemp_t_GND)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj3 = (((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_e_di = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((PBSWGD_t*d_vec3d_dTemp_t_GND-vec3d*d_PBSWGD_t_dTemp_t_GND)/PBSWGD_t/PBSWGD_t));
arg = (1.0-(vec3d/PBSWGD_t));
if (((model_.MJSWGD)!=1))
{
if (((model_.MJSWGD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qec_dV_di_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_gi_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_e_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_e_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_gi_e = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_gi_si1 = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_gi_di1 = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_ge_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_ge_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dV_gi_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qec_dTemp_t_GND = (((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWGD_t*d_Czbdswg_dTemp_t_GND+d_PBSWGD_t_dTemp_t_GND*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
Qec = (((PBSWGD_t*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qec_dV_di_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qec_dV_gi_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qec_dV_e_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qec_dV_e_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qec_dV_gi_e = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qec_dV_gi_si1 = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qec_dV_gi_di1 = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qec_dV_ge_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qec_dV_ge_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qec_dV_gi_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qec_dTemp_t_GND = (((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWGD_t)*d_Czbdswg_dTemp_t_GND+(-d_PBSWGD_t_dTemp_t_GND)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}

d_arg_dV_gi_di = d_arg_dV_ge_di = d_arg_dV_ge_si = d_arg_dV_gi_di1 = d_arg_dV_gi_si1 = d_arg_dV_gi_e = d_arg_dV_e_si = d_arg_dV_gi_si = d_arg_dV_di_si =  0.0;
d_arg_dTemp_t_GND = (-((pb23d*(-d_vec3d_dTemp_t_GND)-(ved_jct-vec3d)*d_pb23d_dTemp_t_GND)/pb23d/pb23d));
d_arg_dV_e_di = (-(d_ved_jct_dV_e_di/pb23d));
arg = (1.0-((ved_jct-vec3d)/pb23d));
if (((model_.MJSWGD2)!=1))
{
if (((model_.MJSWGD2)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGD2)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGD2))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 =  0.0;
d_Qedj3_dV_di_si = (d_Qec_dV_di_si+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_gi_si = (d_Qec_dV_gi_si+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_e_di = (d_Qec_dV_e_di+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_e_si = (d_Qec_dV_e_si+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_gi_e = (d_Qec_dV_gi_e+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_gi_si1 = (d_Qec_dV_gi_si1+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_gi_di1 = (d_Qec_dV_gi_di1+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_ge_si = (d_Qec_dV_ge_si+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_ge_di = (d_Qec_dV_ge_di+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dV_gi_di = (d_Qec_dV_gi_di+((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGD2))));
d_Qedj3_dTemp_t_GND = (d_Qec_dTemp_t_GND+(((((model_.SJSWGD)*pb23d)*Czbdswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(((model_.SJSWGD)*pb23d)*d_Czbdswg_dTemp_t_GND+(model_.SJSWGD)*d_pb23d_dTemp_t_GND*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD2))));
Qedj3 = (Qec+(((((model_.SJSWGD)*pb23d)*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD2))));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 =  0.0;
d_Qedj3_dV_di_si = (d_Qec_dV_di_si-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0));
d_Qedj3_dV_gi_si = (d_Qec_dV_gi_si-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0));
d_Qedj3_dV_e_di = (d_Qec_dV_e_di-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0));
d_Qedj3_dV_e_si = (d_Qec_dV_e_si-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0));
d_Qedj3_dV_gi_e = (d_Qec_dV_gi_e-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0));
d_Qedj3_dV_gi_si1 = (d_Qec_dV_gi_si1-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0));
d_Qedj3_dV_gi_di1 = (d_Qec_dV_gi_di1-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0));
d_Qedj3_dV_ge_si = (d_Qec_dV_ge_si-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0));
d_Qedj3_dV_ge_di = (d_Qec_dV_ge_di-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0));
d_Qedj3_dV_gi_di = (d_Qec_dV_gi_di-(((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0));
d_Qedj3_dTemp_t_GND = (d_Qec_dTemp_t_GND-((((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+(((model_.SJSWGD)*pb23d)*d_Czbdswg_dTemp_t_GND+(model_.SJSWGD)*d_pb23d_dTemp_t_GND*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qedj3 = (Qec-((((model_.SJSWGD)*pb23d)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{

d_arg_dTemp_t_GND = (-d_T1_dTemp_t_GND);
d_arg_dV_di_si = (-d_T1_dV_di_si);
d_arg_dV_gi_si = (-d_T1_dV_gi_si);
d_arg_dV_e_di = (-d_T1_dV_e_di);
d_arg_dV_e_si = (-d_T1_dV_e_si);
d_arg_dV_gi_e = (-d_T1_dV_gi_e);
d_arg_dV_gi_si1 = (-d_T1_dV_gi_si1);
d_arg_dV_gi_di1 = (-d_T1_dV_gi_di1);
d_arg_dV_ge_si = (-d_T1_dV_ge_si);
d_arg_dV_ge_di = (-d_T1_dV_ge_di);
d_arg_dV_gi_di = (-d_T1_dV_gi_di);
arg = (1.0-T1);
if (((model_.MJSWGD)!=1))
{
if (((model_.MJSWGD)==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sarg_dTemp_t_GND = (-(deriv_sqrt_0_d0*(d_arg_dTemp_t_GND))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_di_si = (-(deriv_sqrt_0_d0*(d_arg_dV_di_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_di = (-(deriv_sqrt_0_d0*(d_arg_dV_e_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_e_si = (-(deriv_sqrt_0_d0*(d_arg_dV_e_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_e = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_e))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_si1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_si1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di1 = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di1))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_si = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_si))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_ge_di = (-(deriv_sqrt_0_d0*(d_arg_dV_ge_di))/value_sqrt_0/value_sqrt_0);
d_sarg_dV_gi_di = (-(deriv_sqrt_0_d0*(d_arg_dV_gi_di))/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-(model_.MJSWGD)));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-(model_.MJSWGD))/arg));

d_sarg_dTemp_t_GND = (deriv_pow_0_d0*(d_arg_dTemp_t_GND));
d_sarg_dV_di_si = (deriv_pow_0_d0*(d_arg_dV_di_si));
d_sarg_dV_gi_si = (deriv_pow_0_d0*(d_arg_dV_gi_si));
d_sarg_dV_e_di = (deriv_pow_0_d0*(d_arg_dV_e_di));
d_sarg_dV_e_si = (deriv_pow_0_d0*(d_arg_dV_e_si));
d_sarg_dV_gi_e = (deriv_pow_0_d0*(d_arg_dV_gi_e));
d_sarg_dV_gi_si1 = (deriv_pow_0_d0*(d_arg_dV_gi_si1));
d_sarg_dV_gi_di1 = (deriv_pow_0_d0*(d_arg_dV_gi_di1));
d_sarg_dV_ge_si = (deriv_pow_0_d0*(d_arg_dV_ge_si));
d_sarg_dV_ge_di = (deriv_pow_0_d0*(d_arg_dV_ge_di));
d_sarg_dV_gi_di = (deriv_pow_0_d0*(d_arg_dV_gi_di));
sarg = value_pow_0;
}
}

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 =  0.0;
d_Qedj3_dV_di_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_di_si+d_arg_dV_di_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_si+d_arg_dV_gi_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_e_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_e_di+d_arg_dV_e_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_e_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_e_si+d_arg_dV_e_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_e = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_e+d_arg_dV_gi_e*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_si1 = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_si1+d_arg_dV_gi_si1*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_di1 = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_di1+d_arg_dV_gi_di1*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_ge_si = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_ge_si+d_arg_dV_ge_si*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_ge_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_ge_di+d_arg_dV_ge_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dV_gi_di = ((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dV_gi_di+d_arg_dV_gi_di*sarg))/(1.0-(model_.MJSWGD)));
d_Qedj3_dTemp_t_GND = (((PBSWGD_t*Czbdswg)*(-(arg*d_sarg_dTemp_t_GND+d_arg_dTemp_t_GND*sarg))+(PBSWGD_t*d_Czbdswg_dTemp_t_GND+d_PBSWGD_t_dTemp_t_GND*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
Qedj3 = (((PBSWGD_t*Czbdswg)*(1.0-(arg*sarg)))/(1.0-(model_.MJSWGD)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 =  0.0;
d_Qedj3_dV_di_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_di_si)):0.0);
d_Qedj3_dV_gi_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si)):0.0);
d_Qedj3_dV_e_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_di)):0.0);
d_Qedj3_dV_e_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_e_si)):0.0);
d_Qedj3_dV_gi_e = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_e)):0.0);
d_Qedj3_dV_gi_si1 = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_si1)):0.0);
d_Qedj3_dV_gi_di1 = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di1)):0.0);
d_Qedj3_dV_ge_si = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_si)):0.0);
d_Qedj3_dV_ge_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_ge_di)):0.0);
d_Qedj3_dV_gi_di = ((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dV_gi_di)):0.0);
d_Qedj3_dTemp_t_GND = (((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?(deriv_log_0_d0*(d_arg_dTemp_t_GND)):0.0)+((-PBSWGD_t)*d_Czbdswg_dTemp_t_GND+(-d_PBSWGD_t_dTemp_t_GND)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj3 = (((-PBSWGD_t)*Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if (((model_.MJSWGD)!=1))
{
if (((model_.MJSWGD)==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-(model_.MJSWGD)));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = value_pow_0;
}
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = (1.0/(1.0-(model_.MJSWGD)));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dTemp_t_GND)+d_T3_dTemp_t_GND*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_gi_si = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_gi_si)+d_T3_dV_gi_si*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_e_di = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_e_di)+d_T3_dV_e_di*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_e_si = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_e_si)+d_T3_dV_e_si*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_di_si = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_di_si)+d_T3_dV_di_si*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_gi_e = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_gi_e)+d_T3_dV_gi_e*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_gi_si1 = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_gi_si1)+d_T3_dV_gi_si1*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_gi_di1 = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_gi_di1)+d_T3_dV_gi_di1*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_ge_si = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_ge_si)+d_T3_dV_ge_si*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_ge_di = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_ge_di)+d_T3_dV_ge_di*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
d_T5_dV_gi_di = (T3*(-((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*d_T2_dV_gi_di)+d_T3_dV_gi_di*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
T5 = (T3*(1.0-(((0.05*(model_.MJSWGD))*(1.0+(model_.MJSWGD)))*T2)));
}
else
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
T5 = (1.5-value_log_0);
}
}

d_T4_dV_ge_e =  0.0;
d_T4_dTemp_t_GND = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dTemp_t_GND+(T2*d_T1_dTemp_t_GND+d_T2_dTemp_t_GND*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_di_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_di_si+(T2*d_T1_dV_di_si+d_T2_dV_di_si*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_e_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_e_di+(T2*d_T1_dV_e_di+d_T2_dV_e_di*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_e_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_e_si+(T2*d_T1_dV_e_si+d_T2_dV_e_si*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_gi_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_gi_si+(T2*d_T1_dV_gi_si+d_T2_dV_gi_si*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_gi_e = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_gi_e+(T2*d_T1_dV_gi_e+d_T2_dV_gi_e*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_gi_si1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_gi_si1+(T2*d_T1_dV_gi_si1+d_T2_dV_gi_si1*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_gi_di1 = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_gi_di1+(T2*d_T1_dV_gi_di1+d_T2_dV_gi_di1*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_ge_si = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_ge_si+(T2*d_T1_dV_ge_si+d_T2_dV_ge_si*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_ge_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_ge_di+(T2*d_T1_dV_ge_di+d_T2_dV_ge_di*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
d_T4_dV_gi_di = ((T2*(T1-1.0))*(5.0*(model_.MJSWGD))*d_T1_dV_gi_di+(T2*d_T1_dV_gi_di+d_T2_dV_gi_di*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));
T4 = ((T2*(T1-1.0))*(((5.0*(model_.MJSWGD))*(T1-1.0))+(1.0+(model_.MJSWGD))));

d_Qedj3_dV_s_si1 = (PBSWGD_t*Czbdswg)*d_T5_dV_s_si1;
d_Qedj3_dV_d_di1 = (PBSWGD_t*Czbdswg)*d_T5_dV_d_di1;
d_Qedj3_dV_di_si = (PBSWGD_t*Czbdswg)*(d_T4_dV_di_si+d_T5_dV_di_si);
d_Qedj3_dV_gi_si = (PBSWGD_t*Czbdswg)*(d_T4_dV_gi_si+d_T5_dV_gi_si);
d_Qedj3_dV_e_di = (PBSWGD_t*Czbdswg)*(d_T4_dV_e_di+d_T5_dV_e_di);
d_Qedj3_dV_e_si = (PBSWGD_t*Czbdswg)*(d_T4_dV_e_si+d_T5_dV_e_si);
d_Qedj3_dV_gi_e = (PBSWGD_t*Czbdswg)*(d_T4_dV_gi_e+d_T5_dV_gi_e);
d_Qedj3_dV_gi_si1 = (PBSWGD_t*Czbdswg)*(d_T4_dV_gi_si1+d_T5_dV_gi_si1);
d_Qedj3_dV_gi_di1 = (PBSWGD_t*Czbdswg)*(d_T4_dV_gi_di1+d_T5_dV_gi_di1);
d_Qedj3_dV_ge_si = (PBSWGD_t*Czbdswg)*(d_T4_dV_ge_si+d_T5_dV_ge_si);
d_Qedj3_dV_ge_di = (PBSWGD_t*Czbdswg)*(d_T4_dV_ge_di+d_T5_dV_ge_di);
d_Qedj3_dV_gi_di = (PBSWGD_t*Czbdswg)*(d_T4_dV_gi_di+d_T5_dV_gi_di);
d_Qedj3_dTemp_t_GND = ((PBSWGD_t*Czbdswg)*(d_T4_dTemp_t_GND+d_T5_dTemp_t_GND)+(PBSWGD_t*d_Czbdswg_dTemp_t_GND+d_PBSWGD_t_dTemp_t_GND*Czbdswg)*(T4+T5));
Qedj3 = ((PBSWGD_t*Czbdswg)*(T4+T5));
}
}
else
{

d_Qedj3_dV_d_di1 = d_Qedj3_dV_s_si1 = d_Qedj3_dTemp_t_GND = d_Qedj3_dV_gi_di = d_Qedj3_dV_ge_di = d_Qedj3_dV_ge_si = d_Qedj3_dV_gi_di1 = d_Qedj3_dV_gi_si1 = d_Qedj3_dV_gi_e = d_Qedj3_dV_e_si = d_Qedj3_dV_e_di = d_Qedj3_dV_gi_si = d_Qedj3_dV_di_si =  0.0;
Qedj3 = 0.0;
}
}

d_Qedj_dV_di_si = ((d_Qedj1_dV_di_si+d_Qedj2_dV_di_si)+d_Qedj3_dV_di_si);
d_Qedj_dV_gi_si = ((d_Qedj1_dV_gi_si+d_Qedj2_dV_gi_si)+d_Qedj3_dV_gi_si);
d_Qedj_dV_e_di = ((d_Qedj1_dV_e_di+d_Qedj2_dV_e_di)+d_Qedj3_dV_e_di);
d_Qedj_dV_e_si = ((d_Qedj1_dV_e_si+d_Qedj2_dV_e_si)+d_Qedj3_dV_e_si);
d_Qedj_dV_gi_e = ((d_Qedj1_dV_gi_e+d_Qedj2_dV_gi_e)+d_Qedj3_dV_gi_e);
d_Qedj_dV_gi_si1 = ((d_Qedj1_dV_gi_si1+d_Qedj2_dV_gi_si1)+d_Qedj3_dV_gi_si1);
d_Qedj_dV_gi_di1 = ((d_Qedj1_dV_gi_di1+d_Qedj2_dV_gi_di1)+d_Qedj3_dV_gi_di1);
d_Qedj_dV_ge_si = ((d_Qedj1_dV_ge_si+d_Qedj2_dV_ge_si)+d_Qedj3_dV_ge_si);
d_Qedj_dV_ge_di = ((d_Qedj1_dV_ge_di+d_Qedj2_dV_ge_di)+d_Qedj3_dV_ge_di);
d_Qedj_dV_gi_di = ((d_Qedj1_dV_gi_di+d_Qedj2_dV_gi_di)+d_Qedj3_dV_gi_di);
d_Qedj_dTemp_t_GND = ((d_Qedj1_dTemp_t_GND+d_Qedj2_dTemp_t_GND)+d_Qedj3_dTemp_t_GND);
d_Qedj_dV_s_si1 = ((d_Qedj1_dV_s_si1+d_Qedj2_dV_s_si1)+d_Qedj3_dV_s_si1);
d_Qedj_dV_d_di1 = ((d_Qedj1_dV_d_di1+d_Qedj2_dV_d_di1)+d_Qedj3_dV_d_di1);
Qedj = ((Qedj1+Qedj2)+Qedj3);
}

d_Qes_dV_di_si = d_Qesj_dV_di_si;
d_Qes_dV_gi_si = d_Qesj_dV_gi_si;
d_Qes_dV_e_di = d_Qesj_dV_e_di;
d_Qes_dV_e_si = (d_Qesj_dV_e_si+csbox*d_ves_jct_dV_e_si);
d_Qes_dV_gi_e = d_Qesj_dV_gi_e;
d_Qes_dV_gi_si1 = d_Qesj_dV_gi_si1;
d_Qes_dV_gi_di1 = d_Qesj_dV_gi_di1;
d_Qes_dV_ge_si = d_Qesj_dV_ge_si;
d_Qes_dV_ge_di = d_Qesj_dV_ge_di;
d_Qes_dV_gi_di = d_Qesj_dV_gi_di;
d_Qes_dTemp_t_GND = d_Qesj_dTemp_t_GND;
d_Qes_dV_s_si1 = d_Qesj_dV_s_si1;
d_Qes_dV_d_di1 = d_Qesj_dV_d_di1;
Qes = (Qesj+(csbox*ves_jct));

d_Qed_dV_di_si = d_Qedj_dV_di_si;
d_Qed_dV_gi_si = d_Qedj_dV_gi_si;
d_Qed_dV_e_di = (d_Qedj_dV_e_di+cdbox*d_ved_jct_dV_e_di);
d_Qed_dV_e_si = d_Qedj_dV_e_si;
d_Qed_dV_gi_e = d_Qedj_dV_gi_e;
d_Qed_dV_gi_si1 = d_Qedj_dV_gi_si1;
d_Qed_dV_gi_di1 = d_Qedj_dV_gi_di1;
d_Qed_dV_ge_si = d_Qedj_dV_ge_si;
d_Qed_dV_ge_di = d_Qedj_dV_ge_di;
d_Qed_dV_gi_di = d_Qedj_dV_gi_di;
d_Qed_dTemp_t_GND = d_Qedj_dTemp_t_GND;
d_Qed_dV_s_si1 = d_Qedj_dV_s_si1;
d_Qed_dV_d_di1 = d_Qedj_dV_d_di1;
Qed = (Qedj+(cdbox*ved_jct));

d_Qeg_dV_ge_e = d_Qeg_dV_gi_di = d_Qeg_dV_ge_di = d_Qeg_dV_ge_si = d_Qeg_dV_gi_di1 = d_Qeg_dV_gi_si1 = d_Qeg_dV_gi_e = d_Qeg_dV_di_si = d_Qeg_dV_e_si = d_Qeg_dV_e_di = d_Qeg_dV_gi_si = d_Qeg_dTemp_t_GND =  0.0;
d_Qeg_dV_e_ge = (cgbox*devsign)*d_probeVars[admsProbeID_V_e_ge][admsProbeID_V_e_ge];
Qeg = ((cgbox*devsign)*(probeVars[admsProbeID_V_e_ge]));
if (((model_.BULKMOD)!=0))
{

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 = d_T2_dV_gi_e = d_T2_dV_gi_si = d_T2_dV_e_si = d_T2_dV_e_di = d_T2_dV_di_si = d_T2_dTemp_t_GND =  0.0;
d_T2_dV_ge_e = devsign*d_probeVars[admsProbeID_V_ge_e][admsProbeID_V_ge_e];
T2 = (devsign*(probeVars[admsProbeID_V_ge_e]));

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 =  0.0;
d_T3_dTemp_t_GND = (((d_T2_dTemp_t_GND-d_deltaPhi_dTemp_t_GND)+(d_Eg_dTemp_t_GND/2.0))+d_phib_dTemp_t_GND);
d_T3_dV_di_si = d_T2_dV_di_si;
d_T3_dV_e_di = d_T2_dV_e_di;
d_T3_dV_e_si = d_T2_dV_e_si;
d_T3_dV_gi_si = d_T2_dV_gi_si;
d_T3_dV_gi_e = d_T2_dV_gi_e;
d_T3_dV_gi_si1 = d_T2_dV_gi_si1;
d_T3_dV_gi_di1 = d_T2_dV_gi_di1;
d_T3_dV_ge_si = d_T2_dV_ge_si;
d_T3_dV_ge_di = d_T2_dV_ge_di;
d_T3_dV_gi_di = d_T2_dV_gi_di;
d_T3_dV_ge_e = d_T2_dV_ge_e;
T3 = ((((T2-deltaPhi)+(Eg/2.0))+phib)-(model_.DELVFBACC));

d_T0_dTemp_t_GND = d_T3_dTemp_t_GND;
d_T0_dV_gi_si = d_T3_dV_gi_si;
d_T0_dV_e_di = d_T3_dV_e_di;
d_T0_dV_e_si = d_T3_dV_e_si;
d_T0_dV_di_si = d_T3_dV_di_si;
d_T0_dV_gi_e = d_T3_dV_gi_e;
d_T0_dV_gi_si1 = d_T3_dV_gi_si1;
d_T0_dV_gi_di1 = d_T3_dV_gi_di1;
d_T0_dV_ge_si = d_T3_dV_ge_si;
d_T0_dV_ge_di = d_T3_dV_ge_di;
d_T0_dV_gi_di = d_T3_dV_gi_di;
d_T0_dV_ge_e = d_T3_dV_ge_e;
T0 = (T3+0.02);
{
double value_sqrt_0 = sqrt(((T0*T0)+(4.0*0.02)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vge_overlap_dTemp_t_GND = 0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*((T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0))));
d_vge_overlap_dV_di_si = 0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_di_si+d_T0_dV_di_si*T0))));
d_vge_overlap_dV_gi_si = 0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0))));
d_vge_overlap_dV_e_di = 0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*((T0*d_T0_dV_e_di+d_T0_dV_e_di*T0))));
d_vge_overlap_dV_e_si = 0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_e_si+d_T0_dV_e_si*T0))));
d_vge_overlap_dV_gi_e = 0.5*(d_T0_dV_gi_e+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0))));
d_vge_overlap_dV_gi_si1 = 0.5*(d_T0_dV_gi_si1+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0))));
d_vge_overlap_dV_gi_di1 = 0.5*(d_T0_dV_gi_di1+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0))));
d_vge_overlap_dV_ge_si = 0.5*(d_T0_dV_ge_si+(deriv_sqrt_0_d0*((T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0))));
d_vge_overlap_dV_ge_di = 0.5*(d_T0_dV_ge_di+(deriv_sqrt_0_d0*((T0*d_T0_dV_ge_di+d_T0_dV_ge_di*T0))));
d_vge_overlap_dV_gi_di = 0.5*(d_T0_dV_gi_di+(deriv_sqrt_0_d0*((T0*d_T0_dV_gi_di+d_T0_dV_gi_di*T0))));
d_vge_overlap_dV_ge_e = 0.5*(d_T0_dV_ge_e+(deriv_sqrt_0_d0*((T0*d_T0_dV_ge_e+d_T0_dV_ge_e*T0))));
vge_overlap = (0.5*(T0+value_sqrt_0));
}
{
double value_sqrt_0 = sqrt((1.0+((4.0*vge_overlap)/CKAPPAB_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Qeg_dTemp_t_GND = (d_Qeg_dTemp_t_GND-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dTemp_t_GND-d_vge_overlap_dTemp_t_GND)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dTemp_t_GND/CKAPPAB_i)))));
d_Qeg_dV_gi_si = (d_Qeg_dV_gi_si-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_gi_si-d_vge_overlap_dV_gi_si)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_gi_si/CKAPPAB_i)))));
d_Qeg_dV_e_di = (d_Qeg_dV_e_di-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_e_di-d_vge_overlap_dV_e_di)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_e_di/CKAPPAB_i)))));
d_Qeg_dV_e_si = (d_Qeg_dV_e_si-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_e_si-d_vge_overlap_dV_e_si)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_e_si/CKAPPAB_i)))));
d_Qeg_dV_di_si = (d_Qeg_dV_di_si-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_di_si-d_vge_overlap_dV_di_si)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_di_si/CKAPPAB_i)))));
d_Qeg_dV_gi_e = (d_Qeg_dV_gi_e-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_gi_e-d_vge_overlap_dV_gi_e)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_gi_e/CKAPPAB_i)))));
d_Qeg_dV_gi_si1 = (d_Qeg_dV_gi_si1-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_gi_si1-d_vge_overlap_dV_gi_si1)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_gi_si1/CKAPPAB_i)))));
d_Qeg_dV_gi_di1 = (d_Qeg_dV_gi_di1-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_gi_di1-d_vge_overlap_dV_gi_di1)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_gi_di1/CKAPPAB_i)))));
d_Qeg_dV_ge_si = (d_Qeg_dV_ge_si-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_ge_si-d_vge_overlap_dV_ge_si)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_ge_si/CKAPPAB_i)))));
d_Qeg_dV_ge_di = (d_Qeg_dV_ge_di-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_ge_di-d_vge_overlap_dV_ge_di)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_ge_di/CKAPPAB_i)))));
d_Qeg_dV_gi_di = (d_Qeg_dV_gi_di-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_gi_di-d_vge_overlap_dV_gi_di)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_gi_di/CKAPPAB_i)))));
d_Qeg_dV_ge_e = (d_Qeg_dV_ge_e-(NFINtotal*LeffCV)*CGBL_i*((d_T3_dV_ge_e-d_vge_overlap_dV_ge_e)+(0.5*CKAPPAB_i)*(deriv_sqrt_0_d0*((4.0*d_vge_overlap_dV_ge_e/CKAPPAB_i)))));
Qeg = (Qeg-((NFINtotal*LeffCV)*(CGBL_i*((T3-vge_overlap)+((0.5*CKAPPAB_i)*(value_sqrt_0-1.0))))));
}
}

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si = d_T1_dTemp_t_GND =  0.0;
d_T1_dV_di_si = (vds*((BIGEN_i*vds)*d_vds_dV_di_si+BIGEN_i*d_vds_dV_di_si*vds)+d_vds_dV_di_si*(AIGEN_i+((BIGEN_i*vds)*vds)));
T1 = (vds*(AIGEN_i+((BIGEN_i*vds)*vds)));

d_idsgen_dV_di_si = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_di_si;
d_idsgen_dV_gi_si = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_gi_si;
d_idsgen_dV_e_di = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_e_di;
d_idsgen_dV_e_si = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_e_si;
d_idsgen_dV_gi_e = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_gi_e;
d_idsgen_dV_gi_si1 = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_gi_si1;
d_idsgen_dV_gi_di1 = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_gi_di1;
d_idsgen_dV_ge_si = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_ge_si;
d_idsgen_dV_ge_di = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_ge_di;
d_idsgen_dV_gi_di = ((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dV_gi_di;
d_idsgen_dTemp_t_GND = (((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*d_T1_dTemp_t_GND+(((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*d_igentemp_dTemp_t_GND*T1);
idsgen = (((((model_.HFIN)*TFIN)*(Leff-(2.0*LINTIGEN_i)))*igentemp)*T1);

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dV_gi_si = ((ueff*d_coxeff_dV_gi_si+d_ueff_dV_gi_si*coxeff)*Weff0/Leff);
d_T0_dV_e_di = ((ueff*d_coxeff_dV_e_di+d_ueff_dV_e_di*coxeff)*Weff0/Leff);
d_T0_dV_e_si = ((ueff*d_coxeff_dV_e_si+d_ueff_dV_e_si*coxeff)*Weff0/Leff);
d_T0_dV_gi_e = ((ueff*d_coxeff_dV_gi_e+d_ueff_dV_gi_e*coxeff)*Weff0/Leff);
d_T0_dV_di_si = ((ueff*d_coxeff_dV_di_si+d_ueff_dV_di_si*coxeff)*Weff0/Leff);
d_T0_dTemp_t_GND = ((ueff*d_coxeff_dTemp_t_GND+d_ueff_dTemp_t_GND*coxeff)*Weff0/Leff);
T0 = (((ueff*coxeff)*Weff0)/Leff);
if ((((model_.NQSMOD)!=0)&&(XRCRG1_i!=0.0)))
{

d_IdovVds_dV_gi_si1 = (-((beta*ids0_ov_dqi)*Moc)*(Dmob*Dvsat)*d_Dr_dV_gi_si1/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dV_gi_di1 = (-((beta*ids0_ov_dqi)*Moc)*(Dmob*Dvsat)*d_Dr_dV_gi_di1/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dV_gi_e = ((((Dmob*Dvsat)*Dr)*(beta*ids0_ov_dqi)*d_Moc_dV_gi_e-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*d_Dr_dV_gi_e+(Dmob*d_Dvsat_dV_gi_e+d_Dmob_dV_gi_e*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dV_gi_si = ((((Dmob*Dvsat)*Dr)*((beta*ids0_ov_dqi)*d_Moc_dV_gi_si+beta*d_ids0_ov_dqi_dV_gi_si*Moc)-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*d_Dr_dV_gi_si+(Dmob*d_Dvsat_dV_gi_si+d_Dmob_dV_gi_si*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dV_e_di = ((((Dmob*Dvsat)*Dr)*((beta*ids0_ov_dqi)*d_Moc_dV_e_di+beta*d_ids0_ov_dqi_dV_e_di*Moc)-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*d_Dr_dV_e_di+(Dmob*d_Dvsat_dV_e_di+d_Dmob_dV_e_di*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dV_e_si = ((((Dmob*Dvsat)*Dr)*((beta*ids0_ov_dqi)*d_Moc_dV_e_si+beta*d_ids0_ov_dqi_dV_e_si*Moc)-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*d_Dr_dV_e_si+(Dmob*d_Dvsat_dV_e_si+d_Dmob_dV_e_si*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dV_di_si = ((((Dmob*Dvsat)*Dr)*((beta*ids0_ov_dqi)*d_Moc_dV_di_si+(beta*d_ids0_ov_dqi_dV_di_si+d_beta_dV_di_si*ids0_ov_dqi)*Moc)-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*d_Dr_dV_di_si+(Dmob*d_Dvsat_dV_di_si+d_Dmob_dV_di_si*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
d_IdovVds_dTemp_t_GND = ((((Dmob*Dvsat)*Dr)*((beta*ids0_ov_dqi)*d_Moc_dTemp_t_GND+(beta*d_ids0_ov_dqi_dTemp_t_GND+d_beta_dTemp_t_GND*ids0_ov_dqi)*Moc)-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*d_Dr_dTemp_t_GND+(Dmob*d_Dvsat_dTemp_t_GND+d_Dmob_dTemp_t_GND*Dvsat)*Dr))/((Dmob*Dvsat)*Dr)/((Dmob*Dvsat)*Dr));
IdovVds = (((beta*ids0_ov_dqi)*Moc)/((Dmob*Dvsat)*Dr));

d_gcrg_dV_ge_si = (NFINtotal*XRCRG1_i)*(XRCRG2_i*Vtm)*d_T0_dV_ge_si;
d_gcrg_dV_ge_di = (NFINtotal*XRCRG1_i)*(XRCRG2_i*Vtm)*d_T0_dV_ge_di;
d_gcrg_dV_gi_di = (NFINtotal*XRCRG1_i)*(XRCRG2_i*Vtm)*d_T0_dV_gi_di;
d_gcrg_dV_ge_e = (NFINtotal*XRCRG1_i)*(XRCRG2_i*Vtm)*d_T0_dV_ge_e;
d_gcrg_dV_gi_si1 = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_gi_si1+(XRCRG2_i*Vtm)*d_T0_dV_gi_si1);
d_gcrg_dV_gi_di1 = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_gi_di1+(XRCRG2_i*Vtm)*d_T0_dV_gi_di1);
d_gcrg_dV_gi_e = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_gi_e+(XRCRG2_i*Vtm)*d_T0_dV_gi_e);
d_gcrg_dV_gi_si = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_gi_si+(XRCRG2_i*Vtm)*d_T0_dV_gi_si);
d_gcrg_dV_e_di = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_e_di+(XRCRG2_i*Vtm)*d_T0_dV_e_di);
d_gcrg_dV_e_si = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_e_si+(XRCRG2_i*Vtm)*d_T0_dV_e_si);
d_gcrg_dV_di_si = (NFINtotal*XRCRG1_i)*(d_IdovVds_dV_di_si+(XRCRG2_i*Vtm)*d_T0_dV_di_si);
d_gcrg_dTemp_t_GND = (NFINtotal*XRCRG1_i)*(d_IdovVds_dTemp_t_GND+((XRCRG2_i*Vtm)*d_T0_dTemp_t_GND+XRCRG2_i*d_Vtm_dTemp_t_GND*T0));
gcrg = ((NFINtotal*XRCRG1_i)*(IdovVds+((XRCRG2_i*Vtm)*T0)));
}
if (((model_.NQSMOD)==2))
{

d_gtau_dV_ge_si = (1e-9*d_gcrg_dV_ge_si/((cox*Weff0)*Leff));
d_gtau_dV_ge_di = (1e-9*d_gcrg_dV_ge_di/((cox*Weff0)*Leff));
d_gtau_dV_gi_di = (1e-9*d_gcrg_dV_gi_di/((cox*Weff0)*Leff));
d_gtau_dV_ge_e = (1e-9*d_gcrg_dV_ge_e/((cox*Weff0)*Leff));
d_gtau_dV_gi_si1 = (1e-9*d_gcrg_dV_gi_si1/((cox*Weff0)*Leff));
d_gtau_dV_gi_di1 = (1e-9*d_gcrg_dV_gi_di1/((cox*Weff0)*Leff));
d_gtau_dV_gi_e = (1e-9*d_gcrg_dV_gi_e/((cox*Weff0)*Leff));
d_gtau_dV_gi_si = (1e-9*d_gcrg_dV_gi_si/((cox*Weff0)*Leff));
d_gtau_dV_e_di = (1e-9*d_gcrg_dV_e_di/((cox*Weff0)*Leff));
d_gtau_dV_e_si = (1e-9*d_gcrg_dV_e_si/((cox*Weff0)*Leff));
d_gtau_dV_di_si = (1e-9*d_gcrg_dV_di_si/((cox*Weff0)*Leff));
d_gtau_dTemp_t_GND = (1e-9*d_gcrg_dTemp_t_GND/((cox*Weff0)*Leff));
gtau = ((1e-9*gcrg)/((cox*Weff0)*Leff));
}

d_igidl_dTemp_t_GND = NFINtotal*d_igidl_dTemp_t_GND;
d_igidl_dV_gi_si = NFINtotal*d_igidl_dV_gi_si;
d_igidl_dV_e_di = NFINtotal*d_igidl_dV_e_di;
d_igidl_dV_e_si = NFINtotal*d_igidl_dV_e_si;
d_igidl_dV_di_si = NFINtotal*d_igidl_dV_di_si;
d_igidl_dV_gi_e = NFINtotal*d_igidl_dV_gi_e;
d_igidl_dV_s_si1 = NFINtotal*d_igidl_dV_s_si1;
d_igidl_dV_d_di1 = NFINtotal*d_igidl_dV_d_di1;
d_igidl_dV_gi_si1 = NFINtotal*d_igidl_dV_gi_si1;
d_igidl_dV_gi_di1 = NFINtotal*d_igidl_dV_gi_di1;
d_igidl_dV_ge_si = NFINtotal*d_igidl_dV_ge_si;
d_igidl_dV_ge_di = NFINtotal*d_igidl_dV_ge_di;
d_igidl_dV_gi_di = NFINtotal*d_igidl_dV_gi_di;
igidl = (NFINtotal*igidl);

d_igisl_dTemp_t_GND = NFINtotal*d_igisl_dTemp_t_GND;
d_igisl_dV_gi_si = NFINtotal*d_igisl_dV_gi_si;
d_igisl_dV_e_di = NFINtotal*d_igisl_dV_e_di;
d_igisl_dV_e_si = NFINtotal*d_igisl_dV_e_si;
d_igisl_dV_di_si = NFINtotal*d_igisl_dV_di_si;
d_igisl_dV_gi_e = NFINtotal*d_igisl_dV_gi_e;
d_igisl_dV_s_si1 = NFINtotal*d_igisl_dV_s_si1;
d_igisl_dV_d_di1 = NFINtotal*d_igisl_dV_d_di1;
d_igisl_dV_gi_si1 = NFINtotal*d_igisl_dV_gi_si1;
d_igisl_dV_gi_di1 = NFINtotal*d_igisl_dV_gi_di1;
d_igisl_dV_ge_si = NFINtotal*d_igisl_dV_ge_si;
d_igisl_dV_ge_di = NFINtotal*d_igisl_dV_ge_di;
d_igisl_dV_gi_di = NFINtotal*d_igisl_dV_gi_di;
igisl = (NFINtotal*igisl);

d_igidlb_dTemp_t_GND = NFINtotal*d_igidlb_dTemp_t_GND;
d_igidlb_dV_gi_si = NFINtotal*d_igidlb_dV_gi_si;
d_igidlb_dV_e_di = NFINtotal*d_igidlb_dV_e_di;
d_igidlb_dV_e_si = NFINtotal*d_igidlb_dV_e_si;
d_igidlb_dV_di_si = NFINtotal*d_igidlb_dV_di_si;
d_igidlb_dV_gi_e = NFINtotal*d_igidlb_dV_gi_e;
d_igidlb_dV_s_si1 = NFINtotal*d_igidlb_dV_s_si1;
d_igidlb_dV_d_di1 = NFINtotal*d_igidlb_dV_d_di1;
d_igidlb_dV_gi_si1 = NFINtotal*d_igidlb_dV_gi_si1;
d_igidlb_dV_gi_di1 = NFINtotal*d_igidlb_dV_gi_di1;
d_igidlb_dV_ge_si = NFINtotal*d_igidlb_dV_ge_si;
d_igidlb_dV_ge_di = NFINtotal*d_igidlb_dV_ge_di;
d_igidlb_dV_gi_di = NFINtotal*d_igidlb_dV_gi_di;
igidlb = (NFINtotal*igidlb);

d_igislb_dTemp_t_GND = NFINtotal*d_igislb_dTemp_t_GND;
d_igislb_dV_gi_si = NFINtotal*d_igislb_dV_gi_si;
d_igislb_dV_e_di = NFINtotal*d_igislb_dV_e_di;
d_igislb_dV_e_si = NFINtotal*d_igislb_dV_e_si;
d_igislb_dV_di_si = NFINtotal*d_igislb_dV_di_si;
d_igislb_dV_gi_e = NFINtotal*d_igislb_dV_gi_e;
d_igislb_dV_s_si1 = NFINtotal*d_igislb_dV_s_si1;
d_igislb_dV_d_di1 = NFINtotal*d_igislb_dV_d_di1;
d_igislb_dV_gi_si1 = NFINtotal*d_igislb_dV_gi_si1;
d_igislb_dV_gi_di1 = NFINtotal*d_igislb_dV_gi_di1;
d_igislb_dV_ge_si = NFINtotal*d_igislb_dV_ge_si;
d_igislb_dV_ge_di = NFINtotal*d_igislb_dV_ge_di;
d_igislb_dV_gi_di = NFINtotal*d_igislb_dV_gi_di;
igislb = (NFINtotal*igislb);

d_igcd_dV_s_si1 = NFINtotal*d_igcd_dV_s_si1;
d_igcd_dV_d_di1 = NFINtotal*d_igcd_dV_d_di1;
d_igcd_dTemp_t_GND = NFINtotal*d_igcd_dTemp_t_GND;
d_igcd_dV_di_si = NFINtotal*d_igcd_dV_di_si;
d_igcd_dV_gi_si = NFINtotal*d_igcd_dV_gi_si;
d_igcd_dV_e_di = NFINtotal*d_igcd_dV_e_di;
d_igcd_dV_e_si = NFINtotal*d_igcd_dV_e_si;
d_igcd_dV_gi_e = NFINtotal*d_igcd_dV_gi_e;
d_igcd_dV_gi_si1 = NFINtotal*d_igcd_dV_gi_si1;
d_igcd_dV_gi_di1 = NFINtotal*d_igcd_dV_gi_di1;
d_igcd_dV_ge_si = NFINtotal*d_igcd_dV_ge_si;
d_igcd_dV_ge_di = NFINtotal*d_igcd_dV_ge_di;
igcd = (NFINtotal*igcd);

d_igcs_dV_s_si1 = NFINtotal*d_igcs_dV_s_si1;
d_igcs_dV_d_di1 = NFINtotal*d_igcs_dV_d_di1;
d_igcs_dTemp_t_GND = NFINtotal*d_igcs_dTemp_t_GND;
d_igcs_dV_di_si = NFINtotal*d_igcs_dV_di_si;
d_igcs_dV_gi_si = NFINtotal*d_igcs_dV_gi_si;
d_igcs_dV_e_di = NFINtotal*d_igcs_dV_e_di;
d_igcs_dV_e_si = NFINtotal*d_igcs_dV_e_si;
d_igcs_dV_gi_e = NFINtotal*d_igcs_dV_gi_e;
d_igcs_dV_gi_si1 = NFINtotal*d_igcs_dV_gi_si1;
d_igcs_dV_gi_di1 = NFINtotal*d_igcs_dV_gi_di1;
d_igcs_dV_ge_si = NFINtotal*d_igcs_dV_ge_si;
d_igcs_dV_ge_di = NFINtotal*d_igcs_dV_ge_di;
igcs = (NFINtotal*igcs);

d_igs_dV_di_si = NFINtotal*d_igs_dV_di_si;
d_igs_dV_e_di = NFINtotal*d_igs_dV_e_di;
d_igs_dV_e_si = NFINtotal*d_igs_dV_e_si;
d_igs_dV_gi_e = NFINtotal*d_igs_dV_gi_e;
d_igs_dV_gi_si1 = NFINtotal*d_igs_dV_gi_si1;
d_igs_dV_gi_di1 = NFINtotal*d_igs_dV_gi_di1;
d_igs_dV_ge_si = NFINtotal*d_igs_dV_ge_si;
d_igs_dV_ge_di = NFINtotal*d_igs_dV_ge_di;
d_igs_dV_gi_si = NFINtotal*d_igs_dV_gi_si;
d_igs_dTemp_t_GND = NFINtotal*d_igs_dTemp_t_GND;
d_igs_dV_gi_di = NFINtotal*d_igs_dV_gi_di;
igs = (NFINtotal*igs);

d_igd_dV_di_si = NFINtotal*d_igd_dV_di_si;
d_igd_dV_e_di = NFINtotal*d_igd_dV_e_di;
d_igd_dV_e_si = NFINtotal*d_igd_dV_e_si;
d_igd_dV_gi_e = NFINtotal*d_igd_dV_gi_e;
d_igd_dV_gi_si1 = NFINtotal*d_igd_dV_gi_si1;
d_igd_dV_gi_di1 = NFINtotal*d_igd_dV_gi_di1;
d_igd_dV_ge_si = NFINtotal*d_igd_dV_ge_si;
d_igd_dV_ge_di = NFINtotal*d_igd_dV_ge_di;
d_igd_dV_gi_si = NFINtotal*d_igd_dV_gi_si;
d_igd_dTemp_t_GND = NFINtotal*d_igd_dTemp_t_GND;
d_igd_dV_gi_di = NFINtotal*d_igd_dV_gi_di;
igd = (NFINtotal*igd);

d_igbinv_dV_s_si1 = NFINtotal*d_igbinv_dV_s_si1;
d_igbinv_dV_d_di1 = NFINtotal*d_igbinv_dV_d_di1;
d_igbinv_dV_gi_si1 = NFINtotal*d_igbinv_dV_gi_si1;
d_igbinv_dV_gi_di1 = NFINtotal*d_igbinv_dV_gi_di1;
d_igbinv_dV_ge_si = NFINtotal*d_igbinv_dV_ge_si;
d_igbinv_dV_ge_di = NFINtotal*d_igbinv_dV_ge_di;
d_igbinv_dTemp_t_GND = NFINtotal*d_igbinv_dTemp_t_GND;
d_igbinv_dV_gi_si = NFINtotal*d_igbinv_dV_gi_si;
d_igbinv_dV_e_di = NFINtotal*d_igbinv_dV_e_di;
d_igbinv_dV_e_si = NFINtotal*d_igbinv_dV_e_si;
d_igbinv_dV_di_si = NFINtotal*d_igbinv_dV_di_si;
d_igbinv_dV_gi_e = NFINtotal*d_igbinv_dV_gi_e;
igbinv = (NFINtotal*igbinv);

d_igbacc_dV_s_si1 = NFINtotal*d_igbacc_dV_s_si1;
d_igbacc_dV_d_di1 = NFINtotal*d_igbacc_dV_d_di1;
d_igbacc_dV_gi_si1 = NFINtotal*d_igbacc_dV_gi_si1;
d_igbacc_dV_gi_di1 = NFINtotal*d_igbacc_dV_gi_di1;
d_igbacc_dV_ge_si = NFINtotal*d_igbacc_dV_ge_si;
d_igbacc_dV_ge_di = NFINtotal*d_igbacc_dV_ge_di;
d_igbacc_dTemp_t_GND = NFINtotal*d_igbacc_dTemp_t_GND;
d_igbacc_dV_gi_si = NFINtotal*d_igbacc_dV_gi_si;
d_igbacc_dV_e_di = NFINtotal*d_igbacc_dV_e_di;
d_igbacc_dV_e_si = NFINtotal*d_igbacc_dV_e_si;
d_igbacc_dV_di_si = NFINtotal*d_igbacc_dV_di_si;
d_igbacc_dV_gi_e = NFINtotal*d_igbacc_dV_gi_e;
igbacc = (NFINtotal*igbacc);

d_idsgen_dV_di_si = NFINtotal*d_idsgen_dV_di_si;
d_idsgen_dV_gi_si = NFINtotal*d_idsgen_dV_gi_si;
d_idsgen_dV_e_di = NFINtotal*d_idsgen_dV_e_di;
d_idsgen_dV_e_si = NFINtotal*d_idsgen_dV_e_si;
d_idsgen_dV_gi_e = NFINtotal*d_idsgen_dV_gi_e;
d_idsgen_dV_gi_si1 = NFINtotal*d_idsgen_dV_gi_si1;
d_idsgen_dV_gi_di1 = NFINtotal*d_idsgen_dV_gi_di1;
d_idsgen_dV_ge_si = NFINtotal*d_idsgen_dV_ge_si;
d_idsgen_dV_ge_di = NFINtotal*d_idsgen_dV_ge_di;
d_idsgen_dV_gi_di = NFINtotal*d_idsgen_dV_gi_di;
d_idsgen_dTemp_t_GND = NFINtotal*d_idsgen_dTemp_t_GND;
idsgen = (NFINtotal*idsgen);
if (((model_.BULKMOD)==0))
{

d_igbs_dV_s_si1 = (d_igbinv_dV_s_si1+d_igbacc_dV_s_si1)*wf;
d_igbs_dV_d_di1 = (d_igbinv_dV_d_di1+d_igbacc_dV_d_di1)*wf;
d_igbs_dV_gi_si1 = (d_igbinv_dV_gi_si1+d_igbacc_dV_gi_si1)*wf;
d_igbs_dV_gi_di1 = (d_igbinv_dV_gi_di1+d_igbacc_dV_gi_di1)*wf;
d_igbs_dV_ge_si = (d_igbinv_dV_ge_si+d_igbacc_dV_ge_si)*wf;
d_igbs_dV_ge_di = (d_igbinv_dV_ge_di+d_igbacc_dV_ge_di)*wf;
d_igbs_dTemp_t_GND = ((igbinv+igbacc)*d_wf_dTemp_t_GND+(d_igbinv_dTemp_t_GND+d_igbacc_dTemp_t_GND)*wf);
d_igbs_dV_gi_si = (d_igbinv_dV_gi_si+d_igbacc_dV_gi_si)*wf;
d_igbs_dV_e_di = (d_igbinv_dV_e_di+d_igbacc_dV_e_di)*wf;
d_igbs_dV_e_si = (d_igbinv_dV_e_si+d_igbacc_dV_e_si)*wf;
d_igbs_dV_di_si = ((igbinv+igbacc)*d_wf_dV_di_si+(d_igbinv_dV_di_si+d_igbacc_dV_di_si)*wf);
d_igbs_dV_gi_e = (d_igbinv_dV_gi_e+d_igbacc_dV_gi_e)*wf;
igbs = ((igbinv+igbacc)*wf);

d_igbd_dV_s_si1 = (d_igbinv_dV_s_si1+d_igbacc_dV_s_si1)*wr;
d_igbd_dV_d_di1 = (d_igbinv_dV_d_di1+d_igbacc_dV_d_di1)*wr;
d_igbd_dV_gi_si1 = (d_igbinv_dV_gi_si1+d_igbacc_dV_gi_si1)*wr;
d_igbd_dV_gi_di1 = (d_igbinv_dV_gi_di1+d_igbacc_dV_gi_di1)*wr;
d_igbd_dV_ge_si = (d_igbinv_dV_ge_si+d_igbacc_dV_ge_si)*wr;
d_igbd_dV_ge_di = (d_igbinv_dV_ge_di+d_igbacc_dV_ge_di)*wr;
d_igbd_dTemp_t_GND = ((igbinv+igbacc)*d_wr_dTemp_t_GND+(d_igbinv_dTemp_t_GND+d_igbacc_dTemp_t_GND)*wr);
d_igbd_dV_gi_si = (d_igbinv_dV_gi_si+d_igbacc_dV_gi_si)*wr;
d_igbd_dV_e_di = (d_igbinv_dV_e_di+d_igbacc_dV_e_di)*wr;
d_igbd_dV_e_si = (d_igbinv_dV_e_si+d_igbacc_dV_e_si)*wr;
d_igbd_dV_di_si = ((igbinv+igbacc)*d_wr_dV_di_si+(d_igbinv_dV_di_si+d_igbacc_dV_di_si)*wr);
d_igbd_dV_gi_e = (d_igbinv_dV_gi_e+d_igbacc_dV_gi_e)*wr;
igbd = ((igbinv+igbacc)*wr);
}

d_Esatnoi_dV_gi_si = (-(2.0*VSAT_a)*d_ueff_dV_gi_si/ueff/ueff);
d_Esatnoi_dV_e_di = (-(2.0*VSAT_a)*d_ueff_dV_e_di/ueff/ueff);
d_Esatnoi_dV_e_si = (-(2.0*VSAT_a)*d_ueff_dV_e_si/ueff/ueff);
d_Esatnoi_dV_gi_e = (-(2.0*VSAT_a)*d_ueff_dV_gi_e/ueff/ueff);
d_Esatnoi_dV_di_si = ((ueff*2.0*d_VSAT_a_dV_di_si-(2.0*VSAT_a)*d_ueff_dV_di_si)/ueff/ueff);
d_Esatnoi_dTemp_t_GND = ((ueff*2.0*d_VSAT_a_dTemp_t_GND-(2.0*VSAT_a)*d_ueff_dTemp_t_GND)/ueff/ueff);
Esatnoi = ((2.0*VSAT_a)/ueff);
if (((((model_.NOIA)>0.0)||((model_.NOIB)>0.0))||((model_.NOIC)>0.0)))
{
Leffnoi = (Leff-(2.0*(model_.LINTNOI)));
if ((Leffnoi<=0.0))
{
UserInfo(*this)  << "Warning: LINTNOI = %g is too large to have positive Leff for noise. Set LINTNOI = 0." << " " << (model_.LINTNOI) << " " <<  std::endl; 
Leffnoi = Leff;
}
Leffnoisq = (Leffnoi*Leffnoi);
if (((model_.EM)>0.0))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dV_gi_e = (-((diffVds/litl)+(model_.EM))*d_Esatnoi_dV_gi_e/Esatnoi/Esatnoi);
d_T0_dTemp_t_GND = ((Esatnoi*(d_diffVds_dTemp_t_GND/litl)-((diffVds/litl)+(model_.EM))*d_Esatnoi_dTemp_t_GND)/Esatnoi/Esatnoi);
d_T0_dV_gi_si = ((Esatnoi*(d_diffVds_dV_gi_si/litl)-((diffVds/litl)+(model_.EM))*d_Esatnoi_dV_gi_si)/Esatnoi/Esatnoi);
d_T0_dV_e_di = ((Esatnoi*(d_diffVds_dV_e_di/litl)-((diffVds/litl)+(model_.EM))*d_Esatnoi_dV_e_di)/Esatnoi/Esatnoi);
d_T0_dV_e_si = ((Esatnoi*(d_diffVds_dV_e_si/litl)-((diffVds/litl)+(model_.EM))*d_Esatnoi_dV_e_si)/Esatnoi/Esatnoi);
d_T0_dV_di_si = ((Esatnoi*(d_diffVds_dV_di_si/litl)-((diffVds/litl)+(model_.EM))*d_Esatnoi_dV_di_si)/Esatnoi/Esatnoi);
T0 = (((diffVds/litl)+(model_.EM))/Esatnoi);
{
double value_log_0 = log(T0);
double  deriv_log_0_d0 = (1.0/T0);

d_DelClm_dTemp_t_GND = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dTemp_t_GND)):0.0);
d_DelClm_dV_di_si = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_di_si)):0.0);
d_DelClm_dV_gi_si = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_gi_si)):0.0);
d_DelClm_dV_e_di = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_e_di)):0.0);
d_DelClm_dV_e_si = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_e_si)):0.0);
d_DelClm_dV_gi_e = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_gi_e)):0.0);
d_DelClm_dV_gi_si1 = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_gi_si1)):0.0);
d_DelClm_dV_gi_di1 = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_gi_di1)):0.0);
d_DelClm_dV_ge_si = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_ge_si)):0.0);
d_DelClm_dV_ge_di = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_ge_di)):0.0);
d_DelClm_dV_gi_di = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_gi_di)):0.0);
d_DelClm_dV_ge_e = litl*((T0>1.0e-38)?(deriv_log_0_d0*(d_T0_dV_ge_e)):0.0);
DelClm = (litl*((T0>1.0e-38)?value_log_0:(-87.498233534)));
}
}
else
{

d_DelClm_dV_ge_e = d_DelClm_dV_gi_di = d_DelClm_dV_ge_di = d_DelClm_dV_ge_si = d_DelClm_dV_gi_di1 = d_DelClm_dV_gi_si1 = d_DelClm_dV_gi_e = d_DelClm_dV_e_si = d_DelClm_dV_e_di = d_DelClm_dV_gi_si = d_DelClm_dV_di_si = d_DelClm_dTemp_t_GND =  0.0;
DelClm = 0.0;
}
if (((model_.FNMOD)==1))
{

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e =  0.0;
d_T1_dTemp_t_GND = (d_qia2_dTemp_t_GND/QSREF_i);
d_T1_dV_gi_si = (d_qia2_dV_gi_si/QSREF_i);
d_T1_dV_e_di = (d_qia2_dV_e_di/QSREF_i);
d_T1_dV_e_si = (d_qia2_dV_e_si/QSREF_i);
d_T1_dV_di_si = (d_qia2_dV_di_si/QSREF_i);
T1 = (qia2/QSREF_i);
{
double value_pow_0 = pow(T1,MPOWER_i);
double  deriv_pow_0_d0 = ((T1 == 0.0)?0.0:(value_pow_0*MPOWER_i/T1));

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e =  0.0;
d_T2_dTemp_t_GND = (deriv_pow_0_d0*(d_T1_dTemp_t_GND));
d_T2_dV_di_si = (deriv_pow_0_d0*(d_T1_dV_di_si));
d_T2_dV_gi_si = (deriv_pow_0_d0*(d_T1_dV_gi_si));
d_T2_dV_e_di = (deriv_pow_0_d0*(d_T1_dV_e_di));
d_T2_dV_e_si = (deriv_pow_0_d0*(d_T1_dV_e_si));
d_T2_dV_gi_e = (deriv_pow_0_d0*(d_T1_dV_gi_e));
d_T2_dV_gi_si1 = (deriv_pow_0_d0*(d_T1_dV_gi_si1));
d_T2_dV_gi_di1 = (deriv_pow_0_d0*(d_T1_dV_gi_di1));
d_T2_dV_ge_si = (deriv_pow_0_d0*(d_T1_dV_ge_si));
d_T2_dV_ge_di = (deriv_pow_0_d0*(d_T1_dV_ge_di));
d_T2_dV_gi_di = (deriv_pow_0_d0*(d_T1_dV_gi_di));
T2 = (1+value_pow_0);
}

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 =  0.0;
d_T3_dTemp_t_GND = (-NOIA2_i*d_T2_dTemp_t_GND/T2/T2);
d_T3_dV_di_si = (-NOIA2_i*d_T2_dV_di_si/T2/T2);
d_T3_dV_e_di = (-NOIA2_i*d_T2_dV_e_di/T2/T2);
d_T3_dV_e_si = (-NOIA2_i*d_T2_dV_e_si/T2/T2);
d_T3_dV_gi_si = (-NOIA2_i*d_T2_dV_gi_si/T2/T2);
d_T3_dV_gi_e = (-NOIA2_i*d_T2_dV_gi_e/T2/T2);
d_T3_dV_gi_si1 = (-NOIA2_i*d_T2_dV_gi_si1/T2/T2);
d_T3_dV_gi_di1 = (-NOIA2_i*d_T2_dV_gi_di1/T2/T2);
d_T3_dV_ge_si = (-NOIA2_i*d_T2_dV_ge_si/T2/T2);
d_T3_dV_ge_di = (-NOIA2_i*d_T2_dV_ge_di/T2/T2);
d_T3_dV_gi_di = (-NOIA2_i*d_T2_dV_gi_di/T2/T2);
d_T3_dV_ge_e = (-NOIA2_i*d_T2_dV_ge_e/T2/T2);
T3 = (NOIA2_i/T2);

d_T4_dTemp_t_GND = (d_T3_dTemp_t_GND/(model_.NOIA));
d_T4_dV_gi_si = (d_T3_dV_gi_si/(model_.NOIA));
d_T4_dV_e_di = (d_T3_dV_e_di/(model_.NOIA));
d_T4_dV_e_si = (d_T3_dV_e_si/(model_.NOIA));
d_T4_dV_di_si = (d_T3_dV_di_si/(model_.NOIA));
d_T4_dV_gi_e = (d_T3_dV_gi_e/(model_.NOIA));
d_T4_dV_gi_si1 = (d_T3_dV_gi_si1/(model_.NOIA));
d_T4_dV_gi_di1 = (d_T3_dV_gi_di1/(model_.NOIA));
d_T4_dV_ge_si = (d_T3_dV_ge_si/(model_.NOIA));
d_T4_dV_ge_di = (d_T3_dV_ge_di/(model_.NOIA));
d_T4_dV_gi_di = (d_T3_dV_gi_di/(model_.NOIA));
d_T4_dV_ge_e = (d_T3_dV_ge_e/(model_.NOIA));
T4 = (T3/(model_.NOIA));
{
double value_sqrt_0 = sqrt((((T4-1)*(T4-1))+((0.25*(model_.SMOOTH))*(model_.SMOOTH))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = 0.5*(d_T4_dTemp_t_GND+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dTemp_t_GND+d_T4_dTemp_t_GND*(T4-1)))));
d_T5_dV_di_si = 0.5*(d_T4_dV_di_si+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_di_si+d_T4_dV_di_si*(T4-1)))));
d_T5_dV_gi_si = 0.5*(d_T4_dV_gi_si+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_gi_si+d_T4_dV_gi_si*(T4-1)))));
d_T5_dV_e_di = 0.5*(d_T4_dV_e_di+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_e_di+d_T4_dV_e_di*(T4-1)))));
d_T5_dV_e_si = 0.5*(d_T4_dV_e_si+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_e_si+d_T4_dV_e_si*(T4-1)))));
d_T5_dV_gi_e = 0.5*(d_T4_dV_gi_e+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_gi_e+d_T4_dV_gi_e*(T4-1)))));
d_T5_dV_gi_si1 = 0.5*(d_T4_dV_gi_si1+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_gi_si1+d_T4_dV_gi_si1*(T4-1)))));
d_T5_dV_gi_di1 = 0.5*(d_T4_dV_gi_di1+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_gi_di1+d_T4_dV_gi_di1*(T4-1)))));
d_T5_dV_ge_si = 0.5*(d_T4_dV_ge_si+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_ge_si+d_T4_dV_ge_si*(T4-1)))));
d_T5_dV_ge_di = 0.5*(d_T4_dV_ge_di+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_ge_di+d_T4_dV_ge_di*(T4-1)))));
d_T5_dV_gi_di = 0.5*(d_T4_dV_gi_di+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_gi_di+d_T4_dV_gi_di*(T4-1)))));
d_T5_dV_ge_e = 0.5*(d_T4_dV_ge_e+(deriv_sqrt_0_d0*(((T4-1)*d_T4_dV_ge_e+d_T4_dV_ge_e*(T4-1)))));
T5 = (0.5*((T4+1)+value_sqrt_0));
}

d_NOIAeff_dTemp_t_GND = (model_.NOIA)*d_T5_dTemp_t_GND;
d_NOIAeff_dV_gi_si = (model_.NOIA)*d_T5_dV_gi_si;
d_NOIAeff_dV_e_di = (model_.NOIA)*d_T5_dV_e_di;
d_NOIAeff_dV_e_si = (model_.NOIA)*d_T5_dV_e_si;
d_NOIAeff_dV_di_si = (model_.NOIA)*d_T5_dV_di_si;
d_NOIAeff_dV_gi_e = (model_.NOIA)*d_T5_dV_gi_e;
d_NOIAeff_dV_s_si1 = (model_.NOIA)*d_T5_dV_s_si1;
d_NOIAeff_dV_d_di1 = (model_.NOIA)*d_T5_dV_d_di1;
d_NOIAeff_dV_gi_si1 = (model_.NOIA)*d_T5_dV_gi_si1;
d_NOIAeff_dV_gi_di1 = (model_.NOIA)*d_T5_dV_gi_di1;
d_NOIAeff_dV_ge_si = (model_.NOIA)*d_T5_dV_ge_si;
d_NOIAeff_dV_ge_di = (model_.NOIA)*d_T5_dV_ge_di;
d_NOIAeff_dV_gi_di = (model_.NOIA)*d_T5_dV_gi_di;
d_NOIAeff_dV_ge_e = (model_.NOIA)*d_T5_dV_ge_e;
NOIAeff = ((model_.NOIA)*T5);
}
else
{

d_NOIAeff_dV_ge_e = d_NOIAeff_dV_gi_di = d_NOIAeff_dV_ge_di = d_NOIAeff_dV_ge_si = d_NOIAeff_dV_gi_di1 = d_NOIAeff_dV_gi_si1 = d_NOIAeff_dV_d_di1 = d_NOIAeff_dV_s_si1 = d_NOIAeff_dV_gi_e = d_NOIAeff_dV_di_si = d_NOIAeff_dV_e_si = d_NOIAeff_dV_e_di = d_NOIAeff_dV_gi_si = d_NOIAeff_dTemp_t_GND =  0.0;
NOIAeff = (model_.NOIA);
}
{
double value_fabs_0 = fabs(ids);
double  deriv_fabs_0_d0 = (((ids)>=0)?(+1.0):(-1.0));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si =  0.0;
d_T1_dV_gi_si1 = (((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_gi_si1))*ueff;
d_T1_dV_gi_di1 = (((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_gi_di1))*ueff;
d_T1_dV_gi_e = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*d_ueff_dV_gi_e+(((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_gi_e))*ueff);
d_T1_dV_gi_si = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*d_ueff_dV_gi_si+(((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_gi_si))*ueff);
d_T1_dV_e_di = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*d_ueff_dV_e_di+(((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_e_di))*ueff);
d_T1_dV_e_si = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*d_ueff_dV_e_si+(((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_e_si))*ueff);
d_T1_dV_di_si = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*d_ueff_dV_di_si+(((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dV_di_si))*ueff);
d_T1_dTemp_t_GND = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*d_ueff_dTemp_t_GND+((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*(deriv_fabs_0_d0*(d_ids_dTemp_t_GND))+((1.60219e-19*1.60219e-19)*1.60219e-19)*d_Vtm_dTemp_t_GND*value_fabs_0)*ueff);
T1 = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*Vtm)*value_fabs_0)*ueff);
}

d_T2_dV_d_di1 = d_T2_dV_s_si1 = d_T2_dV_ge_e = d_T2_dV_gi_di = d_T2_dV_ge_di = d_T2_dV_ge_si = d_T2_dV_gi_di1 = d_T2_dV_gi_si1 =  0.0;
d_T2_dTemp_t_GND = 1.0e10*d_coxeff_dTemp_t_GND*Leffnoisq;
d_T2_dV_gi_si = 1.0e10*d_coxeff_dV_gi_si*Leffnoisq;
d_T2_dV_e_di = 1.0e10*d_coxeff_dV_e_di*Leffnoisq;
d_T2_dV_e_si = 1.0e10*d_coxeff_dV_e_si*Leffnoisq;
d_T2_dV_di_si = 1.0e10*d_coxeff_dV_di_si*Leffnoisq;
d_T2_dV_gi_e = 1.0e10*d_coxeff_dV_gi_e*Leffnoisq;
T2 = ((1.0e10*coxeff)*Leffnoisq);

d_N0_dTemp_t_GND = ((coxeff*d_qis_dTemp_t_GND+d_coxeff_dTemp_t_GND*qis)/1.60219e-19);
d_N0_dV_gi_si = ((coxeff*d_qis_dV_gi_si+d_coxeff_dV_gi_si*qis)/1.60219e-19);
d_N0_dV_e_di = ((coxeff*d_qis_dV_e_di+d_coxeff_dV_e_di*qis)/1.60219e-19);
d_N0_dV_e_si = ((coxeff*d_qis_dV_e_si+d_coxeff_dV_e_si*qis)/1.60219e-19);
d_N0_dV_di_si = ((coxeff*d_qis_dV_di_si+d_coxeff_dV_di_si*qis)/1.60219e-19);
d_N0_dV_gi_e = (d_coxeff_dV_gi_e*qis/1.60219e-19);
N0 = ((coxeff*qis)/1.60219e-19);

d_Nl_dTemp_t_GND = ((coxeff*d_qid_dTemp_t_GND+d_coxeff_dTemp_t_GND*qid)/1.60219e-19);
d_Nl_dV_gi_si = ((coxeff*d_qid_dV_gi_si+d_coxeff_dV_gi_si*qid)/1.60219e-19);
d_Nl_dV_e_di = ((coxeff*d_qid_dV_e_di+d_coxeff_dV_e_di*qid)/1.60219e-19);
d_Nl_dV_e_si = ((coxeff*d_qid_dV_e_si+d_coxeff_dV_e_si*qid)/1.60219e-19);
d_Nl_dV_di_si = ((coxeff*d_qid_dV_di_si+d_coxeff_dV_di_si*qid)/1.60219e-19);
d_Nl_dV_gi_e = (d_coxeff_dV_gi_e*qid/1.60219e-19);
Nl = ((coxeff*qid)/1.60219e-19);

d_Nstar_dV_gi_si = (Vtm/1.60219e-19)*d_coxeff_dV_gi_si;
d_Nstar_dV_e_di = (Vtm/1.60219e-19)*d_coxeff_dV_e_di;
d_Nstar_dV_e_si = (Vtm/1.60219e-19)*d_coxeff_dV_e_si;
d_Nstar_dV_di_si = (Vtm/1.60219e-19)*(d_coxeff_dV_di_si+d_CIT_a_dV_di_si);
d_Nstar_dV_gi_e = (Vtm/1.60219e-19)*d_coxeff_dV_gi_e;
d_Nstar_dTemp_t_GND = ((Vtm/1.60219e-19)*(d_coxeff_dTemp_t_GND+d_CIT_a_dTemp_t_GND)+(d_Vtm_dTemp_t_GND/1.60219e-19)*(coxeff+CIT_a));
Nstar = ((Vtm/1.60219e-19)*(coxeff+CIT_a));
{
double value_log_0 = log(((N0+Nstar)/(Nl+Nstar)));
double  deriv_log_0_d0 = (1.0/((N0+Nstar)/(Nl+Nstar)));

d_T3_dV_di1_di =  0.0;
d_T3_dTemp_t_GND = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?(deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dTemp_t_GND+d_Nstar_dTemp_t_GND)-(N0+Nstar)*(d_Nl_dTemp_t_GND+d_Nstar_dTemp_t_GND))/(Nl+Nstar)/(Nl+Nstar)))):0.0)+d_NOIAeff_dTemp_t_GND*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
d_T3_dV_gi_si = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?(deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dV_gi_si+d_Nstar_dV_gi_si)-(N0+Nstar)*(d_Nl_dV_gi_si+d_Nstar_dV_gi_si))/(Nl+Nstar)/(Nl+Nstar)))):0.0)+d_NOIAeff_dV_gi_si*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
d_T3_dV_e_di = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?(deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dV_e_di+d_Nstar_dV_e_di)-(N0+Nstar)*(d_Nl_dV_e_di+d_Nstar_dV_e_di))/(Nl+Nstar)/(Nl+Nstar)))):0.0)+d_NOIAeff_dV_e_di*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
d_T3_dV_e_si = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?(deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dV_e_si+d_Nstar_dV_e_si)-(N0+Nstar)*(d_Nl_dV_e_si+d_Nstar_dV_e_si))/(Nl+Nstar)/(Nl+Nstar)))):0.0)+d_NOIAeff_dV_e_si*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
d_T3_dV_di_si = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?(deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dV_di_si+d_Nstar_dV_di_si)-(N0+Nstar)*(d_Nl_dV_di_si+d_Nstar_dV_di_si))/(Nl+Nstar)/(Nl+Nstar)))):0.0)+d_NOIAeff_dV_di_si*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
d_T3_dV_gi_e = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?(deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dV_gi_e+d_Nstar_dV_gi_e)-(N0+Nstar)*(d_Nl_dV_gi_e+d_Nstar_dV_gi_e))/(Nl+Nstar)/(Nl+Nstar)))):0.0)+d_NOIAeff_dV_gi_e*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
d_T3_dV_s_si1 = d_NOIAeff_dV_s_si1*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_d_di1 = d_NOIAeff_dV_d_di1*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_gi_si1 = d_NOIAeff_dV_gi_si1*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_gi_di1 = d_NOIAeff_dV_gi_di1*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_ge_si = d_NOIAeff_dV_ge_si*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_ge_di = d_NOIAeff_dV_ge_di*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_gi_di = d_NOIAeff_dV_gi_di*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
d_T3_dV_ge_e = d_NOIAeff_dV_ge_e*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534));
T3 = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
}

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 =  0.0;
d_T4_dTemp_t_GND = (model_.NOIB)*(d_N0_dTemp_t_GND-d_Nl_dTemp_t_GND);
d_T4_dV_gi_si = (model_.NOIB)*(d_N0_dV_gi_si-d_Nl_dV_gi_si);
d_T4_dV_e_di = (model_.NOIB)*(d_N0_dV_e_di-d_Nl_dV_e_di);
d_T4_dV_e_si = (model_.NOIB)*(d_N0_dV_e_si-d_Nl_dV_e_si);
d_T4_dV_di_si = (model_.NOIB)*(d_N0_dV_di_si-d_Nl_dV_di_si);
d_T4_dV_gi_e = (model_.NOIB)*(d_N0_dV_gi_e-d_Nl_dV_gi_e);
T4 = ((model_.NOIB)*(N0-Nl));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (0.5*(model_.NOIC))*((N0*d_N0_dTemp_t_GND+d_N0_dTemp_t_GND*N0)-(Nl*d_Nl_dTemp_t_GND+d_Nl_dTemp_t_GND*Nl));
d_T5_dV_gi_si = (0.5*(model_.NOIC))*((N0*d_N0_dV_gi_si+d_N0_dV_gi_si*N0)-(Nl*d_Nl_dV_gi_si+d_Nl_dV_gi_si*Nl));
d_T5_dV_e_di = (0.5*(model_.NOIC))*((N0*d_N0_dV_e_di+d_N0_dV_e_di*N0)-(Nl*d_Nl_dV_e_di+d_Nl_dV_e_di*Nl));
d_T5_dV_e_si = (0.5*(model_.NOIC))*((N0*d_N0_dV_e_si+d_N0_dV_e_si*N0)-(Nl*d_Nl_dV_e_si+d_Nl_dV_e_si*Nl));
d_T5_dV_di_si = (0.5*(model_.NOIC))*((N0*d_N0_dV_di_si+d_N0_dV_di_si*N0)-(Nl*d_Nl_dV_di_si+d_Nl_dV_di_si*Nl));
d_T5_dV_gi_e = (0.5*(model_.NOIC))*((N0*d_N0_dV_gi_e+d_N0_dV_gi_e*N0)-(Nl*d_Nl_dV_gi_e+d_Nl_dV_gi_e*Nl));
T5 = ((0.5*(model_.NOIC))*((N0*N0)-(Nl*Nl)));

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_d_di1 = d_T6_dV_s_si1 =  0.0;
d_T6_dV_gi_si1 = (((1.60219e-19*Vtm)*ids)*d_ids_dV_gi_si1+(1.60219e-19*Vtm)*d_ids_dV_gi_si1*ids);
d_T6_dV_gi_di1 = (((1.60219e-19*Vtm)*ids)*d_ids_dV_gi_di1+(1.60219e-19*Vtm)*d_ids_dV_gi_di1*ids);
d_T6_dV_gi_e = (((1.60219e-19*Vtm)*ids)*d_ids_dV_gi_e+(1.60219e-19*Vtm)*d_ids_dV_gi_e*ids);
d_T6_dV_gi_si = (((1.60219e-19*Vtm)*ids)*d_ids_dV_gi_si+(1.60219e-19*Vtm)*d_ids_dV_gi_si*ids);
d_T6_dV_e_di = (((1.60219e-19*Vtm)*ids)*d_ids_dV_e_di+(1.60219e-19*Vtm)*d_ids_dV_e_di*ids);
d_T6_dV_e_si = (((1.60219e-19*Vtm)*ids)*d_ids_dV_e_si+(1.60219e-19*Vtm)*d_ids_dV_e_si*ids);
d_T6_dV_di_si = (((1.60219e-19*Vtm)*ids)*d_ids_dV_di_si+(1.60219e-19*Vtm)*d_ids_dV_di_si*ids);
d_T6_dTemp_t_GND = (((1.60219e-19*Vtm)*ids)*d_ids_dTemp_t_GND+((1.60219e-19*Vtm)*d_ids_dTemp_t_GND+1.60219e-19*d_Vtm_dTemp_t_GND*ids)*ids);
T6 = (((1.60219e-19*Vtm)*ids)*ids);

d_T7_dV_ge_e = d_T7_dV_gi_di = d_T7_dV_ge_di = d_T7_dV_ge_si = d_T7_dV_gi_di1 = d_T7_dV_gi_si1 = d_T7_dV_d_di1 = d_T7_dV_s_si1 = d_T7_dV_gi_e = d_T7_dV_di_si = d_T7_dV_e_si = d_T7_dV_e_di = d_T7_dV_gi_si = d_T7_dTemp_t_GND =  0.0;
T7 = (((1.0e10*Leffnoisq)*Weff0)*NFINtotal);

d_T8_dTemp_t_GND = ((d_NOIAeff_dTemp_t_GND+(model_.NOIB)*d_Nl_dTemp_t_GND)+(((model_.NOIC)*Nl)*d_Nl_dTemp_t_GND+(model_.NOIC)*d_Nl_dTemp_t_GND*Nl));
d_T8_dV_gi_si = ((d_NOIAeff_dV_gi_si+(model_.NOIB)*d_Nl_dV_gi_si)+(((model_.NOIC)*Nl)*d_Nl_dV_gi_si+(model_.NOIC)*d_Nl_dV_gi_si*Nl));
d_T8_dV_e_di = ((d_NOIAeff_dV_e_di+(model_.NOIB)*d_Nl_dV_e_di)+(((model_.NOIC)*Nl)*d_Nl_dV_e_di+(model_.NOIC)*d_Nl_dV_e_di*Nl));
d_T8_dV_e_si = ((d_NOIAeff_dV_e_si+(model_.NOIB)*d_Nl_dV_e_si)+(((model_.NOIC)*Nl)*d_Nl_dV_e_si+(model_.NOIC)*d_Nl_dV_e_si*Nl));
d_T8_dV_di_si = ((d_NOIAeff_dV_di_si+(model_.NOIB)*d_Nl_dV_di_si)+(((model_.NOIC)*Nl)*d_Nl_dV_di_si+(model_.NOIC)*d_Nl_dV_di_si*Nl));
d_T8_dV_gi_e = ((d_NOIAeff_dV_gi_e+(model_.NOIB)*d_Nl_dV_gi_e)+(((model_.NOIC)*Nl)*d_Nl_dV_gi_e+(model_.NOIC)*d_Nl_dV_gi_e*Nl));
d_T8_dV_s_si1 = d_NOIAeff_dV_s_si1;
d_T8_dV_d_di1 = d_NOIAeff_dV_d_di1;
d_T8_dV_gi_si1 = d_NOIAeff_dV_gi_si1;
d_T8_dV_gi_di1 = d_NOIAeff_dV_gi_di1;
d_T8_dV_ge_si = d_NOIAeff_dV_ge_si;
d_T8_dV_ge_di = d_NOIAeff_dV_ge_di;
d_T8_dV_gi_di = d_NOIAeff_dV_gi_di;
d_T8_dV_ge_e = d_NOIAeff_dV_ge_e;
T8 = ((NOIAeff+((model_.NOIB)*Nl))+(((model_.NOIC)*Nl)*Nl));

d_T9_dTemp_t_GND = ((Nl+Nstar)*(d_Nl_dTemp_t_GND+d_Nstar_dTemp_t_GND)+(d_Nl_dTemp_t_GND+d_Nstar_dTemp_t_GND)*(Nl+Nstar));
d_T9_dV_gi_si = ((Nl+Nstar)*(d_Nl_dV_gi_si+d_Nstar_dV_gi_si)+(d_Nl_dV_gi_si+d_Nstar_dV_gi_si)*(Nl+Nstar));
d_T9_dV_e_di = ((Nl+Nstar)*(d_Nl_dV_e_di+d_Nstar_dV_e_di)+(d_Nl_dV_e_di+d_Nstar_dV_e_di)*(Nl+Nstar));
d_T9_dV_e_si = ((Nl+Nstar)*(d_Nl_dV_e_si+d_Nstar_dV_e_si)+(d_Nl_dV_e_si+d_Nstar_dV_e_si)*(Nl+Nstar));
d_T9_dV_di_si = ((Nl+Nstar)*(d_Nl_dV_di_si+d_Nstar_dV_di_si)+(d_Nl_dV_di_si+d_Nstar_dV_di_si)*(Nl+Nstar));
d_T9_dV_gi_e = ((Nl+Nstar)*(d_Nl_dV_gi_e+d_Nstar_dV_gi_e)+(d_Nl_dV_gi_e+d_Nstar_dV_gi_e)*(Nl+Nstar));
T9 = ((Nl+Nstar)*(Nl+Nstar));

d_Ssi_dV_s_si1 = (((T1/T2)*(d_T3_dV_s_si1+d_T5_dV_s_si1)+((T2*d_T1_dV_s_si1-T1*d_T2_dV_s_si1)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_s_si1+((T7*d_T6_dV_s_si1-T6*d_T7_dV_s_si1)/T7/T7)*DelClm*T8)/T9));
d_Ssi_dV_d_di1 = (((T1/T2)*(d_T3_dV_d_di1+d_T5_dV_d_di1)+((T2*d_T1_dV_d_di1-T1*d_T2_dV_d_di1)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_d_di1+((T7*d_T6_dV_d_di1-T6*d_T7_dV_d_di1)/T7/T7)*DelClm*T8)/T9));
d_Ssi_dV_ge_e = (((T1/T2)*((d_T3_dV_ge_e+d_T4_dV_ge_e)+d_T5_dV_ge_e)+((T2*d_T1_dV_ge_e-T1*d_T2_dV_ge_e)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_ge_e+((T6/T7)*d_DelClm_dV_ge_e+((T7*d_T6_dV_ge_e-T6*d_T7_dV_ge_e)/T7/T7)*DelClm)*T8)/T9));
d_Ssi_dTemp_t_GND = (((T1/T2)*((d_T3_dTemp_t_GND+d_T4_dTemp_t_GND)+d_T5_dTemp_t_GND)+((T2*d_T1_dTemp_t_GND-T1*d_T2_dTemp_t_GND)/T2/T2)*((T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dTemp_t_GND+((T6/T7)*d_DelClm_dTemp_t_GND+((T7*d_T6_dTemp_t_GND-T6*d_T7_dTemp_t_GND)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dTemp_t_GND)/T9/T9));
d_Ssi_dV_di_si = (((T1/T2)*((d_T3_dV_di_si+d_T4_dV_di_si)+d_T5_dV_di_si)+((T2*d_T1_dV_di_si-T1*d_T2_dV_di_si)/T2/T2)*((T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dV_di_si+((T6/T7)*d_DelClm_dV_di_si+((T7*d_T6_dV_di_si-T6*d_T7_dV_di_si)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dV_di_si)/T9/T9));
d_Ssi_dV_gi_si = (((T1/T2)*((d_T3_dV_gi_si+d_T4_dV_gi_si)+d_T5_dV_gi_si)+((T2*d_T1_dV_gi_si-T1*d_T2_dV_gi_si)/T2/T2)*((T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dV_gi_si+((T6/T7)*d_DelClm_dV_gi_si+((T7*d_T6_dV_gi_si-T6*d_T7_dV_gi_si)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dV_gi_si)/T9/T9));
d_Ssi_dV_e_di = (((T1/T2)*((d_T3_dV_e_di+d_T4_dV_e_di)+d_T5_dV_e_di)+((T2*d_T1_dV_e_di-T1*d_T2_dV_e_di)/T2/T2)*((T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dV_e_di+((T6/T7)*d_DelClm_dV_e_di+((T7*d_T6_dV_e_di-T6*d_T7_dV_e_di)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dV_e_di)/T9/T9));
d_Ssi_dV_e_si = (((T1/T2)*((d_T3_dV_e_si+d_T4_dV_e_si)+d_T5_dV_e_si)+((T2*d_T1_dV_e_si-T1*d_T2_dV_e_si)/T2/T2)*((T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dV_e_si+((T6/T7)*d_DelClm_dV_e_si+((T7*d_T6_dV_e_si-T6*d_T7_dV_e_si)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dV_e_si)/T9/T9));
d_Ssi_dV_gi_e = (((T1/T2)*((d_T3_dV_gi_e+d_T4_dV_gi_e)+d_T5_dV_gi_e)+((T2*d_T1_dV_gi_e-T1*d_T2_dV_gi_e)/T2/T2)*((T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dV_gi_e+((T6/T7)*d_DelClm_dV_gi_e+((T7*d_T6_dV_gi_e-T6*d_T7_dV_gi_e)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dV_gi_e)/T9/T9));
d_Ssi_dV_gi_si1 = (((T1/T2)*((d_T3_dV_gi_si1+d_T4_dV_gi_si1)+d_T5_dV_gi_si1)+((T2*d_T1_dV_gi_si1-T1*d_T2_dV_gi_si1)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_gi_si1+((T6/T7)*d_DelClm_dV_gi_si1+((T7*d_T6_dV_gi_si1-T6*d_T7_dV_gi_si1)/T7/T7)*DelClm)*T8)/T9));
d_Ssi_dV_gi_di1 = (((T1/T2)*((d_T3_dV_gi_di1+d_T4_dV_gi_di1)+d_T5_dV_gi_di1)+((T2*d_T1_dV_gi_di1-T1*d_T2_dV_gi_di1)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_gi_di1+((T6/T7)*d_DelClm_dV_gi_di1+((T7*d_T6_dV_gi_di1-T6*d_T7_dV_gi_di1)/T7/T7)*DelClm)*T8)/T9));
d_Ssi_dV_ge_si = (((T1/T2)*((d_T3_dV_ge_si+d_T4_dV_ge_si)+d_T5_dV_ge_si)+((T2*d_T1_dV_ge_si-T1*d_T2_dV_ge_si)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_ge_si+((T6/T7)*d_DelClm_dV_ge_si+((T7*d_T6_dV_ge_si-T6*d_T7_dV_ge_si)/T7/T7)*DelClm)*T8)/T9));
d_Ssi_dV_ge_di = (((T1/T2)*((d_T3_dV_ge_di+d_T4_dV_ge_di)+d_T5_dV_ge_di)+((T2*d_T1_dV_ge_di-T1*d_T2_dV_ge_di)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_ge_di+((T6/T7)*d_DelClm_dV_ge_di+((T7*d_T6_dV_ge_di-T6*d_T7_dV_ge_di)/T7/T7)*DelClm)*T8)/T9));
d_Ssi_dV_gi_di = (((T1/T2)*((d_T3_dV_gi_di+d_T4_dV_gi_di)+d_T5_dV_gi_di)+((T2*d_T1_dV_gi_di-T1*d_T2_dV_gi_di)/T2/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*d_T8_dV_gi_di+((T6/T7)*d_DelClm_dV_gi_di+((T7*d_T6_dV_gi_di-T6*d_T7_dV_gi_di)/T7/T7)*DelClm)*T8)/T9));
Ssi = (((T1/T2)*((T3+T4)+T5))+((((T6/T7)*DelClm)*T8)/T9));

d_T10_dTemp_t_GND = ((NOIAeff*1.60219e-19)*d_Vtm_dTemp_t_GND+d_NOIAeff_dTemp_t_GND*1.60219e-19*Vtm);
d_T10_dV_gi_si = d_NOIAeff_dV_gi_si*1.60219e-19*Vtm;
d_T10_dV_e_di = d_NOIAeff_dV_e_di*1.60219e-19*Vtm;
d_T10_dV_e_si = d_NOIAeff_dV_e_si*1.60219e-19*Vtm;
d_T10_dV_di_si = d_NOIAeff_dV_di_si*1.60219e-19*Vtm;
d_T10_dV_gi_e = d_NOIAeff_dV_gi_e*1.60219e-19*Vtm;
d_T10_dV_s_si1 = d_NOIAeff_dV_s_si1*1.60219e-19*Vtm;
d_T10_dV_d_di1 = d_NOIAeff_dV_d_di1*1.60219e-19*Vtm;
d_T10_dV_gi_si1 = d_NOIAeff_dV_gi_si1*1.60219e-19*Vtm;
d_T10_dV_gi_di1 = d_NOIAeff_dV_gi_di1*1.60219e-19*Vtm;
d_T10_dV_ge_si = d_NOIAeff_dV_ge_si*1.60219e-19*Vtm;
d_T10_dV_ge_di = d_NOIAeff_dV_ge_di*1.60219e-19*Vtm;
d_T10_dV_gi_di = d_NOIAeff_dV_gi_di*1.60219e-19*Vtm;
d_T10_dV_ge_e = d_NOIAeff_dV_ge_e*1.60219e-19*Vtm;
T10 = ((NOIAeff*1.60219e-19)*Vtm);

d_T11_dV_gi_si = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dV_gi_si+(((Weff0*NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dV_gi_si*Nstar);
d_T11_dV_e_di = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dV_e_di+(((Weff0*NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dV_e_di*Nstar);
d_T11_dV_e_si = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dV_e_si+(((Weff0*NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dV_e_si*Nstar);
d_T11_dV_di_si = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dV_di_si+(((Weff0*NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dV_di_si*Nstar);
d_T11_dV_gi_e = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dV_gi_e+(((Weff0*NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dV_gi_e*Nstar);
d_T11_dTemp_t_GND = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dTemp_t_GND+(((Weff0*NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dTemp_t_GND*Nstar);
T11 = (((((Weff0*NFINtotal)*Leffnoi)*1.0e10)*Nstar)*Nstar);

d_Swi_dTemp_t_GND = (((T10/T11)*ids)*d_ids_dTemp_t_GND+((T10/T11)*d_ids_dTemp_t_GND+((T11*d_T10_dTemp_t_GND-T10*d_T11_dTemp_t_GND)/T11/T11)*ids)*ids);
d_Swi_dV_di_si = (((T10/T11)*ids)*d_ids_dV_di_si+((T10/T11)*d_ids_dV_di_si+((T11*d_T10_dV_di_si-T10*d_T11_dV_di_si)/T11/T11)*ids)*ids);
d_Swi_dV_gi_si = (((T10/T11)*ids)*d_ids_dV_gi_si+((T10/T11)*d_ids_dV_gi_si+((T11*d_T10_dV_gi_si-T10*d_T11_dV_gi_si)/T11/T11)*ids)*ids);
d_Swi_dV_e_di = (((T10/T11)*ids)*d_ids_dV_e_di+((T10/T11)*d_ids_dV_e_di+((T11*d_T10_dV_e_di-T10*d_T11_dV_e_di)/T11/T11)*ids)*ids);
d_Swi_dV_e_si = (((T10/T11)*ids)*d_ids_dV_e_si+((T10/T11)*d_ids_dV_e_si+((T11*d_T10_dV_e_si-T10*d_T11_dV_e_si)/T11/T11)*ids)*ids);
d_Swi_dV_gi_e = (((T10/T11)*ids)*d_ids_dV_gi_e+((T10/T11)*d_ids_dV_gi_e+((T11*d_T10_dV_gi_e-T10*d_T11_dV_gi_e)/T11/T11)*ids)*ids);
d_Swi_dV_gi_si1 = (((T10/T11)*ids)*d_ids_dV_gi_si1+((T10/T11)*d_ids_dV_gi_si1+(d_T10_dV_gi_si1/T11)*ids)*ids);
d_Swi_dV_gi_di1 = (((T10/T11)*ids)*d_ids_dV_gi_di1+((T10/T11)*d_ids_dV_gi_di1+(d_T10_dV_gi_di1/T11)*ids)*ids);
d_Swi_dV_s_si1 = (d_T10_dV_s_si1/T11)*ids*ids;
d_Swi_dV_d_di1 = (d_T10_dV_d_di1/T11)*ids*ids;
d_Swi_dV_ge_si = (d_T10_dV_ge_si/T11)*ids*ids;
d_Swi_dV_ge_di = (d_T10_dV_ge_di/T11)*ids*ids;
d_Swi_dV_gi_di = (d_T10_dV_gi_di/T11)*ids*ids;
d_Swi_dV_ge_e = (d_T10_dV_ge_e/T11)*ids*ids;
Swi = (((T10/T11)*ids)*ids);

d_T1_dTemp_t_GND = (d_Swi_dTemp_t_GND+d_Ssi_dTemp_t_GND);
d_T1_dV_di_si = (d_Swi_dV_di_si+d_Ssi_dV_di_si);
d_T1_dV_gi_si = (d_Swi_dV_gi_si+d_Ssi_dV_gi_si);
d_T1_dV_e_di = (d_Swi_dV_e_di+d_Ssi_dV_e_di);
d_T1_dV_e_si = (d_Swi_dV_e_si+d_Ssi_dV_e_si);
d_T1_dV_gi_e = (d_Swi_dV_gi_e+d_Ssi_dV_gi_e);
d_T1_dV_gi_si1 = (d_Swi_dV_gi_si1+d_Ssi_dV_gi_si1);
d_T1_dV_gi_di1 = (d_Swi_dV_gi_di1+d_Ssi_dV_gi_di1);
d_T1_dV_s_si1 = (d_Swi_dV_s_si1+d_Ssi_dV_s_si1);
d_T1_dV_d_di1 = (d_Swi_dV_d_di1+d_Ssi_dV_d_di1);
d_T1_dV_ge_si = (d_Swi_dV_ge_si+d_Ssi_dV_ge_si);
d_T1_dV_ge_di = (d_Swi_dV_ge_di+d_Ssi_dV_ge_di);
d_T1_dV_gi_di = (d_Swi_dV_gi_di+d_Ssi_dV_gi_di);
d_T1_dV_ge_e = (d_Swi_dV_ge_e+d_Ssi_dV_ge_e);
T1 = (Swi+Ssi);
if ((T1>0.0))
{
FNPowerAt1Hz = ((Ssi*Swi)/T1);
}
else
{
FNPowerAt1Hz = 0.0;
}
}
else
{
FNPowerAt1Hz = 0.0;
}
if ( (model_.TNOIMOD) == (0))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 =  0.0;
d_T0_dV_gi_si = (ueff*d_qinv_dV_gi_si+d_ueff_dV_gi_si*qinv);
d_T0_dV_e_di = (ueff*d_qinv_dV_e_di+d_ueff_dV_e_di*qinv);
d_T0_dV_e_si = (ueff*d_qinv_dV_e_si+d_ueff_dV_e_si*qinv);
d_T0_dV_gi_e = (ueff*d_qinv_dV_gi_e+d_ueff_dV_gi_e*qinv);
d_T0_dV_di_si = (ueff*d_qinv_dV_di_si+d_ueff_dV_di_si*qinv);
d_T0_dTemp_t_GND = (ueff*d_qinv_dTemp_t_GND+d_ueff_dTemp_t_GND*qinv);
T0 = (ueff*qinv);

d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = (T0*d_Rdsi_dTemp_t_GND+d_T0_dTemp_t_GND*Rdsi);
d_T1_dV_di_si = (T0*d_Rdsi_dV_di_si+d_T0_dV_di_si*Rdsi);
d_T1_dV_gi_si = (T0*d_Rdsi_dV_gi_si+d_T0_dV_gi_si*Rdsi);
d_T1_dV_e_di = (T0*d_Rdsi_dV_e_di+d_T0_dV_e_di*Rdsi);
d_T1_dV_e_si = (T0*d_Rdsi_dV_e_si+d_T0_dV_e_si*Rdsi);
d_T1_dV_gi_e = (T0*d_Rdsi_dV_gi_e+d_T0_dV_gi_e*Rdsi);
d_T1_dV_gi_si1 = (T0*d_Rdsi_dV_gi_si1+d_T0_dV_gi_si1*Rdsi);
d_T1_dV_gi_di1 = (T0*d_Rdsi_dV_gi_di1+d_T0_dV_gi_di1*Rdsi);
d_T1_dV_ge_si = d_T0_dV_ge_si*Rdsi;
d_T1_dV_ge_di = d_T0_dV_ge_di*Rdsi;
d_T1_dV_gi_di = d_T0_dV_gi_di*Rdsi;
d_T1_dV_ge_e = d_T0_dV_ge_e*Rdsi;
T1 = ((T0*Rdsi)+(Leff*Leff));
Gtnoi = ((T0/T1)*(model_.NTNOI));
sid = (((4.0*Vtm)*1.60219e-19)*Gtnoi);
}
else
if ( (model_.TNOIMOD) == (1))
{

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = ((EsatL*d_qia_dTemp_t_GND-qia*d_EsatL_dTemp_t_GND)/EsatL/EsatL);
d_T0_dV_gi_si = ((EsatL*d_qia_dV_gi_si-qia*d_EsatL_dV_gi_si)/EsatL/EsatL);
d_T0_dV_e_di = ((EsatL*d_qia_dV_e_di-qia*d_EsatL_dV_e_di)/EsatL/EsatL);
d_T0_dV_e_si = ((EsatL*d_qia_dV_e_si-qia*d_EsatL_dV_e_si)/EsatL/EsatL);
d_T0_dV_di_si = ((EsatL*d_qia_dV_di_si-qia*d_EsatL_dV_di_si)/EsatL/EsatL);
T0 = (qia/EsatL);

d_T0_dTemp_t_GND = (T0*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*T0);
d_T0_dV_di_si = (T0*d_T0_dV_di_si+d_T0_dV_di_si*T0);
d_T0_dV_gi_si = (T0*d_T0_dV_gi_si+d_T0_dV_gi_si*T0);
d_T0_dV_e_di = (T0*d_T0_dV_e_di+d_T0_dV_e_di*T0);
d_T0_dV_e_si = (T0*d_T0_dV_e_si+d_T0_dV_e_si*T0);
d_T0_dV_gi_e = (T0*d_T0_dV_gi_e+d_T0_dV_gi_e*T0);
d_T0_dV_gi_si1 = (T0*d_T0_dV_gi_si1+d_T0_dV_gi_si1*T0);
d_T0_dV_gi_di1 = (T0*d_T0_dV_gi_di1+d_T0_dV_gi_di1*T0);
d_T0_dV_ge_si = (T0*d_T0_dV_ge_si+d_T0_dV_ge_si*T0);
d_T0_dV_ge_di = (T0*d_T0_dV_ge_di+d_T0_dV_ge_di*T0);
d_T0_dV_gi_di = (T0*d_T0_dV_gi_di+d_T0_dV_gi_di*T0);
d_T0_dV_ge_e = (T0*d_T0_dV_ge_e+d_T0_dV_ge_e*T0);
T0 = (T0*T0);

d_noiBeta_dTemp_t_GND = (model_.RNOIA)*d_T0_dTemp_t_GND*(model_.TNOIA)*Leff;
d_noiBeta_dV_di_si = (model_.RNOIA)*d_T0_dV_di_si*(model_.TNOIA)*Leff;
d_noiBeta_dV_gi_si = (model_.RNOIA)*d_T0_dV_gi_si*(model_.TNOIA)*Leff;
d_noiBeta_dV_e_di = (model_.RNOIA)*d_T0_dV_e_di*(model_.TNOIA)*Leff;
d_noiBeta_dV_e_si = (model_.RNOIA)*d_T0_dV_e_si*(model_.TNOIA)*Leff;
d_noiBeta_dV_gi_e = (model_.RNOIA)*d_T0_dV_gi_e*(model_.TNOIA)*Leff;
d_noiBeta_dV_gi_si1 = (model_.RNOIA)*d_T0_dV_gi_si1*(model_.TNOIA)*Leff;
d_noiBeta_dV_gi_di1 = (model_.RNOIA)*d_T0_dV_gi_di1*(model_.TNOIA)*Leff;
d_noiBeta_dV_ge_si = (model_.RNOIA)*d_T0_dV_ge_si*(model_.TNOIA)*Leff;
d_noiBeta_dV_ge_di = (model_.RNOIA)*d_T0_dV_ge_di*(model_.TNOIA)*Leff;
d_noiBeta_dV_gi_di = (model_.RNOIA)*d_T0_dV_gi_di*(model_.TNOIA)*Leff;
d_noiBeta_dV_ge_e = (model_.RNOIA)*d_T0_dV_ge_e*(model_.TNOIA)*Leff;
noiBeta = ((model_.RNOIA)*(1.0+((T0*(model_.TNOIA))*Leff)));

d_noiTheta_dTemp_t_GND = (model_.RNOIB)*d_T0_dTemp_t_GND*(model_.TNOIB)*Leff;
d_noiTheta_dV_di_si = (model_.RNOIB)*d_T0_dV_di_si*(model_.TNOIB)*Leff;
d_noiTheta_dV_gi_si = (model_.RNOIB)*d_T0_dV_gi_si*(model_.TNOIB)*Leff;
d_noiTheta_dV_e_di = (model_.RNOIB)*d_T0_dV_e_di*(model_.TNOIB)*Leff;
d_noiTheta_dV_e_si = (model_.RNOIB)*d_T0_dV_e_si*(model_.TNOIB)*Leff;
d_noiTheta_dV_gi_e = (model_.RNOIB)*d_T0_dV_gi_e*(model_.TNOIB)*Leff;
d_noiTheta_dV_gi_si1 = (model_.RNOIB)*d_T0_dV_gi_si1*(model_.TNOIB)*Leff;
d_noiTheta_dV_gi_di1 = (model_.RNOIB)*d_T0_dV_gi_di1*(model_.TNOIB)*Leff;
d_noiTheta_dV_ge_si = (model_.RNOIB)*d_T0_dV_ge_si*(model_.TNOIB)*Leff;
d_noiTheta_dV_ge_di = (model_.RNOIB)*d_T0_dV_ge_di*(model_.TNOIB)*Leff;
d_noiTheta_dV_gi_di = (model_.RNOIB)*d_T0_dV_gi_di*(model_.TNOIB)*Leff;
d_noiTheta_dV_ge_e = (model_.RNOIB)*d_T0_dV_ge_e*(model_.TNOIB)*Leff;
noiTheta = ((model_.RNOIB)*(1.0+((T0*(model_.TNOIB))*Leff)));

d_noiCorr_dTemp_t_GND = (model_.RNOIC)*d_T0_dTemp_t_GND*(model_.TNOIC)*Leff;
d_noiCorr_dV_di_si = (model_.RNOIC)*d_T0_dV_di_si*(model_.TNOIC)*Leff;
d_noiCorr_dV_gi_si = (model_.RNOIC)*d_T0_dV_gi_si*(model_.TNOIC)*Leff;
d_noiCorr_dV_e_di = (model_.RNOIC)*d_T0_dV_e_di*(model_.TNOIC)*Leff;
d_noiCorr_dV_e_si = (model_.RNOIC)*d_T0_dV_e_si*(model_.TNOIC)*Leff;
d_noiCorr_dV_gi_e = (model_.RNOIC)*d_T0_dV_gi_e*(model_.TNOIC)*Leff;
d_noiCorr_dV_gi_si1 = (model_.RNOIC)*d_T0_dV_gi_si1*(model_.TNOIC)*Leff;
d_noiCorr_dV_gi_di1 = (model_.RNOIC)*d_T0_dV_gi_di1*(model_.TNOIC)*Leff;
d_noiCorr_dV_ge_si = (model_.RNOIC)*d_T0_dV_ge_si*(model_.TNOIC)*Leff;
d_noiCorr_dV_ge_di = (model_.RNOIC)*d_T0_dV_ge_di*(model_.TNOIC)*Leff;
d_noiCorr_dV_gi_di = (model_.RNOIC)*d_T0_dV_gi_di*(model_.TNOIC)*Leff;
d_noiCorr_dV_ge_e = (model_.RNOIC)*d_T0_dV_ge_e*(model_.TNOIC)*Leff;
noiCorr = ((model_.RNOIC)*(1.0+((T0*(model_.TNOIC))*Leff)));

d_noiLowId_dTemp_t_GND = (model_.RNOIK)*d_T0_dTemp_t_GND*(model_.TNOIK)*Leff;
d_noiLowId_dV_di_si = (model_.RNOIK)*d_T0_dV_di_si*(model_.TNOIK)*Leff;
d_noiLowId_dV_gi_si = (model_.RNOIK)*d_T0_dV_gi_si*(model_.TNOIK)*Leff;
d_noiLowId_dV_e_di = (model_.RNOIK)*d_T0_dV_e_di*(model_.TNOIK)*Leff;
d_noiLowId_dV_e_si = (model_.RNOIK)*d_T0_dV_e_si*(model_.TNOIK)*Leff;
d_noiLowId_dV_gi_e = (model_.RNOIK)*d_T0_dV_gi_e*(model_.TNOIK)*Leff;
d_noiLowId_dV_gi_si1 = (model_.RNOIK)*d_T0_dV_gi_si1*(model_.TNOIK)*Leff;
d_noiLowId_dV_gi_di1 = (model_.RNOIK)*d_T0_dV_gi_di1*(model_.TNOIK)*Leff;
d_noiLowId_dV_ge_si = (model_.RNOIK)*d_T0_dV_ge_si*(model_.TNOIK)*Leff;
d_noiLowId_dV_ge_di = (model_.RNOIK)*d_T0_dV_ge_di*(model_.TNOIK)*Leff;
d_noiLowId_dV_gi_di = (model_.RNOIK)*d_T0_dV_gi_di*(model_.TNOIK)*Leff;
d_noiLowId_dV_ge_e = (model_.RNOIK)*d_T0_dV_ge_e*(model_.TNOIK)*Leff;
noiLowId = ((model_.RNOIK)*(1.0+((T0*(model_.TNOIK))*Leff)));

d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((3.0*noiBeta)*d_noiBeta_dTemp_t_GND+3.0*d_noiBeta_dTemp_t_GND*noiBeta);
d_T1_dV_di_si = ((3.0*noiBeta)*d_noiBeta_dV_di_si+3.0*d_noiBeta_dV_di_si*noiBeta);
d_T1_dV_gi_si = ((3.0*noiBeta)*d_noiBeta_dV_gi_si+3.0*d_noiBeta_dV_gi_si*noiBeta);
d_T1_dV_e_di = ((3.0*noiBeta)*d_noiBeta_dV_e_di+3.0*d_noiBeta_dV_e_di*noiBeta);
d_T1_dV_e_si = ((3.0*noiBeta)*d_noiBeta_dV_e_si+3.0*d_noiBeta_dV_e_si*noiBeta);
d_T1_dV_gi_e = ((3.0*noiBeta)*d_noiBeta_dV_gi_e+3.0*d_noiBeta_dV_gi_e*noiBeta);
d_T1_dV_gi_si1 = ((3.0*noiBeta)*d_noiBeta_dV_gi_si1+3.0*d_noiBeta_dV_gi_si1*noiBeta);
d_T1_dV_gi_di1 = ((3.0*noiBeta)*d_noiBeta_dV_gi_di1+3.0*d_noiBeta_dV_gi_di1*noiBeta);
d_T1_dV_ge_si = ((3.0*noiBeta)*d_noiBeta_dV_ge_si+3.0*d_noiBeta_dV_ge_si*noiBeta);
d_T1_dV_ge_di = ((3.0*noiBeta)*d_noiBeta_dV_ge_di+3.0*d_noiBeta_dV_ge_di*noiBeta);
d_T1_dV_gi_di = ((3.0*noiBeta)*d_noiBeta_dV_gi_di+3.0*d_noiBeta_dV_gi_di*noiBeta);
d_T1_dV_ge_e = ((3.0*noiBeta)*d_noiBeta_dV_ge_e+3.0*d_noiBeta_dV_ge_e*noiBeta);
T1 = ((3.0*noiBeta)*noiBeta);

d_T2_dV_d_di1 = d_T2_dV_s_si1 =  0.0;
d_T2_dTemp_t_GND = ((7.5*noiTheta)*d_noiTheta_dTemp_t_GND+7.5*d_noiTheta_dTemp_t_GND*noiTheta);
d_T2_dV_di_si = ((7.5*noiTheta)*d_noiTheta_dV_di_si+7.5*d_noiTheta_dV_di_si*noiTheta);
d_T2_dV_gi_si = ((7.5*noiTheta)*d_noiTheta_dV_gi_si+7.5*d_noiTheta_dV_gi_si*noiTheta);
d_T2_dV_e_di = ((7.5*noiTheta)*d_noiTheta_dV_e_di+7.5*d_noiTheta_dV_e_di*noiTheta);
d_T2_dV_e_si = ((7.5*noiTheta)*d_noiTheta_dV_e_si+7.5*d_noiTheta_dV_e_si*noiTheta);
d_T2_dV_gi_e = ((7.5*noiTheta)*d_noiTheta_dV_gi_e+7.5*d_noiTheta_dV_gi_e*noiTheta);
d_T2_dV_gi_si1 = ((7.5*noiTheta)*d_noiTheta_dV_gi_si1+7.5*d_noiTheta_dV_gi_si1*noiTheta);
d_T2_dV_gi_di1 = ((7.5*noiTheta)*d_noiTheta_dV_gi_di1+7.5*d_noiTheta_dV_gi_di1*noiTheta);
d_T2_dV_ge_si = ((7.5*noiTheta)*d_noiTheta_dV_ge_si+7.5*d_noiTheta_dV_ge_si*noiTheta);
d_T2_dV_ge_di = ((7.5*noiTheta)*d_noiTheta_dV_ge_di+7.5*d_noiTheta_dV_ge_di*noiTheta);
d_T2_dV_gi_di = ((7.5*noiTheta)*d_noiTheta_dV_gi_di+7.5*d_noiTheta_dV_gi_di*noiTheta);
d_T2_dV_ge_e = ((7.5*noiTheta)*d_noiTheta_dV_ge_e+7.5*d_noiTheta_dV_ge_e*noiTheta);
T2 = ((7.5*noiTheta)*noiTheta);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 =  0.0;
d_T3_dTemp_t_GND = 2.5298*d_noiCorr_dTemp_t_GND;
d_T3_dV_di_si = 2.5298*d_noiCorr_dV_di_si;
d_T3_dV_gi_si = 2.5298*d_noiCorr_dV_gi_si;
d_T3_dV_e_di = 2.5298*d_noiCorr_dV_e_di;
d_T3_dV_e_si = 2.5298*d_noiCorr_dV_e_si;
d_T3_dV_gi_e = 2.5298*d_noiCorr_dV_gi_e;
d_T3_dV_gi_si1 = 2.5298*d_noiCorr_dV_gi_si1;
d_T3_dV_gi_di1 = 2.5298*d_noiCorr_dV_gi_di1;
d_T3_dV_ge_si = 2.5298*d_noiCorr_dV_ge_si;
d_T3_dV_ge_di = 2.5298*d_noiCorr_dV_ge_di;
d_T3_dV_gi_di = 2.5298*d_noiCorr_dV_gi_di;
d_T3_dV_ge_e = 2.5298*d_noiCorr_dV_ge_e;
T3 = (2.5298*noiCorr);

d_noiEta_dTemp_t_GND = ((qid/qis)*(-((Vdsat*d_Vdseff_dTemp_t_GND-Vdseff*d_Vdsat_dTemp_t_GND)/Vdsat/Vdsat))+((qis*d_qid_dTemp_t_GND-qid*d_qis_dTemp_t_GND)/qis/qis)*(1.0-(Vdseff/Vdsat)));
d_noiEta_dV_gi_si = ((qid/qis)*(-((Vdsat*d_Vdseff_dV_gi_si-Vdseff*d_Vdsat_dV_gi_si)/Vdsat/Vdsat))+((qis*d_qid_dV_gi_si-qid*d_qis_dV_gi_si)/qis/qis)*(1.0-(Vdseff/Vdsat)));
d_noiEta_dV_e_di = ((qid/qis)*(-((Vdsat*d_Vdseff_dV_e_di-Vdseff*d_Vdsat_dV_e_di)/Vdsat/Vdsat))+((qis*d_qid_dV_e_di-qid*d_qis_dV_e_di)/qis/qis)*(1.0-(Vdseff/Vdsat)));
d_noiEta_dV_e_si = ((qid/qis)*(-((Vdsat*d_Vdseff_dV_e_si-Vdseff*d_Vdsat_dV_e_si)/Vdsat/Vdsat))+((qis*d_qid_dV_e_si-qid*d_qis_dV_e_si)/qis/qis)*(1.0-(Vdseff/Vdsat)));
d_noiEta_dV_di_si = ((qid/qis)*(-((Vdsat*d_Vdseff_dV_di_si-Vdseff*d_Vdsat_dV_di_si)/Vdsat/Vdsat))+((qis*d_qid_dV_di_si-qid*d_qis_dV_di_si)/qis/qis)*(1.0-(Vdseff/Vdsat)));
noiEta = ((qid/qis)*(1.0-(Vdseff/Vdsat)));

d_Dvsat3_dTemp_t_GND = ((Dvsat*Dvsat)*d_Dvsat_dTemp_t_GND+(Dvsat*d_Dvsat_dTemp_t_GND+d_Dvsat_dTemp_t_GND*Dvsat)*Dvsat);
d_Dvsat3_dV_di_si = ((Dvsat*Dvsat)*d_Dvsat_dV_di_si+(Dvsat*d_Dvsat_dV_di_si+d_Dvsat_dV_di_si*Dvsat)*Dvsat);
d_Dvsat3_dV_gi_si = ((Dvsat*Dvsat)*d_Dvsat_dV_gi_si+(Dvsat*d_Dvsat_dV_gi_si+d_Dvsat_dV_gi_si*Dvsat)*Dvsat);
d_Dvsat3_dV_e_di = ((Dvsat*Dvsat)*d_Dvsat_dV_e_di+(Dvsat*d_Dvsat_dV_e_di+d_Dvsat_dV_e_di*Dvsat)*Dvsat);
d_Dvsat3_dV_e_si = ((Dvsat*Dvsat)*d_Dvsat_dV_e_si+(Dvsat*d_Dvsat_dV_e_si+d_Dvsat_dV_e_si*Dvsat)*Dvsat);
d_Dvsat3_dV_gi_e = ((Dvsat*Dvsat)*d_Dvsat_dV_gi_e+(Dvsat*d_Dvsat_dV_gi_e+d_Dvsat_dV_gi_e*Dvsat)*Dvsat);
Dvsat3 = ((Dvsat*Dvsat)*Dvsat);

d_noiWI_dV_gi_si = (-q0*d_qia_dV_gi_si/(q0+qia)/(q0+qia));
d_noiWI_dV_e_di = (-q0*d_qia_dV_e_di/(q0+qia)/(q0+qia));
d_noiWI_dV_e_si = (-q0*d_qia_dV_e_si/(q0+qia)/(q0+qia));
d_noiWI_dV_di_si = (((q0+qia)*d_q0_dV_di_si-q0*(d_q0_dV_di_si+d_qia_dV_di_si))/(q0+qia)/(q0+qia));
d_noiWI_dTemp_t_GND = (((q0+qia)*d_q0_dTemp_t_GND-q0*(d_q0_dTemp_t_GND+d_qia_dTemp_t_GND))/(q0+qia)/(q0+qia));
noiWI = (q0/(q0+qia));
{
double value_max_0 = std::max(static_cast<double>(0.0),K0SI_t);
double  deriv_max_0_d1 = ((0.0>=K0SI_t)?0.0:1.0);

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dV_gi_si = (-K0_t*value_max_0*d_qis_dV_gi_si/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T4_dV_e_di = (-K0_t*value_max_0*d_qis_dV_e_di/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T4_dV_e_si = (-K0_t*value_max_0*d_qis_dV_e_si/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T4_dV_di_si = (-K0_t*(value_max_0*d_qis_dV_di_si+2.0*d_nVtm_dV_di_si)/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T4_dTemp_t_GND = ((((value_max_0*qis)+(2.0*nVtm))*d_K0_t_dTemp_t_GND-K0_t*((value_max_0*d_qis_dTemp_t_GND+(deriv_max_0_d1*(d_K0SI_t_dTemp_t_GND))*qis)+2.0*d_nVtm_dTemp_t_GND))/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
T4 = (K0_t/((value_max_0*qis)+(2.0*nVtm)));
}
{
double value_exp_0 = exp((-T4));
double  deriv_exp_0_d0 = value_exp_0;

d_Mnud0_dTemp_t_GND = (((-T4)>80.0)?5.540622384e34*(-d_T4_dTemp_t_GND):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dTemp_t_GND)))));
d_Mnud0_dV_di_si = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_di_si):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_di_si)))));
d_Mnud0_dV_gi_si = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_gi_si):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_gi_si)))));
d_Mnud0_dV_e_di = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_e_di):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_e_di)))));
d_Mnud0_dV_e_si = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_e_si):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_e_si)))));
d_Mnud0_dV_gi_e = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_gi_e):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_gi_e)))));
d_Mnud0_dV_gi_si1 = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_gi_si1):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_gi_si1)))));
d_Mnud0_dV_gi_di1 = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_gi_di1):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_gi_di1)))));
d_Mnud0_dV_ge_si = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_ge_si):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_ge_si)))));
d_Mnud0_dV_ge_di = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_ge_di):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_ge_di)))));
d_Mnud0_dV_gi_di = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_gi_di):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_gi_di)))));
d_Mnud0_dV_ge_e = (((-T4)>80.0)?5.540622384e34*(-d_T4_dV_ge_e):(((-T4)<(-80.0))?0.0:(deriv_exp_0_d0*((-d_T4_dV_ge_e)))));
Mnud0 = (((-T4)>80.0)?(5.540622384e34*((1.0+(-T4))-80.0)):(((-T4)<(-80.0))?1.804851387e-35:value_exp_0));
}
if (((model_.BULKMOD)==2))
{
{
double value_sqrt_0 = sqrt(((K2_t*K2_t)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si =  0.0;
d_T4_dTemp_t_GND = (((K2_t==0.0)&&(1.0e-6==0.0))?0.0:0.5*(d_K2_t_dTemp_t_GND+(deriv_sqrt_0_d0*((K2_t*d_K2_t_dTemp_t_GND+d_K2_t_dTemp_t_GND*K2_t)))));
T4 = (((K2_t==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(K2_t+value_sqrt_0)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),K2SI_t);
double  deriv_max_0_d1 = ((0.0>=K2SI_t)?0.0:1.0);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = ((((value_max_0*qis)+(2.0*nVtm))*d_T4_dTemp_t_GND-T4*((value_max_0*d_qis_dTemp_t_GND+(deriv_max_0_d1*(d_K2SI_t_dTemp_t_GND))*qis)+2.0*d_nVtm_dTemp_t_GND))/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_di_si = ((((value_max_0*qis)+(2.0*nVtm))*d_T4_dV_di_si-T4*(value_max_0*d_qis_dV_di_si+2.0*d_nVtm_dV_di_si))/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_gi_si = ((((value_max_0*qis)+(2.0*nVtm))*d_T4_dV_gi_si-T4*value_max_0*d_qis_dV_gi_si)/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_e_di = ((((value_max_0*qis)+(2.0*nVtm))*d_T4_dV_e_di-T4*value_max_0*d_qis_dV_e_di)/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_e_si = ((((value_max_0*qis)+(2.0*nVtm))*d_T4_dV_e_si-T4*value_max_0*d_qis_dV_e_si)/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_gi_e = (d_T4_dV_gi_e/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_gi_si1 = (d_T4_dV_gi_si1/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_gi_di1 = (d_T4_dV_gi_di1/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_ge_si = (d_T4_dV_ge_si/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_ge_di = (d_T4_dV_ge_di/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_gi_di = (d_T4_dV_gi_di/((value_max_0*qis)+(2.0*nVtm)));
d_T5_dV_ge_e = (d_T4_dV_ge_e/((value_max_0*qis)+(2.0*nVtm)));
T5 = (T4/((value_max_0*qis)+(2.0*nVtm)));
}
{
double value_sqrt_0 = sqrt((PHIBE_i-veseff));
double value_sqrt_1 = sqrt(PHIBE_i);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e = d_T6_dV_gi_si =  0.0;
d_T6_dTemp_t_GND = (deriv_sqrt_0_d0*((-d_veseff_dTemp_t_GND)));
d_T6_dV_di_si = (deriv_sqrt_0_d0*((-d_veseff_dV_di_si)));
d_T6_dV_e_di = (deriv_sqrt_0_d0*((-d_veseff_dV_e_di)));
d_T6_dV_e_si = (deriv_sqrt_0_d0*((-d_veseff_dV_e_si)));
T6 = (value_sqrt_0-value_sqrt_1);
}
{
double value_exp_0 = exp(((-T5)*T6));
double  deriv_exp_0_d0 = value_exp_0;

d_Mob0_dTemp_t_GND = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dTemp_t_GND+(-d_T5_dTemp_t_GND)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dTemp_t_GND+(-d_T5_dTemp_t_GND)*T6)))));
d_Mob0_dV_gi_si = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_gi_si+(-d_T5_dV_gi_si)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_gi_si+(-d_T5_dV_gi_si)*T6)))));
d_Mob0_dV_e_di = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_e_di+(-d_T5_dV_e_di)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_e_di+(-d_T5_dV_e_di)*T6)))));
d_Mob0_dV_e_si = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_e_si+(-d_T5_dV_e_si)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_e_si+(-d_T5_dV_e_si)*T6)))));
d_Mob0_dV_di_si = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_di_si+(-d_T5_dV_di_si)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_di_si+(-d_T5_dV_di_si)*T6)))));
d_Mob0_dV_gi_e = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_gi_e+(-d_T5_dV_gi_e)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_gi_e+(-d_T5_dV_gi_e)*T6)))));
d_Mob0_dV_s_si1 = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_s_si1+(-d_T5_dV_s_si1)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_s_si1+(-d_T5_dV_s_si1)*T6)))));
d_Mob0_dV_d_di1 = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_d_di1+(-d_T5_dV_d_di1)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_d_di1+(-d_T5_dV_d_di1)*T6)))));
d_Mob0_dV_gi_si1 = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_gi_si1+(-d_T5_dV_gi_si1)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_gi_si1+(-d_T5_dV_gi_si1)*T6)))));
d_Mob0_dV_gi_di1 = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_gi_di1+(-d_T5_dV_gi_di1)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_gi_di1+(-d_T5_dV_gi_di1)*T6)))));
d_Mob0_dV_ge_si = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_ge_si+(-d_T5_dV_ge_si)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_ge_si+(-d_T5_dV_ge_si)*T6)))));
d_Mob0_dV_ge_di = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_ge_di+(-d_T5_dV_ge_di)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_ge_di+(-d_T5_dV_ge_di)*T6)))));
d_Mob0_dV_gi_di = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_gi_di+(-d_T5_dV_gi_di)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_gi_di+(-d_T5_dV_gi_di)*T6)))));
d_Mob0_dV_ge_e = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dV_ge_e+(-d_T5_dV_ge_e)*T6):((((-T5)*T6)<(-80.0))?0.0:(deriv_exp_0_d0*(((-T5)*d_T6_dV_ge_e+(-d_T5_dV_ge_e)*T6)))));
Mob0 = ((((-T5)*T6)>80.0)?(5.540622384e34*((1.0+((-T5)*T6))-80.0)):((((-T5)*T6)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
else
{

d_Mob0_dV_ge_e = d_Mob0_dV_gi_di = d_Mob0_dV_ge_di = d_Mob0_dV_ge_si = d_Mob0_dV_gi_di1 = d_Mob0_dV_gi_si1 = d_Mob0_dV_d_di1 = d_Mob0_dV_s_si1 = d_Mob0_dV_gi_e = d_Mob0_dV_di_si = d_Mob0_dV_e_si = d_Mob0_dV_e_di = d_Mob0_dV_gi_si = d_Mob0_dTemp_t_GND =  0.0;
Mob0 = 1.0;
}

d_Eeffm0_dV_gi_si = EeffFactor*(d_qba_dV_gi_si+eta_mu*d_qis_dV_gi_si);
d_Eeffm0_dV_e_di = EeffFactor*(d_qba_dV_e_di+eta_mu*d_qis_dV_e_di);
d_Eeffm0_dV_e_si = EeffFactor*(d_qba_dV_e_si+eta_mu*d_qis_dV_e_si);
d_Eeffm0_dV_gi_e = EeffFactor*d_qba_dV_gi_e;
d_Eeffm0_dV_di_si = EeffFactor*(d_qba_dV_di_si+eta_mu*d_qis_dV_di_si);
d_Eeffm0_dTemp_t_GND = EeffFactor*(d_qba_dTemp_t_GND+(eta_mu*d_qis_dTemp_t_GND+d_eta_mu_dTemp_t_GND*qis));
Eeffm0 = (EeffFactor*(qba+(eta_mu*qis)));
{
double value_fabs_0 = fabs((qis/qb0));
double value_pow_1 = pow((0.5*(1.0+value_fabs_0)),UCS_t);
double  deriv_fabs_0_d0 = ((((qis/qb0))>=0)?(+1.0):(-1.0));
double  deriv_pow_1_d0 = (((0.5*(1.0+value_fabs_0)) == 0.0)?0.0:(value_pow_1*UCS_t/(0.5*(1.0+value_fabs_0))));
double  deriv_pow_1_d1 = ((0.5*(1.0+value_fabs_0)) == 0.0)?0.0:(log((0.5*(1.0+value_fabs_0)))*value_pow_1);

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = ((deriv_pow_1_d0*(0.5*(deriv_fabs_0_d0*((d_qis_dTemp_t_GND/qb0)))))+(deriv_pow_1_d1*(d_UCS_t_dTemp_t_GND)));
d_T4_dV_gi_si = (deriv_pow_1_d0*(0.5*(deriv_fabs_0_d0*((d_qis_dV_gi_si/qb0)))));
d_T4_dV_e_di = (deriv_pow_1_d0*(0.5*(deriv_fabs_0_d0*((d_qis_dV_e_di/qb0)))));
d_T4_dV_e_si = (deriv_pow_1_d0*(0.5*(deriv_fabs_0_d0*((d_qis_dV_e_si/qb0)))));
d_T4_dV_di_si = (deriv_pow_1_d0*(0.5*(deriv_fabs_0_d0*((d_qis_dV_di_si/qb0)))));
T4 = value_pow_1;
}
if (((model_.BULKMOD)!=0))
{
{
double value_fabs_0 = fabs(Eeffm0);
double value_pow_1 = pow(value_fabs_0,EU_a);
double  deriv_fabs_0_d0 = (((Eeffm0)>=0)?(+1.0):(-1.0));
double  deriv_pow_1_d0 = ((value_fabs_0 == 0.0)?0.0:(value_pow_1*EU_a/value_fabs_0));
double  deriv_pow_1_d1 = (value_fabs_0 == 0.0)?0.0:(log(value_fabs_0)*value_pow_1);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dV_gi_si1 = (-UD_a*d_T4_dV_gi_si1/T4/T4);
d_T5_dV_gi_di1 = (-UD_a*d_T4_dV_gi_di1/T4/T4);
d_T5_dV_ge_si = (-UD_a*d_T4_dV_ge_si/T4/T4);
d_T5_dV_ge_di = (-UD_a*d_T4_dV_ge_di/T4/T4);
d_T5_dV_gi_di = (-UD_a*d_T4_dV_gi_di/T4/T4);
d_T5_dV_ge_e = (-UD_a*d_T4_dV_ge_e/T4/T4);
d_T5_dV_gi_si = ((UA_a+(UC_a*veseff))*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_gi_si))))+(-UD_a*d_T4_dV_gi_si/T4/T4));
d_T5_dV_gi_e = ((UA_a+(UC_a*veseff))*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_gi_e))))+(-UD_a*d_T4_dV_gi_e/T4/T4));
d_T5_dV_e_di = (((UA_a+(UC_a*veseff))*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_e_di))))+UC_a*d_veseff_dV_e_di*value_pow_1)+(-UD_a*d_T4_dV_e_di/T4/T4));
d_T5_dV_e_si = (((UA_a+(UC_a*veseff))*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_e_si))))+UC_a*d_veseff_dV_e_si*value_pow_1)+(-UD_a*d_T4_dV_e_si/T4/T4));
d_T5_dV_di_si = (((UA_a+(UC_a*veseff))*((deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_di_si))))+(deriv_pow_1_d1*(d_EU_a_dV_di_si)))+(d_UA_a_dV_di_si+(UC_a*d_veseff_dV_di_si+d_UC_a_dV_di_si*veseff))*value_pow_1)+((T4*d_UD_a_dV_di_si-UD_a*d_T4_dV_di_si)/T4/T4));
d_T5_dTemp_t_GND = (((UA_a+(UC_a*veseff))*((deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dTemp_t_GND))))+(deriv_pow_1_d1*(d_EU_a_dTemp_t_GND)))+(d_UA_a_dTemp_t_GND+(UC_a*d_veseff_dTemp_t_GND+d_UC_a_dTemp_t_GND*veseff))*value_pow_1)+((T4*d_UD_a_dTemp_t_GND-UD_a*d_T4_dTemp_t_GND)/T4/T4));
T5 = (((UA_a+(UC_a*veseff))*value_pow_1)+(UD_a/T4));
}
}
else
{
{
double value_fabs_0 = fabs(Eeffm0);
double value_pow_1 = pow(value_fabs_0,EU_a);
double  deriv_fabs_0_d0 = (((Eeffm0)>=0)?(+1.0):(-1.0));
double  deriv_pow_1_d0 = ((value_fabs_0 == 0.0)?0.0:(value_pow_1*EU_a/value_fabs_0));
double  deriv_pow_1_d1 = (value_fabs_0 == 0.0)?0.0:(log(value_fabs_0)*value_pow_1);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dV_gi_si1 = (-UD_a*d_T4_dV_gi_si1/T4/T4);
d_T5_dV_gi_di1 = (-UD_a*d_T4_dV_gi_di1/T4/T4);
d_T5_dV_ge_si = (-UD_a*d_T4_dV_ge_si/T4/T4);
d_T5_dV_ge_di = (-UD_a*d_T4_dV_ge_di/T4/T4);
d_T5_dV_gi_di = (-UD_a*d_T4_dV_gi_di/T4/T4);
d_T5_dV_ge_e = (-UD_a*d_T4_dV_ge_e/T4/T4);
d_T5_dV_gi_si = (UA_a*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_gi_si))))+(-UD_a*d_T4_dV_gi_si/T4/T4));
d_T5_dV_e_di = (UA_a*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_e_di))))+(-UD_a*d_T4_dV_e_di/T4/T4));
d_T5_dV_e_si = (UA_a*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_e_si))))+(-UD_a*d_T4_dV_e_si/T4/T4));
d_T5_dV_gi_e = (UA_a*(deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_gi_e))))+(-UD_a*d_T4_dV_gi_e/T4/T4));
d_T5_dV_di_si = ((UA_a*((deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dV_di_si))))+(deriv_pow_1_d1*(d_EU_a_dV_di_si)))+d_UA_a_dV_di_si*value_pow_1)+((T4*d_UD_a_dV_di_si-UD_a*d_T4_dV_di_si)/T4/T4));
d_T5_dTemp_t_GND = ((UA_a*((deriv_pow_1_d0*((deriv_fabs_0_d0*(d_Eeffm0_dTemp_t_GND))))+(deriv_pow_1_d1*(d_EU_a_dTemp_t_GND)))+d_UA_a_dTemp_t_GND*value_pow_1)+((T4*d_UD_a_dTemp_t_GND-UD_a*d_T4_dTemp_t_GND)/T4/T4));
T5 = ((UA_a*value_pow_1)+(UD_a/T4));
}
}

d_Dmob0_dTemp_t_GND = d_T5_dTemp_t_GND;
d_Dmob0_dV_gi_si = d_T5_dV_gi_si;
d_Dmob0_dV_e_di = d_T5_dV_e_di;
d_Dmob0_dV_e_si = d_T5_dV_e_si;
d_Dmob0_dV_di_si = d_T5_dV_di_si;
d_Dmob0_dV_gi_e = d_T5_dV_gi_e;
d_Dmob0_dV_s_si1 = d_T5_dV_s_si1;
d_Dmob0_dV_d_di1 = d_T5_dV_d_di1;
d_Dmob0_dV_gi_si1 = d_T5_dV_gi_si1;
d_Dmob0_dV_gi_di1 = d_T5_dV_gi_di1;
d_Dmob0_dV_ge_si = d_T5_dV_ge_si;
d_Dmob0_dV_ge_di = d_T5_dV_ge_di;
d_Dmob0_dV_gi_di = d_T5_dV_gi_di;
d_Dmob0_dV_ge_e = d_T5_dV_ge_e;
Dmob0 = (1.0+T5);
{
double value_sqrt_0 = sqrt((((Dmob0-1.0)*(Dmob0-1.0))+((0.25*(model_.DMOBCLAMP))*(model_.DMOBCLAMP))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_Dmob0_dTemp_t_GND = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dTemp_t_GND+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dTemp_t_GND+d_Dmob0_dTemp_t_GND*(Dmob0-1.0))))));
d_Dmob0_dV_gi_si = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_gi_si+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_gi_si+d_Dmob0_dV_gi_si*(Dmob0-1.0))))));
d_Dmob0_dV_e_di = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_e_di+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_e_di+d_Dmob0_dV_e_di*(Dmob0-1.0))))));
d_Dmob0_dV_e_si = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_e_si+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_e_si+d_Dmob0_dV_e_si*(Dmob0-1.0))))));
d_Dmob0_dV_di_si = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_di_si+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_di_si+d_Dmob0_dV_di_si*(Dmob0-1.0))))));
d_Dmob0_dV_gi_e = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_gi_e+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_gi_e+d_Dmob0_dV_gi_e*(Dmob0-1.0))))));
d_Dmob0_dV_s_si1 = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_s_si1+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_s_si1+d_Dmob0_dV_s_si1*(Dmob0-1.0))))));
d_Dmob0_dV_d_di1 = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_d_di1+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_d_di1+d_Dmob0_dV_d_di1*(Dmob0-1.0))))));
d_Dmob0_dV_gi_si1 = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_gi_si1+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_gi_si1+d_Dmob0_dV_gi_si1*(Dmob0-1.0))))));
d_Dmob0_dV_gi_di1 = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_gi_di1+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_gi_di1+d_Dmob0_dV_gi_di1*(Dmob0-1.0))))));
d_Dmob0_dV_ge_si = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_ge_si+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_ge_si+d_Dmob0_dV_ge_si*(Dmob0-1.0))))));
d_Dmob0_dV_ge_di = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_ge_di+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_ge_di+d_Dmob0_dV_ge_di*(Dmob0-1.0))))));
d_Dmob0_dV_gi_di = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_gi_di+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_gi_di+d_Dmob0_dV_gi_di*(Dmob0-1.0))))));
d_Dmob0_dV_ge_e = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:0.5*(d_Dmob0_dV_ge_e+(deriv_sqrt_0_d0*(((Dmob0-1.0)*d_Dmob0_dV_ge_e+d_Dmob0_dV_ge_e*(Dmob0-1.0))))));
Dmob0 = ((((Dmob0==0.0)&&(1.0==0.0))&&((model_.DMOBCLAMP)==0.0))?0.0:(0.5*((Dmob0+1.0)+value_sqrt_0)));
}

d_Dmob0_dTemp_t_GND = (d_Dmob0_dTemp_t_GND/U0MULT);
d_Dmob0_dV_gi_si = (d_Dmob0_dV_gi_si/U0MULT);
d_Dmob0_dV_e_di = (d_Dmob0_dV_e_di/U0MULT);
d_Dmob0_dV_e_si = (d_Dmob0_dV_e_si/U0MULT);
d_Dmob0_dV_di_si = (d_Dmob0_dV_di_si/U0MULT);
d_Dmob0_dV_gi_e = (d_Dmob0_dV_gi_e/U0MULT);
d_Dmob0_dV_s_si1 = (d_Dmob0_dV_s_si1/U0MULT);
d_Dmob0_dV_d_di1 = (d_Dmob0_dV_d_di1/U0MULT);
d_Dmob0_dV_gi_si1 = (d_Dmob0_dV_gi_si1/U0MULT);
d_Dmob0_dV_gi_di1 = (d_Dmob0_dV_gi_di1/U0MULT);
d_Dmob0_dV_ge_si = (d_Dmob0_dV_ge_si/U0MULT);
d_Dmob0_dV_ge_di = (d_Dmob0_dV_ge_di/U0MULT);
d_Dmob0_dV_gi_di = (d_Dmob0_dV_gi_di/U0MULT);
d_Dmob0_dV_ge_e = (d_Dmob0_dV_ge_e/U0MULT);
Dmob0 = (Dmob0/U0MULT);
Dvsat0 = (1.0+(0.25*(model_.DVSATCLAMP)));

d_etaiv0_dV_gi_si = (-q0*d_qis_dV_gi_si/(q0+qis)/(q0+qis));
d_etaiv0_dV_e_di = (-q0*d_qis_dV_e_di/(q0+qis)/(q0+qis));
d_etaiv0_dV_e_si = (-q0*d_qis_dV_e_si/(q0+qis)/(q0+qis));
d_etaiv0_dV_di_si = (((q0+qis)*d_q0_dV_di_si-q0*(d_q0_dV_di_si+d_qis_dV_di_si))/(q0+qis)/(q0+qis));
d_etaiv0_dTemp_t_GND = (((q0+qis)*d_q0_dTemp_t_GND-q0*(d_q0_dTemp_t_GND+d_qis_dTemp_t_GND))/(q0+qis)/(q0+qis));
etaiv0 = (q0/(q0+qis));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dV_gi_si = (-d_etaiv0_dV_gi_si)*nVtm;
d_T4_dV_e_di = (-d_etaiv0_dV_e_di)*nVtm;
d_T4_dV_e_si = (-d_etaiv0_dV_e_si)*nVtm;
d_T4_dV_di_si = ((2.0-etaiv0)*d_nVtm_dV_di_si+(-d_etaiv0_dV_di_si)*nVtm);
d_T4_dTemp_t_GND = ((2.0-etaiv0)*d_nVtm_dTemp_t_GND+(-d_etaiv0_dTemp_t_GND)*nVtm);
T4 = ((2.0-etaiv0)*nVtm);

d_ids0_ov_dqi0_dV_gi_e = d_T4_dV_gi_e;
d_ids0_ov_dqi0_dV_gi_si1 = d_T4_dV_gi_si1;
d_ids0_ov_dqi0_dV_gi_di1 = d_T4_dV_gi_di1;
d_ids0_ov_dqi0_dV_ge_si = d_T4_dV_ge_si;
d_ids0_ov_dqi0_dV_ge_di = d_T4_dV_ge_di;
d_ids0_ov_dqi0_dV_gi_di = d_T4_dV_gi_di;
d_ids0_ov_dqi0_dV_ge_e = d_T4_dV_ge_e;
d_ids0_ov_dqi0_dTemp_t_GND = (d_qis_dTemp_t_GND+d_T4_dTemp_t_GND);
d_ids0_ov_dqi0_dV_gi_si = (d_qis_dV_gi_si+d_T4_dV_gi_si);
d_ids0_ov_dqi0_dV_e_di = (d_qis_dV_e_di+d_T4_dV_e_di);
d_ids0_ov_dqi0_dV_e_si = (d_qis_dV_e_si+d_T4_dV_e_si);
d_ids0_ov_dqi0_dV_di_si = (d_qis_dV_di_si+d_T4_dV_di_si);
ids0_ov_dqi0 = (qis+T4);
if ( (model_.RDSMOD) == (0))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qis_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qis_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qis_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qis_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qis_dV_di_si;
T4 = (1.0+(PRWGS_i*qis));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T5_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T5_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T5_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T5_dV_e_si = (-d_T4_dV_e_si/T4/T4);
d_T5_dV_gi_e = (-d_T4_dV_gi_e/T4/T4);
d_T5_dV_gi_si1 = (-d_T4_dV_gi_si1/T4/T4);
d_T5_dV_gi_di1 = (-d_T4_dV_gi_di1/T4/T4);
d_T5_dV_ge_si = (-d_T4_dV_ge_si/T4/T4);
d_T5_dV_ge_di = (-d_T4_dV_ge_di/T4/T4);
d_T5_dV_gi_di = (-d_T4_dV_gi_di/T4/T4);
d_T5_dV_ge_e = (-d_T4_dV_ge_e/T4/T4);
T5 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T5*T5)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T6_dV_si_si1 = d_T6_dV_di1_di =  0.0;
d_T6_dTemp_t_GND = 0.5*(d_T5_dTemp_t_GND+(deriv_sqrt_0_d0*((T5*d_T5_dTemp_t_GND+d_T5_dTemp_t_GND*T5))));
d_T6_dV_gi_si = 0.5*(d_T5_dV_gi_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_si+d_T5_dV_gi_si*T5))));
d_T6_dV_e_di = 0.5*(d_T5_dV_e_di+(deriv_sqrt_0_d0*((T5*d_T5_dV_e_di+d_T5_dV_e_di*T5))));
d_T6_dV_e_si = 0.5*(d_T5_dV_e_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_e_si+d_T5_dV_e_si*T5))));
d_T6_dV_di_si = 0.5*(d_T5_dV_di_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_di_si+d_T5_dV_di_si*T5))));
d_T6_dV_gi_e = 0.5*(d_T5_dV_gi_e+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_e+d_T5_dV_gi_e*T5))));
d_T6_dV_s_si1 = 0.5*(d_T5_dV_s_si1+(deriv_sqrt_0_d0*((T5*d_T5_dV_s_si1+d_T5_dV_s_si1*T5))));
d_T6_dV_d_di1 = 0.5*(d_T5_dV_d_di1+(deriv_sqrt_0_d0*((T5*d_T5_dV_d_di1+d_T5_dV_d_di1*T5))));
d_T6_dV_gi_si1 = 0.5*(d_T5_dV_gi_si1+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_si1+d_T5_dV_gi_si1*T5))));
d_T6_dV_gi_di1 = 0.5*(d_T5_dV_gi_di1+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_di1+d_T5_dV_gi_di1*T5))));
d_T6_dV_ge_si = 0.5*(d_T5_dV_ge_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_ge_si+d_T5_dV_ge_si*T5))));
d_T6_dV_ge_di = 0.5*(d_T5_dV_ge_di+(deriv_sqrt_0_d0*((T5*d_T5_dV_ge_di+d_T5_dV_ge_di*T5))));
d_T6_dV_gi_di = 0.5*(d_T5_dV_gi_di+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_di+d_T5_dV_gi_di*T5))));
d_T6_dV_ge_e = 0.5*(d_T5_dV_ge_e+(deriv_sqrt_0_d0*((T5*d_T5_dV_ge_e+d_T5_dV_ge_e*T5))));
T6 = (0.5*(T5+value_sqrt_0));
}

d_Rdsi0_dV_gi_si = rdstemp*RDSW_i*d_T6_dV_gi_si*WeffWRFactor;
d_Rdsi0_dV_e_di = rdstemp*RDSW_i*d_T6_dV_e_di*WeffWRFactor;
d_Rdsi0_dV_e_si = rdstemp*RDSW_i*d_T6_dV_e_si*WeffWRFactor;
d_Rdsi0_dV_di_si = rdstemp*RDSW_i*d_T6_dV_di_si*WeffWRFactor;
d_Rdsi0_dV_gi_e = rdstemp*RDSW_i*d_T6_dV_gi_e*WeffWRFactor;
d_Rdsi0_dV_s_si1 = rdstemp*RDSW_i*d_T6_dV_s_si1*WeffWRFactor;
d_Rdsi0_dV_d_di1 = rdstemp*RDSW_i*d_T6_dV_d_di1*WeffWRFactor;
d_Rdsi0_dV_gi_si1 = rdstemp*RDSW_i*d_T6_dV_gi_si1*WeffWRFactor;
d_Rdsi0_dV_gi_di1 = rdstemp*RDSW_i*d_T6_dV_gi_di1*WeffWRFactor;
d_Rdsi0_dV_ge_si = rdstemp*RDSW_i*d_T6_dV_ge_si*WeffWRFactor;
d_Rdsi0_dV_ge_di = rdstemp*RDSW_i*d_T6_dV_ge_di*WeffWRFactor;
d_Rdsi0_dV_gi_di = rdstemp*RDSW_i*d_T6_dV_gi_di*WeffWRFactor;
d_Rdsi0_dV_ge_e = rdstemp*RDSW_i*d_T6_dV_ge_e*WeffWRFactor;
d_Rdsi0_dTemp_t_GND = (rdstemp*RDSW_i*d_T6_dTemp_t_GND+d_rdstemp_dTemp_t_GND*((model_.RDSWMIN)+(RDSW_i*T6)))*WeffWRFactor;
Rdsi0 = ((rdstemp*((model_.RDSWMIN)+(RDSW_i*T6)))*WeffWRFactor);

d_Dr0_dV_s_si1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_s_si1+(-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_s_si1*Dvsat0/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_d_di1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_d_di1+(-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_d_di1*Dvsat0/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_e = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_e+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_e-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_e*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_si1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_si1+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_si1-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_si1*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_di1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_di1+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_di1-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_di1*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_ge_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_ge_si+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_ge_si-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_ge_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_ge_di = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_ge_di+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_ge_di-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_ge_di*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_di = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_di+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_di-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_di*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_ge_e = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_ge_e+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_ge_e-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_ge_e*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_si+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_si-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_e_di = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_e_di+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_e_di-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_e_di*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_e_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_e_si+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_e_si-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_e_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_di_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_di_si+(((Dmob0*Dvsat0)*((NFINtotal*beta)*d_ids0_ov_dqi0_dV_di_si+NFINtotal*d_beta_dV_di_si*ids0_ov_dqi0)-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_di_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dTemp_t_GND = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dTemp_t_GND+(((Dmob0*Dvsat0)*((NFINtotal*beta)*d_ids0_ov_dqi0_dTemp_t_GND+NFINtotal*d_beta_dTemp_t_GND*ids0_ov_dqi0)-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dTemp_t_GND*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
Dr0 = (1.0+((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*Rdsi0));
}
else
if ( (model_.RDSMOD) == (1))
{

d_Dr0_dTemp_t_GND = d_Dr0_dV_di_si = d_Dr0_dV_e_si = d_Dr0_dV_e_di = d_Dr0_dV_gi_si = d_Dr0_dV_ge_e = d_Dr0_dV_gi_di = d_Dr0_dV_ge_di = d_Dr0_dV_ge_si = d_Dr0_dV_gi_di1 = d_Dr0_dV_gi_si1 = d_Dr0_dV_gi_e = d_Dr0_dV_d_di1 = d_Dr0_dV_s_si1 =  0.0;
Dr0 = 1.0;
}
else
if ( (model_.RDSMOD) == (2))
{

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = PRWGS_i*d_qis_dTemp_t_GND;
d_T4_dV_gi_si = PRWGS_i*d_qis_dV_gi_si;
d_T4_dV_e_di = PRWGS_i*d_qis_dV_e_di;
d_T4_dV_e_si = PRWGS_i*d_qis_dV_e_si;
d_T4_dV_di_si = PRWGS_i*d_qis_dV_di_si;
T4 = (1.0+(PRWGS_i*qis));

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_d_di1 = d_T5_dV_s_si1 =  0.0;
d_T5_dTemp_t_GND = (-d_T4_dTemp_t_GND/T4/T4);
d_T5_dV_di_si = (-d_T4_dV_di_si/T4/T4);
d_T5_dV_gi_si = (-d_T4_dV_gi_si/T4/T4);
d_T5_dV_e_di = (-d_T4_dV_e_di/T4/T4);
d_T5_dV_e_si = (-d_T4_dV_e_si/T4/T4);
d_T5_dV_gi_e = (-d_T4_dV_gi_e/T4/T4);
d_T5_dV_gi_si1 = (-d_T4_dV_gi_si1/T4/T4);
d_T5_dV_gi_di1 = (-d_T4_dV_gi_di1/T4/T4);
d_T5_dV_ge_si = (-d_T4_dV_ge_si/T4/T4);
d_T5_dV_ge_di = (-d_T4_dV_ge_di/T4/T4);
d_T5_dV_gi_di = (-d_T4_dV_gi_di/T4/T4);
d_T5_dV_ge_e = (-d_T4_dV_ge_e/T4/T4);
T5 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T5*T5)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T6_dV_si_si1 = d_T6_dV_di1_di =  0.0;
d_T6_dTemp_t_GND = 0.5*(d_T5_dTemp_t_GND+(deriv_sqrt_0_d0*((T5*d_T5_dTemp_t_GND+d_T5_dTemp_t_GND*T5))));
d_T6_dV_gi_si = 0.5*(d_T5_dV_gi_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_si+d_T5_dV_gi_si*T5))));
d_T6_dV_e_di = 0.5*(d_T5_dV_e_di+(deriv_sqrt_0_d0*((T5*d_T5_dV_e_di+d_T5_dV_e_di*T5))));
d_T6_dV_e_si = 0.5*(d_T5_dV_e_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_e_si+d_T5_dV_e_si*T5))));
d_T6_dV_di_si = 0.5*(d_T5_dV_di_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_di_si+d_T5_dV_di_si*T5))));
d_T6_dV_gi_e = 0.5*(d_T5_dV_gi_e+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_e+d_T5_dV_gi_e*T5))));
d_T6_dV_s_si1 = 0.5*(d_T5_dV_s_si1+(deriv_sqrt_0_d0*((T5*d_T5_dV_s_si1+d_T5_dV_s_si1*T5))));
d_T6_dV_d_di1 = 0.5*(d_T5_dV_d_di1+(deriv_sqrt_0_d0*((T5*d_T5_dV_d_di1+d_T5_dV_d_di1*T5))));
d_T6_dV_gi_si1 = 0.5*(d_T5_dV_gi_si1+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_si1+d_T5_dV_gi_si1*T5))));
d_T6_dV_gi_di1 = 0.5*(d_T5_dV_gi_di1+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_di1+d_T5_dV_gi_di1*T5))));
d_T6_dV_ge_si = 0.5*(d_T5_dV_ge_si+(deriv_sqrt_0_d0*((T5*d_T5_dV_ge_si+d_T5_dV_ge_si*T5))));
d_T6_dV_ge_di = 0.5*(d_T5_dV_ge_di+(deriv_sqrt_0_d0*((T5*d_T5_dV_ge_di+d_T5_dV_ge_di*T5))));
d_T6_dV_gi_di = 0.5*(d_T5_dV_gi_di+(deriv_sqrt_0_d0*((T5*d_T5_dV_gi_di+d_T5_dV_gi_di*T5))));
d_T6_dV_ge_e = 0.5*(d_T5_dV_ge_e+(deriv_sqrt_0_d0*((T5*d_T5_dV_ge_e+d_T5_dV_ge_e*T5))));
T6 = (0.5*(T5+value_sqrt_0));
}

d_Rdsi0_dTemp_t_GND = RDSW_i*d_T6_dTemp_t_GND*WeffWRFactor;
d_Rdsi0_dV_gi_si = RDSW_i*d_T6_dV_gi_si*WeffWRFactor;
d_Rdsi0_dV_e_di = RDSW_i*d_T6_dV_e_di*WeffWRFactor;
d_Rdsi0_dV_e_si = RDSW_i*d_T6_dV_e_si*WeffWRFactor;
d_Rdsi0_dV_di_si = RDSW_i*d_T6_dV_di_si*WeffWRFactor;
d_Rdsi0_dV_gi_e = RDSW_i*d_T6_dV_gi_e*WeffWRFactor;
d_Rdsi0_dV_s_si1 = RDSW_i*d_T6_dV_s_si1*WeffWRFactor;
d_Rdsi0_dV_d_di1 = RDSW_i*d_T6_dV_d_di1*WeffWRFactor;
d_Rdsi0_dV_gi_si1 = RDSW_i*d_T6_dV_gi_si1*WeffWRFactor;
d_Rdsi0_dV_gi_di1 = RDSW_i*d_T6_dV_gi_di1*WeffWRFactor;
d_Rdsi0_dV_ge_si = RDSW_i*d_T6_dV_ge_si*WeffWRFactor;
d_Rdsi0_dV_ge_di = RDSW_i*d_T6_dV_ge_di*WeffWRFactor;
d_Rdsi0_dV_gi_di = RDSW_i*d_T6_dV_gi_di*WeffWRFactor;
d_Rdsi0_dV_ge_e = RDSW_i*d_T6_dV_ge_e*WeffWRFactor;
Rdsi0 = (((model_.RDSWMIN)+(RDSW_i*T6))*WeffWRFactor);

d_Rdsi0_dV_gi_si = rdstemp*d_Rdsi0_dV_gi_si;
d_Rdsi0_dV_e_di = rdstemp*d_Rdsi0_dV_e_di;
d_Rdsi0_dV_e_si = rdstemp*d_Rdsi0_dV_e_si;
d_Rdsi0_dV_di_si = rdstemp*d_Rdsi0_dV_di_si;
d_Rdsi0_dV_gi_e = rdstemp*d_Rdsi0_dV_gi_e;
d_Rdsi0_dV_s_si1 = rdstemp*d_Rdsi0_dV_s_si1;
d_Rdsi0_dV_d_di1 = rdstemp*d_Rdsi0_dV_d_di1;
d_Rdsi0_dV_gi_si1 = rdstemp*d_Rdsi0_dV_gi_si1;
d_Rdsi0_dV_gi_di1 = rdstemp*d_Rdsi0_dV_gi_di1;
d_Rdsi0_dV_ge_si = rdstemp*d_Rdsi0_dV_ge_si;
d_Rdsi0_dV_ge_di = rdstemp*d_Rdsi0_dV_ge_di;
d_Rdsi0_dV_gi_di = rdstemp*d_Rdsi0_dV_gi_di;
d_Rdsi0_dV_ge_e = rdstemp*d_Rdsi0_dV_ge_e;
d_Rdsi0_dTemp_t_GND = (rdstemp*d_Rdsi0_dTemp_t_GND+d_rdstemp_dTemp_t_GND*((RSourceGeo+RDrainGeo)+Rdsi0));
Rdsi0 = (rdstemp*((RSourceGeo+RDrainGeo)+Rdsi0));

d_Dr0_dV_s_si1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_s_si1+(-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_s_si1*Dvsat0/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_d_di1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_d_di1+(-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_d_di1*Dvsat0/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_e = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_e+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_e-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_e*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_si1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_si1+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_si1-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_si1*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_di1 = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_di1+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_di1-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_di1*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_ge_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_ge_si+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_ge_si-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_ge_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_ge_di = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_ge_di+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_ge_di-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_ge_di*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_di = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_di+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_di-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_di*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_ge_e = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_ge_e+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_ge_e-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_ge_e*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_gi_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_gi_si+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_gi_si-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_gi_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_e_di = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_e_di+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_e_di-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_e_di*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_e_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_e_si+(((Dmob0*Dvsat0)*(NFINtotal*beta)*d_ids0_ov_dqi0_dV_e_si-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_e_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dV_di_si = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dV_di_si+(((Dmob0*Dvsat0)*((NFINtotal*beta)*d_ids0_ov_dqi0_dV_di_si+NFINtotal*d_beta_dV_di_si*ids0_ov_dqi0)-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dV_di_si*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
d_Dr0_dTemp_t_GND = ((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dTemp_t_GND+(((Dmob0*Dvsat0)*((NFINtotal*beta)*d_ids0_ov_dqi0_dTemp_t_GND+NFINtotal*d_beta_dTemp_t_GND*ids0_ov_dqi0)-((NFINtotal*beta)*ids0_ov_dqi0)*d_Dmob0_dTemp_t_GND*Dvsat0)/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
Dr0 = (1.0+((((NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*Rdsi0));
}
else
{
 // no default
}

d_noiGd0_dV_s_si1 = ((((Dmob0*Dvsat0)*Dr0)*(((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_s_si1-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_s_si1+d_Dmob0_dV_s_si1*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_d_di1 = ((((Dmob0*Dvsat0)*Dr0)*(((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_d_di1-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_d_di1+d_Dmob0_dV_d_di1*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_gi_e = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_gi_e+((NFINtotal*beta)*qis)*d_Mnud0_dV_gi_e*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_gi_e+d_Dmob0_dV_gi_e*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_gi_si1 = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_gi_si1+((NFINtotal*beta)*qis)*d_Mnud0_dV_gi_si1*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_gi_si1+d_Dmob0_dV_gi_si1*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_gi_di1 = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_gi_di1+((NFINtotal*beta)*qis)*d_Mnud0_dV_gi_di1*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_gi_di1+d_Dmob0_dV_gi_di1*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_ge_si = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_ge_si+((NFINtotal*beta)*qis)*d_Mnud0_dV_ge_si*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_ge_si+d_Dmob0_dV_ge_si*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_ge_di = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_ge_di+((NFINtotal*beta)*qis)*d_Mnud0_dV_ge_di*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_ge_di+d_Dmob0_dV_ge_di*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_gi_di = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_gi_di+((NFINtotal*beta)*qis)*d_Mnud0_dV_gi_di*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_gi_di+d_Dmob0_dV_gi_di*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_ge_e = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_ge_e+((NFINtotal*beta)*qis)*d_Mnud0_dV_ge_e*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_ge_e+d_Dmob0_dV_ge_e*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_gi_si = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_gi_si+(((NFINtotal*beta)*qis)*d_Mnud0_dV_gi_si+(NFINtotal*beta)*d_qis_dV_gi_si*Mnud0)*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_gi_si+d_Dmob0_dV_gi_si*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_e_di = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_e_di+(((NFINtotal*beta)*qis)*d_Mnud0_dV_e_di+(NFINtotal*beta)*d_qis_dV_e_di*Mnud0)*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_e_di+d_Dmob0_dV_e_di*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_e_si = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_e_si+(((NFINtotal*beta)*qis)*d_Mnud0_dV_e_si+(NFINtotal*beta)*d_qis_dV_e_si*Mnud0)*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_e_si+d_Dmob0_dV_e_si*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dV_di_si = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dV_di_si+(((NFINtotal*beta)*qis)*d_Mnud0_dV_di_si+((NFINtotal*beta)*d_qis_dV_di_si+NFINtotal*d_beta_dV_di_si*qis)*Mnud0)*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dV_di_si+d_Dmob0_dV_di_si*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
d_noiGd0_dTemp_t_GND = ((((Dmob0*Dvsat0)*Dr0)*((((NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dTemp_t_GND+(((NFINtotal*beta)*qis)*d_Mnud0_dTemp_t_GND+((NFINtotal*beta)*d_qis_dTemp_t_GND+NFINtotal*d_beta_dTemp_t_GND*qis)*Mnud0)*Mob0)-((((NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*d_Dr0_dTemp_t_GND+d_Dmob0_dTemp_t_GND*Dvsat0*Dr0))/((Dmob0*Dvsat0)*Dr0)/((Dmob0*Dvsat0)*Dr0));
noiGd0 = (((((NFINtotal*beta)*qis)*Mnud0)*Mob0)/((Dmob0*Dvsat0)*Dr0));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e =  0.0;
d_T4_dTemp_t_GND = d_noiEta_dTemp_t_GND;
d_T4_dV_gi_si = d_noiEta_dV_gi_si;
d_T4_dV_e_di = d_noiEta_dV_e_di;
d_T4_dV_e_si = d_noiEta_dV_e_si;
d_T4_dV_di_si = d_noiEta_dV_di_si;
T4 = (1.0+noiEta);

d_T5_dV_si_si1 = d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e =  0.0;
d_T5_dTemp_t_GND = (-d_noiEta_dTemp_t_GND);
d_T5_dV_gi_si = (-d_noiEta_dV_gi_si);
d_T5_dV_e_di = (-d_noiEta_dV_e_di);
d_T5_dV_e_si = (-d_noiEta_dV_e_si);
d_T5_dV_di_si = (-d_noiEta_dV_di_si);
T5 = (1.0-noiEta);

d_T6_dV_si_si1 = d_T6_dV_di1_di = d_T6_dV_ge_e = d_T6_dV_gi_di = d_T6_dV_ge_di = d_T6_dV_ge_si = d_T6_dV_gi_di1 = d_T6_dV_gi_si1 = d_T6_dV_d_di1 = d_T6_dV_s_si1 = d_T6_dV_gi_e =  0.0;
d_T6_dV_gi_si = ((qis*2.0*d_noiWI_dV_gi_si-(2.0*noiWI)*d_qis_dV_gi_si)/qis/qis)*nVtm;
d_T6_dV_e_di = ((qis*2.0*d_noiWI_dV_e_di-(2.0*noiWI)*d_qis_dV_e_di)/qis/qis)*nVtm;
d_T6_dV_e_si = ((qis*2.0*d_noiWI_dV_e_si-(2.0*noiWI)*d_qis_dV_e_si)/qis/qis)*nVtm;
d_T6_dV_di_si = (((2.0*noiWI)/qis)*d_nVtm_dV_di_si+((qis*2.0*d_noiWI_dV_di_si-(2.0*noiWI)*d_qis_dV_di_si)/qis/qis)*nVtm);
d_T6_dTemp_t_GND = (((2.0*noiWI)/qis)*d_nVtm_dTemp_t_GND+((qis*2.0*d_noiWI_dTemp_t_GND-(2.0*noiWI)*d_qis_dTemp_t_GND)/qis/qis)*nVtm);
T6 = (((2.0*noiWI)/qis)*nVtm);

d_T7_dV_s_si1 = d_T6_dV_s_si1;
d_T7_dV_d_di1 = d_T6_dV_d_di1;
d_T7_dTemp_t_GND = (d_T4_dTemp_t_GND+d_T6_dTemp_t_GND);
d_T7_dV_di_si = (d_T4_dV_di_si+d_T6_dV_di_si);
d_T7_dV_gi_si = (d_T4_dV_gi_si+d_T6_dV_gi_si);
d_T7_dV_e_di = (d_T4_dV_e_di+d_T6_dV_e_di);
d_T7_dV_e_si = (d_T4_dV_e_si+d_T6_dV_e_si);
d_T7_dV_gi_e = (d_T4_dV_gi_e+d_T6_dV_gi_e);
d_T7_dV_gi_si1 = (d_T4_dV_gi_si1+d_T6_dV_gi_si1);
d_T7_dV_gi_di1 = (d_T4_dV_gi_di1+d_T6_dV_gi_di1);
d_T7_dV_ge_si = (d_T4_dV_ge_si+d_T6_dV_ge_si);
d_T7_dV_ge_di = (d_T4_dV_ge_di+d_T6_dV_ge_di);
d_T7_dV_gi_di = (d_T4_dV_gi_di+d_T6_dV_gi_di);
d_T7_dV_ge_e = (d_T4_dV_ge_e+d_T6_dV_ge_e);
T7 = (T4+T6);

d_T5_2_dTemp_t_GND = (T5*d_T5_dTemp_t_GND+d_T5_dTemp_t_GND*T5);
d_T5_2_dV_gi_si = (T5*d_T5_dV_gi_si+d_T5_dV_gi_si*T5);
d_T5_2_dV_e_di = (T5*d_T5_dV_e_di+d_T5_dV_e_di*T5);
d_T5_2_dV_e_si = (T5*d_T5_dV_e_si+d_T5_dV_e_si*T5);
d_T5_2_dV_di_si = (T5*d_T5_dV_di_si+d_T5_dV_di_si*T5);
d_T5_2_dV_gi_e = (T5*d_T5_dV_gi_e+d_T5_dV_gi_e*T5);
d_T5_2_dV_s_si1 = (T5*d_T5_dV_s_si1+d_T5_dV_s_si1*T5);
d_T5_2_dV_d_di1 = (T5*d_T5_dV_d_di1+d_T5_dV_d_di1*T5);
d_T5_2_dV_gi_si1 = (T5*d_T5_dV_gi_si1+d_T5_dV_gi_si1*T5);
d_T5_2_dV_gi_di1 = (T5*d_T5_dV_gi_di1+d_T5_dV_gi_di1*T5);
d_T5_2_dV_ge_si = (T5*d_T5_dV_ge_si+d_T5_dV_ge_si*T5);
d_T5_2_dV_ge_di = (T5*d_T5_dV_ge_di+d_T5_dV_ge_di*T5);
d_T5_2_dV_gi_di = (T5*d_T5_dV_gi_di+d_T5_dV_gi_di*T5);
d_T5_2_dV_ge_e = (T5*d_T5_dV_ge_e+d_T5_dV_ge_e*T5);
T5_2 = (T5*T5);

d_T5_3_dTemp_t_GND = (T5_2*d_T5_dTemp_t_GND+d_T5_2_dTemp_t_GND*T5);
d_T5_3_dV_gi_si = (T5_2*d_T5_dV_gi_si+d_T5_2_dV_gi_si*T5);
d_T5_3_dV_e_di = (T5_2*d_T5_dV_e_di+d_T5_2_dV_e_di*T5);
d_T5_3_dV_e_si = (T5_2*d_T5_dV_e_si+d_T5_2_dV_e_si*T5);
d_T5_3_dV_di_si = (T5_2*d_T5_dV_di_si+d_T5_2_dV_di_si*T5);
d_T5_3_dV_gi_e = (T5_2*d_T5_dV_gi_e+d_T5_2_dV_gi_e*T5);
d_T5_3_dV_s_si1 = (T5_2*d_T5_dV_s_si1+d_T5_2_dV_s_si1*T5);
d_T5_3_dV_d_di1 = (T5_2*d_T5_dV_d_di1+d_T5_2_dV_d_di1*T5);
d_T5_3_dV_gi_si1 = (T5_2*d_T5_dV_gi_si1+d_T5_2_dV_gi_si1*T5);
d_T5_3_dV_gi_di1 = (T5_2*d_T5_dV_gi_di1+d_T5_2_dV_gi_di1*T5);
d_T5_3_dV_ge_si = (T5_2*d_T5_dV_ge_si+d_T5_2_dV_ge_si*T5);
d_T5_3_dV_ge_di = (T5_2*d_T5_dV_ge_di+d_T5_2_dV_ge_di*T5);
d_T5_3_dV_gi_di = (T5_2*d_T5_dV_gi_di+d_T5_2_dV_gi_di*T5);
d_T5_3_dV_ge_e = (T5_2*d_T5_dV_ge_e+d_T5_2_dV_ge_e*T5);
T5_3 = (T5_2*T5);

d_T5_4_dTemp_t_GND = (T5_3*d_T5_dTemp_t_GND+d_T5_3_dTemp_t_GND*T5);
d_T5_4_dV_gi_si = (T5_3*d_T5_dV_gi_si+d_T5_3_dV_gi_si*T5);
d_T5_4_dV_e_di = (T5_3*d_T5_dV_e_di+d_T5_3_dV_e_di*T5);
d_T5_4_dV_e_si = (T5_3*d_T5_dV_e_si+d_T5_3_dV_e_si*T5);
d_T5_4_dV_di_si = (T5_3*d_T5_dV_di_si+d_T5_3_dV_di_si*T5);
d_T5_4_dV_gi_e = (T5_3*d_T5_dV_gi_e+d_T5_3_dV_gi_e*T5);
d_T5_4_dV_s_si1 = (T5_3*d_T5_dV_s_si1+d_T5_3_dV_s_si1*T5);
d_T5_4_dV_d_di1 = (T5_3*d_T5_dV_d_di1+d_T5_3_dV_d_di1*T5);
d_T5_4_dV_gi_si1 = (T5_3*d_T5_dV_gi_si1+d_T5_3_dV_gi_si1*T5);
d_T5_4_dV_gi_di1 = (T5_3*d_T5_dV_gi_di1+d_T5_3_dV_gi_di1*T5);
d_T5_4_dV_ge_si = (T5_3*d_T5_dV_ge_si+d_T5_3_dV_ge_si*T5);
d_T5_4_dV_ge_di = (T5_3*d_T5_dV_ge_di+d_T5_3_dV_ge_di*T5);
d_T5_4_dV_gi_di = (T5_3*d_T5_dV_gi_di+d_T5_3_dV_gi_di*T5);
d_T5_4_dV_ge_e = (T5_3*d_T5_dV_ge_e+d_T5_3_dV_ge_e*T5);
T5_4 = (T5_3*T5);

d_T7_2_dTemp_t_GND = (T7*d_T7_dTemp_t_GND+d_T7_dTemp_t_GND*T7);
d_T7_2_dV_gi_si = (T7*d_T7_dV_gi_si+d_T7_dV_gi_si*T7);
d_T7_2_dV_e_di = (T7*d_T7_dV_e_di+d_T7_dV_e_di*T7);
d_T7_2_dV_e_si = (T7*d_T7_dV_e_si+d_T7_dV_e_si*T7);
d_T7_2_dV_di_si = (T7*d_T7_dV_di_si+d_T7_dV_di_si*T7);
d_T7_2_dV_gi_e = (T7*d_T7_dV_gi_e+d_T7_dV_gi_e*T7);
d_T7_2_dV_s_si1 = (T7*d_T7_dV_s_si1+d_T7_dV_s_si1*T7);
d_T7_2_dV_d_di1 = (T7*d_T7_dV_d_di1+d_T7_dV_d_di1*T7);
d_T7_2_dV_gi_si1 = (T7*d_T7_dV_gi_si1+d_T7_dV_gi_si1*T7);
d_T7_2_dV_gi_di1 = (T7*d_T7_dV_gi_di1+d_T7_dV_gi_di1*T7);
d_T7_2_dV_ge_si = (T7*d_T7_dV_ge_si+d_T7_dV_ge_si*T7);
d_T7_2_dV_ge_di = (T7*d_T7_dV_ge_di+d_T7_dV_ge_di*T7);
d_T7_2_dV_gi_di = (T7*d_T7_dV_gi_di+d_T7_dV_gi_di*T7);
d_T7_2_dV_ge_e = (T7*d_T7_dV_ge_e+d_T7_dV_ge_e*T7);
T7_2 = (T7*T7);

d_T7_3_dTemp_t_GND = (T7_2*d_T7_dTemp_t_GND+d_T7_2_dTemp_t_GND*T7);
d_T7_3_dV_gi_si = (T7_2*d_T7_dV_gi_si+d_T7_2_dV_gi_si*T7);
d_T7_3_dV_e_di = (T7_2*d_T7_dV_e_di+d_T7_2_dV_e_di*T7);
d_T7_3_dV_e_si = (T7_2*d_T7_dV_e_si+d_T7_2_dV_e_si*T7);
d_T7_3_dV_di_si = (T7_2*d_T7_dV_di_si+d_T7_2_dV_di_si*T7);
d_T7_3_dV_gi_e = (T7_2*d_T7_dV_gi_e+d_T7_2_dV_gi_e*T7);
d_T7_3_dV_s_si1 = (T7_2*d_T7_dV_s_si1+d_T7_2_dV_s_si1*T7);
d_T7_3_dV_d_di1 = (T7_2*d_T7_dV_d_di1+d_T7_2_dV_d_di1*T7);
d_T7_3_dV_gi_si1 = (T7_2*d_T7_dV_gi_si1+d_T7_2_dV_gi_si1*T7);
d_T7_3_dV_gi_di1 = (T7_2*d_T7_dV_gi_di1+d_T7_2_dV_gi_di1*T7);
d_T7_3_dV_ge_si = (T7_2*d_T7_dV_ge_si+d_T7_2_dV_ge_si*T7);
d_T7_3_dV_ge_di = (T7_2*d_T7_dV_ge_di+d_T7_2_dV_ge_di*T7);
d_T7_3_dV_gi_di = (T7_2*d_T7_dV_gi_di+d_T7_2_dV_gi_di*T7);
d_T7_3_dV_ge_e = (T7_2*d_T7_dV_ge_e+d_T7_2_dV_ge_e*T7);
T7_3 = (T7_2*T7);

d_T7_4_dTemp_t_GND = (T7_3*d_T7_dTemp_t_GND+d_T7_3_dTemp_t_GND*T7);
d_T7_4_dV_gi_si = (T7_3*d_T7_dV_gi_si+d_T7_3_dV_gi_si*T7);
d_T7_4_dV_e_di = (T7_3*d_T7_dV_e_di+d_T7_3_dV_e_di*T7);
d_T7_4_dV_e_si = (T7_3*d_T7_dV_e_si+d_T7_3_dV_e_si*T7);
d_T7_4_dV_di_si = (T7_3*d_T7_dV_di_si+d_T7_3_dV_di_si*T7);
d_T7_4_dV_gi_e = (T7_3*d_T7_dV_gi_e+d_T7_3_dV_gi_e*T7);
d_T7_4_dV_s_si1 = (T7_3*d_T7_dV_s_si1+d_T7_3_dV_s_si1*T7);
d_T7_4_dV_d_di1 = (T7_3*d_T7_dV_d_di1+d_T7_3_dV_d_di1*T7);
d_T7_4_dV_gi_si1 = (T7_3*d_T7_dV_gi_si1+d_T7_3_dV_gi_si1*T7);
d_T7_4_dV_gi_di1 = (T7_3*d_T7_dV_gi_di1+d_T7_3_dV_gi_di1*T7);
d_T7_4_dV_ge_si = (T7_3*d_T7_dV_ge_si+d_T7_3_dV_ge_si*T7);
d_T7_4_dV_ge_di = (T7_3*d_T7_dV_ge_di+d_T7_3_dV_ge_di*T7);
d_T7_4_dV_gi_di = (T7_3*d_T7_dV_gi_di+d_T7_3_dV_gi_di*T7);
d_T7_4_dV_ge_e = (T7_3*d_T7_dV_ge_e+d_T7_3_dV_ge_e*T7);
T7_4 = (T7_3*T7);

d_T7_5_dTemp_t_GND = (T7_4*d_T7_dTemp_t_GND+d_T7_4_dTemp_t_GND*T7);
d_T7_5_dV_gi_si = (T7_4*d_T7_dV_gi_si+d_T7_4_dV_gi_si*T7);
d_T7_5_dV_e_di = (T7_4*d_T7_dV_e_di+d_T7_4_dV_e_di*T7);
d_T7_5_dV_e_si = (T7_4*d_T7_dV_e_si+d_T7_4_dV_e_si*T7);
d_T7_5_dV_di_si = (T7_4*d_T7_dV_di_si+d_T7_4_dV_di_si*T7);
d_T7_5_dV_gi_e = (T7_4*d_T7_dV_gi_e+d_T7_4_dV_gi_e*T7);
d_T7_5_dV_s_si1 = (T7_4*d_T7_dV_s_si1+d_T7_4_dV_s_si1*T7);
d_T7_5_dV_d_di1 = (T7_4*d_T7_dV_d_di1+d_T7_4_dV_d_di1*T7);
d_T7_5_dV_gi_si1 = (T7_4*d_T7_dV_gi_si1+d_T7_4_dV_gi_si1*T7);
d_T7_5_dV_gi_di1 = (T7_4*d_T7_dV_gi_di1+d_T7_4_dV_gi_di1*T7);
d_T7_5_dV_ge_si = (T7_4*d_T7_dV_ge_si+d_T7_4_dV_ge_si*T7);
d_T7_5_dV_ge_di = (T7_4*d_T7_dV_ge_di+d_T7_4_dV_ge_di*T7);
d_T7_5_dV_gi_di = (T7_4*d_T7_dV_gi_di+d_T7_4_dV_gi_di*T7);
d_T7_5_dV_ge_e = (T7_4*d_T7_dV_ge_e+d_T7_4_dV_ge_e*T7);
T7_5 = (T7_4*T7);

d_gamma1_dTemp_t_GND = 0.5*d_T4_dTemp_t_GND;
d_gamma1_dV_di_si = 0.5*d_T4_dV_di_si;
d_gamma1_dV_gi_si = 0.5*d_T4_dV_gi_si;
d_gamma1_dV_e_di = 0.5*d_T4_dV_e_di;
d_gamma1_dV_e_si = 0.5*d_T4_dV_e_si;
d_gamma1_dV_gi_e = 0.5*d_T4_dV_gi_e;
d_gamma1_dV_gi_si1 = 0.5*d_T4_dV_gi_si1;
d_gamma1_dV_gi_di1 = 0.5*d_T4_dV_gi_di1;
d_gamma1_dV_ge_si = 0.5*d_T4_dV_ge_si;
d_gamma1_dV_ge_di = 0.5*d_T4_dV_ge_di;
d_gamma1_dV_gi_di = 0.5*d_T4_dV_gi_di;
d_gamma1_dV_ge_e = 0.5*d_T4_dV_ge_e;
gamma1 = (0.5*T4);

d_gamma2_dTemp_t_GND = (((6.0*T7)*d_T5_2_dTemp_t_GND-T5_2*6.0*d_T7_dTemp_t_GND)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_gi_si = (((6.0*T7)*d_T5_2_dV_gi_si-T5_2*6.0*d_T7_dV_gi_si)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_e_di = (((6.0*T7)*d_T5_2_dV_e_di-T5_2*6.0*d_T7_dV_e_di)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_e_si = (((6.0*T7)*d_T5_2_dV_e_si-T5_2*6.0*d_T7_dV_e_si)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_di_si = (((6.0*T7)*d_T5_2_dV_di_si-T5_2*6.0*d_T7_dV_di_si)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_gi_e = (((6.0*T7)*d_T5_2_dV_gi_e-T5_2*6.0*d_T7_dV_gi_e)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_s_si1 = (((6.0*T7)*d_T5_2_dV_s_si1-T5_2*6.0*d_T7_dV_s_si1)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_d_di1 = (((6.0*T7)*d_T5_2_dV_d_di1-T5_2*6.0*d_T7_dV_d_di1)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_gi_si1 = (((6.0*T7)*d_T5_2_dV_gi_si1-T5_2*6.0*d_T7_dV_gi_si1)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_gi_di1 = (((6.0*T7)*d_T5_2_dV_gi_di1-T5_2*6.0*d_T7_dV_gi_di1)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_ge_si = (((6.0*T7)*d_T5_2_dV_ge_si-T5_2*6.0*d_T7_dV_ge_si)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_ge_di = (((6.0*T7)*d_T5_2_dV_ge_di-T5_2*6.0*d_T7_dV_ge_di)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_gi_di = (((6.0*T7)*d_T5_2_dV_gi_di-T5_2*6.0*d_T7_dV_gi_di)/(6.0*T7)/(6.0*T7));
d_gamma2_dV_ge_e = (((6.0*T7)*d_T5_2_dV_ge_e-T5_2*6.0*d_T7_dV_ge_e)/(6.0*T7)/(6.0*T7));
gamma2 = (T5_2/(6.0*T7));

d_gamma_dV_s_si1 = (Moc/Dvsat)*d_gamma2_dV_s_si1;
d_gamma_dV_d_di1 = (Moc/Dvsat)*d_gamma2_dV_d_di1;
d_gamma_dV_gi_si1 = (Moc/Dvsat)*(d_gamma1_dV_gi_si1+d_gamma2_dV_gi_si1);
d_gamma_dV_gi_di1 = (Moc/Dvsat)*(d_gamma1_dV_gi_di1+d_gamma2_dV_gi_di1);
d_gamma_dV_ge_si = (Moc/Dvsat)*(d_gamma1_dV_ge_si+d_gamma2_dV_ge_si);
d_gamma_dV_ge_di = (Moc/Dvsat)*(d_gamma1_dV_ge_di+d_gamma2_dV_ge_di);
d_gamma_dV_gi_di = (Moc/Dvsat)*(d_gamma1_dV_gi_di+d_gamma2_dV_gi_di);
d_gamma_dV_ge_e = (Moc/Dvsat)*(d_gamma1_dV_ge_e+d_gamma2_dV_ge_e);
d_gamma_dV_gi_e = ((Moc/Dvsat)*(d_gamma1_dV_gi_e+d_gamma2_dV_gi_e)+((Dvsat*d_Moc_dV_gi_e-Moc*d_Dvsat_dV_gi_e)/Dvsat/Dvsat)*(gamma1+gamma2));
d_gamma_dTemp_t_GND = ((Moc/Dvsat)*(d_gamma1_dTemp_t_GND+d_gamma2_dTemp_t_GND)+((Dvsat*d_Moc_dTemp_t_GND-Moc*d_Dvsat_dTemp_t_GND)/Dvsat/Dvsat)*(gamma1+gamma2));
d_gamma_dV_gi_si = ((Moc/Dvsat)*(d_gamma1_dV_gi_si+d_gamma2_dV_gi_si)+((Dvsat*d_Moc_dV_gi_si-Moc*d_Dvsat_dV_gi_si)/Dvsat/Dvsat)*(gamma1+gamma2));
d_gamma_dV_e_di = ((Moc/Dvsat)*(d_gamma1_dV_e_di+d_gamma2_dV_e_di)+((Dvsat*d_Moc_dV_e_di-Moc*d_Dvsat_dV_e_di)/Dvsat/Dvsat)*(gamma1+gamma2));
d_gamma_dV_e_si = ((Moc/Dvsat)*(d_gamma1_dV_e_si+d_gamma2_dV_e_si)+((Dvsat*d_Moc_dV_e_si-Moc*d_Dvsat_dV_e_si)/Dvsat/Dvsat)*(gamma1+gamma2));
d_gamma_dV_di_si = ((Moc/Dvsat)*(d_gamma1_dV_di_si+d_gamma2_dV_di_si)+((Dvsat*d_Moc_dV_di_si-Moc*d_Dvsat_dV_di_si)/Dvsat/Dvsat)*(gamma1+gamma2));
gamma = ((Moc/Dvsat)*(gamma1+gamma2));

d_delta1_dV_s_si1 = (-T4*d_T7_2_dV_s_si1/T7_2/T7_2);
d_delta1_dV_d_di1 = (-T4*d_T7_2_dV_d_di1/T7_2/T7_2);
d_delta1_dTemp_t_GND = ((T7_2*d_T4_dTemp_t_GND-T4*d_T7_2_dTemp_t_GND)/T7_2/T7_2);
d_delta1_dV_di_si = ((T7_2*d_T4_dV_di_si-T4*d_T7_2_dV_di_si)/T7_2/T7_2);
d_delta1_dV_gi_si = ((T7_2*d_T4_dV_gi_si-T4*d_T7_2_dV_gi_si)/T7_2/T7_2);
d_delta1_dV_e_di = ((T7_2*d_T4_dV_e_di-T4*d_T7_2_dV_e_di)/T7_2/T7_2);
d_delta1_dV_e_si = ((T7_2*d_T4_dV_e_si-T4*d_T7_2_dV_e_si)/T7_2/T7_2);
d_delta1_dV_gi_e = ((T7_2*d_T4_dV_gi_e-T4*d_T7_2_dV_gi_e)/T7_2/T7_2);
d_delta1_dV_gi_si1 = ((T7_2*d_T4_dV_gi_si1-T4*d_T7_2_dV_gi_si1)/T7_2/T7_2);
d_delta1_dV_gi_di1 = ((T7_2*d_T4_dV_gi_di1-T4*d_T7_2_dV_gi_di1)/T7_2/T7_2);
d_delta1_dV_ge_si = ((T7_2*d_T4_dV_ge_si-T4*d_T7_2_dV_ge_si)/T7_2/T7_2);
d_delta1_dV_ge_di = ((T7_2*d_T4_dV_ge_di-T4*d_T7_2_dV_ge_di)/T7_2/T7_2);
d_delta1_dV_gi_di = ((T7_2*d_T4_dV_gi_di-T4*d_T7_2_dV_gi_di)/T7_2/T7_2);
d_delta1_dV_ge_e = ((T7_2*d_T4_dV_ge_e-T4*d_T7_2_dV_ge_e)/T7_2/T7_2);
delta1 = (T4/T7_2);

d_delta2_dV_s_si1 = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_s_si1+d_T6_dV_s_si1*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_s_si1)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_d_di1 = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_d_di1+d_T6_dV_d_di1*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_d_di1)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dTemp_t_GND = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dTemp_t_GND+(6.0*d_T4_dTemp_t_GND+d_T6_dTemp_t_GND)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dTemp_t_GND)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_di_si = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_di_si+(6.0*d_T4_dV_di_si+d_T6_dV_di_si)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_di_si)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_gi_si = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_gi_si+(6.0*d_T4_dV_gi_si+d_T6_dV_gi_si)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_gi_si)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_e_di = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_e_di+(6.0*d_T4_dV_e_di+d_T6_dV_e_di)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_e_di)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_e_si = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_e_si+(6.0*d_T4_dV_e_si+d_T6_dV_e_si)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_e_si)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_gi_e = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_gi_e+(6.0*d_T4_dV_gi_e+d_T6_dV_gi_e)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_gi_e)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_gi_si1 = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_gi_si1+(6.0*d_T4_dV_gi_si1+d_T6_dV_gi_si1)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_gi_si1)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_gi_di1 = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_gi_di1+(6.0*d_T4_dV_gi_di1+d_T6_dV_gi_di1)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_gi_di1)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_ge_si = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_ge_si+(6.0*d_T4_dV_ge_si+d_T6_dV_ge_si)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_ge_si)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_ge_di = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_ge_di+(6.0*d_T4_dV_ge_di+d_T6_dV_ge_di)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_ge_di)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_gi_di = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_gi_di+(6.0*d_T4_dV_gi_di+d_T6_dV_gi_di)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_gi_di)/(15.0*T7_4)/(15.0*T7_4));
d_delta2_dV_ge_e = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dV_ge_e+(6.0*d_T4_dV_ge_e+d_T6_dV_ge_e)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dV_ge_e)/(15.0*T7_4)/(15.0*T7_4));
delta2 = ((((6.0*T4)+T6)*T5_2)/(15.0*T7_4));

d_delta3_dTemp_t_GND = (((9.0*T7_5)*d_T5_4_dTemp_t_GND-T5_4*9.0*d_T7_5_dTemp_t_GND)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_gi_si = (((9.0*T7_5)*d_T5_4_dV_gi_si-T5_4*9.0*d_T7_5_dV_gi_si)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_e_di = (((9.0*T7_5)*d_T5_4_dV_e_di-T5_4*9.0*d_T7_5_dV_e_di)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_e_si = (((9.0*T7_5)*d_T5_4_dV_e_si-T5_4*9.0*d_T7_5_dV_e_si)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_di_si = (((9.0*T7_5)*d_T5_4_dV_di_si-T5_4*9.0*d_T7_5_dV_di_si)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_gi_e = (((9.0*T7_5)*d_T5_4_dV_gi_e-T5_4*9.0*d_T7_5_dV_gi_e)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_s_si1 = (((9.0*T7_5)*d_T5_4_dV_s_si1-T5_4*9.0*d_T7_5_dV_s_si1)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_d_di1 = (((9.0*T7_5)*d_T5_4_dV_d_di1-T5_4*9.0*d_T7_5_dV_d_di1)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_gi_si1 = (((9.0*T7_5)*d_T5_4_dV_gi_si1-T5_4*9.0*d_T7_5_dV_gi_si1)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_gi_di1 = (((9.0*T7_5)*d_T5_4_dV_gi_di1-T5_4*9.0*d_T7_5_dV_gi_di1)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_ge_si = (((9.0*T7_5)*d_T5_4_dV_ge_si-T5_4*9.0*d_T7_5_dV_ge_si)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_ge_di = (((9.0*T7_5)*d_T5_4_dV_ge_di-T5_4*9.0*d_T7_5_dV_ge_di)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_gi_di = (((9.0*T7_5)*d_T5_4_dV_gi_di-T5_4*9.0*d_T7_5_dV_gi_di)/(9.0*T7_5)/(9.0*T7_5));
d_delta3_dV_ge_e = (((9.0*T7_5)*d_T5_4_dV_ge_e-T5_4*9.0*d_T7_5_dV_ge_e)/(9.0*T7_5)/(9.0*T7_5));
delta3 = (T5_4/(9.0*T7_5));

d_delta_dV_s_si1 = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_s_si1-d_delta2_dV_s_si1)+d_delta3_dV_s_si1);
d_delta_dV_d_di1 = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_d_di1-d_delta2_dV_d_di1)+d_delta3_dV_d_di1);
d_delta_dV_gi_si1 = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_gi_si1-d_delta2_dV_gi_si1)+d_delta3_dV_gi_si1);
d_delta_dV_gi_di1 = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_gi_di1-d_delta2_dV_gi_di1)+d_delta3_dV_gi_di1);
d_delta_dV_ge_si = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_ge_si-d_delta2_dV_ge_si)+d_delta3_dV_ge_si);
d_delta_dV_ge_di = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_ge_di-d_delta2_dV_ge_di)+d_delta3_dV_ge_di);
d_delta_dV_gi_di = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_gi_di-d_delta2_dV_gi_di)+d_delta3_dV_gi_di);
d_delta_dV_ge_e = ((Moc/6.0)*Dvsat3)*((d_delta1_dV_ge_e-d_delta2_dV_ge_e)+d_delta3_dV_ge_e);
d_delta_dV_gi_e = (((Moc/6.0)*Dvsat3)*((d_delta1_dV_gi_e-d_delta2_dV_gi_e)+d_delta3_dV_gi_e)+((Moc/6.0)*d_Dvsat3_dV_gi_e+(d_Moc_dV_gi_e/6.0)*Dvsat3)*((delta1-delta2)+delta3));
d_delta_dTemp_t_GND = (((Moc/6.0)*Dvsat3)*((d_delta1_dTemp_t_GND-d_delta2_dTemp_t_GND)+d_delta3_dTemp_t_GND)+((Moc/6.0)*d_Dvsat3_dTemp_t_GND+(d_Moc_dTemp_t_GND/6.0)*Dvsat3)*((delta1-delta2)+delta3));
d_delta_dV_gi_si = (((Moc/6.0)*Dvsat3)*((d_delta1_dV_gi_si-d_delta2_dV_gi_si)+d_delta3_dV_gi_si)+((Moc/6.0)*d_Dvsat3_dV_gi_si+(d_Moc_dV_gi_si/6.0)*Dvsat3)*((delta1-delta2)+delta3));
d_delta_dV_e_di = (((Moc/6.0)*Dvsat3)*((d_delta1_dV_e_di-d_delta2_dV_e_di)+d_delta3_dV_e_di)+((Moc/6.0)*d_Dvsat3_dV_e_di+(d_Moc_dV_e_di/6.0)*Dvsat3)*((delta1-delta2)+delta3));
d_delta_dV_e_si = (((Moc/6.0)*Dvsat3)*((d_delta1_dV_e_si-d_delta2_dV_e_si)+d_delta3_dV_e_si)+((Moc/6.0)*d_Dvsat3_dV_e_si+(d_Moc_dV_e_si/6.0)*Dvsat3)*((delta1-delta2)+delta3));
d_delta_dV_di_si = (((Moc/6.0)*Dvsat3)*((d_delta1_dV_di_si-d_delta2_dV_di_si)+d_delta3_dV_di_si)+((Moc/6.0)*d_Dvsat3_dV_di_si+(d_Moc_dV_di_si/6.0)*Dvsat3)*((delta1-delta2)+delta3));
delta = (((Moc/6.0)*Dvsat3)*((delta1-delta2)+delta3));

d_epsilon1_dTemp_t_GND = ((T7*d_T5_dTemp_t_GND-T5*d_T7_dTemp_t_GND)/T7/T7);
d_epsilon1_dV_gi_si = ((T7*d_T5_dV_gi_si-T5*d_T7_dV_gi_si)/T7/T7);
d_epsilon1_dV_e_di = ((T7*d_T5_dV_e_di-T5*d_T7_dV_e_di)/T7/T7);
d_epsilon1_dV_e_si = ((T7*d_T5_dV_e_si-T5*d_T7_dV_e_si)/T7/T7);
d_epsilon1_dV_di_si = ((T7*d_T5_dV_di_si-T5*d_T7_dV_di_si)/T7/T7);
d_epsilon1_dV_gi_e = ((T7*d_T5_dV_gi_e-T5*d_T7_dV_gi_e)/T7/T7);
d_epsilon1_dV_s_si1 = ((T7*d_T5_dV_s_si1-T5*d_T7_dV_s_si1)/T7/T7);
d_epsilon1_dV_d_di1 = ((T7*d_T5_dV_d_di1-T5*d_T7_dV_d_di1)/T7/T7);
d_epsilon1_dV_gi_si1 = ((T7*d_T5_dV_gi_si1-T5*d_T7_dV_gi_si1)/T7/T7);
d_epsilon1_dV_gi_di1 = ((T7*d_T5_dV_gi_di1-T5*d_T7_dV_gi_di1)/T7/T7);
d_epsilon1_dV_ge_si = ((T7*d_T5_dV_ge_si-T5*d_T7_dV_ge_si)/T7/T7);
d_epsilon1_dV_ge_di = ((T7*d_T5_dV_ge_di-T5*d_T7_dV_ge_di)/T7/T7);
d_epsilon1_dV_gi_di = ((T7*d_T5_dV_gi_di-T5*d_T7_dV_gi_di)/T7/T7);
d_epsilon1_dV_ge_e = ((T7*d_T5_dV_ge_e-T5*d_T7_dV_ge_e)/T7/T7);
epsilon1 = (T5/T7);

d_epsilon2_dTemp_t_GND = (((3.0*T7_3)*d_T5_3_dTemp_t_GND-T5_3*3.0*d_T7_3_dTemp_t_GND)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_gi_si = (((3.0*T7_3)*d_T5_3_dV_gi_si-T5_3*3.0*d_T7_3_dV_gi_si)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_e_di = (((3.0*T7_3)*d_T5_3_dV_e_di-T5_3*3.0*d_T7_3_dV_e_di)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_e_si = (((3.0*T7_3)*d_T5_3_dV_e_si-T5_3*3.0*d_T7_3_dV_e_si)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_di_si = (((3.0*T7_3)*d_T5_3_dV_di_si-T5_3*3.0*d_T7_3_dV_di_si)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_gi_e = (((3.0*T7_3)*d_T5_3_dV_gi_e-T5_3*3.0*d_T7_3_dV_gi_e)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_s_si1 = (((3.0*T7_3)*d_T5_3_dV_s_si1-T5_3*3.0*d_T7_3_dV_s_si1)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_d_di1 = (((3.0*T7_3)*d_T5_3_dV_d_di1-T5_3*3.0*d_T7_3_dV_d_di1)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_gi_si1 = (((3.0*T7_3)*d_T5_3_dV_gi_si1-T5_3*3.0*d_T7_3_dV_gi_si1)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_gi_di1 = (((3.0*T7_3)*d_T5_3_dV_gi_di1-T5_3*3.0*d_T7_3_dV_gi_di1)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_ge_si = (((3.0*T7_3)*d_T5_3_dV_ge_si-T5_3*3.0*d_T7_3_dV_ge_si)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_ge_di = (((3.0*T7_3)*d_T5_3_dV_ge_di-T5_3*3.0*d_T7_3_dV_ge_di)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_gi_di = (((3.0*T7_3)*d_T5_3_dV_gi_di-T5_3*3.0*d_T7_3_dV_gi_di)/(3.0*T7_3)/(3.0*T7_3));
d_epsilon2_dV_ge_e = (((3.0*T7_3)*d_T5_3_dV_ge_e-T5_3*3.0*d_T7_3_dV_ge_e)/(3.0*T7_3)/(3.0*T7_3));
epsilon2 = (T5_3/(3.0*T7_3));

d_epsilon_dV_s_si1 = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_s_si1-d_epsilon2_dV_s_si1);
d_epsilon_dV_d_di1 = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_d_di1-d_epsilon2_dV_d_di1);
d_epsilon_dV_gi_si1 = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_gi_si1-d_epsilon2_dV_gi_si1);
d_epsilon_dV_gi_di1 = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_gi_di1-d_epsilon2_dV_gi_di1);
d_epsilon_dV_ge_si = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_ge_si-d_epsilon2_dV_ge_si);
d_epsilon_dV_ge_di = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_ge_di-d_epsilon2_dV_ge_di);
d_epsilon_dV_gi_di = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_gi_di-d_epsilon2_dV_gi_di);
d_epsilon_dV_ge_e = ((Moc/6.0)*Dvsat)*(d_epsilon1_dV_ge_e-d_epsilon2_dV_ge_e);
d_epsilon_dV_gi_e = (((Moc/6.0)*Dvsat)*(d_epsilon1_dV_gi_e-d_epsilon2_dV_gi_e)+((Moc/6.0)*d_Dvsat_dV_gi_e+(d_Moc_dV_gi_e/6.0)*Dvsat)*(epsilon1-epsilon2));
d_epsilon_dTemp_t_GND = (((Moc/6.0)*Dvsat)*(d_epsilon1_dTemp_t_GND-d_epsilon2_dTemp_t_GND)+((Moc/6.0)*d_Dvsat_dTemp_t_GND+(d_Moc_dTemp_t_GND/6.0)*Dvsat)*(epsilon1-epsilon2));
d_epsilon_dV_gi_si = (((Moc/6.0)*Dvsat)*(d_epsilon1_dV_gi_si-d_epsilon2_dV_gi_si)+((Moc/6.0)*d_Dvsat_dV_gi_si+(d_Moc_dV_gi_si/6.0)*Dvsat)*(epsilon1-epsilon2));
d_epsilon_dV_e_di = (((Moc/6.0)*Dvsat)*(d_epsilon1_dV_e_di-d_epsilon2_dV_e_di)+((Moc/6.0)*d_Dvsat_dV_e_di+(d_Moc_dV_e_di/6.0)*Dvsat)*(epsilon1-epsilon2));
d_epsilon_dV_e_si = (((Moc/6.0)*Dvsat)*(d_epsilon1_dV_e_si-d_epsilon2_dV_e_si)+((Moc/6.0)*d_Dvsat_dV_e_si+(d_Moc_dV_e_si/6.0)*Dvsat)*(epsilon1-epsilon2));
d_epsilon_dV_di_si = (((Moc/6.0)*Dvsat)*(d_epsilon1_dV_di_si-d_epsilon2_dV_di_si)+((Moc/6.0)*d_Dvsat_dV_di_si+(d_Moc_dV_di_si/6.0)*Dvsat)*(epsilon1-epsilon2));
epsilon = (((Moc/6.0)*Dvsat)*(epsilon1-epsilon2));
{
double value_sqrt_0 = sqrt((gamma*delta));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_ctnoi_dTemp_t_GND = ((value_sqrt_0*(T3*d_epsilon_dTemp_t_GND+d_T3_dTemp_t_GND*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dTemp_t_GND+d_gamma_dTemp_t_GND*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_gi_si = ((value_sqrt_0*(T3*d_epsilon_dV_gi_si+d_T3_dV_gi_si*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_gi_si+d_gamma_dV_gi_si*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_e_di = ((value_sqrt_0*(T3*d_epsilon_dV_e_di+d_T3_dV_e_di*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_e_di+d_gamma_dV_e_di*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_e_si = ((value_sqrt_0*(T3*d_epsilon_dV_e_si+d_T3_dV_e_si*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_e_si+d_gamma_dV_e_si*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_di_si = ((value_sqrt_0*(T3*d_epsilon_dV_di_si+d_T3_dV_di_si*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_di_si+d_gamma_dV_di_si*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_gi_e = ((value_sqrt_0*(T3*d_epsilon_dV_gi_e+d_T3_dV_gi_e*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_gi_e+d_gamma_dV_gi_e*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_gi_si1 = ((value_sqrt_0*(T3*d_epsilon_dV_gi_si1+d_T3_dV_gi_si1*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_gi_si1+d_gamma_dV_gi_si1*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_gi_di1 = ((value_sqrt_0*(T3*d_epsilon_dV_gi_di1+d_T3_dV_gi_di1*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_gi_di1+d_gamma_dV_gi_di1*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_ge_si = ((value_sqrt_0*(T3*d_epsilon_dV_ge_si+d_T3_dV_ge_si*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_ge_si+d_gamma_dV_ge_si*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_ge_di = ((value_sqrt_0*(T3*d_epsilon_dV_ge_di+d_T3_dV_ge_di*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_ge_di+d_gamma_dV_ge_di*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_gi_di = ((value_sqrt_0*(T3*d_epsilon_dV_gi_di+d_T3_dV_gi_di*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_gi_di+d_gamma_dV_gi_di*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_ge_e = ((value_sqrt_0*(T3*d_epsilon_dV_ge_e+d_T3_dV_ge_e*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_ge_e+d_gamma_dV_ge_e*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_s_si1 = ((value_sqrt_0*(T3*d_epsilon_dV_s_si1+d_T3_dV_s_si1*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_s_si1+d_gamma_dV_s_si1*delta))))/value_sqrt_0/value_sqrt_0);
d_ctnoi_dV_d_di1 = ((value_sqrt_0*(T3*d_epsilon_dV_d_di1+d_T3_dV_d_di1*epsilon)-(T3*epsilon)*(deriv_sqrt_0_d0*((gamma*d_delta_dV_d_di1+d_gamma_dV_d_di1*delta))))/value_sqrt_0/value_sqrt_0);
ctnoi = ((T3*epsilon)/value_sqrt_0);
}
if ((ctnoi>1.0))
{

d_ctnoi_dV_d_di1 = d_ctnoi_dV_s_si1 = d_ctnoi_dV_ge_e = d_ctnoi_dV_gi_di = d_ctnoi_dV_ge_di = d_ctnoi_dV_ge_si = d_ctnoi_dV_gi_di1 = d_ctnoi_dV_gi_si1 = d_ctnoi_dV_gi_e = d_ctnoi_dV_di_si = d_ctnoi_dV_e_si = d_ctnoi_dV_e_di = d_ctnoi_dV_gi_si = d_ctnoi_dTemp_t_GND =  0.0;
ctnoi = 1.0;
}
else
{
if ((ctnoi<0.0))
{

d_ctnoi_dV_d_di1 = d_ctnoi_dV_s_si1 = d_ctnoi_dV_ge_e = d_ctnoi_dV_gi_di = d_ctnoi_dV_ge_di = d_ctnoi_dV_ge_si = d_ctnoi_dV_gi_di1 = d_ctnoi_dV_gi_si1 = d_ctnoi_dV_gi_e = d_ctnoi_dV_di_si = d_ctnoi_dV_e_si = d_ctnoi_dV_e_di = d_ctnoi_dV_gi_si = d_ctnoi_dTemp_t_GND =  0.0;
ctnoi = 0.0;
}
}

d_T8_dV_d_di1 = d_T8_dV_s_si1 =  0.0;
d_T8_dTemp_t_GND = (((noiLowId*noiLowId)/((model_.TNOIK2)+qia))*((Vdsat*d_Vdseff_dTemp_t_GND-Vdseff*d_Vdsat_dTemp_t_GND)/Vdsat/Vdsat)+((((model_.TNOIK2)+qia)*(noiLowId*d_noiLowId_dTemp_t_GND+d_noiLowId_dTemp_t_GND*noiLowId)-(noiLowId*noiLowId)*d_qia_dTemp_t_GND)/((model_.TNOIK2)+qia)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat));
d_T8_dV_di_si = (((noiLowId*noiLowId)/((model_.TNOIK2)+qia))*((Vdsat*d_Vdseff_dV_di_si-Vdseff*d_Vdsat_dV_di_si)/Vdsat/Vdsat)+((((model_.TNOIK2)+qia)*(noiLowId*d_noiLowId_dV_di_si+d_noiLowId_dV_di_si*noiLowId)-(noiLowId*noiLowId)*d_qia_dV_di_si)/((model_.TNOIK2)+qia)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat));
d_T8_dV_gi_si = (((noiLowId*noiLowId)/((model_.TNOIK2)+qia))*((Vdsat*d_Vdseff_dV_gi_si-Vdseff*d_Vdsat_dV_gi_si)/Vdsat/Vdsat)+((((model_.TNOIK2)+qia)*(noiLowId*d_noiLowId_dV_gi_si+d_noiLowId_dV_gi_si*noiLowId)-(noiLowId*noiLowId)*d_qia_dV_gi_si)/((model_.TNOIK2)+qia)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat));
d_T8_dV_e_di = (((noiLowId*noiLowId)/((model_.TNOIK2)+qia))*((Vdsat*d_Vdseff_dV_e_di-Vdseff*d_Vdsat_dV_e_di)/Vdsat/Vdsat)+((((model_.TNOIK2)+qia)*(noiLowId*d_noiLowId_dV_e_di+d_noiLowId_dV_e_di*noiLowId)-(noiLowId*noiLowId)*d_qia_dV_e_di)/((model_.TNOIK2)+qia)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat));
d_T8_dV_e_si = (((noiLowId*noiLowId)/((model_.TNOIK2)+qia))*((Vdsat*d_Vdseff_dV_e_si-Vdseff*d_Vdsat_dV_e_si)/Vdsat/Vdsat)+((((model_.TNOIK2)+qia)*(noiLowId*d_noiLowId_dV_e_si+d_noiLowId_dV_e_si*noiLowId)-(noiLowId*noiLowId)*d_qia_dV_e_si)/((model_.TNOIK2)+qia)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat));
d_T8_dV_gi_e = ((noiLowId*d_noiLowId_dV_gi_e+d_noiLowId_dV_gi_e*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
d_T8_dV_gi_si1 = ((noiLowId*d_noiLowId_dV_gi_si1+d_noiLowId_dV_gi_si1*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
d_T8_dV_gi_di1 = ((noiLowId*d_noiLowId_dV_gi_di1+d_noiLowId_dV_gi_di1*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
d_T8_dV_ge_si = ((noiLowId*d_noiLowId_dV_ge_si+d_noiLowId_dV_ge_si*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
d_T8_dV_ge_di = ((noiLowId*d_noiLowId_dV_ge_di+d_noiLowId_dV_ge_di*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
d_T8_dV_gi_di = ((noiLowId*d_noiLowId_dV_gi_di+d_noiLowId_dV_gi_di*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
d_T8_dV_ge_e = ((noiLowId*d_noiLowId_dV_ge_e+d_noiLowId_dV_ge_e*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat);
T8 = (1.0+(((noiLowId*noiLowId)/((model_.TNOIK2)+qia))*(Vdseff/Vdsat)));

d_gamma_dV_s_si1 = (Moc/Dvsat)*(d_T8_dV_s_si1*gamma1+(T1*d_gamma2_dV_s_si1+d_T1_dV_s_si1*gamma2));
d_gamma_dV_d_di1 = (Moc/Dvsat)*(d_T8_dV_d_di1*gamma1+(T1*d_gamma2_dV_d_di1+d_T1_dV_d_di1*gamma2));
d_gamma_dV_gi_si1 = (Moc/Dvsat)*((T8*d_gamma1_dV_gi_si1+d_T8_dV_gi_si1*gamma1)+(T1*d_gamma2_dV_gi_si1+d_T1_dV_gi_si1*gamma2));
d_gamma_dV_gi_di1 = (Moc/Dvsat)*((T8*d_gamma1_dV_gi_di1+d_T8_dV_gi_di1*gamma1)+(T1*d_gamma2_dV_gi_di1+d_T1_dV_gi_di1*gamma2));
d_gamma_dV_ge_si = (Moc/Dvsat)*((T8*d_gamma1_dV_ge_si+d_T8_dV_ge_si*gamma1)+(T1*d_gamma2_dV_ge_si+d_T1_dV_ge_si*gamma2));
d_gamma_dV_ge_di = (Moc/Dvsat)*((T8*d_gamma1_dV_ge_di+d_T8_dV_ge_di*gamma1)+(T1*d_gamma2_dV_ge_di+d_T1_dV_ge_di*gamma2));
d_gamma_dV_gi_di = (Moc/Dvsat)*((T8*d_gamma1_dV_gi_di+d_T8_dV_gi_di*gamma1)+(T1*d_gamma2_dV_gi_di+d_T1_dV_gi_di*gamma2));
d_gamma_dV_ge_e = (Moc/Dvsat)*((T8*d_gamma1_dV_ge_e+d_T8_dV_ge_e*gamma1)+(T1*d_gamma2_dV_ge_e+d_T1_dV_ge_e*gamma2));
d_gamma_dV_gi_e = ((Moc/Dvsat)*((T8*d_gamma1_dV_gi_e+d_T8_dV_gi_e*gamma1)+(T1*d_gamma2_dV_gi_e+d_T1_dV_gi_e*gamma2))+((Dvsat*d_Moc_dV_gi_e-Moc*d_Dvsat_dV_gi_e)/Dvsat/Dvsat)*((T8*gamma1)+(T1*gamma2)));
d_gamma_dTemp_t_GND = ((Moc/Dvsat)*((T8*d_gamma1_dTemp_t_GND+d_T8_dTemp_t_GND*gamma1)+(T1*d_gamma2_dTemp_t_GND+d_T1_dTemp_t_GND*gamma2))+((Dvsat*d_Moc_dTemp_t_GND-Moc*d_Dvsat_dTemp_t_GND)/Dvsat/Dvsat)*((T8*gamma1)+(T1*gamma2)));
d_gamma_dV_gi_si = ((Moc/Dvsat)*((T8*d_gamma1_dV_gi_si+d_T8_dV_gi_si*gamma1)+(T1*d_gamma2_dV_gi_si+d_T1_dV_gi_si*gamma2))+((Dvsat*d_Moc_dV_gi_si-Moc*d_Dvsat_dV_gi_si)/Dvsat/Dvsat)*((T8*gamma1)+(T1*gamma2)));
d_gamma_dV_e_di = ((Moc/Dvsat)*((T8*d_gamma1_dV_e_di+d_T8_dV_e_di*gamma1)+(T1*d_gamma2_dV_e_di+d_T1_dV_e_di*gamma2))+((Dvsat*d_Moc_dV_e_di-Moc*d_Dvsat_dV_e_di)/Dvsat/Dvsat)*((T8*gamma1)+(T1*gamma2)));
d_gamma_dV_e_si = ((Moc/Dvsat)*((T8*d_gamma1_dV_e_si+d_T8_dV_e_si*gamma1)+(T1*d_gamma2_dV_e_si+d_T1_dV_e_si*gamma2))+((Dvsat*d_Moc_dV_e_si-Moc*d_Dvsat_dV_e_si)/Dvsat/Dvsat)*((T8*gamma1)+(T1*gamma2)));
d_gamma_dV_di_si = ((Moc/Dvsat)*((T8*d_gamma1_dV_di_si+d_T8_dV_di_si*gamma1)+(T1*d_gamma2_dV_di_si+d_T1_dV_di_si*gamma2))+((Dvsat*d_Moc_dV_di_si-Moc*d_Dvsat_dV_di_si)/Dvsat/Dvsat)*((T8*gamma1)+(T1*gamma2)));
gamma = ((Moc/Dvsat)*((T8*gamma1)+(T1*gamma2)));
sid = ((((4.0*Vtm)*1.60219e-19)*gamma)*noiGd0);

d_delta_dV_s_si1 = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_s_si1-d_delta2_dV_s_si1)+d_delta3_dV_s_si1)+((Moc/6.0)*Dvsat3)*d_T2_dV_s_si1*((delta1-delta2)+delta3));
d_delta_dV_d_di1 = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_d_di1-d_delta2_dV_d_di1)+d_delta3_dV_d_di1)+((Moc/6.0)*Dvsat3)*d_T2_dV_d_di1*((delta1-delta2)+delta3));
d_delta_dV_gi_si1 = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_gi_si1-d_delta2_dV_gi_si1)+d_delta3_dV_gi_si1)+((Moc/6.0)*Dvsat3)*d_T2_dV_gi_si1*((delta1-delta2)+delta3));
d_delta_dV_gi_di1 = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_gi_di1-d_delta2_dV_gi_di1)+d_delta3_dV_gi_di1)+((Moc/6.0)*Dvsat3)*d_T2_dV_gi_di1*((delta1-delta2)+delta3));
d_delta_dV_ge_si = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_ge_si-d_delta2_dV_ge_si)+d_delta3_dV_ge_si)+((Moc/6.0)*Dvsat3)*d_T2_dV_ge_si*((delta1-delta2)+delta3));
d_delta_dV_ge_di = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_ge_di-d_delta2_dV_ge_di)+d_delta3_dV_ge_di)+((Moc/6.0)*Dvsat3)*d_T2_dV_ge_di*((delta1-delta2)+delta3));
d_delta_dV_gi_di = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_gi_di-d_delta2_dV_gi_di)+d_delta3_dV_gi_di)+((Moc/6.0)*Dvsat3)*d_T2_dV_gi_di*((delta1-delta2)+delta3));
d_delta_dV_ge_e = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_ge_e-d_delta2_dV_ge_e)+d_delta3_dV_ge_e)+((Moc/6.0)*Dvsat3)*d_T2_dV_ge_e*((delta1-delta2)+delta3));
d_delta_dV_gi_e = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_gi_e-d_delta2_dV_gi_e)+d_delta3_dV_gi_e)+(((Moc/6.0)*Dvsat3)*d_T2_dV_gi_e+((Moc/6.0)*d_Dvsat3_dV_gi_e+(d_Moc_dV_gi_e/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
d_delta_dTemp_t_GND = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dTemp_t_GND-d_delta2_dTemp_t_GND)+d_delta3_dTemp_t_GND)+(((Moc/6.0)*Dvsat3)*d_T2_dTemp_t_GND+((Moc/6.0)*d_Dvsat3_dTemp_t_GND+(d_Moc_dTemp_t_GND/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
d_delta_dV_gi_si = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_gi_si-d_delta2_dV_gi_si)+d_delta3_dV_gi_si)+(((Moc/6.0)*Dvsat3)*d_T2_dV_gi_si+((Moc/6.0)*d_Dvsat3_dV_gi_si+(d_Moc_dV_gi_si/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
d_delta_dV_e_di = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_e_di-d_delta2_dV_e_di)+d_delta3_dV_e_di)+(((Moc/6.0)*Dvsat3)*d_T2_dV_e_di+((Moc/6.0)*d_Dvsat3_dV_e_di+(d_Moc_dV_e_di/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
d_delta_dV_e_si = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_e_si-d_delta2_dV_e_si)+d_delta3_dV_e_si)+(((Moc/6.0)*Dvsat3)*d_T2_dV_e_si+((Moc/6.0)*d_Dvsat3_dV_e_si+(d_Moc_dV_e_si/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
d_delta_dV_di_si = ((((Moc/6.0)*Dvsat3)*T2)*((d_delta1_dV_di_si-d_delta2_dV_di_si)+d_delta3_dV_di_si)+(((Moc/6.0)*Dvsat3)*d_T2_dV_di_si+((Moc/6.0)*d_Dvsat3_dV_di_si+(d_Moc_dV_di_si/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
delta = ((((Moc/6.0)*Dvsat3)*T2)*((delta1-delta2)+delta3));
{
double value_sqrt_0 = sqrt((delta/gamma));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_sigrat_dV_s_si1 = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_s_si1-delta*d_gamma_dV_s_si1)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_s_si1)/noiGd0/noiGd0);
d_sigrat_dV_d_di1 = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_d_di1-delta*d_gamma_dV_d_di1)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_d_di1)/noiGd0/noiGd0);
d_sigrat_dV_gi_si1 = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_gi_si1-delta*d_gamma_dV_gi_si1)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_gi_si1)/noiGd0/noiGd0);
d_sigrat_dV_gi_di1 = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_gi_di1-delta*d_gamma_dV_gi_di1)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_gi_di1)/noiGd0/noiGd0);
d_sigrat_dV_ge_si = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_ge_si-delta*d_gamma_dV_ge_si)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_ge_si)/noiGd0/noiGd0);
d_sigrat_dV_ge_di = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_ge_di-delta*d_gamma_dV_ge_di)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_ge_di)/noiGd0/noiGd0);
d_sigrat_dV_gi_di = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_gi_di-delta*d_gamma_dV_gi_di)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_gi_di)/noiGd0/noiGd0);
d_sigrat_dV_ge_e = ((noiGd0*(deriv_sqrt_0_d0*(((gamma*d_delta_dV_ge_e-delta*d_gamma_dV_ge_e)/gamma/gamma)))*NFINtotal*coxeff*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_ge_e)/noiGd0/noiGd0);
d_sigrat_dV_gi_e = ((noiGd0*((value_sqrt_0*NFINtotal)*d_coxeff_dV_gi_e+(deriv_sqrt_0_d0*(((gamma*d_delta_dV_gi_e-delta*d_gamma_dV_gi_e)/gamma/gamma)))*NFINtotal*coxeff)*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_gi_e)/noiGd0/noiGd0);
d_sigrat_dTemp_t_GND = ((noiGd0*((value_sqrt_0*NFINtotal)*d_coxeff_dTemp_t_GND+(deriv_sqrt_0_d0*(((gamma*d_delta_dTemp_t_GND-delta*d_gamma_dTemp_t_GND)/gamma/gamma)))*NFINtotal*coxeff)*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dTemp_t_GND)/noiGd0/noiGd0);
d_sigrat_dV_gi_si = ((noiGd0*((value_sqrt_0*NFINtotal)*d_coxeff_dV_gi_si+(deriv_sqrt_0_d0*(((gamma*d_delta_dV_gi_si-delta*d_gamma_dV_gi_si)/gamma/gamma)))*NFINtotal*coxeff)*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_gi_si)/noiGd0/noiGd0);
d_sigrat_dV_e_di = ((noiGd0*((value_sqrt_0*NFINtotal)*d_coxeff_dV_e_di+(deriv_sqrt_0_d0*(((gamma*d_delta_dV_e_di-delta*d_gamma_dV_e_di)/gamma/gamma)))*NFINtotal*coxeff)*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_e_di)/noiGd0/noiGd0);
d_sigrat_dV_e_si = ((noiGd0*((value_sqrt_0*NFINtotal)*d_coxeff_dV_e_si+(deriv_sqrt_0_d0*(((gamma*d_delta_dV_e_si-delta*d_gamma_dV_e_si)/gamma/gamma)))*NFINtotal*coxeff)*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_e_si)/noiGd0/noiGd0);
d_sigrat_dV_di_si = ((noiGd0*((value_sqrt_0*NFINtotal)*d_coxeff_dV_di_si+(deriv_sqrt_0_d0*(((gamma*d_delta_dV_di_si-delta*d_gamma_dV_di_si)/gamma/gamma)))*NFINtotal*coxeff)*WeffCV0*LeffCV-((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)*d_noiGd0_dV_di_si)/noiGd0/noiGd0);
sigrat = (((((value_sqrt_0*NFINtotal)*coxeff)*WeffCV0)*LeffCV)/noiGd0);
}
}
else
{
 // no default
}
if ((sigvds>0.0))
{
// I(di,si) <+ (((m*devsign)*ids))
staticContributions[admsNodeID_di] += ((m*devsign)*ids);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_ids_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_ids_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_ids_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_ids_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_ids_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_ids_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_ids_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_ids_dTemp_t_GND;
staticContributions[admsNodeID_si] -= ((m*devsign)*ids);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_ids_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_ids_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_ids_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_ids_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_ids_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*d_ids_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_ids_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_ids_dTemp_t_GND;
}
else
{
// I(si,di) <+ (((m*devsign)*ids))
staticContributions[admsNodeID_si] += ((m*devsign)*ids);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_ids_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_ids_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_ids_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_ids_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_ids_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_ids_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_ids_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_ids_dTemp_t_GND;
staticContributions[admsNodeID_di] -= ((m*devsign)*ids);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*d_ids_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*d_ids_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*d_ids_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*d_ids_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*d_ids_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*d_ids_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*d_ids_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*d_ids_dTemp_t_GND;
}
if (((model_.NQSMOD)==2))
{
// I(gi,si) <+ ((((m*devsign)*gtau)*(-V(q,GND))))
staticContributions[admsNodeID_gi] += (((m*devsign)*gtau)*(-(probeVars[admsProbeID_V_q_GND])));
d_staticContributions[admsNodeID_gi][admsProbeID_V_q_GND] += ((m*devsign)*gtau)*(-d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*d_gtau_dV_ge_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*d_gtau_dV_ge_di*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] += (m*devsign)*d_gtau_dV_gi_di*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e] += (m*devsign)*d_gtau_dV_ge_e*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*d_gtau_dV_gi_si1*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*d_gtau_dV_gi_di1*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*d_gtau_dV_gi_e*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*d_gtau_dV_gi_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*d_gtau_dV_e_di*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*d_gtau_dV_e_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*d_gtau_dV_di_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*d_gtau_dTemp_t_GND*(-(probeVars[admsProbeID_V_q_GND]));
staticContributions[admsNodeID_si] -= (((m*devsign)*gtau)*(-(probeVars[admsProbeID_V_q_GND])));
d_staticContributions[admsNodeID_si][admsProbeID_V_q_GND] -= ((m*devsign)*gtau)*(-d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*d_gtau_dV_ge_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*d_gtau_dV_ge_di*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_gtau_dV_gi_di*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] -= (m*devsign)*d_gtau_dV_ge_e*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_gtau_dV_gi_si1*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_gtau_dV_gi_di1*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_gtau_dV_gi_e*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_gtau_dV_gi_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_gtau_dV_e_di*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*d_gtau_dV_e_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_gtau_dV_di_si*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_gtau_dTemp_t_GND*(-(probeVars[admsProbeID_V_q_GND]));
// I(di,si) <+ (((((m*devsign)*xdpart)*gtau)*V(q,GND)))
staticContributions[admsNodeID_di] += ((((m*devsign)*xdpart)*gtau)*(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_di][admsProbeID_V_q_GND] += (((m*devsign)*xdpart)*gtau)*d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND];
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += ((m*devsign)*xdpart)*d_gtau_dV_ge_si*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += ((m*devsign)*xdpart)*d_gtau_dV_ge_di*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += ((m*devsign)*xdpart)*d_gtau_dV_gi_di*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] += ((m*devsign)*xdpart)*d_gtau_dV_ge_e*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += ((m*devsign)*xdpart)*d_gtau_dV_gi_si1*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += ((m*devsign)*xdpart)*d_gtau_dV_gi_di1*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (((m*devsign)*xdpart)*d_gtau_dV_gi_e+(m*devsign)*d_xdpart_dV_gi_e*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (((m*devsign)*xdpart)*d_gtau_dTemp_t_GND+(m*devsign)*d_xdpart_dTemp_t_GND*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (((m*devsign)*xdpart)*d_gtau_dV_gi_si+(m*devsign)*d_xdpart_dV_gi_si*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (((m*devsign)*xdpart)*d_gtau_dV_e_di+(m*devsign)*d_xdpart_dV_e_di*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (((m*devsign)*xdpart)*d_gtau_dV_e_si+(m*devsign)*d_xdpart_dV_e_si*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (((m*devsign)*xdpart)*d_gtau_dV_di_si+(m*devsign)*d_xdpart_dV_di_si*gtau)*(probeVars[admsProbeID_V_q_GND]);
staticContributions[admsNodeID_si] -= ((((m*devsign)*xdpart)*gtau)*(probeVars[admsProbeID_V_q_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_q_GND] -= (((m*devsign)*xdpart)*gtau)*d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND];
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= ((m*devsign)*xdpart)*d_gtau_dV_ge_si*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= ((m*devsign)*xdpart)*d_gtau_dV_ge_di*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= ((m*devsign)*xdpart)*d_gtau_dV_gi_di*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] -= ((m*devsign)*xdpart)*d_gtau_dV_ge_e*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= ((m*devsign)*xdpart)*d_gtau_dV_gi_si1*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= ((m*devsign)*xdpart)*d_gtau_dV_gi_di1*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (((m*devsign)*xdpart)*d_gtau_dV_gi_e+(m*devsign)*d_xdpart_dV_gi_e*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (((m*devsign)*xdpart)*d_gtau_dTemp_t_GND+(m*devsign)*d_xdpart_dTemp_t_GND*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (((m*devsign)*xdpart)*d_gtau_dV_gi_si+(m*devsign)*d_xdpart_dV_gi_si*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (((m*devsign)*xdpart)*d_gtau_dV_e_di+(m*devsign)*d_xdpart_dV_e_di*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (((m*devsign)*xdpart)*d_gtau_dV_e_si+(m*devsign)*d_xdpart_dV_e_si*gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (((m*devsign)*xdpart)*d_gtau_dV_di_si+(m*devsign)*d_xdpart_dV_di_si*gtau)*(probeVars[admsProbeID_V_q_GND]);
}
else
{
// I(di,si) <+ (((m*devsign)*ddt(qd)))
dynamicContributions[admsNodeID_di] += ((m*devsign)*(qd));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*(d_qd_dV_gi_e);
d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*(d_qd_dTemp_t_GND);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*(d_qd_dV_gi_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*(d_qd_dV_e_di);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*(d_qd_dV_e_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*(d_qd_dV_di_si);
dynamicContributions[admsNodeID_si] -= ((m*devsign)*(qd));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_qd_dV_gi_e);
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_qd_dTemp_t_GND);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_qd_dV_gi_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_qd_dV_e_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_qd_dV_e_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_qd_dV_di_si);
// I(gi,si) <+ (((m*devsign)*ddt(qg)))
dynamicContributions[admsNodeID_gi] += ((m*devsign)*(qg));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_qg_dV_gi_e);
d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_qg_dTemp_t_GND);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_qg_dV_gi_si);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_qg_dV_e_di);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_qg_dV_e_si);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_qg_dV_di_si);
dynamicContributions[admsNodeID_si] -= ((m*devsign)*(qg));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_qg_dV_gi_e);
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_qg_dTemp_t_GND);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_qg_dV_gi_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_qg_dV_e_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_qg_dV_e_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_qg_dV_di_si);
}
if ((sigvds>0.0))
{
// I(di,si) <+ (((m*devsign)*idsgen))
staticContributions[admsNodeID_di] += ((m*devsign)*idsgen);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_idsgen_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_idsgen_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_idsgen_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_idsgen_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_idsgen_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_idsgen_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_idsgen_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*d_idsgen_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*d_idsgen_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_idsgen_dV_gi_di;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_idsgen_dTemp_t_GND;
staticContributions[admsNodeID_si] -= ((m*devsign)*idsgen);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_idsgen_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_idsgen_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_idsgen_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*d_idsgen_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_idsgen_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_idsgen_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_idsgen_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*d_idsgen_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*d_idsgen_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_idsgen_dV_gi_di;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_idsgen_dTemp_t_GND;
// I(gi,si) <+ (((m*devsign)*(igcs+igs)))
staticContributions[admsNodeID_gi] += ((m*devsign)*(igcs+igs));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] += (m*devsign)*d_igs_dV_gi_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*d_igcs_dV_s_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*d_igcs_dV_d_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igcs_dTemp_t_GND+d_igs_dTemp_t_GND);
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_igcs_dV_di_si+d_igs_dV_di_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_igcs_dV_gi_si+d_igs_dV_gi_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_igcs_dV_e_di+d_igs_dV_e_di);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_igcs_dV_e_si+d_igs_dV_e_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_igcs_dV_gi_e+d_igs_dV_gi_e);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_igcs_dV_gi_si1+d_igs_dV_gi_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_igcs_dV_gi_di1+d_igs_dV_gi_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*(d_igcs_dV_ge_si+d_igs_dV_ge_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*(d_igcs_dV_ge_di+d_igs_dV_ge_di);
staticContributions[admsNodeID_si] -= ((m*devsign)*(igcs+igs));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_igs_dV_gi_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igcs_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igcs_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igcs_dTemp_t_GND+d_igs_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_igcs_dV_di_si+d_igs_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_igcs_dV_gi_si+d_igs_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_igcs_dV_e_di+d_igs_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_igcs_dV_e_si+d_igs_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_igcs_dV_gi_e+d_igs_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igcs_dV_gi_si1+d_igs_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igcs_dV_gi_di1+d_igs_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*(d_igcs_dV_ge_si+d_igs_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*(d_igcs_dV_ge_di+d_igs_dV_ge_di);
// I(gi,di) <+ (((m*devsign)*(igcd+igd)))
staticContributions[admsNodeID_gi] += ((m*devsign)*(igcd+igd));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] += (m*devsign)*d_igd_dV_gi_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*d_igcd_dV_s_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*d_igcd_dV_d_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igcd_dTemp_t_GND+d_igd_dTemp_t_GND);
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_igcd_dV_di_si+d_igd_dV_di_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_igcd_dV_gi_si+d_igd_dV_gi_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_igcd_dV_e_di+d_igd_dV_e_di);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_igcd_dV_e_si+d_igd_dV_e_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_igcd_dV_gi_e+d_igd_dV_gi_e);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_igcd_dV_gi_si1+d_igd_dV_gi_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_igcd_dV_gi_di1+d_igd_dV_gi_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*(d_igcd_dV_ge_si+d_igd_dV_ge_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*(d_igcd_dV_ge_di+d_igd_dV_ge_di);
staticContributions[admsNodeID_di] -= ((m*devsign)*(igcd+igd));
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_igd_dV_gi_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igcd_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igcd_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igcd_dTemp_t_GND+d_igd_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*(d_igcd_dV_di_si+d_igd_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*(d_igcd_dV_gi_si+d_igd_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*(d_igcd_dV_e_di+d_igd_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*(d_igcd_dV_e_si+d_igd_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*(d_igcd_dV_gi_e+d_igd_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igcd_dV_gi_si1+d_igd_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igcd_dV_gi_di1+d_igd_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*(d_igcd_dV_ge_si+d_igd_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*(d_igcd_dV_ge_di+d_igd_dV_ge_di);
if (((model_.BULKMOD)!=0))
{
if ((((model_.GIDLMOD)==2)&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
// I(di,si) <+ (((m*devsign)*(igidl+Iii)))
staticContributions[admsNodeID_di] += ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igidl_dV_gi_di;
staticContributions[admsNodeID_si] -= ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_igidl_dV_gi_di;
// I(si,di) <+ (((m*devsign)*igisl))
staticContributions[admsNodeID_si] += ((m*devsign)*igisl);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igisl_dV_gi_di;
staticContributions[admsNodeID_di] -= ((m*devsign)*igisl);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_igisl_dV_gi_di;
// I(di,e) <+ (((m*devsign)*igidlb))
staticContributions[admsNodeID_di] += ((m*devsign)*igidlb);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_igidlb_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_igidlb_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_igidlb_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_igidlb_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_igidlb_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_igidlb_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igidlb_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igidlb_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_igidlb_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_igidlb_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*d_igidlb_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*d_igidlb_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igidlb_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*igidlb);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igidlb_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*d_igidlb_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*d_igidlb_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*d_igidlb_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*d_igidlb_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*d_igidlb_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igidlb_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igidlb_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*d_igidlb_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*d_igidlb_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*d_igidlb_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*d_igidlb_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igidlb_dV_gi_di;
// I(si,e) <+ (((m*devsign)*igislb))
staticContributions[admsNodeID_si] += ((m*devsign)*igislb);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_igislb_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_igislb_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_igislb_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_igislb_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_igislb_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_igislb_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igislb_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igislb_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_igislb_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_igislb_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*d_igislb_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*d_igislb_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igislb_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*igislb);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igislb_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*d_igislb_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*d_igislb_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*d_igislb_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*d_igislb_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*d_igislb_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igislb_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igislb_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*d_igislb_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*d_igislb_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*d_igislb_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*d_igislb_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igislb_dV_gi_di;
}
else
{
// I(di,e) <+ (((m*devsign)*(igidl+Iii)))
staticContributions[admsNodeID_di] += ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igidl_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igidl_dV_gi_di;
// I(si,e) <+ (((m*devsign)*igisl))
staticContributions[admsNodeID_si] += ((m*devsign)*igisl);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igisl_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*igisl);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igisl_dV_gi_di;
}
// I(gi,e) <+ (((m*devsign)*(igbinv+igbacc)))
staticContributions[admsNodeID_gi] += ((m*devsign)*(igbinv+igbacc));
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*(d_igbinv_dV_s_si1+d_igbacc_dV_s_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*(d_igbinv_dV_d_di1+d_igbacc_dV_d_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_igbinv_dV_gi_si1+d_igbacc_dV_gi_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_igbinv_dV_gi_di1+d_igbacc_dV_gi_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*(d_igbinv_dV_ge_si+d_igbacc_dV_ge_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*(d_igbinv_dV_ge_di+d_igbacc_dV_ge_di);
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igbinv_dTemp_t_GND+d_igbacc_dTemp_t_GND);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_igbinv_dV_gi_si+d_igbacc_dV_gi_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_igbinv_dV_e_di+d_igbacc_dV_e_di);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_igbinv_dV_e_si+d_igbacc_dV_e_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_igbinv_dV_di_si+d_igbacc_dV_di_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_igbinv_dV_gi_e+d_igbacc_dV_gi_e);
staticContributions[admsNodeID_e] -= ((m*devsign)*(igbinv+igbacc));
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*(d_igbinv_dV_s_si1+d_igbacc_dV_s_si1);
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*(d_igbinv_dV_d_di1+d_igbacc_dV_d_di1);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igbinv_dV_gi_si1+d_igbacc_dV_gi_si1);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igbinv_dV_gi_di1+d_igbacc_dV_gi_di1);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*(d_igbinv_dV_ge_si+d_igbacc_dV_ge_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*(d_igbinv_dV_ge_di+d_igbacc_dV_ge_di);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igbinv_dTemp_t_GND+d_igbacc_dTemp_t_GND);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*(d_igbinv_dV_gi_si+d_igbacc_dV_gi_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*(d_igbinv_dV_e_di+d_igbacc_dV_e_di);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*(d_igbinv_dV_e_si+d_igbacc_dV_e_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*(d_igbinv_dV_di_si+d_igbacc_dV_di_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*(d_igbinv_dV_gi_e+d_igbacc_dV_gi_e);
}
else
{
// I(di,si) <+ (((m*devsign)*(igidl+Iii)))
staticContributions[admsNodeID_di] += ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igidl_dV_gi_di;
staticContributions[admsNodeID_si] -= ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_igidl_dV_gi_di;
// I(si,di) <+ (((m*devsign)*igisl))
staticContributions[admsNodeID_si] += ((m*devsign)*igisl);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igisl_dV_gi_di;
staticContributions[admsNodeID_di] -= ((m*devsign)*igisl);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_igisl_dV_gi_di;
}
}
else
{
// I(si,di) <+ (((m*devsign)*idsgen))
staticContributions[admsNodeID_si] += ((m*devsign)*idsgen);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_idsgen_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_idsgen_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_idsgen_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_idsgen_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_idsgen_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_idsgen_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_idsgen_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*d_idsgen_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*d_idsgen_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_idsgen_dV_gi_di;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_idsgen_dTemp_t_GND;
staticContributions[admsNodeID_di] -= ((m*devsign)*idsgen);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*d_idsgen_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*d_idsgen_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*d_idsgen_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*d_idsgen_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*d_idsgen_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*d_idsgen_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*d_idsgen_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*d_idsgen_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*d_idsgen_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_idsgen_dV_gi_di;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*d_idsgen_dTemp_t_GND;
// I(gi,di) <+ (((m*devsign)*(igcs+igs)))
staticContributions[admsNodeID_gi] += ((m*devsign)*(igcs+igs));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] += (m*devsign)*d_igs_dV_gi_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*d_igcs_dV_s_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*d_igcs_dV_d_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igcs_dTemp_t_GND+d_igs_dTemp_t_GND);
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_igcs_dV_di_si+d_igs_dV_di_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_igcs_dV_gi_si+d_igs_dV_gi_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_igcs_dV_e_di+d_igs_dV_e_di);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_igcs_dV_e_si+d_igs_dV_e_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_igcs_dV_gi_e+d_igs_dV_gi_e);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_igcs_dV_gi_si1+d_igs_dV_gi_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_igcs_dV_gi_di1+d_igs_dV_gi_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*(d_igcs_dV_ge_si+d_igs_dV_ge_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*(d_igcs_dV_ge_di+d_igs_dV_ge_di);
staticContributions[admsNodeID_di] -= ((m*devsign)*(igcs+igs));
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_igs_dV_gi_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igcs_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igcs_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igcs_dTemp_t_GND+d_igs_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*(d_igcs_dV_di_si+d_igs_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*(d_igcs_dV_gi_si+d_igs_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*(d_igcs_dV_e_di+d_igs_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*(d_igcs_dV_e_si+d_igs_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*(d_igcs_dV_gi_e+d_igs_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igcs_dV_gi_si1+d_igs_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igcs_dV_gi_di1+d_igs_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*(d_igcs_dV_ge_si+d_igs_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*(d_igcs_dV_ge_di+d_igs_dV_ge_di);
// I(gi,si) <+ (((m*devsign)*(igcd+igd)))
staticContributions[admsNodeID_gi] += ((m*devsign)*(igcd+igd));
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] += (m*devsign)*d_igd_dV_gi_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*d_igcd_dV_s_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*d_igcd_dV_d_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igcd_dTemp_t_GND+d_igd_dTemp_t_GND);
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_igcd_dV_di_si+d_igd_dV_di_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_igcd_dV_gi_si+d_igd_dV_gi_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_igcd_dV_e_di+d_igd_dV_e_di);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_igcd_dV_e_si+d_igd_dV_e_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_igcd_dV_gi_e+d_igd_dV_gi_e);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_igcd_dV_gi_si1+d_igd_dV_gi_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_igcd_dV_gi_di1+d_igd_dV_gi_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*(d_igcd_dV_ge_si+d_igd_dV_ge_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*(d_igcd_dV_ge_di+d_igd_dV_ge_di);
staticContributions[admsNodeID_si] -= ((m*devsign)*(igcd+igd));
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_igd_dV_gi_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igcd_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igcd_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igcd_dTemp_t_GND+d_igd_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_igcd_dV_di_si+d_igd_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_igcd_dV_gi_si+d_igd_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_igcd_dV_e_di+d_igd_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_igcd_dV_e_si+d_igd_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_igcd_dV_gi_e+d_igd_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igcd_dV_gi_si1+d_igd_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igcd_dV_gi_di1+d_igd_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*(d_igcd_dV_ge_si+d_igd_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*(d_igcd_dV_ge_di+d_igd_dV_ge_di);
if (((model_.BULKMOD)!=0))
{
if ((((model_.GIDLMOD)==2)&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
// I(si,di) <+ (((m*devsign)*(igidl+Iii)))
staticContributions[admsNodeID_si] += ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igidl_dV_gi_di;
staticContributions[admsNodeID_di] -= ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_igidl_dV_gi_di;
// I(di,si) <+ (((m*devsign)*igisl))
staticContributions[admsNodeID_di] += ((m*devsign)*igisl);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igisl_dV_gi_di;
staticContributions[admsNodeID_si] -= ((m*devsign)*igisl);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_igisl_dV_gi_di;
// I(si,e) <+ (((m*devsign)*igidlb))
staticContributions[admsNodeID_si] += ((m*devsign)*igidlb);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*d_igidlb_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*d_igidlb_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*d_igidlb_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*d_igidlb_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*d_igidlb_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*d_igidlb_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igidlb_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igidlb_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*d_igidlb_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*d_igidlb_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*d_igidlb_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*d_igidlb_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igidlb_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*igidlb);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igidlb_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*d_igidlb_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*d_igidlb_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*d_igidlb_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*d_igidlb_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*d_igidlb_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igidlb_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igidlb_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*d_igidlb_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*d_igidlb_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*d_igidlb_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*d_igidlb_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igidlb_dV_gi_di;
// I(di,e) <+ (((m*devsign)*igislb))
staticContributions[admsNodeID_di] += ((m*devsign)*igislb);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_igislb_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_igislb_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_igislb_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_igislb_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_igislb_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_igislb_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igislb_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igislb_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_igislb_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_igislb_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*d_igislb_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*d_igislb_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igislb_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*igislb);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igislb_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*d_igislb_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*d_igislb_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*d_igislb_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*d_igislb_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*d_igislb_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igislb_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igislb_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*d_igislb_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*d_igislb_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*d_igislb_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*d_igislb_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igislb_dV_gi_di;
}
else
{
// I(si,e) <+ (((m*devsign)*(igidl+Iii)))
staticContributions[admsNodeID_si] += ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igidl_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igidl_dV_gi_di;
// I(di,e) <+ (((m*devsign)*igisl))
staticContributions[admsNodeID_di] += ((m*devsign)*igisl);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igisl_dV_gi_di;
staticContributions[admsNodeID_e] -= ((m*devsign)*igisl);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -= (m*devsign)*d_igisl_dV_gi_di;
}
// I(gi,e) <+ (((m*devsign)*(igbinv+igbacc)))
staticContributions[admsNodeID_gi] += ((m*devsign)*(igbinv+igbacc));
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*(d_igbinv_dV_s_si1+d_igbacc_dV_s_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*(d_igbinv_dV_d_di1+d_igbacc_dV_d_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_igbinv_dV_gi_si1+d_igbacc_dV_gi_si1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_igbinv_dV_gi_di1+d_igbacc_dV_gi_di1);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*(d_igbinv_dV_ge_si+d_igbacc_dV_ge_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*(d_igbinv_dV_ge_di+d_igbacc_dV_ge_di);
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igbinv_dTemp_t_GND+d_igbacc_dTemp_t_GND);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_igbinv_dV_gi_si+d_igbacc_dV_gi_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_igbinv_dV_e_di+d_igbacc_dV_e_di);
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_igbinv_dV_e_si+d_igbacc_dV_e_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_igbinv_dV_di_si+d_igbacc_dV_di_si);
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_igbinv_dV_gi_e+d_igbacc_dV_gi_e);
staticContributions[admsNodeID_e] -= ((m*devsign)*(igbinv+igbacc));
d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] -= (m*devsign)*(d_igbinv_dV_s_si1+d_igbacc_dV_s_si1);
d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] -= (m*devsign)*(d_igbinv_dV_d_di1+d_igbacc_dV_d_di1);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igbinv_dV_gi_si1+d_igbacc_dV_gi_si1);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igbinv_dV_gi_di1+d_igbacc_dV_gi_di1);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -= (m*devsign)*(d_igbinv_dV_ge_si+d_igbacc_dV_ge_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] -= (m*devsign)*(d_igbinv_dV_ge_di+d_igbacc_dV_ge_di);
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igbinv_dTemp_t_GND+d_igbacc_dTemp_t_GND);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] -= (m*devsign)*(d_igbinv_dV_gi_si+d_igbacc_dV_gi_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] -= (m*devsign)*(d_igbinv_dV_e_di+d_igbacc_dV_e_di);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -= (m*devsign)*(d_igbinv_dV_e_si+d_igbacc_dV_e_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -= (m*devsign)*(d_igbinv_dV_di_si+d_igbacc_dV_di_si);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] -= (m*devsign)*(d_igbinv_dV_gi_e+d_igbacc_dV_gi_e);
}
else
{
// I(si,di) <+ (((m*devsign)*(igidl+Iii)))
staticContributions[admsNodeID_si] += ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] += (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] += (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] += (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] += (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] += (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] += (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] += (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] += (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] += (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] += (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] += (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] += (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] += (m*devsign)*d_igidl_dV_gi_di;
staticContributions[admsNodeID_di] -= ((m*devsign)*(igidl+Iii));
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_igidl_dTemp_t_GND+d_Iii_dTemp_t_GND);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*(d_igidl_dV_gi_si+d_Iii_dV_gi_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*(d_igidl_dV_e_di+d_Iii_dV_e_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*(d_igidl_dV_e_si+d_Iii_dV_e_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*(d_igidl_dV_di_si+d_Iii_dV_di_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*(d_igidl_dV_gi_e+d_Iii_dV_gi_e);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igidl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igidl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*(d_igidl_dV_gi_si1+d_Iii_dV_gi_si1);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*(d_igidl_dV_gi_di1+d_Iii_dV_gi_di1);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*(d_igidl_dV_ge_si+d_Iii_dV_ge_si);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*(d_igidl_dV_ge_di+d_Iii_dV_ge_di);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_igidl_dV_gi_di;
// I(di,si) <+ (((m*devsign)*igisl))
staticContributions[admsNodeID_di] += ((m*devsign)*igisl);
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += (m*devsign)*d_igisl_dV_gi_di;
staticContributions[admsNodeID_si] -= ((m*devsign)*igisl);
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igisl_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_igisl_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_igisl_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*d_igisl_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_igisl_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_igisl_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igisl_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igisl_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_igisl_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_igisl_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*d_igisl_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*d_igisl_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_igisl_dV_gi_di;
}
}
if (((model_.BULKMOD)==0))
{
// I(gi,si) <+ (((m*devsign)*igbs))
staticContributions[admsNodeID_gi] += ((m*devsign)*igbs);
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*d_igbs_dV_s_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*d_igbs_dV_d_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*d_igbs_dV_gi_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*d_igbs_dV_gi_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*d_igbs_dV_ge_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*d_igbs_dV_ge_di;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*d_igbs_dTemp_t_GND;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*d_igbs_dV_gi_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*d_igbs_dV_e_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*d_igbs_dV_e_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*d_igbs_dV_di_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*d_igbs_dV_gi_e;
staticContributions[admsNodeID_si] -= ((m*devsign)*igbs);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*d_igbs_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*d_igbs_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_igbs_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_igbs_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*d_igbs_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*d_igbs_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igbs_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_igbs_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_igbs_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*d_igbs_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_igbs_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_igbs_dV_gi_e;
// I(gi,di) <+ (((m*devsign)*igbd))
staticContributions[admsNodeID_gi] += ((m*devsign)*igbd);
d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] += (m*devsign)*d_igbd_dV_s_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] += (m*devsign)*d_igbd_dV_d_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*d_igbd_dV_gi_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*d_igbd_dV_gi_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] += (m*devsign)*d_igbd_dV_ge_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] += (m*devsign)*d_igbd_dV_ge_di;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*d_igbd_dTemp_t_GND;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*d_igbd_dV_gi_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*d_igbd_dV_e_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*d_igbd_dV_e_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*d_igbd_dV_di_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*d_igbd_dV_gi_e;
staticContributions[admsNodeID_di] -= ((m*devsign)*igbd);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*d_igbd_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*d_igbd_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*d_igbd_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*d_igbd_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*d_igbd_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*d_igbd_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*d_igbd_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*d_igbd_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*d_igbd_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*d_igbd_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*d_igbd_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*d_igbd_dV_gi_e;
}
if (((model_.BULKMOD)!=0))
{
// I(e,si) <+ ((((m*devsign)*Ies)+((m*V(e,si))*gmin)))
staticContributions[admsNodeID_e] += (((m*devsign)*Ies)+((m*(probeVars[admsProbeID_V_e_si]))*gmin));
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] += (m*devsign)*d_Ies_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] += (m*devsign)*d_Ies_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] += (m*devsign)*d_Ies_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] += (m*devsign)*d_Ies_dV_e_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] += ((m*devsign)*d_Ies_dV_e_si+m*d_probeVars[admsProbeID_V_e_si][admsProbeID_V_e_si]*gmin);
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] += (m*devsign)*d_Ies_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] += (m*devsign)*d_Ies_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] += (m*devsign)*d_Ies_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] += (m*devsign)*d_Ies_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] += (m*devsign)*d_Ies_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] += (m*devsign)*d_Ies_dV_gi_di;
staticContributions[admsNodeID_si] -= (((m*devsign)*Ies)+((m*(probeVars[admsProbeID_V_e_si]))*gmin));
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*d_Ies_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*d_Ies_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*d_Ies_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*d_Ies_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= ((m*devsign)*d_Ies_dV_e_si+m*d_probeVars[admsProbeID_V_e_si][admsProbeID_V_e_si]*gmin);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*d_Ies_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*d_Ies_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*d_Ies_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*d_Ies_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*d_Ies_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*d_Ies_dV_gi_di;
// I(e,di) <+ ((((m*devsign)*Ied)+((m*V(e,di))*gmin)))
staticContributions[admsNodeID_e] += (((m*devsign)*Ied)+((m*(probeVars[admsProbeID_V_e_di]))*gmin));
d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] += (m*devsign)*d_Ied_dTemp_t_GND;
d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] += (m*devsign)*d_Ied_dV_di_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] += (m*devsign)*d_Ied_dV_gi_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] += ((m*devsign)*d_Ied_dV_e_di+m*d_probeVars[admsProbeID_V_e_di][admsProbeID_V_e_di]*gmin);
d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] += (m*devsign)*d_Ied_dV_e_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] += (m*devsign)*d_Ied_dV_gi_e;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] += (m*devsign)*d_Ied_dV_gi_si1;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] += (m*devsign)*d_Ied_dV_gi_di1;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] += (m*devsign)*d_Ied_dV_ge_si;
d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] += (m*devsign)*d_Ied_dV_ge_di;
d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] += (m*devsign)*d_Ied_dV_gi_di;
staticContributions[admsNodeID_di] -= (((m*devsign)*Ied)+((m*(probeVars[admsProbeID_V_e_di]))*gmin));
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*d_Ied_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*d_Ied_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*d_Ied_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= ((m*devsign)*d_Ied_dV_e_di+m*d_probeVars[admsProbeID_V_e_di][admsProbeID_V_e_di]*gmin);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*d_Ied_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*d_Ied_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*d_Ied_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*d_Ied_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*d_Ied_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*d_Ied_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*d_Ied_dV_gi_di;
}
// I(e,si) <+ (((m*devsign)*ddt(Qes)))
dynamicContributions[admsNodeID_e] += ((m*devsign)*(Qes));
d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si] += (m*devsign)*(d_Qes_dV_di_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] += (m*devsign)*(d_Qes_dV_gi_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] += (m*devsign)*(d_Qes_dV_e_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] += (m*devsign)*(d_Qes_dV_e_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] += (m*devsign)*(d_Qes_dV_gi_e);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] += (m*devsign)*(d_Qes_dV_gi_si1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] += (m*devsign)*(d_Qes_dV_gi_di1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si] += (m*devsign)*(d_Qes_dV_ge_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] += (m*devsign)*(d_Qes_dV_ge_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] += (m*devsign)*(d_Qes_dV_gi_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND] += (m*devsign)*(d_Qes_dTemp_t_GND);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1] += (m*devsign)*(d_Qes_dV_s_si1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1] += (m*devsign)*(d_Qes_dV_d_di1);
dynamicContributions[admsNodeID_si] -= ((m*devsign)*(Qes));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_Qes_dV_di_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_Qes_dV_gi_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_Qes_dV_e_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_Qes_dV_e_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_Qes_dV_gi_e);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_Qes_dV_gi_si1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_Qes_dV_gi_di1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*devsign)*(d_Qes_dV_ge_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*devsign)*(d_Qes_dV_ge_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*devsign)*(d_Qes_dV_gi_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_Qes_dTemp_t_GND);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*devsign)*(d_Qes_dV_s_si1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*devsign)*(d_Qes_dV_d_di1);
// I(e,di) <+ (((m*devsign)*ddt(Qed)))
dynamicContributions[admsNodeID_e] += ((m*devsign)*(Qed));
d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si] += (m*devsign)*(d_Qed_dV_di_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] += (m*devsign)*(d_Qed_dV_gi_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] += (m*devsign)*(d_Qed_dV_e_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] += (m*devsign)*(d_Qed_dV_e_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] += (m*devsign)*(d_Qed_dV_gi_e);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] += (m*devsign)*(d_Qed_dV_gi_si1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] += (m*devsign)*(d_Qed_dV_gi_di1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si] += (m*devsign)*(d_Qed_dV_ge_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] += (m*devsign)*(d_Qed_dV_ge_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] += (m*devsign)*(d_Qed_dV_gi_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND] += (m*devsign)*(d_Qed_dTemp_t_GND);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1] += (m*devsign)*(d_Qed_dV_s_si1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1] += (m*devsign)*(d_Qed_dV_d_di1);
dynamicContributions[admsNodeID_di] -= ((m*devsign)*(Qed));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*devsign)*(d_Qed_dV_di_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*devsign)*(d_Qed_dV_gi_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*devsign)*(d_Qed_dV_e_di);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*devsign)*(d_Qed_dV_e_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*devsign)*(d_Qed_dV_gi_e);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*devsign)*(d_Qed_dV_gi_si1);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*devsign)*(d_Qed_dV_gi_di1);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*devsign)*(d_Qed_dV_ge_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*devsign)*(d_Qed_dV_ge_di);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*devsign)*(d_Qed_dV_gi_di);
d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_Qed_dTemp_t_GND);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*devsign)*(d_Qed_dV_s_si1);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*devsign)*(d_Qed_dV_d_di1);
// I(e,ge) <+ (((m*devsign)*ddt(Qeg)))
dynamicContributions[admsNodeID_e] += ((m*devsign)*(Qeg));
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_ge] += (m*devsign)*(d_Qeg_dV_e_ge);
d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND] += (m*devsign)*(d_Qeg_dTemp_t_GND);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] += (m*devsign)*(d_Qeg_dV_gi_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] += (m*devsign)*(d_Qeg_dV_e_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] += (m*devsign)*(d_Qeg_dV_e_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si] += (m*devsign)*(d_Qeg_dV_di_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] += (m*devsign)*(d_Qeg_dV_gi_e);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] += (m*devsign)*(d_Qeg_dV_gi_si1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] += (m*devsign)*(d_Qeg_dV_gi_di1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si] += (m*devsign)*(d_Qeg_dV_ge_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] += (m*devsign)*(d_Qeg_dV_ge_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] += (m*devsign)*(d_Qeg_dV_gi_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_e] += (m*devsign)*(d_Qeg_dV_ge_e);
dynamicContributions[admsNodeID_ge] -= ((m*devsign)*(Qeg));
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_ge] -= (m*devsign)*(d_Qeg_dV_e_ge);
d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_Qeg_dTemp_t_GND);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si] -= (m*devsign)*(d_Qeg_dV_gi_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] -= (m*devsign)*(d_Qeg_dV_e_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] -= (m*devsign)*(d_Qeg_dV_e_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] -= (m*devsign)*(d_Qeg_dV_di_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] -= (m*devsign)*(d_Qeg_dV_gi_e);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] -= (m*devsign)*(d_Qeg_dV_gi_si1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] -= (m*devsign)*(d_Qeg_dV_gi_di1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] -= (m*devsign)*(d_Qeg_dV_ge_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] -= (m*devsign)*(d_Qeg_dV_ge_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di] -= (m*devsign)*(d_Qeg_dV_gi_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_e] -= (m*devsign)*(d_Qeg_dV_ge_e);
// I(ge,si) <+ ((m*ddt(qgs_parasitic)))
dynamicContributions[admsNodeID_ge] += (m*(qgs_parasitic));
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] += m*(d_qgs_parasitic_dV_ge_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] += m*(d_qgs_parasitic_dTemp_t_GND);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] += m*(d_qgs_parasitic_dV_di_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si] += m*(d_qgs_parasitic_dV_gi_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] += m*(d_qgs_parasitic_dV_e_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] += m*(d_qgs_parasitic_dV_e_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] += m*(d_qgs_parasitic_dV_gi_e);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] += m*(d_qgs_parasitic_dV_gi_si1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] += m*(d_qgs_parasitic_dV_gi_di1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] += m*(d_qgs_parasitic_dV_ge_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s] += m*(d_qgs_parasitic_dV_ge_s);
dynamicContributions[admsNodeID_si] -= (m*(qgs_parasitic));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si] -= m*(d_qgs_parasitic_dV_ge_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= m*(d_qgs_parasitic_dTemp_t_GND);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= m*(d_qgs_parasitic_dV_di_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= m*(d_qgs_parasitic_dV_gi_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= m*(d_qgs_parasitic_dV_e_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= m*(d_qgs_parasitic_dV_e_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= m*(d_qgs_parasitic_dV_gi_e);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= m*(d_qgs_parasitic_dV_gi_si1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= m*(d_qgs_parasitic_dV_gi_di1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] -= m*(d_qgs_parasitic_dV_ge_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_s] -= m*(d_qgs_parasitic_dV_ge_s);
// I(ge,di) <+ ((m*ddt(qgd_parasitic)))
dynamicContributions[admsNodeID_ge] += (m*(qgd_parasitic));
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] += m*(d_qgd_parasitic_dV_ge_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] += m*(d_qgd_parasitic_dV_ge_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] += m*(d_qgd_parasitic_dTemp_t_GND);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] += m*(d_qgd_parasitic_dV_di_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si] += m*(d_qgd_parasitic_dV_gi_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] += m*(d_qgd_parasitic_dV_e_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] += m*(d_qgd_parasitic_dV_e_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] += m*(d_qgd_parasitic_dV_gi_e);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] += m*(d_qgd_parasitic_dV_gi_si1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] += m*(d_qgd_parasitic_dV_gi_di1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d] += m*(d_qgd_parasitic_dV_ge_d);
dynamicContributions[admsNodeID_di] -= (m*(qgd_parasitic));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si] -= m*(d_qgd_parasitic_dV_ge_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] -= m*(d_qgd_parasitic_dV_ge_di);
d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= m*(d_qgd_parasitic_dTemp_t_GND);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -= m*(d_qgd_parasitic_dV_di_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] -= m*(d_qgd_parasitic_dV_gi_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] -= m*(d_qgd_parasitic_dV_e_di);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] -= m*(d_qgd_parasitic_dV_e_si);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e] -= m*(d_qgd_parasitic_dV_gi_e);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= m*(d_qgd_parasitic_dV_gi_si1);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= m*(d_qgd_parasitic_dV_gi_di1);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_d] -= m*(d_qgd_parasitic_dV_ge_d);
// I(d,s) <+ ((m*ddt(qds_fr)))
dynamicContributions[admsNodeID_d] += (m*(qds_fr));
d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_s] += m*(d_qds_fr_dV_d_s);
dynamicContributions[admsNodeID_s] -= (m*(qds_fr));
d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_s] -= m*(d_qds_fr_dV_d_s);
if (((model_.CGEOMOD)==1))
{
// I(ge,s) <+ ((m*ddt(qgs_fr)))
dynamicContributions[admsNodeID_ge] += (m*(qgs_fr));
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] += m*(d_qgs_fr_dV_ge_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] += m*(d_qgs_fr_dTemp_t_GND);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] += m*(d_qgs_fr_dV_di_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si] += m*(d_qgs_fr_dV_gi_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] += m*(d_qgs_fr_dV_e_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] += m*(d_qgs_fr_dV_e_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] += m*(d_qgs_fr_dV_gi_e);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] += m*(d_qgs_fr_dV_gi_si1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] += m*(d_qgs_fr_dV_gi_di1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s] += m*(d_qgs_fr_dV_ge_s);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] += m*(d_qgs_fr_dV_ge_di);
dynamicContributions[admsNodeID_s] -= (m*(qgs_fr));
d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_si] -= m*(d_qgs_fr_dV_ge_si);
d_dynamicContributions[admsNodeID_s][admsProbeID_Temp_t_GND] -= m*(d_qgs_fr_dTemp_t_GND);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_si] -= m*(d_qgs_fr_dV_di_si);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si] -= m*(d_qgs_fr_dV_gi_si);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_di] -= m*(d_qgs_fr_dV_e_di);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_si] -= m*(d_qgs_fr_dV_e_si);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_e] -= m*(d_qgs_fr_dV_gi_e);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si1] -= m*(d_qgs_fr_dV_gi_si1);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di1] -= m*(d_qgs_fr_dV_gi_di1);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_s] -= m*(d_qgs_fr_dV_ge_s);
d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_di] -= m*(d_qgs_fr_dV_ge_di);
// I(ge,d) <+ ((m*ddt(qgd_fr)))
dynamicContributions[admsNodeID_ge] += (m*(qgd_fr));
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] += m*(d_qgd_fr_dV_ge_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] += m*(d_qgd_fr_dTemp_t_GND);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] += m*(d_qgd_fr_dV_di_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si] += m*(d_qgd_fr_dV_gi_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] += m*(d_qgd_fr_dV_e_di);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] += m*(d_qgd_fr_dV_e_si);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] += m*(d_qgd_fr_dV_gi_e);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] += m*(d_qgd_fr_dV_gi_si1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] += m*(d_qgd_fr_dV_gi_di1);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d] += m*(d_qgd_fr_dV_ge_d);
d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] += m*(d_qgd_fr_dV_ge_si);
dynamicContributions[admsNodeID_d] -= (m*(qgd_fr));
d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_di] -= m*(d_qgd_fr_dV_ge_di);
d_dynamicContributions[admsNodeID_d][admsProbeID_Temp_t_GND] -= m*(d_qgd_fr_dTemp_t_GND);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_si] -= m*(d_qgd_fr_dV_di_si);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si] -= m*(d_qgd_fr_dV_gi_si);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_di] -= m*(d_qgd_fr_dV_e_di);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_si] -= m*(d_qgd_fr_dV_e_si);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_e] -= m*(d_qgd_fr_dV_gi_e);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si1] -= m*(d_qgd_fr_dV_gi_si1);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di1] -= m*(d_qgd_fr_dV_gi_di1);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_d] -= m*(d_qgd_fr_dV_ge_d);
d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_si] -= m*(d_qgd_fr_dV_ge_si);
}
if (((model_.BULKMOD)!=0))
{
// I(gi,si) <+ (((m*devsign)*ddt(qg_acc)))
dynamicContributions[admsNodeID_gi] += ((m*devsign)*(qg_acc));
d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += (m*devsign)*(d_qg_acc_dTemp_t_GND);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] += (m*devsign)*(d_qg_acc_dV_di_si);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] += (m*devsign)*(d_qg_acc_dV_gi_si);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] += (m*devsign)*(d_qg_acc_dV_e_di);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] += (m*devsign)*(d_qg_acc_dV_e_si);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e] += (m*devsign)*(d_qg_acc_dV_gi_e);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += (m*devsign)*(d_qg_acc_dV_gi_si1);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += (m*devsign)*(d_qg_acc_dV_gi_di1);
dynamicContributions[admsNodeID_si] -= ((m*devsign)*(qg_acc));
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_qg_acc_dTemp_t_GND);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_qg_acc_dV_di_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_qg_acc_dV_gi_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_qg_acc_dV_e_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_qg_acc_dV_e_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_qg_acc_dV_gi_e);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_qg_acc_dV_gi_si1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_qg_acc_dV_gi_di1);
// I(e,si) <+ (((m*devsign)*ddt(qb_acc)))
dynamicContributions[admsNodeID_e] += ((m*devsign)*(qb_acc));
d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND] += (m*devsign)*(d_qb_acc_dTemp_t_GND);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si] += (m*devsign)*(d_qb_acc_dV_di_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] += (m*devsign)*(d_qb_acc_dV_gi_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] += (m*devsign)*(d_qb_acc_dV_e_di);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] += (m*devsign)*(d_qb_acc_dV_e_si);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] += (m*devsign)*(d_qb_acc_dV_gi_e);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] += (m*devsign)*(d_qb_acc_dV_gi_si1);
d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] += (m*devsign)*(d_qb_acc_dV_gi_di1);
dynamicContributions[admsNodeID_si] -= ((m*devsign)*(qb_acc));
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*devsign)*(d_qb_acc_dTemp_t_GND);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*devsign)*(d_qb_acc_dV_di_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*devsign)*(d_qb_acc_dV_gi_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*devsign)*(d_qb_acc_dV_e_di);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*devsign)*(d_qb_acc_dV_e_si);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*devsign)*(d_qb_acc_dV_gi_e);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*devsign)*(d_qb_acc_dV_gi_si1);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*devsign)*(d_qb_acc_dV_gi_di1);
}
if (((model_.RDSMOD)==1))
{
if (((model_.RDLCW)>0))
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)*((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_rdstempvs_dTemp_t_GND = (((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.PRTVSRSD)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)*(model_.PRTVSRSD)*d_delTemp_dTemp_t_GND+(model_.PRTVSRSD)*d_delTemp_dTemp_t_GND*((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6))))));
rdstempvs = (((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)+value_sqrt_0)));
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6)*((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6))-((4.0*(-(model_.VSATRSD)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATRSD_t_dTemp_t_GND = ((((((-(model_.ATVSRSD))*delTemp)==0.0)&&((-(model_.VSATRSD))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6)*(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND*((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6))))));
VSATRSD_t = ((model_.VSATRSD)+((((((-(model_.ATVSRSD))*delTemp)==0.0)&&((-(model_.VSATRSD))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.VSATRSD))+(0.5*(((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)*((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATRSD_t_dTemp_t_GND = (model_.VSATRSD)*(((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)*(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND*((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6))))));
VSATRSD_t = ((model_.VSATRSD)*(((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = d_qis_dTemp_t_GND;
d_T0_dV_gi_si = d_qis_dV_gi_si;
d_T0_dV_e_di = d_qis_dV_e_di;
d_T0_dV_e_si = d_qis_dV_e_si;
d_T0_dV_di_si = d_qis_dV_di_si;
T0 = (qis-(model_.PTWG1VSRSD));
{
double value_sqrt_0 = sqrt((((T0-0.1)*(T0-0.1))+((0.25*2.0)*2.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dTemp_t_GND = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*(T0-0.1))))));
d_T0_dV_di_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_di_si+d_T0_dV_di_si*(T0-0.1))))));
d_T0_dV_gi_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_si+d_T0_dV_gi_si*(T0-0.1))))));
d_T0_dV_e_di = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_e_di+d_T0_dV_e_di*(T0-0.1))))));
d_T0_dV_e_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_e_si+d_T0_dV_e_si*(T0-0.1))))));
d_T0_dV_gi_e = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_e+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_e+d_T0_dV_gi_e*(T0-0.1))))));
d_T0_dV_gi_si1 = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_si1+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_si1+d_T0_dV_gi_si1*(T0-0.1))))));
d_T0_dV_gi_di1 = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_di1+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_di1+d_T0_dV_gi_di1*(T0-0.1))))));
d_T0_dV_ge_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_ge_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_ge_si+d_T0_dV_ge_si*(T0-0.1))))));
d_T0_dV_ge_di = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_ge_di+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_ge_di+d_T0_dV_ge_di*(T0-0.1))))));
d_T0_dV_gi_di = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_di+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_di+d_T0_dV_gi_di*(T0-0.1))))));
d_T0_dV_ge_e = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_ge_e+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_ge_e+d_T0_dV_ge_e*(T0-0.1))))));
T0 = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:(0.5*((T0+0.1)+value_sqrt_0)));
}

d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dTemp_t_GND-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dTemp_t_GND)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_di_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_di_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_di_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_e_di = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_e_di-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_e_di)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_e_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_e_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_e_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_e = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_e-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_e)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_si1 = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_si1-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_si1)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_di1 = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_di1-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_di1)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_ge_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_ge_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_ge_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_ge_di = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_ge_di-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_ge_di)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_di = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_di-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_di)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_ge_e = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_ge_e-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_ge_e)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
T1 = (((10.0*(model_.PSATXVSRSD))*T0)/((10.0*(model_.PSATXVSRSD))+T0));

d_vsatrsd_eff_dV_di_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_di_si;
d_vsatrsd_eff_dV_gi_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_si;
d_vsatrsd_eff_dV_e_di = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_e_di;
d_vsatrsd_eff_dV_e_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_e_si;
d_vsatrsd_eff_dV_gi_e = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_e;
d_vsatrsd_eff_dV_gi_si1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_si1;
d_vsatrsd_eff_dV_gi_di1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_di1;
d_vsatrsd_eff_dV_ge_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_ge_si;
d_vsatrsd_eff_dV_ge_di = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_ge_di;
d_vsatrsd_eff_dV_gi_di = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_di;
d_vsatrsd_eff_dV_s_si1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_s_si1;
d_vsatrsd_eff_dV_d_di1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_d_di1;
d_vsatrsd_eff_dV_ge_e = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_ge_e;
d_vsatrsd_eff_dTemp_t_GND = (VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dTemp_t_GND+d_VSATRSD_t_dTemp_t_GND*(1.0+((model_.PTWGVSRSD)*T1)));
vsatrsd_eff = (VSATRSD_t*(1.0+((model_.PTWGVSRSD)*T1)));
{
double value_sqrt_0 = sqrt(((vsatrsd_eff*vsatrsd_eff)+((4.0*10.0)*10.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vsatrsd_eff_dV_di_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_di_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_di_si+d_vsatrsd_eff_dV_di_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_si+d_vsatrsd_eff_dV_gi_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_e_di = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_e_di+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_e_di+d_vsatrsd_eff_dV_e_di*vsatrsd_eff)))));
d_vsatrsd_eff_dV_e_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_e_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_e_si+d_vsatrsd_eff_dV_e_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_e = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_e+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_e+d_vsatrsd_eff_dV_gi_e*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_si1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_si1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_si1+d_vsatrsd_eff_dV_gi_si1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_di1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_di1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_di1+d_vsatrsd_eff_dV_gi_di1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_ge_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_ge_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_ge_si+d_vsatrsd_eff_dV_ge_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_ge_di = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_ge_di+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_ge_di+d_vsatrsd_eff_dV_ge_di*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_di = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_di+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_di+d_vsatrsd_eff_dV_gi_di*vsatrsd_eff)))));
d_vsatrsd_eff_dV_s_si1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_s_si1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_s_si1+d_vsatrsd_eff_dV_s_si1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_d_di1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_d_di1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_d_di1+d_vsatrsd_eff_dV_d_di1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_ge_e = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_ge_e+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_ge_e+d_vsatrsd_eff_dV_ge_e*vsatrsd_eff)))));
d_vsatrsd_eff_dTemp_t_GND = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dTemp_t_GND+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dTemp_t_GND+d_vsatrsd_eff_dTemp_t_GND*vsatrsd_eff)))));
vsatrsd_eff = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:(0.5*(vsatrsd_eff+value_sqrt_0)));
}

d_T2_dV_di_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_di_si;
d_T2_dV_gi_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_si;
d_T2_dV_e_di = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_e_di;
d_T2_dV_e_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_e_si;
d_T2_dV_gi_e = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_e;
d_T2_dV_gi_si1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_si1;
d_T2_dV_gi_di1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_di1;
d_T2_dV_ge_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_ge_si;
d_T2_dV_ge_di = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_ge_di;
d_T2_dV_gi_di = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_di;
d_T2_dV_s_si1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_s_si1;
d_T2_dV_d_di1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_d_di1;
d_T2_dV_ge_e = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_ge_e;
d_T2_dTemp_t_GND = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dTemp_t_GND;
T2 = (((NFINtotal*Weff0)*1.60219e-19)*vsatrsd_eff);
{
double value_fabs_0 = fabs((probeVars[admsProbeID_V_di1_di]));
double  deriv_fabs_0_d0 = ((((probeVars[admsProbeID_V_di1_di]))>=0)?(+1.0):(-1.0));

d_T5_dV_si_si1 = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
d_T5_dV_di1_di = (deriv_fabs_0_d0*(d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di]));
T5 = value_fabs_0;
}
if (((model_.GAVSRD)==0))
{

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si = d_T3_dTemp_t_GND =  0.0;
T3 = 1.0;
}
else
{
{
double value_sqrt_0 = sqrt(((((T5-(model_.RDVDS)))*((T5-(model_.RDVDS))))+((0.25*0.5)*0.5)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T3_dTemp_t_GND = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dTemp_t_GND+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dTemp_t_GND+d_T5_dTemp_t_GND*((T5-(model_.RDVDS))))))));
d_T3_dV_gi_si = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_gi_si+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_gi_si+d_T5_dV_gi_si*((T5-(model_.RDVDS))))))));
d_T3_dV_e_di = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_e_di+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_e_di+d_T5_dV_e_di*((T5-(model_.RDVDS))))))));
d_T3_dV_e_si = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_e_si+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_e_si+d_T5_dV_e_si*((T5-(model_.RDVDS))))))));
d_T3_dV_di_si = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_di_si+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_di_si+d_T5_dV_di_si*((T5-(model_.RDVDS))))))));
d_T3_dV_gi_e = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_gi_e+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_gi_e+d_T5_dV_gi_e*((T5-(model_.RDVDS))))))));
d_T3_dV_s_si1 = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_s_si1+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_s_si1+d_T5_dV_s_si1*((T5-(model_.RDVDS))))))));
d_T3_dV_d_di1 = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_d_di1+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_d_di1+d_T5_dV_d_di1*((T5-(model_.RDVDS))))))));
d_T3_dV_gi_si1 = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_gi_si1+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_gi_si1+d_T5_dV_gi_si1*((T5-(model_.RDVDS))))))));
d_T3_dV_gi_di1 = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_gi_di1+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_gi_di1+d_T5_dV_gi_di1*((T5-(model_.RDVDS))))))));
d_T3_dV_ge_si = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_ge_si+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_ge_si+d_T5_dV_ge_si*((T5-(model_.RDVDS))))))));
d_T3_dV_ge_di = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_ge_di+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_ge_di+d_T5_dV_ge_di*((T5-(model_.RDVDS))))))));
d_T3_dV_gi_di = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_gi_di+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_gi_di+d_T5_dV_gi_di*((T5-(model_.RDVDS))))))));
d_T3_dV_ge_e = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_ge_e+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_ge_e+d_T5_dV_ge_e*((T5-(model_.RDVDS))))))));
d_T3_dV_di1_di = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*(d_T5_dV_di1_di+(deriv_sqrt_0_d0*((((T5-(model_.RDVDS)))*d_T5_dV_di1_di+d_T5_dV_di1_di*((T5-(model_.RDVDS))))))));
T3 = (((((T5-(model_.RDVDS))==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:(0.5*((T5-(model_.RDVDS))+value_sqrt_0)));
}

d_T3_dTemp_t_GND = d_T3_dTemp_t_GND*(model_.GAVSRD);
d_T3_dV_gi_si = d_T3_dV_gi_si*(model_.GAVSRD);
d_T3_dV_e_di = d_T3_dV_e_di*(model_.GAVSRD);
d_T3_dV_e_si = d_T3_dV_e_si*(model_.GAVSRD);
d_T3_dV_di_si = d_T3_dV_di_si*(model_.GAVSRD);
d_T3_dV_gi_e = d_T3_dV_gi_e*(model_.GAVSRD);
d_T3_dV_gi_si1 = d_T3_dV_gi_si1*(model_.GAVSRD);
d_T3_dV_gi_di1 = d_T3_dV_gi_di1*(model_.GAVSRD);
d_T3_dV_ge_si = d_T3_dV_ge_si*(model_.GAVSRD);
d_T3_dV_ge_di = d_T3_dV_ge_di*(model_.GAVSRD);
d_T3_dV_gi_di = d_T3_dV_gi_di*(model_.GAVSRD);
d_T3_dV_ge_e = d_T3_dV_ge_e*(model_.GAVSRD);
d_T3_dV_s_si1 = d_T3_dV_s_si1*(model_.GAVSRD);
d_T3_dV_d_di1 = d_T3_dV_d_di1*(model_.GAVSRD);
d_T3_dV_di1_di = d_T3_dV_di1_di*(model_.GAVSRD);
T3 = (1.0+(T3*(model_.GAVSRD)));
}

d_isat_rd_dV_di1_di = (T2*(model_.NVSRD))*d_T3_dV_di1_di;
d_isat_rd_dTemp_t_GND = ((T2*(model_.NVSRD))*d_T3_dTemp_t_GND+d_T2_dTemp_t_GND*(model_.NVSRD)*T3);
d_isat_rd_dV_di_si = ((T2*(model_.NVSRD))*d_T3_dV_di_si+d_T2_dV_di_si*(model_.NVSRD)*T3);
d_isat_rd_dV_e_di = ((T2*(model_.NVSRD))*d_T3_dV_e_di+d_T2_dV_e_di*(model_.NVSRD)*T3);
d_isat_rd_dV_e_si = ((T2*(model_.NVSRD))*d_T3_dV_e_si+d_T2_dV_e_si*(model_.NVSRD)*T3);
d_isat_rd_dV_gi_si = ((T2*(model_.NVSRD))*d_T3_dV_gi_si+d_T2_dV_gi_si*(model_.NVSRD)*T3);
d_isat_rd_dV_gi_e = ((T2*(model_.NVSRD))*d_T3_dV_gi_e+d_T2_dV_gi_e*(model_.NVSRD)*T3);
d_isat_rd_dV_gi_si1 = ((T2*(model_.NVSRD))*d_T3_dV_gi_si1+d_T2_dV_gi_si1*(model_.NVSRD)*T3);
d_isat_rd_dV_gi_di1 = ((T2*(model_.NVSRD))*d_T3_dV_gi_di1+d_T2_dV_gi_di1*(model_.NVSRD)*T3);
d_isat_rd_dV_ge_si = ((T2*(model_.NVSRD))*d_T3_dV_ge_si+d_T2_dV_ge_si*(model_.NVSRD)*T3);
d_isat_rd_dV_ge_di = ((T2*(model_.NVSRD))*d_T3_dV_ge_di+d_T2_dV_ge_di*(model_.NVSRD)*T3);
d_isat_rd_dV_gi_di = ((T2*(model_.NVSRD))*d_T3_dV_gi_di+d_T2_dV_gi_di*(model_.NVSRD)*T3);
d_isat_rd_dV_ge_e = ((T2*(model_.NVSRD))*d_T3_dV_ge_e+d_T2_dV_ge_e*(model_.NVSRD)*T3);
d_isat_rd_dV_s_si1 = ((T2*(model_.NVSRD))*d_T3_dV_s_si1+d_T2_dV_s_si1*(model_.NVSRD)*T3);
d_isat_rd_dV_d_di1 = ((T2*(model_.NVSRD))*d_T3_dV_d_di1+d_T2_dV_d_di1*(model_.NVSRD)*T3);
isat_rd = ((T2*(model_.NVSRD))*T3);

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si =  0.0;
d_T4_dTemp_t_GND = d_rdstempvs_dTemp_t_GND*(model_.RDLCW)*WeffWRFactor;
T4 = ((rdstempvs*(model_.RDLCW))*WeffWRFactor);

d_vsat_rd_dV_di1_di = d_isat_rd_dV_di1_di*T4;
d_vsat_rd_dTemp_t_GND = (isat_rd*d_T4_dTemp_t_GND+d_isat_rd_dTemp_t_GND*T4);
d_vsat_rd_dV_di_si = (isat_rd*d_T4_dV_di_si+d_isat_rd_dV_di_si*T4);
d_vsat_rd_dV_e_di = (isat_rd*d_T4_dV_e_di+d_isat_rd_dV_e_di*T4);
d_vsat_rd_dV_e_si = (isat_rd*d_T4_dV_e_si+d_isat_rd_dV_e_si*T4);
d_vsat_rd_dV_gi_si = (isat_rd*d_T4_dV_gi_si+d_isat_rd_dV_gi_si*T4);
d_vsat_rd_dV_gi_e = (isat_rd*d_T4_dV_gi_e+d_isat_rd_dV_gi_e*T4);
d_vsat_rd_dV_gi_si1 = (isat_rd*d_T4_dV_gi_si1+d_isat_rd_dV_gi_si1*T4);
d_vsat_rd_dV_gi_di1 = (isat_rd*d_T4_dV_gi_di1+d_isat_rd_dV_gi_di1*T4);
d_vsat_rd_dV_ge_si = (isat_rd*d_T4_dV_ge_si+d_isat_rd_dV_ge_si*T4);
d_vsat_rd_dV_ge_di = (isat_rd*d_T4_dV_ge_di+d_isat_rd_dV_ge_di*T4);
d_vsat_rd_dV_gi_di = (isat_rd*d_T4_dV_gi_di+d_isat_rd_dV_gi_di*T4);
d_vsat_rd_dV_ge_e = (isat_rd*d_T4_dV_ge_e+d_isat_rd_dV_ge_e*T4);
d_vsat_rd_dV_s_si1 = d_isat_rd_dV_s_si1*T4;
d_vsat_rd_dV_d_di1 = d_isat_rd_dV_d_di1*T4;
vsat_rd = (isat_rd*T4);
{
double value_pow_0 = pow(T5,(4-(model_.MVSRSD)));
double value_pow_1 = pow(T5,(4-(model_.MVSRSD)));
double value_pow_2 = pow(vsat_rd,(4-(model_.MVSRSD)));
double  deriv_pow_0_d0 = ((T5 == 0.0)?0.0:(value_pow_0*(4-(model_.MVSRSD))/T5));
double  deriv_pow_1_d0 = ((T5 == 0.0)?0.0:(value_pow_1*(4-(model_.MVSRSD))/T5));
double  deriv_pow_2_d0 = ((vsat_rd == 0.0)?0.0:(value_pow_2*(4-(model_.MVSRSD))/vsat_rd));

d_delta_vsrd_dTemp_t_GND = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dTemp_t_GND))-value_pow_0*((deriv_pow_1_d0*(d_T5_dTemp_t_GND))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dTemp_t_GND))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_gi_si = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_si))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_gi_si))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_e_di = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_e_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_e_di))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_e_di))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_e_si = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_e_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_e_si))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_e_si))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_di_si = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_di_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_di_si))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_di_si))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_gi_e = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_e))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_e))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_gi_e))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_s_si1 = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_s_si1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_s_si1))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_s_si1))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_d_di1 = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_d_di1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_d_di1))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_d_di1))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_gi_si1 = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_si1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_si1))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_gi_si1))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_gi_di1 = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_di1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_di1))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_gi_di1))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_ge_si = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_ge_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_ge_si))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_ge_si))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_ge_di = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_ge_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_ge_di))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_ge_di))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_gi_di = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_di))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_gi_di))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_ge_e = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_ge_e))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_ge_e))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_ge_e))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
d_delta_vsrd_dV_di1_di = (((value_pow_1+((model_.VSRDFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_di1_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_di1_di))+(model_.VSRDFACTOR)*(deriv_pow_2_d0*(d_vsat_rd_dV_di1_di))))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
delta_vsrd = (value_pow_0/(value_pow_1+((model_.VSRDFACTOR)*value_pow_2)));
}
{
double value_pow_0 = pow(delta_vsrd,(1.0/(model_.MVSRSD)));
double  deriv_pow_0_d0 = ((delta_vsrd == 0.0)?0.0:(value_pow_0*(1.0/(model_.MVSRSD))/delta_vsrd));

d_T6_dV_si_si1 =  0.0;
d_T6_dTemp_t_GND = ((vsat_rd*(value_pow_0*d_T5_dTemp_t_GND+(deriv_pow_0_d0*(d_delta_vsrd_dTemp_t_GND))*T5)-(value_pow_0*T5)*d_vsat_rd_dTemp_t_GND)/vsat_rd/vsat_rd);
d_T6_dV_gi_si = ((vsat_rd*(value_pow_0*d_T5_dV_gi_si+(deriv_pow_0_d0*(d_delta_vsrd_dV_gi_si))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_gi_si)/vsat_rd/vsat_rd);
d_T6_dV_e_di = ((vsat_rd*(value_pow_0*d_T5_dV_e_di+(deriv_pow_0_d0*(d_delta_vsrd_dV_e_di))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_e_di)/vsat_rd/vsat_rd);
d_T6_dV_e_si = ((vsat_rd*(value_pow_0*d_T5_dV_e_si+(deriv_pow_0_d0*(d_delta_vsrd_dV_e_si))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_e_si)/vsat_rd/vsat_rd);
d_T6_dV_di_si = ((vsat_rd*(value_pow_0*d_T5_dV_di_si+(deriv_pow_0_d0*(d_delta_vsrd_dV_di_si))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_di_si)/vsat_rd/vsat_rd);
d_T6_dV_gi_e = ((vsat_rd*(value_pow_0*d_T5_dV_gi_e+(deriv_pow_0_d0*(d_delta_vsrd_dV_gi_e))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_gi_e)/vsat_rd/vsat_rd);
d_T6_dV_s_si1 = ((vsat_rd*(value_pow_0*d_T5_dV_s_si1+(deriv_pow_0_d0*(d_delta_vsrd_dV_s_si1))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_s_si1)/vsat_rd/vsat_rd);
d_T6_dV_d_di1 = ((vsat_rd*(value_pow_0*d_T5_dV_d_di1+(deriv_pow_0_d0*(d_delta_vsrd_dV_d_di1))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_d_di1)/vsat_rd/vsat_rd);
d_T6_dV_gi_si1 = ((vsat_rd*(value_pow_0*d_T5_dV_gi_si1+(deriv_pow_0_d0*(d_delta_vsrd_dV_gi_si1))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_gi_si1)/vsat_rd/vsat_rd);
d_T6_dV_gi_di1 = ((vsat_rd*(value_pow_0*d_T5_dV_gi_di1+(deriv_pow_0_d0*(d_delta_vsrd_dV_gi_di1))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_gi_di1)/vsat_rd/vsat_rd);
d_T6_dV_ge_si = ((vsat_rd*(value_pow_0*d_T5_dV_ge_si+(deriv_pow_0_d0*(d_delta_vsrd_dV_ge_si))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_ge_si)/vsat_rd/vsat_rd);
d_T6_dV_ge_di = ((vsat_rd*(value_pow_0*d_T5_dV_ge_di+(deriv_pow_0_d0*(d_delta_vsrd_dV_ge_di))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_ge_di)/vsat_rd/vsat_rd);
d_T6_dV_gi_di = ((vsat_rd*(value_pow_0*d_T5_dV_gi_di+(deriv_pow_0_d0*(d_delta_vsrd_dV_gi_di))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_gi_di)/vsat_rd/vsat_rd);
d_T6_dV_ge_e = ((vsat_rd*(value_pow_0*d_T5_dV_ge_e+(deriv_pow_0_d0*(d_delta_vsrd_dV_ge_e))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_ge_e)/vsat_rd/vsat_rd);
d_T6_dV_di1_di = ((vsat_rd*(value_pow_0*d_T5_dV_di1_di+(deriv_pow_0_d0*(d_delta_vsrd_dV_di1_di))*T5)-(value_pow_0*T5)*d_vsat_rd_dV_di1_di)/vsat_rd/vsat_rd);
T6 = ((value_pow_0*T5)/vsat_rd);
}
{
double value_pow_0 = pow(T6,(model_.MVSRSD));
double value_pow_1 = pow((1.0+value_pow_0),(1/(model_.MVSRSD)));
double  deriv_pow_0_d0 = ((T6 == 0.0)?0.0:(value_pow_0*(model_.MVSRSD)/T6));
double  deriv_pow_1_d0 = (((1.0+value_pow_0) == 0.0)?0.0:(value_pow_1*(1/(model_.MVSRSD))/(1.0+value_pow_0)));

d_Rvs_d_dV_s_si1 = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_s_si1))));
d_Rvs_d_dV_d_di1 = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_d_di1))));
d_Rvs_d_dV_di1_di = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_di1_di))));
d_Rvs_d_dTemp_t_GND = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dTemp_t_GND))))+d_T4_dTemp_t_GND*value_pow_1);
d_Rvs_d_dV_di_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_di_si))))+d_T4_dV_di_si*value_pow_1);
d_Rvs_d_dV_gi_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_si))))+d_T4_dV_gi_si*value_pow_1);
d_Rvs_d_dV_e_di = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_e_di))))+d_T4_dV_e_di*value_pow_1);
d_Rvs_d_dV_e_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_e_si))))+d_T4_dV_e_si*value_pow_1);
d_Rvs_d_dV_gi_e = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_e))))+d_T4_dV_gi_e*value_pow_1);
d_Rvs_d_dV_gi_si1 = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_si1))))+d_T4_dV_gi_si1*value_pow_1);
d_Rvs_d_dV_gi_di1 = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_di1))))+d_T4_dV_gi_di1*value_pow_1);
d_Rvs_d_dV_ge_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_ge_si))))+d_T4_dV_ge_si*value_pow_1);
d_Rvs_d_dV_ge_di = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_ge_di))))+d_T4_dV_ge_di*value_pow_1);
d_Rvs_d_dV_gi_di = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_di))))+d_T4_dV_gi_di*value_pow_1);
d_Rvs_d_dV_ge_e = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_ge_e))))+d_T4_dV_ge_e*value_pow_1);
Rvs_d = (T4*value_pow_1);
}
}
if (((model_.RSLCW)>0))
{
if (((model_.RDLCW)==0.0))
{
{
double value_sqrt_0 = sqrt(((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)*((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_rdstempvs_dTemp_t_GND = (((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((model_.PRTVSRSD)*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)*(model_.PRTVSRSD)*d_delTemp_dTemp_t_GND+(model_.PRTVSRSD)*d_delTemp_dTemp_t_GND*((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6))))));
rdstempvs = (((((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((model_.PRTVSRSD)*delTemp))-1.0e-6)+value_sqrt_0)));
}
{
if (((model_.TEMPMOD)!=0))
{
{
double value_sqrt_0 = sqrt(((((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6)*((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6))-((4.0*(-(model_.VSATRSD)))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATRSD_t_dTemp_t_GND = ((((((-(model_.ATVSRSD))*delTemp)==0.0)&&((-(model_.VSATRSD))==0.0))&&(1.0e-6==0.0))?0.0:0.5*((-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6)*(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND*((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6))))));
VSATRSD_t = ((model_.VSATRSD)+((((((-(model_.ATVSRSD))*delTemp)==0.0)&&((-(model_.VSATRSD))==0.0))&&(1.0e-6==0.0))?0.0:((-(model_.VSATRSD))+(0.5*(((((-(model_.ATVSRSD))*delTemp)-(-(model_.VSATRSD)))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)*((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_VSATRSD_t_dTemp_t_GND = (model_.VSATRSD)*(((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(deriv_sqrt_0_d0*((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)*(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND+(-(model_.ATVSRSD))*d_delTemp_dTemp_t_GND*((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6))))));
VSATRSD_t = ((model_.VSATRSD)*(((((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-(model_.ATVSRSD))*delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}

d_T0_dV_ge_e = d_T0_dV_gi_di = d_T0_dV_ge_di = d_T0_dV_ge_si = d_T0_dV_gi_di1 = d_T0_dV_gi_si1 = d_T0_dV_gi_e =  0.0;
d_T0_dTemp_t_GND = d_qis_dTemp_t_GND;
d_T0_dV_gi_si = d_qis_dV_gi_si;
d_T0_dV_e_di = d_qis_dV_e_di;
d_T0_dV_e_si = d_qis_dV_e_si;
d_T0_dV_di_si = d_qis_dV_di_si;
T0 = (qis-(model_.PTWG1VSRSD));
{
double value_sqrt_0 = sqrt((((T0-0.1)*(T0-0.1))+((0.25*2.0)*2.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_T0_dTemp_t_GND = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dTemp_t_GND+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dTemp_t_GND+d_T0_dTemp_t_GND*(T0-0.1))))));
d_T0_dV_di_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_di_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_di_si+d_T0_dV_di_si*(T0-0.1))))));
d_T0_dV_gi_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_si+d_T0_dV_gi_si*(T0-0.1))))));
d_T0_dV_e_di = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_e_di+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_e_di+d_T0_dV_e_di*(T0-0.1))))));
d_T0_dV_e_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_e_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_e_si+d_T0_dV_e_si*(T0-0.1))))));
d_T0_dV_gi_e = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_e+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_e+d_T0_dV_gi_e*(T0-0.1))))));
d_T0_dV_gi_si1 = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_si1+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_si1+d_T0_dV_gi_si1*(T0-0.1))))));
d_T0_dV_gi_di1 = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_di1+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_di1+d_T0_dV_gi_di1*(T0-0.1))))));
d_T0_dV_ge_si = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_ge_si+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_ge_si+d_T0_dV_ge_si*(T0-0.1))))));
d_T0_dV_ge_di = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_ge_di+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_ge_di+d_T0_dV_ge_di*(T0-0.1))))));
d_T0_dV_gi_di = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_gi_di+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_gi_di+d_T0_dV_gi_di*(T0-0.1))))));
d_T0_dV_ge_e = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(d_T0_dV_ge_e+(deriv_sqrt_0_d0*(((T0-0.1)*d_T0_dV_ge_e+d_T0_dV_ge_e*(T0-0.1))))));
T0 = ((((T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:(0.5*((T0+0.1)+value_sqrt_0)));
}

d_T1_dV_d_di1 = d_T1_dV_s_si1 =  0.0;
d_T1_dTemp_t_GND = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dTemp_t_GND-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dTemp_t_GND)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_di_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_di_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_di_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_e_di = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_e_di-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_e_di)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_e_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_e_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_e_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_e = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_e-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_e)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_si1 = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_si1-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_si1)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_di1 = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_di1-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_di1)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_ge_si = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_ge_si-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_ge_si)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_ge_di = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_ge_di-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_ge_di)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_gi_di = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_gi_di-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_gi_di)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
d_T1_dV_ge_e = ((((10.0*(model_.PSATXVSRSD))+T0)*(10.0*(model_.PSATXVSRSD))*d_T0_dV_ge_e-((10.0*(model_.PSATXVSRSD))*T0)*d_T0_dV_ge_e)/((10.0*(model_.PSATXVSRSD))+T0)/((10.0*(model_.PSATXVSRSD))+T0));
T1 = (((10.0*(model_.PSATXVSRSD))*T0)/((10.0*(model_.PSATXVSRSD))+T0));

d_vsatrsd_eff_dV_di_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_di_si;
d_vsatrsd_eff_dV_gi_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_si;
d_vsatrsd_eff_dV_e_di = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_e_di;
d_vsatrsd_eff_dV_e_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_e_si;
d_vsatrsd_eff_dV_gi_e = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_e;
d_vsatrsd_eff_dV_gi_si1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_si1;
d_vsatrsd_eff_dV_gi_di1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_di1;
d_vsatrsd_eff_dV_ge_si = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_ge_si;
d_vsatrsd_eff_dV_ge_di = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_ge_di;
d_vsatrsd_eff_dV_gi_di = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_gi_di;
d_vsatrsd_eff_dV_s_si1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_s_si1;
d_vsatrsd_eff_dV_d_di1 = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_d_di1;
d_vsatrsd_eff_dV_ge_e = VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dV_ge_e;
d_vsatrsd_eff_dTemp_t_GND = (VSATRSD_t*(model_.PTWGVSRSD)*d_T1_dTemp_t_GND+d_VSATRSD_t_dTemp_t_GND*(1.0+((model_.PTWGVSRSD)*T1)));
vsatrsd_eff = (VSATRSD_t*(1.0+((model_.PTWGVSRSD)*T1)));
{
double value_sqrt_0 = sqrt(((vsatrsd_eff*vsatrsd_eff)+((4.0*10.0)*10.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);

d_vsatrsd_eff_dV_di_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_di_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_di_si+d_vsatrsd_eff_dV_di_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_si+d_vsatrsd_eff_dV_gi_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_e_di = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_e_di+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_e_di+d_vsatrsd_eff_dV_e_di*vsatrsd_eff)))));
d_vsatrsd_eff_dV_e_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_e_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_e_si+d_vsatrsd_eff_dV_e_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_e = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_e+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_e+d_vsatrsd_eff_dV_gi_e*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_si1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_si1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_si1+d_vsatrsd_eff_dV_gi_si1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_di1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_di1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_di1+d_vsatrsd_eff_dV_gi_di1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_ge_si = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_ge_si+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_ge_si+d_vsatrsd_eff_dV_ge_si*vsatrsd_eff)))));
d_vsatrsd_eff_dV_ge_di = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_ge_di+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_ge_di+d_vsatrsd_eff_dV_ge_di*vsatrsd_eff)))));
d_vsatrsd_eff_dV_gi_di = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_gi_di+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_gi_di+d_vsatrsd_eff_dV_gi_di*vsatrsd_eff)))));
d_vsatrsd_eff_dV_s_si1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_s_si1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_s_si1+d_vsatrsd_eff_dV_s_si1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_d_di1 = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_d_di1+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_d_di1+d_vsatrsd_eff_dV_d_di1*vsatrsd_eff)))));
d_vsatrsd_eff_dV_ge_e = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dV_ge_e+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dV_ge_e+d_vsatrsd_eff_dV_ge_e*vsatrsd_eff)))));
d_vsatrsd_eff_dTemp_t_GND = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dTemp_t_GND+(deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dTemp_t_GND+d_vsatrsd_eff_dTemp_t_GND*vsatrsd_eff)))));
vsatrsd_eff = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:(0.5*(vsatrsd_eff+value_sqrt_0)));
}

d_T2_dV_di_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_di_si;
d_T2_dV_gi_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_si;
d_T2_dV_e_di = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_e_di;
d_T2_dV_e_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_e_si;
d_T2_dV_gi_e = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_e;
d_T2_dV_gi_si1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_si1;
d_T2_dV_gi_di1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_di1;
d_T2_dV_ge_si = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_ge_si;
d_T2_dV_ge_di = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_ge_di;
d_T2_dV_gi_di = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_gi_di;
d_T2_dV_s_si1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_s_si1;
d_T2_dV_d_di1 = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_d_di1;
d_T2_dV_ge_e = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dV_ge_e;
d_T2_dTemp_t_GND = ((NFINtotal*Weff0)*1.60219e-19)*d_vsatrsd_eff_dTemp_t_GND;
T2 = (((NFINtotal*Weff0)*1.60219e-19)*vsatrsd_eff);
}

d_isat_rs_dTemp_t_GND = d_T2_dTemp_t_GND*(model_.NVSRS);
d_isat_rs_dV_di_si = d_T2_dV_di_si*(model_.NVSRS);
d_isat_rs_dV_e_di = d_T2_dV_e_di*(model_.NVSRS);
d_isat_rs_dV_e_si = d_T2_dV_e_si*(model_.NVSRS);
d_isat_rs_dV_gi_si = d_T2_dV_gi_si*(model_.NVSRS);
d_isat_rs_dV_gi_e = d_T2_dV_gi_e*(model_.NVSRS);
d_isat_rs_dV_gi_si1 = d_T2_dV_gi_si1*(model_.NVSRS);
d_isat_rs_dV_gi_di1 = d_T2_dV_gi_di1*(model_.NVSRS);
d_isat_rs_dV_ge_si = d_T2_dV_ge_si*(model_.NVSRS);
d_isat_rs_dV_ge_di = d_T2_dV_ge_di*(model_.NVSRS);
d_isat_rs_dV_gi_di = d_T2_dV_gi_di*(model_.NVSRS);
d_isat_rs_dV_ge_e = d_T2_dV_ge_e*(model_.NVSRS);
d_isat_rs_dV_s_si1 = d_T2_dV_s_si1*(model_.NVSRS);
d_isat_rs_dV_d_di1 = d_T2_dV_d_di1*(model_.NVSRS);
isat_rs = (T2*(model_.NVSRS));

d_T4_dV_ge_e = d_T4_dV_gi_di = d_T4_dV_ge_di = d_T4_dV_ge_si = d_T4_dV_gi_di1 = d_T4_dV_gi_si1 = d_T4_dV_gi_e = d_T4_dV_e_si = d_T4_dV_e_di = d_T4_dV_gi_si = d_T4_dV_di_si =  0.0;
d_T4_dTemp_t_GND = d_rdstempvs_dTemp_t_GND*(model_.RSLCW)*WeffWRFactor;
T4 = ((rdstempvs*(model_.RSLCW))*WeffWRFactor);

d_vsat_rs_dTemp_t_GND = (isat_rs*d_T4_dTemp_t_GND+d_isat_rs_dTemp_t_GND*T4);
d_vsat_rs_dV_di_si = (isat_rs*d_T4_dV_di_si+d_isat_rs_dV_di_si*T4);
d_vsat_rs_dV_e_di = (isat_rs*d_T4_dV_e_di+d_isat_rs_dV_e_di*T4);
d_vsat_rs_dV_e_si = (isat_rs*d_T4_dV_e_si+d_isat_rs_dV_e_si*T4);
d_vsat_rs_dV_gi_si = (isat_rs*d_T4_dV_gi_si+d_isat_rs_dV_gi_si*T4);
d_vsat_rs_dV_gi_e = (isat_rs*d_T4_dV_gi_e+d_isat_rs_dV_gi_e*T4);
d_vsat_rs_dV_gi_si1 = (isat_rs*d_T4_dV_gi_si1+d_isat_rs_dV_gi_si1*T4);
d_vsat_rs_dV_gi_di1 = (isat_rs*d_T4_dV_gi_di1+d_isat_rs_dV_gi_di1*T4);
d_vsat_rs_dV_ge_si = (isat_rs*d_T4_dV_ge_si+d_isat_rs_dV_ge_si*T4);
d_vsat_rs_dV_ge_di = (isat_rs*d_T4_dV_ge_di+d_isat_rs_dV_ge_di*T4);
d_vsat_rs_dV_gi_di = (isat_rs*d_T4_dV_gi_di+d_isat_rs_dV_gi_di*T4);
d_vsat_rs_dV_ge_e = (isat_rs*d_T4_dV_ge_e+d_isat_rs_dV_ge_e*T4);
d_vsat_rs_dV_s_si1 = d_isat_rs_dV_s_si1*T4;
d_vsat_rs_dV_d_di1 = d_isat_rs_dV_d_di1*T4;
vsat_rs = (isat_rs*T4);
{
double value_fabs_0 = fabs((probeVars[admsProbeID_V_si_si1]));
double  deriv_fabs_0_d0 = ((((probeVars[admsProbeID_V_si_si1]))>=0)?(+1.0):(-1.0));

d_T5_dV_di1_di = d_T5_dV_ge_e = d_T5_dV_gi_di = d_T5_dV_ge_di = d_T5_dV_ge_si = d_T5_dV_gi_di1 = d_T5_dV_gi_si1 = d_T5_dV_d_di1 = d_T5_dV_s_si1 = d_T5_dV_gi_e = d_T5_dV_di_si = d_T5_dV_e_si = d_T5_dV_e_di = d_T5_dV_gi_si = d_T5_dTemp_t_GND =  0.0;
d_T5_dV_si_si1 = (deriv_fabs_0_d0*(d_probeVars[admsProbeID_V_si_si1][admsProbeID_V_si_si1]));
T5 = value_fabs_0;
}
{
double value_pow_0 = pow(T5,(4-(model_.MVSRSD)));
double value_pow_1 = pow(T5,(4-(model_.MVSRSD)));
double value_pow_2 = pow(vsat_rs,(4-(model_.MVSRSD)));
double  deriv_pow_0_d0 = ((T5 == 0.0)?0.0:(value_pow_0*(4-(model_.MVSRSD))/T5));
double  deriv_pow_1_d0 = ((T5 == 0.0)?0.0:(value_pow_1*(4-(model_.MVSRSD))/T5));
double  deriv_pow_2_d0 = ((vsat_rs == 0.0)?0.0:(value_pow_2*(4-(model_.MVSRSD))/vsat_rs));

d_delta_vsrs_dTemp_t_GND = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dTemp_t_GND))-value_pow_0*((deriv_pow_1_d0*(d_T5_dTemp_t_GND))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dTemp_t_GND))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_gi_si = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_si))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_gi_si))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_e_di = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_e_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_e_di))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_e_di))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_e_si = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_e_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_e_si))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_e_si))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_di_si = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_di_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_di_si))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_di_si))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_gi_e = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_e))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_e))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_gi_e))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_s_si1 = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_s_si1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_s_si1))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_s_si1))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_d_di1 = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_d_di1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_d_di1))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_d_di1))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_gi_si1 = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_si1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_si1))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_gi_si1))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_gi_di1 = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_di1))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_di1))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_gi_di1))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_ge_si = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_ge_si))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_ge_si))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_ge_si))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_ge_di = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_ge_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_ge_di))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_ge_di))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_gi_di = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_gi_di))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_gi_di))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_gi_di))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_ge_e = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_ge_e))-value_pow_0*((deriv_pow_1_d0*(d_T5_dV_ge_e))+(model_.VSRSFACTOR)*(deriv_pow_2_d0*(d_vsat_rs_dV_ge_e))))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_di1_di = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_di1_di))-value_pow_0*(deriv_pow_1_d0*(d_T5_dV_di1_di)))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
d_delta_vsrs_dV_si_si1 = (((value_pow_1+((model_.VSRSFACTOR)*value_pow_2))*(deriv_pow_0_d0*(d_T5_dV_si_si1))-value_pow_0*(deriv_pow_1_d0*(d_T5_dV_si_si1)))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2))/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
delta_vsrs = (value_pow_0/(value_pow_1+((model_.VSRSFACTOR)*value_pow_2)));
}
{
double value_pow_0 = pow(delta_vsrs,(1.0/(model_.MVSRSD)));
double  deriv_pow_0_d0 = ((delta_vsrs == 0.0)?0.0:(value_pow_0*(1.0/(model_.MVSRSD))/delta_vsrs));

d_T6_dTemp_t_GND = ((vsat_rs*(value_pow_0*d_T5_dTemp_t_GND+(deriv_pow_0_d0*(d_delta_vsrs_dTemp_t_GND))*T5)-(value_pow_0*T5)*d_vsat_rs_dTemp_t_GND)/vsat_rs/vsat_rs);
d_T6_dV_gi_si = ((vsat_rs*(value_pow_0*d_T5_dV_gi_si+(deriv_pow_0_d0*(d_delta_vsrs_dV_gi_si))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_gi_si)/vsat_rs/vsat_rs);
d_T6_dV_e_di = ((vsat_rs*(value_pow_0*d_T5_dV_e_di+(deriv_pow_0_d0*(d_delta_vsrs_dV_e_di))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_e_di)/vsat_rs/vsat_rs);
d_T6_dV_e_si = ((vsat_rs*(value_pow_0*d_T5_dV_e_si+(deriv_pow_0_d0*(d_delta_vsrs_dV_e_si))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_e_si)/vsat_rs/vsat_rs);
d_T6_dV_di_si = ((vsat_rs*(value_pow_0*d_T5_dV_di_si+(deriv_pow_0_d0*(d_delta_vsrs_dV_di_si))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_di_si)/vsat_rs/vsat_rs);
d_T6_dV_gi_e = ((vsat_rs*(value_pow_0*d_T5_dV_gi_e+(deriv_pow_0_d0*(d_delta_vsrs_dV_gi_e))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_gi_e)/vsat_rs/vsat_rs);
d_T6_dV_s_si1 = ((vsat_rs*(value_pow_0*d_T5_dV_s_si1+(deriv_pow_0_d0*(d_delta_vsrs_dV_s_si1))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_s_si1)/vsat_rs/vsat_rs);
d_T6_dV_d_di1 = ((vsat_rs*(value_pow_0*d_T5_dV_d_di1+(deriv_pow_0_d0*(d_delta_vsrs_dV_d_di1))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_d_di1)/vsat_rs/vsat_rs);
d_T6_dV_gi_si1 = ((vsat_rs*(value_pow_0*d_T5_dV_gi_si1+(deriv_pow_0_d0*(d_delta_vsrs_dV_gi_si1))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_gi_si1)/vsat_rs/vsat_rs);
d_T6_dV_gi_di1 = ((vsat_rs*(value_pow_0*d_T5_dV_gi_di1+(deriv_pow_0_d0*(d_delta_vsrs_dV_gi_di1))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_gi_di1)/vsat_rs/vsat_rs);
d_T6_dV_ge_si = ((vsat_rs*(value_pow_0*d_T5_dV_ge_si+(deriv_pow_0_d0*(d_delta_vsrs_dV_ge_si))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_ge_si)/vsat_rs/vsat_rs);
d_T6_dV_ge_di = ((vsat_rs*(value_pow_0*d_T5_dV_ge_di+(deriv_pow_0_d0*(d_delta_vsrs_dV_ge_di))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_ge_di)/vsat_rs/vsat_rs);
d_T6_dV_gi_di = ((vsat_rs*(value_pow_0*d_T5_dV_gi_di+(deriv_pow_0_d0*(d_delta_vsrs_dV_gi_di))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_gi_di)/vsat_rs/vsat_rs);
d_T6_dV_ge_e = ((vsat_rs*(value_pow_0*d_T5_dV_ge_e+(deriv_pow_0_d0*(d_delta_vsrs_dV_ge_e))*T5)-(value_pow_0*T5)*d_vsat_rs_dV_ge_e)/vsat_rs/vsat_rs);
d_T6_dV_di1_di = ((value_pow_0*d_T5_dV_di1_di+(deriv_pow_0_d0*(d_delta_vsrs_dV_di1_di))*T5)/vsat_rs);
d_T6_dV_si_si1 = ((value_pow_0*d_T5_dV_si_si1+(deriv_pow_0_d0*(d_delta_vsrs_dV_si_si1))*T5)/vsat_rs);
T6 = ((value_pow_0*T5)/vsat_rs);
}
{
double value_pow_0 = pow(T6,(model_.MVSRSD));
double value_pow_1 = pow((1.0+value_pow_0),(1/(model_.MVSRSD)));
double  deriv_pow_0_d0 = ((T6 == 0.0)?0.0:(value_pow_0*(model_.MVSRSD)/T6));
double  deriv_pow_1_d0 = (((1.0+value_pow_0) == 0.0)?0.0:(value_pow_1*(1/(model_.MVSRSD))/(1.0+value_pow_0)));

d_Rvs_s_dV_s_si1 = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_s_si1))));
d_Rvs_s_dV_d_di1 = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_d_di1))));
d_Rvs_s_dV_di1_di = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_di1_di))));
d_Rvs_s_dV_si_si1 = T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_si_si1))));
d_Rvs_s_dTemp_t_GND = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dTemp_t_GND))))+d_T4_dTemp_t_GND*value_pow_1);
d_Rvs_s_dV_di_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_di_si))))+d_T4_dV_di_si*value_pow_1);
d_Rvs_s_dV_gi_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_si))))+d_T4_dV_gi_si*value_pow_1);
d_Rvs_s_dV_e_di = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_e_di))))+d_T4_dV_e_di*value_pow_1);
d_Rvs_s_dV_e_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_e_si))))+d_T4_dV_e_si*value_pow_1);
d_Rvs_s_dV_gi_e = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_e))))+d_T4_dV_gi_e*value_pow_1);
d_Rvs_s_dV_gi_si1 = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_si1))))+d_T4_dV_gi_si1*value_pow_1);
d_Rvs_s_dV_gi_di1 = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_di1))))+d_T4_dV_gi_di1*value_pow_1);
d_Rvs_s_dV_ge_si = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_ge_si))))+d_T4_dV_ge_si*value_pow_1);
d_Rvs_s_dV_ge_di = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_ge_di))))+d_T4_dV_ge_di*value_pow_1);
d_Rvs_s_dV_gi_di = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_gi_di))))+d_T4_dV_gi_di*value_pow_1);
d_Rvs_s_dV_ge_e = (T4*(deriv_pow_1_d0*((deriv_pow_0_d0*(d_T6_dV_ge_e))))+d_T4_dV_ge_e*value_pow_1);
Rvs_s = (T4*value_pow_1);
}
}
}
if ((((model_.RDSMOD)!=2)&&(RDrainGeo>0)))
{

d_gdpr_dV_gi_si1 = (-d_Rdrain_dV_gi_si1/Rdrain/Rdrain);
d_gdpr_dV_gi_di1 = (-d_Rdrain_dV_gi_di1/Rdrain/Rdrain);
d_gdpr_dV_gi_si = (-d_Rdrain_dV_gi_si/Rdrain/Rdrain);
d_gdpr_dV_e_di = (-d_Rdrain_dV_e_di/Rdrain/Rdrain);
d_gdpr_dV_e_si = (-d_Rdrain_dV_e_si/Rdrain/Rdrain);
d_gdpr_dV_di_si = (-d_Rdrain_dV_di_si/Rdrain/Rdrain);
d_gdpr_dV_gi_e = (-d_Rdrain_dV_gi_e/Rdrain/Rdrain);
d_gdpr_dV_s_si1 = (-d_Rdrain_dV_s_si1/Rdrain/Rdrain);
d_gdpr_dV_d_di1 = (-d_Rdrain_dV_d_di1/Rdrain/Rdrain);
d_gdpr_dTemp_t_GND = (-d_Rdrain_dTemp_t_GND/Rdrain/Rdrain);
gdpr = (1.0/Rdrain);
// I(d,di1) <+ (((m*V(d,di1))*gdpr))
staticContributions[admsNodeID_d] += ((m*(probeVars[admsProbeID_V_d_di1]))*gdpr);
d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si1] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si1;
d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di1] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_di1;
d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si;
d_staticContributions[admsNodeID_d][admsProbeID_V_e_di] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_di;
d_staticContributions[admsNodeID_d][admsProbeID_V_e_si] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_si;
d_staticContributions[admsNodeID_d][admsProbeID_V_di_si] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_di_si;
d_staticContributions[admsNodeID_d][admsProbeID_V_gi_e] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_e;
d_staticContributions[admsNodeID_d][admsProbeID_V_s_si1] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_s_si1;
d_staticContributions[admsNodeID_d][admsProbeID_Temp_t_GND] += (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dTemp_t_GND;
d_staticContributions[admsNodeID_d][admsProbeID_V_d_di1] += ((m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_d_di1+m*d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]*gdpr);
staticContributions[admsNodeID_di1] -= ((m*(probeVars[admsProbeID_V_d_di1]))*gdpr);
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si1;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_di1;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_di;
d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_di_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_e;
d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_s_si1;
d_staticContributions[admsNodeID_di1][admsProbeID_Temp_t_GND] -= (m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dTemp_t_GND;
d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1] -= ((m*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_d_di1+m*d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]*gdpr);
if ((((model_.RDSMOD)==1)&&((model_.RDLCW)>0)))
{

d_gvs_d_dV_s_si1 = (-d_Rvs_d_dV_s_si1/Rvs_d/Rvs_d);
d_gvs_d_dV_d_di1 = (-d_Rvs_d_dV_d_di1/Rvs_d/Rvs_d);
d_gvs_d_dV_di1_di = (-d_Rvs_d_dV_di1_di/Rvs_d/Rvs_d);
d_gvs_d_dTemp_t_GND = (-d_Rvs_d_dTemp_t_GND/Rvs_d/Rvs_d);
d_gvs_d_dV_di_si = (-d_Rvs_d_dV_di_si/Rvs_d/Rvs_d);
d_gvs_d_dV_gi_si = (-d_Rvs_d_dV_gi_si/Rvs_d/Rvs_d);
d_gvs_d_dV_e_di = (-d_Rvs_d_dV_e_di/Rvs_d/Rvs_d);
d_gvs_d_dV_e_si = (-d_Rvs_d_dV_e_si/Rvs_d/Rvs_d);
d_gvs_d_dV_gi_e = (-d_Rvs_d_dV_gi_e/Rvs_d/Rvs_d);
d_gvs_d_dV_gi_si1 = (-d_Rvs_d_dV_gi_si1/Rvs_d/Rvs_d);
d_gvs_d_dV_gi_di1 = (-d_Rvs_d_dV_gi_di1/Rvs_d/Rvs_d);
d_gvs_d_dV_ge_si = (-d_Rvs_d_dV_ge_si/Rvs_d/Rvs_d);
d_gvs_d_dV_ge_di = (-d_Rvs_d_dV_ge_di/Rvs_d/Rvs_d);
d_gvs_d_dV_gi_di = (-d_Rvs_d_dV_gi_di/Rvs_d/Rvs_d);
d_gvs_d_dV_ge_e = (-d_Rvs_d_dV_ge_e/Rvs_d/Rvs_d);
gvs_d = (1.0/Rvs_d);
// I(di1,di) <+ (((m*V(di1,di))*gvs_d))
staticContributions[admsNodeID_di1] += ((m*(probeVars[admsProbeID_V_di1_di]))*gvs_d);
d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_s_si1;
d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_d_di1;
d_staticContributions[admsNodeID_di1][admsProbeID_Temp_t_GND] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dTemp_t_GND;
d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_di;
d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_e;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si1;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di1;
d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_si] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_si;
d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_di] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_di;
d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di;
d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_e] += (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_e;
d_staticContributions[admsNodeID_di1][admsProbeID_V_di1_di] += ((m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di1_di+m*d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di]*gvs_d);
staticContributions[admsNodeID_di] -= ((m*(probeVars[admsProbeID_V_di1_di]))*gvs_d);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_s_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_d_di1;
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dTemp_t_GND;
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si1;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di1;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_si;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di;
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] -= (m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_e;
d_staticContributions[admsNodeID_di][admsProbeID_V_di1_di] -= ((m*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di1_di+m*d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di]*gvs_d);
}
else
{
// V(di1,di) <+ (0.0)
// do nothing at all
}
}
else
{
// V(d,di1) <+ (0.0)
// do nothing at all
// V(di1,di) <+ (0.0)
// do nothing at all
}
if ((((model_.RDSMOD)!=2)&&(RSourceGeo>0)))
{

d_gspr_dV_gi_si1 = (-d_Rsource_dV_gi_si1/Rsource/Rsource);
d_gspr_dV_gi_si = (-d_Rsource_dV_gi_si/Rsource/Rsource);
d_gspr_dV_e_di = (-d_Rsource_dV_e_di/Rsource/Rsource);
d_gspr_dV_e_si = (-d_Rsource_dV_e_si/Rsource/Rsource);
d_gspr_dV_di_si = (-d_Rsource_dV_di_si/Rsource/Rsource);
d_gspr_dV_gi_e = (-d_Rsource_dV_gi_e/Rsource/Rsource);
d_gspr_dV_s_si1 = (-d_Rsource_dV_s_si1/Rsource/Rsource);
d_gspr_dTemp_t_GND = (-d_Rsource_dTemp_t_GND/Rsource/Rsource);
gspr = (1.0/Rsource);
// I(s,si1) <+ (((m*V(s,si1))*gspr))
staticContributions[admsNodeID_s] += ((m*(probeVars[admsProbeID_V_s_si1]))*gspr);
d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si1] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si1;
d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si;
d_staticContributions[admsNodeID_s][admsProbeID_V_e_di] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_di;
d_staticContributions[admsNodeID_s][admsProbeID_V_e_si] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_si;
d_staticContributions[admsNodeID_s][admsProbeID_V_di_si] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_di_si;
d_staticContributions[admsNodeID_s][admsProbeID_V_gi_e] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_e;
d_staticContributions[admsNodeID_s][admsProbeID_Temp_t_GND] += (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dTemp_t_GND;
d_staticContributions[admsNodeID_s][admsProbeID_V_s_si1] += ((m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_s_si1+m*d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]*gspr);
staticContributions[admsNodeID_si1] -= ((m*(probeVars[admsProbeID_V_s_si1]))*gspr);
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si1;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_di;
d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_di_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_e;
d_staticContributions[admsNodeID_si1][admsProbeID_Temp_t_GND] -= (m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dTemp_t_GND;
d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1] -= ((m*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_s_si1+m*d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]*gspr);
if ((((model_.RDSMOD)==1)&&((model_.RSLCW)>0)))
{

d_gvs_s_dV_s_si1 = (-d_Rvs_s_dV_s_si1/Rvs_s/Rvs_s);
d_gvs_s_dV_d_di1 = (-d_Rvs_s_dV_d_di1/Rvs_s/Rvs_s);
d_gvs_s_dV_di1_di = (-d_Rvs_s_dV_di1_di/Rvs_s/Rvs_s);
d_gvs_s_dV_si_si1 = (-d_Rvs_s_dV_si_si1/Rvs_s/Rvs_s);
d_gvs_s_dTemp_t_GND = (-d_Rvs_s_dTemp_t_GND/Rvs_s/Rvs_s);
d_gvs_s_dV_di_si = (-d_Rvs_s_dV_di_si/Rvs_s/Rvs_s);
d_gvs_s_dV_gi_si = (-d_Rvs_s_dV_gi_si/Rvs_s/Rvs_s);
d_gvs_s_dV_e_di = (-d_Rvs_s_dV_e_di/Rvs_s/Rvs_s);
d_gvs_s_dV_e_si = (-d_Rvs_s_dV_e_si/Rvs_s/Rvs_s);
d_gvs_s_dV_gi_e = (-d_Rvs_s_dV_gi_e/Rvs_s/Rvs_s);
d_gvs_s_dV_gi_si1 = (-d_Rvs_s_dV_gi_si1/Rvs_s/Rvs_s);
d_gvs_s_dV_gi_di1 = (-d_Rvs_s_dV_gi_di1/Rvs_s/Rvs_s);
d_gvs_s_dV_ge_si = (-d_Rvs_s_dV_ge_si/Rvs_s/Rvs_s);
d_gvs_s_dV_ge_di = (-d_Rvs_s_dV_ge_di/Rvs_s/Rvs_s);
d_gvs_s_dV_gi_di = (-d_Rvs_s_dV_gi_di/Rvs_s/Rvs_s);
d_gvs_s_dV_ge_e = (-d_Rvs_s_dV_ge_e/Rvs_s/Rvs_s);
gvs_s = (1.0/Rvs_s);
// I(si1,si) <+ (((m*V(si1,si))*gvs_s))
staticContributions[admsNodeID_si1] += ((m*(probeVars[admsProbeID_V_si1_si]))*gvs_s);
d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_s_si1;
d_staticContributions[admsNodeID_si1][admsProbeID_V_d_di1] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_d_di1;
d_staticContributions[admsNodeID_si1][admsProbeID_V_di1_di] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di1_di;
d_staticContributions[admsNodeID_si1][admsProbeID_V_si_si1] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_si_si1;
d_staticContributions[admsNodeID_si1][admsProbeID_Temp_t_GND] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dTemp_t_GND;
d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_di;
d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_e;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si1;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di1] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di1;
d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_si] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_si;
d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_di] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_di;
d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di;
d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_e] += (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_e;
d_staticContributions[admsNodeID_si1][admsProbeID_V_si1_si] += m*d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si]*gvs_s;
staticContributions[admsNodeID_si] -= ((m*(probeVars[admsProbeID_V_si1_si]))*gvs_s);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_s_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_d_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_di1_di] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di1_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_si_si1] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_si_si1;
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dTemp_t_GND;
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si1;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di1;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_si;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di;
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] -= (m*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_e;
d_staticContributions[admsNodeID_si][admsProbeID_V_si1_si] -= m*d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si]*gvs_s;
}
else
{
// V(si1,si) <+ (0.0)
// do nothing at all
}
}
else
{
// V(s,si1) <+ (0.0)
// do nothing at all
// V(si1,si) <+ (0.0)
// do nothing at all
}
if ((((model_.NQSMOD)==1)&&(XRCRG1_i!=0.0)))
{
// I(ge,gi) <+ (((m*V(ge,gi))*gcrg))
staticContributions[admsNodeID_ge] += ((m*(probeVars[admsProbeID_V_ge_gi]))*gcrg);
d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_si] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_ge_si;
d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_di] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_ge_di;
d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_di;
d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_e] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_ge_e;
d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si1] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_si1;
d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di1] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_di1;
d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_e] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_e;
d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_si;
d_staticContributions[admsNodeID_ge][admsProbeID_V_e_di] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_e_di;
d_staticContributions[admsNodeID_ge][admsProbeID_V_e_si] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_e_si;
d_staticContributions[admsNodeID_ge][admsProbeID_V_di_si] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_di_si;
d_staticContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] += (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dTemp_t_GND;
d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_gi] += m*d_probeVars[admsProbeID_V_ge_gi][admsProbeID_V_ge_gi]*gcrg;
staticContributions[admsNodeID_gi] -= ((m*(probeVars[admsProbeID_V_ge_gi]))*gcrg);
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_ge_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_ge_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_ge_e;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_si1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_di1;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_e;
d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_gi_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_e_di;
d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_e_si;
d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dV_di_si;
d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] -= (m*(probeVars[admsProbeID_V_ge_gi]))*d_gcrg_dTemp_t_GND;
d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_gi] -= m*d_probeVars[admsProbeID_V_ge_gi][admsProbeID_V_ge_gi]*gcrg;
}
else
{
// V(ge,gi) <+ (0.0)
// do nothing at all
}
if (((model_.NQSMOD)==2))
{
// I(q,GND) <+ ((m*ddt((qg-qb))))
dynamicContributions[admsNodeID_q] += (m*((qg-qb)));
d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_e] += m*(d_qg_dV_gi_e);
d_dynamicContributions[admsNodeID_q][admsProbeID_Temp_t_GND] += m*(d_qg_dTemp_t_GND);
d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si] += m*(d_qg_dV_gi_si);
d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_di] += m*(d_qg_dV_e_di);
d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_si] += m*(d_qg_dV_e_si);
d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_si] += m*(d_qg_dV_di_si);
// I(q,GND) <+ (((m*V(q,GND))*gtau))
staticContributions[admsNodeID_q] += ((m*(probeVars[admsProbeID_V_q_GND]))*gtau);
d_staticContributions[admsNodeID_q][admsProbeID_V_ge_si] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_ge_si;
d_staticContributions[admsNodeID_q][admsProbeID_V_ge_di] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_ge_di;
d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_gi_di;
d_staticContributions[admsNodeID_q][admsProbeID_V_ge_e] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_ge_e;
d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si1] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_gi_si1;
d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di1] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_gi_di1;
d_staticContributions[admsNodeID_q][admsProbeID_V_gi_e] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_gi_e;
d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_gi_si;
d_staticContributions[admsNodeID_q][admsProbeID_V_e_di] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_e_di;
d_staticContributions[admsNodeID_q][admsProbeID_V_e_si] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_e_si;
d_staticContributions[admsNodeID_q][admsProbeID_V_di_si] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dV_di_si;
d_staticContributions[admsNodeID_q][admsProbeID_Temp_t_GND] += (m*(probeVars[admsProbeID_V_q_GND]))*d_gtau_dTemp_t_GND;
d_staticContributions[admsNodeID_q][admsProbeID_V_q_GND] += m*d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND]*gtau;
// I(q,GND) <+ (((m*1.0e-9)*ddt(V(q,GND))))
dynamicContributions[admsNodeID_q] += ((m*1.0e-9)*((probeVars[admsProbeID_V_q_GND])));
d_dynamicContributions[admsNodeID_q][admsProbeID_V_q_GND] += (m*1.0e-9)*(d_probeVars[admsProbeID_V_q_GND][admsProbeID_V_q_GND]);
}
else
{
// V(q,GND) <+ (0.0)
// do nothing at all
}
if (((model_.RGATEMOD)!=0))
{
// I(g,ge) <+ (((m*V(g,ge))*ggeltd))
staticContributions[admsNodeID_g] += ((m*(probeVars[admsProbeID_V_g_ge]))*ggeltd);
d_staticContributions[admsNodeID_g][admsProbeID_V_g_ge] += m*d_probeVars[admsProbeID_V_g_ge][admsProbeID_V_g_ge]*ggeltd;
staticContributions[admsNodeID_ge] -= ((m*(probeVars[admsProbeID_V_g_ge]))*ggeltd);
d_staticContributions[admsNodeID_ge][admsProbeID_V_g_ge] -= m*d_probeVars[admsProbeID_V_g_ge][admsProbeID_V_g_ge]*ggeltd;
}
else
{
// V(g,ge) <+ (0.0)
// do nothing at all
}
// I(di,si) <+ (flicker_noise(((m*sigvds)*FNPowerAt1Hz),EF,"1overf"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[0]= ((m*sigvds)*FNPowerAt1Hz);
  noiseContribsExponent[0]= (model_.EF);
}
if ((((model_.RDSMOD)!=2)&&(RDrainGeo>0)))
{
// I(d,di1) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gdpr),"rd"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[1]= ((((m*4.0)*Vtm)*1.60219e-19)*gdpr);
}
if ((((model_.RDSMOD)==1)&&((model_.RDLCW)>0)))
{
// I(di1,di) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gvs_d),"rd"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[2]= ((((m*4.0)*Vtm)*1.60219e-19)*gvs_d);
}
}
}
if ((((model_.RDSMOD)!=2)&&(RSourceGeo>0)))
{
// I(s,si1) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gspr),"rs"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[3]= ((((m*4.0)*Vtm)*1.60219e-19)*gspr);
}
if ((((model_.RDSMOD)==1)&&((model_.RSLCW)>0)))
{
// I(si1,si) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gvs_s),"rs"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[4]= ((((m*4.0)*Vtm)*1.60219e-19)*gvs_s);
}
}
}
if (((model_.RGATEMOD)!=0))
{
// I(g,ge) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*ggeltd),"rg"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[5]= ((((m*4.0)*Vtm)*1.60219e-19)*ggeltd);
}
}
if (((model_.TNOIMOD)==0))
{
// I(di,si) <+ (white_noise((m*sid),"id"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[6]= (m*sid);
}
// V(n,GND) <+ (0.0)
// do nothing at all
}
else
{
// I(n,GND) <+ ((m*V(n,GND)))
staticContributions[admsNodeID_n] += (m*(probeVars[admsProbeID_V_n_GND]));
d_staticContributions[admsNodeID_n][admsProbeID_V_n_GND] += m*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND];
// I(n,GND) <+ (white_noise((m*sid),"corl"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[7]= (m*sid);
}
// I(di,si) <+ (white_noise(((m*sid)*(1.0-(ctnoi*ctnoi))),"id"))
if (getSolverState().noiseFlag)
{
  noiseContribsPower[8]= ((m*sid)*(1.0-(ctnoi*ctnoi)));
}
// I(di,si) <+ (((m*ctnoi)*V(n,GND)))
staticContributions[admsNodeID_di] += ((m*ctnoi)*(probeVars[admsProbeID_V_n_GND]));
d_staticContributions[admsNodeID_di][admsProbeID_V_n_GND] += (m*ctnoi)*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND];
d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] += m*d_ctnoi_dTemp_t_GND*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] += m*d_ctnoi_dV_gi_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] += m*d_ctnoi_dV_e_di*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] += m*d_ctnoi_dV_e_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] += m*d_ctnoi_dV_di_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] += m*d_ctnoi_dV_gi_e*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] += m*d_ctnoi_dV_gi_si1*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] += m*d_ctnoi_dV_gi_di1*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] += m*d_ctnoi_dV_ge_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] += m*d_ctnoi_dV_ge_di*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] += m*d_ctnoi_dV_gi_di*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] += m*d_ctnoi_dV_ge_e*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] += m*d_ctnoi_dV_s_si1*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] += m*d_ctnoi_dV_d_di1*(probeVars[admsProbeID_V_n_GND]);
staticContributions[admsNodeID_si] -= ((m*ctnoi)*(probeVars[admsProbeID_V_n_GND]));
d_staticContributions[admsNodeID_si][admsProbeID_V_n_GND] -= (m*ctnoi)*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND];
d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= m*d_ctnoi_dTemp_t_GND*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] -= m*d_ctnoi_dV_gi_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -= m*d_ctnoi_dV_e_di*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -= m*d_ctnoi_dV_e_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -= m*d_ctnoi_dV_di_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] -= m*d_ctnoi_dV_gi_e*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= m*d_ctnoi_dV_gi_si1*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= m*d_ctnoi_dV_gi_di1*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -= m*d_ctnoi_dV_ge_si*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] -= m*d_ctnoi_dV_ge_di*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -= m*d_ctnoi_dV_gi_di*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] -= m*d_ctnoi_dV_ge_e*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -= m*d_ctnoi_dV_s_si1*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -= m*d_ctnoi_dV_d_di1*(probeVars[admsProbeID_V_n_GND]);
// I(gi,si) <+ (ddt((((m*0.7071)*sigrat)*V(n,GND))))
dynamicContributions[admsNodeID_gi] += ((((m*0.7071)*sigrat)*(probeVars[admsProbeID_V_n_GND])));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_n_GND] += (((m*0.7071)*sigrat)*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND]);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1] += ((m*0.7071)*d_sigrat_dV_s_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1] += ((m*0.7071)*d_sigrat_dV_d_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += ((m*0.7071)*d_sigrat_dV_gi_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += ((m*0.7071)*d_sigrat_dV_gi_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si] += ((m*0.7071)*d_sigrat_dV_ge_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] += ((m*0.7071)*d_sigrat_dV_ge_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] += ((m*0.7071)*d_sigrat_dV_gi_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] += ((m*0.7071)*d_sigrat_dV_ge_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e] += ((m*0.7071)*d_sigrat_dV_gi_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += ((m*0.7071)*d_sigrat_dTemp_t_GND*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] += ((m*0.7071)*d_sigrat_dV_gi_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] += ((m*0.7071)*d_sigrat_dV_e_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] += ((m*0.7071)*d_sigrat_dV_e_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] += ((m*0.7071)*d_sigrat_dV_di_si*(probeVars[admsProbeID_V_n_GND]));
dynamicContributions[admsNodeID_si] -= ((((m*0.7071)*sigrat)*(probeVars[admsProbeID_V_n_GND])));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_n_GND] -= (((m*0.7071)*sigrat)*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND]);
d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1] -= ((m*0.7071)*d_sigrat_dV_s_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1] -= ((m*0.7071)*d_sigrat_dV_d_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] -= ((m*0.7071)*d_sigrat_dV_gi_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] -= ((m*0.7071)*d_sigrat_dV_gi_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si] -= ((m*0.7071)*d_sigrat_dV_ge_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] -= ((m*0.7071)*d_sigrat_dV_ge_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] -= ((m*0.7071)*d_sigrat_dV_gi_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_e] -= ((m*0.7071)*d_sigrat_dV_ge_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] -= ((m*0.7071)*d_sigrat_dV_gi_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] -= ((m*0.7071)*d_sigrat_dTemp_t_GND*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] -= ((m*0.7071)*d_sigrat_dV_gi_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -= ((m*0.7071)*d_sigrat_dV_e_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -= ((m*0.7071)*d_sigrat_dV_e_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -= ((m*0.7071)*d_sigrat_dV_di_si*(probeVars[admsProbeID_V_n_GND]));
// I(gi,di) <+ (ddt((((m*0.7071)*sigrat)*V(n,GND))))
dynamicContributions[admsNodeID_gi] += ((((m*0.7071)*sigrat)*(probeVars[admsProbeID_V_n_GND])));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_n_GND] += (((m*0.7071)*sigrat)*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND]);
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1] += ((m*0.7071)*d_sigrat_dV_s_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1] += ((m*0.7071)*d_sigrat_dV_d_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1] += ((m*0.7071)*d_sigrat_dV_gi_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1] += ((m*0.7071)*d_sigrat_dV_gi_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si] += ((m*0.7071)*d_sigrat_dV_ge_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] += ((m*0.7071)*d_sigrat_dV_ge_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] += ((m*0.7071)*d_sigrat_dV_gi_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] += ((m*0.7071)*d_sigrat_dV_ge_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e] += ((m*0.7071)*d_sigrat_dV_gi_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] += ((m*0.7071)*d_sigrat_dTemp_t_GND*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] += ((m*0.7071)*d_sigrat_dV_gi_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] += ((m*0.7071)*d_sigrat_dV_e_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] += ((m*0.7071)*d_sigrat_dV_e_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] += ((m*0.7071)*d_sigrat_dV_di_si*(probeVars[admsProbeID_V_n_GND]));
dynamicContributions[admsNodeID_di] -= ((((m*0.7071)*sigrat)*(probeVars[admsProbeID_V_n_GND])));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_n_GND] -= (((m*0.7071)*sigrat)*d_probeVars[admsProbeID_V_n_GND][admsProbeID_V_n_GND]);
d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1] -= ((m*0.7071)*d_sigrat_dV_s_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1] -= ((m*0.7071)*d_sigrat_dV_d_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1] -= ((m*0.7071)*d_sigrat_dV_gi_si1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1] -= ((m*0.7071)*d_sigrat_dV_gi_di1*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si] -= ((m*0.7071)*d_sigrat_dV_ge_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] -= ((m*0.7071)*d_sigrat_dV_ge_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] -= ((m*0.7071)*d_sigrat_dV_gi_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_e] -= ((m*0.7071)*d_sigrat_dV_ge_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e] -= ((m*0.7071)*d_sigrat_dV_gi_e*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND] -= ((m*0.7071)*d_sigrat_dTemp_t_GND*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] -= ((m*0.7071)*d_sigrat_dV_gi_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] -= ((m*0.7071)*d_sigrat_dV_e_di*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] -= ((m*0.7071)*d_sigrat_dV_e_si*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -= ((m*0.7071)*d_sigrat_dV_di_si*(probeVars[admsProbeID_V_n_GND]));
}
if (((model_.IGCMOD)!=0))
{
if ((sigvds>0.0))
{
// I(gi,si) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcs+igs))),"igs"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs((igcs+igs));
  noiseContribsPower[9]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
// I(gi,di) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcd+igd))),"igd"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs((igcd+igd));
  noiseContribsPower[10]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
}
else
{
// I(gi,di) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcs+igs))),"igd"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs((igcs+igs));
  noiseContribsPower[11]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
// I(gi,si) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcd+igd))),"igs"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs((igcd+igd));
  noiseContribsPower[12]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
}
}
if (((model_.IGBMOD)!=0))
{
if (((model_.BULKMOD)!=0))
{
// I(gi,e) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igbinv+igbacc))),"igb"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs((igbinv+igbacc));
  noiseContribsPower[13]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
}
else
{
// I(gi,si) <+ (white_noise((((m*2.0)*1.60219e-19)*abs(igbs)),"igbs"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs(igbs);
  noiseContribsPower[14]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
// I(gi,di) <+ (white_noise((((m*2.0)*1.60219e-19)*abs(igbd)),"igbd"))
if (getSolverState().noiseFlag)
{
double value_fabs_0 = fabs(igbd);
  noiseContribsPower[15]= (((m*2.0)*1.60219e-19)*value_fabs_0);
}
}
}
if ((((model_.SHMOD)!=0)&&((model_.RTH0)>0.0)))
{
// Pwr(t,GND) <+ ((-((((m*devsign)*sigvds)*V(di,si))*ids)))
staticContributions[admsNodeID_t] += (-((((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*ids));
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_gi_si1);
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_gi_di1);
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_gi_e);
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_gi_si);
d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_e_di);
d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_e_si);
d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += (-(((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dTemp_t_GND);
d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] += (-((((m*devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dV_di_si+((m*devsign)*sigvds)*d_probeVars[admsProbeID_V_di_si][admsProbeID_V_di_si]*ids));
if ((((model_.RDSMOD)!=2)&&(RDrainGeo>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(d,di1)))*V(d,di1))*gdpr))
staticContributions[admsNodeID_t] += (((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*gdpr);
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si1;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_di1;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_di_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_e;
d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_s_si1;
d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += ((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dTemp_t_GND;
d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1] += (((m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_d_di1+((m*(-(probeVars[admsProbeID_V_d_di1])))*d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]+m*(-d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*gdpr);
if ((((model_.RDSMOD)==1)&&((model_.RDLCW)>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(di1,di)))*V(di1,di))*gvs_d))
staticContributions[admsNodeID_t] += (((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*gvs_d);
d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_s_si1;
d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_d_di1;
d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dTemp_t_GND;
d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_e;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si1;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di1;
d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] += ((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_e;
d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] += (((m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di1_di+((m*(-(probeVars[admsProbeID_V_di1_di])))*d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di]+m*(-d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*gvs_d);
}
}
if ((((model_.RDSMOD)!=2)&&(RSourceGeo>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(s,si1)))*V(s,si1))*gspr))
staticContributions[admsNodeID_t] += (((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*gspr);
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si1;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_di_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_e;
d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += ((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dTemp_t_GND;
d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] += (((m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_s_si1+((m*(-(probeVars[admsProbeID_V_s_si1])))*d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]+m*(-d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*gspr);
if ((((model_.RDSMOD)==1)&&((model_.RSLCW)>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(si1,si)))*V(si1,si))*gvs_s))
staticContributions[admsNodeID_t] += (((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*gvs_s);
d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_s_si1;
d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_d_di1;
d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di1_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_si_si1] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_si_si1;
d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dTemp_t_GND;
d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_e;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si1;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di1;
d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_si;
d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di;
d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_e;
d_staticContributions[admsNodeID_t][admsProbeID_V_si1_si] += ((m*(-(probeVars[admsProbeID_V_si1_si])))*d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si]+m*(-d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*gvs_s;
}
}
// Pwr(t,GND) <+ (((m*Temp(t,GND))*gth))
staticContributions[admsNodeID_t] += ((m*(probeVars[admsProbeID_Temp_t_GND]))*gth);
d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += m*d_probeVars[admsProbeID_Temp_t_GND][admsProbeID_Temp_t_GND]*gth;
// Pwr(t,GND) <+ ((m*ddt((Temp(t,GND)*cth))))
dynamicContributions[admsNodeID_t] += (m*(((probeVars[admsProbeID_Temp_t_GND])*cth)));
d_dynamicContributions[admsNodeID_t][admsProbeID_Temp_t_GND] += m*(d_probeVars[admsProbeID_Temp_t_GND][admsProbeID_Temp_t_GND]*cth);
}
else
{
// Temp(t,GND) <+ (0.0)
// do nothing at all
}
WEFF = Weff0;
LEFF = Leff;
WEFFCV = WeffCV0;
LEFFCV = LeffCV;

d_IDS_dV_gi_si1 = devsign*d_ids_dV_gi_si1;
d_IDS_dV_gi_di1 = devsign*d_ids_dV_gi_di1;
d_IDS_dV_gi_e = devsign*d_ids_dV_gi_e;
d_IDS_dV_gi_si = devsign*d_ids_dV_gi_si;
d_IDS_dV_e_di = devsign*d_ids_dV_e_di;
d_IDS_dV_e_si = devsign*d_ids_dV_e_si;
d_IDS_dV_di_si = devsign*d_ids_dV_di_si;
d_IDS_dTemp_t_GND = devsign*d_ids_dTemp_t_GND;
IDS = (devsign*ids);
if ((sigvds>0.0))
{
if (((model_.BULKMOD)!=0))
{
if ((((model_.GIDLMOD)==2)&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
IDEFF = ((((IDS+(devsign*idsgen))-(devsign*(igd+igcd)))+(devsign*((Iii+igidl)+igidlb)))-(devsign*Ied));
ISEFF = (((((-IDS)-(devsign*idsgen))-(devsign*(igs+igcs)))+(devsign*(igisl+igislb)))-(devsign*Ies));
}
else
{
IDEFF = ((((IDS+(devsign*idsgen))-(devsign*(igd+igcd)))+(devsign*(Iii+igidl)))-(devsign*Ied));
ISEFF = (((((-IDS)-(devsign*idsgen))-(devsign*(igs+igcs)))+(devsign*igisl))-(devsign*Ies));
}
}
else
{
IDEFF = (((IDS+(devsign*idsgen))-(devsign*((igd+igcd)+igbd)))+(devsign*((Iii+igidl)-igisl)));
ISEFF = ((((-IDS)-(devsign*idsgen))-(devsign*((igs+igcs)+igbs)))+(devsign*((igisl-igidl)-Iii)));
}
}
else
{
if (((model_.BULKMOD)!=0))
{
if ((((model_.GIDLMOD)==2)&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
IDEFF = (((((-IDS)-(devsign*idsgen))-(devsign*(igs+igcs)))+(devsign*(igisl+igislb)))-(devsign*Ied));
ISEFF = ((((IDS+(devsign*idsgen))-(devsign*(igd+igcd)))+(devsign*((Iii+igidl)+igidlb)))-(devsign*Ies));
}
else
{
IDEFF = (((((-IDS)-(devsign*idsgen))-(devsign*(igs+igcs)))+(devsign*igisl))-(devsign*Ied));
ISEFF = ((((IDS+(devsign*idsgen))-(devsign*(igd+igcd)))+(devsign*(Iii+igidl)))-(devsign*Ies));
}
}
else
{
IDEFF = ((((-IDS)-(devsign*idsgen))-(devsign*((igs+igcs)+igbd)))+(devsign*((igisl-igidl)-Iii)));
ISEFF = (((IDS+(devsign*idsgen))-(devsign*((igd+igcd)+igbs)))+(devsign*((Iii+igidl)-igisl)));
}
}
if (((model_.BULKMOD)==0))
{
IGTOT = (devsign*(((((igs+igd)+igcs)+igcd)+igbs)+igbd));
}
else
{
IGTOT = (devsign*(((((igs+igd)+igcs)+igcd)+igbacc)+igbinv));
}
IDSGEN = ((sigvds*devsign)*idsgen);
III = (devsign*Iii);
if ((sigvds>0.0))
{
if (((((model_.BULKMOD)!=0)&&((model_.GIDLMOD)==2))&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
IGIDL = (devsign*(igidl+igidlb));
IGISL = (devsign*(igisl+igislb));
}
else
{
IGIDL = (devsign*igidl);
IGISL = (devsign*igisl);
}
}
else
{
if (((((model_.BULKMOD)!=0)&&((model_.GIDLMOD)==2))&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
IGIDL = (devsign*(igisl+igislb));
IGISL = (devsign*(igidl+igidlb));
}
else
{
IGIDL = (devsign*igisl);
IGISL = (devsign*igidl);
}
}
if (((model_.BULKMOD)!=0))
{
IJSB = ((-devsign)*Ies);
IJDB = ((-devsign)*Ied);
}
else
{
IJSB = 0.0;
IJDB = 0.0;
}
if (((model_.BULKMOD)!=0))
{
if ((((model_.GIDLMOD)==2)&&((((model_.GEOMOD)==2)||((model_.GEOMOD)==3))||((model_.GEOMOD)==5))))
{
ISUB = (((((-III)-(devsign*(igidlb+igislb)))-IJSB)-IJDB)-(devsign*(igbinv+igbacc)));
}
else
{
ISUB = ((((((-III)-IGIDL)-IGISL)-IJSB)-IJDB)-(devsign*(igbinv+igbacc)));
}
}
else
{
ISUB = 0.0;
}
BETA = beta;
Lterm0 = (((0.15*(Lg-10e-9))/10e-9)+1.12);
{
double value_pow_0 = pow((Lterm0/1.45),3);
double value_pow_1 = pow((1+value_pow_0),0.33);
Lterm = (Lterm0/value_pow_1);
}
{
double value_pow_0 = pow((Vdsat/0.5),1.8);
double value_pow_1 = pow((1+value_pow_0),(1/1.8));
double  deriv_pow_0_d0 = (((Vdsat/0.5) == 0.0)?0.0:(value_pow_0*1.8/(Vdsat/0.5)));
double  deriv_pow_1_d0 = (((1+value_pow_0) == 0.0)?0.0:(value_pow_1*(1/1.8)/(1+value_pow_0)));
VDSSAT = ((Vdsat*Lterm)/value_pow_1);
}
VDSEFF = Vdseff;
if ((NGATE_i>0.0))
{
if (((model_.CRYOMOD)==0))
{
{
double value_log_0 = log((NGATE_i/ni));
double  deriv_log_0_d0 = (1.0/(NGATE_i/ni));
VFB = ((-devsign)*(phib+(Vtm*(((NGATE_i/ni)>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
else
{
{
double value_log_0 = log(NGATE_i);
VFB = ((-devsign)*(phib+(Vtm*(((NGATE_i>1.0e-38)?value_log_0:(-87.498233534))-niln))));
}
}
}
else
{
VFB = (PHIG_i-(((model_.EASUB)+(0.5*Eg))+(devsign*phib)));
}

d_q0_dV_di_si =  0.0;
d_q0_dTemp_t_GND = (10.0*d_Vtm_dTemp_t_GND/rc);
q0 = (((10.0*Vtm)/rc)+(2.0*qbs));

d_T1_dV_ge_e = d_T1_dV_d_di1 = d_T1_dV_s_si1 = d_T1_dV_gi_di = d_T1_dV_ge_di = d_T1_dV_ge_si = d_T1_dV_gi_di1 = d_T1_dV_gi_si1 = d_T1_dV_gi_e = d_T1_dV_e_si = d_T1_dV_e_di = d_T1_dV_gi_si =  0.0;
d_T1_dV_di_si = Vtm*d_q0_dV_di_si;
d_T1_dTemp_t_GND = (Vtm*(d_Vtm_dTemp_t_GND+d_q0_dTemp_t_GND)+d_Vtm_dTemp_t_GND*(Vtm+q0));
T1 = (Vtm*(Vtm+q0));

d_T2_dTemp_t_GND = (cox*cox)*d_T1_dTemp_t_GND;
d_T2_dV_di_si = (cox*cox)*d_T1_dV_di_si;
d_T2_dV_gi_si = (cox*cox)*d_T1_dV_gi_si;
d_T2_dV_e_di = (cox*cox)*d_T1_dV_e_di;
d_T2_dV_e_si = (cox*cox)*d_T1_dV_e_si;
d_T2_dV_gi_e = (cox*cox)*d_T1_dV_gi_e;
d_T2_dV_gi_si1 = (cox*cox)*d_T1_dV_gi_si1;
d_T2_dV_gi_di1 = (cox*cox)*d_T1_dV_gi_di1;
d_T2_dV_ge_si = (cox*cox)*d_T1_dV_ge_si;
d_T2_dV_ge_di = (cox*cox)*d_T1_dV_ge_di;
d_T2_dV_gi_di = (cox*cox)*d_T1_dV_gi_di;
d_T2_dV_s_si1 = (cox*cox)*d_T1_dV_s_si1;
d_T2_dV_d_di1 = (cox*cox)*d_T1_dV_d_di1;
d_T2_dV_ge_e = (cox*cox)*d_T1_dV_ge_e;
T2 = ((cox*cox)*T1);

d_T3_dV_di1_di = d_T3_dV_d_di1 = d_T3_dV_s_si1 = d_T3_dV_ge_e = d_T3_dV_gi_di = d_T3_dV_ge_di = d_T3_dV_ge_si = d_T3_dV_gi_di1 = d_T3_dV_gi_si1 = d_T3_dV_gi_e = d_T3_dV_di_si = d_T3_dV_e_si = d_T3_dV_e_di = d_T3_dV_gi_si =  0.0;
d_T3_dTemp_t_GND = ((((2.0*1.60219e-19)*ni)*epssub)*d_Vtm_dTemp_t_GND+(2.0*1.60219e-19)*d_ni_dTemp_t_GND*epssub*Vtm);
T3 = ((((2.0*1.60219e-19)*ni)*epssub)*Vtm);
{
double value_log_0 = log((T2/T3));
double  deriv_log_0_d0 = (1.0/(T2/T3));
VTH = (VFB+(devsign*(((((((Vtm*(((T2/T3)>1.0e-38)?value_log_0:(-87.498233534)))+dvch_qm)+phib)+qbs)+Vtm)+dvth_all)-DELVTRAND)));
}
GM = (+d_IDS_dV_gi_si1+d_IDS_dV_gi_di1+d_IDS_dV_gi_e+d_IDS_dV_gi_si);
if ((sigvds>0))
{
GDS = (-d_IDS_dV_e_di+d_IDS_dV_di_si);
}
else
{
GDS = (-d_IDS_dV_gi_si-d_IDS_dV_e_si-d_IDS_dV_di_si);
}
if (((model_.BULKMOD)!=0))
{
GMBS = (-d_IDS_dV_gi_e+d_IDS_dV_e_di+d_IDS_dV_e_si);
}
else
{
GMBS = 0.0;
}

d_QGI_dV_gi_si1 = devsign*d_qg_acc_dV_gi_si1;
d_QGI_dV_gi_di1 = devsign*d_qg_acc_dV_gi_di1;
d_QGI_dV_gi_e = devsign*(d_qg_dV_gi_e+d_qg_acc_dV_gi_e);
d_QGI_dTemp_t_GND = devsign*(d_qg_dTemp_t_GND+d_qg_acc_dTemp_t_GND);
d_QGI_dV_gi_si = devsign*(d_qg_dV_gi_si+d_qg_acc_dV_gi_si);
d_QGI_dV_e_di = devsign*(d_qg_dV_e_di+d_qg_acc_dV_e_di);
d_QGI_dV_e_si = devsign*(d_qg_dV_e_si+d_qg_acc_dV_e_si);
d_QGI_dV_di_si = devsign*(d_qg_dV_di_si+d_qg_acc_dV_di_si);
QGI = (devsign*(qg+qg_acc));

d_QDI_dV_gi_e = devsign*d_qd_dV_gi_e;
d_QDI_dTemp_t_GND = devsign*d_qd_dTemp_t_GND;
d_QDI_dV_gi_si = devsign*d_qd_dV_gi_si;
d_QDI_dV_e_di = devsign*d_qd_dV_e_di;
d_QDI_dV_e_si = devsign*d_qd_dV_e_si;
d_QDI_dV_di_si = devsign*d_qd_dV_di_si;
QDI = (devsign*qd);

d_QSI_dV_gi_e = devsign*d_qs_dV_gi_e;
d_QSI_dTemp_t_GND = devsign*d_qs_dTemp_t_GND;
d_QSI_dV_gi_si = devsign*d_qs_dV_gi_si;
d_QSI_dV_e_di = devsign*d_qs_dV_e_di;
d_QSI_dV_e_si = devsign*d_qs_dV_e_si;
d_QSI_dV_di_si = devsign*d_qs_dV_di_si;
d_QSI_dV_gi_si1 = devsign*d_qs_dV_gi_si1;
d_QSI_dV_gi_di1 = devsign*d_qs_dV_gi_di1;
QSI = (devsign*qs);

d_QBI_dTemp_t_GND = devsign*d_qb_acc_dTemp_t_GND;
d_QBI_dV_di_si = devsign*d_qb_acc_dV_di_si;
d_QBI_dV_gi_si = devsign*d_qb_acc_dV_gi_si;
d_QBI_dV_e_di = devsign*d_qb_acc_dV_e_di;
d_QBI_dV_e_si = devsign*d_qb_acc_dV_e_si;
d_QBI_dV_gi_e = devsign*d_qb_acc_dV_gi_e;
d_QBI_dV_gi_si1 = devsign*d_qb_acc_dV_gi_si1;
d_QBI_dV_gi_di1 = devsign*d_qb_acc_dV_gi_di1;
QBI = (devsign*(qb+qb_acc));

d_QG_dV_e_ge = (-devsign*d_Qeg_dV_e_ge);
d_QG_dV_gi_di = (-devsign*d_Qeg_dV_gi_di);
d_QG_dV_ge_e = (-devsign*d_Qeg_dV_ge_e);
d_QG_dV_ge_d = (d_qgd_parasitic_dV_ge_d+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_d:0.0));
d_QG_dV_ge_si = (((d_qgs_parasitic_dV_ge_si+d_qgd_parasitic_dV_ge_si)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_ge_si+d_qgd_fr_dV_ge_si):0.0))-devsign*d_Qeg_dV_ge_si);
d_QG_dV_gi_si1 = ((((d_qgs_parasitic_dV_gi_si1+d_qgd_parasitic_dV_gi_si1)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_gi_si1+d_qgd_fr_dV_gi_si1):0.0))+devsign*d_qg_acc_dV_gi_si1)-devsign*d_Qeg_dV_gi_si1);
d_QG_dV_gi_di1 = ((((d_qgs_parasitic_dV_gi_di1+d_qgd_parasitic_dV_gi_di1)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_gi_di1+d_qgd_fr_dV_gi_di1):0.0))+devsign*d_qg_acc_dV_gi_di1)-devsign*d_Qeg_dV_gi_di1);
d_QG_dV_ge_di = (((d_qgs_parasitic_dV_ge_di+d_qgd_parasitic_dV_ge_di)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_ge_di+d_qgd_fr_dV_ge_di):0.0))-devsign*d_Qeg_dV_ge_di);
d_QG_dV_ge_s = (d_qgs_parasitic_dV_ge_s+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_s:0.0));
d_QG_dV_gi_e = (((((devsign*d_qg_dV_gi_e+d_qgs_parasitic_dV_gi_e)+d_qgd_parasitic_dV_gi_e)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_gi_e+d_qgd_fr_dV_gi_e):0.0))+devsign*d_qg_acc_dV_gi_e)-devsign*d_Qeg_dV_gi_e);
d_QG_dTemp_t_GND = (((((devsign*d_qg_dTemp_t_GND+d_qgs_parasitic_dTemp_t_GND)+d_qgd_parasitic_dTemp_t_GND)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dTemp_t_GND+d_qgd_fr_dTemp_t_GND):0.0))+devsign*d_qg_acc_dTemp_t_GND)-devsign*d_Qeg_dTemp_t_GND);
d_QG_dV_gi_si = (((((devsign*d_qg_dV_gi_si+d_qgs_parasitic_dV_gi_si)+d_qgd_parasitic_dV_gi_si)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_gi_si+d_qgd_fr_dV_gi_si):0.0))+devsign*d_qg_acc_dV_gi_si)-devsign*d_Qeg_dV_gi_si);
d_QG_dV_e_di = (((((devsign*d_qg_dV_e_di+d_qgs_parasitic_dV_e_di)+d_qgd_parasitic_dV_e_di)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_e_di+d_qgd_fr_dV_e_di):0.0))+devsign*d_qg_acc_dV_e_di)-devsign*d_Qeg_dV_e_di);
d_QG_dV_e_si = (((((devsign*d_qg_dV_e_si+d_qgs_parasitic_dV_e_si)+d_qgd_parasitic_dV_e_si)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_e_si+d_qgd_fr_dV_e_si):0.0))+devsign*d_qg_acc_dV_e_si)-devsign*d_Qeg_dV_e_si);
d_QG_dV_di_si = (((((devsign*d_qg_dV_di_si+d_qgs_parasitic_dV_di_si)+d_qgd_parasitic_dV_di_si)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_di_si+d_qgd_fr_dV_di_si):0.0))+devsign*d_qg_acc_dV_di_si)-devsign*d_Qeg_dV_di_si);
QG = ((((((devsign*qg)+qgs_parasitic)+qgd_parasitic)+(((model_.CGEOMOD)==1)?(qgs_fr+qgd_fr):0.0))+(devsign*qg_acc))-(devsign*Qeg));

d_QD_dV_d_s = d_qds_fr_dV_d_s;
d_QD_dV_gi_di = (-devsign*d_Qed_dV_gi_di);
d_QD_dV_s_si1 = (-devsign*d_Qed_dV_s_si1);
d_QD_dV_d_di1 = (-devsign*d_Qed_dV_d_di1);
d_QD_dV_ge_si = (((-d_qgd_parasitic_dV_ge_si)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_si:0.0))-devsign*d_Qed_dV_ge_si);
d_QD_dV_ge_di = (((-d_qgd_parasitic_dV_ge_di)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_di:0.0))-devsign*d_Qed_dV_ge_di);
d_QD_dV_gi_si1 = (((-d_qgd_parasitic_dV_gi_si1)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_gi_si1:0.0))-devsign*d_Qed_dV_gi_si1);
d_QD_dV_gi_di1 = (((-d_qgd_parasitic_dV_gi_di1)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_gi_di1:0.0))-devsign*d_Qed_dV_gi_di1);
d_QD_dV_ge_d = ((-d_qgd_parasitic_dV_ge_d)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_d:0.0));
d_QD_dV_gi_e = (((devsign*d_qd_dV_gi_e-d_qgd_parasitic_dV_gi_e)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_gi_e:0.0))-devsign*d_Qed_dV_gi_e);
d_QD_dTemp_t_GND = (((devsign*d_qd_dTemp_t_GND-d_qgd_parasitic_dTemp_t_GND)-(((model_.CGEOMOD)==1)?d_qgd_fr_dTemp_t_GND:0.0))-devsign*d_Qed_dTemp_t_GND);
d_QD_dV_gi_si = (((devsign*d_qd_dV_gi_si-d_qgd_parasitic_dV_gi_si)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_gi_si:0.0))-devsign*d_Qed_dV_gi_si);
d_QD_dV_e_di = (((devsign*d_qd_dV_e_di-d_qgd_parasitic_dV_e_di)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_e_di:0.0))-devsign*d_Qed_dV_e_di);
d_QD_dV_e_si = (((devsign*d_qd_dV_e_si-d_qgd_parasitic_dV_e_si)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_e_si:0.0))-devsign*d_Qed_dV_e_si);
d_QD_dV_di_si = (((devsign*d_qd_dV_di_si-d_qgd_parasitic_dV_di_si)-(((model_.CGEOMOD)==1)?d_qgd_fr_dV_di_si:0.0))-devsign*d_Qed_dV_di_si);
QD = (((((devsign*qd)-qgd_parasitic)-(((model_.CGEOMOD)==1)?qgd_fr:0.0))-(devsign*Qed))+qds_fr);

d_QS_dV_d_s = (-d_qds_fr_dV_d_s);
d_QS_dV_gi_di = (-devsign*d_Qes_dV_gi_di);
d_QS_dV_s_si1 = (-devsign*d_Qes_dV_s_si1);
d_QS_dV_d_di1 = (-devsign*d_Qes_dV_d_di1);
d_QS_dV_ge_si = (((-d_qgs_parasitic_dV_ge_si)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_si:0.0))-devsign*d_Qes_dV_ge_si);
d_QS_dV_ge_di = (((-d_qgs_parasitic_dV_ge_di)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_di:0.0))-devsign*d_Qes_dV_ge_di);
d_QS_dV_ge_s = ((-d_qgs_parasitic_dV_ge_s)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_s:0.0));
d_QS_dV_gi_e = (((devsign*d_qs_dV_gi_e-d_qgs_parasitic_dV_gi_e)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_gi_e:0.0))-devsign*d_Qes_dV_gi_e);
d_QS_dTemp_t_GND = (((devsign*d_qs_dTemp_t_GND-d_qgs_parasitic_dTemp_t_GND)-(((model_.CGEOMOD)==1)?d_qgs_fr_dTemp_t_GND:0.0))-devsign*d_Qes_dTemp_t_GND);
d_QS_dV_gi_si = (((devsign*d_qs_dV_gi_si-d_qgs_parasitic_dV_gi_si)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_gi_si:0.0))-devsign*d_Qes_dV_gi_si);
d_QS_dV_e_di = (((devsign*d_qs_dV_e_di-d_qgs_parasitic_dV_e_di)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_e_di:0.0))-devsign*d_Qes_dV_e_di);
d_QS_dV_e_si = (((devsign*d_qs_dV_e_si-d_qgs_parasitic_dV_e_si)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_e_si:0.0))-devsign*d_Qes_dV_e_si);
d_QS_dV_di_si = (((devsign*d_qs_dV_di_si-d_qgs_parasitic_dV_di_si)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_di_si:0.0))-devsign*d_Qes_dV_di_si);
d_QS_dV_gi_si1 = (((devsign*d_qs_dV_gi_si1-d_qgs_parasitic_dV_gi_si1)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_gi_si1:0.0))-devsign*d_Qes_dV_gi_si1);
d_QS_dV_gi_di1 = (((devsign*d_qs_dV_gi_di1-d_qgs_parasitic_dV_gi_di1)-(((model_.CGEOMOD)==1)?d_qgs_fr_dV_gi_di1:0.0))-devsign*d_Qes_dV_gi_di1);
QS = (((((devsign*qs)-qgs_parasitic)-(((model_.CGEOMOD)==1)?qgs_fr:0.0))-(devsign*Qes))-qds_fr);

d_QB_dV_s_si1 = devsign*(d_Qes_dV_s_si1+d_Qed_dV_s_si1);
d_QB_dV_d_di1 = devsign*(d_Qes_dV_d_di1+d_Qed_dV_d_di1);
d_QB_dV_e_ge = devsign*d_Qeg_dV_e_ge;
d_QB_dV_ge_si = devsign*((d_Qeg_dV_ge_si+d_Qes_dV_ge_si)+d_Qed_dV_ge_si);
d_QB_dV_ge_di = devsign*((d_Qeg_dV_ge_di+d_Qes_dV_ge_di)+d_Qed_dV_ge_di);
d_QB_dV_gi_di = devsign*((d_Qeg_dV_gi_di+d_Qes_dV_gi_di)+d_Qed_dV_gi_di);
d_QB_dV_ge_e = devsign*d_Qeg_dV_ge_e;
d_QB_dTemp_t_GND = (devsign*d_qb_acc_dTemp_t_GND+devsign*((d_Qeg_dTemp_t_GND+d_Qes_dTemp_t_GND)+d_Qed_dTemp_t_GND));
d_QB_dV_di_si = (devsign*d_qb_acc_dV_di_si+devsign*((d_Qeg_dV_di_si+d_Qes_dV_di_si)+d_Qed_dV_di_si));
d_QB_dV_gi_si = (devsign*d_qb_acc_dV_gi_si+devsign*((d_Qeg_dV_gi_si+d_Qes_dV_gi_si)+d_Qed_dV_gi_si));
d_QB_dV_e_di = (devsign*d_qb_acc_dV_e_di+devsign*((d_Qeg_dV_e_di+d_Qes_dV_e_di)+d_Qed_dV_e_di));
d_QB_dV_e_si = (devsign*d_qb_acc_dV_e_si+devsign*((d_Qeg_dV_e_si+d_Qes_dV_e_si)+d_Qed_dV_e_si));
d_QB_dV_gi_e = (devsign*d_qb_acc_dV_gi_e+devsign*((d_Qeg_dV_gi_e+d_Qes_dV_gi_e)+d_Qed_dV_gi_e));
d_QB_dV_gi_si1 = (devsign*d_qb_acc_dV_gi_si1+devsign*((d_Qeg_dV_gi_si1+d_Qes_dV_gi_si1)+d_Qed_dV_gi_si1));
d_QB_dV_gi_di1 = (devsign*d_qb_acc_dV_gi_di1+devsign*((d_Qeg_dV_gi_di1+d_Qes_dV_gi_di1)+d_Qed_dV_gi_di1));
QB = ((devsign*(qb+qb_acc))+(devsign*((Qeg+Qes)+Qed)));
CGGI = (+d_QGI_dV_gi_si1+d_QGI_dV_gi_di1+d_QGI_dV_gi_e+d_QGI_dV_gi_si);
CGSI = (-(-d_QGI_dV_gi_si-d_QGI_dV_e_si-d_QGI_dV_di_si));
CGDI = (-(-d_QGI_dV_e_di+d_QGI_dV_di_si));
CGEI = (-(-d_QGI_dV_gi_e+d_QGI_dV_e_di+d_QGI_dV_e_si));
CSGI = (-(+d_QSI_dV_gi_e+d_QSI_dV_gi_si+d_QSI_dV_gi_si1+d_QSI_dV_gi_di1));
CSDI = (-(-d_QSI_dV_e_di+d_QSI_dV_di_si));
CSSI = (-d_QSI_dV_gi_si-d_QSI_dV_e_si-d_QSI_dV_di_si);
CSEI = (-(-d_QSI_dV_gi_e+d_QSI_dV_e_di+d_QSI_dV_e_si));
CDGI = (-(+d_QDI_dV_gi_e+d_QDI_dV_gi_si));
CDDI = (-d_QDI_dV_e_di+d_QDI_dV_di_si);
CDSI = (-(-d_QDI_dV_gi_si-d_QDI_dV_e_si-d_QDI_dV_di_si));
CDEI = (-(-d_QDI_dV_gi_e+d_QDI_dV_e_di+d_QDI_dV_e_si));
CEGI = (-(+d_QBI_dV_gi_si+d_QBI_dV_gi_e+d_QBI_dV_gi_si1+d_QBI_dV_gi_di1));
CEDI = (-(+d_QBI_dV_di_si-d_QBI_dV_e_di));
CESI = (-(-d_QBI_dV_di_si-d_QBI_dV_gi_si-d_QBI_dV_e_si));
CEEI = (+d_QBI_dV_e_di+d_QBI_dV_e_si-d_QBI_dV_gi_e);
CGG = (CGGI+(-(-devsign*d_Qeg_dV_e_ge)+(-devsign*d_Qeg_dV_ge_e)+(d_qgd_parasitic_dV_ge_d+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_d:0.0))+(((d_qgs_parasitic_dV_ge_si+d_qgd_parasitic_dV_ge_si)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_ge_si+d_qgd_fr_dV_ge_si):0.0))-devsign*d_Qeg_dV_ge_si)+(((d_qgs_parasitic_dV_ge_di+d_qgd_parasitic_dV_ge_di)+(((model_.CGEOMOD)==1)?(d_qgs_fr_dV_ge_di+d_qgd_fr_dV_ge_di):0.0))-devsign*d_Qeg_dV_ge_di)+(d_qgs_parasitic_dV_ge_s+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_s:0.0))));
CGS = (-(-d_QG_dV_ge_si-d_QG_dV_gi_si-d_QG_dV_e_si-d_QG_dV_di_si));
CGD = (-(-d_QG_dV_gi_di-d_QG_dV_ge_di-d_QG_dV_e_di+d_QG_dV_di_si));
CGE = (-(+d_QG_dV_e_ge-d_QG_dV_ge_e-d_QG_dV_gi_e+d_QG_dV_e_di+d_QG_dV_e_si));
CSG = (CSGI+(+(d_qgs_parasitic_dV_ge_si+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_si:0.0))+(d_qgs_parasitic_dV_ge_di+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_di:0.0))+(d_qgs_parasitic_dV_ge_s+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_s:0.0))));
CSD = ((-(-d_QS_dV_gi_di-d_QS_dV_ge_di-d_QS_dV_e_di+d_QS_dV_di_si))+CDSP);
CSS = ((-d_QS_dV_ge_si-d_QS_dV_gi_si-d_QS_dV_e_si-d_QS_dV_di_si)+CDSP);
CSE = (-(-d_QS_dV_gi_e+d_QS_dV_e_di+d_QS_dV_e_si));
CDG = (CDGI+(+(d_qgd_parasitic_dV_ge_si+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_si:0.0))+(d_qgd_parasitic_dV_ge_di+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_di:0.0))+(d_qgd_parasitic_dV_ge_d+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_d:0.0))));
CDD = ((-d_QD_dV_gi_di-d_QD_dV_ge_di-d_QD_dV_e_di+d_QD_dV_di_si)+CDSP);
CDS = ((-(-d_QD_dV_ge_si-d_QD_dV_gi_si-d_QD_dV_e_si-d_QD_dV_di_si))+CDSP);
CDE = (-(-d_QD_dV_gi_e+d_QD_dV_e_di+d_QD_dV_e_si));
CEG = (CEGI-(-devsign*d_Qeg_dV_e_ge+devsign*d_Qeg_dV_ge_si+devsign*d_Qeg_dV_ge_di+devsign*d_Qeg_dV_ge_e));
CED = (-(-d_QB_dV_ge_di-d_QB_dV_gi_di+d_QB_dV_di_si-d_QB_dV_e_di));
CES = (-(-d_QB_dV_ge_si-d_QB_dV_di_si-d_QB_dV_gi_si-d_QB_dV_e_si));
CEE = (+d_QB_dV_e_ge-d_QB_dV_ge_e+d_QB_dV_e_di+d_QB_dV_e_si-d_QB_dV_gi_e);
CGSEXT = (-(-(d_qgs_parasitic_dV_ge_si+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_ge_si:0.0))-(d_qgs_parasitic_dV_di_si+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_di_si:0.0))-(d_qgs_parasitic_dV_gi_si+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_gi_si:0.0))-(d_qgs_parasitic_dV_e_si+(((model_.CGEOMOD)==1)?d_qgs_fr_dV_e_si:0.0))));
CGDEXT = (-(-(d_qgd_parasitic_dV_ge_di+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_ge_di:0.0))+(d_qgd_parasitic_dV_di_si+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_di_si:0.0))-(d_qgd_parasitic_dV_e_di+(((model_.CGEOMOD)==1)?d_qgd_fr_dV_e_di:0.0))));
CGBOV = ((-devsign)*(+d_Qeg_dV_e_ge+d_Qeg_dV_e_di+d_Qeg_dV_e_si-d_Qeg_dV_gi_e-d_Qeg_dV_ge_e));
CJST = ((-devsign)*(-d_Qes_dV_di_si-d_Qes_dV_gi_si-d_Qes_dV_e_si-d_Qes_dV_ge_si));
CJDT = ((-devsign)*(+d_Qed_dV_di_si-d_Qed_dV_e_di-d_Qed_dV_ge_di-d_Qed_dV_gi_di));
RSGEO = RSourceGeo;
RDGEO = RDrainGeo;
CFGEO = Cfr_geo;
T_TOTAL_K = DevTemp;
T_TOTAL_C = (DevTemp-273.15);
T_DELTA_SH = (probeVars[admsProbeID_Temp_t_GND]);
IGS = (devsign*igs);
IGD = (devsign*igd);
IGCS = (devsign*igcs);
IGCD = (devsign*igcd);
if (((model_.BULKMOD)==0))
{
IGBS = (devsign*igbs);
IGBD = (devsign*igbd);
IGBINV = 0.0;
IGBACC = 0.0;
}
else
{
IGBINV = (devsign*igbinv);
IGBACC = (devsign*igbacc);
IGBS = 0.0;
IGBD = 0.0;
}
DIDSDVG = ((devsign*sigvds)*(+d_ids_dV_gi_si1+d_ids_dV_gi_di1+d_ids_dV_gi_e+d_ids_dV_gi_si));
DIDSDVS = ((devsign*sigvds)*(-d_ids_dV_gi_si-d_ids_dV_e_si-d_ids_dV_di_si));
DIDSDVD = ((devsign*sigvds)*(-d_ids_dV_e_di+d_ids_dV_di_si));
DIGSDVG = (devsign*(+(d_igs_dV_gi_e+d_igcs_dV_gi_e)+(d_igs_dV_gi_si1+d_igcs_dV_gi_si1)+(d_igs_dV_gi_di1+d_igcs_dV_gi_di1)+(d_igs_dV_gi_si+d_igcs_dV_gi_si)+d_igs_dV_gi_di));
DIGSDVS = (devsign*(-(d_igs_dV_di_si+d_igcs_dV_di_si)-(d_igs_dV_e_si+d_igcs_dV_e_si)-(d_igs_dV_ge_si+d_igcs_dV_ge_si)-(d_igs_dV_gi_si+d_igcs_dV_gi_si)));
DIGSDVD = (devsign*(+(d_igs_dV_di_si+d_igcs_dV_di_si)-(d_igs_dV_e_di+d_igcs_dV_e_di)-(d_igs_dV_ge_di+d_igcs_dV_ge_di)-d_igs_dV_gi_di));
DIGDDVG = (devsign*(+(d_igd_dV_gi_e+d_igcd_dV_gi_e)+(d_igd_dV_gi_si1+d_igcd_dV_gi_si1)+(d_igd_dV_gi_di1+d_igcd_dV_gi_di1)+(d_igd_dV_gi_si+d_igcd_dV_gi_si)+d_igd_dV_gi_di));
DIGDDVS = (devsign*(-(d_igd_dV_di_si+d_igcd_dV_di_si)-(d_igd_dV_e_si+d_igcd_dV_e_si)-(d_igd_dV_ge_si+d_igcd_dV_ge_si)-(d_igd_dV_gi_si+d_igcd_dV_gi_si)));
DIGDDVD = (devsign*(+(d_igd_dV_di_si+d_igcd_dV_di_si)-(d_igd_dV_e_di+d_igcd_dV_e_di)-(d_igd_dV_ge_di+d_igcd_dV_ge_di)-d_igd_dV_gi_di));
DIIIDVG = (devsign*(+d_Iii_dV_gi_si+d_Iii_dV_gi_e+d_Iii_dV_gi_si1+d_Iii_dV_gi_di1));
DIIIDVS = (devsign*(-d_Iii_dV_di_si-d_Iii_dV_gi_si-d_Iii_dV_e_si-d_Iii_dV_ge_si));
DIIIDVD = (devsign*(+d_Iii_dV_di_si-d_Iii_dV_e_di-d_Iii_dV_ge_di));
DIGIDLDVG = (devsign*(+d_igidl_dV_gi_si+d_igidl_dV_gi_e+d_igidl_dV_gi_si1+d_igidl_dV_gi_di1+d_igidl_dV_gi_di));
DIGIDLDVS = (devsign*(-d_igidl_dV_gi_si-d_igidl_dV_e_si-d_igidl_dV_di_si-d_igidl_dV_ge_si));
DIGIDLDVD = (devsign*(-d_igidl_dV_e_di+d_igidl_dV_di_si-d_igidl_dV_ge_di-d_igidl_dV_gi_di));
DIGISLDVG = (devsign*(+d_igisl_dV_gi_si+d_igisl_dV_gi_e+d_igisl_dV_gi_si1+d_igisl_dV_gi_di1+d_igisl_dV_gi_di));
DIGISLDVS = (devsign*(-d_igisl_dV_gi_si-d_igisl_dV_e_si-d_igisl_dV_di_si-d_igisl_dV_ge_si));
DIGISLDVD = (devsign*(-d_igisl_dV_e_di+d_igisl_dV_di_si-d_igisl_dV_ge_di-d_igisl_dV_gi_di));
CGT = (+d_QG_dTemp_t_GND);
CST = (+d_QS_dTemp_t_GND);
CDT = (+d_QD_dTemp_t_GND);
DIDSDVTH = ((devsign*sigvds)*(+d_ids_dTemp_t_GND));
DIGSDVTH = (devsign*(+(d_igs_dTemp_t_GND+d_igcs_dTemp_t_GND)));
DIGDDVTH = (devsign*(+(d_igd_dTemp_t_GND+d_igcd_dTemp_t_GND)));
DIIIDVTH = (devsign*(+d_Iii_dTemp_t_GND));
DIGIDLDVTH = (devsign*(+d_igidl_dTemp_t_GND));
DIGISLDVTH = (devsign*(+d_igisl_dTemp_t_GND));
if (((model_.RDSMOD)!=2))
{
if ((((model_.RDSMOD)==1)&&(((model_.RDLCW)>0)||((model_.RSLCW)>0))))
{

d_ITH_dV_si_si1 = ((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_si_si1;
d_ITH_dV_si1_si = ((probeVars[admsProbeID_V_si1_si])*d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si]+d_probeVars[admsProbeID_V_si1_si][admsProbeID_V_si1_si]*(probeVars[admsProbeID_V_si1_si]))*gvs_s;
d_ITH_dV_s_si1 = (((((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_s_si1+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_s_si1)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_s_si1)+(((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_s_si1+((probeVars[admsProbeID_V_s_si1])*d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]+d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]*(probeVars[admsProbeID_V_s_si1]))*gspr));
d_ITH_dV_d_di1 = ((((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_d_di1+(((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_d_di1+((probeVars[admsProbeID_V_d_di1])*d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]+d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]*(probeVars[admsProbeID_V_d_di1]))*gdpr))+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_d_di1);
d_ITH_dV_ge_si = (((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_si+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_si);
d_ITH_dV_ge_di = (((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_di+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_di);
d_ITH_dV_gi_di = (((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di);
d_ITH_dV_ge_e = (((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_ge_e+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_ge_e);
d_ITH_dV_di1_di = ((((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di1_di+((probeVars[admsProbeID_V_di1_di])*d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di]+d_probeVars[admsProbeID_V_di1_di][admsProbeID_V_di1_di]*(probeVars[admsProbeID_V_di1_di]))*gvs_d)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di1_di);
d_ITH_dV_gi_si1 = (((((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_si1+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si1)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si1)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si1)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si1);
d_ITH_dV_gi_di1 = ((((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_di1+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_di1)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_di1)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_di1);
d_ITH_dV_gi_e = (((((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_e+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_e)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_e)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_e)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_e);
d_ITH_dV_gi_si = (((((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_si+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_gi_si)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_gi_si)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si);
d_ITH_dV_e_di = (((((probeVars[admsProbeID_V_di_si])*d_ids_dV_e_di+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_di)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_di)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_di)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_di);
d_ITH_dV_e_si = (((((probeVars[admsProbeID_V_di_si])*d_ids_dV_e_si+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_e_si)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_si)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_e_si)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_si);
d_ITH_dTemp_t_GND = (((((probeVars[admsProbeID_V_di_si])*d_ids_dTemp_t_GND+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dTemp_t_GND)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dTemp_t_GND)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dTemp_t_GND)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dTemp_t_GND);
d_ITH_dV_di_si = ((((((probeVars[admsProbeID_V_di_si])*d_ids_dV_di_si+d_probeVars[admsProbeID_V_di_si][admsProbeID_V_di_si]*ids)+((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*d_gvs_d_dV_di_si)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_di_si)+((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*d_gvs_s_dV_di_si)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_di_si);
ITH = ((((((probeVars[admsProbeID_V_di_si])*ids)+(((probeVars[admsProbeID_V_di1_di])*(probeVars[admsProbeID_V_di1_di]))*gvs_d))+(((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*gdpr))+(((probeVars[admsProbeID_V_si1_si])*(probeVars[admsProbeID_V_si1_si]))*gvs_s))+(((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*gspr));
}
else
{

d_ITH_dV_di1_di = d_ITH_dV_ge_e = d_ITH_dV_gi_di = d_ITH_dV_ge_di = d_ITH_dV_ge_si = d_ITH_dV_si1_si = d_ITH_dV_si_si1 =  0.0;
d_ITH_dV_s_si1 = (((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_s_si1+(((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_s_si1+((probeVars[admsProbeID_V_s_si1])*d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]+d_probeVars[admsProbeID_V_s_si1][admsProbeID_V_s_si1]*(probeVars[admsProbeID_V_s_si1]))*gspr));
d_ITH_dV_d_di1 = (((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_d_di1+((probeVars[admsProbeID_V_d_di1])*d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]+d_probeVars[admsProbeID_V_d_di1][admsProbeID_V_d_di1]*(probeVars[admsProbeID_V_d_di1]))*gdpr);
d_ITH_dV_gi_si1 = (((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_si1+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si1)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si1);
d_ITH_dV_gi_di1 = ((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_di1+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_di1);
d_ITH_dV_gi_e = (((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_e+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_e)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_e);
d_ITH_dV_gi_si = (((probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_si+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_gi_si)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_gi_si);
d_ITH_dV_e_di = (((probeVars[admsProbeID_V_di_si])*d_ids_dV_e_di+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_di)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_di);
d_ITH_dV_e_si = (((probeVars[admsProbeID_V_di_si])*d_ids_dV_e_si+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_e_si)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_e_si);
d_ITH_dTemp_t_GND = (((probeVars[admsProbeID_V_di_si])*d_ids_dTemp_t_GND+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dTemp_t_GND)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dTemp_t_GND);
d_ITH_dV_di_si = ((((probeVars[admsProbeID_V_di_si])*d_ids_dV_di_si+d_probeVars[admsProbeID_V_di_si][admsProbeID_V_di_si]*ids)+((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*d_gdpr_dV_di_si)+((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*d_gspr_dV_di_si);
ITH = ((((probeVars[admsProbeID_V_di_si])*ids)+(((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))*gdpr))+(((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))*gspr));
}
}
else
{

d_ITH_dV_di1_di = d_ITH_dV_ge_e = d_ITH_dV_gi_di = d_ITH_dV_ge_di = d_ITH_dV_ge_si = d_ITH_dV_d_di1 = d_ITH_dV_s_si1 = d_ITH_dV_si1_si = d_ITH_dV_si_si1 =  0.0;
d_ITH_dV_gi_si1 = (probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_si1;
d_ITH_dV_gi_di1 = (probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_di1;
d_ITH_dV_gi_e = (probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_e;
d_ITH_dV_gi_si = (probeVars[admsProbeID_V_di_si])*d_ids_dV_gi_si;
d_ITH_dV_e_di = (probeVars[admsProbeID_V_di_si])*d_ids_dV_e_di;
d_ITH_dV_e_si = (probeVars[admsProbeID_V_di_si])*d_ids_dV_e_si;
d_ITH_dTemp_t_GND = (probeVars[admsProbeID_V_di_si])*d_ids_dTemp_t_GND;
d_ITH_dV_di_si = ((probeVars[admsProbeID_V_di_si])*d_ids_dV_di_si+d_probeVars[admsProbeID_V_di_si][admsProbeID_V_di_si]*ids);
ITH = ((probeVars[admsProbeID_V_di_si])*ids);
}
DITHDVTH = (+d_ITH_dTemp_t_GND);
DITHDVG = (+d_ITH_dV_gi_di+d_ITH_dV_gi_si1+d_ITH_dV_gi_di1+d_ITH_dV_gi_e+d_ITH_dV_gi_si);
DITHDVS = (+d_ITH_dV_si_si1-d_ITH_dV_si1_si-d_ITH_dV_ge_si-d_ITH_dV_gi_si-d_ITH_dV_e_si-d_ITH_dV_di_si);
DITHDVD = (-d_ITH_dV_ge_di-d_ITH_dV_gi_di-d_ITH_dV_di1_di-d_ITH_dV_e_di+d_ITH_dV_di_si);
VDSAT = Vdsat;
VDS = vds;
VGS = vgs;
VBS = (probeVars[admsProbeID_V_e_s]);


  // -- endcode converted from analog/code block
  if (DEBUG_DEVICE && isActive(Diag::DEVICE_PARAMETERS) && getSolverState().debugTimeFlag)
  {
    Xyce::dout() << " probeVars[admsProbeID_V_ge_GND] =  "
         <<probeVars[admsProbeID_V_ge_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_GND] =  "
         <<probeVars[admsProbeID_V_e_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_si_GND] =  "
         <<probeVars[admsProbeID_V_si_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_di_GND] =  "
         <<probeVars[admsProbeID_V_di_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_gi_GND] =  "
         <<probeVars[admsProbeID_V_gi_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_n_GND] =  "
         <<probeVars[admsProbeID_V_n_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_ge] =  "
         <<probeVars[admsProbeID_V_g_ge] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_ge_gi] =  "
         <<probeVars[admsProbeID_V_ge_gi] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_si1_si] =  "
         <<probeVars[admsProbeID_V_si1_si] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_si_si1] =  "
         <<probeVars[admsProbeID_V_si_si1] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_di1_di] =  "
         <<probeVars[admsProbeID_V_di1_di] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_q_GND] =  "
         <<probeVars[admsProbeID_V_q_GND] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_ge_e] =  "
         <<probeVars[admsProbeID_V_ge_e] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_ge] =  "
         <<probeVars[admsProbeID_V_e_ge] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_ge_d] =  "
         <<probeVars[admsProbeID_V_ge_d] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_ge_s] =  "
         <<probeVars[admsProbeID_V_ge_s] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_ge_di] =  "
         <<probeVars[admsProbeID_V_ge_di] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_ge_si] =  "
         <<probeVars[admsProbeID_V_ge_si] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_d_di1] =  "
         <<probeVars[admsProbeID_V_d_di1] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_gi_di1] =  "
         <<probeVars[admsProbeID_V_gi_di1] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_s_si1] =  "
         <<probeVars[admsProbeID_V_s_si1] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_gi_si1] =  "
         <<probeVars[admsProbeID_V_gi_si1] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_s] =  "
         <<probeVars[admsProbeID_V_e_s] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_d_s] =  "
         <<probeVars[admsProbeID_V_d_s] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_g_s] =  "
         <<probeVars[admsProbeID_V_g_s] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_gi_e] =  "
         <<probeVars[admsProbeID_V_gi_e] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_di] =  "
         <<probeVars[admsProbeID_V_e_di] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_e_si] =  "
         <<probeVars[admsProbeID_V_e_si] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_gi_di] =  "
         <<probeVars[admsProbeID_V_gi_di] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_di_si] =  "
         <<probeVars[admsProbeID_V_di_si] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_V_gi_si] =  "
         <<probeVars[admsProbeID_V_gi_si] << std::endl;
    Xyce::dout() << " probeVars[admsProbeID_Temp_t_GND] =  "
         <<probeVars[admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_d] =  "
         <<staticContributions[admsNodeID_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_d].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_d][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_d] =  "
         <<dynamicContributions[admsNodeID_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_d].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_d][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_g] =  "
         <<staticContributions[admsNodeID_g] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_g].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_g][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_g] =  "
         <<dynamicContributions[admsNodeID_g] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_g].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_g][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_s] =  "
         <<staticContributions[admsNodeID_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_s].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_s][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_s] =  "
         <<dynamicContributions[admsNodeID_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_s].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_s][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_e] =  "
         <<staticContributions[admsNodeID_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_e].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_e] =  "
         <<dynamicContributions[admsNodeID_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_e].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_t] =  "
         <<staticContributions[admsNodeID_t] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_t].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_t] =  "
         <<dynamicContributions[admsNodeID_t] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_t].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_t][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_di] =  "
         <<staticContributions[admsNodeID_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_di] =  "
         <<dynamicContributions[admsNodeID_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_si] =  "
         <<staticContributions[admsNodeID_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_si] =  "
         <<dynamicContributions[admsNodeID_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_di1] =  "
         <<staticContributions[admsNodeID_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_di1].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_di1][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_di1] =  "
         <<dynamicContributions[admsNodeID_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_di1].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_di1][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_si1] =  "
         <<staticContributions[admsNodeID_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_si1].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_si1][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_si1] =  "
         <<dynamicContributions[admsNodeID_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_si1].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_si1][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_ge] =  "
         <<staticContributions[admsNodeID_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_ge].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_ge] =  "
         <<dynamicContributions[admsNodeID_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_ge].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_gi] =  "
         <<staticContributions[admsNodeID_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_gi].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_gi] =  "
         <<dynamicContributions[admsNodeID_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_gi].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_q] =  "
         <<staticContributions[admsNodeID_q] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_q].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_q][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_q] =  "
         <<dynamicContributions[admsNodeID_q] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_q].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_q][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " staticContributions[admsNodeID_n] =  "
         <<staticContributions[admsNodeID_n] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_e_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_si_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_di_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_gi_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_n_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_g_ge) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_gi) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_si1_si) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_si_si1) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_di1_di) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_q_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_e) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_e_ge) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_d) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_s) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_di) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_ge_si) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_d_di1) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_gi_di1) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_s_si1) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_gi_si1) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_e_s) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_d_s) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_g_s) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_gi_e) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_e_di) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_e_si) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_gi_di) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_di_si) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_V_gi_si) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    staticContributions[admsNodeID_n].dx(admsProbeID_Temp_t_GND) =  " <<d_staticContributions[admsNodeID_n][admsProbeID_Temp_t_GND] << std::endl;
    Xyce::dout() << " dynamicContributions[admsNodeID_n] =  "
         <<dynamicContributions[admsNodeID_n] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_e_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_e_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_si_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_si_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_di_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_di_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_gi_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_gi_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_n_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_n_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_g_ge) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_g_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_gi) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_gi] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_si1_si) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_si1_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_si_si1) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_si_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_di1_di) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_di1_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_q_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_q_GND] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_e) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_e_ge) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_e_ge] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_d) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_d] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_s) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_di) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_ge_si) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_ge_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_d_di1) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_d_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_gi_di1) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_gi_di1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_s_si1) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_s_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_gi_si1) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_gi_si1] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_e_s) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_e_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_d_s) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_d_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_g_s) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_g_s] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_gi_e) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_gi_e] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_e_di) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_e_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_e_si) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_e_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_gi_di) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_gi_di] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_di_si) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_di_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_V_gi_si) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_V_gi_si] << std::endl;
      Xyce::dout() << "    dynamicContributions[admsNodeID_n].dx(admsProbeID_Temp_t_GND) =  " <<d_dynamicContributions[admsNodeID_n][admsProbeID_Temp_t_GND] << std::endl;

    if (!origFlag)
      Xyce::dout() << "This step was limited by this device." << std::endl;
  }


  if (loadLeadCurrent)
  {
    // If needed, we must now copy all the data from staticContributions
    // and dynamicContributionsinto the lead current F vector
    // Must make sure all collapsed node contributions get summed into the
    // external nodes properly.
    for ( int unmappedNode=0; unmappedNode < 5 ; unmappedNode++)
    {
      leadCurrentF[unmappedNode] = 0.0;
      leadCurrentQ[unmappedNode] = 0.0;
    }
    for ( int unmappedNode=0; unmappedNode < 13; unmappedNode++)
    {
      if (nodeMap[unmappedNode] < 5 && nodeMap[unmappedNode] != -1 )
      {
        leadCurrentF[nodeMap[unmappedNode]] += staticContributions[unmappedNode];
        leadCurrentQ[nodeMap[unmappedNode]] += dynamicContributions[unmappedNode];
      }
    }
  }
  return true;
}

//-----------------------------------------------------------------------------
// Function      : Instance::getNumNoiseSources
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
int Instance::getNumNoiseSources () const
{
return 16;
}

//-----------------------------------------------------------------------------
// Function      : Instance::setupNoiseSources
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::setupNoiseSources (Xyce::Analysis::NoiseData & noiseData)
{
int numSources=getNumNoiseSources();
noiseData.numSources = numSources;
noiseData.resize(numSources);

noiseData.deviceName = getName().getEncodedName();
std::string theNoiseName;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_flicker_di_si")+std::string("_")+std::string("1overf");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[0]=theNoiseName;
noiseData.li_Pos[0]=li_di;
noiseData.li_Neg[0]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_d_di1")+std::string("_")+std::string("rd");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[1]=theNoiseName;
noiseData.li_Pos[1]=li_d;
noiseData.li_Neg[1]=li_di1;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_di1_di")+std::string("_")+std::string("rd");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[2]=theNoiseName;
noiseData.li_Pos[2]=li_di1;
noiseData.li_Neg[2]=li_di;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_s_si1")+std::string("_")+std::string("rs");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[3]=theNoiseName;
noiseData.li_Pos[3]=li_s;
noiseData.li_Neg[3]=li_si1;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_si1_si")+std::string("_")+std::string("rs");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[4]=theNoiseName;
noiseData.li_Pos[4]=li_si1;
noiseData.li_Neg[4]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_g_ge")+std::string("_")+std::string("rg");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[5]=theNoiseName;
noiseData.li_Pos[5]=li_g;
noiseData.li_Neg[5]=li_ge;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_di_si")+std::string("_")+std::string("id");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[6]=theNoiseName;
noiseData.li_Pos[6]=li_di;
noiseData.li_Neg[6]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_n_GND")+std::string("_")+std::string("corl");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[7]=theNoiseName;
noiseData.li_Pos[7]=li_n;
noiseData.li_Neg[7]=-1;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_di_si")+std::string("_")+std::string("id");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[8]=theNoiseName;
noiseData.li_Pos[8]=li_di;
noiseData.li_Neg[8]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_si")+std::string("_")+std::string("igs");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[9]=theNoiseName;
noiseData.li_Pos[9]=li_gi;
noiseData.li_Neg[9]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_di")+std::string("_")+std::string("igd");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[10]=theNoiseName;
noiseData.li_Pos[10]=li_gi;
noiseData.li_Neg[10]=li_di;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_di")+std::string("_")+std::string("igd");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[11]=theNoiseName;
noiseData.li_Pos[11]=li_gi;
noiseData.li_Neg[11]=li_di;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_si")+std::string("_")+std::string("igs");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[12]=theNoiseName;
noiseData.li_Pos[12]=li_gi;
noiseData.li_Neg[12]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_e")+std::string("_")+std::string("igb");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[13]=theNoiseName;
noiseData.li_Pos[13]=li_gi;
noiseData.li_Neg[13]=li_e;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_si")+std::string("_")+std::string("igbs");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[14]=theNoiseName;
noiseData.li_Pos[14]=li_gi;
noiseData.li_Neg[14]=li_si;
theNoiseName = std::string("noise_")+getName().getEncodedName()+std::string("_white_gi_di")+std::string("_")+std::string("igbd");
std::replace(theNoiseName.begin(), theNoiseName.end(), ' ', '_');
noiseData.noiseNames[15]=theNoiseName;
noiseData.li_Pos[15]=li_gi;
noiseData.li_Neg[15]=li_di;


}
//-----------------------------------------------------------------------------
// Function      : Instance::getNoiseSources
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void Instance::getNoiseSources (Xyce::Analysis::NoiseData & noiseData)
{noiseData.noiseDens[0] = noiseContribsPower[0];

      noiseData.noiseDens[0] /= pow(noiseData.freq,noiseContribsExponent[0]);noiseData.lnNoiseDens[0] = std::log(std::max(noiseData.noiseDens[0],N_MINLOG));
noiseData.noiseDens[1] = noiseContribsPower[1];
noiseData.lnNoiseDens[1] = std::log(std::max(noiseData.noiseDens[1],N_MINLOG));
noiseData.noiseDens[2] = noiseContribsPower[2];
noiseData.lnNoiseDens[2] = std::log(std::max(noiseData.noiseDens[2],N_MINLOG));
noiseData.noiseDens[3] = noiseContribsPower[3];
noiseData.lnNoiseDens[3] = std::log(std::max(noiseData.noiseDens[3],N_MINLOG));
noiseData.noiseDens[4] = noiseContribsPower[4];
noiseData.lnNoiseDens[4] = std::log(std::max(noiseData.noiseDens[4],N_MINLOG));
noiseData.noiseDens[5] = noiseContribsPower[5];
noiseData.lnNoiseDens[5] = std::log(std::max(noiseData.noiseDens[5],N_MINLOG));
noiseData.noiseDens[6] = noiseContribsPower[6];
noiseData.lnNoiseDens[6] = std::log(std::max(noiseData.noiseDens[6],N_MINLOG));
noiseData.noiseDens[7] = noiseContribsPower[7];
noiseData.lnNoiseDens[7] = std::log(std::max(noiseData.noiseDens[7],N_MINLOG));
noiseData.noiseDens[8] = noiseContribsPower[8];
noiseData.lnNoiseDens[8] = std::log(std::max(noiseData.noiseDens[8],N_MINLOG));
noiseData.noiseDens[9] = noiseContribsPower[9];
noiseData.lnNoiseDens[9] = std::log(std::max(noiseData.noiseDens[9],N_MINLOG));
noiseData.noiseDens[10] = noiseContribsPower[10];
noiseData.lnNoiseDens[10] = std::log(std::max(noiseData.noiseDens[10],N_MINLOG));
noiseData.noiseDens[11] = noiseContribsPower[11];
noiseData.lnNoiseDens[11] = std::log(std::max(noiseData.noiseDens[11],N_MINLOG));
noiseData.noiseDens[12] = noiseContribsPower[12];
noiseData.lnNoiseDens[12] = std::log(std::max(noiseData.noiseDens[12],N_MINLOG));
noiseData.noiseDens[13] = noiseContribsPower[13];
noiseData.lnNoiseDens[13] = std::log(std::max(noiseData.noiseDens[13],N_MINLOG));
noiseData.noiseDens[14] = noiseContribsPower[14];
noiseData.lnNoiseDens[14] = std::log(std::max(noiseData.noiseDens[14],N_MINLOG));
noiseData.noiseDens[15] = noiseContribsPower[15];
noiseData.lnNoiseDens[15] = std::log(std::max(noiseData.noiseDens[15],N_MINLOG));

}

//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdFdx
// Purpose       :
// Special Notes : Load the dFdx ("static jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdFdx()
{
  bool bsuccess = true;
  Linear::Matrix & dFdx = *(extData.dFdxMatrixPtr);

#ifndef Xyce_NONPOINTER_MATRIX_LOAD
  (*f_di_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1];
  (*f_di_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1];
  (*f_si_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1];
  (*f_si_Equ_si1_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1];
  (*f_di_Equ_di1_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1];
  (*f_si_Equ_di1_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1];
  (*f_di_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e];
  (*f_si_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e];
  (*f_di_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si];
  (*f_si_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_si][admsProbeID_V_si1_si] +d_staticContributions[admsNodeID_si][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si];
  (*f_di_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_e_di];
  (*f_si_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_si][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  (*f_di_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND];
}
if (!collapseNode_t)
{
  (*f_si_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND];
}
if (!collapseNode_q)
{
  (*f_gi_Equ_q_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_q_GND];
}
if (!collapseNode_q)
{
  (*f_si_Equ_q_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_q_GND];
}
  (*f_gi_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si];
  (*f_gi_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si];
  (*f_si_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si];
  (*f_gi_Equ_di_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di];
  (*f_gi_Equ_gi_Node_Ptr) +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di];
  (*f_gi_Equ_e_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e];
  (*f_gi_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1];
  (*f_gi_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1];
if (!collapseNode_t)
{
  (*f_gi_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND];
}
if (!collapseNode_q)
{
  (*f_di_Equ_q_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_q_GND];
}
  (*f_di_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si];
  (*f_gi_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1];
  (*f_si_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1];
  (*f_gi_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1];
  (*f_si_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1];
  (*f_di_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1];
  (*f_di_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1];
if (!collapseNode_t)
{
  (*f_e_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND];
}
  (*f_e_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si];
  (*f_e_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si];
  (*f_e_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_e][admsProbeID_V_e_di];
  (*f_e_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_e_di];
  (*f_e_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1];
  (*f_e_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1];
  (*f_e_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1];
  (*f_e_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1];
  (*f_e_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si];
  (*f_ge_Equ_e_Node_Ptr) +=  +d_staticContributions[admsNodeID_ge][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_ge][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_e] -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_e];
  (*f_ge_Equ_ge_Node_Ptr) +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_g_ge] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_si];
if (!collapseNode_t)
{
  (*f_ge_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_ge][admsProbeID_Temp_t_GND];
}
  (*f_ge_Equ_gi_Node_Ptr) +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di];
  (*f_ge_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_si];
  (*f_ge_Equ_di_Node_Ptr) +=  +d_staticContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_di];
  (*f_ge_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si1];
  (*f_ge_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di1];
  (*f_d_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_d_di1];
  (*f_d_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_s_si1];
  (*f_s_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_s][admsProbeID_V_s_si1];
  (*f_s_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_s][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_s][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si];
if (!collapseNode_t)
{
  (*f_s_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_s][admsProbeID_Temp_t_GND];
}
  (*f_s_Equ_di_Node_Ptr) +=  +d_staticContributions[admsNodeID_s][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_s][admsProbeID_V_e_di];
  (*f_s_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si1];
  (*f_s_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_s][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_s][admsProbeID_V_e_di];
  (*f_s_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_s][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si1];
  (*f_d_Equ_di_Node_Ptr) +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_d][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  (*f_d_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_d][admsProbeID_Temp_t_GND];
}
  (*f_d_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_d][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si];
  (*f_d_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si1];
  (*f_d_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_d][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_d][admsProbeID_V_e_di];
  (*f_d_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si1];
  (*f_d_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di1];
  (*f_di1_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1];
  (*f_di1_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1];
  (*f_di1_Equ_di1_Node_Ptr) +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1];
  (*f_di1_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si];
  (*f_di1_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_e] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di];
  (*f_di1_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di];
  (*f_di1_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1];
if (!collapseNode_t)
{
  (*f_di1_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_di1][admsProbeID_Temp_t_GND];
}
  (*f_di1_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1];
  (*f_di1_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_si];
  (*f_si1_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1];
  (*f_si1_Equ_si1_Node_Ptr) +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1];
  (*f_si1_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_si] +d_staticContributions[admsNodeID_si1][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si];
  (*f_si1_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_e] -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di];
  (*f_si1_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_di] -d_staticContributions[admsNodeID_si1][admsProbeID_V_di1_di] +d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  (*f_si1_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_si1][admsProbeID_Temp_t_GND];
}
  (*f_si1_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1];
  (*f_si1_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_d_di1];
  (*f_si1_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_si1][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_si1][admsProbeID_V_d_di1];
  (*f_si1_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_si];
if (!collapseNode_q)
{
  (*f_q_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di];
}
if (!collapseNode_q)
{
  (*f_q_Equ_e_Node_Ptr) +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_q][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_e] -d_staticContributions[admsNodeID_q][admsProbeID_V_ge_e];
}
if (!collapseNode_q)
{
if (!collapseNode_t)
{
  (*f_q_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_q][admsProbeID_Temp_t_GND];
}
}
if (!collapseNode_q)
{
  (*f_q_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_q][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_ge_si];
}
if (!collapseNode_q)
{
  (*f_q_Equ_di_Node_Ptr) +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_q][admsProbeID_V_ge_di];
}
if (!collapseNode_q)
{
  (*f_q_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_q][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_q][admsProbeID_V_ge_si];
}
if (!collapseNode_q)
{
  (*f_q_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si1];
}
if (!collapseNode_q)
{
  (*f_q_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di1];
}
if (!collapseNode_q)
{
  (*f_q_Equ_q_Node_Ptr) +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_q_GND];
}
  (*f_g_Equ_g_Node_Ptr) +=  +d_staticContributions[admsNodeID_g][admsProbeID_V_g_ge];
  (*f_g_Equ_ge_Node_Ptr) +=  -d_staticContributions[admsNodeID_g][admsProbeID_V_g_ge];
  (*f_ge_Equ_g_Node_Ptr) +=  +d_staticContributions[admsNodeID_ge][admsProbeID_V_g_ge];
if (!collapseNode_t)
{
  (*f_g_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_g][admsProbeID_Temp_t_GND];
}
if (!collapseNode_n)
{
  (*f_n_Equ_n_Node_Ptr) +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  (*f_n_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_s_si1];
}
if (!collapseNode_n)
{
  (*f_n_Equ_si1_Node_Ptr) +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si1] -d_staticContributions[admsNodeID_n][admsProbeID_V_s_si1];
}
if (!collapseNode_n)
{
  (*f_n_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_d_di1];
}
if (!collapseNode_n)
{
  (*f_n_Equ_di1_Node_Ptr) +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di1] -d_staticContributions[admsNodeID_n][admsProbeID_V_d_di1];
}
if (!collapseNode_n)
{
  (*f_n_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_n][admsProbeID_V_ge_di] -d_staticContributions[admsNodeID_n][admsProbeID_V_e_di] +d_staticContributions[admsNodeID_n][admsProbeID_V_di_si];
}
if (!collapseNode_n)
{
  (*f_n_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_n][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_n][admsProbeID_V_di_si];
}
if (!collapseNode_n)
{
  (*f_n_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si];
}
if (!collapseNode_n)
{
  (*f_n_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_ge_e] -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_n][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_n][admsProbeID_V_e_di];
}
if (!collapseNode_n)
{
  (*f_n_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_n][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_n][admsProbeID_V_ge_si];
}
if (!collapseNode_n)
{
if (!collapseNode_t)
{
  (*f_n_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_n][admsProbeID_Temp_t_GND];
}
}
if (!collapseNode_n)
{
  (*f_di_Equ_n_Node_Ptr) +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  (*f_si_Equ_n_Node_Ptr) +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_n_GND];
}
if (!collapseNode_t)
{
  (*f_t_Equ_gi_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1];
}
if (!collapseNode_t)
{
  (*f_t_Equ_si1_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1];
}
if (!collapseNode_t)
{
  (*f_t_Equ_di1_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1];
}
if (!collapseNode_t)
{
  (*f_t_Equ_e_Node_Ptr) +=  -d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e];
}
if (!collapseNode_t)
{
  (*f_t_Equ_si_Node_Ptr) +=  -d_staticContributions[admsNodeID_t][admsProbeID_V_si1_si] +d_staticContributions[admsNodeID_t][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si];
}
if (!collapseNode_t)
{
  (*f_t_Equ_di_Node_Ptr) +=  -d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_e_di];
}
if (!collapseNode_t)
{
  (*f_t_Equ_t_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND];
}
if (!collapseNode_t)
{
  (*f_t_Equ_s_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1];
}
if (!collapseNode_t)
{
  (*f_t_Equ_d_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1];
}
if (!collapseNode_t)
{
  (*f_t_Equ_ge_Node_Ptr) +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si];
}

#else
  //use the offsets instead of pointers
  dFdx[li_di][A_di_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1];
  dFdx[li_di][A_di_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si1];
  dFdx[li_si][A_si_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1];
  dFdx[li_si][A_si_Equ_si1_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si1];
  dFdx[li_di][A_di_Equ_di1_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di1];
  dFdx[li_si][A_si_Equ_di1_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di1];
  dFdx[li_di][A_di_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_di][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_e];
  dFdx[li_si][A_si_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_si][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_e];
  dFdx[li_di][A_di_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_si];
  dFdx[li_si][A_si_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_si][admsProbeID_V_si1_si] +d_staticContributions[admsNodeID_si][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_si];
  dFdx[li_di][A_di_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_di][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di][admsProbeID_V_e_di];
  dFdx[li_si][A_si_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_si][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_si][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  dFdx[li_di][A_di_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_Temp_t_GND];
}
if (!collapseNode_t)
{
  dFdx[li_si][A_si_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_Temp_t_GND];
}
if (!collapseNode_q)
{
  dFdx[li_gi][A_gi_Equ_q_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_q_GND];
}
if (!collapseNode_q)
{
  dFdx[li_si][A_si_Equ_q_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_q_GND];
}
  dFdx[li_gi][A_gi_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si];
  dFdx[li_gi][A_gi_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_si];
  dFdx[li_si][A_si_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_si][admsProbeID_V_ge_si];
  dFdx[li_gi][A_gi_Equ_di_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_di];
  dFdx[li_gi][A_gi_Equ_gi_NodeOffset] +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di];
  dFdx[li_gi][A_gi_Equ_e_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_gi][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_e] -d_staticContributions[admsNodeID_gi][admsProbeID_V_ge_e];
  dFdx[li_gi][A_gi_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_si1];
  dFdx[li_gi][A_gi_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_gi][admsProbeID_V_gi_di1];
if (!collapseNode_t)
{
  dFdx[li_gi][A_gi_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_Temp_t_GND];
}
if (!collapseNode_q)
{
  dFdx[li_di][A_di_Equ_q_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_q_GND];
}
  dFdx[li_di][A_di_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di][admsProbeID_V_ge_si];
  dFdx[li_gi][A_gi_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_s_si1];
  dFdx[li_si][A_si_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_s_si1];
  dFdx[li_gi][A_gi_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_gi][admsProbeID_V_d_di1];
  dFdx[li_si][A_si_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_d_di1];
  dFdx[li_di][A_di_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_s_si1];
  dFdx[li_di][A_di_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_d_di1];
if (!collapseNode_t)
{
  dFdx[li_e][A_e_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_e][admsProbeID_Temp_t_GND];
}
  dFdx[li_e][A_e_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si];
  dFdx[li_e][A_e_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si];
  dFdx[li_e][A_e_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_e][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_e][admsProbeID_V_e_di];
  dFdx[li_e][A_e_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_e][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_e][admsProbeID_V_e_di];
  dFdx[li_e][A_e_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1];
  dFdx[li_e][A_e_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_si1] -d_staticContributions[admsNodeID_e][admsProbeID_V_s_si1];
  dFdx[li_e][A_e_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1];
  dFdx[li_e][A_e_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_e][admsProbeID_V_gi_di1] -d_staticContributions[admsNodeID_e][admsProbeID_V_d_di1];
  dFdx[li_e][A_e_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_e][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_e][admsProbeID_V_ge_si];
  dFdx[li_ge][A_ge_Equ_e_NodeOffset] +=  +d_staticContributions[admsNodeID_ge][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_ge][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_e] -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_e];
  dFdx[li_ge][A_ge_Equ_ge_NodeOffset] +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_g_ge] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_si];
if (!collapseNode_t)
{
  dFdx[li_ge][A_ge_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_ge][admsProbeID_Temp_t_GND];
}
  dFdx[li_ge][A_ge_Equ_gi_NodeOffset] +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_gi] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di];
  dFdx[li_ge][A_ge_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_si];
  dFdx[li_ge][A_ge_Equ_di_NodeOffset] +=  +d_staticContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_ge][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_ge][admsProbeID_V_ge_di];
  dFdx[li_ge][A_ge_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_si1];
  dFdx[li_ge][A_ge_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_ge][admsProbeID_V_gi_di1];
  dFdx[li_d][A_d_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_d_di1];
  dFdx[li_d][A_d_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_s_si1];
  dFdx[li_s][A_s_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_s][admsProbeID_V_s_si1];
  dFdx[li_s][A_s_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_s][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_s][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si];
if (!collapseNode_t)
{
  dFdx[li_s][A_s_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_s][admsProbeID_Temp_t_GND];
}
  dFdx[li_s][A_s_Equ_di_NodeOffset] +=  +d_staticContributions[admsNodeID_s][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_s][admsProbeID_V_e_di];
  dFdx[li_s][A_s_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si1];
  dFdx[li_s][A_s_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_s][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_s][admsProbeID_V_e_di];
  dFdx[li_s][A_s_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_s][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_s][admsProbeID_V_gi_si1];
  dFdx[li_d][A_d_Equ_di_NodeOffset] +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_d][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  dFdx[li_d][A_d_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_d][admsProbeID_Temp_t_GND];
}
  dFdx[li_d][A_d_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_d][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si];
  dFdx[li_d][A_d_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si1];
  dFdx[li_d][A_d_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_d][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_d][admsProbeID_V_e_di];
  dFdx[li_d][A_d_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_si1];
  dFdx[li_d][A_d_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_d][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_d][admsProbeID_V_gi_di1];
  dFdx[li_di1][A_di1_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1];
  dFdx[li_di1][A_di1_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si1];
  dFdx[li_di1][A_di1_Equ_di1_NodeOffset] +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di1];
  dFdx[li_di1][A_di1_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_si];
  dFdx[li_di1][A_di1_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_e] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_di1][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di];
  dFdx[li_di1][A_di1_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_di1][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_di1][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_di1][admsProbeID_V_e_di];
  dFdx[li_di1][A_di1_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_s_si1];
if (!collapseNode_t)
{
  dFdx[li_di1][A_di1_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_di1][admsProbeID_Temp_t_GND];
}
  dFdx[li_di1][A_di1_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_d_di1];
  dFdx[li_di1][A_di1_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_di1][admsProbeID_V_ge_si];
  dFdx[li_si1][A_si1_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1];
  dFdx[li_si1][A_si1_Equ_si1_NodeOffset] +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si1];
  dFdx[li_si1][A_si1_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_si] +d_staticContributions[admsNodeID_si1][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_si];
  dFdx[li_si1][A_si1_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_e] -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_si1][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di];
  dFdx[li_si1][A_si1_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_di] -d_staticContributions[admsNodeID_si1][admsProbeID_V_di1_di] +d_staticContributions[admsNodeID_si1][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_si1][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  dFdx[li_si1][A_si1_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_si1][admsProbeID_Temp_t_GND];
}
  dFdx[li_si1][A_si1_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_s_si1];
  dFdx[li_si1][A_si1_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_d_di1];
  dFdx[li_si1][A_si1_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_si1][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_si1][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_si1][admsProbeID_V_d_di1];
  dFdx[li_si1][A_si1_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_si1][admsProbeID_V_ge_si];
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di];
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_e_NodeOffset] +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_q][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_e] -d_staticContributions[admsNodeID_q][admsProbeID_V_ge_e];
}
if (!collapseNode_q)
{
if (!collapseNode_t)
{
  dFdx[li_q][A_q_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_q][admsProbeID_Temp_t_GND];
}
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_q][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_ge_si];
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_di_NodeOffset] +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_q][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_q][admsProbeID_V_ge_di];
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_q][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_q][admsProbeID_V_ge_si];
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_si1];
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_q][admsProbeID_V_gi_di1];
}
if (!collapseNode_q)
{
  dFdx[li_q][A_q_Equ_q_NodeOffset] +=  +d_staticContributions[admsNodeID_q][admsProbeID_V_q_GND];
}
  dFdx[li_g][A_g_Equ_g_NodeOffset] +=  +d_staticContributions[admsNodeID_g][admsProbeID_V_g_ge];
  dFdx[li_g][A_g_Equ_ge_NodeOffset] +=  -d_staticContributions[admsNodeID_g][admsProbeID_V_g_ge];
  dFdx[li_ge][A_ge_Equ_g_NodeOffset] +=  +d_staticContributions[admsNodeID_ge][admsProbeID_V_g_ge];
if (!collapseNode_t)
{
  dFdx[li_g][A_g_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_g][admsProbeID_Temp_t_GND];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_n_NodeOffset] +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_s_si1];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_si1_NodeOffset] +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si1] -d_staticContributions[admsNodeID_n][admsProbeID_V_s_si1];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_d_di1];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_di1_NodeOffset] +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di1] -d_staticContributions[admsNodeID_n][admsProbeID_V_d_di1];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_n][admsProbeID_V_ge_di] -d_staticContributions[admsNodeID_n][admsProbeID_V_e_di] +d_staticContributions[admsNodeID_n][admsProbeID_V_di_si];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_n][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si] -d_staticContributions[admsNodeID_n][admsProbeID_V_di_si];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si1] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_n][admsProbeID_V_gi_si];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_n][admsProbeID_V_ge_e] -d_staticContributions[admsNodeID_n][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_n][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_n][admsProbeID_V_e_di];
}
if (!collapseNode_n)
{
  dFdx[li_n][A_n_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_n][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_n][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_n][admsProbeID_V_ge_si];
}
if (!collapseNode_n)
{
if (!collapseNode_t)
{
  dFdx[li_n][A_n_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_n][admsProbeID_Temp_t_GND];
}
}
if (!collapseNode_n)
{
  dFdx[li_di][A_di_Equ_n_NodeOffset] +=  +d_staticContributions[admsNodeID_di][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  dFdx[li_si][A_si_Equ_n_NodeOffset] +=  +d_staticContributions[admsNodeID_si][admsProbeID_V_n_GND];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_gi_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1] +d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_si1_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_si1_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si1];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_di1_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di1];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_e_NodeOffset] +=  -d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] +d_staticContributions[admsNodeID_t][admsProbeID_V_e_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_e];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_si_NodeOffset] +=  -d_staticContributions[admsNodeID_t][admsProbeID_V_si1_si] +d_staticContributions[admsNodeID_t][admsProbeID_V_si_si1] -d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_e_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_si];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_di_NodeOffset] +=  -d_staticContributions[admsNodeID_t][admsProbeID_V_di1_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_gi_di] -d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_t][admsProbeID_V_di_si] -d_staticContributions[admsNodeID_t][admsProbeID_V_e_di];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_t_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_Temp_t_GND];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_s_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_s_si1];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_d_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_d_di1];
}
if (!collapseNode_t)
{
  dFdx[li_t][A_t_Equ_ge_NodeOffset] +=  +d_staticContributions[admsNodeID_t][admsProbeID_V_ge_e] +d_staticContributions[admsNodeID_t][admsProbeID_V_ge_di] +d_staticContributions[admsNodeID_t][admsProbeID_V_ge_si];
}

#endif

  return bsuccess;
}


//-----------------------------------------------------------------------------
// Function      : Instance::loadDAEdQdx
// Purpose       :
// Special Notes : Load the dQdx ("dynamic jacobian") matrix
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::loadDAEdQdx()
{
  bool bsuccess = true;
  Linear::Matrix & dQdx = *(extData.dQdxMatrixPtr);

#ifndef Xyce_NONPOINTER_MATRIX_LOAD
  (*q_di_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e];
  (*q_di_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1];
  (*q_si_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e];
  (*q_si_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1];
  (*q_di_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1];
  (*q_si_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1];
  (*q_di_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e];
  (*q_si_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e];
  (*q_di_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si];
  (*q_si_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si];
  (*q_di_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di];
  (*q_si_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  (*q_di_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND];
}
if (!collapseNode_t)
{
  (*q_si_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND];
}
  (*q_gi_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si];
  (*q_gi_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si];
  (*q_si_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si];
  (*q_gi_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di];
  (*q_gi_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e];
  (*q_gi_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e];
  (*q_gi_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1];
  (*q_gi_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1];
if (!collapseNode_t)
{
  (*q_gi_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND];
}
  (*q_di_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si];
  (*q_gi_Equ_s_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1];
  (*q_si_Equ_s_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1];
  (*q_gi_Equ_d_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1];
  (*q_si_Equ_d_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1];
  (*q_di_Equ_s_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1];
  (*q_di_Equ_d_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1];
if (!collapseNode_t)
{
  (*q_e_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND];
}
  (*q_e_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si];
  (*q_e_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si];
  (*q_e_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_ge] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di];
  (*q_e_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si];
  (*q_e_Equ_s_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1];
  (*q_e_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1];
  (*q_e_Equ_d_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1];
  (*q_e_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1];
  (*q_e_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_e] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_ge] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si];
  (*q_ge_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_e] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_ge];
  (*q_ge_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_ge];
if (!collapseNode_t)
{
  (*q_ge_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND];
}
  (*q_ge_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si];
  (*q_ge_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si];
  (*q_ge_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di];
  (*q_ge_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1];
  (*q_ge_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1];
  (*q_ge_Equ_s_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s];
  (*q_ge_Equ_d_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d];
  (*q_d_Equ_d_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_s];
  (*q_d_Equ_s_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_s];
  (*q_s_Equ_d_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_s];
  (*q_s_Equ_s_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_s] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_s];
  (*q_s_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_si];
  (*q_s_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_si];
if (!collapseNode_t)
{
  (*q_s_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_Temp_t_GND];
}
  (*q_s_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_di] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_si];
  (*q_s_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si];
  (*q_s_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_di];
  (*q_s_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si1];
  (*q_s_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di1];
  (*q_d_Equ_ge_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_si] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_di];
  (*q_d_Equ_di_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_di];
if (!collapseNode_t)
{
  (*q_d_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_d][admsProbeID_Temp_t_GND];
}
  (*q_d_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_si];
  (*q_d_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si];
  (*q_d_Equ_e_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_di];
  (*q_d_Equ_si1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si1];
  (*q_d_Equ_di1_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di1];
if (!collapseNode_q)
{
  (*q_q_Equ_gi_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_e];
}
if (!collapseNode_q)
{
  (*q_q_Equ_e_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_e];
}
if (!collapseNode_q)
{
if (!collapseNode_t)
{
  (*q_q_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_Temp_t_GND];
}
}
if (!collapseNode_q)
{
  (*q_q_Equ_si_Node_Ptr) +=  -d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si];
}
if (!collapseNode_q)
{
  (*q_q_Equ_di_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_di];
}
if (!collapseNode_q)
{
  (*q_q_Equ_q_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_q_GND];
}
if (!collapseNode_n)
{
  (*q_di_Equ_n_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  (*q_si_Equ_n_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  (*q_gi_Equ_n_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_n_GND];
}
if (!collapseNode_t)
{
  (*q_t_Equ_t_Node_Ptr) +=  +d_dynamicContributions[admsNodeID_t][admsProbeID_Temp_t_GND];
}

#else
  //use the offsets instead of pointers
  dQdx[li_di][A_di_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e];
  dQdx[li_di][A_di_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si1];
  dQdx[li_si][A_si_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e];
  dQdx[li_si][A_si_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si1];
  dQdx[li_di][A_di_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di1];
  dQdx[li_si][A_si_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di1];
  dQdx[li_di][A_di_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_e];
  dQdx[li_si][A_si_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_e];
  dQdx[li_di][A_di_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_si];
  dQdx[li_si][A_si_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_si];
  dQdx[li_di][A_di_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_di][admsProbeID_V_e_di];
  dQdx[li_si][A_si_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_si][admsProbeID_V_e_di];
if (!collapseNode_t)
{
  dQdx[li_di][A_di_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_Temp_t_GND];
}
if (!collapseNode_t)
{
  dQdx[li_si][A_si_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_Temp_t_GND];
}
  dQdx[li_gi][A_gi_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si];
  dQdx[li_gi][A_gi_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si];
  dQdx[li_si][A_si_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_si];
  dQdx[li_gi][A_gi_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di];
  dQdx[li_gi][A_gi_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e];
  dQdx[li_gi][A_gi_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_e];
  dQdx[li_gi][A_gi_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_si1];
  dQdx[li_gi][A_gi_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_gi][admsProbeID_V_gi_di1];
if (!collapseNode_t)
{
  dQdx[li_gi][A_gi_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_Temp_t_GND];
}
  dQdx[li_di][A_di_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_si];
  dQdx[li_gi][A_gi_Equ_s_NodeOffset] +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_s_si1];
  dQdx[li_si][A_si_Equ_s_NodeOffset] +=  -d_dynamicContributions[admsNodeID_si][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_si][admsProbeID_V_s_si1];
  dQdx[li_gi][A_gi_Equ_d_NodeOffset] +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_d_di1];
  dQdx[li_si][A_si_Equ_d_NodeOffset] +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_d_di1];
  dQdx[li_di][A_di_Equ_s_NodeOffset] +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_s_si1];
  dQdx[li_di][A_di_Equ_d_NodeOffset] +=  -d_dynamicContributions[admsNodeID_di][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_di][admsProbeID_V_d_di1];
if (!collapseNode_t)
{
  dQdx[li_e][A_e_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_Temp_t_GND];
}
  dQdx[li_e][A_e_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si];
  dQdx[li_e][A_e_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si];
  dQdx[li_e][A_e_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_ge] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di];
  dQdx[li_e][A_e_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_di_si];
  dQdx[li_e][A_e_Equ_s_NodeOffset] +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1];
  dQdx[li_e][A_e_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_s_si1] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_si1];
  dQdx[li_e][A_e_Equ_d_NodeOffset] +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1];
  dQdx[li_e][A_e_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_e][admsProbeID_V_d_di1] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_gi_di1];
  dQdx[li_e][A_e_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_e] -d_dynamicContributions[admsNodeID_e][admsProbeID_V_e_ge] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_e][admsProbeID_V_ge_si];
  dQdx[li_ge][A_ge_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_e] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_ge];
  dQdx[li_ge][A_ge_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_e] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_ge];
if (!collapseNode_t)
{
  dQdx[li_ge][A_ge_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_ge][admsProbeID_Temp_t_GND];
}
  dQdx[li_ge][A_ge_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si];
  dQdx[li_ge][A_ge_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si];
  dQdx[li_ge][A_ge_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_ge][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_e_di];
  dQdx[li_ge][A_ge_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_si1];
  dQdx[li_ge][A_ge_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_gi_di1];
  dQdx[li_ge][A_ge_Equ_s_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_s];
  dQdx[li_ge][A_ge_Equ_d_NodeOffset] +=  -d_dynamicContributions[admsNodeID_ge][admsProbeID_V_ge_d];
  dQdx[li_d][A_d_Equ_d_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_s];
  dQdx[li_d][A_d_Equ_s_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_d_s];
  dQdx[li_s][A_s_Equ_d_NodeOffset] +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_s];
  dQdx[li_s][A_s_Equ_s_NodeOffset] +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_s] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_d_s];
  dQdx[li_s][A_s_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_di] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_s] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_si];
  dQdx[li_s][A_s_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_si];
if (!collapseNode_t)
{
  dQdx[li_s][A_s_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_Temp_t_GND];
}
  dQdx[li_s][A_s_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_ge_di] -d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_di_si];
  dQdx[li_s][A_s_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si];
  dQdx[li_s][A_s_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_s][admsProbeID_V_e_di];
  dQdx[li_s][A_s_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_si1];
  dQdx[li_s][A_s_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_s][admsProbeID_V_gi_di1];
  dQdx[li_d][A_d_Equ_ge_NodeOffset] +=  +d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_si] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_d] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_di];
  dQdx[li_d][A_d_Equ_di_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_di] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_di];
if (!collapseNode_t)
{
  dQdx[li_d][A_d_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_d][admsProbeID_Temp_t_GND];
}
  dQdx[li_d][A_d_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_ge_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si] -d_dynamicContributions[admsNodeID_d][admsProbeID_V_di_si];
  dQdx[li_d][A_d_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di1] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si1] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si];
  dQdx[li_d][A_d_Equ_e_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_e] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_d][admsProbeID_V_e_di];
  dQdx[li_d][A_d_Equ_si1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_si1];
  dQdx[li_d][A_d_Equ_di1_NodeOffset] +=  -d_dynamicContributions[admsNodeID_d][admsProbeID_V_gi_di1];
if (!collapseNode_q)
{
  dQdx[li_q][A_q_Equ_gi_NodeOffset] +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si] +d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_e];
}
if (!collapseNode_q)
{
  dQdx[li_q][A_q_Equ_e_NodeOffset] +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_si] +d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_di] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_e];
}
if (!collapseNode_q)
{
if (!collapseNode_t)
{
  dQdx[li_q][A_q_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_Temp_t_GND];
}
}
if (!collapseNode_q)
{
  dQdx[li_q][A_q_Equ_si_NodeOffset] +=  -d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_si] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_gi_si];
}
if (!collapseNode_q)
{
  dQdx[li_q][A_q_Equ_di_NodeOffset] +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_di_si] -d_dynamicContributions[admsNodeID_q][admsProbeID_V_e_di];
}
if (!collapseNode_q)
{
  dQdx[li_q][A_q_Equ_q_NodeOffset] +=  +d_dynamicContributions[admsNodeID_q][admsProbeID_V_q_GND];
}
if (!collapseNode_n)
{
  dQdx[li_di][A_di_Equ_n_NodeOffset] +=  +d_dynamicContributions[admsNodeID_di][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  dQdx[li_si][A_si_Equ_n_NodeOffset] +=  +d_dynamicContributions[admsNodeID_si][admsProbeID_V_n_GND];
}
if (!collapseNode_n)
{
  dQdx[li_gi][A_gi_Equ_n_NodeOffset] +=  +d_dynamicContributions[admsNodeID_gi][admsProbeID_V_n_GND];
}
if (!collapseNode_t)
{
  dQdx[li_t][A_t_Equ_t_NodeOffset] +=  +d_dynamicContributions[admsNodeID_t][admsProbeID_Temp_t_GND];
}


#endif
  return bsuccess;
}




//-----------------------------------------------------------------------------
// Function      : Instance::updateTemperature
// Purpose       : Set temperature and update any parameters that depend on it
// Special Notes : In Xyce ADMS, we'll simply copy the temperature, which is
//                 in Kelvin, to our "admsTemperature" variable, which needs
//                 to be in Celsius.
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Instance::updateTemperature(const double & temperatureTemp)
{

  admsTemperature = temperatureTemp;
  adms_vt_nom = adms_vt(temperatureTemp);

  return true;
}

// Class Model
//-----------------------------------------------------------------------------
// Function      : Model::processParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
bool Model::processParams()
{

  // Set any non-constant parameter defaults:
  // Set any parameters that were not given and whose defaults depend on other
  // parameters:
  if (!given("LRSD"))
  {
  LRSD = L;
  }
  if (!given("COVD"))
  {
  COVD = COVS;
  }
  if (!given("LCOVD"))
  {
  LCOVD = LCOVS;
  }
  if (!given("NCOVD"))
  {
  NCOVD = NCOVS;
  }
  if (!given("PCOVD"))
  {
  PCOVD = PCOVS;
  }
  if (!given("WCOVD"))
  {
  WCOVD = WCOVS;
  }
  if (!given("P2COVD"))
  {
  P2COVD = P2COVS;
  }
  if (!given("DWS2"))
  {
  DWS2 = DWS1;
  }
  if (!given("DACH2"))
  {
  DACH2 = DACH1;
  }
  if (!given("DWS3"))
  {
  DWS3 = DWS1;
  }
  if (!given("DACH3"))
  {
  DACH3 = DACH1;
  }
  if (!given("DWS4"))
  {
  DWS4 = DWS1;
  }
  if (!given("DACH4"))
  {
  DACH4 = DACH1;
  }
  if (!given("DWS5"))
  {
  DWS5 = DWS1;
  }
  if (!given("DACH5"))
  {
  DACH5 = DACH1;
  }
  if (!given("DWS6"))
  {
  DWS6 = DWS1;
  }
  if (!given("DACH6"))
  {
  DACH6 = DACH1;
  }

// set internal model type based on model card type
if (getType() == "pmos" || getType() == "PMOS")
    TYPE = 0;
  if (!given("minr"))
  {
  minr = 1*1.0e-3;
  }
  if (!given("CDSCDRN1"))
  {
  CDSCDRN1 = CDSCDN1;
  }
  if (!given("CDSCDRN2"))
  {
  CDSCDRN2 = CDSCDN2;
  }
  if (!given("ETA0N1CV"))
  {
  ETA0N1CV = ETA0N1;
  }
  if (!given("ETA0N2CV"))
  {
  ETA0N2CV = ETA0N2;
  }
  if (!given("ETA0LTCV"))
  {
  ETA0LTCV = ETA0LT;
  }
  if (!given("TETA0CV"))
  {
  TETA0CV = TETA0;
  }
  if (!given("TETA0R"))
  {
  TETA0R = TETA0;
  }
  if (!given("CITR"))
  {
  CITR = CIT;
  }
  if (!given("LCITR"))
  {
  LCITR = LCIT;
  }
  if (!given("NCITR"))
  {
  NCITR = NCIT;
  }
  if (!given("PCITR"))
  {
  PCITR = PCIT;
  }
  if (!given("WCITR"))
  {
  WCITR = WCIT;
  }
  if (!given("P2CITR"))
  {
  P2CITR = P2CIT;
  }
  if (!given("CDSCDR"))
  {
  CDSCDR = CDSCD;
  }
  if (!given("LCDSCDR"))
  {
  LCDSCDR = LCDSCD;
  }
  if (!given("NCDSCDR"))
  {
  NCDSCDR = NCDSCD;
  }
  if (!given("PCDSCDR"))
  {
  PCDSCDR = PCDSCD;
  }
  if (!given("WCDSCDR"))
  {
  WCDSCDR = WCDSCD;
  }
  if (!given("P2CDSCDR"))
  {
  P2CDSCDR = P2CDSCD;
  }
  if (!given("DVT1SS"))
  {
  DVT1SS = DVT1;
  }
  if (!given("LDVT1SS"))
  {
  LDVT1SS = LDVT1;
  }
  if (!given("NDVT1SS"))
  {
  NDVT1SS = NDVT1;
  }
  if (!given("PDVT1SS"))
  {
  PDVT1SS = PDVT1;
  }
  if (!given("WDVT1SS"))
  {
  WDVT1SS = WDVT1;
  }
  if (!given("P2DVT1SS"))
  {
  P2DVT1SS = P2DVT1;
  }
  if (!given("ETA0R"))
  {
  ETA0R = ETA0;
  }
  if (!given("LETA0R"))
  {
  LETA0R = LETA0;
  }
  if (!given("NETA0R"))
  {
  NETA0R = NETA0;
  }
  if (!given("PETA0R"))
  {
  PETA0R = PETA0;
  }
  if (!given("WETA0R"))
  {
  WETA0R = WETA0;
  }
  if (!given("P2ETA0R"))
  {
  P2ETA0R = P2ETA0;
  }
  if (!given("ETA0CV"))
  {
  ETA0CV = ETA0;
  }
  if (!given("LETA0CV"))
  {
  LETA0CV = LETA0;
  }
  if (!given("NETA0CV"))
  {
  NETA0CV = NETA0;
  }
  if (!given("PETA0CV"))
  {
  PETA0CV = PETA0;
  }
  if (!given("WETA0CV"))
  {
  WETA0CV = WETA0;
  }
  if (!given("P2ETA0CV"))
  {
  P2ETA0CV = P2ETA0;
  }
  if (!given("DVTSHIFTR"))
  {
  DVTSHIFTR = DVTSHIFT;
  }
  if (!given("LDVTSHIFTR"))
  {
  LDVTSHIFTR = LDVTSHIFT;
  }
  if (!given("NDVTSHIFTR"))
  {
  NDVTSHIFTR = NDVTSHIFT;
  }
  if (!given("PDVTSHIFTR"))
  {
  PDVTSHIFTR = PDVTSHIFT;
  }
  if (!given("WDVTSHIFTR"))
  {
  WDVTSHIFTR = WDVTSHIFT;
  }
  if (!given("P2DVTSHIFTR"))
  {
  P2DVTSHIFTR = P2DVTSHIFT;
  }
  if (!given("K2SI"))
  {
  K2SI = K0SI;
  }
  if (!given("LK2SI"))
  {
  LK2SI = LK0SI;
  }
  if (!given("NK2SI"))
  {
  NK2SI = NK0SI;
  }
  if (!given("PK2SI"))
  {
  PK2SI = PK0SI;
  }
  if (!given("WK2SI"))
  {
  WK2SI = WK0SI;
  }
  if (!given("P2K2SI"))
  {
  P2K2SI = P2K0SI;
  }
  if (!given("K2SI1"))
  {
  K2SI1 = K0SI1;
  }
  if (!given("LK2SI1"))
  {
  LK2SI1 = LK0SI1;
  }
  if (!given("NK2SI1"))
  {
  NK2SI1 = NK0SI1;
  }
  if (!given("PK2SI1"))
  {
  PK2SI1 = PK0SI1;
  }
  if (!given("WK2SI1"))
  {
  WK2SI1 = WK0SI1;
  }
  if (!given("P2K2SI1"))
  {
  P2K2SI1 = P2K0SI1;
  }
  if (!given("K2SISAT"))
  {
  K2SISAT = K0SISAT;
  }
  if (!given("LK2SISAT"))
  {
  LK2SISAT = LK0SISAT;
  }
  if (!given("NK2SISAT"))
  {
  NK2SISAT = NK0SISAT;
  }
  if (!given("PK2SISAT"))
  {
  PK2SISAT = PK0SISAT;
  }
  if (!given("WK2SISAT"))
  {
  WK2SISAT = WK0SISAT;
  }
  if (!given("P2K2SISAT"))
  {
  P2K2SISAT = P2K0SISAT;
  }
  if (!given("K2SISAT1"))
  {
  K2SISAT1 = K0SISAT1;
  }
  if (!given("LK2SISAT1"))
  {
  LK2SISAT1 = LK0SISAT1;
  }
  if (!given("NK2SISAT1"))
  {
  NK2SISAT1 = NK0SISAT1;
  }
  if (!given("PK2SISAT1"))
  {
  PK2SISAT1 = PK0SISAT1;
  }
  if (!given("WK2SISAT1"))
  {
  WK2SISAT1 = WK0SISAT1;
  }
  if (!given("P2K2SISAT1"))
  {
  P2K2SISAT1 = P2K0SISAT1;
  }
  if (!given("VSAT1N1"))
  {
  VSAT1N1 = VSATN1;
  }
  if (!given("VSAT1N2"))
  {
  VSAT1N2 = VSATN2;
  }
  if (!given("VSAT1RN1"))
  {
  VSAT1RN1 = VSAT1N1;
  }
  if (!given("VSAT1RN2"))
  {
  VSAT1RN2 = VSAT1N2;
  }
  if (!given("AVSAT1"))
  {
  AVSAT1 = AVSAT;
  }
  if (!given("BVSAT1"))
  {
  BVSAT1 = BVSAT;
  }
  if (!given("AVSATCV"))
  {
  AVSATCV = AVSAT;
  }
  if (!given("BVSATCV"))
  {
  BVSATCV = BVSAT;
  }
  if (!given("APSATCV"))
  {
  APSATCV = APSAT;
  }
  if (!given("BPSATCV"))
  {
  BPSATCV = BPSAT;
  }
  if (!given("AMEXPR"))
  {
  AMEXPR = AMEXP;
  }
  if (!given("BMEXPR"))
  {
  BMEXPR = BMEXP;
  }
  if (!given("TMEXPR"))
  {
  TMEXPR = TMEXP;
  }
  if (!given("VSATR"))
  {
  VSATR = VSAT;
  }
  if (!given("LVSATR"))
  {
  LVSATR = LVSAT;
  }
  if (!given("NVSATR"))
  {
  NVSATR = NVSAT;
  }
  if (!given("PVSATR"))
  {
  PVSATR = PVSAT;
  }
  if (!given("WVSATR"))
  {
  WVSATR = WVSAT;
  }
  if (!given("P2VSATR"))
  {
  P2VSATR = P2VSAT;
  }
  if (!given("VSAT1"))
  {
  VSAT1 = VSAT;
  }
  if (!given("LVSAT1"))
  {
  LVSAT1 = LVSAT;
  }
  if (!given("NVSAT1"))
  {
  NVSAT1 = NVSAT;
  }
  if (!given("PVSAT1"))
  {
  PVSAT1 = PVSAT;
  }
  if (!given("WVSAT1"))
  {
  WVSAT1 = WVSAT;
  }
  if (!given("P2VSAT1"))
  {
  P2VSAT1 = P2VSAT;
  }
  if (!given("VSAT1R"))
  {
  VSAT1R = VSAT1;
  }
  if (!given("LVSAT1R"))
  {
  LVSAT1R = LVSAT1;
  }
  if (!given("NVSAT1R"))
  {
  NVSAT1R = NVSAT1;
  }
  if (!given("PVSAT1R"))
  {
  PVSAT1R = PVSAT1;
  }
  if (!given("WVSAT1R"))
  {
  WVSAT1R = WVSAT1;
  }
  if (!given("P2VSAT1R"))
  {
  P2VSAT1R = P2VSAT1;
  }
  if (!given("KSATIVR"))
  {
  KSATIVR = KSATIV;
  }
  if (!given("LKSATIVR"))
  {
  LKSATIVR = LKSATIV;
  }
  if (!given("NKSATIVR"))
  {
  NKSATIVR = NKSATIV;
  }
  if (!given("PKSATIVR"))
  {
  PKSATIVR = PKSATIV;
  }
  if (!given("WKSATIVR"))
  {
  WKSATIVR = WKSATIV;
  }
  if (!given("P2KSATIVR"))
  {
  P2KSATIVR = P2KSATIV;
  }
  if (!given("VSATCV"))
  {
  VSATCV = VSAT;
  }
  if (!given("LVSATCV"))
  {
  LVSATCV = LVSAT;
  }
  if (!given("NVSATCV"))
  {
  NVSATCV = NVSAT;
  }
  if (!given("PVSATCV"))
  {
  PVSATCV = PVSAT;
  }
  if (!given("WVSATCV"))
  {
  WVSATCV = WVSAT;
  }
  if (!given("P2VSATCV"))
  {
  P2VSATCV = P2VSAT;
  }
  if (!given("DELTAVSATCV"))
  {
  DELTAVSATCV = DELTAVSAT;
  }
  if (!given("LDELTAVSATCV"))
  {
  LDELTAVSATCV = LDELTAVSAT;
  }
  if (!given("NDELTAVSATCV"))
  {
  NDELTAVSATCV = NDELTAVSAT;
  }
  if (!given("PDELTAVSATCV"))
  {
  PDELTAVSATCV = PDELTAVSAT;
  }
  if (!given("WDELTAVSATCV"))
  {
  WDELTAVSATCV = WDELTAVSAT;
  }
  if (!given("P2DELTAVSATCV"))
  {
  P2DELTAVSATCV = P2DELTAVSAT;
  }
  if (!given("PSATCV"))
  {
  PSATCV = PSAT;
  }
  if (!given("LPSATCV"))
  {
  LPSATCV = LPSAT;
  }
  if (!given("NPSATCV"))
  {
  NPSATCV = NPSAT;
  }
  if (!given("PPSATCV"))
  {
  PPSATCV = PPSAT;
  }
  if (!given("WPSATCV"))
  {
  WPSATCV = WPSAT;
  }
  if (!given("P2PSATCV"))
  {
  P2PSATCV = P2PSAT;
  }
  if (!given("MEXPR"))
  {
  MEXPR = MEXP;
  }
  if (!given("LMEXPR"))
  {
  LMEXPR = LMEXP;
  }
  if (!given("NMEXPR"))
  {
  NMEXPR = NMEXP;
  }
  if (!given("PMEXPR"))
  {
  PMEXPR = PMEXP;
  }
  if (!given("WMEXPR"))
  {
  WMEXPR = WMEXP;
  }
  if (!given("P2MEXPR"))
  {
  P2MEXPR = P2MEXP;
  }
  if (!given("PTWGR"))
  {
  PTWGR = PTWG;
  }
  if (!given("LPTWGR"))
  {
  LPTWGR = LPTWG;
  }
  if (!given("NPTWGR"))
  {
  NPTWGR = NPTWG;
  }
  if (!given("PPTWGR"))
  {
  PPTWGR = PPTWG;
  }
  if (!given("WPTWGR"))
  {
  WPTWGR = WPTWG;
  }
  if (!given("P2PTWGR"))
  {
  P2PTWGR = P2PTWG;
  }
  if (!given("ATR"))
  {
  ATR = AT;
  }
  if (!given("LATR"))
  {
  LATR = LAT;
  }
  if (!given("NATR"))
  {
  NATR = NAT;
  }
  if (!given("PATR"))
  {
  PATR = PAT;
  }
  if (!given("WATR"))
  {
  WATR = WAT;
  }
  if (!given("P2ATR"))
  {
  P2ATR = P2AT;
  }
  if (!given("ATCV"))
  {
  ATCV = AT;
  }
  if (!given("LATCV"))
  {
  LATCV = LAT;
  }
  if (!given("NATCV"))
  {
  NATCV = NAT;
  }
  if (!given("PATCV"))
  {
  PATCV = PAT;
  }
  if (!given("WATCV"))
  {
  WATCV = WAT;
  }
  if (!given("P2ATCV"))
  {
  P2ATCV = P2AT;
  }
  if (!given("AT2CV"))
  {
  AT2CV = AT2;
  }
  if (!given("U0N1CV"))
  {
  U0N1CV = U0N1;
  }
  if (!given("U0N1R"))
  {
  U0N1R = U0N1;
  }
  if (!given("U0N2CV"))
  {
  U0N2CV = U0N2;
  }
  if (!given("U0N2R"))
  {
  U0N2R = U0N2;
  }
  if (!given("LPAR"))
  {
  LPAR = LPA;
  }
  if (!given("AUAR"))
  {
  AUAR = AUA;
  }
  if (!given("BUAR"))
  {
  BUAR = BUA;
  }
  if (!given("AEUR"))
  {
  AEUR = AEU;
  }
  if (!given("BEUR"))
  {
  BEUR = BEU;
  }
  if (!given("AUDR"))
  {
  AUDR = AUD;
  }
  if (!given("BUDR"))
  {
  BUDR = BUD;
  }
  if (!given("U0R"))
  {
  U0R = U0;
  }
  if (!given("LU0R"))
  {
  LU0R = LU0;
  }
  if (!given("NU0R"))
  {
  NU0R = NU0;
  }
  if (!given("PU0R"))
  {
  PU0R = PU0;
  }
  if (!given("WU0R"))
  {
  WU0R = WU0;
  }
  if (!given("P2U0R"))
  {
  P2U0R = P2U0;
  }
  if (!given("U0CV"))
  {
  U0CV = U0;
  }
  if (!given("LU0CV"))
  {
  LU0CV = LU0;
  }
  if (!given("NU0CV"))
  {
  NU0CV = NU0;
  }
  if (!given("PU0CV"))
  {
  PU0CV = PU0;
  }
  if (!given("WU0CV"))
  {
  WU0CV = WU0;
  }
  if (!given("P2U0CV"))
  {
  P2U0CV = P2U0;
  }
  if (!given("UPR"))
  {
  UPR = UP;
  }
  if (!given("LUPR"))
  {
  LUPR = LUP;
  }
  if (!given("NUPR"))
  {
  NUPR = NUP;
  }
  if (!given("PUPR"))
  {
  PUPR = PUP;
  }
  if (!given("WUPR"))
  {
  WUPR = WUP;
  }
  if (!given("P2UPR"))
  {
  P2UPR = P2UP;
  }
  if (!given("UAR"))
  {
  UAR = UA;
  }
  if (!given("LUAR"))
  {
  LUAR = LUA;
  }
  if (!given("NUAR"))
  {
  NUAR = NUA;
  }
  if (!given("PUAR"))
  {
  PUAR = PUA;
  }
  if (!given("WUAR"))
  {
  WUAR = WUA;
  }
  if (!given("P2UAR"))
  {
  P2UAR = P2UA;
  }
  if (!given("UACV"))
  {
  UACV = UA;
  }
  if (!given("LUACV"))
  {
  LUACV = LUA;
  }
  if (!given("NUACV"))
  {
  NUACV = NUA;
  }
  if (!given("PUACV"))
  {
  PUACV = PUA;
  }
  if (!given("WUACV"))
  {
  WUACV = WUA;
  }
  if (!given("P2UACV"))
  {
  P2UACV = P2UA;
  }
  if (!given("UCR"))
  {
  UCR = UC;
  }
  if (!given("LUCR"))
  {
  LUCR = LUC;
  }
  if (!given("NUCR"))
  {
  NUCR = NUC;
  }
  if (!given("PUCR"))
  {
  PUCR = PUC;
  }
  if (!given("WUCR"))
  {
  WUCR = WUC;
  }
  if (!given("P2UCR"))
  {
  P2UCR = P2UC;
  }
  if (!given("UCCV"))
  {
  UCCV = UC;
  }
  if (!given("LUCCV"))
  {
  LUCCV = LUC;
  }
  if (!given("NUCCV"))
  {
  NUCCV = NUC;
  }
  if (!given("PUCCV"))
  {
  PUCCV = PUC;
  }
  if (!given("WUCCV"))
  {
  WUCCV = WUC;
  }
  if (!given("P2UCCV"))
  {
  P2UCCV = P2UC;
  }
  if (!given("EUR"))
  {
  EUR = EU;
  }
  if (!given("LEUR"))
  {
  LEUR = LEU;
  }
  if (!given("NEUR"))
  {
  NEUR = NEU;
  }
  if (!given("PEUR"))
  {
  PEUR = PEU;
  }
  if (!given("WEUR"))
  {
  WEUR = WEU;
  }
  if (!given("P2EUR"))
  {
  P2EUR = P2EU;
  }
  if (!given("UDR"))
  {
  UDR = UD;
  }
  if (!given("LUDR"))
  {
  LUDR = LUD;
  }
  if (!given("NUDR"))
  {
  NUDR = NUD;
  }
  if (!given("PUDR"))
  {
  PUDR = PUD;
  }
  if (!given("WUDR"))
  {
  WUDR = WUD;
  }
  if (!given("P2UDR"))
  {
  P2UDR = P2UD;
  }
  if (!given("UDCV"))
  {
  UDCV = UD;
  }
  if (!given("LUDCV"))
  {
  LUDCV = LUD;
  }
  if (!given("NUDCV"))
  {
  NUDCV = NUD;
  }
  if (!given("PUDCV"))
  {
  PUDCV = PUD;
  }
  if (!given("WUDCV"))
  {
  WUDCV = WUD;
  }
  if (!given("P2UDCV"))
  {
  P2UDCV = P2UD;
  }
  if (!given("UTER"))
  {
  UTER = UTE;
  }
  if (!given("LUTER"))
  {
  LUTER = LUTE;
  }
  if (!given("NUTER"))
  {
  NUTER = NUTE;
  }
  if (!given("PUTER"))
  {
  PUTER = PUTE;
  }
  if (!given("WUTER"))
  {
  WUTER = WUTE;
  }
  if (!given("P2UTER"))
  {
  P2UTER = P2UTE;
  }
  if (!given("UTECV"))
  {
  UTECV = UTE;
  }
  if (!given("LUTECV"))
  {
  LUTECV = LUTE;
  }
  if (!given("NUTECV"))
  {
  NUTECV = NUTE;
  }
  if (!given("PUTECV"))
  {
  PUTECV = PUTE;
  }
  if (!given("WUTECV"))
  {
  WUTECV = WUTE;
  }
  if (!given("P2UTECV"))
  {
  P2UTECV = P2UTE;
  }
  if (!given("UTE1CV"))
  {
  UTE1CV = UTE1;
  }
  if (!given("LUTE1CV"))
  {
  LUTE1CV = LUTE1;
  }
  if (!given("NUTE1CV"))
  {
  NUTE1CV = NUTE1;
  }
  if (!given("PUTE1CV"))
  {
  PUTE1CV = PUTE1;
  }
  if (!given("WUTE1CV"))
  {
  WUTE1CV = WUTE1;
  }
  if (!given("P2UTE1CV"))
  {
  P2UTE1CV = P2UTE1;
  }
  if (!given("UTLR"))
  {
  UTLR = UTL;
  }
  if (!given("LUTLR"))
  {
  LUTLR = LUTL;
  }
  if (!given("NUTLR"))
  {
  NUTLR = NUTL;
  }
  if (!given("PUTLR"))
  {
  PUTLR = PUTL;
  }
  if (!given("WUTLR"))
  {
  WUTLR = WUTL;
  }
  if (!given("P2UTLR"))
  {
  P2UTLR = P2UTL;
  }
  if (!given("UTLCV"))
  {
  UTLCV = UTL;
  }
  if (!given("LUTLCV"))
  {
  LUTLCV = LUTL;
  }
  if (!given("NUTLCV"))
  {
  NUTLCV = NUTL;
  }
  if (!given("PUTLCV"))
  {
  PUTLCV = PUTL;
  }
  if (!given("WUTLCV"))
  {
  WUTLCV = WUTL;
  }
  if (!given("P2UTLCV"))
  {
  P2UTLCV = P2UTL;
  }
  if (!given("UA1R"))
  {
  UA1R = UA1;
  }
  if (!given("LUA1R"))
  {
  LUA1R = LUA1;
  }
  if (!given("NUA1R"))
  {
  NUA1R = NUA1;
  }
  if (!given("PUA1R"))
  {
  PUA1R = PUA1;
  }
  if (!given("WUA1R"))
  {
  WUA1R = WUA1;
  }
  if (!given("P2UA1R"))
  {
  P2UA1R = P2UA1;
  }
  if (!given("UA1CV"))
  {
  UA1CV = UA1;
  }
  if (!given("LUA1CV"))
  {
  LUA1CV = LUA1;
  }
  if (!given("NUA1CV"))
  {
  NUA1CV = NUA1;
  }
  if (!given("PUA1CV"))
  {
  PUA1CV = PUA1;
  }
  if (!given("WUA1CV"))
  {
  WUA1CV = WUA1;
  }
  if (!given("P2UA1CV"))
  {
  P2UA1CV = P2UA1;
  }
  if (!given("UA2CV"))
  {
  UA2CV = UA2;
  }
  if (!given("LUA2CV"))
  {
  LUA2CV = LUA2;
  }
  if (!given("NUA2CV"))
  {
  NUA2CV = NUA2;
  }
  if (!given("PUA2CV"))
  {
  PUA2CV = PUA2;
  }
  if (!given("WUA2CV"))
  {
  WUA2CV = WUA2;
  }
  if (!given("P2UA2CV"))
  {
  P2UA2CV = P2UA2;
  }
  if (!given("UC1R"))
  {
  UC1R = UC1;
  }
  if (!given("LUC1R"))
  {
  LUC1R = LUC1;
  }
  if (!given("NUC1R"))
  {
  NUC1R = NUC1;
  }
  if (!given("PUC1R"))
  {
  PUC1R = PUC1;
  }
  if (!given("WUC1R"))
  {
  WUC1R = WUC1;
  }
  if (!given("P2UC1R"))
  {
  P2UC1R = P2UC1;
  }
  if (!given("UC1CV"))
  {
  UC1CV = UC1;
  }
  if (!given("LUC1CV"))
  {
  LUC1CV = LUC1;
  }
  if (!given("NUC1CV"))
  {
  NUC1CV = NUC1;
  }
  if (!given("PUC1CV"))
  {
  PUC1CV = PUC1;
  }
  if (!given("WUC1CV"))
  {
  WUC1CV = WUC1;
  }
  if (!given("P2UC1CV"))
  {
  P2UC1CV = P2UC1;
  }
  if (!given("UD1R"))
  {
  UD1R = UD1;
  }
  if (!given("LUD1R"))
  {
  LUD1R = LUD1;
  }
  if (!given("NUD1R"))
  {
  NUD1R = NUD1;
  }
  if (!given("PUD1R"))
  {
  PUD1R = PUD1;
  }
  if (!given("WUD1R"))
  {
  WUD1R = WUD1;
  }
  if (!given("P2UD1R"))
  {
  P2UD1R = P2UD1;
  }
  if (!given("UD1CV"))
  {
  UD1CV = UD1;
  }
  if (!given("LUD1CV"))
  {
  LUD1CV = LUD1;
  }
  if (!given("NUD1CV"))
  {
  NUD1CV = NUD1;
  }
  if (!given("PUD1CV"))
  {
  PUD1CV = PUD1;
  }
  if (!given("WUD1CV"))
  {
  WUD1CV = WUD1;
  }
  if (!given("P2UD1CV"))
  {
  P2UD1CV = P2UD1;
  }
  if (!given("UD2CV"))
  {
  UD2CV = UD2;
  }
  if (!given("LUD2CV"))
  {
  LUD2CV = LUD2;
  }
  if (!given("NUD2CV"))
  {
  NUD2CV = NUD2;
  }
  if (!given("PUD2CV"))
  {
  PUD2CV = PUD2;
  }
  if (!given("WUD2CV"))
  {
  WUD2CV = WUD2;
  }
  if (!given("P2UD2CV"))
  {
  P2UD2CV = P2UD2;
  }
  if (!given("ETAMOBTHIN"))
  {
  ETAMOBTHIN = ETAMOB;
  }
  if (!given("UATHIN"))
  {
  UATHIN = UA;
  }
  if (!given("EUTHIN"))
  {
  EUTHIN = EU;
  }
  if (!given("UDTHIN"))
  {
  UDTHIN = UD;
  }
  if (!given("RSDRR"))
  {
  RSDRR = RSDR;
  }
  if (!given("RDDR"))
  {
  RDDR = RSDR;
  }
  if (!given("RDDRR"))
  {
  RDDRR = RDDR;
  }
  if (!given("PRDDR"))
  {
  PRDDR = PRSDR;
  }
  if (!given("TRDDR"))
  {
  TRDDR = TRSDR;
  }
  if (!given("PRWGD"))
  {
  PRWGD = PRWGS;
  }
  if (!given("PDIBL1R"))
  {
  PDIBL1R = PDIBL1;
  }
  if (!given("LPDIBL1R"))
  {
  LPDIBL1R = LPDIBL1;
  }
  if (!given("NPDIBL1R"))
  {
  NPDIBL1R = NPDIBL1;
  }
  if (!given("PPDIBL1R"))
  {
  PPDIBL1R = PPDIBL1;
  }
  if (!given("WPDIBL1R"))
  {
  WPDIBL1R = WPDIBL1;
  }
  if (!given("P2PDIBL1R"))
  {
  P2PDIBL1R = P2PDIBL1;
  }
  if (!given("PDIBL2R"))
  {
  PDIBL2R = PDIBL2;
  }
  if (!given("LPDIBL2R"))
  {
  LPDIBL2R = LPDIBL2;
  }
  if (!given("NPDIBL2R"))
  {
  NPDIBL2R = NPDIBL2;
  }
  if (!given("PPDIBL2R"))
  {
  PPDIBL2R = PPDIBL2;
  }
  if (!given("WPDIBL2R"))
  {
  WPDIBL2R = WPDIBL2;
  }
  if (!given("P2PDIBL2R"))
  {
  P2PDIBL2R = P2PDIBL2;
  }
  if (!given("APCLMR"))
  {
  APCLMR = APCLM;
  }
  if (!given("BPCLMR"))
  {
  BPCLMR = BPCLM;
  }
  if (!given("PCLMR"))
  {
  PCLMR = PCLM;
  }
  if (!given("LPCLMR"))
  {
  LPCLMR = LPCLM;
  }
  if (!given("NPCLMR"))
  {
  NPCLMR = NPCLM;
  }
  if (!given("PPCLMR"))
  {
  PPCLMR = PPCLM;
  }
  if (!given("WPCLMR"))
  {
  WPCLMR = WPCLM;
  }
  if (!given("P2PCLMR"))
  {
  P2PCLMR = P2PCLM;
  }
  if (!given("PCLMCV"))
  {
  PCLMCV = PCLM;
  }
  if (!given("LPCLMCV"))
  {
  LPCLMCV = LPCLM;
  }
  if (!given("NPCLMCV"))
  {
  NPCLMCV = NPCLM;
  }
  if (!given("PPCLMCV"))
  {
  PPCLMCV = PPCLM;
  }
  if (!given("WPCLMCV"))
  {
  WPCLMCV = WPCLM;
  }
  if (!given("P2PCLMCV"))
  {
  P2PCLMCV = P2PCLM;
  }
  if (!given("RSHD"))
  {
  RSHD = RSHS;
  }
  if (!given("DLCIGD"))
  {
  DLCIGD = DLCIGS;
  }
  if (!given("VFBSDCV"))
  {
  VFBSDCV = VFBSD;
  }
  if (!given("TOXG"))
  {
  TOXG = TOXP;
  }
  if (!given("AIGD"))
  {
  AIGD = AIGS;
  }
  if (!given("LAIGD"))
  {
  LAIGD = LAIGS;
  }
  if (!given("NAIGD"))
  {
  NAIGD = NAIGS;
  }
  if (!given("PAIGD"))
  {
  PAIGD = PAIGS;
  }
  if (!given("WAIGD"))
  {
  WAIGD = WAIGS;
  }
  if (!given("P2AIGD"))
  {
  P2AIGD = P2AIGS;
  }
  if (!given("AIGD1"))
  {
  AIGD1 = AIGS1;
  }
  if (!given("LAIGD1"))
  {
  LAIGD1 = LAIGS1;
  }
  if (!given("NAIGD1"))
  {
  NAIGD1 = NAIGS1;
  }
  if (!given("PAIGD1"))
  {
  PAIGD1 = PAIGS1;
  }
  if (!given("WAIGD1"))
  {
  WAIGD1 = WAIGS1;
  }
  if (!given("P2AIGD1"))
  {
  P2AIGD1 = P2AIGS1;
  }
  if (!given("BIGD"))
  {
  BIGD = BIGS;
  }
  if (!given("LBIGD"))
  {
  LBIGD = LBIGS;
  }
  if (!given("NBIGD"))
  {
  NBIGD = NBIGS;
  }
  if (!given("PBIGD"))
  {
  PBIGD = PBIGS;
  }
  if (!given("WBIGD"))
  {
  WBIGD = WBIGS;
  }
  if (!given("P2BIGD"))
  {
  P2BIGD = P2BIGS;
  }
  if (!given("CIGD"))
  {
  CIGD = CIGS;
  }
  if (!given("LCIGD"))
  {
  LCIGD = LCIGS;
  }
  if (!given("NCIGD"))
  {
  NCIGD = NCIGS;
  }
  if (!given("PCIGD"))
  {
  PCIGD = PCIGS;
  }
  if (!given("WCIGD"))
  {
  WCIGD = WCIGS;
  }
  if (!given("P2CIGD"))
  {
  P2CIGD = P2CIGS;
  }
  if (!given("AGISL"))
  {
  AGISL = AGIDL;
  }
  if (!given("LAGISL"))
  {
  LAGISL = LAGIDL;
  }
  if (!given("NAGISL"))
  {
  NAGISL = NAGIDL;
  }
  if (!given("PAGISL"))
  {
  PAGISL = PAGIDL;
  }
  if (!given("WAGISL"))
  {
  WAGISL = WAGIDL;
  }
  if (!given("P2AGISL"))
  {
  P2AGISL = P2AGIDL;
  }
  if (!given("BGISL"))
  {
  BGISL = BGIDL;
  }
  if (!given("LBGISL"))
  {
  LBGISL = LBGIDL;
  }
  if (!given("NBGISL"))
  {
  NBGISL = NBGIDL;
  }
  if (!given("PBGISL"))
  {
  PBGISL = PBGIDL;
  }
  if (!given("WBGISL"))
  {
  WBGISL = WBGIDL;
  }
  if (!given("P2BGISL"))
  {
  P2BGISL = P2BGIDL;
  }
  if (!given("CGISL"))
  {
  CGISL = CGIDL;
  }
  if (!given("LCGISL"))
  {
  LCGISL = LCGIDL;
  }
  if (!given("NCGISL"))
  {
  NCGISL = NCGIDL;
  }
  if (!given("PCGISL"))
  {
  PCGISL = PCGIDL;
  }
  if (!given("WCGISL"))
  {
  WCGISL = WCGIDL;
  }
  if (!given("P2CGISL"))
  {
  P2CGISL = P2CGIDL;
  }
  if (!given("EGISL"))
  {
  EGISL = EGIDL;
  }
  if (!given("LEGISL"))
  {
  LEGISL = LEGIDL;
  }
  if (!given("NEGISL"))
  {
  NEGISL = NEGIDL;
  }
  if (!given("PEGISL"))
  {
  PEGISL = PEGIDL;
  }
  if (!given("WEGISL"))
  {
  WEGISL = WEGIDL;
  }
  if (!given("P2EGISL"))
  {
  P2EGISL = P2EGIDL;
  }
  if (!given("PGISL"))
  {
  PGISL = PGIDL;
  }
  if (!given("LPGISL"))
  {
  LPGISL = LPGIDL;
  }
  if (!given("NPGISL"))
  {
  NPGISL = NPGIDL;
  }
  if (!given("PPGISL"))
  {
  PPGISL = PPGIDL;
  }
  if (!given("WPGISL"))
  {
  WPGISL = WPGIDL;
  }
  if (!given("P2PGISL"))
  {
  P2PGISL = P2PGIDL;
  }
  if (!given("AGISLB"))
  {
  AGISLB = AGIDLB;
  }
  if (!given("LAGISLB"))
  {
  LAGISLB = LAGIDLB;
  }
  if (!given("NAGISLB"))
  {
  NAGISLB = NAGIDLB;
  }
  if (!given("PAGISLB"))
  {
  PAGISLB = PAGIDLB;
  }
  if (!given("WAGISLB"))
  {
  WAGISLB = WAGIDLB;
  }
  if (!given("P2AGISLB"))
  {
  P2AGISLB = P2AGIDLB;
  }
  if (!given("BGISLB"))
  {
  BGISLB = BGIDLB;
  }
  if (!given("LBGISLB"))
  {
  LBGISLB = LBGIDLB;
  }
  if (!given("NBGISLB"))
  {
  NBGISLB = NBGIDLB;
  }
  if (!given("PBGISLB"))
  {
  PBGISLB = PBGIDLB;
  }
  if (!given("WBGISLB"))
  {
  WBGISLB = WBGIDLB;
  }
  if (!given("P2BGISLB"))
  {
  P2BGISLB = P2BGIDLB;
  }
  if (!given("CGISLB"))
  {
  CGISLB = CGIDLB;
  }
  if (!given("LCGISLB"))
  {
  LCGISLB = LCGIDLB;
  }
  if (!given("NCGISLB"))
  {
  NCGISLB = NCGIDLB;
  }
  if (!given("PCGISLB"))
  {
  PCGISLB = PCGIDLB;
  }
  if (!given("WCGISLB"))
  {
  WCGISLB = WCGIDLB;
  }
  if (!given("P2CGISLB"))
  {
  P2CGISLB = P2CGIDLB;
  }
  if (!given("EGISLB"))
  {
  EGISLB = EGIDLB;
  }
  if (!given("LEGISLB"))
  {
  LEGISLB = LEGIDLB;
  }
  if (!given("NEGISLB"))
  {
  NEGISLB = NEGIDLB;
  }
  if (!given("PEGISLB"))
  {
  PEGISLB = PEGIDLB;
  }
  if (!given("WEGISLB"))
  {
  WEGISLB = WEGIDLB;
  }
  if (!given("P2EGISLB"))
  {
  P2EGISLB = P2EGIDLB;
  }
  if (!given("PGISLB"))
  {
  PGISLB = PGIDLB;
  }
  if (!given("LPGISLB"))
  {
  LPGISLB = LPGIDLB;
  }
  if (!given("NPGISLB"))
  {
  NPGISLB = NPGIDLB;
  }
  if (!given("PPGISLB"))
  {
  PPGISLB = PPGIDLB;
  }
  if (!given("WPGISLB"))
  {
  WPGISLB = WPGIDLB;
  }
  if (!given("P2PGISLB"))
  {
  P2PGISLB = P2PGIDLB;
  }
  if (!given("EOTACC"))
  {
  EOTACC = EOT;
  }
  if (!given("CFD"))
  {
  CFD = CFS;
  }
  if (!given("LCFD"))
  {
  LCFD = LCFS;
  }
  if (!given("NCFD"))
  {
  NCFD = NCFS;
  }
  if (!given("PCFD"))
  {
  PCFD = PCFS;
  }
  if (!given("WCFD"))
  {
  WCFD = WCFS;
  }
  if (!given("P2CFD"))
  {
  P2CFD = P2CFS;
  }
  if (!given("CGDO"))
  {
  CGDO = CGSO;
  }
  if (!given("CGDL"))
  {
  CGDL = CGSL;
  }
  if (!given("LCGDL"))
  {
  LCGDL = LCGSL;
  }
  if (!given("NCGDL"))
  {
  NCGDL = NCGSL;
  }
  if (!given("PCGDL"))
  {
  PCGDL = PCGSL;
  }
  if (!given("WCGDL"))
  {
  WCGDL = WCGSL;
  }
  if (!given("P2CGDL"))
  {
  P2CGDL = P2CGSL;
  }
  if (!given("CKAPPAD"))
  {
  CKAPPAD = CKAPPAS;
  }
  if (!given("LCKAPPAD"))
  {
  LCKAPPAD = LCKAPPAS;
  }
  if (!given("NCKAPPAD"))
  {
  NCKAPPAD = NCKAPPAS;
  }
  if (!given("PCKAPPAD"))
  {
  PCKAPPAD = PCKAPPAS;
  }
  if (!given("WCKAPPAD"))
  {
  WCKAPPAD = WCKAPPAS;
  }
  if (!given("P2CKAPPAD"))
  {
  P2CKAPPAD = P2CKAPPAS;
  }
  if (!given("CJD"))
  {
  CJD = CJS;
  }
  if (!given("CJSWD"))
  {
  CJSWD = CJSWS;
  }
  if (!given("CJSWGD"))
  {
  CJSWGD = CJSWGS;
  }
  if (!given("PBD"))
  {
  PBD = PBS;
  }
  if (!given("PBSWD"))
  {
  PBSWD = PBSWS;
  }
  if (!given("PBSWGS"))
  {
  PBSWGS = PBSWS;
  }
  if (!given("PBSWGD"))
  {
  PBSWGD = PBSWGS;
  }
  if (!given("MJD"))
  {
  MJD = MJS;
  }
  if (!given("MJSWD"))
  {
  MJSWD = MJSWS;
  }
  if (!given("MJSWGS"))
  {
  MJSWGS = MJSWS;
  }
  if (!given("MJSWGD"))
  {
  MJSWGD = MJSWGS;
  }
  if (!given("SJD"))
  {
  SJD = SJS;
  }
  if (!given("SJSWD"))
  {
  SJSWD = SJSWS;
  }
  if (!given("SJSWGD"))
  {
  SJSWGD = SJSWGS;
  }
  if (!given("MJD2"))
  {
  MJD2 = MJS2;
  }
  if (!given("MJSWD2"))
  {
  MJSWD2 = MJSWS2;
  }
  if (!given("MJSWGS2"))
  {
  MJSWGS2 = MJSWS2;
  }
  if (!given("MJSWGD2"))
  {
  MJSWGD2 = MJSWGS2;
  }
  if (!given("JSD"))
  {
  JSD = JSS;
  }
  if (!given("JSWD"))
  {
  JSWD = JSWS;
  }
  if (!given("JSWGD"))
  {
  JSWGD = JSWGS;
  }
  if (!given("NJD"))
  {
  NJD = NJS;
  }
  if (!given("IJTHDFWD"))
  {
  IJTHDFWD = IJTHSFWD;
  }
  if (!given("IJTHDREV"))
  {
  IJTHDREV = IJTHSREV;
  }
  if (!given("BVD"))
  {
  BVD = BVS;
  }
  if (!given("XJBVD"))
  {
  XJBVD = XJBVS;
  }
  if (!given("JTSD"))
  {
  JTSD = JTSS;
  }
  if (!given("JTSSWD"))
  {
  JTSSWD = JTSSWS;
  }
  if (!given("JTSSWGD"))
  {
  JTSSWGD = JTSSWGS;
  }
  if (!given("NJTSD"))
  {
  NJTSD = NJTS;
  }
  if (!given("NJTSSWD"))
  {
  NJTSSWD = NJTSSW;
  }
  if (!given("NJTSSWGD"))
  {
  NJTSSWGD = NJTSSWG;
  }
  if (!given("VTSD"))
  {
  VTSD = VTSS;
  }
  if (!given("VTSSWD"))
  {
  VTSSWD = VTSSWS;
  }
  if (!given("VTSSWGD"))
  {
  VTSSWGD = VTSSWGS;
  }
  if (!given("NOIA2"))
  {
  NOIA2 = NOIA;
  }
  if (!given("XTID"))
  {
  XTID = XTIS;
  }
  if (!given("XTSD"))
  {
  XTSD = XTSS;
  }
  if (!given("XTSSWD"))
  {
  XTSSWD = XTSSWS;
  }
  if (!given("XTSSWGD"))
  {
  XTSSWGD = XTSSWGS;
  }
  if (!given("TNJTSD"))
  {
  TNJTSD = TNJTS;
  }
  if (!given("TNJTSSWD"))
  {
  TNJTSSWD = TNJTSSW;
  }
  if (!given("TNJTSSWGD"))
  {
  TNJTSSWGD = TNJTSSWG;
  }
  if (!given("WSSP0"))
  {
  WSSP0 = WDIM0;
  }
  if (!given("WSSPR"))
  {
  WSSPR = WDIMR;
  }
  if (!given("NVSRS"))
  {
  NVSRS = NVSRD;
  }



  // Now we need to check that any parameters are within their ranges as
  // specified in the verilog:

//    Parameter L : [ 1.0e-9,  (+inf) [
  if ( (!((L >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter L value " << L << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter D : [ 1.0e-9,  (+inf) [
  if ( (!((D >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter D value " << D << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter TFIN : [ 1.0e-9,  (+inf) [
  if ( (!((TFIN >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TFIN value " << TFIN << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter FPITCH : [ TFIN,  (+inf) [
  if ( (!((FPITCH >=TFIN))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter FPITCH value " << FPITCH << " out of range [ TFIN,  (+inf) [";
  }

//    Parameter NFIN : ] 0.0,  (+inf) [
  if ( (!((NFIN >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NFIN value " << NFIN << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NGCON : [ 1, 2 ]
  if ( (!((NGCON >=1 && NGCON <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NGCON value " << NGCON << " out of range [ 1, 2 ]";
  }

//    Parameter ASEO : [ 0.0,  (+inf) [
  if ( (!((ASEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASEO value " << ASEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ADEO : [ 0.0,  (+inf) [
  if ( (!((ADEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ADEO value " << ADEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PSEO : [ 0.0,  (+inf) [
  if ( (!((PSEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PSEO value " << PSEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PDEO : [ 0.0,  (+inf) [
  if ( (!((PDEO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PDEO value " << PDEO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ASEJ : [ 0.0,  (+inf) [
  if ( (!((ASEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASEJ value " << ASEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ADEJ : [ 0.0,  (+inf) [
  if ( (!((ADEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ADEJ value " << ADEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PSEJ : [ 0.0,  (+inf) [
  if ( (!((PSEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PSEJ value " << PSEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PDEJ : [ 0.0,  (+inf) [
  if ( (!((PDEJ >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PDEJ value " << PDEJ << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGSP : [ 0.0,  (+inf) [
  if ( (!((CGSP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGSP value " << CGSP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGDP : [ 0.0,  (+inf) [
  if ( (!((CGDP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGDP value " << CGDP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CDSP : [ 0.0,  (+inf) [
  if ( (!((CDSP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CDSP value " << CDSP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NRS : [ 0.0,  (+inf) [
  if ( (!((NRS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NRS value " << NRS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NRD : [ 0.0,  (+inf) [
  if ( (!((NRD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NRD value " << NRD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter LRSD : ] 0.0,  (+inf) [
  if ( (!((LRSD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter LRSD value " << LRSD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NFINNOM : [ 0.0,  (+inf) [
  if ( (!((NFINNOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NFINNOM value " << NFINNOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter U0MULT : ] 0.0,  (+inf) [
  if ( (!((U0MULT >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0MULT value " << U0MULT << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IDS0MULT : [ 0.0,  (+inf) [
  if ( (!((IDS0MULT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IDS0MULT value " << IDS0MULT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter IGC0MULT : [ 0.0,  (+inf) [
  if ( (!((IGC0MULT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGC0MULT value " << IGC0MULT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter IGB0MULT : [ 0.0,  (+inf) [
  if ( (!((IGB0MULT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGB0MULT value " << IGB0MULT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter COVS : [ 0.0,  (+inf) [
  if ( (!((COVS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter COVS value " << COVS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter COVD : [ 0.0,  (+inf) [
  if ( (!((COVD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter COVD value " << COVD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TGAA : ] 0.0,  (+inf) [
  if ( (!((TGAA >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TGAA value " << TGAA << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter TSUS : ] 0.0,  (+inf) [
  if ( (!((TSUS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TSUS value " << TSUS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter HPFF : ] 0.0,  (+inf) [
  if ( (!((HPFF >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter HPFF value " << HPFF << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter WGAA : ] 0.0,  (+inf) [
  if ( (!((WGAA >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WGAA value " << WGAA << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter DWS1 :  ] (-inf) 0.0 ]
  if ( (!((DWS1 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS1 value " << DWS1 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH1 :  ] (-inf) 0.0 ]
  if ( (!((DACH1 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH1 value " << DACH1 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS2 :  ] (-inf) 0.0 ]
  if ( (!((DWS2 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS2 value " << DWS2 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH2 :  ] (-inf) 0.0 ]
  if ( (!((DACH2 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH2 value " << DACH2 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS3 :  ] (-inf) 0.0 ]
  if ( (!((DWS3 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS3 value " << DWS3 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH3 :  ] (-inf) 0.0 ]
  if ( (!((DACH3 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH3 value " << DACH3 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS4 :  ] (-inf) 0.0 ]
  if ( (!((DWS4 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS4 value " << DWS4 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH4 :  ] (-inf) 0.0 ]
  if ( (!((DACH4 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH4 value " << DACH4 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS5 :  ] (-inf) 0.0 ]
  if ( (!((DWS5 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS5 value " << DWS5 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH5 :  ] (-inf) 0.0 ]
  if ( (!((DACH5 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH5 value " << DACH5 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DWS6 :  ] (-inf) 0.0 ]
  if ( (!((DWS6 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DWS6 value " << DWS6 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter DACH6 :  ] (-inf) 0.0 ]
  if ( (!((DACH6 <=0.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DACH6 value " << DACH6 << " out of range  ] (-inf) 0.0 ]";
  }

//    Parameter NGAA : [ 0, 6 ]
  if ( (!((NGAA >=0 && NGAA <=6 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NGAA value " << NGAA << " out of range [ 0, 6 ]";
  }

//    Parameter SUBBANDMOD : [ 0, 1 ]
  if ( (!((SUBBANDMOD >=0 && SUBBANDMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SUBBANDMOD value " << SUBBANDMOD << " out of range [ 0, 1 ]";
  }

//    Parameter MOBSCMOD : [ 0, 1 ]
  if ( (!((MOBSCMOD >=0 && MOBSCMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MOBSCMOD value " << MOBSCMOD << " out of range [ 0, 1 ]";
  }

//    Parameter TYPE : [ (-1), 1 ]
  if ( (!((TYPE >=(-1) && TYPE <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TYPE value " << TYPE << " out of range [ (-1), 1 ]";
  }

//    Parameter BULKMOD : [ 0, 2 ]
  if ( (!((BULKMOD >=0 && BULKMOD <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BULKMOD value " << BULKMOD << " out of range [ 0, 2 ]";
  }

//    Parameter GEOMOD : [ 0, 5 ]
  if ( (!((GEOMOD >=0 && GEOMOD <=5 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter GEOMOD value " << GEOMOD << " out of range [ 0, 5 ]";
  }

//    Parameter CGEO1SW : [ 0, 1 ]
  if ( (!((CGEO1SW >=0 && CGEO1SW <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGEO1SW value " << CGEO1SW << " out of range [ 0, 1 ]";
  }

//    Parameter RDSMOD : [ 0, 2 ]
  if ( (!((RDSMOD >=0 && RDSMOD <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RDSMOD value " << RDSMOD << " out of range [ 0, 2 ]";
  }

//    Parameter ASYMMOD : [ 0, 1 ]
  if ( (!((ASYMMOD >=0 && ASYMMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASYMMOD value " << ASYMMOD << " out of range [ 0, 1 ]";
  }

//    Parameter CVMOD : [ 0, 1 ]
  if ( (!((CVMOD >=0 && CVMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CVMOD value " << CVMOD << " out of range [ 0, 1 ]";
  }

//    Parameter IGCMOD : [ 0, 1 ]
  if ( (!((IGCMOD >=0 && IGCMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGCMOD value " << IGCMOD << " out of range [ 0, 1 ]";
  }

//    Parameter IGBMOD : [ 0, 1 ]
  if ( (!((IGBMOD >=0 && IGBMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGBMOD value " << IGBMOD << " out of range [ 0, 1 ]";
  }

//    Parameter GIDLMOD : [ 0, 2 ]
  if ( (!((GIDLMOD >=0 && GIDLMOD <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter GIDLMOD value " << GIDLMOD << " out of range [ 0, 2 ]";
  }

//    Parameter IIMOD : [ 0, 2 ]
  if ( (!((IIMOD >=0 && IIMOD <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IIMOD value " << IIMOD << " out of range [ 0, 2 ]";
  }

//    Parameter TNOIMOD : [ 0, 1 ]
  if ( (!((TNOIMOD >=0 && TNOIMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TNOIMOD value " << TNOIMOD << " out of range [ 0, 1 ]";
  }

//    Parameter NQSMOD : [ 0, 2 ]
  if ( (!((NQSMOD >=0 && NQSMOD <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NQSMOD value " << NQSMOD << " out of range [ 0, 2 ]";
  }

//    Parameter SHMOD : [ 0, 1 ]
  if ( (!((SHMOD >=0 && SHMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SHMOD value " << SHMOD << " out of range [ 0, 1 ]";
  }

//    Parameter TEMPMOD : [ 0, 1 ]
  if ( (!((TEMPMOD >=0 && TEMPMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TEMPMOD value " << TEMPMOD << " out of range [ 0, 1 ]";
  }

//    Parameter RGATEMOD : [ 0, 1 ]
  if ( (!((RGATEMOD >=0 && RGATEMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RGATEMOD value " << RGATEMOD << " out of range [ 0, 1 ]";
  }

//    Parameter RGEOMOD : [ 0, 1 ]
  if ( (!((RGEOMOD >=0 && RGEOMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RGEOMOD value " << RGEOMOD << " out of range [ 0, 1 ]";
  }

//    Parameter CGEOMOD : [ 0, 3 ]
  if ( (!((CGEOMOD >=0 && CGEOMOD <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGEOMOD value " << CGEOMOD << " out of range [ 0, 3 ]";
  }

//    Parameter FNMOD : [ 0, 1 ]
  if ( (!((FNMOD >=0 && FNMOD <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter FNMOD value " << FNMOD << " out of range [ 0, 1 ]";
  }

//    Parameter CRYOMOD : [ 0, 2 ]
  if ( (!((CRYOMOD >=0 && CRYOMOD <=2 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CRYOMOD value " << CRYOMOD << " out of range [ 0, 2 ]";
  }

//    Parameter SH_WARN : [ 0, 1 ]
  if ( (!((SH_WARN >=0 && SH_WARN <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SH_WARN value " << SH_WARN << " out of range [ 0, 1 ]";
  }

//    Parameter IGCLAMP : [ 0, 1 ]
  if ( (!((IGCLAMP >=0 && IGCLAMP <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGCLAMP value " << IGCLAMP << " out of range [ 0, 1 ]";
  }

//    Parameter EOT : [ 1.0e-10,  (+inf) [
  if ( (!((EOT >=1.0e-10))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EOT value " << EOT << " out of range [ 1.0e-10,  (+inf) [";
  }

//    Parameter TOXP : [ 1.0e-10,  (+inf) [
  if ( (!((TOXP >=1.0e-10))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TOXP value " << TOXP << " out of range [ 1.0e-10,  (+inf) [";
  }

//    Parameter EOTBOX : [ 1.0e-9,  (+inf) [
  if ( (!((EOTBOX >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EOTBOX value " << EOTBOX << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter HFIN : [ 1.0e-9,  (+inf) [
  if ( (!((HFIN >=1.0e-9))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter HFIN value " << HFIN << " out of range [ 1.0e-9,  (+inf) [";
  }

//    Parameter NBODYN2 : ] 0.0, 0.0 [
  if ( ((NBODYN2 >0.0 && NBODYN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NBODYN2 value " << NBODYN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter NSD : [ 2.0e25, 1.0e27 ]
  if ( (!((NSD >=2.0e25 && NSD <=1.0e27 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NSD value " << NSD << " out of range [ 2.0e25, 1.0e27 ]";
  }

//    Parameter PHIGN2 : ] 0.0, 0.0 [
  if ( ((PHIGN2 >0.0 && PHIGN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PHIGN2 value " << PHIGN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter EPSROX : [ 1.0,  (+inf) [
  if ( (!((EPSROX >=1.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EPSROX value " << EPSROX << " out of range [ 1.0,  (+inf) [";
  }

//    Parameter EPSRSUB : [ 1.0,  (+inf) [
  if ( (!((EPSRSUB >=1.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EPSRSUB value " << EPSRSUB << " out of range [ 1.0,  (+inf) [";
  }

//    Parameter EASUB : [ 0.0,  (+inf) [
  if ( (!((EASUB >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EASUB value " << EASUB << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NI0SUB : ] 0.0,  (+inf) [
  if ( (!((NI0SUB >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NI0SUB value " << NI0SUB << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter BG0SUB : ] 0.0,  (+inf) [
  if ( (!((BG0SUB >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BG0SUB value " << BG0SUB << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NC0SUB : ] 0.0,  (+inf) [
  if ( (!((NC0SUB >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NC0SUB value " << NC0SUB << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IMIN : ] 0.0,  (+inf) [
  if ( (!((IMIN >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IMIN value " << IMIN << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter PHIG : [ 0.0,  (+inf) [
  if ( (!((PHIG >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PHIG value " << PHIG << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter minr : [ 0.0,  (+inf) [
  if ( (!((minr >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter minr value " << minr << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CDSCN2 : ] 0.0, 0.0 [
  if ( ((CDSCN2 >0.0 && CDSCN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CDSCN2 value " << CDSCN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter CDSCDN2 : ] 0.0, 0.0 [
  if ( ((CDSCDN2 >0.0 && CDSCDN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CDSCDN2 value " << CDSCDN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter CDSCDRN2 : ] 0.0, 0.0 [
  if ( ((CDSCDRN2 >0.0 && CDSCDRN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CDSCDRN2 value " << CDSCDRN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter ETA0N2 : [ 1.0e-5,  (+inf) [
  if ( (!((ETA0N2 >=1.0e-5))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ETA0N2 value " << ETA0N2 << " out of range [ 1.0e-5,  (+inf) [";
  }

//    Parameter ETA0N2CV : [ 1.0e-5,  (+inf) [
  if ( (!((ETA0N2CV >=1.0e-5))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ETA0N2CV value " << ETA0N2CV << " out of range [ 1.0e-5,  (+inf) [";
  }

//    Parameter BDVTP0 : ] 0.0, 0.0 [
  if ( ((BDVTP0 >0.0 && BDVTP0 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BDVTP0 value " << BDVTP0 << "  ] 0.0, 0.0 [";
  }

//    Parameter BDVTP1 : ] 0.0, 0.0 [
  if ( ((BDVTP1 >0.0 && BDVTP1 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BDVTP1 value " << BDVTP1 << "  ] 0.0, 0.0 [";
  }

//    Parameter NVTM : [ 0.0,  (+inf) [
  if ( (!((NVTM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NVTM value " << NVTM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter K1 : [ 1.0e-6,  (+inf) [
  if ( (!((K1 >=1.0e-6))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter K1 value " << K1 << " out of range [ 1.0e-6,  (+inf) [";
  }

//    Parameter BQMTCEN : ] 0.0, 0.0 [
  if ( ((BQMTCEN >0.0 && BQMTCEN <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BQMTCEN value " << BQMTCEN << "  ] 0.0, 0.0 [";
  }

//    Parameter QM0 : ] 0.0,  (+inf) [
  if ( (!((QM0 >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter QM0 value " << QM0 << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter QM0ACC : ] 0.0,  (+inf) [
  if ( (!((QM0ACC >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter QM0ACC value " << QM0ACC << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter VSATN2 : ] 0.0, 0.0 [
  if ( ((VSATN2 >0.0 && VSATN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter VSATN2 value " << VSATN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter BVSAT : ] 0.0, 0.0 [
  if ( ((BVSAT >0.0 && BVSAT <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BVSAT value " << BVSAT << "  ] 0.0, 0.0 [";
  }

//    Parameter VSAT1N2 : ] 0.0, 0.0 [
  if ( ((VSAT1N2 >0.0 && VSAT1N2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter VSAT1N2 value " << VSAT1N2 << "  ] 0.0, 0.0 [";
  }

//    Parameter VSAT1RN2 : ] 0.0, 0.0 [
  if ( ((VSAT1RN2 >0.0 && VSAT1RN2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter VSAT1RN2 value " << VSAT1RN2 << "  ] 0.0, 0.0 [";
  }

//    Parameter BVSAT1 : ] 0.0, 0.0 [
  if ( ((BVSAT1 >0.0 && BVSAT1 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BVSAT1 value " << BVSAT1 << "  ] 0.0, 0.0 [";
  }

//    Parameter BPSAT : ] 0.0, 0.0 [
  if ( ((BPSAT >0.0 && BPSAT <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BPSAT value " << BPSAT << "  ] 0.0, 0.0 [";
  }

//    Parameter BVSATCV : ] 0.0, 0.0 [
  if ( ((BVSATCV >0.0 && BVSATCV <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BVSATCV value " << BVSATCV << "  ] 0.0, 0.0 [";
  }

//    Parameter BPSATCV : ] 0.0, 0.0 [
  if ( ((BPSATCV >0.0 && BPSATCV <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BPSATCV value " << BPSATCV << "  ] 0.0, 0.0 [";
  }

//    Parameter BPTWG : ] 0.0, 0.0 [
  if ( ((BPTWG >0.0 && BPTWG <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BPTWG value " << BPTWG << "  ] 0.0, 0.0 [";
  }

//    Parameter DVSATCLAMP : [ 0.01,  (+inf) [
  if ( (!((DVSATCLAMP >=0.01))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DVSATCLAMP value " << DVSATCLAMP << " out of range [ 0.01,  (+inf) [";
  }

//    Parameter U0N2 : ] 0.0, 0.0 [
  if ( ((U0N2 >0.0 && U0N2 <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0N2 value " << U0N2 << "  ] 0.0, 0.0 [";
  }

//    Parameter U0N2CV : ] 0.0, 0.0 [
  if ( ((U0N2CV >0.0 && U0N2CV <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0N2CV value " << U0N2CV << "  ] 0.0, 0.0 [";
  }

//    Parameter U0N2R : ] 0.0, 0.0 [
  if ( ((U0N2R >0.0 && U0N2R <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0N2R value " << U0N2R << "  ] 0.0, 0.0 [";
  }

//    Parameter BUA : ] 0.0, 0.0 [
  if ( ((BUA >0.0 && BUA <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BUA value " << BUA << "  ] 0.0, 0.0 [";
  }

//    Parameter BUAR : ] 0.0, 0.0 [
  if ( ((BUAR >0.0 && BUAR <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BUAR value " << BUAR << "  ] 0.0, 0.0 [";
  }

//    Parameter BEU : ] 0.0, 0.0 [
  if ( ((BEU >0.0 && BEU <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BEU value " << BEU << "  ] 0.0, 0.0 [";
  }

//    Parameter BEUR : ] 0.0, 0.0 [
  if ( ((BEUR >0.0 && BEUR <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BEUR value " << BEUR << "  ] 0.0, 0.0 [";
  }

//    Parameter BUD : ] 0.0, 0.0 [
  if ( ((BUD >0.0 && BUD <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BUD value " << BUD << "  ] 0.0, 0.0 [";
  }

//    Parameter BUDR : ] 0.0, 0.0 [
  if ( ((BUDR >0.0 && BUDR <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BUDR value " << BUDR << "  ] 0.0, 0.0 [";
  }

//    Parameter CHARGEWF : [ (-1.0), 1.0 ]
  if ( (!((CHARGEWF >=(-1.0) && CHARGEWF <=1.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CHARGEWF value " << CHARGEWF << " out of range [ (-1.0), 1.0 ]";
  }

//    Parameter DMOBCLAMP : [ 0.01,  (+inf) [
  if ( (!((DMOBCLAMP >=0.01))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DMOBCLAMP value " << DMOBCLAMP << " out of range [ 0.01,  (+inf) [";
  }

//    Parameter ETAMOBTNI : [ 0.0,  (+inf) [
  if ( (!((ETAMOBTNI >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ETAMOBTNI value " << ETAMOBTNI << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ETAMOBIR : ] 0.0,  (+inf) [
  if ( (!((ETAMOBIR >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ETAMOBIR value " << ETAMOBIR << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter UATSAT : [ 0.0,  (+inf) [
  if ( (!((UATSAT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter UATSAT value " << UATSAT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter UARTSC : [ 0.0,  (+inf) [
  if ( (!((UARTSC >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter UARTSC value " << UARTSC << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter UATNI : [ 0.0,  (+inf) [
  if ( (!((UATNI >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter UATNI value " << UATNI << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter UAIR : ] 0.0,  (+inf) [
  if ( (!((UAIR >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter UAIR value " << UAIR << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter EUPTSC : [ 0.0,  (+inf) [
  if ( (!((EUPTSC >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EUPTSC value " << EUPTSC << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter EUTNI : [ 0.0,  (+inf) [
  if ( (!((EUTNI >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EUTNI value " << EUTNI << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter EUIR : ] 0.0,  (+inf) [
  if ( (!((EUIR >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EUIR value " << EUIR << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter UDTSAT : [ 0.0,  (+inf) [
  if ( (!((UDTSAT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter UDTSAT value " << UDTSAT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter UDPTSC : [ 0.0,  (+inf) [
  if ( (!((UDPTSC >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter UDPTSC value " << UDPTSC << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter U0ETAWSC : [ 0.0,  (+inf) [
  if ( (!((U0ETAWSC >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0ETAWSC value " << U0ETAWSC << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter EGBULK : [ 0.0,  (+inf) [
  if ( (!((EGBULK >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EGBULK value " << EGBULK << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter U0EMSM1 : [ 0.0,  (+inf) [
  if ( (!((U0EMSM1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter U0EMSM1 value " << U0EMSM1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RDSWMIN : [ 0.0,  (+inf) [
  if ( (!((RDSWMIN >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RDSWMIN value " << RDSWMIN << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter BRDSW : ] 0.0, 0.0 [
  if ( ((BRDSW >0.0 && BRDSW <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BRDSW value " << BRDSW << "  ] 0.0, 0.0 [";
  }

//    Parameter RSWMIN : [ 0.0,  (+inf) [
  if ( (!((RSWMIN >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RSWMIN value " << RSWMIN << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter BRSW : ] 0.0, 0.0 [
  if ( ((BRSW >0.0 && BRSW <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BRSW value " << BRSW << "  ] 0.0, 0.0 [";
  }

//    Parameter RDWMIN : [ 0.0,  (+inf) [
  if ( (!((RDWMIN >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RDWMIN value " << RDWMIN << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter BRDW : ] 0.0, 0.0 [
  if ( ((BRDW >0.0 && BRDW <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BRDW value " << BRDW << "  ] 0.0, 0.0 [";
  }

//    Parameter RSDR : [ 0.0,  (+inf) [
  if ( (!((RSDR >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RSDR value " << RSDR << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RSDRR : [ 0.0,  (+inf) [
  if ( (!((RSDRR >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RSDRR value " << RSDRR << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RDDR : [ 0.0,  (+inf) [
  if ( (!((RDDR >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RDDR value " << RDDR << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RDDRR : [ 0.0,  (+inf) [
  if ( (!((RDDRR >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RDDRR value " << RDDRR << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SPRT : [ 0.0,  (+inf) [
  if ( (!((SPRT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SPRT value " << SPRT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter BPCLM : ] 0.0, 0.0 [
  if ( ((BPCLM >0.0 && BPCLM <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BPCLM value " << BPCLM << "  ] 0.0, 0.0 [";
  }

//    Parameter BPCLMR : ] 0.0, 0.0 [
  if ( ((BPCLMR >0.0 && BPCLMR <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BPCLMR value " << BPCLMR << "  ] 0.0, 0.0 [";
  }

//    Parameter RGEXT : [ 0.0,  (+inf) [
  if ( (!((RGEXT >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RGEXT value " << RGEXT << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RGFIN : [ 1.0e-3,  (+inf) [
  if ( (!((RGFIN >=1.0e-3))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RGFIN value " << RGFIN << " out of range [ 1.0e-3,  (+inf) [";
  }

//    Parameter RHOC : [ 1.0e-18, 1.0e-9 ]
  if ( (!((RHOC >=1.0e-18 && RHOC <=1.0e-9 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RHOC value " << RHOC << " out of range [ 1.0e-18, 1.0e-9 ]";
  }

//    Parameter RHORSD : ] 0.0,  (+inf) [
  if ( (!((RHORSD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RHORSD value " << RHORSD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter CRATIO : [ 0.0, 1.0 ]
  if ( (!((CRATIO >=0.0 && CRATIO <=1.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CRATIO value " << CRATIO << " out of range [ 0.0, 1.0 ]";
  }

//    Parameter DELTAPRSD : ] (-FPITCH),  (+inf) [
  if ( (!((DELTAPRSD >(-FPITCH)))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DELTAPRSD value " << DELTAPRSD << " out of range ] (-FPITCH),  (+inf) [";
  }

//    Parameter SDTERM : [ 0, 1 ]
  if ( (!((SDTERM >=0 && SDTERM <=1 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SDTERM value " << SDTERM << " out of range [ 0, 1 ]";
  }

//    Parameter LSP : ] 0.0,  (+inf) [
  if ( (!((LSP >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter LSP value " << LSP << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter EPSRSP : [ 1.0,  (+inf) [
  if ( (!((EPSRSP >=1.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EPSRSP value " << EPSRSP << " out of range [ 1.0,  (+inf) [";
  }

//    Parameter TGATE : ] 0.0,  (+inf) [
  if ( (!((TGATE >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TGATE value " << TGATE << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter TMASK : [ 0.0,  (+inf) [
  if ( (!((TMASK >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TMASK value " << TMASK << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ASILIEND : [ 0.0,  (+inf) [
  if ( (!((ASILIEND >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASILIEND value " << ASILIEND << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ARSDEND : [ 0.0,  (+inf) [
  if ( (!((ARSDEND >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ARSDEND value " << ARSDEND << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PRSDEND : [ 0.0,  (+inf) [
  if ( (!((PRSDEND >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PRSDEND value " << PRSDEND << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGEOE : [ 0.0,  (+inf) [
  if ( (!((CGEOE >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGEOE value " << CGEOE << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TOXREF : ] 0.0,  (+inf) [
  if ( (!((TOXREF >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TOXREF value " << TOXREF << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter TOXG : [ 1.0e-10,  (+inf) [
  if ( (!((TOXG >=1.0e-10))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TOXG value " << TOXG << " out of range [ 1.0e-10,  (+inf) [";
  }

//    Parameter IGBINVCLAMP : ] 0.0,  (+inf) [
  if ( (!((IGBINVCLAMP >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGBINVCLAMP value " << IGBINVCLAMP << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IGBACCCLAMP : ] 0.0,  (+inf) [
  if ( (!((IGBACCCLAMP >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGBACCCLAMP value " << IGBACCCLAMP << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IGCINVCLAMP : ] 0.0,  (+inf) [
  if ( (!((IGCINVCLAMP >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IGCINVCLAMP value " << IGCINVCLAMP << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IIMOD2CLAMP1 : ] 0.0,  (+inf) [
  if ( (!((IIMOD2CLAMP1 >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IIMOD2CLAMP1 value " << IIMOD2CLAMP1 << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IIMOD2CLAMP2 : ] 0.0,  (+inf) [
  if ( (!((IIMOD2CLAMP2 >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IIMOD2CLAMP2 value " << IIMOD2CLAMP2 << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter IIMOD2CLAMP3 : ] 0.0,  (+inf) [
  if ( (!((IIMOD2CLAMP3 >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter IIMOD2CLAMP3 value " << IIMOD2CLAMP3 << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter EOTACC : [ 1.0e-10,  (+inf) [
  if ( (!((EOTACC >=1.0e-10))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EOTACC value " << EOTACC << " out of range [ 1.0e-10,  (+inf) [";
  }

//    Parameter CGSO : [ 0.0,  (+inf) [
  if ( (!((CGSO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGSO value " << CGSO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGDO : [ 0.0,  (+inf) [
  if ( (!((CGDO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGDO value " << CGDO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGBO : [ 0.0,  (+inf) [
  if ( (!((CGBO >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGBO value " << CGBO << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGBN : [ 0.0,  (+inf) [
  if ( (!((CGBN >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGBN value " << CGBN << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CGBW : [ 0.0,  (+inf) [
  if ( (!((CGBW >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CGBW value " << CGBW << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CSDESW : [ 0.0,  (+inf) [
  if ( (!((CSDESW >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CSDESW value " << CSDESW << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CJS : [ 0.0,  (+inf) [
  if ( (!((CJS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CJS value " << CJS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CJD : [ 0.0,  (+inf) [
  if ( (!((CJD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CJD value " << CJD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CJSWS : [ 0.0,  (+inf) [
  if ( (!((CJSWS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CJSWS value " << CJSWS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CJSWD : [ 0.0,  (+inf) [
  if ( (!((CJSWD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CJSWD value " << CJSWD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CJSWGS : [ 0.0,  (+inf) [
  if ( (!((CJSWGS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CJSWGS value " << CJSWGS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CJSWGD : [ 0.0,  (+inf) [
  if ( (!((CJSWGD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CJSWGD value " << CJSWGD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter MJS : ] 0.0,  (+inf) [
  if ( (!((MJS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MJS value " << MJS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter MJD : ] 0.0,  (+inf) [
  if ( (!((MJD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MJD value " << MJD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter MJSWS : ] 0.0,  (+inf) [
  if ( (!((MJSWS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MJSWS value " << MJSWS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter MJSWD : ] 0.0,  (+inf) [
  if ( (!((MJSWD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MJSWD value " << MJSWD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter MJSWGS : ] 0.0,  (+inf) [
  if ( (!((MJSWGS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MJSWGS value " << MJSWGS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter MJSWGD : ] 0.0,  (+inf) [
  if ( (!((MJSWGD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MJSWGD value " << MJSWGD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter SJS : [ 0.0,  (+inf) [
  if ( (!((SJS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SJS value " << SJS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SJD : [ 0.0,  (+inf) [
  if ( (!((SJD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SJD value " << SJD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SJSWS : [ 0.0,  (+inf) [
  if ( (!((SJSWS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SJSWS value " << SJSWS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SJSWD : [ 0.0,  (+inf) [
  if ( (!((SJSWD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SJSWD value " << SJSWD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SJSWGS : [ 0.0,  (+inf) [
  if ( (!((SJSWGS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SJSWGS value " << SJSWGS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SJSWGD : [ 0.0,  (+inf) [
  if ( (!((SJSWGD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SJSWGD value " << SJSWGD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter JSS : [ 0.0,  (+inf) [
  if ( (!((JSS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JSS value " << JSS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter JSD : [ 0.0,  (+inf) [
  if ( (!((JSD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JSD value " << JSD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter JSWS : [ 0.0,  (+inf) [
  if ( (!((JSWS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JSWS value " << JSWS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter JSWD : [ 0.0,  (+inf) [
  if ( (!((JSWD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JSWD value " << JSWD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter JSWGS : [ 0.0,  (+inf) [
  if ( (!((JSWGS >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JSWGS value " << JSWGS << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter JSWGD : [ 0.0,  (+inf) [
  if ( (!((JSWGD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JSWGD value " << JSWGD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NJS : ] 0.0,  (+inf) [
  if ( (!((NJS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NJS value " << NJS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NJD : ] 0.0,  (+inf) [
  if ( (!((NJD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NJD value " << NJD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter XJBVS : ] 0.0, 0.0 [
  if ( ((XJBVS >0.0 && XJBVS <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter XJBVS value " << XJBVS << "  ] 0.0, 0.0 [";
  }

//    Parameter XJBVD : ] 0.0, 0.0 [
  if ( ((XJBVD >0.0 && XJBVD <0.0 )) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter XJBVD value " << XJBVD << "  ] 0.0, 0.0 [";
  }

//    Parameter JTWEFF : [ 0.0,  (+inf) [
  if ( (!((JTWEFF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter JTWEFF value " << JTWEFF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter EF : [ 0.0,  (+inf) [
  if ( (!((EF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EF value " << EF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter EM : [ 0.0,  (+inf) [
  if ( (!((EM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter EM value " << EM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NOIA : ] 0.0,  (+inf) [
  if ( (!((NOIA >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NOIA value " << NOIA << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter NOIB : [ 0.0,  (+inf) [
  if ( (!((NOIB >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NOIB value " << NOIB << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NOIC : [ 0.0,  (+inf) [
  if ( (!((NOIC >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NOIC value " << NOIC << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SMOOTH : [ 0.0,  (+inf) [
  if ( (!((SMOOTH >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SMOOTH value " << SMOOTH << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NOIA2 : [ 0.0,  (+inf) [
  if ( (!((NOIA2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NOIA2 value " << NOIA2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter LNOIA2 : [ 0.0,  (+inf) [
  if ( (!((LNOIA2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter LNOIA2 value " << LNOIA2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NNOIA2 : [ 0.0,  (+inf) [
  if ( (!((NNOIA2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NNOIA2 value " << NNOIA2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PNOIA2 : [ 0.0,  (+inf) [
  if ( (!((PNOIA2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PNOIA2 value " << PNOIA2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WNOIA2 : [ 0.0,  (+inf) [
  if ( (!((WNOIA2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WNOIA2 value " << WNOIA2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter P2NOIA2 : [ 0.0,  (+inf) [
  if ( (!((P2NOIA2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter P2NOIA2 value " << P2NOIA2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter MPOWER : [ 0.0,  (+inf) [
  if ( (!((MPOWER >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MPOWER value " << MPOWER << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter LMPOWER : [ 0.0,  (+inf) [
  if ( (!((LMPOWER >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter LMPOWER value " << LMPOWER << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NMPOWER : [ 0.0,  (+inf) [
  if ( (!((NMPOWER >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NMPOWER value " << NMPOWER << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PMPOWER : [ 0.0,  (+inf) [
  if ( (!((PMPOWER >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PMPOWER value " << PMPOWER << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WMPOWER : [ 0.0,  (+inf) [
  if ( (!((WMPOWER >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WMPOWER value " << WMPOWER << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter P2MPOWER : [ 0.0,  (+inf) [
  if ( (!((P2MPOWER >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter P2MPOWER value " << P2MPOWER << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter QSREF : [ 0.0,  (+inf) [
  if ( (!((QSREF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter QSREF value " << QSREF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter LQSREF : [ 0.0,  (+inf) [
  if ( (!((LQSREF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter LQSREF value " << LQSREF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NQSREF : [ 0.0,  (+inf) [
  if ( (!((NQSREF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NQSREF value " << NQSREF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PQSREF : [ 0.0,  (+inf) [
  if ( (!((PQSREF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PQSREF value " << PQSREF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WQSREF : [ 0.0,  (+inf) [
  if ( (!((WQSREF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WQSREF value " << WQSREF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter P2QSREF : [ 0.0,  (+inf) [
  if ( (!((P2QSREF >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter P2QSREF value " << P2QSREF << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NTNOI : [ 0.0,  (+inf) [
  if ( (!((NTNOI >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NTNOI value " << NTNOI << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RNOIA : [ 0.0,  (+inf) [
  if ( (!((RNOIA >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RNOIA value " << RNOIA << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RNOIB : [ 0.0,  (+inf) [
  if ( (!((RNOIB >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RNOIB value " << RNOIB << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RNOIC : [ 0.0,  (+inf) [
  if ( (!((RNOIC >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RNOIC value " << RNOIC << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RNOIK : [ 0.0,  (+inf) [
  if ( (!((RNOIK >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RNOIK value " << RNOIK << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TNOIK2 : [ 0.0,  (+inf) [
  if ( (!((TNOIK2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TNOIK2 value " << TNOIK2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TNOM : [ (-273.15),  (+inf) [
  if ( (!((TNOM >=(-273.15)))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TNOM value " << TNOM << " out of range [ (-273.15),  (+inf) [";
  }

//    Parameter TLOW : [ 0.0,  (+inf) [
  if ( (!((TLOW >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TLOW value " << TLOW << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TLOW1 : [ 0.0,  (+inf) [
  if ( (!((TLOW1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TLOW1 value " << TLOW1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter KLOW1 : [ 0.0,  (+inf) [
  if ( (!((KLOW1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter KLOW1 value " << KLOW1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RTH0 : [ 0.0,  (+inf) [
  if ( (!((RTH0 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RTH0 value " << RTH0 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter CTH0 : [ 0.0,  (+inf) [
  if ( (!((CTH0 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CTH0 value " << CTH0 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WTH0 : [ 0.0,  (+inf) [
  if ( (!((WTH0 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WTH0 value " << WTH0 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ASHEXP : [ 0.0,  (+inf) [
  if ( (!((ASHEXP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ASHEXP value " << ASHEXP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter BSHEXP : [ 0.0,  (+inf) [
  if ( (!((BSHEXP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter BSHEXP value " << BSHEXP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ACH_UFCM : ] 0.0,  (+inf) [
  if ( (!((ACH_UFCM >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ACH_UFCM value " << ACH_UFCM << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter CINS_UFCM : ] 0.0,  (+inf) [
  if ( (!((CINS_UFCM >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter CINS_UFCM value " << CINS_UFCM << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter W_UFCM : ] 0.0,  (+inf) [
  if ( (!((W_UFCM >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter W_UFCM value " << W_UFCM << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter TFIN_TOP : [ 0.0,  (+inf) [
  if ( (!((TFIN_TOP >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TFIN_TOP value " << TFIN_TOP << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TFIN_BASE : [ 0.0,  (+inf) [
  if ( (!((TFIN_BASE >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TFIN_BASE value " << TFIN_BASE << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter QMFACTORCV : [ 0.0,  (+inf) [
  if ( (!((QMFACTORCV >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter QMFACTORCV value " << QMFACTORCV << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter ALPHA_UFCM : [ 0.0,  (+inf) [
  if ( (!((ALPHA_UFCM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter ALPHA_UFCM value " << ALPHA_UFCM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter DIM1H : [ 1, 3 ]
  if ( (!((DIM1H >=1 && DIM1H <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DIM1H value " << DIM1H << " out of range [ 1, 3 ]";
  }

//    Parameter DIMENSION1 : [ 1, 3 ]
  if ( (!((DIMENSION1 >=1 && DIMENSION1 <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DIMENSION1 value " << DIMENSION1 << " out of range [ 1, 3 ]";
  }

//    Parameter DIM2H : [ 1, 3 ]
  if ( (!((DIM2H >=1 && DIM2H <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DIM2H value " << DIM2H << " out of range [ 1, 3 ]";
  }

//    Parameter DIMENSION2 : [ 1, 3 ]
  if ( (!((DIMENSION2 >=1 && DIMENSION2 <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DIMENSION2 value " << DIMENSION2 << " out of range [ 1, 3 ]";
  }

//    Parameter DIM3H : [ 1, 3 ]
  if ( (!((DIM3H >=1 && DIM3H <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DIM3H value " << DIM3H << " out of range [ 1, 3 ]";
  }

//    Parameter DIMENSION3 : [ 1, 3 ]
  if ( (!((DIMENSION3 >=1 && DIMENSION3 <=3 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DIMENSION3 value " << DIMENSION3 << " out of range [ 1, 3 ]";
  }

//    Parameter WDIM0 : [ 0.0,  (+inf) [
  if ( (!((WDIM0 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WDIM0 value " << WDIM0 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WDIMR : ] 0.0,  (+inf) [
  if ( (!((WDIMR >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WDIMR value " << WDIMR << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter SSP1 : [ 0.0,  (+inf) [
  if ( (!((SSP1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SSP1 value " << SSP1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SSP2 : [ 0.0,  (+inf) [
  if ( (!((SSP2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SSP2 value " << SSP2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter SSP3 : [ 0.0,  (+inf) [
  if ( (!((SSP3 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter SSP3 value " << SSP3 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter DSSP1 : [ 0.0,  (+inf) [
  if ( (!((DSSP1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DSSP1 value " << DSSP1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter DSSP2 : [ 0.0,  (+inf) [
  if ( (!((DSSP2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DSSP2 value " << DSSP2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter DSSP3 : [ 0.0,  (+inf) [
  if ( (!((DSSP3 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter DSSP3 value " << DSSP3 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSSP0 : [ 0.0,  (+inf) [
  if ( (!((WSSP0 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSSP0 value " << WSSP0 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSSPR : ] 0.0,  (+inf) [
  if ( (!((WSSPR >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSSPR value " << WSSPR << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter WGAANOM : ] 0.0,  (+inf) [
  if ( (!((WGAANOM >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WGAANOM value " << WGAANOM << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter E2NOM : [ 0.0,  (+inf) [
  if ( (!((E2NOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter E2NOM value " << E2NOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter E3NOM : [ 0.0,  (+inf) [
  if ( (!((E3NOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter E3NOM value " << E3NOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSFE2 : [ 0.0,  (+inf) [
  if ( (!((WSFE2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSFE2 value " << WSFE2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSFE3 : [ 0.0,  (+inf) [
  if ( (!((WSFE3 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSFE3 value " << WSFE3 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter MFQ1NOM : [ 0.0,  (+inf) [
  if ( (!((MFQ1NOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MFQ1NOM value " << MFQ1NOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter MFQ2NOM : [ 0.0,  (+inf) [
  if ( (!((MFQ2NOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MFQ2NOM value " << MFQ2NOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter MFQ3NOM : [ 0.0,  (+inf) [
  if ( (!((MFQ3NOM >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MFQ3NOM value " << MFQ3NOM << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSFQ1 : [ 0.0,  (+inf) [
  if ( (!((WSFQ1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSFQ1 value " << WSFQ1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSFQ2 : [ 0.0,  (+inf) [
  if ( (!((WSFQ2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSFQ2 value " << WSFQ2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter WSFQ3 : [ 0.0,  (+inf) [
  if ( (!((WSFQ3 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter WSFQ3 value " << WSFQ3 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TSRE2 : [ 0.0,  (+inf) [
  if ( (!((TSRE2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TSRE2 value " << TSRE2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TDWSE2 : [ 0.0,  (+inf) [
  if ( (!((TDWSE2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TDWSE2 value " << TDWSE2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TSRQ1 : [ 0.0,  (+inf) [
  if ( (!((TSRQ1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TSRQ1 value " << TSRQ1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TDWSQ1 : [ 0.0,  (+inf) [
  if ( (!((TDWSQ1 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TDWSQ1 value " << TDWSQ1 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TSRQ2 : [ 0.0,  (+inf) [
  if ( (!((TSRQ2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TSRQ2 value " << TSRQ2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter TDWSQ2 : [ 0.0,  (+inf) [
  if ( (!((TDWSQ2 >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter TDWSQ2 value " << TDWSQ2 << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter NVSRD : ] 0.0,  (+inf) [
  if ( (!((NVSRD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NVSRD value " << NVSRD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter VSATRSD : ] 0.0,  (+inf) [
  if ( (!((VSATRSD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter VSATRSD value " << VSATRSD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter PTWGVSRSD : [ 0.0,  (+inf) [
  if ( (!((PTWGVSRSD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PTWGVSRSD value " << PTWGVSRSD << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter PSATXVSRSD : ] 0.0,  (+inf) [
  if ( (!((PSATXVSRSD >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter PSATXVSRSD value " << PSATXVSRSD << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter MVSRSD : ] 0, 4 [
  if ( (!((MVSRSD >0 && MVSRSD <4 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter MVSRSD value " << MVSRSD << " out of range ] 0, 4 [";
  }

//    Parameter NVSRS : ] 0.0,  (+inf) [
  if ( (!((NVSRS >0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter NVSRS value " << NVSRS << " out of range ] 0.0,  (+inf) [";
  }

//    Parameter RDLCW : [ 0.0,  (+inf) [
  if ( (!((RDLCW >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RDLCW value " << RDLCW << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter RSLCW : [ 0.0,  (+inf) [
  if ( (!((RSLCW >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter RSLCW value " << RSLCW << " out of range [ 0.0,  (+inf) [";
  }

//    Parameter VSRDFACTOR : [ 1.0e-4, 1.0 ]
  if ( (!((VSRDFACTOR >=1.0e-4 && VSRDFACTOR <=1.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter VSRDFACTOR value " << VSRDFACTOR << " out of range [ 1.0e-4, 1.0 ]";
  }

//    Parameter VSRSFACTOR : [ 1.0e-4, 1.0 ]
  if ( (!((VSRSFACTOR >=1.0e-4 && VSRSFACTOR <=1.0 ))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter VSRSFACTOR value " << VSRSFACTOR << " out of range [ 1.0e-4, 1.0 ]";
  }

//    Parameter GAVSRD : [ 0.0,  (+inf) [
  if ( (!((GAVSRD >=0.0))) )
  {
    UserWarning(*this) << "ADMSbsimcmg_111: Parameter GAVSRD value " << GAVSRD << " out of range [ 0.0,  (+inf) [";
  }

  // and of course, this routine is where we should put the initial_model
  // stuff


  return true;
}
//----------------------------------------------------------------------------
// Function      : Model::processInstanceParams
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//----------------------------------------------------------------------------
bool Model::processInstanceParams()
{

  std::vector<Instance*>::iterator iter;
  std::vector<Instance*>::iterator first = instanceContainer.begin();
  std::vector<Instance*>::iterator last  = instanceContainer.end();

  for (iter=first; iter!=last; ++iter)
  {
    (*iter)->processParams();
  }

  return true;
}

//-----------------------------------------------------------------------------
// Function      : Model::Model
// Purpose       : model block constructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::Model(
  const Configuration & configuration,
  const ModelBlock &    model_block,
  const FactoryBlock &  factory_block)
  : DeviceModel(model_block, configuration.getModelParameters(), factory_block),
    L(3.0e-8),
    D(4.0e-8),
    TFIN(1.5e-8),
    FPITCH(8.0e-8),
    NFIN(1.0),
    NGCON(1),
    ASEO(0.0),
    ADEO(0.0),
    PSEO(0.0),
    PDEO(0.0),
    ASEJ(0.0),
    ADEJ(0.0),
    PSEJ(0.0),
    PDEJ(0.0),
    CGSP(0.0),
    CGDP(0.0),
    CDSP(0.0),
    NRS(0.0),
    NRD(0.0),
    LRSD(0.0),
    NFINNOM(0.0),
    DTEMP(0.0),
    DELVTRAND(0.0),
    U0MULT(1.0),
    IDS0MULT(1.0),
    IGC0MULT(1.0),
    IGB0MULT(1.0),
    COVS(0.0),
    LCOVS(0.0),
    NCOVS(0.0),
    PCOVS(0.0),
    WCOVS(0.0),
    P2COVS(0.0),
    COVD(0.0),
    LCOVD(0.0),
    NCOVD(0.0),
    PCOVD(0.0),
    WCOVD(0.0),
    P2COVD(0.0),
    TGAA(5.0e-9),
    TSUS(2.0e-9),
    HPFF(5.0e-9),
    WGAA(6.0e-9),
    DWS1(0),
    DACH1(0),
    DWS2(0.0),
    DACH2(0.0),
    DWS3(0.0),
    DACH3(0.0),
    DWS4(0.0),
    DACH4(0.0),
    DWS5(0.0),
    DACH5(0.0),
    DWS6(0.0),
    DACH6(0.0),
    NGAA(1),
    SUBBANDMOD(0),
    MOBSCMOD(0),
    TYPE(1),
    BULKMOD(0),
    GEOMOD(0),
    CGEO1SW(0),
    RDSMOD(0),
    ASYMMOD(0),
    CVMOD(0),
    IGCMOD(0),
    IGBMOD(0),
    GIDLMOD(0),
    IIMOD(0),
    TNOIMOD(0),
    NQSMOD(0),
    SHMOD(0),
    TEMPMOD(0),
    RGATEMOD(0),
    RGEOMOD(0),
    CGEOMOD(0),
    FNMOD(0),
    CRYOMOD(0),
    SH_WARN(0),
    IGCLAMP(1),
    LL(0.0),
    LLN(1.0),
    DLC(0.0),
    DLCACC(0.0),
    DWCACC(0.0),
    LLC(0.0),
    EOT(1.0e-9),
    TOXP(1.2e-9),
    EOTBOX(1.4e-7),
    HFIN(3.0e-8),
    DELTAW(0.0),
    DELTAWCV(0.0),
    NBODYN1(0.0),
    NBODYN2(1.0e5),
    NSD(2.0e26),
    PHIGL(0.0),
    PHIGLT(0.0),
    PHIGN1(0.0),
    PHIGN2(1.0e5),
    EPSROX(3.9),
    EPSRSUB(11.9),
    EASUB(4.05),
    NI0SUB(1.1e16),
    BG0SUB(1.12),
    NC0SUB(2.86e25),
    IMIN(1.0e-15),
    LXL(0.0),
    NXL(0.0),
    PXL(0.0),
    LINT(0.0),
    LLINT(0.0),
    NLINT(0.0),
    PLINT(0.0),
    DLBIN(0.0),
    LDLBIN(0.0),
    NDLBIN(0.0),
    PDLBIN(0.0),
    LXW(0.0),
    NXW(0.0),
    PXW(0.0),
    WXW(0.0),
    P2XW(0.0),
    DWBIN(0.0),
    LDWBIN(0.0),
    NDWBIN(0.0),
    PDWBIN(0.0),
    WDWBIN(0.0),
    P2DWBIN(0.0),
    NBODY(1.0e22),
    LNBODY(0.0),
    NNBODY(0.0),
    PNBODY(0.0),
    PHIG(4.61),
    LPHIG(0.0),
    NPHIG(0.0),
    PPHIG(0.0),
    WPHIG(0.0),
    P2PHIG(0.0),
    NGATE(0.0),
    LNGATE(0.0),
    NNGATE(0.0),
    PNGATE(0.0),
    WNGATE(0.0),
    P2NGATE(0.0),
    minr(0.0),
    CDSCN1(0.0),
    CDSCN2(1.0e5),
    CDSCDN1(0.0),
    CDSCDN2(1.0e5),
    CDSCDRN1(0.0),
    CDSCDRN2(0.0),
    ETA0N1(0.0),
    ETA0N2(1.0e5),
    ETA0LT(0.0),
    ETA0N1CV(0.0),
    ETA0N2CV(0.0),
    ETA0LTCV(0.0),
    TETA0(0.0),
    TETA0CV(0.0),
    TETA0R(0.0),
    ADVTP0(0.0),
    BDVTP0(1.0e-7),
    ADVTP1(0.0),
    BDVTP1(1.0e-7),
    DVTP2(0.0),
    THETASCE(0.0),
    THETADIBL(0.0),
    THETASW(0.0),
    NVTM(0.0),
    DVTP0(0.0),
    LDVTP0(0.0),
    NDVTP0(0.0),
    PDVTP0(0.0),
    WDVTP0(0.0),
    P2DVTP0(0.0),
    DVTP1(0.0),
    LDVTP1(0.0),
    NDVTP1(0.0),
    PDVTP1(0.0),
    WDVTP1(0.0),
    P2DVTP1(0.0),
    CIT(0.0),
    LCIT(0.0),
    NCIT(0.0),
    PCIT(0.0),
    WCIT(0.0),
    P2CIT(0.0),
    CITR(0.0),
    LCITR(0.0),
    NCITR(0.0),
    PCITR(0.0),
    WCITR(0.0),
    P2CITR(0.0),
    CDSC(7.0e-3),
    LCDSC(0.0),
    NCDSC(0.0),
    PCDSC(0.0),
    WCDSC(0.0),
    P2CDSC(0.0),
    CDSCD(7.0e-3),
    LCDSCD(0.0),
    NCDSCD(0.0),
    PCDSCD(0.0),
    WCDSCD(0.0),
    P2CDSCD(0.0),
    CDSCDR(0.0),
    LCDSCDR(0.0),
    NCDSCDR(0.0),
    PCDSCDR(0.0),
    WCDSCDR(0.0),
    P2CDSCDR(0.0),
    DVT0(0.0),
    LDVT0(0.0),
    NDVT0(0.0),
    PDVT0(0.0),
    WDVT0(0.0),
    P2DVT0(0.0),
    DVT1(0.6),
    LDVT1(0.0),
    NDVT1(0.0),
    PDVT1(0.0),
    WDVT1(0.0),
    P2DVT1(0.0),
    DVT1SS(0.0),
    LDVT1SS(0.0),
    NDVT1SS(0.0),
    PDVT1SS(0.0),
    WDVT1SS(0.0),
    P2DVT1SS(0.0),
    PHIN(0.05),
    LPHIN(0.0),
    NPHIN(0.0),
    PPHIN(0.0),
    WPHIN(0.0),
    P2PHIN(0.0),
    ETA0(0.6),
    LETA0(0.0),
    NETA0(0.0),
    PETA0(0.0),
    WETA0(0.0),
    P2ETA0(0.0),
    ETA0R(0.0),
    LETA0R(0.0),
    NETA0R(0.0),
    PETA0R(0.0),
    WETA0R(0.0),
    P2ETA0R(0.0),
    ETA0CV(0.0),
    LETA0CV(0.0),
    NETA0CV(0.0),
    PETA0CV(0.0),
    WETA0CV(0.0),
    P2ETA0CV(0.0),
    DSUB(1.06),
    LDSUB(0.0),
    NDSUB(0.0),
    PDSUB(0.0),
    WDSUB(0.0),
    P2DSUB(0.0),
    K1RSCE(0.0),
    LK1RSCE(0.0),
    NK1RSCE(0.0),
    PK1RSCE(0.0),
    WK1RSCE(0.0),
    P2K1RSCE(0.0),
    LPE0(5.0e-9),
    LLPE0(0.0),
    NLPE0(0.0),
    PLPE0(0.0),
    WLPE0(0.0),
    P2LPE0(0.0),
    DVTSHIFT(0.0),
    LDVTSHIFT(0.0),
    NDVTSHIFT(0.0),
    PDVTSHIFT(0.0),
    WDVTSHIFT(0.0),
    P2DVTSHIFT(0.0),
    DVTSHIFTR(0.0),
    LDVTSHIFTR(0.0),
    NDVTSHIFTR(0.0),
    PDVTSHIFTR(0.0),
    WDVTSHIFTR(0.0),
    P2DVTSHIFTR(0.0),
    K0(0.0),
    LK0(0.0),
    NK0(0.0),
    PK0(0.0),
    WK0(0.0),
    P2K0(0.0),
    K01(0.0),
    LK01(0.0),
    NK01(0.0),
    PK01(0.0),
    WK01(0.0),
    P2K01(0.0),
    K0SI(1.0),
    LK0SI(0.0),
    NK0SI(0.0),
    PK0SI(0.0),
    WK0SI(0.0),
    P2K0SI(0.0),
    K0SI1(0.0),
    LK0SI1(0.0),
    NK0SI1(0.0),
    PK0SI1(0.0),
    WK0SI1(0.0),
    P2K0SI1(0.0),
    K2SI(0.0),
    LK2SI(0.0),
    NK2SI(0.0),
    PK2SI(0.0),
    WK2SI(0.0),
    P2K2SI(0.0),
    K2SI1(0.0),
    LK2SI1(0.0),
    NK2SI1(0.0),
    PK2SI1(0.0),
    WK2SI1(0.0),
    P2K2SI1(0.0),
    K0SISAT(0.0),
    LK0SISAT(0.0),
    NK0SISAT(0.0),
    PK0SISAT(0.0),
    WK0SISAT(0.0),
    P2K0SISAT(0.0),
    K0SISAT1(0.0),
    LK0SISAT1(0.0),
    NK0SISAT1(0.0),
    PK0SISAT1(0.0),
    WK0SISAT1(0.0),
    P2K0SISAT1(0.0),
    K2SISAT(0.0),
    LK2SISAT(0.0),
    NK2SISAT(0.0),
    PK2SISAT(0.0),
    WK2SISAT(0.0),
    P2K2SISAT(0.0),
    K2SISAT1(0.0),
    LK2SISAT1(0.0),
    NK2SISAT1(0.0),
    PK2SISAT1(0.0),
    WK2SISAT1(0.0),
    P2K2SISAT1(0.0),
    PHIBE(0.7),
    LPHIBE(0.0),
    NPHIBE(0.0),
    PPHIBE(0.0),
    WPHIBE(0.0),
    P2PHIBE(0.0),
    K1(1.0e-6),
    LK1(0.0),
    NK1(0.0),
    PK1(0.0),
    WK1(0.0),
    P2K1(0.0),
    K11(0.0),
    LK11(0.0),
    NK11(0.0),
    PK11(0.0),
    WK11(0.0),
    P2K11(0.0),
    K2SAT(0.0),
    LK2SAT(0.0),
    NK2SAT(0.0),
    PK2SAT(0.0),
    WK2SAT(0.0),
    P2K2SAT(0.0),
    K2SAT1(0.0),
    LK2SAT1(0.0),
    NK2SAT1(0.0),
    PK2SAT1(0.0),
    WK2SAT1(0.0),
    P2K2SAT1(0.0),
    K2(0.0),
    LK2(0.0),
    NK2(0.0),
    PK2(0.0),
    WK2(0.0),
    P2K2(0.0),
    K21(0.0),
    LK21(0.0),
    NK21(0.0),
    PK21(0.0),
    WK21(0.0),
    P2K21(0.0),
    AQMTCEN(0.0),
    BQMTCEN(1.2e-8),
    QM0(1.0e-3),
    PQM(0.66),
    QM0ACC(1.0e-3),
    PQMACC(0.66),
    QMFACTOR(0.0),
    LQMFACTOR(0.0),
    NQMFACTOR(0.0),
    PQMFACTOR(0.0),
    WQMFACTOR(0.0),
    P2QMFACTOR(0.0),
    QMTCENCV(0.0),
    LQMTCENCV(0.0),
    NQMTCENCV(0.0),
    PQMTCENCV(0.0),
    WQMTCENCV(0.0),
    P2QMTCENCV(0.0),
    QMTCENCVA(0.0),
    LQMTCENCVA(0.0),
    NQMTCENCVA(0.0),
    PQMTCENCVA(0.0),
    WQMTCENCVA(0.0),
    P2QMTCENCVA(0.0),
    VSATN1(0.0),
    VSATN2(1.0e5),
    AVSAT(0.0),
    BVSAT(1.0e-7),
    VSAT1N1(0.0),
    VSAT1N2(0.0),
    VSAT1RN1(0.0),
    VSAT1RN2(0.0),
    AVSAT1(0.0),
    BVSAT1(0.0),
    APSAT(0.0),
    BPSAT(1.0),
    AVSATCV(0.0),
    BVSATCV(0.0),
    APSATCV(0.0),
    BPSATCV(0.0),
    AMEXP(0.0),
    BMEXP(1.0),
    AMEXPR(0.0),
    BMEXPR(0.0),
    APTWG(0.0),
    BPTWG(1.0e-7),
    TMEXP(0.0),
    TMEXP2((-4.0e-6)),
    TMEXPR(0.0),
    DVSATCLAMP(0.01),
    VSAT(8.5e4),
    LVSAT(0.0),
    NVSAT(0.0),
    PVSAT(0.0),
    WVSAT(0.0),
    P2VSAT(0.0),
    VSATR(0.0),
    LVSATR(0.0),
    NVSATR(0.0),
    PVSATR(0.0),
    WVSATR(0.0),
    P2VSATR(0.0),
    VSAT1(0.0),
    LVSAT1(0.0),
    NVSAT1(0.0),
    PVSAT1(0.0),
    WVSAT1(0.0),
    P2VSAT1(0.0),
    VSAT1R(0.0),
    LVSAT1R(0.0),
    NVSAT1R(0.0),
    PVSAT1R(0.0),
    WVSAT1R(0.0),
    P2VSAT1R(0.0),
    DELTAVSAT(1.0),
    LDELTAVSAT(0.0),
    NDELTAVSAT(0.0),
    PDELTAVSAT(0.0),
    WDELTAVSAT(0.0),
    P2DELTAVSAT(0.0),
    PSAT(2.0),
    LPSAT(0.0),
    NPSAT(0.0),
    PPSAT(0.0),
    WPSAT(0.0),
    P2PSAT(0.0),
    KSATIV(1.0),
    LKSATIV(0.0),
    NKSATIV(0.0),
    PKSATIV(0.0),
    WKSATIV(0.0),
    P2KSATIV(0.0),
    KSATIVT1((-2.0e-4)),
    KSATIVT2((-2.0e-7)),
    KSATIVR(0.0),
    LKSATIVR(0.0),
    NKSATIVR(0.0),
    PKSATIVR(0.0),
    WKSATIVR(0.0),
    P2KSATIVR(0.0),
    VSATCV(0.0),
    LVSATCV(0.0),
    NVSATCV(0.0),
    PVSATCV(0.0),
    WVSATCV(0.0),
    P2VSATCV(0.0),
    DELTAVSATCV(0.0),
    LDELTAVSATCV(0.0),
    NDELTAVSATCV(0.0),
    PDELTAVSATCV(0.0),
    WDELTAVSATCV(0.0),
    P2DELTAVSATCV(0.0),
    PSATCV(0.0),
    LPSATCV(0.0),
    NPSATCV(0.0),
    PPSATCV(0.0),
    WPSATCV(0.0),
    P2PSATCV(0.0),
    MEXP(4.0),
    LMEXP(0.0),
    NMEXP(0.0),
    PMEXP(0.0),
    WMEXP(0.0),
    P2MEXP(0.0),
    MEXPR(0.0),
    LMEXPR(0.0),
    NMEXPR(0.0),
    PMEXPR(0.0),
    WMEXPR(0.0),
    P2MEXPR(0.0),
    PTWG(0.0),
    LPTWG(0.0),
    NPTWG(0.0),
    PPTWG(0.0),
    WPTWG(0.0),
    P2PTWG(0.0),
    PTWGR(0.0),
    LPTWGR(0.0),
    NPTWGR(0.0),
    PPTWGR(0.0),
    WPTWGR(0.0),
    P2PTWGR(0.0),
    AT((-1.56e-3)),
    LAT(0.0),
    NAT(0.0),
    PAT(0.0),
    WAT(0.0),
    P2AT(0.0),
    AT2(2.0e-6),
    ATR(0.0),
    LATR(0.0),
    NATR(0.0),
    PATR(0.0),
    WATR(0.0),
    P2ATR(0.0),
    ATCV(0.0),
    LATCV(0.0),
    NATCV(0.0),
    PATCV(0.0),
    WATCV(0.0),
    P2ATCV(0.0),
    AT2CV(0.0),
    PTWGT(4.0e-3),
    LPTWGT(0.0),
    NPTWGT(0.0),
    PPTWGT(0.0),
    WPTWGT(0.0),
    P2PTWGT(0.0),
    U0N1(0.0),
    U0N1CV(0.0),
    U0N1R(0.0),
    U0N2(1.0e5),
    U0N2CV(0.0),
    U0N2R(0.0),
    U0LT(0.0),
    U0LTCV(0.0),
    LPA(1.0),
    LPAR(0.0),
    AUA(0.0),
    AUAR(0.0),
    BUA(1.0e-7),
    BUAR(0.0),
    AEU(0.0),
    AEUR(0.0),
    BEU(1.0e-7),
    BEUR(0.0),
    AUD(0.0),
    AUDR(0.0),
    BUD(5.0e-8),
    BUDR(0.0),
    CHARGEWF(0.0),
    DMOBCLAMP(0.01),
    U0(3.0e-2),
    LU0(0.0),
    NU0(0.0),
    PU0(0.0),
    WU0(0.0),
    P2U0(0.0),
    U0R(0.0),
    LU0R(0.0),
    NU0R(0.0),
    PU0R(0.0),
    WU0R(0.0),
    P2U0R(0.0),
    U0CV(0.0),
    LU0CV(0.0),
    NU0CV(0.0),
    PU0CV(0.0),
    WU0CV(0.0),
    P2U0CV(0.0),
    ETAMOB(2.0),
    LETAMOB(0.0),
    NETAMOB(0.0),
    PETAMOB(0.0),
    WETAMOB(0.0),
    P2ETAMOB(0.0),
    UP(0.0),
    LUP(0.0),
    NUP(0.0),
    PUP(0.0),
    WUP(0.0),
    P2UP(0.0),
    UPR(0.0),
    LUPR(0.0),
    NUPR(0.0),
    PUPR(0.0),
    WUPR(0.0),
    P2UPR(0.0),
    UA(0.3),
    LUA(0.0),
    NUA(0.0),
    PUA(0.0),
    WUA(0.0),
    P2UA(0.0),
    UAR(0.0),
    LUAR(0.0),
    NUAR(0.0),
    PUAR(0.0),
    WUAR(0.0),
    P2UAR(0.0),
    UACV(0.0),
    LUACV(0.0),
    NUACV(0.0),
    PUACV(0.0),
    WUACV(0.0),
    P2UACV(0.0),
    UC(0.0),
    LUC(0.0),
    NUC(0.0),
    PUC(0.0),
    WUC(0.0),
    P2UC(0.0),
    UCR(0.0),
    LUCR(0.0),
    NUCR(0.0),
    PUCR(0.0),
    WUCR(0.0),
    P2UCR(0.0),
    UCCV(0.0),
    LUCCV(0.0),
    NUCCV(0.0),
    PUCCV(0.0),
    WUCCV(0.0),
    P2UCCV(0.0),
    EU(2.5),
    LEU(0.0),
    NEU(0.0),
    PEU(0.0),
    WEU(0.0),
    P2EU(0.0),
    EUR(0.0),
    LEUR(0.0),
    NEUR(0.0),
    PEUR(0.0),
    WEUR(0.0),
    P2EUR(0.0),
    UD(0.0),
    LUD(0.0),
    NUD(0.0),
    PUD(0.0),
    WUD(0.0),
    P2UD(0.0),
    UDR(0.0),
    LUDR(0.0),
    NUDR(0.0),
    PUDR(0.0),
    WUDR(0.0),
    P2UDR(0.0),
    UDCV(0.0),
    LUDCV(0.0),
    NUDCV(0.0),
    PUDCV(0.0),
    WUDCV(0.0),
    P2UDCV(0.0),
    UCS(1.0),
    LUCS(0.0),
    NUCS(0.0),
    PUCS(0.0),
    WUCS(0.0),
    P2UCS(0.0),
    UDS(2.0e-5),
    LUDS(0.0),
    NUDS(0.0),
    PUDS(0.0),
    WUDS(0.0),
    P2UDS(0.0),
    UDS1((-10.0)),
    LUDS1(0.0),
    NUDS1(0.0),
    PUDS1(0.0),
    WUDS1(0.0),
    P2UDS1(0.0),
    UDD((-2.0e-5)),
    LUDD(0.0),
    NUDD(0.0),
    PUDD(0.0),
    WUDD(0.0),
    P2UDD(0.0),
    UDD1((-10.0)),
    LUDD1(0.0),
    NUDD1(0.0),
    PUDD1(0.0),
    WUDD1(0.0),
    P2UDD1(0.0),
    UTE(0.0),
    LUTE(0.0),
    NUTE(0.0),
    PUTE(0.0),
    WUTE(0.0),
    P2UTE(0.0),
    UTER(0.0),
    LUTER(0.0),
    NUTER(0.0),
    PUTER(0.0),
    WUTER(0.0),
    P2UTER(0.0),
    UTECV(0.0),
    LUTECV(0.0),
    NUTECV(0.0),
    PUTECV(0.0),
    WUTECV(0.0),
    P2UTECV(0.0),
    UTE1((-0.4)),
    LUTE1(0.0),
    NUTE1(0.0),
    PUTE1(0.0),
    WUTE1(0.0),
    P2UTE1(0.0),
    UTE1CV(0.0),
    LUTE1CV(0.0),
    NUTE1CV(0.0),
    PUTE1CV(0.0),
    WUTE1CV(0.0),
    P2UTE1CV(0.0),
    UTL((-1.5e-3)),
    LUTL(0.0),
    NUTL(0.0),
    PUTL(0.0),
    WUTL(0.0),
    P2UTL(0.0),
    UTLR(0.0),
    LUTLR(0.0),
    NUTLR(0.0),
    PUTLR(0.0),
    WUTLR(0.0),
    P2UTLR(0.0),
    UTLCV(0.0),
    LUTLCV(0.0),
    NUTLCV(0.0),
    PUTLCV(0.0),
    WUTLCV(0.0),
    P2UTLCV(0.0),
    EMOBT(0.0),
    LEMOBT(0.0),
    NEMOBT(0.0),
    PEMOBT(0.0),
    WEMOBT(0.0),
    P2EMOBT(0.0),
    UA1(1.032e-3),
    LUA1(0.0),
    NUA1(0.0),
    PUA1(0.0),
    WUA1(0.0),
    P2UA1(0.0),
    UA1R(0.0),
    LUA1R(0.0),
    NUA1R(0.0),
    PUA1R(0.0),
    WUA1R(0.0),
    P2UA1R(0.0),
    UA1CV(0.0),
    LUA1CV(0.0),
    NUA1CV(0.0),
    PUA1CV(0.0),
    WUA1CV(0.0),
    P2UA1CV(0.0),
    UA2((-0.04)),
    LUA2(0.0),
    NUA2(0.0),
    PUA2(0.0),
    WUA2(0.0),
    P2UA2(0.0),
    UA2CV(0.0),
    LUA2CV(0.0),
    NUA2CV(0.0),
    PUA2CV(0.0),
    WUA2CV(0.0),
    P2UA2CV(0.0),
    EU1((-1.0e-3)),
    LEU1(0.0),
    NEU1(0.0),
    PEU1(0.0),
    WEU1(0.0),
    P2EU1(0.0),
    UC1(5.6e-11),
    LUC1(0.0),
    NUC1(0.0),
    PUC1(0.0),
    WUC1(0.0),
    P2UC1(0.0),
    UC1R(0.0),
    LUC1R(0.0),
    NUC1R(0.0),
    PUC1R(0.0),
    WUC1R(0.0),
    P2UC1R(0.0),
    UC1CV(0.0),
    LUC1CV(0.0),
    NUC1CV(0.0),
    PUC1CV(0.0),
    WUC1CV(0.0),
    P2UC1CV(0.0),
    UD1(0.0),
    LUD1(0.0),
    NUD1(0.0),
    PUD1(0.0),
    WUD1(0.0),
    P2UD1(0.0),
    UD1R(0.0),
    LUD1R(0.0),
    NUD1R(0.0),
    PUD1R(0.0),
    WUD1R(0.0),
    P2UD1R(0.0),
    UD1CV(0.0),
    LUD1CV(0.0),
    NUD1CV(0.0),
    PUD1CV(0.0),
    WUD1CV(0.0),
    P2UD1CV(0.0),
    UD2((-0.04)),
    LUD2(0.0),
    NUD2(0.0),
    PUD2(0.0),
    WUD2(0.0),
    P2UD2(0.0),
    UD2CV(0.0),
    LUD2CV(0.0),
    NUD2CV(0.0),
    PUD2CV(0.0),
    WUD2CV(0.0),
    P2UD2CV(0.0),
    UCSTE((-4.775e-3)),
    LUCSTE(0.0),
    NUCSTE(0.0),
    PUCSTE(0.0),
    WUCSTE(0.0),
    P2UCSTE(0.0),
    UCSTE1((-0.04)),
    LUCSTE1(0.0),
    NUCSTE1(0.0),
    PUCSTE1(0.0),
    WUCSTE1(0.0),
    P2UCSTE1(0.0),
    ETAMOBTHIN(0.0),
    ETAMOBTNI(7.5e-9),
    ETAMOBIR(0.1),
    UATHIN(0.0),
    UATSAT(9e-9),
    UARTSC(0.09),
    UATNI(6.4e-9),
    UAIR(0.2),
    EUTHIN(0.0),
    EUPTSC(3.5),
    EUTNI(6e-9),
    EUIR(0.2),
    UDTHIN(0.0),
    UDTSAT(8.1e-9),
    UDPTSC(1.3),
    U0ETAWSC(1.5),
    EGBULK(1.1),
    U0EMSM1(26.6),
    U0EMSM2(4),
    RDSWMIN(0.0),
    ARDSW(0.0),
    BRDSW(1.0e-7),
    RSWMIN(0.0),
    ARSW(0.0),
    BRSW(1.0e-7),
    RDWMIN(0.0),
    ARDW(0.0),
    BRDW(1.0e-7),
    RSDR(0.0),
    RSDRR(0.0),
    RDDR(0.0),
    RDDRR(0.0),
    PRSDR(1.0),
    PRDDR(0.0),
    TRSDR(0.0),
    TRDDR(0.0),
    RDSW(1.0e2),
    LRDSW(0.0),
    NRDSW(0.0),
    PRDSW(0.0),
    WRDSW(0.0),
    P2RDSW(0.0),
    RSW(5.0e1),
    LRSW(0.0),
    NRSW(0.0),
    PRSW(0.0),
    WRSW(0.0),
    P2RSW(0.0),
    RDW(5.0e1),
    LRDW(0.0),
    NRDW(0.0),
    PRDW(0.0),
    WRDW(0.0),
    P2RDW(0.0),
    PRWGS(0.0),
    LPRWGS(0.0),
    NPRWGS(0.0),
    PPRWGS(0.0),
    WPRWGS(0.0),
    P2PRWGS(0.0),
    PRWGD(0.0),
    LPRWGD(0.0),
    NPRWGD(0.0),
    PPRWGD(0.0),
    WPRWGD(0.0),
    P2PRWGD(0.0),
    WR(1.0),
    LWR(0.0),
    NWR(0.0),
    PWR(0.0),
    WWR(0.0),
    P2WR(0.0),
    PRT(1.0e-3),
    LPRT(0.0),
    NPRT(0.0),
    PPRT(0.0),
    WPRT(0.0),
    P2PRT(0.0),
    PRT1(4.0e-4),
    LPRT1(0.0),
    NPRT1(0.0),
    PPRT1(0.0),
    WPRT1(0.0),
    P2PRT1(0.0),
    TR0(170.0),
    LTR0(0.0),
    NTR0(0.0),
    PTR0(0.0),
    WTR0(0.0),
    P2TR0(0.0),
    SPRT(1.0e-2),
    LSPRT(0.0),
    NSPRT(0.0),
    PSPRT(0.0),
    WSPRT(0.0),
    P2SPRT(0.0),
    PDIBL1(1.3),
    LPDIBL1(0.0),
    NPDIBL1(0.0),
    PPDIBL1(0.0),
    WPDIBL1(0.0),
    P2PDIBL1(0.0),
    PDIBL2(2.0e-4),
    LPDIBL2(0.0),
    NPDIBL2(0.0),
    PPDIBL2(0.0),
    WPDIBL2(0.0),
    P2PDIBL2(0.0),
    PDIBL1R(0.0),
    LPDIBL1R(0.0),
    NPDIBL1R(0.0),
    PPDIBL1R(0.0),
    WPDIBL1R(0.0),
    P2PDIBL1R(0.0),
    PDIBL2R(0.0),
    LPDIBL2R(0.0),
    NPDIBL2R(0.0),
    PPDIBL2R(0.0),
    WPDIBL2R(0.0),
    P2PDIBL2R(0.0),
    DROUT(1.06),
    LDROUT(0.0),
    NDROUT(0.0),
    PDROUT(0.0),
    WDROUT(0.0),
    P2DROUT(0.0),
    PVAG(1.0),
    LPVAG(0.0),
    NPVAG(0.0),
    PPVAG(0.0),
    WPVAG(0.0),
    P2PVAG(0.0),
    APCLM(0.0),
    APCLMR(0.0),
    BPCLM(1.0e-7),
    BPCLMR(0.0),
    PCLM(1.3e-2),
    PCLMT((-2.0e-5)),
    LPCLM(0.0),
    NPCLM(0.0),
    PPCLM(0.0),
    WPCLM(0.0),
    P2PCLM(0.0),
    PCLMR(0.0),
    LPCLMR(0.0),
    NPCLMR(0.0),
    PPCLMR(0.0),
    WPCLMR(0.0),
    P2PCLMR(0.0),
    PCLMG(0.0),
    LPCLMG(0.0),
    NPCLMG(0.0),
    PPCLMG(0.0),
    WPCLMG(0.0),
    P2PCLMG(0.0),
    PCLMCV(0.0),
    LPCLMCV(0.0),
    NPCLMCV(0.0),
    PPCLMCV(0.0),
    WPCLMCV(0.0),
    P2PCLMCV(0.0),
    A1(0.0),
    LA1(0.0),
    NA1(0.0),
    PA1(0.0),
    WA1(0.0),
    P2A1(0.0),
    A11(0.0),
    LA11(0.0),
    NA11(0.0),
    PA11(0.0),
    WA11(0.0),
    P2A11(0.0),
    A2(0.0),
    LA2(0.0),
    NA2(0.0),
    PA2(0.0),
    WA2(0.0),
    P2A2(0.0),
    A21(0.0),
    LA21(0.0),
    NA21(0.0),
    PA21(0.0),
    WA21(0.0),
    P2A21(0.0),
    RGEXT(0.0),
    RGFIN(1.0e-3),
    RSHS(0.0),
    RSHD(0.0),
    HEPI(1.0e-8),
    TSILI(1.0e-8),
    RHOC(1.0e-12),
    RHORSD(1.0),
    CRATIO(0.5),
    DELTAPRSD(0.0),
    SDTERM(0),
    LSP(6.0e-9),
    EPSRSP(3.9),
    TGATE(3.0e-8),
    TMASK(3.0e-8),
    ASILIEND(0.0),
    ARSDEND(0.0),
    PRSDEND(0.0),
    RGEOA(1.0),
    RGEOB(0.0),
    RGEOC(0.0),
    RGEOD(0.0),
    RGEOE(0.0),
    CGEOA(1.0),
    CGEOB(0.0),
    CGEOC(0.0),
    CGEOD(0.0),
    CGEOE(1.0),
    DLCIGS(0.0),
    DLCIGD(0.0),
    VFBSD(0.0),
    VFBSDCV(0.0),
    TOXREF(1.2e-9),
    TOXG(0.0),
    IGBINVCLAMP(1.0e-3),
    IGBACCCLAMP(1.0e-3),
    IGCINVCLAMP(5.0e-4),
    NTOX(1.0),
    LNTOX(0.0),
    NNTOX(0.0),
    PNTOX(0.0),
    WNTOX(0.0),
    P2NTOX(0.0),
    AIGBINV(1.11e-2),
    LAIGBINV(0.0),
    NAIGBINV(0.0),
    PAIGBINV(0.0),
    WAIGBINV(0.0),
    P2AIGBINV(0.0),
    AIGBINV1(0.0),
    LAIGBINV1(0.0),
    NAIGBINV1(0.0),
    PAIGBINV1(0.0),
    WAIGBINV1(0.0),
    P2AIGBINV1(0.0),
    BIGBINV(9.49e-4),
    LBIGBINV(0.0),
    NBIGBINV(0.0),
    PBIGBINV(0.0),
    WBIGBINV(0.0),
    P2BIGBINV(0.0),
    CIGBINV(6.0e-3),
    LCIGBINV(0.0),
    NCIGBINV(0.0),
    PCIGBINV(0.0),
    WCIGBINV(0.0),
    P2CIGBINV(0.0),
    EIGBINV(1.1),
    LEIGBINV(0.0),
    NEIGBINV(0.0),
    PEIGBINV(0.0),
    WEIGBINV(0.0),
    P2EIGBINV(0.0),
    NIGBINV(3.0),
    LNIGBINV(0.0),
    NNIGBINV(0.0),
    PNIGBINV(0.0),
    WNIGBINV(0.0),
    P2NIGBINV(0.0),
    AIGBACC(1.36e-2),
    LAIGBACC(0.0),
    NAIGBACC(0.0),
    PAIGBACC(0.0),
    WAIGBACC(0.0),
    P2AIGBACC(0.0),
    AIGBACC1(0.0),
    LAIGBACC1(0.0),
    NAIGBACC1(0.0),
    PAIGBACC1(0.0),
    WAIGBACC1(0.0),
    P2AIGBACC1(0.0),
    BIGBACC(1.71e-3),
    LBIGBACC(0.0),
    NBIGBACC(0.0),
    PBIGBACC(0.0),
    WBIGBACC(0.0),
    P2BIGBACC(0.0),
    CIGBACC(7.5e-2),
    LCIGBACC(0.0),
    NCIGBACC(0.0),
    PCIGBACC(0.0),
    WCIGBACC(0.0),
    P2CIGBACC(0.0),
    NIGBACC(1.0),
    LNIGBACC(0.0),
    NNIGBACC(0.0),
    PNIGBACC(0.0),
    WNIGBACC(0.0),
    P2NIGBACC(0.0),
    AIGC(1.36e-2),
    LAIGC(0.0),
    NAIGC(0.0),
    PAIGC(0.0),
    WAIGC(0.0),
    P2AIGC(0.0),
    AIGC1(0.0),
    LAIGC1(0.0),
    NAIGC1(0.0),
    PAIGC1(0.0),
    WAIGC1(0.0),
    P2AIGC1(0.0),
    BIGC(1.71e-3),
    LBIGC(0.0),
    NBIGC(0.0),
    PBIGC(0.0),
    WBIGC(0.0),
    P2BIGC(0.0),
    CIGC(7.5e-2),
    LCIGC(0.0),
    NCIGC(0.0),
    PCIGC(0.0),
    WCIGC(0.0),
    P2CIGC(0.0),
    PIGCD(1.0),
    LPIGCD(0.0),
    NPIGCD(0.0),
    PPIGCD(0.0),
    WPIGCD(0.0),
    P2PIGCD(0.0),
    AIGS(1.36e-2),
    LAIGS(0.0),
    NAIGS(0.0),
    PAIGS(0.0),
    WAIGS(0.0),
    P2AIGS(0.0),
    AIGS1(0.0),
    LAIGS1(0.0),
    NAIGS1(0.0),
    PAIGS1(0.0),
    WAIGS1(0.0),
    P2AIGS1(0.0),
    BIGS(1.71e-3),
    LBIGS(0.0),
    NBIGS(0.0),
    PBIGS(0.0),
    WBIGS(0.0),
    P2BIGS(0.0),
    CIGS(7.5e-2),
    LCIGS(0.0),
    NCIGS(0.0),
    PCIGS(0.0),
    WCIGS(0.0),
    P2CIGS(0.0),
    AIGD(0.0),
    LAIGD(0.0),
    NAIGD(0.0),
    PAIGD(0.0),
    WAIGD(0.0),
    P2AIGD(0.0),
    AIGD1(0.0),
    LAIGD1(0.0),
    NAIGD1(0.0),
    PAIGD1(0.0),
    WAIGD1(0.0),
    P2AIGD1(0.0),
    BIGD(0.0),
    LBIGD(0.0),
    NBIGD(0.0),
    PBIGD(0.0),
    WBIGD(0.0),
    P2BIGD(0.0),
    CIGD(0.0),
    LCIGD(0.0),
    NCIGD(0.0),
    PCIGD(0.0),
    WCIGD(0.0),
    P2CIGD(0.0),
    POXEDGE(1.0),
    LPOXEDGE(0.0),
    NPOXEDGE(0.0),
    PPOXEDGE(0.0),
    WPOXEDGE(0.0),
    P2POXEDGE(0.0),
    AGIDL(6.055e-12),
    LAGIDL(0.0),
    NAGIDL(0.0),
    PAGIDL(0.0),
    WAGIDL(0.0),
    P2AGIDL(0.0),
    BGIDL(3.0e8),
    LBGIDL(0.0),
    NBGIDL(0.0),
    PBGIDL(0.0),
    WBGIDL(0.0),
    P2BGIDL(0.0),
    CGIDL(0.5),
    LCGIDL(0.0),
    NCGIDL(0.0),
    PCGIDL(0.0),
    WCGIDL(0.0),
    P2CGIDL(0.0),
    EGIDL(0.2),
    LEGIDL(0.0),
    NEGIDL(0.0),
    PEGIDL(0.0),
    WEGIDL(0.0),
    P2EGIDL(0.0),
    PGIDL(1.0),
    LPGIDL(0.0),
    NPGIDL(0.0),
    PPGIDL(0.0),
    WPGIDL(0.0),
    P2PGIDL(0.0),
    AGISL(0.0),
    LAGISL(0.0),
    NAGISL(0.0),
    PAGISL(0.0),
    WAGISL(0.0),
    P2AGISL(0.0),
    BGISL(0.0),
    LBGISL(0.0),
    NBGISL(0.0),
    PBGISL(0.0),
    WBGISL(0.0),
    P2BGISL(0.0),
    CGISL(0.0),
    LCGISL(0.0),
    NCGISL(0.0),
    PCGISL(0.0),
    WCGISL(0.0),
    P2CGISL(0.0),
    EGISL(0.0),
    LEGISL(0.0),
    NEGISL(0.0),
    PEGISL(0.0),
    WEGISL(0.0),
    P2EGISL(0.0),
    PGISL(0.0),
    LPGISL(0.0),
    NPGISL(0.0),
    PPGISL(0.0),
    WPGISL(0.0),
    P2PGISL(0.0),
    AGIDLB(6.055e-12),
    LAGIDLB(0.0),
    NAGIDLB(0.0),
    PAGIDLB(0.0),
    WAGIDLB(0.0),
    P2AGIDLB(0.0),
    BGIDLB(3.0e8),
    LBGIDLB(0.0),
    NBGIDLB(0.0),
    PBGIDLB(0.0),
    WBGIDLB(0.0),
    P2BGIDLB(0.0),
    CGIDLB(0.5),
    LCGIDLB(0.0),
    NCGIDLB(0.0),
    PCGIDLB(0.0),
    WCGIDLB(0.0),
    P2CGIDLB(0.0),
    EGIDLB(0.2),
    LEGIDLB(0.0),
    NEGIDLB(0.0),
    PEGIDLB(0.0),
    WEGIDLB(0.0),
    P2EGIDLB(0.0),
    PGIDLB(1.0),
    LPGIDLB(0.0),
    NPGIDLB(0.0),
    PPGIDLB(0.0),
    WPGIDLB(0.0),
    P2PGIDLB(0.0),
    AGISLB(0.0),
    LAGISLB(0.0),
    NAGISLB(0.0),
    PAGISLB(0.0),
    WAGISLB(0.0),
    P2AGISLB(0.0),
    BGISLB(0.0),
    LBGISLB(0.0),
    NBGISLB(0.0),
    PBGISLB(0.0),
    WBGISLB(0.0),
    P2BGISLB(0.0),
    CGISLB(0.0),
    LCGISLB(0.0),
    NCGISLB(0.0),
    PCGISLB(0.0),
    WCGISLB(0.0),
    P2CGISLB(0.0),
    EGISLB(0.0),
    LEGISLB(0.0),
    NEGISLB(0.0),
    PEGISLB(0.0),
    WEGISLB(0.0),
    P2EGISLB(0.0),
    PGISLB(0.0),
    LPGISLB(0.0),
    NPGISLB(0.0),
    PPGISLB(0.0),
    WPGISLB(0.0),
    P2PGISLB(0.0),
    ALPHA01(0.0),
    ALPHA11(0.0),
    ALPHAII01(0.0),
    ALPHAII11(0.0),
    IIMOD2CLAMP1(0.1),
    IIMOD2CLAMP2(0.1),
    IIMOD2CLAMP3(0.1),
    ALPHA0(0.0),
    LALPHA0(0.0),
    NALPHA0(0.0),
    PALPHA0(0.0),
    WALPHA0(0.0),
    P2ALPHA0(0.0),
    ALPHA1(0.0),
    LALPHA1(0.0),
    NALPHA1(0.0),
    PALPHA1(0.0),
    WALPHA1(0.0),
    P2ALPHA1(0.0),
    BETA0(0.0),
    LBETA0(0.0),
    NBETA0(0.0),
    PBETA0(0.0),
    WBETA0(0.0),
    P2BETA0(0.0),
    ALPHAII0(0.0),
    LALPHAII0(0.0),
    NALPHAII0(0.0),
    PALPHAII0(0.0),
    WALPHAII0(0.0),
    P2ALPHAII0(0.0),
    ALPHAII1(0.0),
    LALPHAII1(0.0),
    NALPHAII1(0.0),
    PALPHAII1(0.0),
    WALPHAII1(0.0),
    P2ALPHAII1(0.0),
    BETAII0(0.0),
    LBETAII0(0.0),
    NBETAII0(0.0),
    PBETAII0(0.0),
    WBETAII0(0.0),
    P2BETAII0(0.0),
    BETAII1(0.0),
    LBETAII1(0.0),
    NBETAII1(0.0),
    PBETAII1(0.0),
    WBETAII1(0.0),
    P2BETAII1(0.0),
    BETAII2(0.1),
    LBETAII2(0.0),
    NBETAII2(0.0),
    PBETAII2(0.0),
    WBETAII2(0.0),
    P2BETAII2(0.0),
    ESATII(1.0e7),
    LESATII(0.0),
    NESATII(0.0),
    PESATII(0.0),
    WESATII(0.0),
    P2ESATII(0.0),
    LII(0.5e-9),
    LLII(0.0),
    NLII(0.0),
    PLII(0.0),
    WLII(0.0),
    P2LII(0.0),
    SII0(0.5),
    LSII0(0.0),
    NSII0(0.0),
    PSII0(0.0),
    WSII0(0.0),
    P2SII0(0.0),
    SII1(0.1),
    LSII1(0.0),
    NSII1(0.0),
    PSII1(0.0),
    WSII1(0.0),
    P2SII1(0.0),
    SII2(0.0),
    LSII2(0.0),
    NSII2(0.0),
    PSII2(0.0),
    WSII2(0.0),
    P2SII2(0.0),
    SIID(0.0),
    LSIID(0.0),
    NSIID(0.0),
    PSIID(0.0),
    WSIID(0.0),
    P2SIID(0.0),
    EOTACC(0.0),
    DELVFBACC(0.0),
    CFS(2.5e-11),
    LCFS(0.0),
    NCFS(0.0),
    PCFS(0.0),
    WCFS(0.0),
    P2CFS(0.0),
    CFD(0.0),
    LCFD(0.0),
    NCFD(0.0),
    PCFD(0.0),
    WCFD(0.0),
    P2CFD(0.0),
    CGSO(0.0),
    CGDO(0.0),
    CGBO(0.0),
    CGBN(0.0),
    CGBW(0.0),
    CGSL(0.0),
    LCGSL(0.0),
    NCGSL(0.0),
    PCGSL(0.0),
    WCGSL(0.0),
    P2CGSL(0.0),
    CGDL(0.0),
    LCGDL(0.0),
    NCGDL(0.0),
    PCGDL(0.0),
    WCGDL(0.0),
    P2CGDL(0.0),
    CGBL(0.0),
    LCGBL(0.0),
    NCGBL(0.0),
    PCGBL(0.0),
    WCGBL(0.0),
    P2CGBL(0.0),
    CKAPPAS(0.6),
    LCKAPPAS(0.0),
    NCKAPPAS(0.0),
    PCKAPPAS(0.0),
    WCKAPPAS(0.0),
    P2CKAPPAS(0.0),
    CKAPPAD(0.0),
    LCKAPPAD(0.0),
    NCKAPPAD(0.0),
    PCKAPPAD(0.0),
    WCKAPPAD(0.0),
    P2CKAPPAD(0.0),
    CKAPPAB(0.6),
    LCKAPPAB(0.0),
    NCKAPPAB(0.0),
    PCKAPPAB(0.0),
    WCKAPPAB(0.0),
    P2CKAPPAB(0.0),
    CSDESW(0.0),
    CJS(5.0e-4),
    CJD(0.0),
    CJSWS(5.0e-10),
    CJSWD(0.0),
    CJSWGS(0.0),
    CJSWGD(0.0),
    PBS(1.0),
    PBD(0.0),
    PBSWS(1.0),
    PBSWD(0.0),
    PBSWGS(0.0),
    PBSWGD(0.0),
    MJS(0.5),
    MJD(0.0),
    MJSWS(0.33),
    MJSWD(0.0),
    MJSWGS(0.0),
    MJSWGD(0.0),
    SJS(0.0),
    SJD(0.0),
    SJSWS(0.0),
    SJSWD(0.0),
    SJSWGS(0.0),
    SJSWGD(0.0),
    MJS2(1.25e-1),
    MJD2(0.0),
    MJSWS2(8.3e-2),
    MJSWD2(0.0),
    MJSWGS2(0.0),
    MJSWGD2(0.0),
    JSS(1.0e-4),
    JSD(0.0),
    JSWS(0.0),
    JSWD(0.0),
    JSWGS(0.0),
    JSWGD(0.0),
    NJS(1.0),
    NJD(0.0),
    IJTHSFWD(0.1),
    IJTHDFWD(0.0),
    IJTHSREV(0.1),
    IJTHDREV(0.0),
    BVS(1.0e1),
    BVD(0.0),
    XJBVS(1.0),
    XJBVD(0.0),
    JTSS(0.0),
    JTSD(0.0),
    JTSSWS(0.0),
    JTSSWD(0.0),
    JTSSWGS(0.0),
    JTSSWGD(0.0),
    JTWEFF(0.0),
    NJTS(2.0e1),
    NJTSD(0.0),
    NJTSSW(2.0e1),
    NJTSSWD(0.0),
    NJTSSWG(2.0e1),
    NJTSSWGD(0.0),
    VTSS(1.0e1),
    VTSD(0.0),
    VTSSWS(1.0e1),
    VTSSWD(0.0),
    VTSSWGS(1.0e1),
    VTSSWGD(0.0),
    LINTIGEN(0.0),
    NTGEN(1.0),
    LNTGEN(0.0),
    NNTGEN(0.0),
    PNTGEN(0.0),
    WNTGEN(0.0),
    P2NTGEN(0.0),
    AIGEN(0.0),
    LAIGEN(0.0),
    NAIGEN(0.0),
    PAIGEN(0.0),
    WAIGEN(0.0),
    P2AIGEN(0.0),
    BIGEN(0.0),
    LBIGEN(0.0),
    NBIGEN(0.0),
    PBIGEN(0.0),
    WBIGEN(0.0),
    P2BIGEN(0.0),
    XRCRG1(12.0),
    LXRCRG1(0.0),
    NXRCRG1(0.0),
    PXRCRG1(0.0),
    WXRCRG1(0.0),
    P2XRCRG1(0.0),
    XRCRG2(1.0),
    LXRCRG2(0.0),
    NXRCRG2(0.0),
    PXRCRG2(0.0),
    WXRCRG2(0.0),
    P2XRCRG2(0.0),
    EF(1.0),
    EM(4.1e7),
    NOIA(6.25e39),
    NOIB(3.125e24),
    NOIC(8.75e7),
    LINTNOI(0.0),
    SMOOTH(2),
    NOIA2(0.0),
    LNOIA2(0.0),
    NNOIA2(0.0),
    PNOIA2(0.0),
    WNOIA2(0.0),
    P2NOIA2(0.0),
    MPOWER(1.2),
    LMPOWER(0.0),
    NMPOWER(0.0),
    PMPOWER(0.0),
    WMPOWER(0.0),
    P2MPOWER(0.0),
    QSREF(50*1.0e-3),
    LQSREF(0.0),
    NQSREF(0.0),
    PQSREF(0.0),
    WQSREF(0.0),
    P2QSREF(0.0),
    NTNOI(1.0),
    RNOIA(0.5774),
    TNOIA(0.0),
    RNOIB(0.3652),
    TNOIB(0.0),
    RNOIC(0.3953),
    TNOIC(0.0),
    RNOIK(0.0),
    TNOIK(0.0),
    TNOIK2(0.1),
    TNOM(27.0),
    TBGASUB(7.02e-4),
    TBGBSUB(1.108e3),
    KT1L(0.0),
    TCJ(0.0),
    TCJSW(0.0),
    TCJSWG(0.0),
    TPB(0.0),
    TPBSW(0.0),
    TPBSWG(0.0),
    XTIS(3.0),
    XTID(0.0),
    XTSS(2.0e-2),
    XTSD(0.0),
    XTSSWS(2.0e-2),
    XTSSWD(0.0),
    XTSSWGS(2.0e-2),
    XTSSWGD(0.0),
    TNJTS(0.0),
    TNJTSD(0.0),
    TNJTSSW(0.0),
    TNJTSSWD(0.0),
    TNJTSSWG(0.0),
    TNJTSSWGD(0.0),
    KT1(0.0),
    LKT1(0.0),
    NKT1(0.0),
    PKT1(0.0),
    WKT1(0.0),
    P2KT1(0.0),
    KT11(0.01),
    KT12(0.1),
    TVTH(40.0),
    TSS(0.0),
    LTSS(0.0),
    NTSS(0.0),
    PTSS(0.0),
    WTSS(0.0),
    P2TSS(0.0),
    IIT((-0.5)),
    LIIT(0.0),
    NIIT(0.0),
    PIIT(0.0),
    WIIT(0.0),
    P2IIT(0.0),
    TII(0.0),
    LTII(0.0),
    NTII(0.0),
    PTII(0.0),
    WTII(0.0),
    P2TII(0.0),
    TGIDL((-3.0e-3)),
    LTGIDL(0.0),
    NTGIDL(0.0),
    PTGIDL(0.0),
    WTGIDL(0.0),
    P2TGIDL(0.0),
    IGT(2.5),
    LIGT(0.0),
    NIGT(0.0),
    PIGT(0.0),
    WIGT(0.0),
    P2IGT(0.0),
    TLOW(50.0),
    TLOW1(0.0),
    DTLOW(1.0),
    DTLOW1(0.0),
    KLOW1(0.0),
    RTH0(1.0e-2),
    CTH0(1.0e-5),
    WTH0(0.0),
    ASHEXP(1.0),
    BSHEXP(1.0),
    ACH_UFCM(1.0),
    CINS_UFCM(1.0),
    W_UFCM(1.0),
    TFIN_TOP(0.0),
    TFIN_BASE(0.0),
    QMFACTORCV(0.0),
    ALPHA_UFCM(0.5556),
    LMIN(0.0),
    WMIN(0.0),
    LMAX(100.0),
    WMAX(100.0),
    DIM1H(3),
    DIMENSION1(2),
    LDIMENSION1(0.0),
    NDIMENSION1(0.0),
    PDIMENSION1(0.0),
    WDIMENSION1(0.0),
    P2DIMENSION1(0.0),
    DIM2H(3),
    DIMENSION2(2.6),
    LDIMENSION2(0.0),
    NDIMENSION2(0.0),
    PDIMENSION2(0.0),
    WDIMENSION2(0.0),
    P2DIMENSION2(0.0),
    DIM3H(3),
    DIMENSION3(2.6),
    LDIMENSION3(0.0),
    NDIMENSION3(0.0),
    PDIMENSION3(0.0),
    WDIMENSION3(0.0),
    P2DIMENSION3(0.0),
    WDIM0(9.5e-9),
    WDIMR(0.1),
    SSP1(14),
    LSSP1(0.0),
    NSSP1(0.0),
    PSSP1(0.0),
    WSSP1(0.0),
    P2SSP1(0.0),
    SSP2(24),
    LSSP2(0.0),
    NSSP2(0.0),
    PSSP2(0.0),
    WSSP2(0.0),
    P2SSP2(0.0),
    SSP3(24),
    LSSP3(0.0),
    NSSP3(0.0),
    PSSP3(0.0),
    WSSP3(0.0),
    P2SSP3(0.0),
    DSSP1(2),
    DSSP2(0),
    DSSP3(0),
    WSSP0(0.0),
    WSSPR(0.0),
    WGAANOM(8e-9),
    E2NOM(0.139),
    LE2NOM(0.0),
    NE2NOM(0.0),
    PE2NOM(0.0),
    WE2NOM(0.0),
    P2E2NOM(0.0),
    E3NOM(2),
    LE3NOM(0.0),
    NE3NOM(0.0),
    PE3NOM(0.0),
    WE3NOM(0.0),
    P2E3NOM(0.0),
    MFE2(1),
    MFE3(1),
    WSFE2(1),
    WSFE3(1),
    MFQ1NOM(11.2),
    LMFQ1NOM(0.0),
    NMFQ1NOM(0.0),
    PMFQ1NOM(0.0),
    WMFQ1NOM(0.0),
    P2MFQ1NOM(0.0),
    MFQ2NOM(8.02),
    LMFQ2NOM(0.0),
    NMFQ2NOM(0.0),
    PMFQ2NOM(0.0),
    WMFQ2NOM(0.0),
    P2MFQ2NOM(0.0),
    MFQ3NOM(6.18),
    LMFQ3NOM(0.0),
    NMFQ3NOM(0.0),
    PMFQ3NOM(0.0),
    WMFQ3NOM(0.0),
    P2MFQ3NOM(0.0),
    MFQ1(1),
    MFQ2(1),
    MFQ3(1),
    WSFQ1(1),
    WSFQ2(1),
    WSFQ3(1),
    TSRE2(1.8),
    TDWSE2(1.0),
    TSRE3(0.67),
    TDWSE3(0.23),
    TSRQ1(1.1),
    TDWSQ1(2.4),
    TSRQ2(2.0),
    TDWSQ2(2.0),
    TSRQ3(6.0),
    TDWSQ3(2.4),
    NVSRD(5.0e16),
    VSATRSD(1.0e5),
    PTWGVSRSD(0.0),
    PTWG1VSRSD(0.0),
    PSATXVSRSD(60.0),
    MVSRSD(1.0),
    NVSRS(0.0),
    RDLCW(0.0),
    RSLCW(0.0),
    PRTVSRSD(0.0),
    ATVSRSD(0.0),
    VSRDFACTOR(1.0e-3),
    VSRSFACTOR(1.0e-3),
    RDVDS(8.0),
    GAVSRD(0.0)
{
  // Set params to constant default values (from parTable):
  setDefaultParams();

  // Set params according to .model line and constant defaults from metadata:
  setModParams(model_block.params);

  if (!given("XYCEADMSMODTEMP"))
    admsModTemp=getDeviceOptions().temp.getImmutableValue<double>();

  // Calculate any parameters specified as expressions:

  updateDependentParameters();

  // calculate dependent (ie computed) params and check for errors:
  processParams();
}

//-----------------------------------------------------------------------------
// Function      : Model::~Model
// Purpose       : destructor
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
Model::~Model()
{
  std::vector<Instance*>::iterator iterI;
  std::vector<Instance*>::iterator firstI = instanceContainer.begin ();
  std::vector<Instance*>::iterator lastI  = instanceContainer.end ();

  // loop over instances:
  for (iterI = firstI; iterI != lastI; ++iterI)
  {
    delete (*iterI);
  }
}

//-----------------------------------------------------------------------------
// Function      : Model::printOutInstances
// Purpose       : debugging tool.
// Special Notes :
// Scope         : public
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
std::ostream &Model::printOutInstances(std::ostream &os) const
{
  std::vector<Instance*>::const_iterator iter;
  std::vector<Instance*>::const_iterator first = instanceContainer.begin();
  std::vector<Instance*>::const_iterator last  = instanceContainer.end();

  int i;
  os << std::endl;
  os << "    name     model name  Parameters" << std::endl;
  for (i=0, iter=first; iter!=last; ++iter, ++i)
  {
    os << "  " << i << ": " << (*iter)->getName() << "      ";
    os << getName();

    os << std::endl;
      os << "L  =  " << (*iter)->L << std::endl;
      os << "D  =  " << (*iter)->D << std::endl;
      os << "TFIN  =  " << (*iter)->TFIN << std::endl;
      os << "FPITCH  =  " << (*iter)->FPITCH << std::endl;
      os << "NFIN  =  " << (*iter)->NFIN << std::endl;
      os << "NGCON  =  " << (*iter)->NGCON << std::endl;
      os << "ASEO  =  " << (*iter)->ASEO << std::endl;
      os << "ADEO  =  " << (*iter)->ADEO << std::endl;
      os << "PSEO  =  " << (*iter)->PSEO << std::endl;
      os << "PDEO  =  " << (*iter)->PDEO << std::endl;
      os << "ASEJ  =  " << (*iter)->ASEJ << std::endl;
      os << "ADEJ  =  " << (*iter)->ADEJ << std::endl;
      os << "PSEJ  =  " << (*iter)->PSEJ << std::endl;
      os << "PDEJ  =  " << (*iter)->PDEJ << std::endl;
      os << "CGSP  =  " << (*iter)->CGSP << std::endl;
      os << "CGDP  =  " << (*iter)->CGDP << std::endl;
      os << "CDSP  =  " << (*iter)->CDSP << std::endl;
      os << "NRS  =  " << (*iter)->NRS << std::endl;
      os << "NRD  =  " << (*iter)->NRD << std::endl;
      os << "LRSD  =  " << (*iter)->LRSD << std::endl;
      os << "NFINNOM  =  " << (*iter)->NFINNOM << std::endl;
      os << "DTEMP  =  " << (*iter)->DTEMP << std::endl;
      os << "DELVTRAND  =  " << (*iter)->DELVTRAND << std::endl;
      os << "U0MULT  =  " << (*iter)->U0MULT << std::endl;
      os << "IDS0MULT  =  " << (*iter)->IDS0MULT << std::endl;
      os << "IGC0MULT  =  " << (*iter)->IGC0MULT << std::endl;
      os << "IGB0MULT  =  " << (*iter)->IGB0MULT << std::endl;
      os << "COVS  =  " << (*iter)->COVS << std::endl;
      os << "COVD  =  " << (*iter)->COVD << std::endl;
      os << "TGAA  =  " << (*iter)->TGAA << std::endl;
      os << "TSUS  =  " << (*iter)->TSUS << std::endl;
      os << "HPFF  =  " << (*iter)->HPFF << std::endl;
      os << "WGAA  =  " << (*iter)->WGAA << std::endl;
      os << "DWS1  =  " << (*iter)->DWS1 << std::endl;
      os << "DACH1  =  " << (*iter)->DACH1 << std::endl;
      os << "DWS2  =  " << (*iter)->DWS2 << std::endl;
      os << "DACH2  =  " << (*iter)->DACH2 << std::endl;
      os << "DWS3  =  " << (*iter)->DWS3 << std::endl;
      os << "DACH3  =  " << (*iter)->DACH3 << std::endl;
      os << "DWS4  =  " << (*iter)->DWS4 << std::endl;
      os << "DACH4  =  " << (*iter)->DACH4 << std::endl;
      os << "DWS5  =  " << (*iter)->DWS5 << std::endl;
      os << "DACH5  =  " << (*iter)->DACH5 << std::endl;
      os << "DWS6  =  " << (*iter)->DWS6 << std::endl;
      os << "DACH6  =  " << (*iter)->DACH6 << std::endl;
      os << "NGAA  =  " << (*iter)->NGAA << std::endl;
      os << "SUBBANDMOD  =  " << (*iter)->SUBBANDMOD << std::endl;
      os << "MOBSCMOD  =  " << (*iter)->MOBSCMOD << std::endl;
      os << "NF  =  " << (*iter)->NF << std::endl;
      os << "XL  =  " << (*iter)->XL << std::endl;
      os << "XW  =  " << (*iter)->XW << std::endl;
      os << "M  =  " << (*iter)->m << std::endl;
    os << std::endl;
  }

  os << std::endl;

  return os;
}

//-----------------------------------------------------------------------------
// Function      : Model::forEachInstance
// Purpose       :
// Special Notes :
// Scope         : public
// Creator       : David Baur
// Creation Date : 2/4/2014
//-----------------------------------------------------------------------------
/// Apply a device instance "op" to all instances associated with this
/// model
///
/// @param[in] op Operator to apply to all instances.
///
///
void Model::forEachInstance(DeviceInstanceOp &op) const
{
  for (std::vector<Instance *>::const_iterator it = instanceContainer.begin(); it != instanceContainer.end(); ++it)
    op(*it);
}

Device *Traits::factory(const Configuration &configuration, const FactoryBlock &factory_block)
{
  return new DeviceMaster<Traits>(configuration, factory_block, factory_block.solverState_, factory_block.deviceOptions_);
}

void
registerDevice(const DeviceCountMap& deviceMap, const std::set<int>& levelSet)
{
if (deviceMap.empty() ||
((deviceMap.find("M") != deviceMap.end() && (levelSet.find(111)!=levelSet.end()))))
{
MOSFET1::registerDevice();
  Config<Traits>::addConfiguration()
    .registerDevice("m", 111)
    .registerModelType("nmos", 111)
    .registerModelType("pmos", 111);
}
}


#ifdef Xyce_ADMS_SENSITIVITIES
//-----------------------------------------------------------------------------
// Function      : evaluateInitialInstance
// Purpose       : Evaluate the statements in the initial_instance block
// Special Notes : specific for sensitivity use
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void evaluateInitialInstance(
instanceSensStruct & instanceStruct,
modelSensStruct & modelStruct,
const int admsNodeID_d,
const int admsNodeID_g,
const int admsNodeID_s,
const int admsNodeID_e,
const int admsNodeID_t,
const int admsNodeID_di,
const int admsNodeID_si,
const int admsNodeID_di1,
const int admsNodeID_si1,
const int admsNodeID_ge,
const int admsNodeID_gi,
const int admsNodeID_q,
const int admsNodeID_n,
 const std::vector<bool> & portsConnected_,
 double admsTemperature, double adms_vt_nom, double ADMSgmin_arg, const Instance & theInstance)
{
  double mut6=0.0;
double d_mut6_dX=0.0;
  double mut5=0.0;
double d_mut5_dX=0.0;
  double mut4=0.0;
double d_mut4_dX=0.0;
  double mut3=0.0;
double d_mut3_dX=0.0;
  double mut2=0.0;
double d_mut2_dX=0.0;
  double mut1=0.0;
double d_mut1_dX=0.0;
  double mut0=0.0;
double d_mut0_dX=0.0;
  double nc3=0.0;
double d_nc3_dX=0.0;
  double nc3ln=0.0;
double d_nc3ln_dX=0.0;
  double nc3l=0.0;
double d_nc3l_dX=0.0;
  double nc2=0.0;
double d_nc2_dX=0.0;
  double nc2ln=0.0;
double d_nc2ln_dX=0.0;
  double nc2l=0.0;
double d_nc2l_dX=0.0;
  double nc1=0.0;
double d_nc1_dX=0.0;
  double nc1ln=0.0;
double d_nc1ln_dX=0.0;
  double nc1l=0.0;
double d_nc1l_dX=0.0;
  double qe3n=0.0;
double d_qe3n_dX=0.0;
  double qe2n=0.0;
double d_qe2n_dX=0.0;
  double pnc3l=0.0;
double d_pnc3l_dX=0.0;
  double nc3l0=0.0;
double d_nc3l0_dX=0.0;
  double pnc2l=0.0;
double d_pnc2l_dX=0.0;
  double nc2l0=0.0;
double d_nc2l0_dX=0.0;
  double pnc1l=0.0;
double d_pnc1l_dX=0.0;
  double nc1l0=0.0;
double d_nc1l0_dX=0.0;
  double pe3h=0.0;
double d_pe3h_dX=0.0;
  double ne3h=0.0;
double d_ne3h_dX=0.0;
  double pe2h=0.0;
double d_pe2h_dX=0.0;
  double ne2h=0.0;
double d_ne2h_dX=0.0;
  double QT1=0.0;
double d_QT1_dX=0.0;
  double QT0=0.0;
double d_QT0_dX=0.0;
  double nc3d0=0.0;
double d_nc3d0_dX=0.0;
  double qndnf3=0.0;
double d_qndnf3_dX=0.0;
  double VnD3=0.0;
double d_VnD3_dX=0.0;
  double qndnf2=0.0;
double d_qndnf2_dX=0.0;
  double VnD2=0.0;
double d_VnD2_dX=0.0;
  double qndnf1=0.0;
double d_qndnf1_dX=0.0;
  double VnD1=0.0;
double d_VnD1_dX=0.0;
  double Tp3=0.0;
double d_Tp3_dX=0.0;
  double Wp3=0.0;
double d_Wp3_dX=0.0;
  double Tp2=0.0;
double d_Tp2_dX=0.0;
  double Wp2=0.0;
double d_Wp2_dX=0.0;
  double Tp1=0.0;
double d_Tp1_dX=0.0;
  double Wp1=0.0;
double d_Wp1_dX=0.0;
  double Toxratioedge=0.0;
double d_Toxratioedge_dX=0.0;
  double Acorner_tb=0.0;
double d_Acorner_tb_dX=0.0;
  double Acorner_topm=0.0;
double d_Acorner_topm_dX=0.0;
  double Cgg_sidepff=0.0;
double d_Cgg_sidepff_dX=0.0;
  double Cgg_sidetb=0.0;
double d_Cgg_sidetb_dX=0.0;
  double Cgg_sidetopm=0.0;
double d_Cgg_sidetopm_dX=0.0;
  double Cgg_tb=0.0;
double d_Cgg_tb_dX=0.0;
  double Cgg_topm=0.0;
double d_Cgg_topm_dX=0.0;
  double Hrsd2=0.0;
double d_Hrsd2_dX=0.0;
  double Ccorner=0.0;
double d_Ccorner_dX=0.0;
  double Acorner=0.0;
double d_Acorner_dX=0.0;
  double Cgg_side=0.0;
double d_Cgg_side_dX=0.0;
  double Cgg_top=0.0;
double d_Cgg_top_dX=0.0;
  double Hr=0.0;
double d_Hr_dX=0.0;
  double Lr=0.0;
  double Hgdelta=0.0;
double d_Hgdelta_dX=0.0;
  double Lmax=0.0;
double d_Lmax_dX=0.0;
  double y=0.0;
double d_y_dX=0.0;
  double x=0.0;
double d_x_dX=0.0;
  double Cnon=0.0;
  double CcgSat=0.0;
double d_CcgSat_dX=0.0;
  double TT1=0.0;
double d_TT1_dX=0.0;
  double Ccg1=0.0;
double d_Ccg1_dX=0.0;
  double r1cf=0.0;
double d_r1cf_dX=0.0;
  double Rcf=0.0;
double d_Rcf_dX=0.0;
  double Ccg2=0.0;
double d_Ccg2_dX=0.0;
  double Ccg=0.0;
double d_Ccg_dX=0.0;
  double C1=0.0;
double d_C1_dX=0.0;
  double C2=0.0;
double d_C2_dX=0.0;
  double C3=0.0;
double d_C3_dX=0.0;
  double Cfglog=0.0;
double d_Cfglog_dX=0.0;
  double dcf=0.0;
double d_dcf_dX=0.0;
  double TT0=0.0;
double d_TT0_dX=0.0;
  double TT2=0.0;
double d_TT2_dX=0.0;
  double Cfgsat=0.0;
double d_Cfgsat_dX=0.0;
  double Cfg=0.0;
double d_Cfg_dX=0.0;
  double Hrsd=0.0;
double d_Hrsd_dX=0.0;
  double Wg=0.0;
double d_Wg_dX=0.0;
  double Trsd=0.0;
double d_Trsd_dX=0.0;
  double Hg=0.0;
double d_Hg_dX=0.0;
  double Rdsgeo=0.0;
double d_Rdsgeo_dX=0.0;
  double Rrsd=0.0;
double d_Rrsd_dX=0.0;
  double Rrsdside=0.0;
double d_Rrsdside_dX=0.0;
  double RrsdTML=0.0;
double d_RrsdTML_dX=0.0;
  double eta=0.0;
double d_eta_dX=0.0;
  double alpha=0.0;
double d_alpha_dX=0.0;
  double lt=0.0;
double d_lt_dX=0.0;
  double prsd_total=0.0;
double d_prsd_total_dX=0.0;
  double arsd_total=0.0;
double d_arsd_total_dX=0.0;
  double Rsp=0.0;
double d_Rsp_dX=0.0;
  double afin=0.0;
double d_afin_dX=0.0;
  double thetarsp=0.0;
  double rhorsd=0.0;
double d_rhorsd_dX=0.0;
  double mu_rsd=0.0;
double d_mu_rsd_dX=0.0;
  double mu_max=0.0;
double d_mu_max_dX=0.0;
  double Prsd=0.0;
double d_Prsd_dX=0.0;
  double Arsd=0.0;
double d_Arsd_dX=0.0;
  double Rgeltd=0.0;
double d_Rgeltd_dX=0.0;
  double MTcen=0.0;
double d_MTcen_dX=0.0;
  double Leff_ln=0.0;
double d_Leff_ln_dX=0.0;
  double NTOX_i=0.0;
double d_NTOX_i_dX=0.0;
  double WR_i=0.0;
double d_WR_i_dX=0.0;
  double UP_i=0.0;
double d_UP_i_dX=0.0;
  double LPE0_i=0.0;
double d_LPE0_i_dX=0.0;
  double DSUB_i=0.0;
double d_DSUB_i_dX=0.0;
  double DVT1SS_i=0.0;
double d_DVT1SS_i_dX=0.0;
  double DVT1_i=0.0;
double d_DVT1_i_dX=0.0;
  double Weff1=0.0;
double d_Weff1_dX=0.0;
  double Ach1=0.0;
double d_Ach1_dX=0.0;
  double Inv_WL=0.0;
double d_Inv_WL_dX=0.0;
  double Inv_W=0.0;
double d_Inv_W_dX=0.0;
  double Inv_LNFIN=0.0;
double d_Inv_LNFIN_dX=0.0;
  double Inv_NFIN=0.0;
double d_Inv_NFIN_dX=0.0;
  double Inv_L=0.0;
double d_Inv_L_dX=0.0;
  double WGAAeff1=0.0;
double d_WGAAeff1_dX=0.0;
  double WGAAeff=0.0;
double d_WGAAeff_dX=0.0;
  double DWBIN_i=0.0;
double d_DWBIN_i_dX=0.0;
  double XW_i=0.0;
double d_XW_i_dX=0.0;
  double Leff1=0.0;
double d_Leff1_dX=0.0;
  double deltaLCV=0.0;
double d_deltaLCV_dX=0.0;
  double deltaL1=0.0;
double d_deltaL1_dX=0.0;
  double deltaL=0.0;
double d_deltaL_dX=0.0;
  double LINT_i=0.0;
double d_LINT_i_dX=0.0;
  double DLBIN_i=0.0;
double d_DLBIN_i_dX=0.0;
  double XL_i=0.0;
double d_XL_i_dX=0.0;
  double cbox=0.0;
double d_cbox_dX=0.0;
  double epssp=0.0;
double d_epssp_dX=0.0;
  double MFQ3NOM_i=0.0;
double d_MFQ3NOM_i_dX=0.0;
  double MFQ2NOM_i=0.0;
double d_MFQ2NOM_i_dX=0.0;
  double MFQ1NOM_i=0.0;
double d_MFQ1NOM_i_dX=0.0;
  double E3NOM_i=0.0;
double d_E3NOM_i_dX=0.0;
  double E2NOM_i=0.0;
double d_E2NOM_i_dX=0.0;
  double SSP3_i=0.0;
double d_SSP3_i_dX=0.0;
  double SSP2_i=0.0;
double d_SSP2_i_dX=0.0;
  double SSP1_i=0.0;
double d_SSP1_i_dX=0.0;
  double DIMENSION3_i=0.0;
double d_DIMENSION3_i_dX=0.0;
  double DIMENSION2_i=0.0;
double d_DIMENSION2_i_dX=0.0;
  double DIMENSION1_i=0.0;
double d_DIMENSION1_i_dX=0.0;
  double Weff6=0.0;
double d_Weff6_dX=0.0;
  double Weff5=0.0;
double d_Weff5_dX=0.0;
  double Weff4=0.0;
double d_Weff4_dX=0.0;
  double Weff3=0.0;
double d_Weff3_dX=0.0;
  double Weff2=0.0;
double d_Weff2_dX=0.0;
  double Ach6=0.0;
double d_Ach6_dX=0.0;
  double Ach5=0.0;
double d_Ach5_dX=0.0;
  double Ach4=0.0;
double d_Ach4_dX=0.0;
  double Ach3=0.0;
double d_Ach3_dX=0.0;
  double Ach2=0.0;
double d_Ach2_dX=0.0;
  double UPR_i=0.0;
double d_UPR_i_dX=0.0;
//Begin block initial_instance
{
instanceStruct.d_instanceVar_Dr_dX = 0.0;
instanceStruct.instanceVar_Dr = 0.0;
instanceStruct.d_instanceVar_Rdrain_dX = 0.0;
instanceStruct.instanceVar_Rdrain = 0.0;
instanceStruct.d_instanceVar_Rsource_dX = 0.0;
instanceStruct.instanceVar_Rsource = 0.0;
instanceStruct.d_instanceVar_Rdsi_dX = 0.0;
instanceStruct.instanceVar_Rdsi = 0.0;
instanceStruct.d_instanceVar_CJS_t_dX = 0.0;
instanceStruct.instanceVar_CJS_t = 0.0;
instanceStruct.d_instanceVar_CJSWS_t_dX = 0.0;
instanceStruct.instanceVar_CJSWS_t = 0.0;
instanceStruct.d_instanceVar_CJSWGD_t_dX = 0.0;
instanceStruct.instanceVar_CJSWGD_t = 0.0;
instanceStruct.d_instanceVar_CJD_t_dX = 0.0;
instanceStruct.instanceVar_CJD_t = 0.0;
instanceStruct.d_instanceVar_CJSWD_t_dX = 0.0;
instanceStruct.instanceVar_CJSWD_t = 0.0;
instanceStruct.d_instanceVar_CJSWGS_t_dX = 0.0;
instanceStruct.instanceVar_CJSWGS_t = 0.0;
instanceStruct.d_instanceVar_PBS_t_dX = 0.0;
instanceStruct.instanceVar_PBS_t = 0.0;
instanceStruct.d_instanceVar_PBSWS_t_dX = 0.0;
instanceStruct.instanceVar_PBSWS_t = 0.0;
instanceStruct.d_instanceVar_PBSWGS_t_dX = 0.0;
instanceStruct.instanceVar_PBSWGS_t = 0.0;
instanceStruct.d_instanceVar_PBD_t_dX = 0.0;
instanceStruct.instanceVar_PBD_t = 0.0;
instanceStruct.d_instanceVar_PBSWD_t_dX = 0.0;
instanceStruct.instanceVar_PBSWD_t = 0.0;
instanceStruct.d_instanceVar_PBSWGD_t_dX = 0.0;
instanceStruct.instanceVar_PBSWGD_t = 0.0;
instanceStruct.d_instanceVar_JSS_t_dX = 0.0;
instanceStruct.instanceVar_JSS_t = 0.0;
instanceStruct.d_instanceVar_JSWS_t_dX = 0.0;
instanceStruct.instanceVar_JSWS_t = 0.0;
instanceStruct.d_instanceVar_JSWGS_t_dX = 0.0;
instanceStruct.instanceVar_JSWGS_t = 0.0;
instanceStruct.d_instanceVar_JSD_t_dX = 0.0;
instanceStruct.instanceVar_JSD_t = 0.0;
instanceStruct.d_instanceVar_JSWD_t_dX = 0.0;
instanceStruct.instanceVar_JSWD_t = 0.0;
instanceStruct.d_instanceVar_JSWGD_t_dX = 0.0;
instanceStruct.instanceVar_JSWGD_t = 0.0;
instanceStruct.d_instanceVar_JTSS_t_dX = 0.0;
instanceStruct.instanceVar_JTSS_t = 0.0;
instanceStruct.d_instanceVar_JTSD_t_dX = 0.0;
instanceStruct.instanceVar_JTSD_t = 0.0;
instanceStruct.d_instanceVar_JTSSWS_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWS_t = 0.0;
instanceStruct.d_instanceVar_JTSSWD_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWD_t = 0.0;
instanceStruct.d_instanceVar_JTSSWGS_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWGS_t = 0.0;
instanceStruct.d_instanceVar_JTSSWGD_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWGD_t = 0.0;
instanceStruct.d_instanceVar_NJTS_t_dX = 0.0;
instanceStruct.instanceVar_NJTS_t = 0.0;
instanceStruct.d_instanceVar_NJTSD_t_dX = 0.0;
instanceStruct.instanceVar_NJTSD_t = 0.0;
instanceStruct.d_instanceVar_NJTSSW_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSW_t = 0.0;
instanceStruct.d_instanceVar_NJTSSWD_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSWD_t = 0.0;
instanceStruct.d_instanceVar_NJTSSWG_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSWG_t = 0.0;
instanceStruct.d_instanceVar_NJTSSWGD_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSWGD_t = 0.0;
instanceStruct.d_instanceVar_RSDRR_t_dX = 0.0;
instanceStruct.instanceVar_RSDRR_t = 0.0;
instanceStruct.d_instanceVar_RDDRR_t_dX = 0.0;
instanceStruct.instanceVar_RDDRR_t = 0.0;
instanceStruct.d_instanceVar_UAR_t_dX = 0.0;
instanceStruct.instanceVar_UAR_t = 0.0;
instanceStruct.d_instanceVar_UC_t_dX = 0.0;
instanceStruct.instanceVar_UC_t = 0.0;
instanceStruct.d_instanceVar_UCCV_t_dX = 0.0;
instanceStruct.instanceVar_UCCV_t = 0.0;
instanceStruct.d_instanceVar_UCR_t_dX = 0.0;
instanceStruct.instanceVar_UCR_t = 0.0;
instanceStruct.d_instanceVar_UDR_t_dX = 0.0;
instanceStruct.instanceVar_UDR_t = 0.0;
instanceStruct.d_instanceVar_VSATR_t_dX = 0.0;
instanceStruct.instanceVar_VSATR_t = 0.0;
instanceStruct.d_instanceVar_VSAT1R_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_t = 0.0;
instanceStruct.d_instanceVar_MEXPR_t_dX = 0.0;
instanceStruct.instanceVar_MEXPR_t = 0.0;
instanceStruct.d_instanceVar_PTWGR_t_dX = 0.0;
instanceStruct.instanceVar_PTWGR_t = 0.0;
instanceStruct.d_instanceVar_Tcen0_dX = 0.0;
instanceStruct.instanceVar_Tcen0 = 0.0;
instanceStruct.d_instanceVar_qba_dX = 0.0;
instanceStruct.instanceVar_qba = 0.0;
instanceStruct.d_instanceVar_u0r_dX = 0.0;
instanceStruct.instanceVar_u0r = 0.0;
instanceStruct.d_instanceVar_Cfr_geo_dX = 0.0;
instanceStruct.instanceVar_Cfr_geo = 0.0;
instanceStruct.d_instanceVar_ggeltd_dX = 0.0;
instanceStruct.instanceVar_ggeltd = 0.0;
instanceStruct.d_instanceVar_igbinv_dX = 0.0;
instanceStruct.instanceVar_igbinv = 0.0;
instanceStruct.d_instanceVar_igbacc_dX = 0.0;
instanceStruct.instanceVar_igbacc = 0.0;
instanceStruct.d_instanceVar_igbs_dX = 0.0;
instanceStruct.instanceVar_igbs = 0.0;
instanceStruct.d_instanceVar_igbd_dX = 0.0;
instanceStruct.instanceVar_igbd = 0.0;
instanceStruct.d_instanceVar_igcs_dX = 0.0;
instanceStruct.instanceVar_igcs = 0.0;
instanceStruct.d_instanceVar_igcd_dX = 0.0;
instanceStruct.instanceVar_igcd = 0.0;
instanceStruct.d_instanceVar_igs_dX = 0.0;
instanceStruct.instanceVar_igs = 0.0;
instanceStruct.d_instanceVar_igd_dX = 0.0;
instanceStruct.instanceVar_igd = 0.0;
instanceStruct.d_instanceVar_igisl_dX = 0.0;
instanceStruct.instanceVar_igisl = 0.0;
instanceStruct.d_instanceVar_igidl_dX = 0.0;
instanceStruct.instanceVar_igidl = 0.0;
instanceStruct.d_instanceVar_igislb_dX = 0.0;
instanceStruct.instanceVar_igislb = 0;
instanceStruct.d_instanceVar_igidlb_dX = 0.0;
instanceStruct.instanceVar_igidlb = 0;
instanceStruct.d_instanceVar_AGIDLB_i_dX = 0.0;
instanceStruct.instanceVar_AGIDLB_i = 0;
instanceStruct.d_instanceVar_BGIDLB_i_dX = 0.0;
instanceStruct.instanceVar_BGIDLB_i = 0;
instanceStruct.d_instanceVar_BGIDLB_t_dX = 0.0;
instanceStruct.instanceVar_BGIDLB_t = 0;
instanceStruct.d_instanceVar_CGIDLB_i_dX = 0.0;
instanceStruct.instanceVar_CGIDLB_i = 0;
instanceStruct.d_instanceVar_EGIDLB_i_dX = 0.0;
instanceStruct.instanceVar_EGIDLB_i = 0;
instanceStruct.d_instanceVar_PGIDLB_i_dX = 0.0;
instanceStruct.instanceVar_PGIDLB_i = 0;
instanceStruct.d_instanceVar_AGISLB_i_dX = 0.0;
instanceStruct.instanceVar_AGISLB_i = 0;
instanceStruct.d_instanceVar_BGISLB_i_dX = 0.0;
instanceStruct.instanceVar_BGISLB_i = 0;
instanceStruct.d_instanceVar_BGISLB_t_dX = 0.0;
instanceStruct.instanceVar_BGISLB_t = 0;
instanceStruct.d_instanceVar_CGISLB_i_dX = 0.0;
instanceStruct.instanceVar_CGISLB_i = 0;
instanceStruct.d_instanceVar_EGISLB_i_dX = 0.0;
instanceStruct.instanceVar_EGISLB_i = 0;
instanceStruct.d_instanceVar_PGISLB_i_dX = 0.0;
instanceStruct.instanceVar_PGISLB_i = 0;
instanceStruct.d_instanceVar_Iii_dX = 0.0;
instanceStruct.instanceVar_Iii = 0.0;
instanceStruct.d_instanceVar_cox_acc_dX = 0.0;
instanceStruct.instanceVar_cox_acc = 0.0;
instanceStruct.d_instanceVar_qg_acc_dX = 0.0;
instanceStruct.instanceVar_qg_acc = 0.0;
instanceStruct.d_instanceVar_qb_acc_dX = 0.0;
instanceStruct.instanceVar_qb_acc = 0.0;
instanceStruct.d_instanceVar_qgs_ov_dX = 0.0;
instanceStruct.instanceVar_qgs_ov = 0.0;
instanceStruct.d_instanceVar_qgd_ov_dX = 0.0;
instanceStruct.instanceVar_qgd_ov = 0.0;
instanceStruct.d_instanceVar_Ies_dX = 0.0;
instanceStruct.instanceVar_Ies = 0.0;
instanceStruct.d_instanceVar_Ied_dX = 0.0;
instanceStruct.instanceVar_Ied = 0.0;
instanceStruct.d_instanceVar_Czbs_dX = 0.0;
instanceStruct.instanceVar_Czbs = 0.0;
instanceStruct.d_instanceVar_Czbssw_dX = 0.0;
instanceStruct.instanceVar_Czbssw = 0.0;
instanceStruct.d_instanceVar_Czbsswg_dX = 0.0;
instanceStruct.instanceVar_Czbsswg = 0.0;
instanceStruct.d_instanceVar_Czbd_dX = 0.0;
instanceStruct.instanceVar_Czbd = 0.0;
instanceStruct.d_instanceVar_Czbdsw_dX = 0.0;
instanceStruct.instanceVar_Czbdsw = 0.0;
instanceStruct.d_instanceVar_Czbdswg_dX = 0.0;
instanceStruct.instanceVar_Czbdswg = 0.0;
instanceStruct.d_instanceVar_Qesj_dX = 0.0;
instanceStruct.instanceVar_Qesj = 0.0;
instanceStruct.d_instanceVar_Qedj_dX = 0.0;
instanceStruct.instanceVar_Qedj = 0.0;
instanceStruct.d_instanceVar_Isbs_dX = 0.0;
instanceStruct.instanceVar_Isbs = 0.0;
instanceStruct.d_instanceVar_Isbd_dX = 0.0;
instanceStruct.instanceVar_Isbd = 0.0;
instanceStruct.d_instanceVar_Nvtms_dX = 0.0;
instanceStruct.instanceVar_Nvtms = 0.0;
instanceStruct.d_instanceVar_Nvtmd_dX = 0.0;
instanceStruct.instanceVar_Nvtmd = 0.0;
instanceStruct.d_instanceVar_SslpFwd_dX = 0.0;
instanceStruct.instanceVar_SslpFwd = 0.0;
instanceStruct.d_instanceVar_IVjsmFwd_dX = 0.0;
instanceStruct.instanceVar_IVjsmFwd = 0.0;
instanceStruct.d_instanceVar_VjsmFwd_dX = 0.0;
instanceStruct.instanceVar_VjsmFwd = 0.0;
instanceStruct.d_instanceVar_XExpBVS_dX = 0.0;
instanceStruct.instanceVar_XExpBVS = 0.0;
instanceStruct.d_instanceVar_SslpRev_dX = 0.0;
instanceStruct.instanceVar_SslpRev = 0.0;
instanceStruct.d_instanceVar_IVjsmRev_dX = 0.0;
instanceStruct.instanceVar_IVjsmRev = 0.0;
instanceStruct.d_instanceVar_VjsmRev_dX = 0.0;
instanceStruct.instanceVar_VjsmRev = 0.0;
instanceStruct.d_instanceVar_DslpFwd_dX = 0.0;
instanceStruct.instanceVar_DslpFwd = 0.0;
instanceStruct.d_instanceVar_IVjdmFwd_dX = 0.0;
instanceStruct.instanceVar_IVjdmFwd = 0.0;
instanceStruct.d_instanceVar_VjdmFwd_dX = 0.0;
instanceStruct.instanceVar_VjdmFwd = 0.0;
instanceStruct.d_instanceVar_XExpBVD_dX = 0.0;
instanceStruct.instanceVar_XExpBVD = 0.0;
instanceStruct.d_instanceVar_DslpRev_dX = 0.0;
instanceStruct.instanceVar_DslpRev = 0.0;
instanceStruct.d_instanceVar_IVjdmRev_dX = 0.0;
instanceStruct.instanceVar_IVjdmRev = 0.0;
instanceStruct.d_instanceVar_VjdmRev_dX = 0.0;
instanceStruct.instanceVar_VjdmRev = 0.0;
instanceStruct.d_instanceVar_vec1s_dX = 0.0;
instanceStruct.instanceVar_vec1s = 0.0;
instanceStruct.d_instanceVar_pb21s_dX = 0.0;
instanceStruct.instanceVar_pb21s = 0.0;
instanceStruct.d_instanceVar_vec2s_dX = 0.0;
instanceStruct.instanceVar_vec2s = 0.0;
instanceStruct.d_instanceVar_pb22s_dX = 0.0;
instanceStruct.instanceVar_pb22s = 0.0;
instanceStruct.d_instanceVar_vec3s_dX = 0.0;
instanceStruct.instanceVar_vec3s = 0.0;
instanceStruct.d_instanceVar_pb23s_dX = 0.0;
instanceStruct.instanceVar_pb23s = 0.0;
instanceStruct.d_instanceVar_vec1d_dX = 0.0;
instanceStruct.instanceVar_vec1d = 0.0;
instanceStruct.d_instanceVar_pb21d_dX = 0.0;
instanceStruct.instanceVar_pb21d = 0.0;
instanceStruct.d_instanceVar_vec2d_dX = 0.0;
instanceStruct.instanceVar_vec2d = 0.0;
instanceStruct.d_instanceVar_pb22d_dX = 0.0;
instanceStruct.instanceVar_pb22d = 0.0;
instanceStruct.d_instanceVar_vec3d_dX = 0.0;
instanceStruct.instanceVar_vec3d = 0.0;
instanceStruct.d_instanceVar_pb23d_dX = 0.0;
instanceStruct.instanceVar_pb23d = 0.0;
instanceStruct.d_instanceVar_gcrg_dX = 0.0;
instanceStruct.instanceVar_gcrg = 0.0;
instanceStruct.d_instanceVar_gtau_dX = 0.0;
instanceStruct.instanceVar_gtau = 0.0;
instanceStruct.d_instanceVar_sid_dX = 0.0;
instanceStruct.instanceVar_sid = 0.0;
instanceStruct.d_instanceVar_Dr0_dX = 0.0;
instanceStruct.instanceVar_Dr0 = 0.0;
instanceStruct.d_instanceVar_ctnoi_dX = 0.0;
instanceStruct.instanceVar_ctnoi = 0.0;
instanceStruct.d_instanceVar_sigrat_dX = 0.0;
instanceStruct.instanceVar_sigrat = 0.0;
instanceStruct.d_instanceVar_gth_dX = 0.0;
instanceStruct.instanceVar_gth = 0.0;
instanceStruct.d_instanceVar_cth_dX = 0.0;
instanceStruct.instanceVar_cth = 0.0;
instanceStruct.d_instanceVar_CITR_i_dX = 0.0;
instanceStruct.instanceVar_CITR_i = 0.0;
instanceStruct.d_instanceVar_CDSCDR_i_dX = 0.0;
instanceStruct.instanceVar_CDSCDR_i = 0.0;
instanceStruct.d_instanceVar_ETA0R_i_dX = 0.0;
instanceStruct.instanceVar_ETA0R_i = 0.0;
instanceStruct.d_instanceVar_DVTSHIFTR_i_dX = 0.0;
instanceStruct.instanceVar_DVTSHIFTR_i = 0.0;
instanceStruct.d_instanceVar_veseff_dX = 0.0;
instanceStruct.instanceVar_veseff = 0.0;
instanceStruct.d_instanceVar_PHIBE_i_dX = 0.0;
instanceStruct.instanceVar_PHIBE_i = 0.0;
instanceStruct.d_instanceVar_K1_i_dX = 0.0;
instanceStruct.instanceVar_K1_i = 0.0;
instanceStruct.d_instanceVar_K11_i_dX = 0.0;
instanceStruct.instanceVar_K11_i = 0.0;
instanceStruct.d_instanceVar_K2SAT_i_dX = 0.0;
instanceStruct.instanceVar_K2SAT_i = 0.0;
instanceStruct.d_instanceVar_K2SAT1_i_dX = 0.0;
instanceStruct.instanceVar_K2SAT1_i = 0.0;
instanceStruct.d_instanceVar_K2_i_dX = 0.0;
instanceStruct.instanceVar_K2_i = 0.0;
instanceStruct.d_instanceVar_K21_i_dX = 0.0;
instanceStruct.instanceVar_K21_i = 0.0;
instanceStruct.d_instanceVar_VSATR_i_dX = 0.0;
instanceStruct.instanceVar_VSATR_i = 0.0;
instanceStruct.d_instanceVar_VSAT1R_i_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_i = 0.0;
instanceStruct.d_instanceVar_KSATIVR_i_dX = 0.0;
instanceStruct.instanceVar_KSATIVR_i = 0.0;
instanceStruct.d_instanceVar_MEXPR_i_dX = 0.0;
instanceStruct.instanceVar_MEXPR_i = 0.0;
instanceStruct.d_instanceVar_PTWGR_i_dX = 0.0;
instanceStruct.instanceVar_PTWGR_i = 0.0;
instanceStruct.d_instanceVar_ATR_i_dX = 0.0;
instanceStruct.instanceVar_ATR_i = 0.0;
instanceStruct.d_instanceVar_U0R_i_dX = 0.0;
instanceStruct.instanceVar_U0R_i = 0.0;
d_UPR_i_dX = 0.0;
UPR_i = 0.0;
instanceStruct.d_instanceVar_UAR_i_dX = 0.0;
instanceStruct.instanceVar_UAR_i = 0.0;
instanceStruct.d_instanceVar_UC_i_dX = 0.0;
instanceStruct.instanceVar_UC_i = 0.0;
instanceStruct.d_instanceVar_UCR_i_dX = 0.0;
instanceStruct.instanceVar_UCR_i = 0.0;
instanceStruct.d_instanceVar_EUR_i_dX = 0.0;
instanceStruct.instanceVar_EUR_i = 0.0;
instanceStruct.d_instanceVar_UDR_i_dX = 0.0;
instanceStruct.instanceVar_UDR_i = 0.0;
instanceStruct.d_instanceVar_UTER_i_dX = 0.0;
instanceStruct.instanceVar_UTER_i = 0.0;
instanceStruct.d_instanceVar_UTLR_i_dX = 0.0;
instanceStruct.instanceVar_UTLR_i = 0.0;
instanceStruct.d_instanceVar_UA1R_i_dX = 0.0;
instanceStruct.instanceVar_UA1R_i = 0.0;
instanceStruct.d_instanceVar_UC1_i_dX = 0.0;
instanceStruct.instanceVar_UC1_i = 0.0;
instanceStruct.d_instanceVar_UC1R_i_dX = 0.0;
instanceStruct.instanceVar_UC1R_i = 0.0;
instanceStruct.d_instanceVar_UD1R_i_dX = 0.0;
instanceStruct.instanceVar_UD1R_i = 0.0;
instanceStruct.d_instanceVar_PDIBL1R_i_dX = 0.0;
instanceStruct.instanceVar_PDIBL1R_i = 0.0;
instanceStruct.d_instanceVar_PDIBL2R_i_dX = 0.0;
instanceStruct.instanceVar_PDIBL2R_i = 0.0;
instanceStruct.d_instanceVar_PCLMR_i_dX = 0.0;
instanceStruct.instanceVar_PCLMR_i = 0.0;
instanceStruct.d_instanceVar_CGSO_i_dX = 0.0;
instanceStruct.instanceVar_CGSO_i = 0.0;
instanceStruct.d_instanceVar_CGDO_i_dX = 0.0;
instanceStruct.instanceVar_CGDO_i = 0.0;
instanceStruct.d_instanceVar_XRCRG1_i_dX = 0.0;
instanceStruct.instanceVar_XRCRG1_i = 0.0;
instanceStruct.d_instanceVar_XRCRG2_i_dX = 0.0;
instanceStruct.instanceVar_XRCRG2_i = 0.0;
instanceStruct.d_instanceVar_Cins_dX = 0.0;
instanceStruct.instanceVar_Cins = 0.0;
instanceStruct.d_instanceVar_Ach_dX = 0.0;
instanceStruct.instanceVar_Ach = 0.0;
instanceStruct.d_instanceVar_Weff_UFCM_dX = 0.0;
instanceStruct.instanceVar_Weff_UFCM = 0.0;
instanceStruct.d_instanceVar_WeffB_dX = 0.0;
instanceStruct.instanceVar_WeffB = 0.0;
instanceStruct.d_instanceVar_rc_dX = 0.0;
instanceStruct.instanceVar_rc = 0.0;
instanceStruct.d_instanceVar_Qdep_ov_Cins_dX = 0.0;
instanceStruct.instanceVar_Qdep_ov_Cins = 0.0;
instanceStruct.d_instanceVar_qi_acc_for_QM_dX = 0.0;
instanceStruct.instanceVar_qi_acc_for_QM = 0.0;
instanceStruct.d_instanceVar_nq_dX = 0.0;
instanceStruct.instanceVar_nq = 0.0;
d_Ach2_dX = 0.0;
Ach2 = 0.0;
d_Ach3_dX = 0.0;
Ach3 = 0.0;
d_Ach4_dX = 0.0;
Ach4 = 0.0;
d_Ach5_dX = 0.0;
Ach5 = 0.0;
d_Ach6_dX = 0.0;
Ach6 = 0.0;
d_Weff2_dX = 0.0;
Weff2 = 0.0;
d_Weff3_dX = 0.0;
Weff3 = 0.0;
d_Weff4_dX = 0.0;
Weff4 = 0.0;
d_Weff5_dX = 0.0;
Weff5 = 0.0;
d_Weff6_dX = 0.0;
Weff6 = 0.0;
instanceStruct.d_instanceVar_qnds1_dX = 0.0;
instanceStruct.instanceVar_qnds1 = 0.0;
instanceStruct.d_instanceVar_qnds2_dX = 0.0;
instanceStruct.instanceVar_qnds2 = 0.0;
instanceStruct.d_instanceVar_qnds3_dX = 0.0;
instanceStruct.instanceVar_qnds3 = 0.0;
instanceStruct.d_instanceVar_qndd1_dX = 0.0;
instanceStruct.instanceVar_qndd1 = 0.0;
instanceStruct.d_instanceVar_qndd2_dX = 0.0;
instanceStruct.instanceVar_qndd2 = 0.0;
instanceStruct.d_instanceVar_qndd3_dX = 0.0;
instanceStruct.instanceVar_qndd3 = 0.0;
instanceStruct.d_instanceVar_nc3d_dX = 0.0;
instanceStruct.instanceVar_nc3d = 1.0;
instanceStruct.d_instanceVar_d1_dX = 0.0;
instanceStruct.instanceVar_d1 = 0.0;
instanceStruct.d_instanceVar_d2_dX = 0.0;
instanceStruct.instanceVar_d2 = 0.0;
instanceStruct.d_instanceVar_d3_dX = 0.0;
instanceStruct.instanceVar_d3 = 0.0;
instanceStruct.d_instanceVar_p1_dX = 0.0;
instanceStruct.instanceVar_p1 = 0.0;
instanceStruct.d_instanceVar_p2_dX = 0.0;
instanceStruct.instanceVar_p2 = 0.0;
instanceStruct.d_instanceVar_p3_dX = 0.0;
instanceStruct.instanceVar_p3 = 0.0;
instanceStruct.d_instanceVar_ncq_dX = 0.0;
instanceStruct.instanceVar_ncq = 0.0;
instanceStruct.d_instanceVar_qe2_dX = 0.0;
instanceStruct.instanceVar_qe2 = 0.0;
instanceStruct.d_instanceVar_qe3_dX = 0.0;
instanceStruct.instanceVar_qe3 = 0.0;
instanceStruct.d_instanceVar_qnd10_dX = 0.0;
instanceStruct.instanceVar_qnd10 = 0.0;
instanceStruct.d_instanceVar_qnd20_dX = 0.0;
instanceStruct.instanceVar_qnd20 = 0.0;
instanceStruct.d_instanceVar_qnd30_dX = 0.0;
instanceStruct.instanceVar_qnd30 = 0.0;
d_DIMENSION1_i_dX = 0.0;
DIMENSION1_i = 0.0;
d_DIMENSION2_i_dX = 0.0;
DIMENSION2_i = 0.0;
d_DIMENSION3_i_dX = 0.0;
DIMENSION3_i = 0.0;
d_SSP1_i_dX = 0.0;
SSP1_i = 0.0;
d_SSP2_i_dX = 0.0;
SSP2_i = 0.0;
d_SSP3_i_dX = 0.0;
SSP3_i = 0.0;
d_E2NOM_i_dX = 0.0;
E2NOM_i = 0.0;
d_E3NOM_i_dX = 0.0;
E3NOM_i = 0.0;
d_MFQ1NOM_i_dX = 0.0;
MFQ1NOM_i = 0.0;
d_MFQ2NOM_i_dX = 0.0;
MFQ2NOM_i = 0.0;
d_MFQ3NOM_i_dX = 0.0;
MFQ3NOM_i = 0.0;
instanceStruct.d_instanceVar_DevTemplow0_dX = 0.0;
instanceStruct.instanceVar_DevTemplow0 = 0.0;
instanceStruct.d_instanceVar_DevTemplow1_dX = 0.0;
instanceStruct.instanceVar_DevTemplow1 = 0.0;
instanceStruct.d_instanceVar_DevTempeff_dX = 0.0;
instanceStruct.instanceVar_DevTempeff = 0.0;
instanceStruct.d_instanceVar_DevTemp1_dX = 0.0;
instanceStruct.instanceVar_DevTemp1 = 0.0;
instanceStruct.d_instanceVar_delTemp1_dX = 0.0;
instanceStruct.instanceVar_delTemp1 = 0.0;
instanceStruct.d_instanceVar_delTRatio1_dX = 0.0;
instanceStruct.instanceVar_delTRatio1 = 0.0;
instanceStruct.d_instanceVar_Vtmeff_dX = 0.0;
instanceStruct.instanceVar_Vtmeff = 0.0;
instanceStruct.d_instanceVar_niln_dX = 0.0;
instanceStruct.instanceVar_niln = 0.0;
instanceStruct.d_instanceVar_UDS_t_dX = 0.0;
instanceStruct.instanceVar_UDS_t = 0.0;
instanceStruct.d_instanceVar_UDD_t_dX = 0.0;
instanceStruct.instanceVar_UDD_t = 0.0;
instanceStruct.d_instanceVar_UA_tl_dX = 0.0;
instanceStruct.instanceVar_UA_tl = 0.0;
instanceStruct.d_instanceVar_UA_th_dX = 0.0;
instanceStruct.instanceVar_UA_th = 0.0;
instanceStruct.d_instanceVar_UAR_tl_dX = 0.0;
instanceStruct.instanceVar_UAR_tl = 0.0;
instanceStruct.d_instanceVar_UAR_th_dX = 0.0;
instanceStruct.instanceVar_UAR_th = 0.0;
instanceStruct.d_instanceVar_wl_dX = 0.0;
instanceStruct.instanceVar_wl = 0.0;
instanceStruct.d_instanceVar_wh_dX = 0.0;
instanceStruct.instanceVar_wh = 0.0;
instanceStruct.d_instanceVar_Rvs_d_dX = 0.0;
instanceStruct.instanceVar_Rvs_d = 0.0;
instanceStruct.d_instanceVar_Rvs_s_dX = 0.0;
instanceStruct.instanceVar_Rvs_s = 0.0;
instanceStruct.d_instanceVar_rdstempvs_dX = 0.0;
instanceStruct.instanceVar_rdstempvs = 0.0;
instanceStruct.d_instanceVar_gvs_s_dX = 0.0;
instanceStruct.instanceVar_gvs_s = 0.0;
instanceStruct.d_instanceVar_gvs_d_dX = 0.0;
instanceStruct.instanceVar_gvs_d = 0.0;
instanceStruct.d_instanceVar_gspr_dX = 0.0;
instanceStruct.instanceVar_gspr = 0.0;
instanceStruct.d_instanceVar_gdpr_dX = 0.0;
instanceStruct.instanceVar_gdpr = 0.0;
instanceStruct.d_instanceVar_TempLast_dX = 0.0;
instanceStruct.instanceVar_TempLast = (-999);
instanceStruct.d_instanceVar_Tnom_dX = 0.0;
instanceStruct.instanceVar_Tnom = 0;
instanceStruct.d_instanceVar_TRatio_dX = 0.0;
instanceStruct.instanceVar_TRatio = 0;
instanceStruct.d_instanceVar_TRatio_m1_dX = 0.0;
instanceStruct.instanceVar_TRatio_m1 = 0;
instanceStruct.d_instanceVar_dvth_temp_dX = 0.0;
instanceStruct.instanceVar_dvth_temp = 0;
instanceStruct.d_instanceVar_delTemp_dX = 0.0;
instanceStruct.instanceVar_delTemp = 0;
instanceStruct.d_instanceVar_delTemp1_dX = 0.0;
instanceStruct.instanceVar_delTemp1 = 0;
instanceStruct.d_instanceVar_delTRatio1_dX = 0.0;
instanceStruct.instanceVar_delTRatio1 = 0;
instanceStruct.d_instanceVar_ThetaSS_dX = 0.0;
instanceStruct.instanceVar_ThetaSS = 0;
instanceStruct.d_instanceVar_K0_t_dX = 0.0;
instanceStruct.instanceVar_K0_t = 0;
instanceStruct.d_instanceVar_K0SI_t_dX = 0.0;
instanceStruct.instanceVar_K0SI_t = 0;
instanceStruct.d_instanceVar_K2SI_t_dX = 0.0;
instanceStruct.instanceVar_K2SI_t = 0;
instanceStruct.d_instanceVar_K1_t_dX = 0.0;
instanceStruct.instanceVar_K1_t = 0;
instanceStruct.d_instanceVar_K2SAT_t_dX = 0.0;
instanceStruct.instanceVar_K2SAT_t = 0;
instanceStruct.d_instanceVar_A1_t_dX = 0.0;
instanceStruct.instanceVar_A1_t = 0;
instanceStruct.d_instanceVar_A2_t_dX = 0.0;
instanceStruct.instanceVar_A2_t = 0;
instanceStruct.d_instanceVar_AIGBINV_t_dX = 0.0;
instanceStruct.instanceVar_AIGBINV_t = 0;
instanceStruct.d_instanceVar_AIGBACC_t_dX = 0.0;
instanceStruct.instanceVar_AIGBACC_t = 0;
instanceStruct.d_instanceVar_AIGC_t_dX = 0.0;
instanceStruct.instanceVar_AIGC_t = 0;
instanceStruct.d_instanceVar_AIGS_t_dX = 0.0;
instanceStruct.instanceVar_AIGS_t = 0;
instanceStruct.d_instanceVar_AIGD_t_dX = 0.0;
instanceStruct.instanceVar_AIGD_t = 0;
instanceStruct.d_instanceVar_BETA0_t_dX = 0.0;
instanceStruct.instanceVar_BETA0_t = 0;
instanceStruct.d_instanceVar_SII0_t_dX = 0.0;
instanceStruct.instanceVar_SII0_t = 0;
instanceStruct.d_instanceVar_BGISL_t_dX = 0.0;
instanceStruct.instanceVar_BGISL_t = 0;
instanceStruct.d_instanceVar_BGISLB_t_dX = 0.0;
instanceStruct.instanceVar_BGISLB_t = 0;
instanceStruct.d_instanceVar_BGIDL_t_dX = 0.0;
instanceStruct.instanceVar_BGIDL_t = 0;
instanceStruct.d_instanceVar_BGIDLB_t_dX = 0.0;
instanceStruct.instanceVar_BGIDLB_t = 0;
instanceStruct.d_instanceVar_igtemp_dX = 0.0;
instanceStruct.instanceVar_igtemp = 0;
instanceStruct.d_instanceVar_PTWG_t_dX = 0.0;
instanceStruct.instanceVar_PTWG_t = 0;
instanceStruct.d_instanceVar_PTWGR_t_dX = 0.0;
instanceStruct.instanceVar_PTWGR_t = 0;
instanceStruct.d_instanceVar_ALPHA0_t_dX = 0.0;
instanceStruct.instanceVar_ALPHA0_t = 0;
instanceStruct.d_instanceVar_ALPHA1_t_dX = 0.0;
instanceStruct.instanceVar_ALPHA1_t = 0;
instanceStruct.d_instanceVar_ALPHAII0_t_dX = 0.0;
instanceStruct.instanceVar_ALPHAII0_t = 0;
instanceStruct.d_instanceVar_ALPHAII1_t_dX = 0.0;
instanceStruct.instanceVar_ALPHAII1_t = 0;
instanceStruct.d_instanceVar_CJS_t_dX = 0.0;
instanceStruct.instanceVar_CJS_t = 0;
instanceStruct.d_instanceVar_CJSWS_t_dX = 0.0;
instanceStruct.instanceVar_CJSWS_t = 0;
instanceStruct.d_instanceVar_CJSWGD_t_dX = 0.0;
instanceStruct.instanceVar_CJSWGD_t = 0;
instanceStruct.d_instanceVar_CJD_t_dX = 0.0;
instanceStruct.instanceVar_CJD_t = 0;
instanceStruct.d_instanceVar_CJSWD_t_dX = 0.0;
instanceStruct.instanceVar_CJSWD_t = 0;
instanceStruct.d_instanceVar_CJSWGS_t_dX = 0.0;
instanceStruct.instanceVar_CJSWGS_t = 0;
instanceStruct.d_instanceVar_PBS_t_dX = 0.0;
instanceStruct.instanceVar_PBS_t = 0;
instanceStruct.d_instanceVar_PBSWS_t_dX = 0.0;
instanceStruct.instanceVar_PBSWS_t = 0;
instanceStruct.d_instanceVar_PBSWGS_t_dX = 0.0;
instanceStruct.instanceVar_PBSWGS_t = 0;
instanceStruct.d_instanceVar_PBD_t_dX = 0.0;
instanceStruct.instanceVar_PBD_t = 0;
instanceStruct.d_instanceVar_PBSWD_t_dX = 0.0;
instanceStruct.instanceVar_PBSWD_t = 0;
instanceStruct.d_instanceVar_PBSWGD_t_dX = 0.0;
instanceStruct.instanceVar_PBSWGD_t = 0;
instanceStruct.d_instanceVar_JSS_t_dX = 0.0;
instanceStruct.instanceVar_JSS_t = 0;
instanceStruct.d_instanceVar_JSWS_t_dX = 0.0;
instanceStruct.instanceVar_JSWS_t = 0;
instanceStruct.d_instanceVar_JSWGS_t_dX = 0.0;
instanceStruct.instanceVar_JSWGS_t = 0;
instanceStruct.d_instanceVar_JSD_t_dX = 0.0;
instanceStruct.instanceVar_JSD_t = 0;
instanceStruct.d_instanceVar_JSWD_t_dX = 0.0;
instanceStruct.instanceVar_JSWD_t = 0;
instanceStruct.d_instanceVar_JSWGD_t_dX = 0.0;
instanceStruct.instanceVar_JSWGD_t = 0;
instanceStruct.d_instanceVar_JTSS_t_dX = 0.0;
instanceStruct.instanceVar_JTSS_t = 0;
instanceStruct.d_instanceVar_JTSD_t_dX = 0.0;
instanceStruct.instanceVar_JTSD_t = 0;
instanceStruct.d_instanceVar_JTSSWS_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWS_t = 0;
instanceStruct.d_instanceVar_JTSSWD_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWD_t = 0;
instanceStruct.d_instanceVar_JTSSWGS_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWGS_t = 0;
instanceStruct.d_instanceVar_JTSSWGD_t_dX = 0.0;
instanceStruct.instanceVar_JTSSWGD_t = 0;
instanceStruct.d_instanceVar_NJTS_t_dX = 0.0;
instanceStruct.instanceVar_NJTS_t = 0;
instanceStruct.d_instanceVar_NJTSD_t_dX = 0.0;
instanceStruct.instanceVar_NJTSD_t = 0;
instanceStruct.d_instanceVar_NJTSSW_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSW_t = 0;
instanceStruct.d_instanceVar_NJTSSWD_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSWD_t = 0;
instanceStruct.d_instanceVar_NJTSSWG_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSWG_t = 0;
instanceStruct.d_instanceVar_NJTSSWGD_t_dX = 0.0;
instanceStruct.instanceVar_NJTSSWGD_t = 0;
instanceStruct.d_instanceVar_K2_t_dX = 0.0;
instanceStruct.instanceVar_K2_t = 0;
instanceStruct.d_instanceVar_K0SISAT_t_dX = 0.0;
instanceStruct.instanceVar_K0SISAT_t = 0;
instanceStruct.d_instanceVar_K2SISAT_t_dX = 0.0;
instanceStruct.instanceVar_K2SISAT_t = 0;
instanceStruct.d_instanceVar_ETA0_t_dX = 0.0;
instanceStruct.instanceVar_ETA0_t = 0;
instanceStruct.d_instanceVar_ETA0CV_t_dX = 0.0;
instanceStruct.instanceVar_ETA0CV_t = 0;
instanceStruct.d_instanceVar_ETA0R_t_dX = 0.0;
instanceStruct.instanceVar_ETA0R_t = 0;
instanceStruct.d_instanceVar_RSDR_t_dX = 0.0;
instanceStruct.instanceVar_RSDR_t = 0;
instanceStruct.d_instanceVar_RSDRR_t_dX = 0.0;
instanceStruct.instanceVar_RSDRR_t = 0;
instanceStruct.d_instanceVar_RDDR_t_dX = 0.0;
instanceStruct.instanceVar_RDDR_t = 0;
instanceStruct.d_instanceVar_RDDRR_t_dX = 0.0;
instanceStruct.instanceVar_RDDRR_t = 0;
instanceStruct.d_instanceVar_UA_t_dX = 0.0;
instanceStruct.instanceVar_UA_t = 0;
instanceStruct.d_instanceVar_UACV_t_dX = 0.0;
instanceStruct.instanceVar_UACV_t = 0;
instanceStruct.d_instanceVar_UAR_t_dX = 0.0;
instanceStruct.instanceVar_UAR_t = 0;
instanceStruct.d_instanceVar_UA_tl_dX = 0.0;
instanceStruct.instanceVar_UA_tl = 0;
instanceStruct.d_instanceVar_UA_th_dX = 0.0;
instanceStruct.instanceVar_UA_th = 0;
instanceStruct.d_instanceVar_UACV_tl_dX = 0.0;
instanceStruct.instanceVar_UACV_tl = 0;
instanceStruct.d_instanceVar_UACV_th_dX = 0.0;
instanceStruct.instanceVar_UACV_th = 0;
instanceStruct.d_instanceVar_UAR_tl_dX = 0.0;
instanceStruct.instanceVar_UAR_tl = 0;
instanceStruct.d_instanceVar_UAR_th_dX = 0.0;
instanceStruct.instanceVar_UAR_th = 0;
instanceStruct.d_instanceVar_wh_dX = 0.0;
instanceStruct.instanceVar_wh = 0;
instanceStruct.d_instanceVar_wl_dX = 0.0;
instanceStruct.instanceVar_wl = 0;
instanceStruct.d_instanceVar_UC_t_dX = 0.0;
instanceStruct.instanceVar_UC_t = 0;
instanceStruct.d_instanceVar_UCCV_t_dX = 0.0;
instanceStruct.instanceVar_UCCV_t = 0;
instanceStruct.d_instanceVar_UCR_t_dX = 0.0;
instanceStruct.instanceVar_UCR_t = 0;
instanceStruct.d_instanceVar_UCS_t_dX = 0.0;
instanceStruct.instanceVar_UCS_t = 0;
instanceStruct.d_instanceVar_UD_t_dX = 0.0;
instanceStruct.instanceVar_UD_t = 0;
instanceStruct.d_instanceVar_UDCV_t_dX = 0.0;
instanceStruct.instanceVar_UDCV_t = 0;
instanceStruct.d_instanceVar_UDR_t_dX = 0.0;
instanceStruct.instanceVar_UDR_t = 0;
instanceStruct.d_instanceVar_U0R_t_dX = 0.0;
instanceStruct.instanceVar_U0R_t = 0;
instanceStruct.d_instanceVar_ETAMOB_t_dX = 0.0;
instanceStruct.instanceVar_ETAMOB_t = 0;
instanceStruct.d_instanceVar_EU_t_dX = 0.0;
instanceStruct.instanceVar_EU_t = 0;
instanceStruct.d_instanceVar_UDS_t_dX = 0.0;
instanceStruct.instanceVar_UDS_t = 0;
instanceStruct.d_instanceVar_UDS_i_dX = 0.0;
instanceStruct.instanceVar_UDS_i = 0;
instanceStruct.d_instanceVar_UDS1_i_dX = 0.0;
instanceStruct.instanceVar_UDS1_i = 0;
instanceStruct.d_instanceVar_UDD_t_dX = 0.0;
instanceStruct.instanceVar_UDD_t = 0;
instanceStruct.d_instanceVar_UDD_i_dX = 0.0;
instanceStruct.instanceVar_UDD_i = 0;
instanceStruct.d_instanceVar_UDD1_i_dX = 0.0;
instanceStruct.instanceVar_UDD1_i = 0;
instanceStruct.d_instanceVar_UDSeff_t_dX = 0.0;
instanceStruct.instanceVar_UDSeff_t = 0;
instanceStruct.d_instanceVar_UDDeff_t_dX = 0.0;
instanceStruct.instanceVar_UDDeff_t = 0;
instanceStruct.d_instanceVar_VSAT_t_dX = 0.0;
instanceStruct.instanceVar_VSAT_t = 0;
instanceStruct.d_instanceVar_VSATR_t_dX = 0.0;
instanceStruct.instanceVar_VSATR_t = 0;
instanceStruct.d_instanceVar_VSAT1_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1_t = 0;
instanceStruct.d_instanceVar_VSAT1R_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_t = 0;
instanceStruct.d_instanceVar_VSATCV_t_dX = 0.0;
instanceStruct.instanceVar_VSATCV_t = 0;
instanceStruct.d_instanceVar_MEXP_t_dX = 0.0;
instanceStruct.instanceVar_MEXP_t = 0;
instanceStruct.d_instanceVar_MEXPR_t_dX = 0.0;
instanceStruct.instanceVar_MEXPR_t = 0;
instanceStruct.d_instanceVar_Vtm_dX = 0.0;
instanceStruct.instanceVar_Vtm = 0;
instanceStruct.d_instanceVar_Vtm0_dX = 0.0;
instanceStruct.instanceVar_Vtm0 = 0;
instanceStruct.d_instanceVar_Eg_dX = 0.0;
instanceStruct.instanceVar_Eg = 0;
instanceStruct.d_instanceVar_Eg0_dX = 0.0;
instanceStruct.instanceVar_Eg0 = 0;
instanceStruct.d_instanceVar_ni_dX = 0.0;
instanceStruct.instanceVar_ni = 0;
instanceStruct.d_instanceVar_Nc_dX = 0.0;
instanceStruct.instanceVar_Nc = 0;
instanceStruct.d_instanceVar_niln_dX = 0.0;
instanceStruct.instanceVar_niln = 0;
instanceStruct.d_instanceVar_dvch_qm_dX = 0.0;
instanceStruct.instanceVar_dvch_qm = 0;
instanceStruct.d_instanceVar_u0_dX = 0.0;
instanceStruct.instanceVar_u0 = 0;
instanceStruct.d_instanceVar_u0_cv_dX = 0.0;
instanceStruct.instanceVar_u0_cv = 0;
instanceStruct.d_instanceVar_rdstemp_dX = 0.0;
instanceStruct.instanceVar_rdstemp = 0;
instanceStruct.d_instanceVar_KSATIV_t_dX = 0.0;
instanceStruct.instanceVar_KSATIV_t = 0;
instanceStruct.d_instanceVar_PCLM_t_dX = 0.0;
instanceStruct.instanceVar_PCLM_t = 0;
instanceStruct.d_instanceVar_UACV_t_dX = 0.0;
instanceStruct.instanceVar_UACV_t = 0;
instanceStruct.d_instanceVar_UDCV_t_dX = 0.0;
instanceStruct.instanceVar_UDCV_t = 0;
instanceStruct.d_instanceVar_igsd_mult_dX = 0.0;
instanceStruct.instanceVar_igsd_mult = 0;
instanceStruct.d_instanceVar_vfbsd_dX = 0.0;
instanceStruct.instanceVar_vfbsd = 0;
instanceStruct.d_instanceVar_vfbsdcv_dX = 0.0;
instanceStruct.instanceVar_vfbsdcv = 0;
instanceStruct.d_instanceVar_vfbsdcv_dX = 0.0;
instanceStruct.instanceVar_vfbsdcv = 0;
instanceStruct.d_instanceVar_phib_dX = 0.0;
instanceStruct.instanceVar_phib = 0;
instanceStruct.d_instanceVar_vbi_dX = 0.0;
instanceStruct.instanceVar_vbi = 0;
instanceStruct.d_instanceVar_deltaPhi_dX = 0.0;
instanceStruct.instanceVar_deltaPhi = 0;
instanceStruct.d_instanceVar_eta_mu_dX = 0.0;
instanceStruct.instanceVar_eta_mu = 0;
instanceStruct.instanceVar_eta_mu_cv = 0;
instanceStruct.d_instanceVar_Tb_dX = 0.0;
instanceStruct.instanceVar_Tb = 0;
instanceStruct.d_instanceVar_igentemp_dX = 0.0;
instanceStruct.instanceVar_igentemp = 0;
instanceStruct.d_instanceVar_vec1s_dX = 0.0;
instanceStruct.instanceVar_vec1s = 0;
instanceStruct.d_instanceVar_pb21s_dX = 0.0;
instanceStruct.instanceVar_pb21s = 0;
instanceStruct.d_instanceVar_vec2s_dX = 0.0;
instanceStruct.instanceVar_vec2s = 0;
instanceStruct.d_instanceVar_pb22s_dX = 0.0;
instanceStruct.instanceVar_pb22s = 0;
instanceStruct.d_instanceVar_vec3s_dX = 0.0;
instanceStruct.instanceVar_vec3s = 0;
instanceStruct.d_instanceVar_pb23s_dX = 0.0;
instanceStruct.instanceVar_pb23s = 0;
instanceStruct.d_instanceVar_vec1d_dX = 0.0;
instanceStruct.instanceVar_vec1d = 0;
instanceStruct.d_instanceVar_pb21d_dX = 0.0;
instanceStruct.instanceVar_pb21d = 0;
instanceStruct.d_instanceVar_vec2d_dX = 0.0;
instanceStruct.instanceVar_vec2d = 0;
instanceStruct.d_instanceVar_pb22d_dX = 0.0;
instanceStruct.instanceVar_pb22d = 0;
instanceStruct.d_instanceVar_vec3d_dX = 0.0;
instanceStruct.instanceVar_vec3d = 0;
instanceStruct.d_instanceVar_pb23d_dX = 0.0;
instanceStruct.instanceVar_pb23d = 0;
instanceStruct.instanceVar_gmin = ADMSgmin_arg;
if ((portsConnected_[admsNodeID_t]==1))
{
if ((((modelStruct.modelPar_SHMOD==0)||(modelStruct.modelPar_RTH0==0.0))&&(modelStruct.modelPar_SH_WARN==1)))
{
UserInfo(theInstance)  << "The optional 5th terminal is present in instance %m but not active because SHMOD = 0 or RTH0 = 0.0" << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_TYPE==1))
{
instanceStruct.instanceVar_devsign = 1;
}
else
{
instanceStruct.instanceVar_devsign = (-1);
}
instanceStruct.d_instanceVar_epssub_dX = modelStruct.d_modelPar_EPSRSUB_dX*8.8542e-12;
instanceStruct.instanceVar_epssub = (modelStruct.modelPar_EPSRSUB*8.8542e-12);
d_epssp_dX = modelStruct.d_modelPar_EPSRSP_dX*8.8542e-12;
epssp = (modelStruct.modelPar_EPSRSP*8.8542e-12);
d_cbox_dX = ((modelStruct.modelPar_EOTBOX*modelStruct.d_modelPar_EPSROX_dX*8.8542e-12-(modelStruct.modelPar_EPSROX*8.8542e-12)*modelStruct.d_modelPar_EOTBOX_dX)/modelStruct.modelPar_EOTBOX/modelStruct.modelPar_EOTBOX);
cbox = ((modelStruct.modelPar_EPSROX*8.8542e-12)/modelStruct.modelPar_EOTBOX);
instanceStruct.d_instanceVar_epsratio_dX = ((modelStruct.modelPar_EPSROX*modelStruct.d_modelPar_EPSRSUB_dX-modelStruct.modelPar_EPSRSUB*modelStruct.d_modelPar_EPSROX_dX)/modelStruct.modelPar_EPSROX/modelStruct.modelPar_EPSROX);
instanceStruct.instanceVar_epsratio = (modelStruct.modelPar_EPSRSUB/modelStruct.modelPar_EPSROX);
instanceStruct.instanceVar_mx = (0.916*9.11e-31);
instanceStruct.instanceVar_mxprime = (0.190*9.11e-31);
instanceStruct.instanceVar_md = (0.190*9.11e-31);
instanceStruct.instanceVar_mdprime = (0.417*9.11e-31);
instanceStruct.instanceVar_gprime = 4.0;
instanceStruct.instanceVar_gfactor = 2.0;
d_XL_i_dX = (((instanceStruct.d_instancePar_XL_dX+((instanceStruct.instancePar_L*1.0e-6*modelStruct.d_modelPar_LXL_dX-(1.0e-6*modelStruct.modelPar_LXL)*instanceStruct.d_instancePar_L_dX)/instanceStruct.instancePar_L/instanceStruct.instancePar_L))+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NXL_dX-modelStruct.modelPar_NXL*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)*modelStruct.d_modelPar_PXL_dX*1.0e-6-(modelStruct.modelPar_PXL*1.0e-6)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_NFIN_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_NFIN))/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)));
XL_i = (((instanceStruct.instancePar_XL+((1.0e-6*modelStruct.modelPar_LXL)/instanceStruct.instancePar_L))+(modelStruct.modelPar_NXL/instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_PXL*1.0e-6)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)));
d_DLBIN_i_dX = (((modelStruct.d_modelPar_DLBIN_dX+((instanceStruct.instancePar_L*1.0e-6*modelStruct.d_modelPar_LDLBIN_dX-(1.0e-6*modelStruct.modelPar_LDLBIN)*instanceStruct.d_instancePar_L_dX)/instanceStruct.instancePar_L/instanceStruct.instancePar_L))+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NDLBIN_dX-modelStruct.modelPar_NDLBIN*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)*modelStruct.d_modelPar_PDLBIN_dX*1.0e-6-(modelStruct.modelPar_PDLBIN*1.0e-6)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_NFIN_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_NFIN))/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)));
DLBIN_i = (((modelStruct.modelPar_DLBIN+((1.0e-6*modelStruct.modelPar_LDLBIN)/instanceStruct.instancePar_L))+(modelStruct.modelPar_NDLBIN/instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_PDLBIN*1.0e-6)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)));
d_LINT_i_dX = (((modelStruct.d_modelPar_LINT_dX+((instanceStruct.instancePar_L*1.0e-6*modelStruct.d_modelPar_LLINT_dX-(1.0e-6*modelStruct.modelPar_LLINT)*instanceStruct.d_instancePar_L_dX)/instanceStruct.instancePar_L/instanceStruct.instancePar_L))+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NLINT_dX-modelStruct.modelPar_NLINT*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)*modelStruct.d_modelPar_PLINT_dX*1.0e-6-(modelStruct.modelPar_PLINT*1.0e-6)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_NFIN_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_NFIN))/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)));
LINT_i = (((modelStruct.modelPar_LINT+((1.0e-6*modelStruct.modelPar_LLINT)/instanceStruct.instancePar_L))+(modelStruct.modelPar_NLINT/instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_PLINT*1.0e-6)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)));
instanceStruct.d_instanceVar_Lg_dX = (instanceStruct.d_instancePar_L_dX+d_XL_i_dX);
instanceStruct.instanceVar_Lg = (instanceStruct.instancePar_L+XL_i);
{
double value_pow_0 = pow(instanceStruct.instanceVar_Lg,(-modelStruct.modelPar_LLN));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_Lg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_LLN)/instanceStruct.instanceVar_Lg));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_Lg == 0.0)?0.0:(log(instanceStruct.instanceVar_Lg)*value_pow_0);
instanceStruct.d_instanceVar_T0_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_Lg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_LLN_dX))));
instanceStruct.instanceVar_T0 = value_pow_0;
}
d_deltaL_dX = (d_LINT_i_dX+(modelStruct.modelPar_LL*instanceStruct.d_instanceVar_T0_dX+modelStruct.d_modelPar_LL_dX*instanceStruct.instanceVar_T0));
deltaL = (LINT_i+(modelStruct.modelPar_LL*instanceStruct.instanceVar_T0));
{
double value_pow_0 = pow((instanceStruct.instanceVar_Lg+DLBIN_i),(-modelStruct.modelPar_LLN));
double  deriv_pow_0_d0 = (((instanceStruct.instanceVar_Lg+DLBIN_i) == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_LLN)/(instanceStruct.instanceVar_Lg+DLBIN_i)));
double  deriv_pow_0_d1 = ((instanceStruct.instanceVar_Lg+DLBIN_i) == 0.0)?0.0:(log((instanceStruct.instanceVar_Lg+DLBIN_i))*value_pow_0);
d_deltaL1_dX = (d_LINT_i_dX+(modelStruct.modelPar_LL*((deriv_pow_0_d0*((instanceStruct.d_instanceVar_Lg_dX+d_DLBIN_i_dX)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_LLN_dX))))+modelStruct.d_modelPar_LL_dX*value_pow_0));
deltaL1 = (LINT_i+(modelStruct.modelPar_LL*value_pow_0));
}
d_deltaLCV_dX = (modelStruct.d_modelPar_DLC_dX+(modelStruct.modelPar_LLC*instanceStruct.d_instanceVar_T0_dX+modelStruct.d_modelPar_LLC_dX*instanceStruct.instanceVar_T0));
deltaLCV = (modelStruct.modelPar_DLC+(modelStruct.modelPar_LLC*instanceStruct.instanceVar_T0));
instanceStruct.d_instanceVar_Leff_dX = (instanceStruct.d_instanceVar_Lg_dX-2.0*d_deltaL_dX);
instanceStruct.instanceVar_Leff = (instanceStruct.instanceVar_Lg-(2.0*deltaL));
d_Leff1_dX = ((instanceStruct.d_instanceVar_Lg_dX+d_DLBIN_i_dX)-2.0*d_deltaL1_dX);
Leff1 = ((instanceStruct.instanceVar_Lg+DLBIN_i)-(2.0*deltaL1));
instanceStruct.d_instanceVar_LeffCV_dX = (instanceStruct.d_instanceVar_Lg_dX-2.0*d_deltaLCV_dX);
instanceStruct.instanceVar_LeffCV = (instanceStruct.instanceVar_Lg-(2.0*deltaLCV));
instanceStruct.d_instanceVar_LeffCV_acc_dX = (instanceStruct.d_instanceVar_LeffCV_dX-modelStruct.d_modelPar_DLCACC_dX);
instanceStruct.instanceVar_LeffCV_acc = (instanceStruct.instanceVar_LeffCV-modelStruct.modelPar_DLCACC);
if ((modelStruct.modelPar_GEOMOD==5))
{
d_XW_i_dX = (((((instanceStruct.d_instancePar_XW_dX+((instanceStruct.instancePar_L*1.0e-6*modelStruct.d_modelPar_LXW_dX-(1.0e-6*modelStruct.modelPar_LXW)*instanceStruct.d_instancePar_L_dX)/instanceStruct.instancePar_L/instanceStruct.instancePar_L))+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NXW_dX-modelStruct.modelPar_NXW*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)*modelStruct.d_modelPar_PXW_dX*1.0e-6-(modelStruct.modelPar_PXW*1.0e-6)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_NFIN_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_NFIN))/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)))+((instanceStruct.instancePar_WGAA*1.0e-6*modelStruct.d_modelPar_WXW_dX-(1.0e-6*modelStruct.modelPar_WXW)*instanceStruct.d_instancePar_WGAA_dX)/instanceStruct.instancePar_WGAA/instanceStruct.instancePar_WGAA))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)*modelStruct.d_modelPar_P2XW_dX*1.0e-12-(modelStruct.modelPar_P2XW*1.0e-12)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_WGAA_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_WGAA))/(instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)/(instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)));
XW_i = (((((instanceStruct.instancePar_XW+((1.0e-6*modelStruct.modelPar_LXW)/instanceStruct.instancePar_L))+(modelStruct.modelPar_NXW/instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_PXW*1.0e-6)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)))+((1.0e-6*modelStruct.modelPar_WXW)/instanceStruct.instancePar_WGAA))+((modelStruct.modelPar_P2XW*1.0e-12)/(instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)));
d_DWBIN_i_dX = (((((modelStruct.d_modelPar_DWBIN_dX+((instanceStruct.instancePar_L*1.0e-6*modelStruct.d_modelPar_LDWBIN_dX-(1.0e-6*modelStruct.modelPar_LDWBIN)*instanceStruct.d_instancePar_L_dX)/instanceStruct.instancePar_L/instanceStruct.instancePar_L))+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NDWBIN_dX-modelStruct.modelPar_NDWBIN*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)*modelStruct.d_modelPar_PDWBIN_dX*1.0e-6-(modelStruct.modelPar_PDWBIN*1.0e-6)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_NFIN_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_NFIN))/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)))+((instanceStruct.instancePar_WGAA*1.0e-6*modelStruct.d_modelPar_WDWBIN_dX-(1.0e-6*modelStruct.modelPar_WDWBIN)*instanceStruct.d_instancePar_WGAA_dX)/instanceStruct.instancePar_WGAA/instanceStruct.instancePar_WGAA))+(((instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)*modelStruct.d_modelPar_P2DWBIN_dX*1.0e-12-(modelStruct.modelPar_P2DWBIN*1.0e-12)*(instanceStruct.instancePar_L*instanceStruct.d_instancePar_WGAA_dX+instanceStruct.d_instancePar_L_dX*instanceStruct.instancePar_WGAA))/(instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)/(instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)));
DWBIN_i = (((((modelStruct.modelPar_DWBIN+((1.0e-6*modelStruct.modelPar_LDWBIN)/instanceStruct.instancePar_L))+(modelStruct.modelPar_NDWBIN/instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_PDWBIN*1.0e-6)/(instanceStruct.instancePar_L*instanceStruct.instancePar_NFIN)))+((1.0e-6*modelStruct.modelPar_WDWBIN)/instanceStruct.instancePar_WGAA))+((modelStruct.modelPar_P2DWBIN*1.0e-12)/(instanceStruct.instancePar_L*instanceStruct.instancePar_WGAA)));
d_WGAAeff_dX = (instanceStruct.d_instancePar_WGAA_dX+d_XW_i_dX);
WGAAeff = (instanceStruct.instancePar_WGAA+XW_i);
d_WGAAeff1_dX = (d_WGAAeff_dX+d_DWBIN_i_dX);
WGAAeff1 = (WGAAeff+DWBIN_i);
}
else
{
d_XW_i_dX = 0.0;
XW_i = 0;
d_DWBIN_i_dX = 0.0;
DWBIN_i = 0;
d_WGAAeff_dX = instanceStruct.d_instancePar_WGAA_dX;
WGAAeff = instanceStruct.instancePar_WGAA;
d_WGAAeff1_dX = instanceStruct.d_instancePar_WGAA_dX;
WGAAeff1 = instanceStruct.instancePar_WGAA;
}
instanceStruct.d_instanceVar_NFINtotal_dX = instanceStruct.d_instancePar_NFIN_dX*instanceStruct.instancePar_NF;
instanceStruct.instanceVar_NFINtotal = (instanceStruct.instancePar_NFIN*instanceStruct.instancePar_NF);
d_Inv_L_dX = (-1.0e-6*d_Leff1_dX/Leff1/Leff1);
Inv_L = (1.0e-6/Leff1);
d_Inv_NFIN_dX = (-instanceStruct.d_instancePar_NFIN_dX/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN);
Inv_NFIN = (1.0/instanceStruct.instancePar_NFIN);
d_Inv_LNFIN_dX = (-1.0e-6*(Leff1*instanceStruct.d_instancePar_NFIN_dX+d_Leff1_dX*instanceStruct.instancePar_NFIN)/(Leff1*instanceStruct.instancePar_NFIN)/(Leff1*instanceStruct.instancePar_NFIN));
Inv_LNFIN = (1.0e-6/(Leff1*instanceStruct.instancePar_NFIN));
if ((modelStruct.modelPar_GEOMOD==5))
{
d_Inv_W_dX = (-1.0e-6*d_WGAAeff1_dX/WGAAeff1/WGAAeff1);
Inv_W = (1.0e-6/WGAAeff1);
d_Inv_WL_dX = (-1.0e-12*(WGAAeff1*d_Leff1_dX+d_WGAAeff1_dX*Leff1)/(WGAAeff1*Leff1)/(WGAAeff1*Leff1));
Inv_WL = (1.0e-12/(WGAAeff1*Leff1));
}
else
{
d_Inv_W_dX = 0.0;
Inv_W = 0.0;
d_Inv_WL_dX = 0.0;
Inv_WL = 0.0;
}
{
instanceStruct.d_instanceVar_NBODY_i_dX = (((modelStruct.d_modelPar_NBODY_dX+(Inv_L*modelStruct.d_modelPar_LNBODY_dX+d_Inv_L_dX*modelStruct.modelPar_LNBODY))+(Inv_NFIN*modelStruct.d_modelPar_NNBODY_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNBODY))+(Inv_LNFIN*modelStruct.d_modelPar_PNBODY_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNBODY));
instanceStruct.instanceVar_NBODY_i = (((modelStruct.modelPar_NBODY+(Inv_L*modelStruct.modelPar_LNBODY))+(Inv_NFIN*modelStruct.modelPar_NNBODY))+(Inv_LNFIN*modelStruct.modelPar_PNBODY));
}
if ((modelStruct.modelPar_NBODYN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_NBODYN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_NBODYN2)));
instanceStruct.d_instanceVar_NBODY_i_dX = (instanceStruct.instanceVar_NBODY_i*((modelStruct.modelPar_NBODYN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_NBODYN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_NBODYN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NBODYN2_dX)/modelStruct.modelPar_NBODYN2/modelStruct.modelPar_NBODYN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_NBODYN1_dX-modelStruct.modelPar_NBODYN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_NBODYN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_NBODY_i_dX*(1.0+((modelStruct.modelPar_NBODYN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_NBODYN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_NBODY_i = (instanceStruct.instanceVar_NBODY_i*(1.0+((modelStruct.modelPar_NBODYN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_NBODYN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
if ( modelStruct.modelPar_GEOMOD == (0))
{
if (((modelStruct.modelPar_TFIN_TOP==0.0)||(modelStruct.modelPar_TFIN_BASE==0.0)))
{
instanceStruct.d_instanceVar_Weff_UFCM_dX = 2.0*modelStruct.d_modelPar_HFIN_dX;
instanceStruct.instanceVar_Weff_UFCM = (2.0*modelStruct.modelPar_HFIN);
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
instanceStruct.d_instanceVar_Ach_dX = (modelStruct.modelPar_HFIN*instanceStruct.d_instancePar_TFIN_dX+modelStruct.d_modelPar_HFIN_dX*instanceStruct.instancePar_TFIN);
instanceStruct.instanceVar_Ach = (modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN);
}
else
{
{
double value_sqrt_0 = sqrt(((modelStruct.modelPar_HFIN*modelStruct.modelPar_HFIN)+(((modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE)*(modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE))/4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_Weff_UFCM_dX = 2.0*deriv_sqrt_0_d0*(((modelStruct.modelPar_HFIN*modelStruct.d_modelPar_HFIN_dX+modelStruct.d_modelPar_HFIN_dX*modelStruct.modelPar_HFIN)+(((modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE)*(modelStruct.d_modelPar_TFIN_TOP_dX-modelStruct.d_modelPar_TFIN_BASE_dX)+(modelStruct.d_modelPar_TFIN_TOP_dX-modelStruct.d_modelPar_TFIN_BASE_dX)*(modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE))/4.0)));
instanceStruct.instanceVar_Weff_UFCM = (2.0*value_sqrt_0);
}
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
instanceStruct.d_instanceVar_Ach_dX = ((modelStruct.modelPar_HFIN*(modelStruct.d_modelPar_TFIN_TOP_dX+modelStruct.d_modelPar_TFIN_BASE_dX)+modelStruct.d_modelPar_HFIN_dX*(modelStruct.modelPar_TFIN_TOP+modelStruct.modelPar_TFIN_BASE))/2.0);
instanceStruct.instanceVar_Ach = ((modelStruct.modelPar_HFIN*(modelStruct.modelPar_TFIN_TOP+modelStruct.modelPar_TFIN_BASE))/2.0);
}
}
else
if ( modelStruct.modelPar_GEOMOD == (1))
{
if (((modelStruct.modelPar_TFIN_TOP==0.0)||(modelStruct.modelPar_TFIN_BASE==0.0)))
{
instanceStruct.d_instanceVar_Weff_UFCM_dX = (2.0*modelStruct.d_modelPar_HFIN_dX+instanceStruct.d_instancePar_TFIN_dX);
instanceStruct.instanceVar_Weff_UFCM = ((2.0*modelStruct.modelPar_HFIN)+instanceStruct.instancePar_TFIN);
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
instanceStruct.d_instanceVar_Ach_dX = (modelStruct.modelPar_HFIN*instanceStruct.d_instancePar_TFIN_dX+modelStruct.d_modelPar_HFIN_dX*instanceStruct.instancePar_TFIN);
instanceStruct.instanceVar_Ach = (modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN);
}
else
{
{
double value_sqrt_0 = sqrt(((modelStruct.modelPar_HFIN*modelStruct.modelPar_HFIN)+(((modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE)*(modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE))/4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_Weff_UFCM_dX = (2.0*deriv_sqrt_0_d0*(((modelStruct.modelPar_HFIN*modelStruct.d_modelPar_HFIN_dX+modelStruct.d_modelPar_HFIN_dX*modelStruct.modelPar_HFIN)+(((modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE)*(modelStruct.d_modelPar_TFIN_TOP_dX-modelStruct.d_modelPar_TFIN_BASE_dX)+(modelStruct.d_modelPar_TFIN_TOP_dX-modelStruct.d_modelPar_TFIN_BASE_dX)*(modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE))/4.0)))+modelStruct.d_modelPar_TFIN_TOP_dX);
instanceStruct.instanceVar_Weff_UFCM = ((2.0*value_sqrt_0)+modelStruct.modelPar_TFIN_TOP);
}
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
instanceStruct.d_instanceVar_Ach_dX = ((modelStruct.modelPar_HFIN*(modelStruct.d_modelPar_TFIN_TOP_dX+modelStruct.d_modelPar_TFIN_BASE_dX)+modelStruct.d_modelPar_HFIN_dX*(modelStruct.modelPar_TFIN_TOP+modelStruct.modelPar_TFIN_BASE))/2.0);
instanceStruct.instanceVar_Ach = ((modelStruct.modelPar_HFIN*(modelStruct.modelPar_TFIN_TOP+modelStruct.modelPar_TFIN_BASE))/2.0);
}
}
else
if ( modelStruct.modelPar_GEOMOD == (2))
{
if (((modelStruct.modelPar_TFIN_TOP==0.0)||(modelStruct.modelPar_TFIN_BASE==0.0)))
{
instanceStruct.d_instanceVar_Weff_UFCM_dX = (2.0*modelStruct.d_modelPar_HFIN_dX+2.0*instanceStruct.d_instancePar_TFIN_dX);
instanceStruct.instanceVar_Weff_UFCM = ((2.0*modelStruct.modelPar_HFIN)+(2.0*instanceStruct.instancePar_TFIN));
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
instanceStruct.d_instanceVar_Ach_dX = (modelStruct.modelPar_HFIN*instanceStruct.d_instancePar_TFIN_dX+modelStruct.d_modelPar_HFIN_dX*instanceStruct.instancePar_TFIN);
instanceStruct.instanceVar_Ach = (modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN);
}
else
{
{
double value_sqrt_0 = sqrt(((modelStruct.modelPar_HFIN*modelStruct.modelPar_HFIN)+(((modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE)*(modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE))/4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_Weff_UFCM_dX = ((2.0*deriv_sqrt_0_d0*(((modelStruct.modelPar_HFIN*modelStruct.d_modelPar_HFIN_dX+modelStruct.d_modelPar_HFIN_dX*modelStruct.modelPar_HFIN)+(((modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE)*(modelStruct.d_modelPar_TFIN_TOP_dX-modelStruct.d_modelPar_TFIN_BASE_dX)+(modelStruct.d_modelPar_TFIN_TOP_dX-modelStruct.d_modelPar_TFIN_BASE_dX)*(modelStruct.modelPar_TFIN_TOP-modelStruct.modelPar_TFIN_BASE))/4.0)))+modelStruct.d_modelPar_TFIN_TOP_dX)+modelStruct.d_modelPar_TFIN_BASE_dX);
instanceStruct.instanceVar_Weff_UFCM = (((2.0*value_sqrt_0)+modelStruct.modelPar_TFIN_TOP)+modelStruct.modelPar_TFIN_BASE);
}
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
instanceStruct.d_instanceVar_Ach_dX = ((modelStruct.modelPar_HFIN*(modelStruct.d_modelPar_TFIN_TOP_dX+modelStruct.d_modelPar_TFIN_BASE_dX)+modelStruct.d_modelPar_HFIN_dX*(modelStruct.modelPar_TFIN_TOP+modelStruct.modelPar_TFIN_BASE))/2.0);
instanceStruct.instanceVar_Ach = ((modelStruct.modelPar_HFIN*(modelStruct.modelPar_TFIN_TOP+modelStruct.modelPar_TFIN_BASE))/2.0);
}
instanceStruct.d_instanceVar_WeffB_dX = modelStruct.d_modelPar_TFIN_BASE_dX;
instanceStruct.instanceVar_WeffB = modelStruct.modelPar_TFIN_BASE;
}
else
if ( modelStruct.modelPar_GEOMOD == (3))
{
instanceStruct.d_instanceVar_Weff_UFCM_dX = 3.14159265358979323846*instanceStruct.d_instancePar_D_dX;
instanceStruct.instanceVar_Weff_UFCM = (3.14159265358979323846*instanceStruct.instancePar_D);
{
double value_log_0 = log((1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D)));
double  deriv_log_0_d0 = (1.0/(1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D)));
instanceStruct.d_instanceVar_Cins_dX = (((((1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D))>1.0e-38)?value_log_0:(-87.498233534))*(2.0*3.14159265358979323846)*modelStruct.d_modelPar_EPSROX_dX*8.8542e-12-(((2.0*3.14159265358979323846)*modelStruct.modelPar_EPSROX)*8.8542e-12)*(((1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D))>1.0e-38)?deriv_log_0_d0*(((instanceStruct.instancePar_D*2.0*modelStruct.d_modelPar_EOT_dX-(2.0*modelStruct.modelPar_EOT)*instanceStruct.d_instancePar_D_dX)/instanceStruct.instancePar_D/instanceStruct.instancePar_D)):0.0))/(((1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D))>1.0e-38)?value_log_0:(-87.498233534))/(((1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D))>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_Cins = ((((2.0*3.14159265358979323846)*modelStruct.modelPar_EPSROX)*8.8542e-12)/(((1.0+((2.0*modelStruct.modelPar_EOT)/instanceStruct.instancePar_D))>1.0e-38)?value_log_0:(-87.498233534)));
}
instanceStruct.d_instanceVar_Ach_dX = (((3.14159265358979323846*instanceStruct.instancePar_D)*instanceStruct.d_instancePar_D_dX+3.14159265358979323846*instanceStruct.d_instancePar_D_dX*instanceStruct.instancePar_D)/4.0);
instanceStruct.instanceVar_Ach = (((3.14159265358979323846*instanceStruct.instancePar_D)*instanceStruct.instancePar_D)/4.0);
instanceStruct.d_instanceVar_WeffB_dX = instanceStruct.d_instancePar_D_dX;
instanceStruct.instanceVar_WeffB = instanceStruct.instancePar_D;
}
else
if ( modelStruct.modelPar_GEOMOD == (4))
{
instanceStruct.d_instanceVar_Weff_UFCM_dX = modelStruct.d_modelPar_W_UFCM_dX;
instanceStruct.instanceVar_Weff_UFCM = modelStruct.modelPar_W_UFCM;
instanceStruct.d_instanceVar_Cins_dX = modelStruct.d_modelPar_CINS_UFCM_dX;
instanceStruct.instanceVar_Cins = modelStruct.modelPar_CINS_UFCM;
instanceStruct.d_instanceVar_Ach_dX = modelStruct.d_modelPar_ACH_UFCM_dX;
instanceStruct.instanceVar_Ach = modelStruct.modelPar_ACH_UFCM;
}
else
if ( modelStruct.modelPar_GEOMOD == (5))
{
d_Weff1_dX = (2*(d_WGAAeff_dX+instanceStruct.d_instancePar_TGAA_dX)+instanceStruct.d_instancePar_DWS1_dX);
Weff1 = ((2*(WGAAeff+instanceStruct.instancePar_TGAA))+instanceStruct.instancePar_DWS1);
d_Ach1_dX = ((WGAAeff*instanceStruct.d_instancePar_TGAA_dX+d_WGAAeff_dX*instanceStruct.instancePar_TGAA)+instanceStruct.d_instancePar_DACH1_dX);
Ach1 = ((WGAAeff*instanceStruct.instancePar_TGAA)+instanceStruct.instancePar_DACH1);
instanceStruct.d_instanceVar_Weff_UFCM_dX = d_Weff1_dX;
instanceStruct.instanceVar_Weff_UFCM = Weff1;
instanceStruct.d_instanceVar_Ach_dX = d_Ach1_dX;
instanceStruct.instanceVar_Ach = Ach1;
if ((instanceStruct.instancePar_NGAA>1))
{
d_Weff2_dX = (2*(d_WGAAeff_dX+instanceStruct.d_instancePar_TGAA_dX)+instanceStruct.d_instancePar_DWS2_dX);
Weff2 = ((2*(WGAAeff+instanceStruct.instancePar_TGAA))+instanceStruct.instancePar_DWS2);
d_Ach2_dX = ((WGAAeff*instanceStruct.d_instancePar_TGAA_dX+d_WGAAeff_dX*instanceStruct.instancePar_TGAA)+instanceStruct.d_instancePar_DACH2_dX);
Ach2 = ((WGAAeff*instanceStruct.instancePar_TGAA)+instanceStruct.instancePar_DACH2);
instanceStruct.d_instanceVar_Weff_UFCM_dX = (d_Weff1_dX+d_Weff2_dX);
instanceStruct.instanceVar_Weff_UFCM = (Weff1+Weff2);
instanceStruct.d_instanceVar_Ach_dX = (d_Ach1_dX+d_Ach2_dX);
instanceStruct.instanceVar_Ach = (Ach1+Ach2);
}
if ((instanceStruct.instancePar_NGAA>2))
{
d_Weff3_dX = (2*(d_WGAAeff_dX+instanceStruct.d_instancePar_TGAA_dX)+instanceStruct.d_instancePar_DWS3_dX);
Weff3 = ((2*(WGAAeff+instanceStruct.instancePar_TGAA))+instanceStruct.instancePar_DWS3);
d_Ach3_dX = ((WGAAeff*instanceStruct.d_instancePar_TGAA_dX+d_WGAAeff_dX*instanceStruct.instancePar_TGAA)+instanceStruct.d_instancePar_DACH3_dX);
Ach3 = ((WGAAeff*instanceStruct.instancePar_TGAA)+instanceStruct.instancePar_DACH3);
instanceStruct.d_instanceVar_Weff_UFCM_dX = ((d_Weff1_dX+d_Weff2_dX)+d_Weff3_dX);
instanceStruct.instanceVar_Weff_UFCM = ((Weff1+Weff2)+Weff3);
instanceStruct.d_instanceVar_Ach_dX = ((d_Ach1_dX+d_Ach2_dX)+d_Ach3_dX);
instanceStruct.instanceVar_Ach = ((Ach1+Ach2)+Ach3);
}
if ((instanceStruct.instancePar_NGAA>3))
{
d_Weff4_dX = (2*(d_WGAAeff_dX+instanceStruct.d_instancePar_TGAA_dX)+instanceStruct.d_instancePar_DWS4_dX);
Weff4 = ((2*(WGAAeff+instanceStruct.instancePar_TGAA))+instanceStruct.instancePar_DWS4);
d_Ach4_dX = ((WGAAeff*instanceStruct.d_instancePar_TGAA_dX+d_WGAAeff_dX*instanceStruct.instancePar_TGAA)+instanceStruct.d_instancePar_DACH4_dX);
Ach4 = ((WGAAeff*instanceStruct.instancePar_TGAA)+instanceStruct.instancePar_DACH4);
instanceStruct.d_instanceVar_Weff_UFCM_dX = (((d_Weff1_dX+d_Weff2_dX)+d_Weff3_dX)+d_Weff4_dX);
instanceStruct.instanceVar_Weff_UFCM = (((Weff1+Weff2)+Weff3)+Weff4);
instanceStruct.d_instanceVar_Ach_dX = (((d_Ach1_dX+d_Ach2_dX)+d_Ach3_dX)+d_Ach4_dX);
instanceStruct.instanceVar_Ach = (((Ach1+Ach2)+Ach3)+Ach4);
}
if ((instanceStruct.instancePar_NGAA>4))
{
d_Weff5_dX = (2*(d_WGAAeff_dX+instanceStruct.d_instancePar_TGAA_dX)+instanceStruct.d_instancePar_DWS5_dX);
Weff5 = ((2*(WGAAeff+instanceStruct.instancePar_TGAA))+instanceStruct.instancePar_DWS5);
d_Ach5_dX = ((WGAAeff*instanceStruct.d_instancePar_TGAA_dX+d_WGAAeff_dX*instanceStruct.instancePar_TGAA)+instanceStruct.d_instancePar_DACH5_dX);
Ach5 = ((WGAAeff*instanceStruct.instancePar_TGAA)+instanceStruct.instancePar_DACH5);
instanceStruct.d_instanceVar_Weff_UFCM_dX = ((((d_Weff1_dX+d_Weff2_dX)+d_Weff3_dX)+d_Weff4_dX)+d_Weff5_dX);
instanceStruct.instanceVar_Weff_UFCM = ((((Weff1+Weff2)+Weff3)+Weff4)+Weff5);
instanceStruct.d_instanceVar_Ach_dX = ((((d_Ach1_dX+d_Ach2_dX)+d_Ach3_dX)+d_Ach4_dX)+d_Ach5_dX);
instanceStruct.instanceVar_Ach = ((((Ach1+Ach2)+Ach3)+Ach4)+Ach5);
}
if ((instanceStruct.instancePar_NGAA>5))
{
d_Weff6_dX = (2*(d_WGAAeff_dX+instanceStruct.d_instancePar_TGAA_dX)+instanceStruct.d_instancePar_DWS6_dX);
Weff6 = ((2*(WGAAeff+instanceStruct.instancePar_TGAA))+instanceStruct.instancePar_DWS6);
d_Ach6_dX = ((WGAAeff*instanceStruct.d_instancePar_TGAA_dX+d_WGAAeff_dX*instanceStruct.instancePar_TGAA)+instanceStruct.d_instancePar_DACH6_dX);
Ach6 = ((WGAAeff*instanceStruct.instancePar_TGAA)+instanceStruct.instancePar_DACH6);
instanceStruct.d_instanceVar_Weff_UFCM_dX = (((((d_Weff1_dX+d_Weff2_dX)+d_Weff3_dX)+d_Weff4_dX)+d_Weff5_dX)+d_Weff6_dX);
instanceStruct.instanceVar_Weff_UFCM = (((((Weff1+Weff2)+Weff3)+Weff4)+Weff5)+Weff6);
instanceStruct.d_instanceVar_Ach_dX = (((((d_Ach1_dX+d_Ach2_dX)+d_Ach3_dX)+d_Ach4_dX)+d_Ach5_dX)+d_Ach6_dX);
instanceStruct.instanceVar_Ach = (((((Ach1+Ach2)+Ach3)+Ach4)+Ach5)+Ach6);
}
instanceStruct.d_instanceVar_WeffB_dX = instanceStruct.d_instancePar_WGAA_dX;
instanceStruct.instanceVar_WeffB = instanceStruct.instancePar_WGAA;
instanceStruct.d_instanceVar_Cins_dX = ((modelStruct.modelPar_EOT*(instanceStruct.instanceVar_Weff_UFCM*modelStruct.d_modelPar_EPSROX_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*modelStruct.modelPar_EPSROX)*8.8542e-12-((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)*modelStruct.d_modelPar_EOT_dX)/modelStruct.modelPar_EOT/modelStruct.modelPar_EOT);
instanceStruct.instanceVar_Cins = (((instanceStruct.instanceVar_Weff_UFCM*modelStruct.modelPar_EPSROX)*8.8542e-12)/modelStruct.modelPar_EOT);
}
else
{
 // no default
}
instanceStruct.d_instanceVar_rc_dX = (((((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_epssub)/instanceStruct.instanceVar_Ach)*2.0*instanceStruct.d_instanceVar_Cins_dX-(2.0*instanceStruct.instanceVar_Cins)*((instanceStruct.instanceVar_Ach*((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.d_instanceVar_epssub_dX+(instanceStruct.instanceVar_Weff_UFCM*instanceStruct.d_instanceVar_Weff_UFCM_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_epssub)-((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_epssub)*instanceStruct.d_instanceVar_Ach_dX)/instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Ach))/(((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_epssub)/instanceStruct.instanceVar_Ach)/(((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_epssub)/instanceStruct.instanceVar_Ach));
instanceStruct.instanceVar_rc = ((2.0*instanceStruct.instanceVar_Cins)/(((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_epssub)/instanceStruct.instanceVar_Ach));
instanceStruct.d_instanceVar_Qdep_ov_Cins_dX = ((instanceStruct.instanceVar_Cins*(((-1.60219e-19)*instanceStruct.instanceVar_NBODY_i)*instanceStruct.d_instanceVar_Ach_dX+(-1.60219e-19)*instanceStruct.d_instanceVar_NBODY_i_dX*instanceStruct.instanceVar_Ach)-(((-1.60219e-19)*instanceStruct.instanceVar_NBODY_i)*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Cins_dX)/instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Cins);
instanceStruct.instanceVar_Qdep_ov_Cins = ((((-1.60219e-19)*instanceStruct.instanceVar_NBODY_i)*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Cins);
instanceStruct.d_instanceVar_cox_dX = ((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.d_instanceVar_Cins_dX-instanceStruct.instanceVar_Cins*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM);
instanceStruct.instanceVar_cox = (instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Weff_UFCM);
if ((modelStruct.modelPar_BULKMOD!=0))
{
instanceStruct.d_instanceVar_cox_acc_dX = ((modelStruct.modelPar_EOTACC*(instanceStruct.instanceVar_cox*modelStruct.d_modelPar_EOT_dX+instanceStruct.d_instanceVar_cox_dX*modelStruct.modelPar_EOT)-(instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)*modelStruct.d_modelPar_EOTACC_dX)/modelStruct.modelPar_EOTACC/modelStruct.modelPar_EOTACC);
instanceStruct.instanceVar_cox_acc = ((instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)/modelStruct.modelPar_EOTACC);
}
instanceStruct.d_instanceVar_Weff0_dX = (instanceStruct.d_instanceVar_Weff_UFCM_dX-modelStruct.d_modelPar_DELTAW_dX);
instanceStruct.instanceVar_Weff0 = (instanceStruct.instanceVar_Weff_UFCM-modelStruct.modelPar_DELTAW);
instanceStruct.d_instanceVar_WeffCV0_dX = (instanceStruct.d_instanceVar_Weff_UFCM_dX-modelStruct.d_modelPar_DELTAWCV_dX);
instanceStruct.instanceVar_WeffCV0 = (instanceStruct.instanceVar_Weff_UFCM-modelStruct.modelPar_DELTAWCV);
if ((modelStruct.modelPar_GEOMOD==5))
{
instanceStruct.d_instanceVar_WeffCV_acc_dX = (instanceStruct.d_instanceVar_Weff0_dX-(2*instanceStruct.instancePar_NGAA)*modelStruct.d_modelPar_DWCACC_dX);
instanceStruct.instanceVar_WeffCV_acc = (instanceStruct.instanceVar_Weff0-((2*instanceStruct.instancePar_NGAA)*modelStruct.modelPar_DWCACC));
}
else
{
instanceStruct.d_instanceVar_WeffCV_acc_dX = instanceStruct.d_instanceVar_Weff0_dX;
instanceStruct.instanceVar_WeffCV_acc = instanceStruct.instanceVar_Weff0;
}
{
instanceStruct.d_instanceVar_PHIG_i_dX = (((((modelStruct.d_modelPar_PHIG_dX+(Inv_L*modelStruct.d_modelPar_LPHIG_dX+d_Inv_L_dX*modelStruct.modelPar_LPHIG))+(Inv_NFIN*modelStruct.d_modelPar_NPHIG_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPHIG))+(Inv_LNFIN*modelStruct.d_modelPar_PPHIG_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPHIG))+(Inv_W*modelStruct.d_modelPar_WPHIG_dX+d_Inv_W_dX*modelStruct.modelPar_WPHIG))+(Inv_WL*modelStruct.d_modelPar_P2PHIG_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PHIG));
instanceStruct.instanceVar_PHIG_i = (((((modelStruct.modelPar_PHIG+(Inv_L*modelStruct.modelPar_LPHIG))+(Inv_NFIN*modelStruct.modelPar_NPHIG))+(Inv_LNFIN*modelStruct.modelPar_PPHIG))+(Inv_W*modelStruct.modelPar_WPHIG))+(Inv_WL*modelStruct.modelPar_P2PHIG));
}
{
instanceStruct.d_instanceVar_NGATE_i_dX = (((((modelStruct.d_modelPar_NGATE_dX+(Inv_L*modelStruct.d_modelPar_LNGATE_dX+d_Inv_L_dX*modelStruct.modelPar_LNGATE))+(Inv_NFIN*modelStruct.d_modelPar_NNGATE_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNGATE))+(Inv_LNFIN*modelStruct.d_modelPar_PNGATE_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNGATE))+(Inv_W*modelStruct.d_modelPar_WNGATE_dX+d_Inv_W_dX*modelStruct.modelPar_WNGATE))+(Inv_WL*modelStruct.d_modelPar_P2NGATE_dX+d_Inv_WL_dX*modelStruct.modelPar_P2NGATE));
instanceStruct.instanceVar_NGATE_i = (((((modelStruct.modelPar_NGATE+(Inv_L*modelStruct.modelPar_LNGATE))+(Inv_NFIN*modelStruct.modelPar_NNGATE))+(Inv_LNFIN*modelStruct.modelPar_PNGATE))+(Inv_W*modelStruct.modelPar_WNGATE))+(Inv_WL*modelStruct.modelPar_P2NGATE));
}
{
instanceStruct.d_instanceVar_CIT_i_dX = (((((modelStruct.d_modelPar_CIT_dX+(Inv_L*modelStruct.d_modelPar_LCIT_dX+d_Inv_L_dX*modelStruct.modelPar_LCIT))+(Inv_NFIN*modelStruct.d_modelPar_NCIT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCIT))+(Inv_LNFIN*modelStruct.d_modelPar_PCIT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCIT))+(Inv_W*modelStruct.d_modelPar_WCIT_dX+d_Inv_W_dX*modelStruct.modelPar_WCIT))+(Inv_WL*modelStruct.d_modelPar_P2CIT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CIT));
instanceStruct.instanceVar_CIT_i = (((((modelStruct.modelPar_CIT+(Inv_L*modelStruct.modelPar_LCIT))+(Inv_NFIN*modelStruct.modelPar_NCIT))+(Inv_LNFIN*modelStruct.modelPar_PCIT))+(Inv_W*modelStruct.modelPar_WCIT))+(Inv_WL*modelStruct.modelPar_P2CIT));
}
{
instanceStruct.d_instanceVar_CDSC_i_dX = (((((modelStruct.d_modelPar_CDSC_dX+(Inv_L*modelStruct.d_modelPar_LCDSC_dX+d_Inv_L_dX*modelStruct.modelPar_LCDSC))+(Inv_NFIN*modelStruct.d_modelPar_NCDSC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCDSC))+(Inv_LNFIN*modelStruct.d_modelPar_PCDSC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCDSC))+(Inv_W*modelStruct.d_modelPar_WCDSC_dX+d_Inv_W_dX*modelStruct.modelPar_WCDSC))+(Inv_WL*modelStruct.d_modelPar_P2CDSC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CDSC));
instanceStruct.instanceVar_CDSC_i = (((((modelStruct.modelPar_CDSC+(Inv_L*modelStruct.modelPar_LCDSC))+(Inv_NFIN*modelStruct.modelPar_NCDSC))+(Inv_LNFIN*modelStruct.modelPar_PCDSC))+(Inv_W*modelStruct.modelPar_WCDSC))+(Inv_WL*modelStruct.modelPar_P2CDSC));
}
{
instanceStruct.d_instanceVar_CDSCD_i_dX = (((((modelStruct.d_modelPar_CDSCD_dX+(Inv_L*modelStruct.d_modelPar_LCDSCD_dX+d_Inv_L_dX*modelStruct.modelPar_LCDSCD))+(Inv_NFIN*modelStruct.d_modelPar_NCDSCD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCDSCD))+(Inv_LNFIN*modelStruct.d_modelPar_PCDSCD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCDSCD))+(Inv_W*modelStruct.d_modelPar_WCDSCD_dX+d_Inv_W_dX*modelStruct.modelPar_WCDSCD))+(Inv_WL*modelStruct.d_modelPar_P2CDSCD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CDSCD));
instanceStruct.instanceVar_CDSCD_i = (((((modelStruct.modelPar_CDSCD+(Inv_L*modelStruct.modelPar_LCDSCD))+(Inv_NFIN*modelStruct.modelPar_NCDSCD))+(Inv_LNFIN*modelStruct.modelPar_PCDSCD))+(Inv_W*modelStruct.modelPar_WCDSCD))+(Inv_WL*modelStruct.modelPar_P2CDSCD));
}
{
instanceStruct.d_instanceVar_DVT0_i_dX = (((((modelStruct.d_modelPar_DVT0_dX+(Inv_L*modelStruct.d_modelPar_LDVT0_dX+d_Inv_L_dX*modelStruct.modelPar_LDVT0))+(Inv_NFIN*modelStruct.d_modelPar_NDVT0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVT0))+(Inv_LNFIN*modelStruct.d_modelPar_PDVT0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVT0))+(Inv_W*modelStruct.d_modelPar_WDVT0_dX+d_Inv_W_dX*modelStruct.modelPar_WDVT0))+(Inv_WL*modelStruct.d_modelPar_P2DVT0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVT0));
instanceStruct.instanceVar_DVT0_i = (((((modelStruct.modelPar_DVT0+(Inv_L*modelStruct.modelPar_LDVT0))+(Inv_NFIN*modelStruct.modelPar_NDVT0))+(Inv_LNFIN*modelStruct.modelPar_PDVT0))+(Inv_W*modelStruct.modelPar_WDVT0))+(Inv_WL*modelStruct.modelPar_P2DVT0));
}
{
d_DVT1_i_dX = (((((modelStruct.d_modelPar_DVT1_dX+(Inv_L*modelStruct.d_modelPar_LDVT1_dX+d_Inv_L_dX*modelStruct.modelPar_LDVT1))+(Inv_NFIN*modelStruct.d_modelPar_NDVT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVT1))+(Inv_LNFIN*modelStruct.d_modelPar_PDVT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVT1))+(Inv_W*modelStruct.d_modelPar_WDVT1_dX+d_Inv_W_dX*modelStruct.modelPar_WDVT1))+(Inv_WL*modelStruct.d_modelPar_P2DVT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVT1));
DVT1_i = (((((modelStruct.modelPar_DVT1+(Inv_L*modelStruct.modelPar_LDVT1))+(Inv_NFIN*modelStruct.modelPar_NDVT1))+(Inv_LNFIN*modelStruct.modelPar_PDVT1))+(Inv_W*modelStruct.modelPar_WDVT1))+(Inv_WL*modelStruct.modelPar_P2DVT1));
}
{
d_DVT1SS_i_dX = (((((modelStruct.d_modelPar_DVT1SS_dX+(Inv_L*modelStruct.d_modelPar_LDVT1SS_dX+d_Inv_L_dX*modelStruct.modelPar_LDVT1SS))+(Inv_NFIN*modelStruct.d_modelPar_NDVT1SS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVT1SS))+(Inv_LNFIN*modelStruct.d_modelPar_PDVT1SS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVT1SS))+(Inv_W*modelStruct.d_modelPar_WDVT1SS_dX+d_Inv_W_dX*modelStruct.modelPar_WDVT1SS))+(Inv_WL*modelStruct.d_modelPar_P2DVT1SS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVT1SS));
DVT1SS_i = (((((modelStruct.modelPar_DVT1SS+(Inv_L*modelStruct.modelPar_LDVT1SS))+(Inv_NFIN*modelStruct.modelPar_NDVT1SS))+(Inv_LNFIN*modelStruct.modelPar_PDVT1SS))+(Inv_W*modelStruct.modelPar_WDVT1SS))+(Inv_WL*modelStruct.modelPar_P2DVT1SS));
}
{
instanceStruct.d_instanceVar_PHIN_i_dX = (((((modelStruct.d_modelPar_PHIN_dX+(Inv_L*modelStruct.d_modelPar_LPHIN_dX+d_Inv_L_dX*modelStruct.modelPar_LPHIN))+(Inv_NFIN*modelStruct.d_modelPar_NPHIN_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPHIN))+(Inv_LNFIN*modelStruct.d_modelPar_PPHIN_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPHIN))+(Inv_W*modelStruct.d_modelPar_WPHIN_dX+d_Inv_W_dX*modelStruct.modelPar_WPHIN))+(Inv_WL*modelStruct.d_modelPar_P2PHIN_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PHIN));
instanceStruct.instanceVar_PHIN_i = (((((modelStruct.modelPar_PHIN+(Inv_L*modelStruct.modelPar_LPHIN))+(Inv_NFIN*modelStruct.modelPar_NPHIN))+(Inv_LNFIN*modelStruct.modelPar_PPHIN))+(Inv_W*modelStruct.modelPar_WPHIN))+(Inv_WL*modelStruct.modelPar_P2PHIN));
}
{
instanceStruct.d_instanceVar_ETA0_i_dX = (((((modelStruct.d_modelPar_ETA0_dX+(Inv_L*modelStruct.d_modelPar_LETA0_dX+d_Inv_L_dX*modelStruct.modelPar_LETA0))+(Inv_NFIN*modelStruct.d_modelPar_NETA0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NETA0))+(Inv_LNFIN*modelStruct.d_modelPar_PETA0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PETA0))+(Inv_W*modelStruct.d_modelPar_WETA0_dX+d_Inv_W_dX*modelStruct.modelPar_WETA0))+(Inv_WL*modelStruct.d_modelPar_P2ETA0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ETA0));
instanceStruct.instanceVar_ETA0_i = (((((modelStruct.modelPar_ETA0+(Inv_L*modelStruct.modelPar_LETA0))+(Inv_NFIN*modelStruct.modelPar_NETA0))+(Inv_LNFIN*modelStruct.modelPar_PETA0))+(Inv_W*modelStruct.modelPar_WETA0))+(Inv_WL*modelStruct.modelPar_P2ETA0));
}
{
d_DSUB_i_dX = (((((modelStruct.d_modelPar_DSUB_dX+(Inv_L*modelStruct.d_modelPar_LDSUB_dX+d_Inv_L_dX*modelStruct.modelPar_LDSUB))+(Inv_NFIN*modelStruct.d_modelPar_NDSUB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDSUB))+(Inv_LNFIN*modelStruct.d_modelPar_PDSUB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDSUB))+(Inv_W*modelStruct.d_modelPar_WDSUB_dX+d_Inv_W_dX*modelStruct.modelPar_WDSUB))+(Inv_WL*modelStruct.d_modelPar_P2DSUB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DSUB));
DSUB_i = (((((modelStruct.modelPar_DSUB+(Inv_L*modelStruct.modelPar_LDSUB))+(Inv_NFIN*modelStruct.modelPar_NDSUB))+(Inv_LNFIN*modelStruct.modelPar_PDSUB))+(Inv_W*modelStruct.modelPar_WDSUB))+(Inv_WL*modelStruct.modelPar_P2DSUB));
}
{
instanceStruct.d_instanceVar_K1RSCE_i_dX = (((((modelStruct.d_modelPar_K1RSCE_dX+(Inv_L*modelStruct.d_modelPar_LK1RSCE_dX+d_Inv_L_dX*modelStruct.modelPar_LK1RSCE))+(Inv_NFIN*modelStruct.d_modelPar_NK1RSCE_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK1RSCE))+(Inv_LNFIN*modelStruct.d_modelPar_PK1RSCE_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK1RSCE))+(Inv_W*modelStruct.d_modelPar_WK1RSCE_dX+d_Inv_W_dX*modelStruct.modelPar_WK1RSCE))+(Inv_WL*modelStruct.d_modelPar_P2K1RSCE_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K1RSCE));
instanceStruct.instanceVar_K1RSCE_i = (((((modelStruct.modelPar_K1RSCE+(Inv_L*modelStruct.modelPar_LK1RSCE))+(Inv_NFIN*modelStruct.modelPar_NK1RSCE))+(Inv_LNFIN*modelStruct.modelPar_PK1RSCE))+(Inv_W*modelStruct.modelPar_WK1RSCE))+(Inv_WL*modelStruct.modelPar_P2K1RSCE));
}
{
d_LPE0_i_dX = (((((modelStruct.d_modelPar_LPE0_dX+(Inv_L*modelStruct.d_modelPar_LLPE0_dX+d_Inv_L_dX*modelStruct.modelPar_LLPE0))+(Inv_NFIN*modelStruct.d_modelPar_NLPE0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NLPE0))+(Inv_LNFIN*modelStruct.d_modelPar_PLPE0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PLPE0))+(Inv_W*modelStruct.d_modelPar_WLPE0_dX+d_Inv_W_dX*modelStruct.modelPar_WLPE0))+(Inv_WL*modelStruct.d_modelPar_P2LPE0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2LPE0));
LPE0_i = (((((modelStruct.modelPar_LPE0+(Inv_L*modelStruct.modelPar_LLPE0))+(Inv_NFIN*modelStruct.modelPar_NLPE0))+(Inv_LNFIN*modelStruct.modelPar_PLPE0))+(Inv_W*modelStruct.modelPar_WLPE0))+(Inv_WL*modelStruct.modelPar_P2LPE0));
}
{
instanceStruct.d_instanceVar_DVTSHIFT_i_dX = (((((modelStruct.d_modelPar_DVTSHIFT_dX+(Inv_L*modelStruct.d_modelPar_LDVTSHIFT_dX+d_Inv_L_dX*modelStruct.modelPar_LDVTSHIFT))+(Inv_NFIN*modelStruct.d_modelPar_NDVTSHIFT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVTSHIFT))+(Inv_LNFIN*modelStruct.d_modelPar_PDVTSHIFT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVTSHIFT))+(Inv_W*modelStruct.d_modelPar_WDVTSHIFT_dX+d_Inv_W_dX*modelStruct.modelPar_WDVTSHIFT))+(Inv_WL*modelStruct.d_modelPar_P2DVTSHIFT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVTSHIFT));
instanceStruct.instanceVar_DVTSHIFT_i = (((((modelStruct.modelPar_DVTSHIFT+(Inv_L*modelStruct.modelPar_LDVTSHIFT))+(Inv_NFIN*modelStruct.modelPar_NDVTSHIFT))+(Inv_LNFIN*modelStruct.modelPar_PDVTSHIFT))+(Inv_W*modelStruct.modelPar_WDVTSHIFT))+(Inv_WL*modelStruct.modelPar_P2DVTSHIFT));
}
{
instanceStruct.d_instanceVar_K0_i_dX = (((((modelStruct.d_modelPar_K0_dX+(Inv_L*modelStruct.d_modelPar_LK0_dX+d_Inv_L_dX*modelStruct.modelPar_LK0))+(Inv_NFIN*modelStruct.d_modelPar_NK0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK0))+(Inv_LNFIN*modelStruct.d_modelPar_PK0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK0))+(Inv_W*modelStruct.d_modelPar_WK0_dX+d_Inv_W_dX*modelStruct.modelPar_WK0))+(Inv_WL*modelStruct.d_modelPar_P2K0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K0));
instanceStruct.instanceVar_K0_i = (((((modelStruct.modelPar_K0+(Inv_L*modelStruct.modelPar_LK0))+(Inv_NFIN*modelStruct.modelPar_NK0))+(Inv_LNFIN*modelStruct.modelPar_PK0))+(Inv_W*modelStruct.modelPar_WK0))+(Inv_WL*modelStruct.modelPar_P2K0));
}
{
instanceStruct.d_instanceVar_K01_i_dX = (((((modelStruct.d_modelPar_K01_dX+(Inv_L*modelStruct.d_modelPar_LK01_dX+d_Inv_L_dX*modelStruct.modelPar_LK01))+(Inv_NFIN*modelStruct.d_modelPar_NK01_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK01))+(Inv_LNFIN*modelStruct.d_modelPar_PK01_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK01))+(Inv_W*modelStruct.d_modelPar_WK01_dX+d_Inv_W_dX*modelStruct.modelPar_WK01))+(Inv_WL*modelStruct.d_modelPar_P2K01_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K01));
instanceStruct.instanceVar_K01_i = (((((modelStruct.modelPar_K01+(Inv_L*modelStruct.modelPar_LK01))+(Inv_NFIN*modelStruct.modelPar_NK01))+(Inv_LNFIN*modelStruct.modelPar_PK01))+(Inv_W*modelStruct.modelPar_WK01))+(Inv_WL*modelStruct.modelPar_P2K01));
}
{
instanceStruct.d_instanceVar_K0SI_i_dX = (((((modelStruct.d_modelPar_K0SI_dX+(Inv_L*modelStruct.d_modelPar_LK0SI_dX+d_Inv_L_dX*modelStruct.modelPar_LK0SI))+(Inv_NFIN*modelStruct.d_modelPar_NK0SI_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK0SI))+(Inv_LNFIN*modelStruct.d_modelPar_PK0SI_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK0SI))+(Inv_W*modelStruct.d_modelPar_WK0SI_dX+d_Inv_W_dX*modelStruct.modelPar_WK0SI))+(Inv_WL*modelStruct.d_modelPar_P2K0SI_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K0SI));
instanceStruct.instanceVar_K0SI_i = (((((modelStruct.modelPar_K0SI+(Inv_L*modelStruct.modelPar_LK0SI))+(Inv_NFIN*modelStruct.modelPar_NK0SI))+(Inv_LNFIN*modelStruct.modelPar_PK0SI))+(Inv_W*modelStruct.modelPar_WK0SI))+(Inv_WL*modelStruct.modelPar_P2K0SI));
}
{
instanceStruct.d_instanceVar_K0SI1_i_dX = (((((modelStruct.d_modelPar_K0SI1_dX+(Inv_L*modelStruct.d_modelPar_LK0SI1_dX+d_Inv_L_dX*modelStruct.modelPar_LK0SI1))+(Inv_NFIN*modelStruct.d_modelPar_NK0SI1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK0SI1))+(Inv_LNFIN*modelStruct.d_modelPar_PK0SI1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK0SI1))+(Inv_W*modelStruct.d_modelPar_WK0SI1_dX+d_Inv_W_dX*modelStruct.modelPar_WK0SI1))+(Inv_WL*modelStruct.d_modelPar_P2K0SI1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K0SI1));
instanceStruct.instanceVar_K0SI1_i = (((((modelStruct.modelPar_K0SI1+(Inv_L*modelStruct.modelPar_LK0SI1))+(Inv_NFIN*modelStruct.modelPar_NK0SI1))+(Inv_LNFIN*modelStruct.modelPar_PK0SI1))+(Inv_W*modelStruct.modelPar_WK0SI1))+(Inv_WL*modelStruct.modelPar_P2K0SI1));
}
{
instanceStruct.d_instanceVar_K2SI_i_dX = (((((modelStruct.d_modelPar_K2SI_dX+(Inv_L*modelStruct.d_modelPar_LK2SI_dX+d_Inv_L_dX*modelStruct.modelPar_LK2SI))+(Inv_NFIN*modelStruct.d_modelPar_NK2SI_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2SI))+(Inv_LNFIN*modelStruct.d_modelPar_PK2SI_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2SI))+(Inv_W*modelStruct.d_modelPar_WK2SI_dX+d_Inv_W_dX*modelStruct.modelPar_WK2SI))+(Inv_WL*modelStruct.d_modelPar_P2K2SI_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2SI));
instanceStruct.instanceVar_K2SI_i = (((((modelStruct.modelPar_K2SI+(Inv_L*modelStruct.modelPar_LK2SI))+(Inv_NFIN*modelStruct.modelPar_NK2SI))+(Inv_LNFIN*modelStruct.modelPar_PK2SI))+(Inv_W*modelStruct.modelPar_WK2SI))+(Inv_WL*modelStruct.modelPar_P2K2SI));
}
{
instanceStruct.d_instanceVar_K2SI1_i_dX = (((((modelStruct.d_modelPar_K2SI1_dX+(Inv_L*modelStruct.d_modelPar_LK2SI1_dX+d_Inv_L_dX*modelStruct.modelPar_LK2SI1))+(Inv_NFIN*modelStruct.d_modelPar_NK2SI1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2SI1))+(Inv_LNFIN*modelStruct.d_modelPar_PK2SI1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2SI1))+(Inv_W*modelStruct.d_modelPar_WK2SI1_dX+d_Inv_W_dX*modelStruct.modelPar_WK2SI1))+(Inv_WL*modelStruct.d_modelPar_P2K2SI1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2SI1));
instanceStruct.instanceVar_K2SI1_i = (((((modelStruct.modelPar_K2SI1+(Inv_L*modelStruct.modelPar_LK2SI1))+(Inv_NFIN*modelStruct.modelPar_NK2SI1))+(Inv_LNFIN*modelStruct.modelPar_PK2SI1))+(Inv_W*modelStruct.modelPar_WK2SI1))+(Inv_WL*modelStruct.modelPar_P2K2SI1));
}
{
instanceStruct.d_instanceVar_K0SISAT_i_dX = (((((modelStruct.d_modelPar_K0SISAT_dX+(Inv_L*modelStruct.d_modelPar_LK0SISAT_dX+d_Inv_L_dX*modelStruct.modelPar_LK0SISAT))+(Inv_NFIN*modelStruct.d_modelPar_NK0SISAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK0SISAT))+(Inv_LNFIN*modelStruct.d_modelPar_PK0SISAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK0SISAT))+(Inv_W*modelStruct.d_modelPar_WK0SISAT_dX+d_Inv_W_dX*modelStruct.modelPar_WK0SISAT))+(Inv_WL*modelStruct.d_modelPar_P2K0SISAT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K0SISAT));
instanceStruct.instanceVar_K0SISAT_i = (((((modelStruct.modelPar_K0SISAT+(Inv_L*modelStruct.modelPar_LK0SISAT))+(Inv_NFIN*modelStruct.modelPar_NK0SISAT))+(Inv_LNFIN*modelStruct.modelPar_PK0SISAT))+(Inv_W*modelStruct.modelPar_WK0SISAT))+(Inv_WL*modelStruct.modelPar_P2K0SISAT));
}
{
instanceStruct.d_instanceVar_K0SISAT1_i_dX = (((((modelStruct.d_modelPar_K0SISAT1_dX+(Inv_L*modelStruct.d_modelPar_LK0SISAT1_dX+d_Inv_L_dX*modelStruct.modelPar_LK0SISAT1))+(Inv_NFIN*modelStruct.d_modelPar_NK0SISAT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK0SISAT1))+(Inv_LNFIN*modelStruct.d_modelPar_PK0SISAT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK0SISAT1))+(Inv_W*modelStruct.d_modelPar_WK0SISAT1_dX+d_Inv_W_dX*modelStruct.modelPar_WK0SISAT1))+(Inv_WL*modelStruct.d_modelPar_P2K0SISAT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K0SISAT1));
instanceStruct.instanceVar_K0SISAT1_i = (((((modelStruct.modelPar_K0SISAT1+(Inv_L*modelStruct.modelPar_LK0SISAT1))+(Inv_NFIN*modelStruct.modelPar_NK0SISAT1))+(Inv_LNFIN*modelStruct.modelPar_PK0SISAT1))+(Inv_W*modelStruct.modelPar_WK0SISAT1))+(Inv_WL*modelStruct.modelPar_P2K0SISAT1));
}
{
instanceStruct.d_instanceVar_K2SISAT_i_dX = (((((modelStruct.d_modelPar_K2SISAT_dX+(Inv_L*modelStruct.d_modelPar_LK2SISAT_dX+d_Inv_L_dX*modelStruct.modelPar_LK2SISAT))+(Inv_NFIN*modelStruct.d_modelPar_NK2SISAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2SISAT))+(Inv_LNFIN*modelStruct.d_modelPar_PK2SISAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2SISAT))+(Inv_W*modelStruct.d_modelPar_WK2SISAT_dX+d_Inv_W_dX*modelStruct.modelPar_WK2SISAT))+(Inv_WL*modelStruct.d_modelPar_P2K2SISAT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2SISAT));
instanceStruct.instanceVar_K2SISAT_i = (((((modelStruct.modelPar_K2SISAT+(Inv_L*modelStruct.modelPar_LK2SISAT))+(Inv_NFIN*modelStruct.modelPar_NK2SISAT))+(Inv_LNFIN*modelStruct.modelPar_PK2SISAT))+(Inv_W*modelStruct.modelPar_WK2SISAT))+(Inv_WL*modelStruct.modelPar_P2K2SISAT));
}
{
instanceStruct.d_instanceVar_K2SISAT1_i_dX = (((((modelStruct.d_modelPar_K2SISAT1_dX+(Inv_L*modelStruct.d_modelPar_LK2SISAT1_dX+d_Inv_L_dX*modelStruct.modelPar_LK2SISAT1))+(Inv_NFIN*modelStruct.d_modelPar_NK2SISAT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2SISAT1))+(Inv_LNFIN*modelStruct.d_modelPar_PK2SISAT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2SISAT1))+(Inv_W*modelStruct.d_modelPar_WK2SISAT1_dX+d_Inv_W_dX*modelStruct.modelPar_WK2SISAT1))+(Inv_WL*modelStruct.d_modelPar_P2K2SISAT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2SISAT1));
instanceStruct.instanceVar_K2SISAT1_i = (((((modelStruct.modelPar_K2SISAT1+(Inv_L*modelStruct.modelPar_LK2SISAT1))+(Inv_NFIN*modelStruct.modelPar_NK2SISAT1))+(Inv_LNFIN*modelStruct.modelPar_PK2SISAT1))+(Inv_W*modelStruct.modelPar_WK2SISAT1))+(Inv_WL*modelStruct.modelPar_P2K2SISAT1));
}
{
instanceStruct.d_instanceVar_QMFACTOR_i_dX = (((((modelStruct.d_modelPar_QMFACTOR_dX+(Inv_L*modelStruct.d_modelPar_LQMFACTOR_dX+d_Inv_L_dX*modelStruct.modelPar_LQMFACTOR))+(Inv_NFIN*modelStruct.d_modelPar_NQMFACTOR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NQMFACTOR))+(Inv_LNFIN*modelStruct.d_modelPar_PQMFACTOR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PQMFACTOR))+(Inv_W*modelStruct.d_modelPar_WQMFACTOR_dX+d_Inv_W_dX*modelStruct.modelPar_WQMFACTOR))+(Inv_WL*modelStruct.d_modelPar_P2QMFACTOR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2QMFACTOR));
instanceStruct.instanceVar_QMFACTOR_i = (((((modelStruct.modelPar_QMFACTOR+(Inv_L*modelStruct.modelPar_LQMFACTOR))+(Inv_NFIN*modelStruct.modelPar_NQMFACTOR))+(Inv_LNFIN*modelStruct.modelPar_PQMFACTOR))+(Inv_W*modelStruct.modelPar_WQMFACTOR))+(Inv_WL*modelStruct.modelPar_P2QMFACTOR));
}
{
instanceStruct.d_instanceVar_QMTCENCV_i_dX = (((((modelStruct.d_modelPar_QMTCENCV_dX+(Inv_L*modelStruct.d_modelPar_LQMTCENCV_dX+d_Inv_L_dX*modelStruct.modelPar_LQMTCENCV))+(Inv_NFIN*modelStruct.d_modelPar_NQMTCENCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NQMTCENCV))+(Inv_LNFIN*modelStruct.d_modelPar_PQMTCENCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PQMTCENCV))+(Inv_W*modelStruct.d_modelPar_WQMTCENCV_dX+d_Inv_W_dX*modelStruct.modelPar_WQMTCENCV))+(Inv_WL*modelStruct.d_modelPar_P2QMTCENCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2QMTCENCV));
instanceStruct.instanceVar_QMTCENCV_i = (((((modelStruct.modelPar_QMTCENCV+(Inv_L*modelStruct.modelPar_LQMTCENCV))+(Inv_NFIN*modelStruct.modelPar_NQMTCENCV))+(Inv_LNFIN*modelStruct.modelPar_PQMTCENCV))+(Inv_W*modelStruct.modelPar_WQMTCENCV))+(Inv_WL*modelStruct.modelPar_P2QMTCENCV));
}
{
instanceStruct.d_instanceVar_QMTCENCVA_i_dX = (((((modelStruct.d_modelPar_QMTCENCVA_dX+(Inv_L*modelStruct.d_modelPar_LQMTCENCVA_dX+d_Inv_L_dX*modelStruct.modelPar_LQMTCENCVA))+(Inv_NFIN*modelStruct.d_modelPar_NQMTCENCVA_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NQMTCENCVA))+(Inv_LNFIN*modelStruct.d_modelPar_PQMTCENCVA_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PQMTCENCVA))+(Inv_W*modelStruct.d_modelPar_WQMTCENCVA_dX+d_Inv_W_dX*modelStruct.modelPar_WQMTCENCVA))+(Inv_WL*modelStruct.d_modelPar_P2QMTCENCVA_dX+d_Inv_WL_dX*modelStruct.modelPar_P2QMTCENCVA));
instanceStruct.instanceVar_QMTCENCVA_i = (((((modelStruct.modelPar_QMTCENCVA+(Inv_L*modelStruct.modelPar_LQMTCENCVA))+(Inv_NFIN*modelStruct.modelPar_NQMTCENCVA))+(Inv_LNFIN*modelStruct.modelPar_PQMTCENCVA))+(Inv_W*modelStruct.modelPar_WQMTCENCVA))+(Inv_WL*modelStruct.modelPar_P2QMTCENCVA));
}
{
instanceStruct.d_instanceVar_VSAT_i_dX = (((((modelStruct.d_modelPar_VSAT_dX+(Inv_L*modelStruct.d_modelPar_LVSAT_dX+d_Inv_L_dX*modelStruct.modelPar_LVSAT))+(Inv_NFIN*modelStruct.d_modelPar_NVSAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NVSAT))+(Inv_LNFIN*modelStruct.d_modelPar_PVSAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PVSAT))+(Inv_W*modelStruct.d_modelPar_WVSAT_dX+d_Inv_W_dX*modelStruct.modelPar_WVSAT))+(Inv_WL*modelStruct.d_modelPar_P2VSAT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2VSAT));
instanceStruct.instanceVar_VSAT_i = (((((modelStruct.modelPar_VSAT+(Inv_L*modelStruct.modelPar_LVSAT))+(Inv_NFIN*modelStruct.modelPar_NVSAT))+(Inv_LNFIN*modelStruct.modelPar_PVSAT))+(Inv_W*modelStruct.modelPar_WVSAT))+(Inv_WL*modelStruct.modelPar_P2VSAT));
}
{
instanceStruct.d_instanceVar_VSAT1_i_dX = (((((modelStruct.d_modelPar_VSAT1_dX+(Inv_L*modelStruct.d_modelPar_LVSAT1_dX+d_Inv_L_dX*modelStruct.modelPar_LVSAT1))+(Inv_NFIN*modelStruct.d_modelPar_NVSAT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NVSAT1))+(Inv_LNFIN*modelStruct.d_modelPar_PVSAT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PVSAT1))+(Inv_W*modelStruct.d_modelPar_WVSAT1_dX+d_Inv_W_dX*modelStruct.modelPar_WVSAT1))+(Inv_WL*modelStruct.d_modelPar_P2VSAT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2VSAT1));
instanceStruct.instanceVar_VSAT1_i = (((((modelStruct.modelPar_VSAT1+(Inv_L*modelStruct.modelPar_LVSAT1))+(Inv_NFIN*modelStruct.modelPar_NVSAT1))+(Inv_LNFIN*modelStruct.modelPar_PVSAT1))+(Inv_W*modelStruct.modelPar_WVSAT1))+(Inv_WL*modelStruct.modelPar_P2VSAT1));
}
{
instanceStruct.d_instanceVar_VSATCV_i_dX = (((((modelStruct.d_modelPar_VSATCV_dX+(Inv_L*modelStruct.d_modelPar_LVSATCV_dX+d_Inv_L_dX*modelStruct.modelPar_LVSATCV))+(Inv_NFIN*modelStruct.d_modelPar_NVSATCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NVSATCV))+(Inv_LNFIN*modelStruct.d_modelPar_PVSATCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PVSATCV))+(Inv_W*modelStruct.d_modelPar_WVSATCV_dX+d_Inv_W_dX*modelStruct.modelPar_WVSATCV))+(Inv_WL*modelStruct.d_modelPar_P2VSATCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2VSATCV));
instanceStruct.instanceVar_VSATCV_i = (((((modelStruct.modelPar_VSATCV+(Inv_L*modelStruct.modelPar_LVSATCV))+(Inv_NFIN*modelStruct.modelPar_NVSATCV))+(Inv_LNFIN*modelStruct.modelPar_PVSATCV))+(Inv_W*modelStruct.modelPar_WVSATCV))+(Inv_WL*modelStruct.modelPar_P2VSATCV));
}
{
instanceStruct.d_instanceVar_DELTAVSAT_i_dX = (((((modelStruct.d_modelPar_DELTAVSAT_dX+(Inv_L*modelStruct.d_modelPar_LDELTAVSAT_dX+d_Inv_L_dX*modelStruct.modelPar_LDELTAVSAT))+(Inv_NFIN*modelStruct.d_modelPar_NDELTAVSAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDELTAVSAT))+(Inv_LNFIN*modelStruct.d_modelPar_PDELTAVSAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDELTAVSAT))+(Inv_W*modelStruct.d_modelPar_WDELTAVSAT_dX+d_Inv_W_dX*modelStruct.modelPar_WDELTAVSAT))+(Inv_WL*modelStruct.d_modelPar_P2DELTAVSAT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DELTAVSAT));
instanceStruct.instanceVar_DELTAVSAT_i = (((((modelStruct.modelPar_DELTAVSAT+(Inv_L*modelStruct.modelPar_LDELTAVSAT))+(Inv_NFIN*modelStruct.modelPar_NDELTAVSAT))+(Inv_LNFIN*modelStruct.modelPar_PDELTAVSAT))+(Inv_W*modelStruct.modelPar_WDELTAVSAT))+(Inv_WL*modelStruct.modelPar_P2DELTAVSAT));
}
{
instanceStruct.d_instanceVar_PSAT_i_dX = (((((modelStruct.d_modelPar_PSAT_dX+(Inv_L*modelStruct.d_modelPar_LPSAT_dX+d_Inv_L_dX*modelStruct.modelPar_LPSAT))+(Inv_NFIN*modelStruct.d_modelPar_NPSAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPSAT))+(Inv_LNFIN*modelStruct.d_modelPar_PPSAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPSAT))+(Inv_W*modelStruct.d_modelPar_WPSAT_dX+d_Inv_W_dX*modelStruct.modelPar_WPSAT))+(Inv_WL*modelStruct.d_modelPar_P2PSAT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PSAT));
instanceStruct.instanceVar_PSAT_i = (((((modelStruct.modelPar_PSAT+(Inv_L*modelStruct.modelPar_LPSAT))+(Inv_NFIN*modelStruct.modelPar_NPSAT))+(Inv_LNFIN*modelStruct.modelPar_PPSAT))+(Inv_W*modelStruct.modelPar_WPSAT))+(Inv_WL*modelStruct.modelPar_P2PSAT));
}
{
instanceStruct.d_instanceVar_DELTAVSATCV_i_dX = (((((modelStruct.d_modelPar_DELTAVSATCV_dX+(Inv_L*modelStruct.d_modelPar_LDELTAVSATCV_dX+d_Inv_L_dX*modelStruct.modelPar_LDELTAVSATCV))+(Inv_NFIN*modelStruct.d_modelPar_NDELTAVSATCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDELTAVSATCV))+(Inv_LNFIN*modelStruct.d_modelPar_PDELTAVSATCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDELTAVSATCV))+(Inv_W*modelStruct.d_modelPar_WDELTAVSATCV_dX+d_Inv_W_dX*modelStruct.modelPar_WDELTAVSATCV))+(Inv_WL*modelStruct.d_modelPar_P2DELTAVSATCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DELTAVSATCV));
instanceStruct.instanceVar_DELTAVSATCV_i = (((((modelStruct.modelPar_DELTAVSATCV+(Inv_L*modelStruct.modelPar_LDELTAVSATCV))+(Inv_NFIN*modelStruct.modelPar_NDELTAVSATCV))+(Inv_LNFIN*modelStruct.modelPar_PDELTAVSATCV))+(Inv_W*modelStruct.modelPar_WDELTAVSATCV))+(Inv_WL*modelStruct.modelPar_P2DELTAVSATCV));
}
{
instanceStruct.d_instanceVar_PSATCV_i_dX = (((((modelStruct.d_modelPar_PSATCV_dX+(Inv_L*modelStruct.d_modelPar_LPSATCV_dX+d_Inv_L_dX*modelStruct.modelPar_LPSATCV))+(Inv_NFIN*modelStruct.d_modelPar_NPSATCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPSATCV))+(Inv_LNFIN*modelStruct.d_modelPar_PPSATCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPSATCV))+(Inv_W*modelStruct.d_modelPar_WPSATCV_dX+d_Inv_W_dX*modelStruct.modelPar_WPSATCV))+(Inv_WL*modelStruct.d_modelPar_P2PSATCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PSATCV));
instanceStruct.instanceVar_PSATCV_i = (((((modelStruct.modelPar_PSATCV+(Inv_L*modelStruct.modelPar_LPSATCV))+(Inv_NFIN*modelStruct.modelPar_NPSATCV))+(Inv_LNFIN*modelStruct.modelPar_PPSATCV))+(Inv_W*modelStruct.modelPar_WPSATCV))+(Inv_WL*modelStruct.modelPar_P2PSATCV));
}
{
instanceStruct.d_instanceVar_KSATIV_i_dX = (((((modelStruct.d_modelPar_KSATIV_dX+(Inv_L*modelStruct.d_modelPar_LKSATIV_dX+d_Inv_L_dX*modelStruct.modelPar_LKSATIV))+(Inv_NFIN*modelStruct.d_modelPar_NKSATIV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NKSATIV))+(Inv_LNFIN*modelStruct.d_modelPar_PKSATIV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PKSATIV))+(Inv_W*modelStruct.d_modelPar_WKSATIV_dX+d_Inv_W_dX*modelStruct.modelPar_WKSATIV))+(Inv_WL*modelStruct.d_modelPar_P2KSATIV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2KSATIV));
instanceStruct.instanceVar_KSATIV_i = (((((modelStruct.modelPar_KSATIV+(Inv_L*modelStruct.modelPar_LKSATIV))+(Inv_NFIN*modelStruct.modelPar_NKSATIV))+(Inv_LNFIN*modelStruct.modelPar_PKSATIV))+(Inv_W*modelStruct.modelPar_WKSATIV))+(Inv_WL*modelStruct.modelPar_P2KSATIV));
}
{
instanceStruct.d_instanceVar_MEXP_i_dX = (((((modelStruct.d_modelPar_MEXP_dX+(Inv_L*modelStruct.d_modelPar_LMEXP_dX+d_Inv_L_dX*modelStruct.modelPar_LMEXP))+(Inv_NFIN*modelStruct.d_modelPar_NMEXP_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NMEXP))+(Inv_LNFIN*modelStruct.d_modelPar_PMEXP_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PMEXP))+(Inv_W*modelStruct.d_modelPar_WMEXP_dX+d_Inv_W_dX*modelStruct.modelPar_WMEXP))+(Inv_WL*modelStruct.d_modelPar_P2MEXP_dX+d_Inv_WL_dX*modelStruct.modelPar_P2MEXP));
instanceStruct.instanceVar_MEXP_i = (((((modelStruct.modelPar_MEXP+(Inv_L*modelStruct.modelPar_LMEXP))+(Inv_NFIN*modelStruct.modelPar_NMEXP))+(Inv_LNFIN*modelStruct.modelPar_PMEXP))+(Inv_W*modelStruct.modelPar_WMEXP))+(Inv_WL*modelStruct.modelPar_P2MEXP));
}
{
instanceStruct.d_instanceVar_PTWG_i_dX = (((((modelStruct.d_modelPar_PTWG_dX+(Inv_L*modelStruct.d_modelPar_LPTWG_dX+d_Inv_L_dX*modelStruct.modelPar_LPTWG))+(Inv_NFIN*modelStruct.d_modelPar_NPTWG_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPTWG))+(Inv_LNFIN*modelStruct.d_modelPar_PPTWG_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPTWG))+(Inv_W*modelStruct.d_modelPar_WPTWG_dX+d_Inv_W_dX*modelStruct.modelPar_WPTWG))+(Inv_WL*modelStruct.d_modelPar_P2PTWG_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PTWG));
instanceStruct.instanceVar_PTWG_i = (((((modelStruct.modelPar_PTWG+(Inv_L*modelStruct.modelPar_LPTWG))+(Inv_NFIN*modelStruct.modelPar_NPTWG))+(Inv_LNFIN*modelStruct.modelPar_PPTWG))+(Inv_W*modelStruct.modelPar_WPTWG))+(Inv_WL*modelStruct.modelPar_P2PTWG));
}
{
instanceStruct.d_instanceVar_U0_i_dX = (((((modelStruct.d_modelPar_U0_dX+(Inv_L*modelStruct.d_modelPar_LU0_dX+d_Inv_L_dX*modelStruct.modelPar_LU0))+(Inv_NFIN*modelStruct.d_modelPar_NU0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NU0))+(Inv_LNFIN*modelStruct.d_modelPar_PU0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PU0))+(Inv_W*modelStruct.d_modelPar_WU0_dX+d_Inv_W_dX*modelStruct.modelPar_WU0))+(Inv_WL*modelStruct.d_modelPar_P2U0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2U0));
instanceStruct.instanceVar_U0_i = (((((modelStruct.modelPar_U0+(Inv_L*modelStruct.modelPar_LU0))+(Inv_NFIN*modelStruct.modelPar_NU0))+(Inv_LNFIN*modelStruct.modelPar_PU0))+(Inv_W*modelStruct.modelPar_WU0))+(Inv_WL*modelStruct.modelPar_P2U0));
}
{
instanceStruct.d_instanceVar_ETAMOB_i_dX = (((((modelStruct.d_modelPar_ETAMOB_dX+(Inv_L*modelStruct.d_modelPar_LETAMOB_dX+d_Inv_L_dX*modelStruct.modelPar_LETAMOB))+(Inv_NFIN*modelStruct.d_modelPar_NETAMOB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NETAMOB))+(Inv_LNFIN*modelStruct.d_modelPar_PETAMOB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PETAMOB))+(Inv_W*modelStruct.d_modelPar_WETAMOB_dX+d_Inv_W_dX*modelStruct.modelPar_WETAMOB))+(Inv_WL*modelStruct.d_modelPar_P2ETAMOB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ETAMOB));
instanceStruct.instanceVar_ETAMOB_i = (((((modelStruct.modelPar_ETAMOB+(Inv_L*modelStruct.modelPar_LETAMOB))+(Inv_NFIN*modelStruct.modelPar_NETAMOB))+(Inv_LNFIN*modelStruct.modelPar_PETAMOB))+(Inv_W*modelStruct.modelPar_WETAMOB))+(Inv_WL*modelStruct.modelPar_P2ETAMOB));
}
{
d_UP_i_dX = (((((modelStruct.d_modelPar_UP_dX+(Inv_L*modelStruct.d_modelPar_LUP_dX+d_Inv_L_dX*modelStruct.modelPar_LUP))+(Inv_NFIN*modelStruct.d_modelPar_NUP_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUP))+(Inv_LNFIN*modelStruct.d_modelPar_PUP_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUP))+(Inv_W*modelStruct.d_modelPar_WUP_dX+d_Inv_W_dX*modelStruct.modelPar_WUP))+(Inv_WL*modelStruct.d_modelPar_P2UP_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UP));
UP_i = (((((modelStruct.modelPar_UP+(Inv_L*modelStruct.modelPar_LUP))+(Inv_NFIN*modelStruct.modelPar_NUP))+(Inv_LNFIN*modelStruct.modelPar_PUP))+(Inv_W*modelStruct.modelPar_WUP))+(Inv_WL*modelStruct.modelPar_P2UP));
}
{
instanceStruct.d_instanceVar_UA_i_dX = (((((modelStruct.d_modelPar_UA_dX+(Inv_L*modelStruct.d_modelPar_LUA_dX+d_Inv_L_dX*modelStruct.modelPar_LUA))+(Inv_NFIN*modelStruct.d_modelPar_NUA_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUA))+(Inv_LNFIN*modelStruct.d_modelPar_PUA_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUA))+(Inv_W*modelStruct.d_modelPar_WUA_dX+d_Inv_W_dX*modelStruct.modelPar_WUA))+(Inv_WL*modelStruct.d_modelPar_P2UA_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UA));
instanceStruct.instanceVar_UA_i = (((((modelStruct.modelPar_UA+(Inv_L*modelStruct.modelPar_LUA))+(Inv_NFIN*modelStruct.modelPar_NUA))+(Inv_LNFIN*modelStruct.modelPar_PUA))+(Inv_W*modelStruct.modelPar_WUA))+(Inv_WL*modelStruct.modelPar_P2UA));
}
{
instanceStruct.d_instanceVar_EU_i_dX = (((((modelStruct.d_modelPar_EU_dX+(Inv_L*modelStruct.d_modelPar_LEU_dX+d_Inv_L_dX*modelStruct.modelPar_LEU))+(Inv_NFIN*modelStruct.d_modelPar_NEU_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEU))+(Inv_LNFIN*modelStruct.d_modelPar_PEU_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEU))+(Inv_W*modelStruct.d_modelPar_WEU_dX+d_Inv_W_dX*modelStruct.modelPar_WEU))+(Inv_WL*modelStruct.d_modelPar_P2EU_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EU));
instanceStruct.instanceVar_EU_i = (((((modelStruct.modelPar_EU+(Inv_L*modelStruct.modelPar_LEU))+(Inv_NFIN*modelStruct.modelPar_NEU))+(Inv_LNFIN*modelStruct.modelPar_PEU))+(Inv_W*modelStruct.modelPar_WEU))+(Inv_WL*modelStruct.modelPar_P2EU));
}
{
instanceStruct.d_instanceVar_UD_i_dX = (((((modelStruct.d_modelPar_UD_dX+(Inv_L*modelStruct.d_modelPar_LUD_dX+d_Inv_L_dX*modelStruct.modelPar_LUD))+(Inv_NFIN*modelStruct.d_modelPar_NUD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUD))+(Inv_LNFIN*modelStruct.d_modelPar_PUD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUD))+(Inv_W*modelStruct.d_modelPar_WUD_dX+d_Inv_W_dX*modelStruct.modelPar_WUD))+(Inv_WL*modelStruct.d_modelPar_P2UD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UD));
instanceStruct.instanceVar_UD_i = (((((modelStruct.modelPar_UD+(Inv_L*modelStruct.modelPar_LUD))+(Inv_NFIN*modelStruct.modelPar_NUD))+(Inv_LNFIN*modelStruct.modelPar_PUD))+(Inv_W*modelStruct.modelPar_WUD))+(Inv_WL*modelStruct.modelPar_P2UD));
}
{
instanceStruct.d_instanceVar_UCS_i_dX = (((((modelStruct.d_modelPar_UCS_dX+(Inv_L*modelStruct.d_modelPar_LUCS_dX+d_Inv_L_dX*modelStruct.modelPar_LUCS))+(Inv_NFIN*modelStruct.d_modelPar_NUCS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUCS))+(Inv_LNFIN*modelStruct.d_modelPar_PUCS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUCS))+(Inv_W*modelStruct.d_modelPar_WUCS_dX+d_Inv_W_dX*modelStruct.modelPar_WUCS))+(Inv_WL*modelStruct.d_modelPar_P2UCS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UCS));
instanceStruct.instanceVar_UCS_i = (((((modelStruct.modelPar_UCS+(Inv_L*modelStruct.modelPar_LUCS))+(Inv_NFIN*modelStruct.modelPar_NUCS))+(Inv_LNFIN*modelStruct.modelPar_PUCS))+(Inv_W*modelStruct.modelPar_WUCS))+(Inv_WL*modelStruct.modelPar_P2UCS));
}
{
instanceStruct.d_instanceVar_UDS_i_dX = (((((modelStruct.d_modelPar_UDS_dX+(Inv_L*modelStruct.d_modelPar_LUDS_dX+d_Inv_L_dX*modelStruct.modelPar_LUDS))+(Inv_NFIN*modelStruct.d_modelPar_NUDS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUDS))+(Inv_LNFIN*modelStruct.d_modelPar_PUDS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUDS))+(Inv_W*modelStruct.d_modelPar_WUDS_dX+d_Inv_W_dX*modelStruct.modelPar_WUDS))+(Inv_WL*modelStruct.d_modelPar_P2UDS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UDS));
instanceStruct.instanceVar_UDS_i = (((((modelStruct.modelPar_UDS+(Inv_L*modelStruct.modelPar_LUDS))+(Inv_NFIN*modelStruct.modelPar_NUDS))+(Inv_LNFIN*modelStruct.modelPar_PUDS))+(Inv_W*modelStruct.modelPar_WUDS))+(Inv_WL*modelStruct.modelPar_P2UDS));
}
{
instanceStruct.d_instanceVar_UDS1_i_dX = (((((modelStruct.d_modelPar_UDS1_dX+(Inv_L*modelStruct.d_modelPar_LUDS1_dX+d_Inv_L_dX*modelStruct.modelPar_LUDS1))+(Inv_NFIN*modelStruct.d_modelPar_NUDS1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUDS1))+(Inv_LNFIN*modelStruct.d_modelPar_PUDS1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUDS1))+(Inv_W*modelStruct.d_modelPar_WUDS1_dX+d_Inv_W_dX*modelStruct.modelPar_WUDS1))+(Inv_WL*modelStruct.d_modelPar_P2UDS1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UDS1));
instanceStruct.instanceVar_UDS1_i = (((((modelStruct.modelPar_UDS1+(Inv_L*modelStruct.modelPar_LUDS1))+(Inv_NFIN*modelStruct.modelPar_NUDS1))+(Inv_LNFIN*modelStruct.modelPar_PUDS1))+(Inv_W*modelStruct.modelPar_WUDS1))+(Inv_WL*modelStruct.modelPar_P2UDS1));
}
{
instanceStruct.d_instanceVar_UDD_i_dX = (((((modelStruct.d_modelPar_UDD_dX+(Inv_L*modelStruct.d_modelPar_LUDD_dX+d_Inv_L_dX*modelStruct.modelPar_LUDD))+(Inv_NFIN*modelStruct.d_modelPar_NUDD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUDD))+(Inv_LNFIN*modelStruct.d_modelPar_PUDD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUDD))+(Inv_W*modelStruct.d_modelPar_WUDD_dX+d_Inv_W_dX*modelStruct.modelPar_WUDD))+(Inv_WL*modelStruct.d_modelPar_P2UDD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UDD));
instanceStruct.instanceVar_UDD_i = (((((modelStruct.modelPar_UDD+(Inv_L*modelStruct.modelPar_LUDD))+(Inv_NFIN*modelStruct.modelPar_NUDD))+(Inv_LNFIN*modelStruct.modelPar_PUDD))+(Inv_W*modelStruct.modelPar_WUDD))+(Inv_WL*modelStruct.modelPar_P2UDD));
}
{
instanceStruct.d_instanceVar_UDD1_i_dX = (((((modelStruct.d_modelPar_UDD1_dX+(Inv_L*modelStruct.d_modelPar_LUDD1_dX+d_Inv_L_dX*modelStruct.modelPar_LUDD1))+(Inv_NFIN*modelStruct.d_modelPar_NUDD1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUDD1))+(Inv_LNFIN*modelStruct.d_modelPar_PUDD1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUDD1))+(Inv_W*modelStruct.d_modelPar_WUDD1_dX+d_Inv_W_dX*modelStruct.modelPar_WUDD1))+(Inv_WL*modelStruct.d_modelPar_P2UDD1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UDD1));
instanceStruct.instanceVar_UDD1_i = (((((modelStruct.modelPar_UDD1+(Inv_L*modelStruct.modelPar_LUDD1))+(Inv_NFIN*modelStruct.modelPar_NUDD1))+(Inv_LNFIN*modelStruct.modelPar_PUDD1))+(Inv_W*modelStruct.modelPar_WUDD1))+(Inv_WL*modelStruct.modelPar_P2UDD1));
}
{
instanceStruct.d_instanceVar_PCLM_i_dX = (((((modelStruct.d_modelPar_PCLM_dX+(Inv_L*modelStruct.d_modelPar_LPCLM_dX+d_Inv_L_dX*modelStruct.modelPar_LPCLM))+(Inv_NFIN*modelStruct.d_modelPar_NPCLM_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPCLM))+(Inv_LNFIN*modelStruct.d_modelPar_PPCLM_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPCLM))+(Inv_W*modelStruct.d_modelPar_WPCLM_dX+d_Inv_W_dX*modelStruct.modelPar_WPCLM))+(Inv_WL*modelStruct.d_modelPar_P2PCLM_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PCLM));
instanceStruct.instanceVar_PCLM_i = (((((modelStruct.modelPar_PCLM+(Inv_L*modelStruct.modelPar_LPCLM))+(Inv_NFIN*modelStruct.modelPar_NPCLM))+(Inv_LNFIN*modelStruct.modelPar_PPCLM))+(Inv_W*modelStruct.modelPar_WPCLM))+(Inv_WL*modelStruct.modelPar_P2PCLM));
}
{
instanceStruct.d_instanceVar_PCLMG_i_dX = (((((modelStruct.d_modelPar_PCLMG_dX+(Inv_L*modelStruct.d_modelPar_LPCLMG_dX+d_Inv_L_dX*modelStruct.modelPar_LPCLMG))+(Inv_NFIN*modelStruct.d_modelPar_NPCLMG_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPCLMG))+(Inv_LNFIN*modelStruct.d_modelPar_PPCLMG_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPCLMG))+(Inv_W*modelStruct.d_modelPar_WPCLMG_dX+d_Inv_W_dX*modelStruct.modelPar_WPCLMG))+(Inv_WL*modelStruct.d_modelPar_P2PCLMG_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PCLMG));
instanceStruct.instanceVar_PCLMG_i = (((((modelStruct.modelPar_PCLMG+(Inv_L*modelStruct.modelPar_LPCLMG))+(Inv_NFIN*modelStruct.modelPar_NPCLMG))+(Inv_LNFIN*modelStruct.modelPar_PPCLMG))+(Inv_W*modelStruct.modelPar_WPCLMG))+(Inv_WL*modelStruct.modelPar_P2PCLMG));
}
{
instanceStruct.d_instanceVar_PCLMCV_i_dX = (((((modelStruct.d_modelPar_PCLMCV_dX+(Inv_L*modelStruct.d_modelPar_LPCLMCV_dX+d_Inv_L_dX*modelStruct.modelPar_LPCLMCV))+(Inv_NFIN*modelStruct.d_modelPar_NPCLMCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPCLMCV))+(Inv_LNFIN*modelStruct.d_modelPar_PPCLMCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPCLMCV))+(Inv_W*modelStruct.d_modelPar_WPCLMCV_dX+d_Inv_W_dX*modelStruct.modelPar_WPCLMCV))+(Inv_WL*modelStruct.d_modelPar_P2PCLMCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PCLMCV));
instanceStruct.instanceVar_PCLMCV_i = (((((modelStruct.modelPar_PCLMCV+(Inv_L*modelStruct.modelPar_LPCLMCV))+(Inv_NFIN*modelStruct.modelPar_NPCLMCV))+(Inv_LNFIN*modelStruct.modelPar_PPCLMCV))+(Inv_W*modelStruct.modelPar_WPCLMCV))+(Inv_WL*modelStruct.modelPar_P2PCLMCV));
}
{
instanceStruct.d_instanceVar_A1_i_dX = (((((modelStruct.d_modelPar_A1_dX+(Inv_L*modelStruct.d_modelPar_LA1_dX+d_Inv_L_dX*modelStruct.modelPar_LA1))+(Inv_NFIN*modelStruct.d_modelPar_NA1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NA1))+(Inv_LNFIN*modelStruct.d_modelPar_PA1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PA1))+(Inv_W*modelStruct.d_modelPar_WA1_dX+d_Inv_W_dX*modelStruct.modelPar_WA1))+(Inv_WL*modelStruct.d_modelPar_P2A1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2A1));
instanceStruct.instanceVar_A1_i = (((((modelStruct.modelPar_A1+(Inv_L*modelStruct.modelPar_LA1))+(Inv_NFIN*modelStruct.modelPar_NA1))+(Inv_LNFIN*modelStruct.modelPar_PA1))+(Inv_W*modelStruct.modelPar_WA1))+(Inv_WL*modelStruct.modelPar_P2A1));
}
{
instanceStruct.d_instanceVar_A11_i_dX = (((((modelStruct.d_modelPar_A11_dX+(Inv_L*modelStruct.d_modelPar_LA11_dX+d_Inv_L_dX*modelStruct.modelPar_LA11))+(Inv_NFIN*modelStruct.d_modelPar_NA11_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NA11))+(Inv_LNFIN*modelStruct.d_modelPar_PA11_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PA11))+(Inv_W*modelStruct.d_modelPar_WA11_dX+d_Inv_W_dX*modelStruct.modelPar_WA11))+(Inv_WL*modelStruct.d_modelPar_P2A11_dX+d_Inv_WL_dX*modelStruct.modelPar_P2A11));
instanceStruct.instanceVar_A11_i = (((((modelStruct.modelPar_A11+(Inv_L*modelStruct.modelPar_LA11))+(Inv_NFIN*modelStruct.modelPar_NA11))+(Inv_LNFIN*modelStruct.modelPar_PA11))+(Inv_W*modelStruct.modelPar_WA11))+(Inv_WL*modelStruct.modelPar_P2A11));
}
{
instanceStruct.d_instanceVar_A2_i_dX = (((((modelStruct.d_modelPar_A2_dX+(Inv_L*modelStruct.d_modelPar_LA2_dX+d_Inv_L_dX*modelStruct.modelPar_LA2))+(Inv_NFIN*modelStruct.d_modelPar_NA2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NA2))+(Inv_LNFIN*modelStruct.d_modelPar_PA2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PA2))+(Inv_W*modelStruct.d_modelPar_WA2_dX+d_Inv_W_dX*modelStruct.modelPar_WA2))+(Inv_WL*modelStruct.d_modelPar_P2A2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2A2));
instanceStruct.instanceVar_A2_i = (((((modelStruct.modelPar_A2+(Inv_L*modelStruct.modelPar_LA2))+(Inv_NFIN*modelStruct.modelPar_NA2))+(Inv_LNFIN*modelStruct.modelPar_PA2))+(Inv_W*modelStruct.modelPar_WA2))+(Inv_WL*modelStruct.modelPar_P2A2));
}
{
instanceStruct.d_instanceVar_A21_i_dX = (((((modelStruct.d_modelPar_A21_dX+(Inv_L*modelStruct.d_modelPar_LA21_dX+d_Inv_L_dX*modelStruct.modelPar_LA21))+(Inv_NFIN*modelStruct.d_modelPar_NA21_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NA21))+(Inv_LNFIN*modelStruct.d_modelPar_PA21_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PA21))+(Inv_W*modelStruct.d_modelPar_WA21_dX+d_Inv_W_dX*modelStruct.modelPar_WA21))+(Inv_WL*modelStruct.d_modelPar_P2A21_dX+d_Inv_WL_dX*modelStruct.modelPar_P2A21));
instanceStruct.instanceVar_A21_i = (((((modelStruct.modelPar_A21+(Inv_L*modelStruct.modelPar_LA21))+(Inv_NFIN*modelStruct.modelPar_NA21))+(Inv_LNFIN*modelStruct.modelPar_PA21))+(Inv_W*modelStruct.modelPar_WA21))+(Inv_WL*modelStruct.modelPar_P2A21));
}
{
instanceStruct.d_instanceVar_RDSW_i_dX = (((((modelStruct.d_modelPar_RDSW_dX+(Inv_L*modelStruct.d_modelPar_LRDSW_dX+d_Inv_L_dX*modelStruct.modelPar_LRDSW))+(Inv_NFIN*modelStruct.d_modelPar_NRDSW_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NRDSW))+(Inv_LNFIN*modelStruct.d_modelPar_PRDSW_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PRDSW))+(Inv_W*modelStruct.d_modelPar_WRDSW_dX+d_Inv_W_dX*modelStruct.modelPar_WRDSW))+(Inv_WL*modelStruct.d_modelPar_P2RDSW_dX+d_Inv_WL_dX*modelStruct.modelPar_P2RDSW));
instanceStruct.instanceVar_RDSW_i = (((((modelStruct.modelPar_RDSW+(Inv_L*modelStruct.modelPar_LRDSW))+(Inv_NFIN*modelStruct.modelPar_NRDSW))+(Inv_LNFIN*modelStruct.modelPar_PRDSW))+(Inv_W*modelStruct.modelPar_WRDSW))+(Inv_WL*modelStruct.modelPar_P2RDSW));
}
{
instanceStruct.d_instanceVar_RSW_i_dX = (((((modelStruct.d_modelPar_RSW_dX+(Inv_L*modelStruct.d_modelPar_LRSW_dX+d_Inv_L_dX*modelStruct.modelPar_LRSW))+(Inv_NFIN*modelStruct.d_modelPar_NRSW_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NRSW))+(Inv_LNFIN*modelStruct.d_modelPar_PRSW_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PRSW))+(Inv_W*modelStruct.d_modelPar_WRSW_dX+d_Inv_W_dX*modelStruct.modelPar_WRSW))+(Inv_WL*modelStruct.d_modelPar_P2RSW_dX+d_Inv_WL_dX*modelStruct.modelPar_P2RSW));
instanceStruct.instanceVar_RSW_i = (((((modelStruct.modelPar_RSW+(Inv_L*modelStruct.modelPar_LRSW))+(Inv_NFIN*modelStruct.modelPar_NRSW))+(Inv_LNFIN*modelStruct.modelPar_PRSW))+(Inv_W*modelStruct.modelPar_WRSW))+(Inv_WL*modelStruct.modelPar_P2RSW));
}
{
instanceStruct.d_instanceVar_RDW_i_dX = (((((modelStruct.d_modelPar_RDW_dX+(Inv_L*modelStruct.d_modelPar_LRDW_dX+d_Inv_L_dX*modelStruct.modelPar_LRDW))+(Inv_NFIN*modelStruct.d_modelPar_NRDW_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NRDW))+(Inv_LNFIN*modelStruct.d_modelPar_PRDW_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PRDW))+(Inv_W*modelStruct.d_modelPar_WRDW_dX+d_Inv_W_dX*modelStruct.modelPar_WRDW))+(Inv_WL*modelStruct.d_modelPar_P2RDW_dX+d_Inv_WL_dX*modelStruct.modelPar_P2RDW));
instanceStruct.instanceVar_RDW_i = (((((modelStruct.modelPar_RDW+(Inv_L*modelStruct.modelPar_LRDW))+(Inv_NFIN*modelStruct.modelPar_NRDW))+(Inv_LNFIN*modelStruct.modelPar_PRDW))+(Inv_W*modelStruct.modelPar_WRDW))+(Inv_WL*modelStruct.modelPar_P2RDW));
}
{
instanceStruct.d_instanceVar_PRWGD_i_dX = (((((modelStruct.d_modelPar_PRWGD_dX+(Inv_L*modelStruct.d_modelPar_LPRWGD_dX+d_Inv_L_dX*modelStruct.modelPar_LPRWGD))+(Inv_NFIN*modelStruct.d_modelPar_NPRWGD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPRWGD))+(Inv_LNFIN*modelStruct.d_modelPar_PPRWGD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPRWGD))+(Inv_W*modelStruct.d_modelPar_WPRWGD_dX+d_Inv_W_dX*modelStruct.modelPar_WPRWGD))+(Inv_WL*modelStruct.d_modelPar_P2PRWGD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PRWGD));
instanceStruct.instanceVar_PRWGD_i = (((((modelStruct.modelPar_PRWGD+(Inv_L*modelStruct.modelPar_LPRWGD))+(Inv_NFIN*modelStruct.modelPar_NPRWGD))+(Inv_LNFIN*modelStruct.modelPar_PPRWGD))+(Inv_W*modelStruct.modelPar_WPRWGD))+(Inv_WL*modelStruct.modelPar_P2PRWGD));
}
{
instanceStruct.d_instanceVar_PRWGS_i_dX = (((((modelStruct.d_modelPar_PRWGS_dX+(Inv_L*modelStruct.d_modelPar_LPRWGS_dX+d_Inv_L_dX*modelStruct.modelPar_LPRWGS))+(Inv_NFIN*modelStruct.d_modelPar_NPRWGS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPRWGS))+(Inv_LNFIN*modelStruct.d_modelPar_PPRWGS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPRWGS))+(Inv_W*modelStruct.d_modelPar_WPRWGS_dX+d_Inv_W_dX*modelStruct.modelPar_WPRWGS))+(Inv_WL*modelStruct.d_modelPar_P2PRWGS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PRWGS));
instanceStruct.instanceVar_PRWGS_i = (((((modelStruct.modelPar_PRWGS+(Inv_L*modelStruct.modelPar_LPRWGS))+(Inv_NFIN*modelStruct.modelPar_NPRWGS))+(Inv_LNFIN*modelStruct.modelPar_PPRWGS))+(Inv_W*modelStruct.modelPar_WPRWGS))+(Inv_WL*modelStruct.modelPar_P2PRWGS));
}
{
d_WR_i_dX = (((((modelStruct.d_modelPar_WR_dX+(Inv_L*modelStruct.d_modelPar_LWR_dX+d_Inv_L_dX*modelStruct.modelPar_LWR))+(Inv_NFIN*modelStruct.d_modelPar_NWR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NWR))+(Inv_LNFIN*modelStruct.d_modelPar_PWR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PWR))+(Inv_W*modelStruct.d_modelPar_WWR_dX+d_Inv_W_dX*modelStruct.modelPar_WWR))+(Inv_WL*modelStruct.d_modelPar_P2WR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2WR));
WR_i = (((((modelStruct.modelPar_WR+(Inv_L*modelStruct.modelPar_LWR))+(Inv_NFIN*modelStruct.modelPar_NWR))+(Inv_LNFIN*modelStruct.modelPar_PWR))+(Inv_W*modelStruct.modelPar_WWR))+(Inv_WL*modelStruct.modelPar_P2WR));
}
{
instanceStruct.d_instanceVar_PDIBL1_i_dX = (((((modelStruct.d_modelPar_PDIBL1_dX+(Inv_L*modelStruct.d_modelPar_LPDIBL1_dX+d_Inv_L_dX*modelStruct.modelPar_LPDIBL1))+(Inv_NFIN*modelStruct.d_modelPar_NPDIBL1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPDIBL1))+(Inv_LNFIN*modelStruct.d_modelPar_PPDIBL1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPDIBL1))+(Inv_W*modelStruct.d_modelPar_WPDIBL1_dX+d_Inv_W_dX*modelStruct.modelPar_WPDIBL1))+(Inv_WL*modelStruct.d_modelPar_P2PDIBL1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PDIBL1));
instanceStruct.instanceVar_PDIBL1_i = (((((modelStruct.modelPar_PDIBL1+(Inv_L*modelStruct.modelPar_LPDIBL1))+(Inv_NFIN*modelStruct.modelPar_NPDIBL1))+(Inv_LNFIN*modelStruct.modelPar_PPDIBL1))+(Inv_W*modelStruct.modelPar_WPDIBL1))+(Inv_WL*modelStruct.modelPar_P2PDIBL1));
}
{
instanceStruct.d_instanceVar_PDIBL2_i_dX = (((((modelStruct.d_modelPar_PDIBL2_dX+(Inv_L*modelStruct.d_modelPar_LPDIBL2_dX+d_Inv_L_dX*modelStruct.modelPar_LPDIBL2))+(Inv_NFIN*modelStruct.d_modelPar_NPDIBL2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPDIBL2))+(Inv_LNFIN*modelStruct.d_modelPar_PPDIBL2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPDIBL2))+(Inv_W*modelStruct.d_modelPar_WPDIBL2_dX+d_Inv_W_dX*modelStruct.modelPar_WPDIBL2))+(Inv_WL*modelStruct.d_modelPar_P2PDIBL2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PDIBL2));
instanceStruct.instanceVar_PDIBL2_i = (((((modelStruct.modelPar_PDIBL2+(Inv_L*modelStruct.modelPar_LPDIBL2))+(Inv_NFIN*modelStruct.modelPar_NPDIBL2))+(Inv_LNFIN*modelStruct.modelPar_PPDIBL2))+(Inv_W*modelStruct.modelPar_WPDIBL2))+(Inv_WL*modelStruct.modelPar_P2PDIBL2));
}
{
instanceStruct.d_instanceVar_DROUT_i_dX = (((((modelStruct.d_modelPar_DROUT_dX+(Inv_L*modelStruct.d_modelPar_LDROUT_dX+d_Inv_L_dX*modelStruct.modelPar_LDROUT))+(Inv_NFIN*modelStruct.d_modelPar_NDROUT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDROUT))+(Inv_LNFIN*modelStruct.d_modelPar_PDROUT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDROUT))+(Inv_W*modelStruct.d_modelPar_WDROUT_dX+d_Inv_W_dX*modelStruct.modelPar_WDROUT))+(Inv_WL*modelStruct.d_modelPar_P2DROUT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DROUT));
instanceStruct.instanceVar_DROUT_i = (((((modelStruct.modelPar_DROUT+(Inv_L*modelStruct.modelPar_LDROUT))+(Inv_NFIN*modelStruct.modelPar_NDROUT))+(Inv_LNFIN*modelStruct.modelPar_PDROUT))+(Inv_W*modelStruct.modelPar_WDROUT))+(Inv_WL*modelStruct.modelPar_P2DROUT));
}
{
instanceStruct.d_instanceVar_PVAG_i_dX = (((((modelStruct.d_modelPar_PVAG_dX+(Inv_L*modelStruct.d_modelPar_LPVAG_dX+d_Inv_L_dX*modelStruct.modelPar_LPVAG))+(Inv_NFIN*modelStruct.d_modelPar_NPVAG_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPVAG))+(Inv_LNFIN*modelStruct.d_modelPar_PPVAG_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPVAG))+(Inv_W*modelStruct.d_modelPar_WPVAG_dX+d_Inv_W_dX*modelStruct.modelPar_WPVAG))+(Inv_WL*modelStruct.d_modelPar_P2PVAG_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PVAG));
instanceStruct.instanceVar_PVAG_i = (((((modelStruct.modelPar_PVAG+(Inv_L*modelStruct.modelPar_LPVAG))+(Inv_NFIN*modelStruct.modelPar_NPVAG))+(Inv_LNFIN*modelStruct.modelPar_PPVAG))+(Inv_W*modelStruct.modelPar_WPVAG))+(Inv_WL*modelStruct.modelPar_P2PVAG));
}
{
instanceStruct.d_instanceVar_AIGBINV_i_dX = (((((modelStruct.d_modelPar_AIGBINV_dX+(Inv_L*modelStruct.d_modelPar_LAIGBINV_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGBINV))+(Inv_NFIN*modelStruct.d_modelPar_NAIGBINV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGBINV))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGBINV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGBINV))+(Inv_W*modelStruct.d_modelPar_WAIGBINV_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGBINV))+(Inv_WL*modelStruct.d_modelPar_P2AIGBINV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGBINV));
instanceStruct.instanceVar_AIGBINV_i = (((((modelStruct.modelPar_AIGBINV+(Inv_L*modelStruct.modelPar_LAIGBINV))+(Inv_NFIN*modelStruct.modelPar_NAIGBINV))+(Inv_LNFIN*modelStruct.modelPar_PAIGBINV))+(Inv_W*modelStruct.modelPar_WAIGBINV))+(Inv_WL*modelStruct.modelPar_P2AIGBINV));
}
{
instanceStruct.d_instanceVar_AIGBINV1_i_dX = (((((modelStruct.d_modelPar_AIGBINV1_dX+(Inv_L*modelStruct.d_modelPar_LAIGBINV1_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGBINV1))+(Inv_NFIN*modelStruct.d_modelPar_NAIGBINV1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGBINV1))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGBINV1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGBINV1))+(Inv_W*modelStruct.d_modelPar_WAIGBINV1_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGBINV1))+(Inv_WL*modelStruct.d_modelPar_P2AIGBINV1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGBINV1));
instanceStruct.instanceVar_AIGBINV1_i = (((((modelStruct.modelPar_AIGBINV1+(Inv_L*modelStruct.modelPar_LAIGBINV1))+(Inv_NFIN*modelStruct.modelPar_NAIGBINV1))+(Inv_LNFIN*modelStruct.modelPar_PAIGBINV1))+(Inv_W*modelStruct.modelPar_WAIGBINV1))+(Inv_WL*modelStruct.modelPar_P2AIGBINV1));
}
{
instanceStruct.d_instanceVar_BIGBINV_i_dX = (((((modelStruct.d_modelPar_BIGBINV_dX+(Inv_L*modelStruct.d_modelPar_LBIGBINV_dX+d_Inv_L_dX*modelStruct.modelPar_LBIGBINV))+(Inv_NFIN*modelStruct.d_modelPar_NBIGBINV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBIGBINV))+(Inv_LNFIN*modelStruct.d_modelPar_PBIGBINV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBIGBINV))+(Inv_W*modelStruct.d_modelPar_WBIGBINV_dX+d_Inv_W_dX*modelStruct.modelPar_WBIGBINV))+(Inv_WL*modelStruct.d_modelPar_P2BIGBINV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BIGBINV));
instanceStruct.instanceVar_BIGBINV_i = (((((modelStruct.modelPar_BIGBINV+(Inv_L*modelStruct.modelPar_LBIGBINV))+(Inv_NFIN*modelStruct.modelPar_NBIGBINV))+(Inv_LNFIN*modelStruct.modelPar_PBIGBINV))+(Inv_W*modelStruct.modelPar_WBIGBINV))+(Inv_WL*modelStruct.modelPar_P2BIGBINV));
}
{
instanceStruct.d_instanceVar_CIGBINV_i_dX = (((((modelStruct.d_modelPar_CIGBINV_dX+(Inv_L*modelStruct.d_modelPar_LCIGBINV_dX+d_Inv_L_dX*modelStruct.modelPar_LCIGBINV))+(Inv_NFIN*modelStruct.d_modelPar_NCIGBINV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCIGBINV))+(Inv_LNFIN*modelStruct.d_modelPar_PCIGBINV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCIGBINV))+(Inv_W*modelStruct.d_modelPar_WCIGBINV_dX+d_Inv_W_dX*modelStruct.modelPar_WCIGBINV))+(Inv_WL*modelStruct.d_modelPar_P2CIGBINV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CIGBINV));
instanceStruct.instanceVar_CIGBINV_i = (((((modelStruct.modelPar_CIGBINV+(Inv_L*modelStruct.modelPar_LCIGBINV))+(Inv_NFIN*modelStruct.modelPar_NCIGBINV))+(Inv_LNFIN*modelStruct.modelPar_PCIGBINV))+(Inv_W*modelStruct.modelPar_WCIGBINV))+(Inv_WL*modelStruct.modelPar_P2CIGBINV));
}
{
instanceStruct.d_instanceVar_EIGBINV_i_dX = (((((modelStruct.d_modelPar_EIGBINV_dX+(Inv_L*modelStruct.d_modelPar_LEIGBINV_dX+d_Inv_L_dX*modelStruct.modelPar_LEIGBINV))+(Inv_NFIN*modelStruct.d_modelPar_NEIGBINV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEIGBINV))+(Inv_LNFIN*modelStruct.d_modelPar_PEIGBINV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEIGBINV))+(Inv_W*modelStruct.d_modelPar_WEIGBINV_dX+d_Inv_W_dX*modelStruct.modelPar_WEIGBINV))+(Inv_WL*modelStruct.d_modelPar_P2EIGBINV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EIGBINV));
instanceStruct.instanceVar_EIGBINV_i = (((((modelStruct.modelPar_EIGBINV+(Inv_L*modelStruct.modelPar_LEIGBINV))+(Inv_NFIN*modelStruct.modelPar_NEIGBINV))+(Inv_LNFIN*modelStruct.modelPar_PEIGBINV))+(Inv_W*modelStruct.modelPar_WEIGBINV))+(Inv_WL*modelStruct.modelPar_P2EIGBINV));
}
{
instanceStruct.d_instanceVar_NIGBINV_i_dX = (((((modelStruct.d_modelPar_NIGBINV_dX+(Inv_L*modelStruct.d_modelPar_LNIGBINV_dX+d_Inv_L_dX*modelStruct.modelPar_LNIGBINV))+(Inv_NFIN*modelStruct.d_modelPar_NNIGBINV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNIGBINV))+(Inv_LNFIN*modelStruct.d_modelPar_PNIGBINV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNIGBINV))+(Inv_W*modelStruct.d_modelPar_WNIGBINV_dX+d_Inv_W_dX*modelStruct.modelPar_WNIGBINV))+(Inv_WL*modelStruct.d_modelPar_P2NIGBINV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2NIGBINV));
instanceStruct.instanceVar_NIGBINV_i = (((((modelStruct.modelPar_NIGBINV+(Inv_L*modelStruct.modelPar_LNIGBINV))+(Inv_NFIN*modelStruct.modelPar_NNIGBINV))+(Inv_LNFIN*modelStruct.modelPar_PNIGBINV))+(Inv_W*modelStruct.modelPar_WNIGBINV))+(Inv_WL*modelStruct.modelPar_P2NIGBINV));
}
{
instanceStruct.d_instanceVar_AIGBACC_i_dX = (((((modelStruct.d_modelPar_AIGBACC_dX+(Inv_L*modelStruct.d_modelPar_LAIGBACC_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGBACC))+(Inv_NFIN*modelStruct.d_modelPar_NAIGBACC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGBACC))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGBACC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGBACC))+(Inv_W*modelStruct.d_modelPar_WAIGBACC_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGBACC))+(Inv_WL*modelStruct.d_modelPar_P2AIGBACC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGBACC));
instanceStruct.instanceVar_AIGBACC_i = (((((modelStruct.modelPar_AIGBACC+(Inv_L*modelStruct.modelPar_LAIGBACC))+(Inv_NFIN*modelStruct.modelPar_NAIGBACC))+(Inv_LNFIN*modelStruct.modelPar_PAIGBACC))+(Inv_W*modelStruct.modelPar_WAIGBACC))+(Inv_WL*modelStruct.modelPar_P2AIGBACC));
}
{
instanceStruct.d_instanceVar_AIGBACC1_i_dX = (((((modelStruct.d_modelPar_AIGBACC1_dX+(Inv_L*modelStruct.d_modelPar_LAIGBACC1_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGBACC1))+(Inv_NFIN*modelStruct.d_modelPar_NAIGBACC1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGBACC1))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGBACC1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGBACC1))+(Inv_W*modelStruct.d_modelPar_WAIGBACC1_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGBACC1))+(Inv_WL*modelStruct.d_modelPar_P2AIGBACC1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGBACC1));
instanceStruct.instanceVar_AIGBACC1_i = (((((modelStruct.modelPar_AIGBACC1+(Inv_L*modelStruct.modelPar_LAIGBACC1))+(Inv_NFIN*modelStruct.modelPar_NAIGBACC1))+(Inv_LNFIN*modelStruct.modelPar_PAIGBACC1))+(Inv_W*modelStruct.modelPar_WAIGBACC1))+(Inv_WL*modelStruct.modelPar_P2AIGBACC1));
}
{
instanceStruct.d_instanceVar_BIGBACC_i_dX = (((((modelStruct.d_modelPar_BIGBACC_dX+(Inv_L*modelStruct.d_modelPar_LBIGBACC_dX+d_Inv_L_dX*modelStruct.modelPar_LBIGBACC))+(Inv_NFIN*modelStruct.d_modelPar_NBIGBACC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBIGBACC))+(Inv_LNFIN*modelStruct.d_modelPar_PBIGBACC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBIGBACC))+(Inv_W*modelStruct.d_modelPar_WBIGBACC_dX+d_Inv_W_dX*modelStruct.modelPar_WBIGBACC))+(Inv_WL*modelStruct.d_modelPar_P2BIGBACC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BIGBACC));
instanceStruct.instanceVar_BIGBACC_i = (((((modelStruct.modelPar_BIGBACC+(Inv_L*modelStruct.modelPar_LBIGBACC))+(Inv_NFIN*modelStruct.modelPar_NBIGBACC))+(Inv_LNFIN*modelStruct.modelPar_PBIGBACC))+(Inv_W*modelStruct.modelPar_WBIGBACC))+(Inv_WL*modelStruct.modelPar_P2BIGBACC));
}
{
instanceStruct.d_instanceVar_CIGBACC_i_dX = (((((modelStruct.d_modelPar_CIGBACC_dX+(Inv_L*modelStruct.d_modelPar_LCIGBACC_dX+d_Inv_L_dX*modelStruct.modelPar_LCIGBACC))+(Inv_NFIN*modelStruct.d_modelPar_NCIGBACC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCIGBACC))+(Inv_LNFIN*modelStruct.d_modelPar_PCIGBACC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCIGBACC))+(Inv_W*modelStruct.d_modelPar_WCIGBACC_dX+d_Inv_W_dX*modelStruct.modelPar_WCIGBACC))+(Inv_WL*modelStruct.d_modelPar_P2CIGBACC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CIGBACC));
instanceStruct.instanceVar_CIGBACC_i = (((((modelStruct.modelPar_CIGBACC+(Inv_L*modelStruct.modelPar_LCIGBACC))+(Inv_NFIN*modelStruct.modelPar_NCIGBACC))+(Inv_LNFIN*modelStruct.modelPar_PCIGBACC))+(Inv_W*modelStruct.modelPar_WCIGBACC))+(Inv_WL*modelStruct.modelPar_P2CIGBACC));
}
{
instanceStruct.d_instanceVar_NIGBACC_i_dX = (((((modelStruct.d_modelPar_NIGBACC_dX+(Inv_L*modelStruct.d_modelPar_LNIGBACC_dX+d_Inv_L_dX*modelStruct.modelPar_LNIGBACC))+(Inv_NFIN*modelStruct.d_modelPar_NNIGBACC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNIGBACC))+(Inv_LNFIN*modelStruct.d_modelPar_PNIGBACC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNIGBACC))+(Inv_W*modelStruct.d_modelPar_WNIGBACC_dX+d_Inv_W_dX*modelStruct.modelPar_WNIGBACC))+(Inv_WL*modelStruct.d_modelPar_P2NIGBACC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2NIGBACC));
instanceStruct.instanceVar_NIGBACC_i = (((((modelStruct.modelPar_NIGBACC+(Inv_L*modelStruct.modelPar_LNIGBACC))+(Inv_NFIN*modelStruct.modelPar_NNIGBACC))+(Inv_LNFIN*modelStruct.modelPar_PNIGBACC))+(Inv_W*modelStruct.modelPar_WNIGBACC))+(Inv_WL*modelStruct.modelPar_P2NIGBACC));
}
{
instanceStruct.d_instanceVar_AIGC_i_dX = (((((modelStruct.d_modelPar_AIGC_dX+(Inv_L*modelStruct.d_modelPar_LAIGC_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGC))+(Inv_NFIN*modelStruct.d_modelPar_NAIGC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGC))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGC))+(Inv_W*modelStruct.d_modelPar_WAIGC_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGC))+(Inv_WL*modelStruct.d_modelPar_P2AIGC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGC));
instanceStruct.instanceVar_AIGC_i = (((((modelStruct.modelPar_AIGC+(Inv_L*modelStruct.modelPar_LAIGC))+(Inv_NFIN*modelStruct.modelPar_NAIGC))+(Inv_LNFIN*modelStruct.modelPar_PAIGC))+(Inv_W*modelStruct.modelPar_WAIGC))+(Inv_WL*modelStruct.modelPar_P2AIGC));
}
{
instanceStruct.d_instanceVar_AIGC1_i_dX = (((((modelStruct.d_modelPar_AIGC1_dX+(Inv_L*modelStruct.d_modelPar_LAIGC1_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGC1))+(Inv_NFIN*modelStruct.d_modelPar_NAIGC1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGC1))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGC1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGC1))+(Inv_W*modelStruct.d_modelPar_WAIGC1_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGC1))+(Inv_WL*modelStruct.d_modelPar_P2AIGC1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGC1));
instanceStruct.instanceVar_AIGC1_i = (((((modelStruct.modelPar_AIGC1+(Inv_L*modelStruct.modelPar_LAIGC1))+(Inv_NFIN*modelStruct.modelPar_NAIGC1))+(Inv_LNFIN*modelStruct.modelPar_PAIGC1))+(Inv_W*modelStruct.modelPar_WAIGC1))+(Inv_WL*modelStruct.modelPar_P2AIGC1));
}
{
instanceStruct.d_instanceVar_BIGC_i_dX = (((((modelStruct.d_modelPar_BIGC_dX+(Inv_L*modelStruct.d_modelPar_LBIGC_dX+d_Inv_L_dX*modelStruct.modelPar_LBIGC))+(Inv_NFIN*modelStruct.d_modelPar_NBIGC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBIGC))+(Inv_LNFIN*modelStruct.d_modelPar_PBIGC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBIGC))+(Inv_W*modelStruct.d_modelPar_WBIGC_dX+d_Inv_W_dX*modelStruct.modelPar_WBIGC))+(Inv_WL*modelStruct.d_modelPar_P2BIGC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BIGC));
instanceStruct.instanceVar_BIGC_i = (((((modelStruct.modelPar_BIGC+(Inv_L*modelStruct.modelPar_LBIGC))+(Inv_NFIN*modelStruct.modelPar_NBIGC))+(Inv_LNFIN*modelStruct.modelPar_PBIGC))+(Inv_W*modelStruct.modelPar_WBIGC))+(Inv_WL*modelStruct.modelPar_P2BIGC));
}
{
instanceStruct.d_instanceVar_CIGC_i_dX = (((((modelStruct.d_modelPar_CIGC_dX+(Inv_L*modelStruct.d_modelPar_LCIGC_dX+d_Inv_L_dX*modelStruct.modelPar_LCIGC))+(Inv_NFIN*modelStruct.d_modelPar_NCIGC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCIGC))+(Inv_LNFIN*modelStruct.d_modelPar_PCIGC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCIGC))+(Inv_W*modelStruct.d_modelPar_WCIGC_dX+d_Inv_W_dX*modelStruct.modelPar_WCIGC))+(Inv_WL*modelStruct.d_modelPar_P2CIGC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CIGC));
instanceStruct.instanceVar_CIGC_i = (((((modelStruct.modelPar_CIGC+(Inv_L*modelStruct.modelPar_LCIGC))+(Inv_NFIN*modelStruct.modelPar_NCIGC))+(Inv_LNFIN*modelStruct.modelPar_PCIGC))+(Inv_W*modelStruct.modelPar_WCIGC))+(Inv_WL*modelStruct.modelPar_P2CIGC));
}
{
instanceStruct.d_instanceVar_PIGCD_i_dX = (((((modelStruct.d_modelPar_PIGCD_dX+(Inv_L*modelStruct.d_modelPar_LPIGCD_dX+d_Inv_L_dX*modelStruct.modelPar_LPIGCD))+(Inv_NFIN*modelStruct.d_modelPar_NPIGCD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPIGCD))+(Inv_LNFIN*modelStruct.d_modelPar_PPIGCD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPIGCD))+(Inv_W*modelStruct.d_modelPar_WPIGCD_dX+d_Inv_W_dX*modelStruct.modelPar_WPIGCD))+(Inv_WL*modelStruct.d_modelPar_P2PIGCD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PIGCD));
instanceStruct.instanceVar_PIGCD_i = (((((modelStruct.modelPar_PIGCD+(Inv_L*modelStruct.modelPar_LPIGCD))+(Inv_NFIN*modelStruct.modelPar_NPIGCD))+(Inv_LNFIN*modelStruct.modelPar_PPIGCD))+(Inv_W*modelStruct.modelPar_WPIGCD))+(Inv_WL*modelStruct.modelPar_P2PIGCD));
}
{
instanceStruct.d_instanceVar_AIGS_i_dX = (((((modelStruct.d_modelPar_AIGS_dX+(Inv_L*modelStruct.d_modelPar_LAIGS_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGS))+(Inv_NFIN*modelStruct.d_modelPar_NAIGS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGS))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGS))+(Inv_W*modelStruct.d_modelPar_WAIGS_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGS))+(Inv_WL*modelStruct.d_modelPar_P2AIGS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGS));
instanceStruct.instanceVar_AIGS_i = (((((modelStruct.modelPar_AIGS+(Inv_L*modelStruct.modelPar_LAIGS))+(Inv_NFIN*modelStruct.modelPar_NAIGS))+(Inv_LNFIN*modelStruct.modelPar_PAIGS))+(Inv_W*modelStruct.modelPar_WAIGS))+(Inv_WL*modelStruct.modelPar_P2AIGS));
}
{
instanceStruct.d_instanceVar_AIGS1_i_dX = (((((modelStruct.d_modelPar_AIGS1_dX+(Inv_L*modelStruct.d_modelPar_LAIGS1_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGS1))+(Inv_NFIN*modelStruct.d_modelPar_NAIGS1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGS1))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGS1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGS1))+(Inv_W*modelStruct.d_modelPar_WAIGS1_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGS1))+(Inv_WL*modelStruct.d_modelPar_P2AIGS1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGS1));
instanceStruct.instanceVar_AIGS1_i = (((((modelStruct.modelPar_AIGS1+(Inv_L*modelStruct.modelPar_LAIGS1))+(Inv_NFIN*modelStruct.modelPar_NAIGS1))+(Inv_LNFIN*modelStruct.modelPar_PAIGS1))+(Inv_W*modelStruct.modelPar_WAIGS1))+(Inv_WL*modelStruct.modelPar_P2AIGS1));
}
{
instanceStruct.d_instanceVar_BIGS_i_dX = (((((modelStruct.d_modelPar_BIGS_dX+(Inv_L*modelStruct.d_modelPar_LBIGS_dX+d_Inv_L_dX*modelStruct.modelPar_LBIGS))+(Inv_NFIN*modelStruct.d_modelPar_NBIGS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBIGS))+(Inv_LNFIN*modelStruct.d_modelPar_PBIGS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBIGS))+(Inv_W*modelStruct.d_modelPar_WBIGS_dX+d_Inv_W_dX*modelStruct.modelPar_WBIGS))+(Inv_WL*modelStruct.d_modelPar_P2BIGS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BIGS));
instanceStruct.instanceVar_BIGS_i = (((((modelStruct.modelPar_BIGS+(Inv_L*modelStruct.modelPar_LBIGS))+(Inv_NFIN*modelStruct.modelPar_NBIGS))+(Inv_LNFIN*modelStruct.modelPar_PBIGS))+(Inv_W*modelStruct.modelPar_WBIGS))+(Inv_WL*modelStruct.modelPar_P2BIGS));
}
{
instanceStruct.d_instanceVar_CIGS_i_dX = (((((modelStruct.d_modelPar_CIGS_dX+(Inv_L*modelStruct.d_modelPar_LCIGS_dX+d_Inv_L_dX*modelStruct.modelPar_LCIGS))+(Inv_NFIN*modelStruct.d_modelPar_NCIGS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCIGS))+(Inv_LNFIN*modelStruct.d_modelPar_PCIGS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCIGS))+(Inv_W*modelStruct.d_modelPar_WCIGS_dX+d_Inv_W_dX*modelStruct.modelPar_WCIGS))+(Inv_WL*modelStruct.d_modelPar_P2CIGS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CIGS));
instanceStruct.instanceVar_CIGS_i = (((((modelStruct.modelPar_CIGS+(Inv_L*modelStruct.modelPar_LCIGS))+(Inv_NFIN*modelStruct.modelPar_NCIGS))+(Inv_LNFIN*modelStruct.modelPar_PCIGS))+(Inv_W*modelStruct.modelPar_WCIGS))+(Inv_WL*modelStruct.modelPar_P2CIGS));
}
{
instanceStruct.d_instanceVar_AIGD_i_dX = (((((modelStruct.d_modelPar_AIGD_dX+(Inv_L*modelStruct.d_modelPar_LAIGD_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGD))+(Inv_NFIN*modelStruct.d_modelPar_NAIGD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGD))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGD))+(Inv_W*modelStruct.d_modelPar_WAIGD_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGD))+(Inv_WL*modelStruct.d_modelPar_P2AIGD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGD));
instanceStruct.instanceVar_AIGD_i = (((((modelStruct.modelPar_AIGD+(Inv_L*modelStruct.modelPar_LAIGD))+(Inv_NFIN*modelStruct.modelPar_NAIGD))+(Inv_LNFIN*modelStruct.modelPar_PAIGD))+(Inv_W*modelStruct.modelPar_WAIGD))+(Inv_WL*modelStruct.modelPar_P2AIGD));
}
{
instanceStruct.d_instanceVar_AIGD1_i_dX = (((((modelStruct.d_modelPar_AIGD1_dX+(Inv_L*modelStruct.d_modelPar_LAIGD1_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGD1))+(Inv_NFIN*modelStruct.d_modelPar_NAIGD1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGD1))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGD1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGD1))+(Inv_W*modelStruct.d_modelPar_WAIGD1_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGD1))+(Inv_WL*modelStruct.d_modelPar_P2AIGD1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGD1));
instanceStruct.instanceVar_AIGD1_i = (((((modelStruct.modelPar_AIGD1+(Inv_L*modelStruct.modelPar_LAIGD1))+(Inv_NFIN*modelStruct.modelPar_NAIGD1))+(Inv_LNFIN*modelStruct.modelPar_PAIGD1))+(Inv_W*modelStruct.modelPar_WAIGD1))+(Inv_WL*modelStruct.modelPar_P2AIGD1));
}
{
instanceStruct.d_instanceVar_BIGD_i_dX = (((((modelStruct.d_modelPar_BIGD_dX+(Inv_L*modelStruct.d_modelPar_LBIGD_dX+d_Inv_L_dX*modelStruct.modelPar_LBIGD))+(Inv_NFIN*modelStruct.d_modelPar_NBIGD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBIGD))+(Inv_LNFIN*modelStruct.d_modelPar_PBIGD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBIGD))+(Inv_W*modelStruct.d_modelPar_WBIGD_dX+d_Inv_W_dX*modelStruct.modelPar_WBIGD))+(Inv_WL*modelStruct.d_modelPar_P2BIGD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BIGD));
instanceStruct.instanceVar_BIGD_i = (((((modelStruct.modelPar_BIGD+(Inv_L*modelStruct.modelPar_LBIGD))+(Inv_NFIN*modelStruct.modelPar_NBIGD))+(Inv_LNFIN*modelStruct.modelPar_PBIGD))+(Inv_W*modelStruct.modelPar_WBIGD))+(Inv_WL*modelStruct.modelPar_P2BIGD));
}
{
instanceStruct.d_instanceVar_CIGD_i_dX = (((((modelStruct.d_modelPar_CIGD_dX+(Inv_L*modelStruct.d_modelPar_LCIGD_dX+d_Inv_L_dX*modelStruct.modelPar_LCIGD))+(Inv_NFIN*modelStruct.d_modelPar_NCIGD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCIGD))+(Inv_LNFIN*modelStruct.d_modelPar_PCIGD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCIGD))+(Inv_W*modelStruct.d_modelPar_WCIGD_dX+d_Inv_W_dX*modelStruct.modelPar_WCIGD))+(Inv_WL*modelStruct.d_modelPar_P2CIGD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CIGD));
instanceStruct.instanceVar_CIGD_i = (((((modelStruct.modelPar_CIGD+(Inv_L*modelStruct.modelPar_LCIGD))+(Inv_NFIN*modelStruct.modelPar_NCIGD))+(Inv_LNFIN*modelStruct.modelPar_PCIGD))+(Inv_W*modelStruct.modelPar_WCIGD))+(Inv_WL*modelStruct.modelPar_P2CIGD));
}
{
d_NTOX_i_dX = (((((modelStruct.d_modelPar_NTOX_dX+(Inv_L*modelStruct.d_modelPar_LNTOX_dX+d_Inv_L_dX*modelStruct.modelPar_LNTOX))+(Inv_NFIN*modelStruct.d_modelPar_NNTOX_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNTOX))+(Inv_LNFIN*modelStruct.d_modelPar_PNTOX_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNTOX))+(Inv_W*modelStruct.d_modelPar_WNTOX_dX+d_Inv_W_dX*modelStruct.modelPar_WNTOX))+(Inv_WL*modelStruct.d_modelPar_P2NTOX_dX+d_Inv_WL_dX*modelStruct.modelPar_P2NTOX));
NTOX_i = (((((modelStruct.modelPar_NTOX+(Inv_L*modelStruct.modelPar_LNTOX))+(Inv_NFIN*modelStruct.modelPar_NNTOX))+(Inv_LNFIN*modelStruct.modelPar_PNTOX))+(Inv_W*modelStruct.modelPar_WNTOX))+(Inv_WL*modelStruct.modelPar_P2NTOX));
}
{
instanceStruct.d_instanceVar_POXEDGE_i_dX = (((((modelStruct.d_modelPar_POXEDGE_dX+(Inv_L*modelStruct.d_modelPar_LPOXEDGE_dX+d_Inv_L_dX*modelStruct.modelPar_LPOXEDGE))+(Inv_NFIN*modelStruct.d_modelPar_NPOXEDGE_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPOXEDGE))+(Inv_LNFIN*modelStruct.d_modelPar_PPOXEDGE_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPOXEDGE))+(Inv_W*modelStruct.d_modelPar_WPOXEDGE_dX+d_Inv_W_dX*modelStruct.modelPar_WPOXEDGE))+(Inv_WL*modelStruct.d_modelPar_P2POXEDGE_dX+d_Inv_WL_dX*modelStruct.modelPar_P2POXEDGE));
instanceStruct.instanceVar_POXEDGE_i = (((((modelStruct.modelPar_POXEDGE+(Inv_L*modelStruct.modelPar_LPOXEDGE))+(Inv_NFIN*modelStruct.modelPar_NPOXEDGE))+(Inv_LNFIN*modelStruct.modelPar_PPOXEDGE))+(Inv_W*modelStruct.modelPar_WPOXEDGE))+(Inv_WL*modelStruct.modelPar_P2POXEDGE));
}
{
instanceStruct.d_instanceVar_AGIDL_i_dX = (((((modelStruct.d_modelPar_AGIDL_dX+(Inv_L*modelStruct.d_modelPar_LAGIDL_dX+d_Inv_L_dX*modelStruct.modelPar_LAGIDL))+(Inv_NFIN*modelStruct.d_modelPar_NAGIDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAGIDL))+(Inv_LNFIN*modelStruct.d_modelPar_PAGIDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAGIDL))+(Inv_W*modelStruct.d_modelPar_WAGIDL_dX+d_Inv_W_dX*modelStruct.modelPar_WAGIDL))+(Inv_WL*modelStruct.d_modelPar_P2AGIDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AGIDL));
instanceStruct.instanceVar_AGIDL_i = (((((modelStruct.modelPar_AGIDL+(Inv_L*modelStruct.modelPar_LAGIDL))+(Inv_NFIN*modelStruct.modelPar_NAGIDL))+(Inv_LNFIN*modelStruct.modelPar_PAGIDL))+(Inv_W*modelStruct.modelPar_WAGIDL))+(Inv_WL*modelStruct.modelPar_P2AGIDL));
}
{
instanceStruct.d_instanceVar_BGIDL_i_dX = (((((modelStruct.d_modelPar_BGIDL_dX+(Inv_L*modelStruct.d_modelPar_LBGIDL_dX+d_Inv_L_dX*modelStruct.modelPar_LBGIDL))+(Inv_NFIN*modelStruct.d_modelPar_NBGIDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBGIDL))+(Inv_LNFIN*modelStruct.d_modelPar_PBGIDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBGIDL))+(Inv_W*modelStruct.d_modelPar_WBGIDL_dX+d_Inv_W_dX*modelStruct.modelPar_WBGIDL))+(Inv_WL*modelStruct.d_modelPar_P2BGIDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BGIDL));
instanceStruct.instanceVar_BGIDL_i = (((((modelStruct.modelPar_BGIDL+(Inv_L*modelStruct.modelPar_LBGIDL))+(Inv_NFIN*modelStruct.modelPar_NBGIDL))+(Inv_LNFIN*modelStruct.modelPar_PBGIDL))+(Inv_W*modelStruct.modelPar_WBGIDL))+(Inv_WL*modelStruct.modelPar_P2BGIDL));
}
{
instanceStruct.d_instanceVar_CGIDL_i_dX = (((((modelStruct.d_modelPar_CGIDL_dX+(Inv_L*modelStruct.d_modelPar_LCGIDL_dX+d_Inv_L_dX*modelStruct.modelPar_LCGIDL))+(Inv_NFIN*modelStruct.d_modelPar_NCGIDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGIDL))+(Inv_LNFIN*modelStruct.d_modelPar_PCGIDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGIDL))+(Inv_W*modelStruct.d_modelPar_WCGIDL_dX+d_Inv_W_dX*modelStruct.modelPar_WCGIDL))+(Inv_WL*modelStruct.d_modelPar_P2CGIDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGIDL));
instanceStruct.instanceVar_CGIDL_i = (((((modelStruct.modelPar_CGIDL+(Inv_L*modelStruct.modelPar_LCGIDL))+(Inv_NFIN*modelStruct.modelPar_NCGIDL))+(Inv_LNFIN*modelStruct.modelPar_PCGIDL))+(Inv_W*modelStruct.modelPar_WCGIDL))+(Inv_WL*modelStruct.modelPar_P2CGIDL));
}
{
instanceStruct.d_instanceVar_EGIDL_i_dX = (((((modelStruct.d_modelPar_EGIDL_dX+(Inv_L*modelStruct.d_modelPar_LEGIDL_dX+d_Inv_L_dX*modelStruct.modelPar_LEGIDL))+(Inv_NFIN*modelStruct.d_modelPar_NEGIDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEGIDL))+(Inv_LNFIN*modelStruct.d_modelPar_PEGIDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEGIDL))+(Inv_W*modelStruct.d_modelPar_WEGIDL_dX+d_Inv_W_dX*modelStruct.modelPar_WEGIDL))+(Inv_WL*modelStruct.d_modelPar_P2EGIDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EGIDL));
instanceStruct.instanceVar_EGIDL_i = (((((modelStruct.modelPar_EGIDL+(Inv_L*modelStruct.modelPar_LEGIDL))+(Inv_NFIN*modelStruct.modelPar_NEGIDL))+(Inv_LNFIN*modelStruct.modelPar_PEGIDL))+(Inv_W*modelStruct.modelPar_WEGIDL))+(Inv_WL*modelStruct.modelPar_P2EGIDL));
}
{
instanceStruct.d_instanceVar_PGIDL_i_dX = (((((modelStruct.d_modelPar_PGIDL_dX+(Inv_L*modelStruct.d_modelPar_LPGIDL_dX+d_Inv_L_dX*modelStruct.modelPar_LPGIDL))+(Inv_NFIN*modelStruct.d_modelPar_NPGIDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPGIDL))+(Inv_LNFIN*modelStruct.d_modelPar_PPGIDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPGIDL))+(Inv_W*modelStruct.d_modelPar_WPGIDL_dX+d_Inv_W_dX*modelStruct.modelPar_WPGIDL))+(Inv_WL*modelStruct.d_modelPar_P2PGIDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PGIDL));
instanceStruct.instanceVar_PGIDL_i = (((((modelStruct.modelPar_PGIDL+(Inv_L*modelStruct.modelPar_LPGIDL))+(Inv_NFIN*modelStruct.modelPar_NPGIDL))+(Inv_LNFIN*modelStruct.modelPar_PPGIDL))+(Inv_W*modelStruct.modelPar_WPGIDL))+(Inv_WL*modelStruct.modelPar_P2PGIDL));
}
{
instanceStruct.d_instanceVar_AGISL_i_dX = (((((modelStruct.d_modelPar_AGISL_dX+(Inv_L*modelStruct.d_modelPar_LAGISL_dX+d_Inv_L_dX*modelStruct.modelPar_LAGISL))+(Inv_NFIN*modelStruct.d_modelPar_NAGISL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAGISL))+(Inv_LNFIN*modelStruct.d_modelPar_PAGISL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAGISL))+(Inv_W*modelStruct.d_modelPar_WAGISL_dX+d_Inv_W_dX*modelStruct.modelPar_WAGISL))+(Inv_WL*modelStruct.d_modelPar_P2AGISL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AGISL));
instanceStruct.instanceVar_AGISL_i = (((((modelStruct.modelPar_AGISL+(Inv_L*modelStruct.modelPar_LAGISL))+(Inv_NFIN*modelStruct.modelPar_NAGISL))+(Inv_LNFIN*modelStruct.modelPar_PAGISL))+(Inv_W*modelStruct.modelPar_WAGISL))+(Inv_WL*modelStruct.modelPar_P2AGISL));
}
{
instanceStruct.d_instanceVar_BGISL_i_dX = (((((modelStruct.d_modelPar_BGISL_dX+(Inv_L*modelStruct.d_modelPar_LBGISL_dX+d_Inv_L_dX*modelStruct.modelPar_LBGISL))+(Inv_NFIN*modelStruct.d_modelPar_NBGISL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBGISL))+(Inv_LNFIN*modelStruct.d_modelPar_PBGISL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBGISL))+(Inv_W*modelStruct.d_modelPar_WBGISL_dX+d_Inv_W_dX*modelStruct.modelPar_WBGISL))+(Inv_WL*modelStruct.d_modelPar_P2BGISL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BGISL));
instanceStruct.instanceVar_BGISL_i = (((((modelStruct.modelPar_BGISL+(Inv_L*modelStruct.modelPar_LBGISL))+(Inv_NFIN*modelStruct.modelPar_NBGISL))+(Inv_LNFIN*modelStruct.modelPar_PBGISL))+(Inv_W*modelStruct.modelPar_WBGISL))+(Inv_WL*modelStruct.modelPar_P2BGISL));
}
{
instanceStruct.d_instanceVar_CGISL_i_dX = (((((modelStruct.d_modelPar_CGISL_dX+(Inv_L*modelStruct.d_modelPar_LCGISL_dX+d_Inv_L_dX*modelStruct.modelPar_LCGISL))+(Inv_NFIN*modelStruct.d_modelPar_NCGISL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGISL))+(Inv_LNFIN*modelStruct.d_modelPar_PCGISL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGISL))+(Inv_W*modelStruct.d_modelPar_WCGISL_dX+d_Inv_W_dX*modelStruct.modelPar_WCGISL))+(Inv_WL*modelStruct.d_modelPar_P2CGISL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGISL));
instanceStruct.instanceVar_CGISL_i = (((((modelStruct.modelPar_CGISL+(Inv_L*modelStruct.modelPar_LCGISL))+(Inv_NFIN*modelStruct.modelPar_NCGISL))+(Inv_LNFIN*modelStruct.modelPar_PCGISL))+(Inv_W*modelStruct.modelPar_WCGISL))+(Inv_WL*modelStruct.modelPar_P2CGISL));
}
{
instanceStruct.d_instanceVar_EGISL_i_dX = (((((modelStruct.d_modelPar_EGISL_dX+(Inv_L*modelStruct.d_modelPar_LEGISL_dX+d_Inv_L_dX*modelStruct.modelPar_LEGISL))+(Inv_NFIN*modelStruct.d_modelPar_NEGISL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEGISL))+(Inv_LNFIN*modelStruct.d_modelPar_PEGISL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEGISL))+(Inv_W*modelStruct.d_modelPar_WEGISL_dX+d_Inv_W_dX*modelStruct.modelPar_WEGISL))+(Inv_WL*modelStruct.d_modelPar_P2EGISL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EGISL));
instanceStruct.instanceVar_EGISL_i = (((((modelStruct.modelPar_EGISL+(Inv_L*modelStruct.modelPar_LEGISL))+(Inv_NFIN*modelStruct.modelPar_NEGISL))+(Inv_LNFIN*modelStruct.modelPar_PEGISL))+(Inv_W*modelStruct.modelPar_WEGISL))+(Inv_WL*modelStruct.modelPar_P2EGISL));
}
{
instanceStruct.d_instanceVar_PGISL_i_dX = (((((modelStruct.d_modelPar_PGISL_dX+(Inv_L*modelStruct.d_modelPar_LPGISL_dX+d_Inv_L_dX*modelStruct.modelPar_LPGISL))+(Inv_NFIN*modelStruct.d_modelPar_NPGISL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPGISL))+(Inv_LNFIN*modelStruct.d_modelPar_PPGISL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPGISL))+(Inv_W*modelStruct.d_modelPar_WPGISL_dX+d_Inv_W_dX*modelStruct.modelPar_WPGISL))+(Inv_WL*modelStruct.d_modelPar_P2PGISL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PGISL));
instanceStruct.instanceVar_PGISL_i = (((((modelStruct.modelPar_PGISL+(Inv_L*modelStruct.modelPar_LPGISL))+(Inv_NFIN*modelStruct.modelPar_NPGISL))+(Inv_LNFIN*modelStruct.modelPar_PPGISL))+(Inv_W*modelStruct.modelPar_WPGISL))+(Inv_WL*modelStruct.modelPar_P2PGISL));
}
{
instanceStruct.d_instanceVar_ALPHA0_i_dX = (((((modelStruct.d_modelPar_ALPHA0_dX+(Inv_L*modelStruct.d_modelPar_LALPHA0_dX+d_Inv_L_dX*modelStruct.modelPar_LALPHA0))+(Inv_NFIN*modelStruct.d_modelPar_NALPHA0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NALPHA0))+(Inv_LNFIN*modelStruct.d_modelPar_PALPHA0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PALPHA0))+(Inv_W*modelStruct.d_modelPar_WALPHA0_dX+d_Inv_W_dX*modelStruct.modelPar_WALPHA0))+(Inv_WL*modelStruct.d_modelPar_P2ALPHA0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ALPHA0));
instanceStruct.instanceVar_ALPHA0_i = (((((modelStruct.modelPar_ALPHA0+(Inv_L*modelStruct.modelPar_LALPHA0))+(Inv_NFIN*modelStruct.modelPar_NALPHA0))+(Inv_LNFIN*modelStruct.modelPar_PALPHA0))+(Inv_W*modelStruct.modelPar_WALPHA0))+(Inv_WL*modelStruct.modelPar_P2ALPHA0));
}
{
instanceStruct.d_instanceVar_ALPHA1_i_dX = (((((modelStruct.d_modelPar_ALPHA1_dX+(Inv_L*modelStruct.d_modelPar_LALPHA1_dX+d_Inv_L_dX*modelStruct.modelPar_LALPHA1))+(Inv_NFIN*modelStruct.d_modelPar_NALPHA1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NALPHA1))+(Inv_LNFIN*modelStruct.d_modelPar_PALPHA1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PALPHA1))+(Inv_W*modelStruct.d_modelPar_WALPHA1_dX+d_Inv_W_dX*modelStruct.modelPar_WALPHA1))+(Inv_WL*modelStruct.d_modelPar_P2ALPHA1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ALPHA1));
instanceStruct.instanceVar_ALPHA1_i = (((((modelStruct.modelPar_ALPHA1+(Inv_L*modelStruct.modelPar_LALPHA1))+(Inv_NFIN*modelStruct.modelPar_NALPHA1))+(Inv_LNFIN*modelStruct.modelPar_PALPHA1))+(Inv_W*modelStruct.modelPar_WALPHA1))+(Inv_WL*modelStruct.modelPar_P2ALPHA1));
}
{
instanceStruct.d_instanceVar_ALPHAII0_i_dX = (((((modelStruct.d_modelPar_ALPHAII0_dX+(Inv_L*modelStruct.d_modelPar_LALPHAII0_dX+d_Inv_L_dX*modelStruct.modelPar_LALPHAII0))+(Inv_NFIN*modelStruct.d_modelPar_NALPHAII0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NALPHAII0))+(Inv_LNFIN*modelStruct.d_modelPar_PALPHAII0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PALPHAII0))+(Inv_W*modelStruct.d_modelPar_WALPHAII0_dX+d_Inv_W_dX*modelStruct.modelPar_WALPHAII0))+(Inv_WL*modelStruct.d_modelPar_P2ALPHAII0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ALPHAII0));
instanceStruct.instanceVar_ALPHAII0_i = (((((modelStruct.modelPar_ALPHAII0+(Inv_L*modelStruct.modelPar_LALPHAII0))+(Inv_NFIN*modelStruct.modelPar_NALPHAII0))+(Inv_LNFIN*modelStruct.modelPar_PALPHAII0))+(Inv_W*modelStruct.modelPar_WALPHAII0))+(Inv_WL*modelStruct.modelPar_P2ALPHAII0));
}
{
instanceStruct.d_instanceVar_ALPHAII1_i_dX = (((((modelStruct.d_modelPar_ALPHAII1_dX+(Inv_L*modelStruct.d_modelPar_LALPHAII1_dX+d_Inv_L_dX*modelStruct.modelPar_LALPHAII1))+(Inv_NFIN*modelStruct.d_modelPar_NALPHAII1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NALPHAII1))+(Inv_LNFIN*modelStruct.d_modelPar_PALPHAII1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PALPHAII1))+(Inv_W*modelStruct.d_modelPar_WALPHAII1_dX+d_Inv_W_dX*modelStruct.modelPar_WALPHAII1))+(Inv_WL*modelStruct.d_modelPar_P2ALPHAII1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ALPHAII1));
instanceStruct.instanceVar_ALPHAII1_i = (((((modelStruct.modelPar_ALPHAII1+(Inv_L*modelStruct.modelPar_LALPHAII1))+(Inv_NFIN*modelStruct.modelPar_NALPHAII1))+(Inv_LNFIN*modelStruct.modelPar_PALPHAII1))+(Inv_W*modelStruct.modelPar_WALPHAII1))+(Inv_WL*modelStruct.modelPar_P2ALPHAII1));
}
{
instanceStruct.d_instanceVar_BETA0_i_dX = (((((modelStruct.d_modelPar_BETA0_dX+(Inv_L*modelStruct.d_modelPar_LBETA0_dX+d_Inv_L_dX*modelStruct.modelPar_LBETA0))+(Inv_NFIN*modelStruct.d_modelPar_NBETA0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBETA0))+(Inv_LNFIN*modelStruct.d_modelPar_PBETA0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBETA0))+(Inv_W*modelStruct.d_modelPar_WBETA0_dX+d_Inv_W_dX*modelStruct.modelPar_WBETA0))+(Inv_WL*modelStruct.d_modelPar_P2BETA0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BETA0));
instanceStruct.instanceVar_BETA0_i = (((((modelStruct.modelPar_BETA0+(Inv_L*modelStruct.modelPar_LBETA0))+(Inv_NFIN*modelStruct.modelPar_NBETA0))+(Inv_LNFIN*modelStruct.modelPar_PBETA0))+(Inv_W*modelStruct.modelPar_WBETA0))+(Inv_WL*modelStruct.modelPar_P2BETA0));
}
{
instanceStruct.d_instanceVar_BETAII0_i_dX = (((((modelStruct.d_modelPar_BETAII0_dX+(Inv_L*modelStruct.d_modelPar_LBETAII0_dX+d_Inv_L_dX*modelStruct.modelPar_LBETAII0))+(Inv_NFIN*modelStruct.d_modelPar_NBETAII0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBETAII0))+(Inv_LNFIN*modelStruct.d_modelPar_PBETAII0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBETAII0))+(Inv_W*modelStruct.d_modelPar_WBETAII0_dX+d_Inv_W_dX*modelStruct.modelPar_WBETAII0))+(Inv_WL*modelStruct.d_modelPar_P2BETAII0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BETAII0));
instanceStruct.instanceVar_BETAII0_i = (((((modelStruct.modelPar_BETAII0+(Inv_L*modelStruct.modelPar_LBETAII0))+(Inv_NFIN*modelStruct.modelPar_NBETAII0))+(Inv_LNFIN*modelStruct.modelPar_PBETAII0))+(Inv_W*modelStruct.modelPar_WBETAII0))+(Inv_WL*modelStruct.modelPar_P2BETAII0));
}
{
instanceStruct.d_instanceVar_BETAII1_i_dX = (((((modelStruct.d_modelPar_BETAII1_dX+(Inv_L*modelStruct.d_modelPar_LBETAII1_dX+d_Inv_L_dX*modelStruct.modelPar_LBETAII1))+(Inv_NFIN*modelStruct.d_modelPar_NBETAII1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBETAII1))+(Inv_LNFIN*modelStruct.d_modelPar_PBETAII1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBETAII1))+(Inv_W*modelStruct.d_modelPar_WBETAII1_dX+d_Inv_W_dX*modelStruct.modelPar_WBETAII1))+(Inv_WL*modelStruct.d_modelPar_P2BETAII1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BETAII1));
instanceStruct.instanceVar_BETAII1_i = (((((modelStruct.modelPar_BETAII1+(Inv_L*modelStruct.modelPar_LBETAII1))+(Inv_NFIN*modelStruct.modelPar_NBETAII1))+(Inv_LNFIN*modelStruct.modelPar_PBETAII1))+(Inv_W*modelStruct.modelPar_WBETAII1))+(Inv_WL*modelStruct.modelPar_P2BETAII1));
}
{
instanceStruct.d_instanceVar_BETAII2_i_dX = (((((modelStruct.d_modelPar_BETAII2_dX+(Inv_L*modelStruct.d_modelPar_LBETAII2_dX+d_Inv_L_dX*modelStruct.modelPar_LBETAII2))+(Inv_NFIN*modelStruct.d_modelPar_NBETAII2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBETAII2))+(Inv_LNFIN*modelStruct.d_modelPar_PBETAII2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBETAII2))+(Inv_W*modelStruct.d_modelPar_WBETAII2_dX+d_Inv_W_dX*modelStruct.modelPar_WBETAII2))+(Inv_WL*modelStruct.d_modelPar_P2BETAII2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BETAII2));
instanceStruct.instanceVar_BETAII2_i = (((((modelStruct.modelPar_BETAII2+(Inv_L*modelStruct.modelPar_LBETAII2))+(Inv_NFIN*modelStruct.modelPar_NBETAII2))+(Inv_LNFIN*modelStruct.modelPar_PBETAII2))+(Inv_W*modelStruct.modelPar_WBETAII2))+(Inv_WL*modelStruct.modelPar_P2BETAII2));
}
{
instanceStruct.d_instanceVar_ESATII_i_dX = (((((modelStruct.d_modelPar_ESATII_dX+(Inv_L*modelStruct.d_modelPar_LESATII_dX+d_Inv_L_dX*modelStruct.modelPar_LESATII))+(Inv_NFIN*modelStruct.d_modelPar_NESATII_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NESATII))+(Inv_LNFIN*modelStruct.d_modelPar_PESATII_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PESATII))+(Inv_W*modelStruct.d_modelPar_WESATII_dX+d_Inv_W_dX*modelStruct.modelPar_WESATII))+(Inv_WL*modelStruct.d_modelPar_P2ESATII_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ESATII));
instanceStruct.instanceVar_ESATII_i = (((((modelStruct.modelPar_ESATII+(Inv_L*modelStruct.modelPar_LESATII))+(Inv_NFIN*modelStruct.modelPar_NESATII))+(Inv_LNFIN*modelStruct.modelPar_PESATII))+(Inv_W*modelStruct.modelPar_WESATII))+(Inv_WL*modelStruct.modelPar_P2ESATII));
}
{
instanceStruct.d_instanceVar_LII_i_dX = (((((modelStruct.d_modelPar_LII_dX+(Inv_L*modelStruct.d_modelPar_LLII_dX+d_Inv_L_dX*modelStruct.modelPar_LLII))+(Inv_NFIN*modelStruct.d_modelPar_NLII_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NLII))+(Inv_LNFIN*modelStruct.d_modelPar_PLII_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PLII))+(Inv_W*modelStruct.d_modelPar_WLII_dX+d_Inv_W_dX*modelStruct.modelPar_WLII))+(Inv_WL*modelStruct.d_modelPar_P2LII_dX+d_Inv_WL_dX*modelStruct.modelPar_P2LII));
instanceStruct.instanceVar_LII_i = (((((modelStruct.modelPar_LII+(Inv_L*modelStruct.modelPar_LLII))+(Inv_NFIN*modelStruct.modelPar_NLII))+(Inv_LNFIN*modelStruct.modelPar_PLII))+(Inv_W*modelStruct.modelPar_WLII))+(Inv_WL*modelStruct.modelPar_P2LII));
}
{
instanceStruct.d_instanceVar_SII0_i_dX = (((((modelStruct.d_modelPar_SII0_dX+(Inv_L*modelStruct.d_modelPar_LSII0_dX+d_Inv_L_dX*modelStruct.modelPar_LSII0))+(Inv_NFIN*modelStruct.d_modelPar_NSII0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSII0))+(Inv_LNFIN*modelStruct.d_modelPar_PSII0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSII0))+(Inv_W*modelStruct.d_modelPar_WSII0_dX+d_Inv_W_dX*modelStruct.modelPar_WSII0))+(Inv_WL*modelStruct.d_modelPar_P2SII0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SII0));
instanceStruct.instanceVar_SII0_i = (((((modelStruct.modelPar_SII0+(Inv_L*modelStruct.modelPar_LSII0))+(Inv_NFIN*modelStruct.modelPar_NSII0))+(Inv_LNFIN*modelStruct.modelPar_PSII0))+(Inv_W*modelStruct.modelPar_WSII0))+(Inv_WL*modelStruct.modelPar_P2SII0));
}
{
instanceStruct.d_instanceVar_SII1_i_dX = (((((modelStruct.d_modelPar_SII1_dX+(Inv_L*modelStruct.d_modelPar_LSII1_dX+d_Inv_L_dX*modelStruct.modelPar_LSII1))+(Inv_NFIN*modelStruct.d_modelPar_NSII1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSII1))+(Inv_LNFIN*modelStruct.d_modelPar_PSII1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSII1))+(Inv_W*modelStruct.d_modelPar_WSII1_dX+d_Inv_W_dX*modelStruct.modelPar_WSII1))+(Inv_WL*modelStruct.d_modelPar_P2SII1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SII1));
instanceStruct.instanceVar_SII1_i = (((((modelStruct.modelPar_SII1+(Inv_L*modelStruct.modelPar_LSII1))+(Inv_NFIN*modelStruct.modelPar_NSII1))+(Inv_LNFIN*modelStruct.modelPar_PSII1))+(Inv_W*modelStruct.modelPar_WSII1))+(Inv_WL*modelStruct.modelPar_P2SII1));
}
{
instanceStruct.d_instanceVar_SII2_i_dX = (((((modelStruct.d_modelPar_SII2_dX+(Inv_L*modelStruct.d_modelPar_LSII2_dX+d_Inv_L_dX*modelStruct.modelPar_LSII2))+(Inv_NFIN*modelStruct.d_modelPar_NSII2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSII2))+(Inv_LNFIN*modelStruct.d_modelPar_PSII2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSII2))+(Inv_W*modelStruct.d_modelPar_WSII2_dX+d_Inv_W_dX*modelStruct.modelPar_WSII2))+(Inv_WL*modelStruct.d_modelPar_P2SII2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SII2));
instanceStruct.instanceVar_SII2_i = (((((modelStruct.modelPar_SII2+(Inv_L*modelStruct.modelPar_LSII2))+(Inv_NFIN*modelStruct.modelPar_NSII2))+(Inv_LNFIN*modelStruct.modelPar_PSII2))+(Inv_W*modelStruct.modelPar_WSII2))+(Inv_WL*modelStruct.modelPar_P2SII2));
}
{
instanceStruct.d_instanceVar_SIID_i_dX = (((((modelStruct.d_modelPar_SIID_dX+(Inv_L*modelStruct.d_modelPar_LSIID_dX+d_Inv_L_dX*modelStruct.modelPar_LSIID))+(Inv_NFIN*modelStruct.d_modelPar_NSIID_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSIID))+(Inv_LNFIN*modelStruct.d_modelPar_PSIID_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSIID))+(Inv_W*modelStruct.d_modelPar_WSIID_dX+d_Inv_W_dX*modelStruct.modelPar_WSIID))+(Inv_WL*modelStruct.d_modelPar_P2SIID_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SIID));
instanceStruct.instanceVar_SIID_i = (((((modelStruct.modelPar_SIID+(Inv_L*modelStruct.modelPar_LSIID))+(Inv_NFIN*modelStruct.modelPar_NSIID))+(Inv_LNFIN*modelStruct.modelPar_PSIID))+(Inv_W*modelStruct.modelPar_WSIID))+(Inv_WL*modelStruct.modelPar_P2SIID));
}
{
instanceStruct.d_instanceVar_TII_i_dX = (((((modelStruct.d_modelPar_TII_dX+(Inv_L*modelStruct.d_modelPar_LTII_dX+d_Inv_L_dX*modelStruct.modelPar_LTII))+(Inv_NFIN*modelStruct.d_modelPar_NTII_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NTII))+(Inv_LNFIN*modelStruct.d_modelPar_PTII_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PTII))+(Inv_W*modelStruct.d_modelPar_WTII_dX+d_Inv_W_dX*modelStruct.modelPar_WTII))+(Inv_WL*modelStruct.d_modelPar_P2TII_dX+d_Inv_WL_dX*modelStruct.modelPar_P2TII));
instanceStruct.instanceVar_TII_i = (((((modelStruct.modelPar_TII+(Inv_L*modelStruct.modelPar_LTII))+(Inv_NFIN*modelStruct.modelPar_NTII))+(Inv_LNFIN*modelStruct.modelPar_PTII))+(Inv_W*modelStruct.modelPar_WTII))+(Inv_WL*modelStruct.modelPar_P2TII));
}
{
instanceStruct.d_instanceVar_CFS_i_dX = (((((modelStruct.d_modelPar_CFS_dX+(Inv_L*modelStruct.d_modelPar_LCFS_dX+d_Inv_L_dX*modelStruct.modelPar_LCFS))+(Inv_NFIN*modelStruct.d_modelPar_NCFS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCFS))+(Inv_LNFIN*modelStruct.d_modelPar_PCFS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCFS))+(Inv_W*modelStruct.d_modelPar_WCFS_dX+d_Inv_W_dX*modelStruct.modelPar_WCFS))+(Inv_WL*modelStruct.d_modelPar_P2CFS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CFS));
instanceStruct.instanceVar_CFS_i = (((((modelStruct.modelPar_CFS+(Inv_L*modelStruct.modelPar_LCFS))+(Inv_NFIN*modelStruct.modelPar_NCFS))+(Inv_LNFIN*modelStruct.modelPar_PCFS))+(Inv_W*modelStruct.modelPar_WCFS))+(Inv_WL*modelStruct.modelPar_P2CFS));
}
{
instanceStruct.d_instanceVar_CFD_i_dX = (((((modelStruct.d_modelPar_CFD_dX+(Inv_L*modelStruct.d_modelPar_LCFD_dX+d_Inv_L_dX*modelStruct.modelPar_LCFD))+(Inv_NFIN*modelStruct.d_modelPar_NCFD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCFD))+(Inv_LNFIN*modelStruct.d_modelPar_PCFD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCFD))+(Inv_W*modelStruct.d_modelPar_WCFD_dX+d_Inv_W_dX*modelStruct.modelPar_WCFD))+(Inv_WL*modelStruct.d_modelPar_P2CFD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CFD));
instanceStruct.instanceVar_CFD_i = (((((modelStruct.modelPar_CFD+(Inv_L*modelStruct.modelPar_LCFD))+(Inv_NFIN*modelStruct.modelPar_NCFD))+(Inv_LNFIN*modelStruct.modelPar_PCFD))+(Inv_W*modelStruct.modelPar_WCFD))+(Inv_WL*modelStruct.modelPar_P2CFD));
}
{
instanceStruct.d_instanceVar_COVS_i_dX = (((((instanceStruct.d_instancePar_COVS_dX+(Inv_L*modelStruct.d_modelPar_LCOVS_dX+d_Inv_L_dX*modelStruct.modelPar_LCOVS))+(Inv_NFIN*modelStruct.d_modelPar_NCOVS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCOVS))+(Inv_LNFIN*modelStruct.d_modelPar_PCOVS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCOVS))+(Inv_W*modelStruct.d_modelPar_WCOVS_dX+d_Inv_W_dX*modelStruct.modelPar_WCOVS))+(Inv_WL*modelStruct.d_modelPar_P2COVS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2COVS));
instanceStruct.instanceVar_COVS_i = (((((instanceStruct.instancePar_COVS+(Inv_L*modelStruct.modelPar_LCOVS))+(Inv_NFIN*modelStruct.modelPar_NCOVS))+(Inv_LNFIN*modelStruct.modelPar_PCOVS))+(Inv_W*modelStruct.modelPar_WCOVS))+(Inv_WL*modelStruct.modelPar_P2COVS));
}
{
instanceStruct.d_instanceVar_COVD_i_dX = (((((instanceStruct.d_instancePar_COVD_dX+(Inv_L*modelStruct.d_modelPar_LCOVD_dX+d_Inv_L_dX*modelStruct.modelPar_LCOVD))+(Inv_NFIN*modelStruct.d_modelPar_NCOVD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCOVD))+(Inv_LNFIN*modelStruct.d_modelPar_PCOVD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCOVD))+(Inv_W*modelStruct.d_modelPar_WCOVD_dX+d_Inv_W_dX*modelStruct.modelPar_WCOVD))+(Inv_WL*modelStruct.d_modelPar_P2COVD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2COVD));
instanceStruct.instanceVar_COVD_i = (((((instanceStruct.instancePar_COVD+(Inv_L*modelStruct.modelPar_LCOVD))+(Inv_NFIN*modelStruct.modelPar_NCOVD))+(Inv_LNFIN*modelStruct.modelPar_PCOVD))+(Inv_W*modelStruct.modelPar_WCOVD))+(Inv_WL*modelStruct.modelPar_P2COVD));
}
{
instanceStruct.d_instanceVar_CGSL_i_dX = (((((modelStruct.d_modelPar_CGSL_dX+(Inv_L*modelStruct.d_modelPar_LCGSL_dX+d_Inv_L_dX*modelStruct.modelPar_LCGSL))+(Inv_NFIN*modelStruct.d_modelPar_NCGSL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGSL))+(Inv_LNFIN*modelStruct.d_modelPar_PCGSL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGSL))+(Inv_W*modelStruct.d_modelPar_WCGSL_dX+d_Inv_W_dX*modelStruct.modelPar_WCGSL))+(Inv_WL*modelStruct.d_modelPar_P2CGSL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGSL));
instanceStruct.instanceVar_CGSL_i = (((((modelStruct.modelPar_CGSL+(Inv_L*modelStruct.modelPar_LCGSL))+(Inv_NFIN*modelStruct.modelPar_NCGSL))+(Inv_LNFIN*modelStruct.modelPar_PCGSL))+(Inv_W*modelStruct.modelPar_WCGSL))+(Inv_WL*modelStruct.modelPar_P2CGSL));
}
{
instanceStruct.d_instanceVar_CGDL_i_dX = (((((modelStruct.d_modelPar_CGDL_dX+(Inv_L*modelStruct.d_modelPar_LCGDL_dX+d_Inv_L_dX*modelStruct.modelPar_LCGDL))+(Inv_NFIN*modelStruct.d_modelPar_NCGDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGDL))+(Inv_LNFIN*modelStruct.d_modelPar_PCGDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGDL))+(Inv_W*modelStruct.d_modelPar_WCGDL_dX+d_Inv_W_dX*modelStruct.modelPar_WCGDL))+(Inv_WL*modelStruct.d_modelPar_P2CGDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGDL));
instanceStruct.instanceVar_CGDL_i = (((((modelStruct.modelPar_CGDL+(Inv_L*modelStruct.modelPar_LCGDL))+(Inv_NFIN*modelStruct.modelPar_NCGDL))+(Inv_LNFIN*modelStruct.modelPar_PCGDL))+(Inv_W*modelStruct.modelPar_WCGDL))+(Inv_WL*modelStruct.modelPar_P2CGDL));
}
{
instanceStruct.d_instanceVar_CGBL_i_dX = (((((modelStruct.d_modelPar_CGBL_dX+(Inv_L*modelStruct.d_modelPar_LCGBL_dX+d_Inv_L_dX*modelStruct.modelPar_LCGBL))+(Inv_NFIN*modelStruct.d_modelPar_NCGBL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGBL))+(Inv_LNFIN*modelStruct.d_modelPar_PCGBL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGBL))+(Inv_W*modelStruct.d_modelPar_WCGBL_dX+d_Inv_W_dX*modelStruct.modelPar_WCGBL))+(Inv_WL*modelStruct.d_modelPar_P2CGBL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGBL));
instanceStruct.instanceVar_CGBL_i = (((((modelStruct.modelPar_CGBL+(Inv_L*modelStruct.modelPar_LCGBL))+(Inv_NFIN*modelStruct.modelPar_NCGBL))+(Inv_LNFIN*modelStruct.modelPar_PCGBL))+(Inv_W*modelStruct.modelPar_WCGBL))+(Inv_WL*modelStruct.modelPar_P2CGBL));
}
{
instanceStruct.d_instanceVar_CKAPPAS_i_dX = (((((modelStruct.d_modelPar_CKAPPAS_dX+(Inv_L*modelStruct.d_modelPar_LCKAPPAS_dX+d_Inv_L_dX*modelStruct.modelPar_LCKAPPAS))+(Inv_NFIN*modelStruct.d_modelPar_NCKAPPAS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCKAPPAS))+(Inv_LNFIN*modelStruct.d_modelPar_PCKAPPAS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCKAPPAS))+(Inv_W*modelStruct.d_modelPar_WCKAPPAS_dX+d_Inv_W_dX*modelStruct.modelPar_WCKAPPAS))+(Inv_WL*modelStruct.d_modelPar_P2CKAPPAS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CKAPPAS));
instanceStruct.instanceVar_CKAPPAS_i = (((((modelStruct.modelPar_CKAPPAS+(Inv_L*modelStruct.modelPar_LCKAPPAS))+(Inv_NFIN*modelStruct.modelPar_NCKAPPAS))+(Inv_LNFIN*modelStruct.modelPar_PCKAPPAS))+(Inv_W*modelStruct.modelPar_WCKAPPAS))+(Inv_WL*modelStruct.modelPar_P2CKAPPAS));
}
{
instanceStruct.d_instanceVar_CKAPPAD_i_dX = (((((modelStruct.d_modelPar_CKAPPAD_dX+(Inv_L*modelStruct.d_modelPar_LCKAPPAD_dX+d_Inv_L_dX*modelStruct.modelPar_LCKAPPAD))+(Inv_NFIN*modelStruct.d_modelPar_NCKAPPAD_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCKAPPAD))+(Inv_LNFIN*modelStruct.d_modelPar_PCKAPPAD_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCKAPPAD))+(Inv_W*modelStruct.d_modelPar_WCKAPPAD_dX+d_Inv_W_dX*modelStruct.modelPar_WCKAPPAD))+(Inv_WL*modelStruct.d_modelPar_P2CKAPPAD_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CKAPPAD));
instanceStruct.instanceVar_CKAPPAD_i = (((((modelStruct.modelPar_CKAPPAD+(Inv_L*modelStruct.modelPar_LCKAPPAD))+(Inv_NFIN*modelStruct.modelPar_NCKAPPAD))+(Inv_LNFIN*modelStruct.modelPar_PCKAPPAD))+(Inv_W*modelStruct.modelPar_WCKAPPAD))+(Inv_WL*modelStruct.modelPar_P2CKAPPAD));
}
{
instanceStruct.d_instanceVar_CKAPPAB_i_dX = (((((modelStruct.d_modelPar_CKAPPAB_dX+(Inv_L*modelStruct.d_modelPar_LCKAPPAB_dX+d_Inv_L_dX*modelStruct.modelPar_LCKAPPAB))+(Inv_NFIN*modelStruct.d_modelPar_NCKAPPAB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCKAPPAB))+(Inv_LNFIN*modelStruct.d_modelPar_PCKAPPAB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCKAPPAB))+(Inv_W*modelStruct.d_modelPar_WCKAPPAB_dX+d_Inv_W_dX*modelStruct.modelPar_WCKAPPAB))+(Inv_WL*modelStruct.d_modelPar_P2CKAPPAB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CKAPPAB));
instanceStruct.instanceVar_CKAPPAB_i = (((((modelStruct.modelPar_CKAPPAB+(Inv_L*modelStruct.modelPar_LCKAPPAB))+(Inv_NFIN*modelStruct.modelPar_NCKAPPAB))+(Inv_LNFIN*modelStruct.modelPar_PCKAPPAB))+(Inv_W*modelStruct.modelPar_WCKAPPAB))+(Inv_WL*modelStruct.modelPar_P2CKAPPAB));
}
{
instanceStruct.d_instanceVar_NTGEN_i_dX = (((((modelStruct.d_modelPar_NTGEN_dX+(Inv_L*modelStruct.d_modelPar_LNTGEN_dX+d_Inv_L_dX*modelStruct.modelPar_LNTGEN))+(Inv_NFIN*modelStruct.d_modelPar_NNTGEN_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNTGEN))+(Inv_LNFIN*modelStruct.d_modelPar_PNTGEN_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNTGEN))+(Inv_W*modelStruct.d_modelPar_WNTGEN_dX+d_Inv_W_dX*modelStruct.modelPar_WNTGEN))+(Inv_WL*modelStruct.d_modelPar_P2NTGEN_dX+d_Inv_WL_dX*modelStruct.modelPar_P2NTGEN));
instanceStruct.instanceVar_NTGEN_i = (((((modelStruct.modelPar_NTGEN+(Inv_L*modelStruct.modelPar_LNTGEN))+(Inv_NFIN*modelStruct.modelPar_NNTGEN))+(Inv_LNFIN*modelStruct.modelPar_PNTGEN))+(Inv_W*modelStruct.modelPar_WNTGEN))+(Inv_WL*modelStruct.modelPar_P2NTGEN));
}
{
instanceStruct.d_instanceVar_AIGEN_i_dX = (((((modelStruct.d_modelPar_AIGEN_dX+(Inv_L*modelStruct.d_modelPar_LAIGEN_dX+d_Inv_L_dX*modelStruct.modelPar_LAIGEN))+(Inv_NFIN*modelStruct.d_modelPar_NAIGEN_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAIGEN))+(Inv_LNFIN*modelStruct.d_modelPar_PAIGEN_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAIGEN))+(Inv_W*modelStruct.d_modelPar_WAIGEN_dX+d_Inv_W_dX*modelStruct.modelPar_WAIGEN))+(Inv_WL*modelStruct.d_modelPar_P2AIGEN_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AIGEN));
instanceStruct.instanceVar_AIGEN_i = (((((modelStruct.modelPar_AIGEN+(Inv_L*modelStruct.modelPar_LAIGEN))+(Inv_NFIN*modelStruct.modelPar_NAIGEN))+(Inv_LNFIN*modelStruct.modelPar_PAIGEN))+(Inv_W*modelStruct.modelPar_WAIGEN))+(Inv_WL*modelStruct.modelPar_P2AIGEN));
}
{
instanceStruct.d_instanceVar_BIGEN_i_dX = (((((modelStruct.d_modelPar_BIGEN_dX+(Inv_L*modelStruct.d_modelPar_LBIGEN_dX+d_Inv_L_dX*modelStruct.modelPar_LBIGEN))+(Inv_NFIN*modelStruct.d_modelPar_NBIGEN_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBIGEN))+(Inv_LNFIN*modelStruct.d_modelPar_PBIGEN_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBIGEN))+(Inv_W*modelStruct.d_modelPar_WBIGEN_dX+d_Inv_W_dX*modelStruct.modelPar_WBIGEN))+(Inv_WL*modelStruct.d_modelPar_P2BIGEN_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BIGEN));
instanceStruct.instanceVar_BIGEN_i = (((((modelStruct.modelPar_BIGEN+(Inv_L*modelStruct.modelPar_LBIGEN))+(Inv_NFIN*modelStruct.modelPar_NBIGEN))+(Inv_LNFIN*modelStruct.modelPar_PBIGEN))+(Inv_W*modelStruct.modelPar_WBIGEN))+(Inv_WL*modelStruct.modelPar_P2BIGEN));
}
{
instanceStruct.d_instanceVar_UTE_i_dX = (((((modelStruct.d_modelPar_UTE_dX+(Inv_L*modelStruct.d_modelPar_LUTE_dX+d_Inv_L_dX*modelStruct.modelPar_LUTE))+(Inv_NFIN*modelStruct.d_modelPar_NUTE_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTE))+(Inv_LNFIN*modelStruct.d_modelPar_PUTE_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTE))+(Inv_W*modelStruct.d_modelPar_WUTE_dX+d_Inv_W_dX*modelStruct.modelPar_WUTE))+(Inv_WL*modelStruct.d_modelPar_P2UTE_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTE));
instanceStruct.instanceVar_UTE_i = (((((modelStruct.modelPar_UTE+(Inv_L*modelStruct.modelPar_LUTE))+(Inv_NFIN*modelStruct.modelPar_NUTE))+(Inv_LNFIN*modelStruct.modelPar_PUTE))+(Inv_W*modelStruct.modelPar_WUTE))+(Inv_WL*modelStruct.modelPar_P2UTE));
}
{
instanceStruct.d_instanceVar_UTE1_i_dX = (((((modelStruct.d_modelPar_UTE1_dX+(Inv_L*modelStruct.d_modelPar_LUTE1_dX+d_Inv_L_dX*modelStruct.modelPar_LUTE1))+(Inv_NFIN*modelStruct.d_modelPar_NUTE1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTE1))+(Inv_LNFIN*modelStruct.d_modelPar_PUTE1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTE1))+(Inv_W*modelStruct.d_modelPar_WUTE1_dX+d_Inv_W_dX*modelStruct.modelPar_WUTE1))+(Inv_WL*modelStruct.d_modelPar_P2UTE1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTE1));
instanceStruct.instanceVar_UTE1_i = (((((modelStruct.modelPar_UTE1+(Inv_L*modelStruct.modelPar_LUTE1))+(Inv_NFIN*modelStruct.modelPar_NUTE1))+(Inv_LNFIN*modelStruct.modelPar_PUTE1))+(Inv_W*modelStruct.modelPar_WUTE1))+(Inv_WL*modelStruct.modelPar_P2UTE1));
}
{
instanceStruct.d_instanceVar_UTL_i_dX = (((((modelStruct.d_modelPar_UTL_dX+(Inv_L*modelStruct.d_modelPar_LUTL_dX+d_Inv_L_dX*modelStruct.modelPar_LUTL))+(Inv_NFIN*modelStruct.d_modelPar_NUTL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTL))+(Inv_LNFIN*modelStruct.d_modelPar_PUTL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTL))+(Inv_W*modelStruct.d_modelPar_WUTL_dX+d_Inv_W_dX*modelStruct.modelPar_WUTL))+(Inv_WL*modelStruct.d_modelPar_P2UTL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTL));
instanceStruct.instanceVar_UTL_i = (((((modelStruct.modelPar_UTL+(Inv_L*modelStruct.modelPar_LUTL))+(Inv_NFIN*modelStruct.modelPar_NUTL))+(Inv_LNFIN*modelStruct.modelPar_PUTL))+(Inv_W*modelStruct.modelPar_WUTL))+(Inv_WL*modelStruct.modelPar_P2UTL));
}
{
instanceStruct.d_instanceVar_EMOBT_i_dX = (((((modelStruct.d_modelPar_EMOBT_dX+(Inv_L*modelStruct.d_modelPar_LEMOBT_dX+d_Inv_L_dX*modelStruct.modelPar_LEMOBT))+(Inv_NFIN*modelStruct.d_modelPar_NEMOBT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEMOBT))+(Inv_LNFIN*modelStruct.d_modelPar_PEMOBT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEMOBT))+(Inv_W*modelStruct.d_modelPar_WEMOBT_dX+d_Inv_W_dX*modelStruct.modelPar_WEMOBT))+(Inv_WL*modelStruct.d_modelPar_P2EMOBT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EMOBT));
instanceStruct.instanceVar_EMOBT_i = (((((modelStruct.modelPar_EMOBT+(Inv_L*modelStruct.modelPar_LEMOBT))+(Inv_NFIN*modelStruct.modelPar_NEMOBT))+(Inv_LNFIN*modelStruct.modelPar_PEMOBT))+(Inv_W*modelStruct.modelPar_WEMOBT))+(Inv_WL*modelStruct.modelPar_P2EMOBT));
}
{
instanceStruct.d_instanceVar_UA1_i_dX = (((((modelStruct.d_modelPar_UA1_dX+(Inv_L*modelStruct.d_modelPar_LUA1_dX+d_Inv_L_dX*modelStruct.modelPar_LUA1))+(Inv_NFIN*modelStruct.d_modelPar_NUA1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUA1))+(Inv_LNFIN*modelStruct.d_modelPar_PUA1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUA1))+(Inv_W*modelStruct.d_modelPar_WUA1_dX+d_Inv_W_dX*modelStruct.modelPar_WUA1))+(Inv_WL*modelStruct.d_modelPar_P2UA1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UA1));
instanceStruct.instanceVar_UA1_i = (((((modelStruct.modelPar_UA1+(Inv_L*modelStruct.modelPar_LUA1))+(Inv_NFIN*modelStruct.modelPar_NUA1))+(Inv_LNFIN*modelStruct.modelPar_PUA1))+(Inv_W*modelStruct.modelPar_WUA1))+(Inv_WL*modelStruct.modelPar_P2UA1));
}
{
instanceStruct.d_instanceVar_UA2_i_dX = (((((modelStruct.d_modelPar_UA2_dX+(Inv_L*modelStruct.d_modelPar_LUA2_dX+d_Inv_L_dX*modelStruct.modelPar_LUA2))+(Inv_NFIN*modelStruct.d_modelPar_NUA2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUA2))+(Inv_LNFIN*modelStruct.d_modelPar_PUA2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUA2))+(Inv_W*modelStruct.d_modelPar_WUA2_dX+d_Inv_W_dX*modelStruct.modelPar_WUA2))+(Inv_WL*modelStruct.d_modelPar_P2UA2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UA2));
instanceStruct.instanceVar_UA2_i = (((((modelStruct.modelPar_UA2+(Inv_L*modelStruct.modelPar_LUA2))+(Inv_NFIN*modelStruct.modelPar_NUA2))+(Inv_LNFIN*modelStruct.modelPar_PUA2))+(Inv_W*modelStruct.modelPar_WUA2))+(Inv_WL*modelStruct.modelPar_P2UA2));
}
{
instanceStruct.d_instanceVar_EU1_i_dX = (((((modelStruct.d_modelPar_EU1_dX+(Inv_L*modelStruct.d_modelPar_LEU1_dX+d_Inv_L_dX*modelStruct.modelPar_LEU1))+(Inv_NFIN*modelStruct.d_modelPar_NEU1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEU1))+(Inv_LNFIN*modelStruct.d_modelPar_PEU1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEU1))+(Inv_W*modelStruct.d_modelPar_WEU1_dX+d_Inv_W_dX*modelStruct.modelPar_WEU1))+(Inv_WL*modelStruct.d_modelPar_P2EU1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EU1));
instanceStruct.instanceVar_EU1_i = (((((modelStruct.modelPar_EU1+(Inv_L*modelStruct.modelPar_LEU1))+(Inv_NFIN*modelStruct.modelPar_NEU1))+(Inv_LNFIN*modelStruct.modelPar_PEU1))+(Inv_W*modelStruct.modelPar_WEU1))+(Inv_WL*modelStruct.modelPar_P2EU1));
}
{
instanceStruct.d_instanceVar_UD1_i_dX = (((((modelStruct.d_modelPar_UD1_dX+(Inv_L*modelStruct.d_modelPar_LUD1_dX+d_Inv_L_dX*modelStruct.modelPar_LUD1))+(Inv_NFIN*modelStruct.d_modelPar_NUD1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUD1))+(Inv_LNFIN*modelStruct.d_modelPar_PUD1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUD1))+(Inv_W*modelStruct.d_modelPar_WUD1_dX+d_Inv_W_dX*modelStruct.modelPar_WUD1))+(Inv_WL*modelStruct.d_modelPar_P2UD1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UD1));
instanceStruct.instanceVar_UD1_i = (((((modelStruct.modelPar_UD1+(Inv_L*modelStruct.modelPar_LUD1))+(Inv_NFIN*modelStruct.modelPar_NUD1))+(Inv_LNFIN*modelStruct.modelPar_PUD1))+(Inv_W*modelStruct.modelPar_WUD1))+(Inv_WL*modelStruct.modelPar_P2UD1));
}
{
instanceStruct.d_instanceVar_UD2_i_dX = (((((modelStruct.d_modelPar_UD2_dX+(Inv_L*modelStruct.d_modelPar_LUD2_dX+d_Inv_L_dX*modelStruct.modelPar_LUD2))+(Inv_NFIN*modelStruct.d_modelPar_NUD2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUD2))+(Inv_LNFIN*modelStruct.d_modelPar_PUD2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUD2))+(Inv_W*modelStruct.d_modelPar_WUD2_dX+d_Inv_W_dX*modelStruct.modelPar_WUD2))+(Inv_WL*modelStruct.d_modelPar_P2UD2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UD2));
instanceStruct.instanceVar_UD2_i = (((((modelStruct.modelPar_UD2+(Inv_L*modelStruct.modelPar_LUD2))+(Inv_NFIN*modelStruct.modelPar_NUD2))+(Inv_LNFIN*modelStruct.modelPar_PUD2))+(Inv_W*modelStruct.modelPar_WUD2))+(Inv_WL*modelStruct.modelPar_P2UD2));
}
{
instanceStruct.d_instanceVar_UCSTE_i_dX = (((((modelStruct.d_modelPar_UCSTE_dX+(Inv_L*modelStruct.d_modelPar_LUCSTE_dX+d_Inv_L_dX*modelStruct.modelPar_LUCSTE))+(Inv_NFIN*modelStruct.d_modelPar_NUCSTE_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUCSTE))+(Inv_LNFIN*modelStruct.d_modelPar_PUCSTE_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUCSTE))+(Inv_W*modelStruct.d_modelPar_WUCSTE_dX+d_Inv_W_dX*modelStruct.modelPar_WUCSTE))+(Inv_WL*modelStruct.d_modelPar_P2UCSTE_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UCSTE));
instanceStruct.instanceVar_UCSTE_i = (((((modelStruct.modelPar_UCSTE+(Inv_L*modelStruct.modelPar_LUCSTE))+(Inv_NFIN*modelStruct.modelPar_NUCSTE))+(Inv_LNFIN*modelStruct.modelPar_PUCSTE))+(Inv_W*modelStruct.modelPar_WUCSTE))+(Inv_WL*modelStruct.modelPar_P2UCSTE));
}
{
instanceStruct.d_instanceVar_UCSTE1_i_dX = (((((modelStruct.d_modelPar_UCSTE1_dX+(Inv_L*modelStruct.d_modelPar_LUCSTE1_dX+d_Inv_L_dX*modelStruct.modelPar_LUCSTE1))+(Inv_NFIN*modelStruct.d_modelPar_NUCSTE1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUCSTE1))+(Inv_LNFIN*modelStruct.d_modelPar_PUCSTE1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUCSTE1))+(Inv_W*modelStruct.d_modelPar_WUCSTE1_dX+d_Inv_W_dX*modelStruct.modelPar_WUCSTE1))+(Inv_WL*modelStruct.d_modelPar_P2UCSTE1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UCSTE1));
instanceStruct.instanceVar_UCSTE1_i = (((((modelStruct.modelPar_UCSTE1+(Inv_L*modelStruct.modelPar_LUCSTE1))+(Inv_NFIN*modelStruct.modelPar_NUCSTE1))+(Inv_LNFIN*modelStruct.modelPar_PUCSTE1))+(Inv_W*modelStruct.modelPar_WUCSTE1))+(Inv_WL*modelStruct.modelPar_P2UCSTE1));
}
{
instanceStruct.d_instanceVar_PTWGT_i_dX = (((((modelStruct.d_modelPar_PTWGT_dX+(Inv_L*modelStruct.d_modelPar_LPTWGT_dX+d_Inv_L_dX*modelStruct.modelPar_LPTWGT))+(Inv_NFIN*modelStruct.d_modelPar_NPTWGT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPTWGT))+(Inv_LNFIN*modelStruct.d_modelPar_PPTWGT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPTWGT))+(Inv_W*modelStruct.d_modelPar_WPTWGT_dX+d_Inv_W_dX*modelStruct.modelPar_WPTWGT))+(Inv_WL*modelStruct.d_modelPar_P2PTWGT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PTWGT));
instanceStruct.instanceVar_PTWGT_i = (((((modelStruct.modelPar_PTWGT+(Inv_L*modelStruct.modelPar_LPTWGT))+(Inv_NFIN*modelStruct.modelPar_NPTWGT))+(Inv_LNFIN*modelStruct.modelPar_PPTWGT))+(Inv_W*modelStruct.modelPar_WPTWGT))+(Inv_WL*modelStruct.modelPar_P2PTWGT));
}
{
instanceStruct.d_instanceVar_AT_i_dX = (((((modelStruct.d_modelPar_AT_dX+(Inv_L*modelStruct.d_modelPar_LAT_dX+d_Inv_L_dX*modelStruct.modelPar_LAT))+(Inv_NFIN*modelStruct.d_modelPar_NAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAT))+(Inv_LNFIN*modelStruct.d_modelPar_PAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAT))+(Inv_W*modelStruct.d_modelPar_WAT_dX+d_Inv_W_dX*modelStruct.modelPar_WAT))+(Inv_WL*modelStruct.d_modelPar_P2AT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AT));
instanceStruct.instanceVar_AT_i = (((((modelStruct.modelPar_AT+(Inv_L*modelStruct.modelPar_LAT))+(Inv_NFIN*modelStruct.modelPar_NAT))+(Inv_LNFIN*modelStruct.modelPar_PAT))+(Inv_W*modelStruct.modelPar_WAT))+(Inv_WL*modelStruct.modelPar_P2AT));
}
{
instanceStruct.d_instanceVar_ATCV_i_dX = (((((modelStruct.d_modelPar_ATCV_dX+(Inv_L*modelStruct.d_modelPar_LATCV_dX+d_Inv_L_dX*modelStruct.modelPar_LATCV))+(Inv_NFIN*modelStruct.d_modelPar_NATCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NATCV))+(Inv_LNFIN*modelStruct.d_modelPar_PATCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PATCV))+(Inv_W*modelStruct.d_modelPar_WATCV_dX+d_Inv_W_dX*modelStruct.modelPar_WATCV))+(Inv_WL*modelStruct.d_modelPar_P2ATCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ATCV));
instanceStruct.instanceVar_ATCV_i = (((((modelStruct.modelPar_ATCV+(Inv_L*modelStruct.modelPar_LATCV))+(Inv_NFIN*modelStruct.modelPar_NATCV))+(Inv_LNFIN*modelStruct.modelPar_PATCV))+(Inv_W*modelStruct.modelPar_WATCV))+(Inv_WL*modelStruct.modelPar_P2ATCV));
}
{
instanceStruct.d_instanceVar_PRT_i_dX = (((((modelStruct.d_modelPar_PRT_dX+(Inv_L*modelStruct.d_modelPar_LPRT_dX+d_Inv_L_dX*modelStruct.modelPar_LPRT))+(Inv_NFIN*modelStruct.d_modelPar_NPRT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPRT))+(Inv_LNFIN*modelStruct.d_modelPar_PPRT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPRT))+(Inv_W*modelStruct.d_modelPar_WPRT_dX+d_Inv_W_dX*modelStruct.modelPar_WPRT))+(Inv_WL*modelStruct.d_modelPar_P2PRT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PRT));
instanceStruct.instanceVar_PRT_i = (((((modelStruct.modelPar_PRT+(Inv_L*modelStruct.modelPar_LPRT))+(Inv_NFIN*modelStruct.modelPar_NPRT))+(Inv_LNFIN*modelStruct.modelPar_PPRT))+(Inv_W*modelStruct.modelPar_WPRT))+(Inv_WL*modelStruct.modelPar_P2PRT));
}
{
instanceStruct.d_instanceVar_PRT1_i_dX = (((((modelStruct.d_modelPar_PRT1_dX+(Inv_L*modelStruct.d_modelPar_LPRT1_dX+d_Inv_L_dX*modelStruct.modelPar_LPRT1))+(Inv_NFIN*modelStruct.d_modelPar_NPRT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPRT1))+(Inv_LNFIN*modelStruct.d_modelPar_PPRT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPRT1))+(Inv_W*modelStruct.d_modelPar_WPRT1_dX+d_Inv_W_dX*modelStruct.modelPar_WPRT1))+(Inv_WL*modelStruct.d_modelPar_P2PRT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PRT1));
instanceStruct.instanceVar_PRT1_i = (((((modelStruct.modelPar_PRT1+(Inv_L*modelStruct.modelPar_LPRT1))+(Inv_NFIN*modelStruct.modelPar_NPRT1))+(Inv_LNFIN*modelStruct.modelPar_PPRT1))+(Inv_W*modelStruct.modelPar_WPRT1))+(Inv_WL*modelStruct.modelPar_P2PRT1));
}
{
instanceStruct.d_instanceVar_TR0_i_dX = (((((modelStruct.d_modelPar_TR0_dX+(Inv_L*modelStruct.d_modelPar_LTR0_dX+d_Inv_L_dX*modelStruct.modelPar_LTR0))+(Inv_NFIN*modelStruct.d_modelPar_NTR0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NTR0))+(Inv_LNFIN*modelStruct.d_modelPar_PTR0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PTR0))+(Inv_W*modelStruct.d_modelPar_WTR0_dX+d_Inv_W_dX*modelStruct.modelPar_WTR0))+(Inv_WL*modelStruct.d_modelPar_P2TR0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2TR0));
instanceStruct.instanceVar_TR0_i = (((((modelStruct.modelPar_TR0+(Inv_L*modelStruct.modelPar_LTR0))+(Inv_NFIN*modelStruct.modelPar_NTR0))+(Inv_LNFIN*modelStruct.modelPar_PTR0))+(Inv_W*modelStruct.modelPar_WTR0))+(Inv_WL*modelStruct.modelPar_P2TR0));
}
{
instanceStruct.d_instanceVar_SPRT_i_dX = (((((modelStruct.d_modelPar_SPRT_dX+(Inv_L*modelStruct.d_modelPar_LSPRT_dX+d_Inv_L_dX*modelStruct.modelPar_LSPRT))+(Inv_NFIN*modelStruct.d_modelPar_NSPRT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSPRT))+(Inv_LNFIN*modelStruct.d_modelPar_PSPRT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSPRT))+(Inv_W*modelStruct.d_modelPar_WSPRT_dX+d_Inv_W_dX*modelStruct.modelPar_WSPRT))+(Inv_WL*modelStruct.d_modelPar_P2SPRT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SPRT));
instanceStruct.instanceVar_SPRT_i = (((((modelStruct.modelPar_SPRT+(Inv_L*modelStruct.modelPar_LSPRT))+(Inv_NFIN*modelStruct.modelPar_NSPRT))+(Inv_LNFIN*modelStruct.modelPar_PSPRT))+(Inv_W*modelStruct.modelPar_WSPRT))+(Inv_WL*modelStruct.modelPar_P2SPRT));
}
{
instanceStruct.d_instanceVar_KT1_i_dX = (((((modelStruct.d_modelPar_KT1_dX+(Inv_L*modelStruct.d_modelPar_LKT1_dX+d_Inv_L_dX*modelStruct.modelPar_LKT1))+(Inv_NFIN*modelStruct.d_modelPar_NKT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NKT1))+(Inv_LNFIN*modelStruct.d_modelPar_PKT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PKT1))+(Inv_W*modelStruct.d_modelPar_WKT1_dX+d_Inv_W_dX*modelStruct.modelPar_WKT1))+(Inv_WL*modelStruct.d_modelPar_P2KT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2KT1));
instanceStruct.instanceVar_KT1_i = (((((modelStruct.modelPar_KT1+(Inv_L*modelStruct.modelPar_LKT1))+(Inv_NFIN*modelStruct.modelPar_NKT1))+(Inv_LNFIN*modelStruct.modelPar_PKT1))+(Inv_W*modelStruct.modelPar_WKT1))+(Inv_WL*modelStruct.modelPar_P2KT1));
}
{
instanceStruct.d_instanceVar_TSS_i_dX = (((((modelStruct.d_modelPar_TSS_dX+(Inv_L*modelStruct.d_modelPar_LTSS_dX+d_Inv_L_dX*modelStruct.modelPar_LTSS))+(Inv_NFIN*modelStruct.d_modelPar_NTSS_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NTSS))+(Inv_LNFIN*modelStruct.d_modelPar_PTSS_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PTSS))+(Inv_W*modelStruct.d_modelPar_WTSS_dX+d_Inv_W_dX*modelStruct.modelPar_WTSS))+(Inv_WL*modelStruct.d_modelPar_P2TSS_dX+d_Inv_WL_dX*modelStruct.modelPar_P2TSS));
instanceStruct.instanceVar_TSS_i = (((((modelStruct.modelPar_TSS+(Inv_L*modelStruct.modelPar_LTSS))+(Inv_NFIN*modelStruct.modelPar_NTSS))+(Inv_LNFIN*modelStruct.modelPar_PTSS))+(Inv_W*modelStruct.modelPar_WTSS))+(Inv_WL*modelStruct.modelPar_P2TSS));
}
{
instanceStruct.d_instanceVar_IIT_i_dX = (((((modelStruct.d_modelPar_IIT_dX+(Inv_L*modelStruct.d_modelPar_LIIT_dX+d_Inv_L_dX*modelStruct.modelPar_LIIT))+(Inv_NFIN*modelStruct.d_modelPar_NIIT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NIIT))+(Inv_LNFIN*modelStruct.d_modelPar_PIIT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PIIT))+(Inv_W*modelStruct.d_modelPar_WIIT_dX+d_Inv_W_dX*modelStruct.modelPar_WIIT))+(Inv_WL*modelStruct.d_modelPar_P2IIT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2IIT));
instanceStruct.instanceVar_IIT_i = (((((modelStruct.modelPar_IIT+(Inv_L*modelStruct.modelPar_LIIT))+(Inv_NFIN*modelStruct.modelPar_NIIT))+(Inv_LNFIN*modelStruct.modelPar_PIIT))+(Inv_W*modelStruct.modelPar_WIIT))+(Inv_WL*modelStruct.modelPar_P2IIT));
}
{
instanceStruct.d_instanceVar_TGIDL_i_dX = (((((modelStruct.d_modelPar_TGIDL_dX+(Inv_L*modelStruct.d_modelPar_LTGIDL_dX+d_Inv_L_dX*modelStruct.modelPar_LTGIDL))+(Inv_NFIN*modelStruct.d_modelPar_NTGIDL_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NTGIDL))+(Inv_LNFIN*modelStruct.d_modelPar_PTGIDL_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PTGIDL))+(Inv_W*modelStruct.d_modelPar_WTGIDL_dX+d_Inv_W_dX*modelStruct.modelPar_WTGIDL))+(Inv_WL*modelStruct.d_modelPar_P2TGIDL_dX+d_Inv_WL_dX*modelStruct.modelPar_P2TGIDL));
instanceStruct.instanceVar_TGIDL_i = (((((modelStruct.modelPar_TGIDL+(Inv_L*modelStruct.modelPar_LTGIDL))+(Inv_NFIN*modelStruct.modelPar_NTGIDL))+(Inv_LNFIN*modelStruct.modelPar_PTGIDL))+(Inv_W*modelStruct.modelPar_WTGIDL))+(Inv_WL*modelStruct.modelPar_P2TGIDL));
}
{
instanceStruct.d_instanceVar_IGT_i_dX = (((((modelStruct.d_modelPar_IGT_dX+(Inv_L*modelStruct.d_modelPar_LIGT_dX+d_Inv_L_dX*modelStruct.modelPar_LIGT))+(Inv_NFIN*modelStruct.d_modelPar_NIGT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NIGT))+(Inv_LNFIN*modelStruct.d_modelPar_PIGT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PIGT))+(Inv_W*modelStruct.d_modelPar_WIGT_dX+d_Inv_W_dX*modelStruct.modelPar_WIGT))+(Inv_WL*modelStruct.d_modelPar_P2IGT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2IGT));
instanceStruct.instanceVar_IGT_i = (((((modelStruct.modelPar_IGT+(Inv_L*modelStruct.modelPar_LIGT))+(Inv_NFIN*modelStruct.modelPar_NIGT))+(Inv_LNFIN*modelStruct.modelPar_PIGT))+(Inv_W*modelStruct.modelPar_WIGT))+(Inv_WL*modelStruct.modelPar_P2IGT));
}
{
instanceStruct.d_instanceVar_DVTP0_i_dX = (((((modelStruct.d_modelPar_DVTP0_dX+(Inv_L*modelStruct.d_modelPar_LDVTP0_dX+d_Inv_L_dX*modelStruct.modelPar_LDVTP0))+(Inv_NFIN*modelStruct.d_modelPar_NDVTP0_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVTP0))+(Inv_LNFIN*modelStruct.d_modelPar_PDVTP0_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVTP0))+(Inv_W*modelStruct.d_modelPar_WDVTP0_dX+d_Inv_W_dX*modelStruct.modelPar_WDVTP0))+(Inv_WL*modelStruct.d_modelPar_P2DVTP0_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVTP0));
instanceStruct.instanceVar_DVTP0_i = (((((modelStruct.modelPar_DVTP0+(Inv_L*modelStruct.modelPar_LDVTP0))+(Inv_NFIN*modelStruct.modelPar_NDVTP0))+(Inv_LNFIN*modelStruct.modelPar_PDVTP0))+(Inv_W*modelStruct.modelPar_WDVTP0))+(Inv_WL*modelStruct.modelPar_P2DVTP0));
}
{
instanceStruct.d_instanceVar_DVTP1_i_dX = (((((modelStruct.d_modelPar_DVTP1_dX+(Inv_L*modelStruct.d_modelPar_LDVTP1_dX+d_Inv_L_dX*modelStruct.modelPar_LDVTP1))+(Inv_NFIN*modelStruct.d_modelPar_NDVTP1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVTP1))+(Inv_LNFIN*modelStruct.d_modelPar_PDVTP1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVTP1))+(Inv_W*modelStruct.d_modelPar_WDVTP1_dX+d_Inv_W_dX*modelStruct.modelPar_WDVTP1))+(Inv_WL*modelStruct.d_modelPar_P2DVTP1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVTP1));
instanceStruct.instanceVar_DVTP1_i = (((((modelStruct.modelPar_DVTP1+(Inv_L*modelStruct.modelPar_LDVTP1))+(Inv_NFIN*modelStruct.modelPar_NDVTP1))+(Inv_LNFIN*modelStruct.modelPar_PDVTP1))+(Inv_W*modelStruct.modelPar_WDVTP1))+(Inv_WL*modelStruct.modelPar_P2DVTP1));
}
{
instanceStruct.d_instanceVar_NOIA2_i_dX = (((((modelStruct.d_modelPar_NOIA2_dX+(Inv_L*modelStruct.d_modelPar_LNOIA2_dX+d_Inv_L_dX*modelStruct.modelPar_LNOIA2))+(Inv_NFIN*modelStruct.d_modelPar_NNOIA2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NNOIA2))+(Inv_LNFIN*modelStruct.d_modelPar_PNOIA2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PNOIA2))+(Inv_W*modelStruct.d_modelPar_WNOIA2_dX+d_Inv_W_dX*modelStruct.modelPar_WNOIA2))+(Inv_WL*modelStruct.d_modelPar_P2NOIA2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2NOIA2));
instanceStruct.instanceVar_NOIA2_i = (((((modelStruct.modelPar_NOIA2+(Inv_L*modelStruct.modelPar_LNOIA2))+(Inv_NFIN*modelStruct.modelPar_NNOIA2))+(Inv_LNFIN*modelStruct.modelPar_PNOIA2))+(Inv_W*modelStruct.modelPar_WNOIA2))+(Inv_WL*modelStruct.modelPar_P2NOIA2));
}
{
instanceStruct.d_instanceVar_QSREF_i_dX = (((((modelStruct.d_modelPar_QSREF_dX+(Inv_L*modelStruct.d_modelPar_LQSREF_dX+d_Inv_L_dX*modelStruct.modelPar_LQSREF))+(Inv_NFIN*modelStruct.d_modelPar_NQSREF_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NQSREF))+(Inv_LNFIN*modelStruct.d_modelPar_PQSREF_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PQSREF))+(Inv_W*modelStruct.d_modelPar_WQSREF_dX+d_Inv_W_dX*modelStruct.modelPar_WQSREF))+(Inv_WL*modelStruct.d_modelPar_P2QSREF_dX+d_Inv_WL_dX*modelStruct.modelPar_P2QSREF));
instanceStruct.instanceVar_QSREF_i = (((((modelStruct.modelPar_QSREF+(Inv_L*modelStruct.modelPar_LQSREF))+(Inv_NFIN*modelStruct.modelPar_NQSREF))+(Inv_LNFIN*modelStruct.modelPar_PQSREF))+(Inv_W*modelStruct.modelPar_WQSREF))+(Inv_WL*modelStruct.modelPar_P2QSREF));
}
{
instanceStruct.d_instanceVar_MPOWER_i_dX = (((((modelStruct.d_modelPar_MPOWER_dX+(Inv_L*modelStruct.d_modelPar_LMPOWER_dX+d_Inv_L_dX*modelStruct.modelPar_LMPOWER))+(Inv_NFIN*modelStruct.d_modelPar_NMPOWER_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NMPOWER))+(Inv_LNFIN*modelStruct.d_modelPar_PMPOWER_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PMPOWER))+(Inv_W*modelStruct.d_modelPar_WMPOWER_dX+d_Inv_W_dX*modelStruct.modelPar_WMPOWER))+(Inv_WL*modelStruct.d_modelPar_P2MPOWER_dX+d_Inv_WL_dX*modelStruct.modelPar_P2MPOWER));
instanceStruct.instanceVar_MPOWER_i = (((((modelStruct.modelPar_MPOWER+(Inv_L*modelStruct.modelPar_LMPOWER))+(Inv_NFIN*modelStruct.modelPar_NMPOWER))+(Inv_LNFIN*modelStruct.modelPar_PMPOWER))+(Inv_W*modelStruct.modelPar_WMPOWER))+(Inv_WL*modelStruct.modelPar_P2MPOWER));
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
instanceStruct.d_instanceVar_PHIBE_i_dX = (((((modelStruct.d_modelPar_PHIBE_dX+(Inv_L*modelStruct.d_modelPar_LPHIBE_dX+d_Inv_L_dX*modelStruct.modelPar_LPHIBE))+(Inv_NFIN*modelStruct.d_modelPar_NPHIBE_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPHIBE))+(Inv_LNFIN*modelStruct.d_modelPar_PPHIBE_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPHIBE))+(Inv_W*modelStruct.d_modelPar_WPHIBE_dX+d_Inv_W_dX*modelStruct.modelPar_WPHIBE))+(Inv_WL*modelStruct.d_modelPar_P2PHIBE_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PHIBE));
instanceStruct.instanceVar_PHIBE_i = (((((modelStruct.modelPar_PHIBE+(Inv_L*modelStruct.modelPar_LPHIBE))+(Inv_NFIN*modelStruct.modelPar_NPHIBE))+(Inv_LNFIN*modelStruct.modelPar_PPHIBE))+(Inv_W*modelStruct.modelPar_WPHIBE))+(Inv_WL*modelStruct.modelPar_P2PHIBE));
}
{
instanceStruct.d_instanceVar_K1_i_dX = (((((modelStruct.d_modelPar_K1_dX+(Inv_L*modelStruct.d_modelPar_LK1_dX+d_Inv_L_dX*modelStruct.modelPar_LK1))+(Inv_NFIN*modelStruct.d_modelPar_NK1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK1))+(Inv_LNFIN*modelStruct.d_modelPar_PK1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK1))+(Inv_W*modelStruct.d_modelPar_WK1_dX+d_Inv_W_dX*modelStruct.modelPar_WK1))+(Inv_WL*modelStruct.d_modelPar_P2K1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K1));
instanceStruct.instanceVar_K1_i = (((((modelStruct.modelPar_K1+(Inv_L*modelStruct.modelPar_LK1))+(Inv_NFIN*modelStruct.modelPar_NK1))+(Inv_LNFIN*modelStruct.modelPar_PK1))+(Inv_W*modelStruct.modelPar_WK1))+(Inv_WL*modelStruct.modelPar_P2K1));
}
{
instanceStruct.d_instanceVar_K11_i_dX = (((((modelStruct.d_modelPar_K11_dX+(Inv_L*modelStruct.d_modelPar_LK11_dX+d_Inv_L_dX*modelStruct.modelPar_LK11))+(Inv_NFIN*modelStruct.d_modelPar_NK11_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK11))+(Inv_LNFIN*modelStruct.d_modelPar_PK11_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK11))+(Inv_W*modelStruct.d_modelPar_WK11_dX+d_Inv_W_dX*modelStruct.modelPar_WK11))+(Inv_WL*modelStruct.d_modelPar_P2K11_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K11));
instanceStruct.instanceVar_K11_i = (((((modelStruct.modelPar_K11+(Inv_L*modelStruct.modelPar_LK11))+(Inv_NFIN*modelStruct.modelPar_NK11))+(Inv_LNFIN*modelStruct.modelPar_PK11))+(Inv_W*modelStruct.modelPar_WK11))+(Inv_WL*modelStruct.modelPar_P2K11));
}
{
instanceStruct.d_instanceVar_UC_i_dX = (((((modelStruct.d_modelPar_UC_dX+(Inv_L*modelStruct.d_modelPar_LUC_dX+d_Inv_L_dX*modelStruct.modelPar_LUC))+(Inv_NFIN*modelStruct.d_modelPar_NUC_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUC))+(Inv_LNFIN*modelStruct.d_modelPar_PUC_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUC))+(Inv_W*modelStruct.d_modelPar_WUC_dX+d_Inv_W_dX*modelStruct.modelPar_WUC))+(Inv_WL*modelStruct.d_modelPar_P2UC_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UC));
instanceStruct.instanceVar_UC_i = (((((modelStruct.modelPar_UC+(Inv_L*modelStruct.modelPar_LUC))+(Inv_NFIN*modelStruct.modelPar_NUC))+(Inv_LNFIN*modelStruct.modelPar_PUC))+(Inv_W*modelStruct.modelPar_WUC))+(Inv_WL*modelStruct.modelPar_P2UC));
}
{
instanceStruct.d_instanceVar_UC1_i_dX = (((((modelStruct.d_modelPar_UC1_dX+(Inv_L*modelStruct.d_modelPar_LUC1_dX+d_Inv_L_dX*modelStruct.modelPar_LUC1))+(Inv_NFIN*modelStruct.d_modelPar_NUC1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUC1))+(Inv_LNFIN*modelStruct.d_modelPar_PUC1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUC1))+(Inv_W*modelStruct.d_modelPar_WUC1_dX+d_Inv_W_dX*modelStruct.modelPar_WUC1))+(Inv_WL*modelStruct.d_modelPar_P2UC1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UC1));
instanceStruct.instanceVar_UC1_i = (((((modelStruct.modelPar_UC1+(Inv_L*modelStruct.modelPar_LUC1))+(Inv_NFIN*modelStruct.modelPar_NUC1))+(Inv_LNFIN*modelStruct.modelPar_PUC1))+(Inv_W*modelStruct.modelPar_WUC1))+(Inv_WL*modelStruct.modelPar_P2UC1));
}
if ((modelStruct.modelPar_BULKMOD==2))
{
{
instanceStruct.d_instanceVar_K2_i_dX = (((((modelStruct.d_modelPar_K2_dX+(Inv_L*modelStruct.d_modelPar_LK2_dX+d_Inv_L_dX*modelStruct.modelPar_LK2))+(Inv_NFIN*modelStruct.d_modelPar_NK2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2))+(Inv_LNFIN*modelStruct.d_modelPar_PK2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2))+(Inv_W*modelStruct.d_modelPar_WK2_dX+d_Inv_W_dX*modelStruct.modelPar_WK2))+(Inv_WL*modelStruct.d_modelPar_P2K2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2));
instanceStruct.instanceVar_K2_i = (((((modelStruct.modelPar_K2+(Inv_L*modelStruct.modelPar_LK2))+(Inv_NFIN*modelStruct.modelPar_NK2))+(Inv_LNFIN*modelStruct.modelPar_PK2))+(Inv_W*modelStruct.modelPar_WK2))+(Inv_WL*modelStruct.modelPar_P2K2));
}
{
instanceStruct.d_instanceVar_K21_i_dX = (((((modelStruct.d_modelPar_K21_dX+(Inv_L*modelStruct.d_modelPar_LK21_dX+d_Inv_L_dX*modelStruct.modelPar_LK21))+(Inv_NFIN*modelStruct.d_modelPar_NK21_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK21))+(Inv_LNFIN*modelStruct.d_modelPar_PK21_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK21))+(Inv_W*modelStruct.d_modelPar_WK21_dX+d_Inv_W_dX*modelStruct.modelPar_WK21))+(Inv_WL*modelStruct.d_modelPar_P2K21_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K21));
instanceStruct.instanceVar_K21_i = (((((modelStruct.modelPar_K21+(Inv_L*modelStruct.modelPar_LK21))+(Inv_NFIN*modelStruct.modelPar_NK21))+(Inv_LNFIN*modelStruct.modelPar_PK21))+(Inv_W*modelStruct.modelPar_WK21))+(Inv_WL*modelStruct.modelPar_P2K21));
}
{
instanceStruct.d_instanceVar_K2SAT_i_dX = (((((modelStruct.d_modelPar_K2SAT_dX+(Inv_L*modelStruct.d_modelPar_LK2SAT_dX+d_Inv_L_dX*modelStruct.modelPar_LK2SAT))+(Inv_NFIN*modelStruct.d_modelPar_NK2SAT_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2SAT))+(Inv_LNFIN*modelStruct.d_modelPar_PK2SAT_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2SAT))+(Inv_W*modelStruct.d_modelPar_WK2SAT_dX+d_Inv_W_dX*modelStruct.modelPar_WK2SAT))+(Inv_WL*modelStruct.d_modelPar_P2K2SAT_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2SAT));
instanceStruct.instanceVar_K2SAT_i = (((((modelStruct.modelPar_K2SAT+(Inv_L*modelStruct.modelPar_LK2SAT))+(Inv_NFIN*modelStruct.modelPar_NK2SAT))+(Inv_LNFIN*modelStruct.modelPar_PK2SAT))+(Inv_W*modelStruct.modelPar_WK2SAT))+(Inv_WL*modelStruct.modelPar_P2K2SAT));
}
{
instanceStruct.d_instanceVar_K2SAT1_i_dX = (((((modelStruct.d_modelPar_K2SAT1_dX+(Inv_L*modelStruct.d_modelPar_LK2SAT1_dX+d_Inv_L_dX*modelStruct.modelPar_LK2SAT1))+(Inv_NFIN*modelStruct.d_modelPar_NK2SAT1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NK2SAT1))+(Inv_LNFIN*modelStruct.d_modelPar_PK2SAT1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PK2SAT1))+(Inv_W*modelStruct.d_modelPar_WK2SAT1_dX+d_Inv_W_dX*modelStruct.modelPar_WK2SAT1))+(Inv_WL*modelStruct.d_modelPar_P2K2SAT1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2K2SAT1));
instanceStruct.instanceVar_K2SAT1_i = (((((modelStruct.modelPar_K2SAT1+(Inv_L*modelStruct.modelPar_LK2SAT1))+(Inv_NFIN*modelStruct.modelPar_NK2SAT1))+(Inv_LNFIN*modelStruct.modelPar_PK2SAT1))+(Inv_W*modelStruct.modelPar_WK2SAT1))+(Inv_WL*modelStruct.modelPar_P2K2SAT1));
}
}
if (((modelStruct.modelPar_GIDLMOD==2)&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
{
instanceStruct.d_instanceVar_AGIDLB_i_dX = (((((modelStruct.d_modelPar_AGIDLB_dX+(Inv_L*modelStruct.d_modelPar_LAGIDLB_dX+d_Inv_L_dX*modelStruct.modelPar_LAGIDLB))+(Inv_NFIN*modelStruct.d_modelPar_NAGIDLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAGIDLB))+(Inv_LNFIN*modelStruct.d_modelPar_PAGIDLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAGIDLB))+(Inv_W*modelStruct.d_modelPar_WAGIDLB_dX+d_Inv_W_dX*modelStruct.modelPar_WAGIDLB))+(Inv_WL*modelStruct.d_modelPar_P2AGIDLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AGIDLB));
instanceStruct.instanceVar_AGIDLB_i = (((((modelStruct.modelPar_AGIDLB+(Inv_L*modelStruct.modelPar_LAGIDLB))+(Inv_NFIN*modelStruct.modelPar_NAGIDLB))+(Inv_LNFIN*modelStruct.modelPar_PAGIDLB))+(Inv_W*modelStruct.modelPar_WAGIDLB))+(Inv_WL*modelStruct.modelPar_P2AGIDLB));
}
{
instanceStruct.d_instanceVar_BGIDLB_i_dX = (((((modelStruct.d_modelPar_BGIDLB_dX+(Inv_L*modelStruct.d_modelPar_LBGIDLB_dX+d_Inv_L_dX*modelStruct.modelPar_LBGIDLB))+(Inv_NFIN*modelStruct.d_modelPar_NBGIDLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBGIDLB))+(Inv_LNFIN*modelStruct.d_modelPar_PBGIDLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBGIDLB))+(Inv_W*modelStruct.d_modelPar_WBGIDLB_dX+d_Inv_W_dX*modelStruct.modelPar_WBGIDLB))+(Inv_WL*modelStruct.d_modelPar_P2BGIDLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BGIDLB));
instanceStruct.instanceVar_BGIDLB_i = (((((modelStruct.modelPar_BGIDLB+(Inv_L*modelStruct.modelPar_LBGIDLB))+(Inv_NFIN*modelStruct.modelPar_NBGIDLB))+(Inv_LNFIN*modelStruct.modelPar_PBGIDLB))+(Inv_W*modelStruct.modelPar_WBGIDLB))+(Inv_WL*modelStruct.modelPar_P2BGIDLB));
}
{
instanceStruct.d_instanceVar_CGIDLB_i_dX = (((((modelStruct.d_modelPar_CGIDLB_dX+(Inv_L*modelStruct.d_modelPar_LCGIDLB_dX+d_Inv_L_dX*modelStruct.modelPar_LCGIDLB))+(Inv_NFIN*modelStruct.d_modelPar_NCGIDLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGIDLB))+(Inv_LNFIN*modelStruct.d_modelPar_PCGIDLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGIDLB))+(Inv_W*modelStruct.d_modelPar_WCGIDLB_dX+d_Inv_W_dX*modelStruct.modelPar_WCGIDLB))+(Inv_WL*modelStruct.d_modelPar_P2CGIDLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGIDLB));
instanceStruct.instanceVar_CGIDLB_i = (((((modelStruct.modelPar_CGIDLB+(Inv_L*modelStruct.modelPar_LCGIDLB))+(Inv_NFIN*modelStruct.modelPar_NCGIDLB))+(Inv_LNFIN*modelStruct.modelPar_PCGIDLB))+(Inv_W*modelStruct.modelPar_WCGIDLB))+(Inv_WL*modelStruct.modelPar_P2CGIDLB));
}
{
instanceStruct.d_instanceVar_EGIDLB_i_dX = (((((modelStruct.d_modelPar_EGIDLB_dX+(Inv_L*modelStruct.d_modelPar_LEGIDLB_dX+d_Inv_L_dX*modelStruct.modelPar_LEGIDLB))+(Inv_NFIN*modelStruct.d_modelPar_NEGIDLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEGIDLB))+(Inv_LNFIN*modelStruct.d_modelPar_PEGIDLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEGIDLB))+(Inv_W*modelStruct.d_modelPar_WEGIDLB_dX+d_Inv_W_dX*modelStruct.modelPar_WEGIDLB))+(Inv_WL*modelStruct.d_modelPar_P2EGIDLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EGIDLB));
instanceStruct.instanceVar_EGIDLB_i = (((((modelStruct.modelPar_EGIDLB+(Inv_L*modelStruct.modelPar_LEGIDLB))+(Inv_NFIN*modelStruct.modelPar_NEGIDLB))+(Inv_LNFIN*modelStruct.modelPar_PEGIDLB))+(Inv_W*modelStruct.modelPar_WEGIDLB))+(Inv_WL*modelStruct.modelPar_P2EGIDLB));
}
{
instanceStruct.d_instanceVar_PGIDLB_i_dX = (((((modelStruct.d_modelPar_PGIDLB_dX+(Inv_L*modelStruct.d_modelPar_LPGIDLB_dX+d_Inv_L_dX*modelStruct.modelPar_LPGIDLB))+(Inv_NFIN*modelStruct.d_modelPar_NPGIDLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPGIDLB))+(Inv_LNFIN*modelStruct.d_modelPar_PPGIDLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPGIDLB))+(Inv_W*modelStruct.d_modelPar_WPGIDLB_dX+d_Inv_W_dX*modelStruct.modelPar_WPGIDLB))+(Inv_WL*modelStruct.d_modelPar_P2PGIDLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PGIDLB));
instanceStruct.instanceVar_PGIDLB_i = (((((modelStruct.modelPar_PGIDLB+(Inv_L*modelStruct.modelPar_LPGIDLB))+(Inv_NFIN*modelStruct.modelPar_NPGIDLB))+(Inv_LNFIN*modelStruct.modelPar_PPGIDLB))+(Inv_W*modelStruct.modelPar_WPGIDLB))+(Inv_WL*modelStruct.modelPar_P2PGIDLB));
}
{
instanceStruct.d_instanceVar_AGISLB_i_dX = (((((modelStruct.d_modelPar_AGISLB_dX+(Inv_L*modelStruct.d_modelPar_LAGISLB_dX+d_Inv_L_dX*modelStruct.modelPar_LAGISLB))+(Inv_NFIN*modelStruct.d_modelPar_NAGISLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NAGISLB))+(Inv_LNFIN*modelStruct.d_modelPar_PAGISLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PAGISLB))+(Inv_W*modelStruct.d_modelPar_WAGISLB_dX+d_Inv_W_dX*modelStruct.modelPar_WAGISLB))+(Inv_WL*modelStruct.d_modelPar_P2AGISLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2AGISLB));
instanceStruct.instanceVar_AGISLB_i = (((((modelStruct.modelPar_AGISLB+(Inv_L*modelStruct.modelPar_LAGISLB))+(Inv_NFIN*modelStruct.modelPar_NAGISLB))+(Inv_LNFIN*modelStruct.modelPar_PAGISLB))+(Inv_W*modelStruct.modelPar_WAGISLB))+(Inv_WL*modelStruct.modelPar_P2AGISLB));
}
{
instanceStruct.d_instanceVar_BGISLB_i_dX = (((((modelStruct.d_modelPar_BGISLB_dX+(Inv_L*modelStruct.d_modelPar_LBGISLB_dX+d_Inv_L_dX*modelStruct.modelPar_LBGISLB))+(Inv_NFIN*modelStruct.d_modelPar_NBGISLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NBGISLB))+(Inv_LNFIN*modelStruct.d_modelPar_PBGISLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PBGISLB))+(Inv_W*modelStruct.d_modelPar_WBGISLB_dX+d_Inv_W_dX*modelStruct.modelPar_WBGISLB))+(Inv_WL*modelStruct.d_modelPar_P2BGISLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2BGISLB));
instanceStruct.instanceVar_BGISLB_i = (((((modelStruct.modelPar_BGISLB+(Inv_L*modelStruct.modelPar_LBGISLB))+(Inv_NFIN*modelStruct.modelPar_NBGISLB))+(Inv_LNFIN*modelStruct.modelPar_PBGISLB))+(Inv_W*modelStruct.modelPar_WBGISLB))+(Inv_WL*modelStruct.modelPar_P2BGISLB));
}
{
instanceStruct.d_instanceVar_CGISLB_i_dX = (((((modelStruct.d_modelPar_CGISLB_dX+(Inv_L*modelStruct.d_modelPar_LCGISLB_dX+d_Inv_L_dX*modelStruct.modelPar_LCGISLB))+(Inv_NFIN*modelStruct.d_modelPar_NCGISLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCGISLB))+(Inv_LNFIN*modelStruct.d_modelPar_PCGISLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCGISLB))+(Inv_W*modelStruct.d_modelPar_WCGISLB_dX+d_Inv_W_dX*modelStruct.modelPar_WCGISLB))+(Inv_WL*modelStruct.d_modelPar_P2CGISLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CGISLB));
instanceStruct.instanceVar_CGISLB_i = (((((modelStruct.modelPar_CGISLB+(Inv_L*modelStruct.modelPar_LCGISLB))+(Inv_NFIN*modelStruct.modelPar_NCGISLB))+(Inv_LNFIN*modelStruct.modelPar_PCGISLB))+(Inv_W*modelStruct.modelPar_WCGISLB))+(Inv_WL*modelStruct.modelPar_P2CGISLB));
}
{
instanceStruct.d_instanceVar_EGISLB_i_dX = (((((modelStruct.d_modelPar_EGISLB_dX+(Inv_L*modelStruct.d_modelPar_LEGISLB_dX+d_Inv_L_dX*modelStruct.modelPar_LEGISLB))+(Inv_NFIN*modelStruct.d_modelPar_NEGISLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEGISLB))+(Inv_LNFIN*modelStruct.d_modelPar_PEGISLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEGISLB))+(Inv_W*modelStruct.d_modelPar_WEGISLB_dX+d_Inv_W_dX*modelStruct.modelPar_WEGISLB))+(Inv_WL*modelStruct.d_modelPar_P2EGISLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EGISLB));
instanceStruct.instanceVar_EGISLB_i = (((((modelStruct.modelPar_EGISLB+(Inv_L*modelStruct.modelPar_LEGISLB))+(Inv_NFIN*modelStruct.modelPar_NEGISLB))+(Inv_LNFIN*modelStruct.modelPar_PEGISLB))+(Inv_W*modelStruct.modelPar_WEGISLB))+(Inv_WL*modelStruct.modelPar_P2EGISLB));
}
{
instanceStruct.d_instanceVar_PGISLB_i_dX = (((((modelStruct.d_modelPar_PGISLB_dX+(Inv_L*modelStruct.d_modelPar_LPGISLB_dX+d_Inv_L_dX*modelStruct.modelPar_LPGISLB))+(Inv_NFIN*modelStruct.d_modelPar_NPGISLB_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPGISLB))+(Inv_LNFIN*modelStruct.d_modelPar_PPGISLB_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPGISLB))+(Inv_W*modelStruct.d_modelPar_WPGISLB_dX+d_Inv_W_dX*modelStruct.modelPar_WPGISLB))+(Inv_WL*modelStruct.d_modelPar_P2PGISLB_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PGISLB));
instanceStruct.instanceVar_PGISLB_i = (((((modelStruct.modelPar_PGISLB+(Inv_L*modelStruct.modelPar_LPGISLB))+(Inv_NFIN*modelStruct.modelPar_NPGISLB))+(Inv_LNFIN*modelStruct.modelPar_PPGISLB))+(Inv_W*modelStruct.modelPar_WPGISLB))+(Inv_WL*modelStruct.modelPar_P2PGISLB));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
instanceStruct.d_instanceVar_CDSCDR_i_dX = (((((modelStruct.d_modelPar_CDSCDR_dX+(Inv_L*modelStruct.d_modelPar_LCDSCDR_dX+d_Inv_L_dX*modelStruct.modelPar_LCDSCDR))+(Inv_NFIN*modelStruct.d_modelPar_NCDSCDR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCDSCDR))+(Inv_LNFIN*modelStruct.d_modelPar_PCDSCDR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCDSCDR))+(Inv_W*modelStruct.d_modelPar_WCDSCDR_dX+d_Inv_W_dX*modelStruct.modelPar_WCDSCDR))+(Inv_WL*modelStruct.d_modelPar_P2CDSCDR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CDSCDR));
instanceStruct.instanceVar_CDSCDR_i = (((((modelStruct.modelPar_CDSCDR+(Inv_L*modelStruct.modelPar_LCDSCDR))+(Inv_NFIN*modelStruct.modelPar_NCDSCDR))+(Inv_LNFIN*modelStruct.modelPar_PCDSCDR))+(Inv_W*modelStruct.modelPar_WCDSCDR))+(Inv_WL*modelStruct.modelPar_P2CDSCDR));
}
{
instanceStruct.d_instanceVar_CITR_i_dX = (((((modelStruct.d_modelPar_CITR_dX+(Inv_L*modelStruct.d_modelPar_LCITR_dX+d_Inv_L_dX*modelStruct.modelPar_LCITR))+(Inv_NFIN*modelStruct.d_modelPar_NCITR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NCITR))+(Inv_LNFIN*modelStruct.d_modelPar_PCITR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PCITR))+(Inv_W*modelStruct.d_modelPar_WCITR_dX+d_Inv_W_dX*modelStruct.modelPar_WCITR))+(Inv_WL*modelStruct.d_modelPar_P2CITR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2CITR));
instanceStruct.instanceVar_CITR_i = (((((modelStruct.modelPar_CITR+(Inv_L*modelStruct.modelPar_LCITR))+(Inv_NFIN*modelStruct.modelPar_NCITR))+(Inv_LNFIN*modelStruct.modelPar_PCITR))+(Inv_W*modelStruct.modelPar_WCITR))+(Inv_WL*modelStruct.modelPar_P2CITR));
}
{
instanceStruct.d_instanceVar_ETA0R_i_dX = (((((modelStruct.d_modelPar_ETA0R_dX+(Inv_L*modelStruct.d_modelPar_LETA0R_dX+d_Inv_L_dX*modelStruct.modelPar_LETA0R))+(Inv_NFIN*modelStruct.d_modelPar_NETA0R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NETA0R))+(Inv_LNFIN*modelStruct.d_modelPar_PETA0R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PETA0R))+(Inv_W*modelStruct.d_modelPar_WETA0R_dX+d_Inv_W_dX*modelStruct.modelPar_WETA0R))+(Inv_WL*modelStruct.d_modelPar_P2ETA0R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ETA0R));
instanceStruct.instanceVar_ETA0R_i = (((((modelStruct.modelPar_ETA0R+(Inv_L*modelStruct.modelPar_LETA0R))+(Inv_NFIN*modelStruct.modelPar_NETA0R))+(Inv_LNFIN*modelStruct.modelPar_PETA0R))+(Inv_W*modelStruct.modelPar_WETA0R))+(Inv_WL*modelStruct.modelPar_P2ETA0R));
}
{
instanceStruct.d_instanceVar_VSAT1R_i_dX = (((((modelStruct.d_modelPar_VSAT1R_dX+(Inv_L*modelStruct.d_modelPar_LVSAT1R_dX+d_Inv_L_dX*modelStruct.modelPar_LVSAT1R))+(Inv_NFIN*modelStruct.d_modelPar_NVSAT1R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NVSAT1R))+(Inv_LNFIN*modelStruct.d_modelPar_PVSAT1R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PVSAT1R))+(Inv_W*modelStruct.d_modelPar_WVSAT1R_dX+d_Inv_W_dX*modelStruct.modelPar_WVSAT1R))+(Inv_WL*modelStruct.d_modelPar_P2VSAT1R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2VSAT1R));
instanceStruct.instanceVar_VSAT1R_i = (((((modelStruct.modelPar_VSAT1R+(Inv_L*modelStruct.modelPar_LVSAT1R))+(Inv_NFIN*modelStruct.modelPar_NVSAT1R))+(Inv_LNFIN*modelStruct.modelPar_PVSAT1R))+(Inv_W*modelStruct.modelPar_WVSAT1R))+(Inv_WL*modelStruct.modelPar_P2VSAT1R));
}
{
instanceStruct.d_instanceVar_MEXPR_i_dX = (((((modelStruct.d_modelPar_MEXPR_dX+(Inv_L*modelStruct.d_modelPar_LMEXPR_dX+d_Inv_L_dX*modelStruct.modelPar_LMEXPR))+(Inv_NFIN*modelStruct.d_modelPar_NMEXPR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NMEXPR))+(Inv_LNFIN*modelStruct.d_modelPar_PMEXPR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PMEXPR))+(Inv_W*modelStruct.d_modelPar_WMEXPR_dX+d_Inv_W_dX*modelStruct.modelPar_WMEXPR))+(Inv_WL*modelStruct.d_modelPar_P2MEXPR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2MEXPR));
instanceStruct.instanceVar_MEXPR_i = (((((modelStruct.modelPar_MEXPR+(Inv_L*modelStruct.modelPar_LMEXPR))+(Inv_NFIN*modelStruct.modelPar_NMEXPR))+(Inv_LNFIN*modelStruct.modelPar_PMEXPR))+(Inv_W*modelStruct.modelPar_WMEXPR))+(Inv_WL*modelStruct.modelPar_P2MEXPR));
}
{
instanceStruct.d_instanceVar_PTWGR_i_dX = (((((modelStruct.d_modelPar_PTWGR_dX+(Inv_L*modelStruct.d_modelPar_LPTWGR_dX+d_Inv_L_dX*modelStruct.modelPar_LPTWGR))+(Inv_NFIN*modelStruct.d_modelPar_NPTWGR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPTWGR))+(Inv_LNFIN*modelStruct.d_modelPar_PPTWGR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPTWGR))+(Inv_W*modelStruct.d_modelPar_WPTWGR_dX+d_Inv_W_dX*modelStruct.modelPar_WPTWGR))+(Inv_WL*modelStruct.d_modelPar_P2PTWGR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PTWGR));
instanceStruct.instanceVar_PTWGR_i = (((((modelStruct.modelPar_PTWGR+(Inv_L*modelStruct.modelPar_LPTWGR))+(Inv_NFIN*modelStruct.modelPar_NPTWGR))+(Inv_LNFIN*modelStruct.modelPar_PPTWGR))+(Inv_W*modelStruct.modelPar_WPTWGR))+(Inv_WL*modelStruct.modelPar_P2PTWGR));
}
{
instanceStruct.d_instanceVar_PDIBL1R_i_dX = (((((modelStruct.d_modelPar_PDIBL1R_dX+(Inv_L*modelStruct.d_modelPar_LPDIBL1R_dX+d_Inv_L_dX*modelStruct.modelPar_LPDIBL1R))+(Inv_NFIN*modelStruct.d_modelPar_NPDIBL1R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPDIBL1R))+(Inv_LNFIN*modelStruct.d_modelPar_PPDIBL1R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPDIBL1R))+(Inv_W*modelStruct.d_modelPar_WPDIBL1R_dX+d_Inv_W_dX*modelStruct.modelPar_WPDIBL1R))+(Inv_WL*modelStruct.d_modelPar_P2PDIBL1R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PDIBL1R));
instanceStruct.instanceVar_PDIBL1R_i = (((((modelStruct.modelPar_PDIBL1R+(Inv_L*modelStruct.modelPar_LPDIBL1R))+(Inv_NFIN*modelStruct.modelPar_NPDIBL1R))+(Inv_LNFIN*modelStruct.modelPar_PPDIBL1R))+(Inv_W*modelStruct.modelPar_WPDIBL1R))+(Inv_WL*modelStruct.modelPar_P2PDIBL1R));
}
{
instanceStruct.d_instanceVar_PDIBL2R_i_dX = (((((modelStruct.d_modelPar_PDIBL2R_dX+(Inv_L*modelStruct.d_modelPar_LPDIBL2R_dX+d_Inv_L_dX*modelStruct.modelPar_LPDIBL2R))+(Inv_NFIN*modelStruct.d_modelPar_NPDIBL2R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPDIBL2R))+(Inv_LNFIN*modelStruct.d_modelPar_PPDIBL2R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPDIBL2R))+(Inv_W*modelStruct.d_modelPar_WPDIBL2R_dX+d_Inv_W_dX*modelStruct.modelPar_WPDIBL2R))+(Inv_WL*modelStruct.d_modelPar_P2PDIBL2R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PDIBL2R));
instanceStruct.instanceVar_PDIBL2R_i = (((((modelStruct.modelPar_PDIBL2R+(Inv_L*modelStruct.modelPar_LPDIBL2R))+(Inv_NFIN*modelStruct.modelPar_NPDIBL2R))+(Inv_LNFIN*modelStruct.modelPar_PPDIBL2R))+(Inv_W*modelStruct.modelPar_WPDIBL2R))+(Inv_WL*modelStruct.modelPar_P2PDIBL2R));
}
{
instanceStruct.d_instanceVar_PCLMR_i_dX = (((((modelStruct.d_modelPar_PCLMR_dX+(Inv_L*modelStruct.d_modelPar_LPCLMR_dX+d_Inv_L_dX*modelStruct.modelPar_LPCLMR))+(Inv_NFIN*modelStruct.d_modelPar_NPCLMR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NPCLMR))+(Inv_LNFIN*modelStruct.d_modelPar_PPCLMR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PPCLMR))+(Inv_W*modelStruct.d_modelPar_WPCLMR_dX+d_Inv_W_dX*modelStruct.modelPar_WPCLMR))+(Inv_WL*modelStruct.d_modelPar_P2PCLMR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2PCLMR));
instanceStruct.instanceVar_PCLMR_i = (((((modelStruct.modelPar_PCLMR+(Inv_L*modelStruct.modelPar_LPCLMR))+(Inv_NFIN*modelStruct.modelPar_NPCLMR))+(Inv_LNFIN*modelStruct.modelPar_PPCLMR))+(Inv_W*modelStruct.modelPar_WPCLMR))+(Inv_WL*modelStruct.modelPar_P2PCLMR));
}
{
instanceStruct.d_instanceVar_DVTSHIFTR_i_dX = (((((modelStruct.d_modelPar_DVTSHIFTR_dX+(Inv_L*modelStruct.d_modelPar_LDVTSHIFTR_dX+d_Inv_L_dX*modelStruct.modelPar_LDVTSHIFTR))+(Inv_NFIN*modelStruct.d_modelPar_NDVTSHIFTR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDVTSHIFTR))+(Inv_LNFIN*modelStruct.d_modelPar_PDVTSHIFTR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDVTSHIFTR))+(Inv_W*modelStruct.d_modelPar_WDVTSHIFTR_dX+d_Inv_W_dX*modelStruct.modelPar_WDVTSHIFTR))+(Inv_WL*modelStruct.d_modelPar_P2DVTSHIFTR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DVTSHIFTR));
instanceStruct.instanceVar_DVTSHIFTR_i = (((((modelStruct.modelPar_DVTSHIFTR+(Inv_L*modelStruct.modelPar_LDVTSHIFTR))+(Inv_NFIN*modelStruct.modelPar_NDVTSHIFTR))+(Inv_LNFIN*modelStruct.modelPar_PDVTSHIFTR))+(Inv_W*modelStruct.modelPar_WDVTSHIFTR))+(Inv_WL*modelStruct.modelPar_P2DVTSHIFTR));
}
{
instanceStruct.d_instanceVar_VSATR_i_dX = (((((modelStruct.d_modelPar_VSATR_dX+(Inv_L*modelStruct.d_modelPar_LVSATR_dX+d_Inv_L_dX*modelStruct.modelPar_LVSATR))+(Inv_NFIN*modelStruct.d_modelPar_NVSATR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NVSATR))+(Inv_LNFIN*modelStruct.d_modelPar_PVSATR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PVSATR))+(Inv_W*modelStruct.d_modelPar_WVSATR_dX+d_Inv_W_dX*modelStruct.modelPar_WVSATR))+(Inv_WL*modelStruct.d_modelPar_P2VSATR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2VSATR));
instanceStruct.instanceVar_VSATR_i = (((((modelStruct.modelPar_VSATR+(Inv_L*modelStruct.modelPar_LVSATR))+(Inv_NFIN*modelStruct.modelPar_NVSATR))+(Inv_LNFIN*modelStruct.modelPar_PVSATR))+(Inv_W*modelStruct.modelPar_WVSATR))+(Inv_WL*modelStruct.modelPar_P2VSATR));
}
{
instanceStruct.d_instanceVar_KSATIVR_i_dX = (((((modelStruct.d_modelPar_KSATIVR_dX+(Inv_L*modelStruct.d_modelPar_LKSATIVR_dX+d_Inv_L_dX*modelStruct.modelPar_LKSATIVR))+(Inv_NFIN*modelStruct.d_modelPar_NKSATIVR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NKSATIVR))+(Inv_LNFIN*modelStruct.d_modelPar_PKSATIVR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PKSATIVR))+(Inv_W*modelStruct.d_modelPar_WKSATIVR_dX+d_Inv_W_dX*modelStruct.modelPar_WKSATIVR))+(Inv_WL*modelStruct.d_modelPar_P2KSATIVR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2KSATIVR));
instanceStruct.instanceVar_KSATIVR_i = (((((modelStruct.modelPar_KSATIVR+(Inv_L*modelStruct.modelPar_LKSATIVR))+(Inv_NFIN*modelStruct.modelPar_NKSATIVR))+(Inv_LNFIN*modelStruct.modelPar_PKSATIVR))+(Inv_W*modelStruct.modelPar_WKSATIVR))+(Inv_WL*modelStruct.modelPar_P2KSATIVR));
}
{
instanceStruct.d_instanceVar_U0R_i_dX = (((((modelStruct.d_modelPar_U0R_dX+(Inv_L*modelStruct.d_modelPar_LU0R_dX+d_Inv_L_dX*modelStruct.modelPar_LU0R))+(Inv_NFIN*modelStruct.d_modelPar_NU0R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NU0R))+(Inv_LNFIN*modelStruct.d_modelPar_PU0R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PU0R))+(Inv_W*modelStruct.d_modelPar_WU0R_dX+d_Inv_W_dX*modelStruct.modelPar_WU0R))+(Inv_WL*modelStruct.d_modelPar_P2U0R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2U0R));
instanceStruct.instanceVar_U0R_i = (((((modelStruct.modelPar_U0R+(Inv_L*modelStruct.modelPar_LU0R))+(Inv_NFIN*modelStruct.modelPar_NU0R))+(Inv_LNFIN*modelStruct.modelPar_PU0R))+(Inv_W*modelStruct.modelPar_WU0R))+(Inv_WL*modelStruct.modelPar_P2U0R));
}
{
instanceStruct.d_instanceVar_UAR_i_dX = (((((modelStruct.d_modelPar_UAR_dX+(Inv_L*modelStruct.d_modelPar_LUAR_dX+d_Inv_L_dX*modelStruct.modelPar_LUAR))+(Inv_NFIN*modelStruct.d_modelPar_NUAR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUAR))+(Inv_LNFIN*modelStruct.d_modelPar_PUAR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUAR))+(Inv_W*modelStruct.d_modelPar_WUAR_dX+d_Inv_W_dX*modelStruct.modelPar_WUAR))+(Inv_WL*modelStruct.d_modelPar_P2UAR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UAR));
instanceStruct.instanceVar_UAR_i = (((((modelStruct.modelPar_UAR+(Inv_L*modelStruct.modelPar_LUAR))+(Inv_NFIN*modelStruct.modelPar_NUAR))+(Inv_LNFIN*modelStruct.modelPar_PUAR))+(Inv_W*modelStruct.modelPar_WUAR))+(Inv_WL*modelStruct.modelPar_P2UAR));
}
{
d_UPR_i_dX = (((((modelStruct.d_modelPar_UPR_dX+(Inv_L*modelStruct.d_modelPar_LUPR_dX+d_Inv_L_dX*modelStruct.modelPar_LUPR))+(Inv_NFIN*modelStruct.d_modelPar_NUPR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUPR))+(Inv_LNFIN*modelStruct.d_modelPar_PUPR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUPR))+(Inv_W*modelStruct.d_modelPar_WUPR_dX+d_Inv_W_dX*modelStruct.modelPar_WUPR))+(Inv_WL*modelStruct.d_modelPar_P2UPR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UPR));
UPR_i = (((((modelStruct.modelPar_UPR+(Inv_L*modelStruct.modelPar_LUPR))+(Inv_NFIN*modelStruct.modelPar_NUPR))+(Inv_LNFIN*modelStruct.modelPar_PUPR))+(Inv_W*modelStruct.modelPar_WUPR))+(Inv_WL*modelStruct.modelPar_P2UPR));
}
{
instanceStruct.d_instanceVar_EUR_i_dX = (((((modelStruct.d_modelPar_EUR_dX+(Inv_L*modelStruct.d_modelPar_LEUR_dX+d_Inv_L_dX*modelStruct.modelPar_LEUR))+(Inv_NFIN*modelStruct.d_modelPar_NEUR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NEUR))+(Inv_LNFIN*modelStruct.d_modelPar_PEUR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PEUR))+(Inv_W*modelStruct.d_modelPar_WEUR_dX+d_Inv_W_dX*modelStruct.modelPar_WEUR))+(Inv_WL*modelStruct.d_modelPar_P2EUR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2EUR));
instanceStruct.instanceVar_EUR_i = (((((modelStruct.modelPar_EUR+(Inv_L*modelStruct.modelPar_LEUR))+(Inv_NFIN*modelStruct.modelPar_NEUR))+(Inv_LNFIN*modelStruct.modelPar_PEUR))+(Inv_W*modelStruct.modelPar_WEUR))+(Inv_WL*modelStruct.modelPar_P2EUR));
}
{
instanceStruct.d_instanceVar_UDR_i_dX = (((((modelStruct.d_modelPar_UDR_dX+(Inv_L*modelStruct.d_modelPar_LUDR_dX+d_Inv_L_dX*modelStruct.modelPar_LUDR))+(Inv_NFIN*modelStruct.d_modelPar_NUDR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUDR))+(Inv_LNFIN*modelStruct.d_modelPar_PUDR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUDR))+(Inv_W*modelStruct.d_modelPar_WUDR_dX+d_Inv_W_dX*modelStruct.modelPar_WUDR))+(Inv_WL*modelStruct.d_modelPar_P2UDR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UDR));
instanceStruct.instanceVar_UDR_i = (((((modelStruct.modelPar_UDR+(Inv_L*modelStruct.modelPar_LUDR))+(Inv_NFIN*modelStruct.modelPar_NUDR))+(Inv_LNFIN*modelStruct.modelPar_PUDR))+(Inv_W*modelStruct.modelPar_WUDR))+(Inv_WL*modelStruct.modelPar_P2UDR));
}
{
instanceStruct.d_instanceVar_UTER_i_dX = (((((modelStruct.d_modelPar_UTER_dX+(Inv_L*modelStruct.d_modelPar_LUTER_dX+d_Inv_L_dX*modelStruct.modelPar_LUTER))+(Inv_NFIN*modelStruct.d_modelPar_NUTER_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTER))+(Inv_LNFIN*modelStruct.d_modelPar_PUTER_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTER))+(Inv_W*modelStruct.d_modelPar_WUTER_dX+d_Inv_W_dX*modelStruct.modelPar_WUTER))+(Inv_WL*modelStruct.d_modelPar_P2UTER_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTER));
instanceStruct.instanceVar_UTER_i = (((((modelStruct.modelPar_UTER+(Inv_L*modelStruct.modelPar_LUTER))+(Inv_NFIN*modelStruct.modelPar_NUTER))+(Inv_LNFIN*modelStruct.modelPar_PUTER))+(Inv_W*modelStruct.modelPar_WUTER))+(Inv_WL*modelStruct.modelPar_P2UTER));
}
{
instanceStruct.d_instanceVar_UTLR_i_dX = (((((modelStruct.d_modelPar_UTLR_dX+(Inv_L*modelStruct.d_modelPar_LUTLR_dX+d_Inv_L_dX*modelStruct.modelPar_LUTLR))+(Inv_NFIN*modelStruct.d_modelPar_NUTLR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTLR))+(Inv_LNFIN*modelStruct.d_modelPar_PUTLR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTLR))+(Inv_W*modelStruct.d_modelPar_WUTLR_dX+d_Inv_W_dX*modelStruct.modelPar_WUTLR))+(Inv_WL*modelStruct.d_modelPar_P2UTLR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTLR));
instanceStruct.instanceVar_UTLR_i = (((((modelStruct.modelPar_UTLR+(Inv_L*modelStruct.modelPar_LUTLR))+(Inv_NFIN*modelStruct.modelPar_NUTLR))+(Inv_LNFIN*modelStruct.modelPar_PUTLR))+(Inv_W*modelStruct.modelPar_WUTLR))+(Inv_WL*modelStruct.modelPar_P2UTLR));
}
{
instanceStruct.d_instanceVar_UA1R_i_dX = (((((modelStruct.d_modelPar_UA1R_dX+(Inv_L*modelStruct.d_modelPar_LUA1R_dX+d_Inv_L_dX*modelStruct.modelPar_LUA1R))+(Inv_NFIN*modelStruct.d_modelPar_NUA1R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUA1R))+(Inv_LNFIN*modelStruct.d_modelPar_PUA1R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUA1R))+(Inv_W*modelStruct.d_modelPar_WUA1R_dX+d_Inv_W_dX*modelStruct.modelPar_WUA1R))+(Inv_WL*modelStruct.d_modelPar_P2UA1R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UA1R));
instanceStruct.instanceVar_UA1R_i = (((((modelStruct.modelPar_UA1R+(Inv_L*modelStruct.modelPar_LUA1R))+(Inv_NFIN*modelStruct.modelPar_NUA1R))+(Inv_LNFIN*modelStruct.modelPar_PUA1R))+(Inv_W*modelStruct.modelPar_WUA1R))+(Inv_WL*modelStruct.modelPar_P2UA1R));
}
{
instanceStruct.d_instanceVar_UD1R_i_dX = (((((modelStruct.d_modelPar_UD1R_dX+(Inv_L*modelStruct.d_modelPar_LUD1R_dX+d_Inv_L_dX*modelStruct.modelPar_LUD1R))+(Inv_NFIN*modelStruct.d_modelPar_NUD1R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUD1R))+(Inv_LNFIN*modelStruct.d_modelPar_PUD1R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUD1R))+(Inv_W*modelStruct.d_modelPar_WUD1R_dX+d_Inv_W_dX*modelStruct.modelPar_WUD1R))+(Inv_WL*modelStruct.d_modelPar_P2UD1R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UD1R));
instanceStruct.instanceVar_UD1R_i = (((((modelStruct.modelPar_UD1R+(Inv_L*modelStruct.modelPar_LUD1R))+(Inv_NFIN*modelStruct.modelPar_NUD1R))+(Inv_LNFIN*modelStruct.modelPar_PUD1R))+(Inv_W*modelStruct.modelPar_WUD1R))+(Inv_WL*modelStruct.modelPar_P2UD1R));
}
{
instanceStruct.d_instanceVar_ATR_i_dX = (((((modelStruct.d_modelPar_ATR_dX+(Inv_L*modelStruct.d_modelPar_LATR_dX+d_Inv_L_dX*modelStruct.modelPar_LATR))+(Inv_NFIN*modelStruct.d_modelPar_NATR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NATR))+(Inv_LNFIN*modelStruct.d_modelPar_PATR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PATR))+(Inv_W*modelStruct.d_modelPar_WATR_dX+d_Inv_W_dX*modelStruct.modelPar_WATR))+(Inv_WL*modelStruct.d_modelPar_P2ATR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ATR));
instanceStruct.instanceVar_ATR_i = (((((modelStruct.modelPar_ATR+(Inv_L*modelStruct.modelPar_LATR))+(Inv_NFIN*modelStruct.modelPar_NATR))+(Inv_LNFIN*modelStruct.modelPar_PATR))+(Inv_W*modelStruct.modelPar_WATR))+(Inv_WL*modelStruct.modelPar_P2ATR));
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
instanceStruct.d_instanceVar_UCR_i_dX = (((((modelStruct.d_modelPar_UCR_dX+(Inv_L*modelStruct.d_modelPar_LUCR_dX+d_Inv_L_dX*modelStruct.modelPar_LUCR))+(Inv_NFIN*modelStruct.d_modelPar_NUCR_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUCR))+(Inv_LNFIN*modelStruct.d_modelPar_PUCR_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUCR))+(Inv_W*modelStruct.d_modelPar_WUCR_dX+d_Inv_W_dX*modelStruct.modelPar_WUCR))+(Inv_WL*modelStruct.d_modelPar_P2UCR_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UCR));
instanceStruct.instanceVar_UCR_i = (((((modelStruct.modelPar_UCR+(Inv_L*modelStruct.modelPar_LUCR))+(Inv_NFIN*modelStruct.modelPar_NUCR))+(Inv_LNFIN*modelStruct.modelPar_PUCR))+(Inv_W*modelStruct.modelPar_WUCR))+(Inv_WL*modelStruct.modelPar_P2UCR));
}
{
instanceStruct.d_instanceVar_UC1R_i_dX = (((((modelStruct.d_modelPar_UC1R_dX+(Inv_L*modelStruct.d_modelPar_LUC1R_dX+d_Inv_L_dX*modelStruct.modelPar_LUC1R))+(Inv_NFIN*modelStruct.d_modelPar_NUC1R_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUC1R))+(Inv_LNFIN*modelStruct.d_modelPar_PUC1R_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUC1R))+(Inv_W*modelStruct.d_modelPar_WUC1R_dX+d_Inv_W_dX*modelStruct.modelPar_WUC1R))+(Inv_WL*modelStruct.d_modelPar_P2UC1R_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UC1R));
instanceStruct.instanceVar_UC1R_i = (((((modelStruct.modelPar_UC1R+(Inv_L*modelStruct.modelPar_LUC1R))+(Inv_NFIN*modelStruct.modelPar_NUC1R))+(Inv_LNFIN*modelStruct.modelPar_PUC1R))+(Inv_W*modelStruct.modelPar_WUC1R))+(Inv_WL*modelStruct.modelPar_P2UC1R));
}
}
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
instanceStruct.d_instanceVar_U0CV_i_dX = (((((modelStruct.d_modelPar_U0CV_dX+(Inv_L*modelStruct.d_modelPar_LU0CV_dX+d_Inv_L_dX*modelStruct.modelPar_LU0CV))+(Inv_NFIN*modelStruct.d_modelPar_NU0CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NU0CV))+(Inv_LNFIN*modelStruct.d_modelPar_PU0CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PU0CV))+(Inv_W*modelStruct.d_modelPar_WU0CV_dX+d_Inv_W_dX*modelStruct.modelPar_WU0CV))+(Inv_WL*modelStruct.d_modelPar_P2U0CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2U0CV));
instanceStruct.instanceVar_U0CV_i = (((((modelStruct.modelPar_U0CV+(Inv_L*modelStruct.modelPar_LU0CV))+(Inv_NFIN*modelStruct.modelPar_NU0CV))+(Inv_LNFIN*modelStruct.modelPar_PU0CV))+(Inv_W*modelStruct.modelPar_WU0CV))+(Inv_WL*modelStruct.modelPar_P2U0CV));
}
{
if ((modelStruct.modelPar_U0N1CV!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2CV)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2CV)));
instanceStruct.d_instanceVar_U0CV_i_dX = (instanceStruct.instanceVar_U0CV_i*((modelStruct.modelPar_U0N1CV/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2CV))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_U0N2CV*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_U0N2CV_dX)/modelStruct.modelPar_U0N2CV/modelStruct.modelPar_U0N2CV)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_U0N1CV_dX-modelStruct.modelPar_U0N1CV*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2CV))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_U0CV_i_dX*(1.0+((modelStruct.modelPar_U0N1CV/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2CV))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_U0CV_i = (instanceStruct.instanceVar_U0CV_i*(1.0+((modelStruct.modelPar_U0N1CV/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2CV))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
instanceStruct.d_instanceVar_UACV_i_dX = (((((modelStruct.d_modelPar_UACV_dX+(Inv_L*modelStruct.d_modelPar_LUACV_dX+d_Inv_L_dX*modelStruct.modelPar_LUACV))+(Inv_NFIN*modelStruct.d_modelPar_NUACV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUACV))+(Inv_LNFIN*modelStruct.d_modelPar_PUACV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUACV))+(Inv_W*modelStruct.d_modelPar_WUACV_dX+d_Inv_W_dX*modelStruct.modelPar_WUACV))+(Inv_WL*modelStruct.d_modelPar_P2UACV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UACV));
instanceStruct.instanceVar_UACV_i = (((((modelStruct.modelPar_UACV+(Inv_L*modelStruct.modelPar_LUACV))+(Inv_NFIN*modelStruct.modelPar_NUACV))+(Inv_LNFIN*modelStruct.modelPar_PUACV))+(Inv_W*modelStruct.modelPar_WUACV))+(Inv_WL*modelStruct.modelPar_P2UACV));
}
{
instanceStruct.d_instanceVar_UDCV_i_dX = (((((modelStruct.d_modelPar_UDCV_dX+(Inv_L*modelStruct.d_modelPar_LUDCV_dX+d_Inv_L_dX*modelStruct.modelPar_LUDCV))+(Inv_NFIN*modelStruct.d_modelPar_NUDCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUDCV))+(Inv_LNFIN*modelStruct.d_modelPar_PUDCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUDCV))+(Inv_W*modelStruct.d_modelPar_WUDCV_dX+d_Inv_W_dX*modelStruct.modelPar_WUDCV))+(Inv_WL*modelStruct.d_modelPar_P2UDCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UDCV));
instanceStruct.instanceVar_UDCV_i = (((((modelStruct.modelPar_UDCV+(Inv_L*modelStruct.modelPar_LUDCV))+(Inv_NFIN*modelStruct.modelPar_NUDCV))+(Inv_LNFIN*modelStruct.modelPar_PUDCV))+(Inv_W*modelStruct.modelPar_WUDCV))+(Inv_WL*modelStruct.modelPar_P2UDCV));
}
{
instanceStruct.d_instanceVar_UTECV_i_dX = (((((modelStruct.d_modelPar_UTECV_dX+(Inv_L*modelStruct.d_modelPar_LUTECV_dX+d_Inv_L_dX*modelStruct.modelPar_LUTECV))+(Inv_NFIN*modelStruct.d_modelPar_NUTECV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTECV))+(Inv_LNFIN*modelStruct.d_modelPar_PUTECV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTECV))+(Inv_W*modelStruct.d_modelPar_WUTECV_dX+d_Inv_W_dX*modelStruct.modelPar_WUTECV))+(Inv_WL*modelStruct.d_modelPar_P2UTECV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTECV));
instanceStruct.instanceVar_UTECV_i = (((((modelStruct.modelPar_UTECV+(Inv_L*modelStruct.modelPar_LUTECV))+(Inv_NFIN*modelStruct.modelPar_NUTECV))+(Inv_LNFIN*modelStruct.modelPar_PUTECV))+(Inv_W*modelStruct.modelPar_WUTECV))+(Inv_WL*modelStruct.modelPar_P2UTECV));
}
{
instanceStruct.d_instanceVar_UTE1CV_i_dX = (((((modelStruct.d_modelPar_UTE1CV_dX+(Inv_L*modelStruct.d_modelPar_LUTE1CV_dX+d_Inv_L_dX*modelStruct.modelPar_LUTE1CV))+(Inv_NFIN*modelStruct.d_modelPar_NUTE1CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTE1CV))+(Inv_LNFIN*modelStruct.d_modelPar_PUTE1CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTE1CV))+(Inv_W*modelStruct.d_modelPar_WUTE1CV_dX+d_Inv_W_dX*modelStruct.modelPar_WUTE1CV))+(Inv_WL*modelStruct.d_modelPar_P2UTE1CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTE1CV));
instanceStruct.instanceVar_UTE1CV_i = (((((modelStruct.modelPar_UTE1CV+(Inv_L*modelStruct.modelPar_LUTE1CV))+(Inv_NFIN*modelStruct.modelPar_NUTE1CV))+(Inv_LNFIN*modelStruct.modelPar_PUTE1CV))+(Inv_W*modelStruct.modelPar_WUTE1CV))+(Inv_WL*modelStruct.modelPar_P2UTE1CV));
}
{
instanceStruct.d_instanceVar_UTLCV_i_dX = (((((modelStruct.d_modelPar_UTLCV_dX+(Inv_L*modelStruct.d_modelPar_LUTLCV_dX+d_Inv_L_dX*modelStruct.modelPar_LUTLCV))+(Inv_NFIN*modelStruct.d_modelPar_NUTLCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUTLCV))+(Inv_LNFIN*modelStruct.d_modelPar_PUTLCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUTLCV))+(Inv_W*modelStruct.d_modelPar_WUTLCV_dX+d_Inv_W_dX*modelStruct.modelPar_WUTLCV))+(Inv_WL*modelStruct.d_modelPar_P2UTLCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UTLCV));
instanceStruct.instanceVar_UTLCV_i = (((((modelStruct.modelPar_UTLCV+(Inv_L*modelStruct.modelPar_LUTLCV))+(Inv_NFIN*modelStruct.modelPar_NUTLCV))+(Inv_LNFIN*modelStruct.modelPar_PUTLCV))+(Inv_W*modelStruct.modelPar_WUTLCV))+(Inv_WL*modelStruct.modelPar_P2UTLCV));
}
{
instanceStruct.d_instanceVar_UA1CV_i_dX = (((((modelStruct.d_modelPar_UA1CV_dX+(Inv_L*modelStruct.d_modelPar_LUA1CV_dX+d_Inv_L_dX*modelStruct.modelPar_LUA1CV))+(Inv_NFIN*modelStruct.d_modelPar_NUA1CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUA1CV))+(Inv_LNFIN*modelStruct.d_modelPar_PUA1CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUA1CV))+(Inv_W*modelStruct.d_modelPar_WUA1CV_dX+d_Inv_W_dX*modelStruct.modelPar_WUA1CV))+(Inv_WL*modelStruct.d_modelPar_P2UA1CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UA1CV));
instanceStruct.instanceVar_UA1CV_i = (((((modelStruct.modelPar_UA1CV+(Inv_L*modelStruct.modelPar_LUA1CV))+(Inv_NFIN*modelStruct.modelPar_NUA1CV))+(Inv_LNFIN*modelStruct.modelPar_PUA1CV))+(Inv_W*modelStruct.modelPar_WUA1CV))+(Inv_WL*modelStruct.modelPar_P2UA1CV));
}
{
instanceStruct.d_instanceVar_UA2CV_i_dX = (((((modelStruct.d_modelPar_UA2CV_dX+(Inv_L*modelStruct.d_modelPar_LUA2CV_dX+d_Inv_L_dX*modelStruct.modelPar_LUA2CV))+(Inv_NFIN*modelStruct.d_modelPar_NUA2CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUA2CV))+(Inv_LNFIN*modelStruct.d_modelPar_PUA2CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUA2CV))+(Inv_W*modelStruct.d_modelPar_WUA2CV_dX+d_Inv_W_dX*modelStruct.modelPar_WUA2CV))+(Inv_WL*modelStruct.d_modelPar_P2UA2CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UA2CV));
instanceStruct.instanceVar_UA2CV_i = (((((modelStruct.modelPar_UA2CV+(Inv_L*modelStruct.modelPar_LUA2CV))+(Inv_NFIN*modelStruct.modelPar_NUA2CV))+(Inv_LNFIN*modelStruct.modelPar_PUA2CV))+(Inv_W*modelStruct.modelPar_WUA2CV))+(Inv_WL*modelStruct.modelPar_P2UA2CV));
}
{
instanceStruct.d_instanceVar_UD1CV_i_dX = (((((modelStruct.d_modelPar_UD1CV_dX+(Inv_L*modelStruct.d_modelPar_LUD1CV_dX+d_Inv_L_dX*modelStruct.modelPar_LUD1CV))+(Inv_NFIN*modelStruct.d_modelPar_NUD1CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUD1CV))+(Inv_LNFIN*modelStruct.d_modelPar_PUD1CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUD1CV))+(Inv_W*modelStruct.d_modelPar_WUD1CV_dX+d_Inv_W_dX*modelStruct.modelPar_WUD1CV))+(Inv_WL*modelStruct.d_modelPar_P2UD1CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UD1CV));
instanceStruct.instanceVar_UD1CV_i = (((((modelStruct.modelPar_UD1CV+(Inv_L*modelStruct.modelPar_LUD1CV))+(Inv_NFIN*modelStruct.modelPar_NUD1CV))+(Inv_LNFIN*modelStruct.modelPar_PUD1CV))+(Inv_W*modelStruct.modelPar_WUD1CV))+(Inv_WL*modelStruct.modelPar_P2UD1CV));
}
{
instanceStruct.d_instanceVar_UD2CV_i_dX = (((((modelStruct.d_modelPar_UD2CV_dX+(Inv_L*modelStruct.d_modelPar_LUD2CV_dX+d_Inv_L_dX*modelStruct.modelPar_LUD2CV))+(Inv_NFIN*modelStruct.d_modelPar_NUD2CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUD2CV))+(Inv_LNFIN*modelStruct.d_modelPar_PUD2CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUD2CV))+(Inv_W*modelStruct.d_modelPar_WUD2CV_dX+d_Inv_W_dX*modelStruct.modelPar_WUD2CV))+(Inv_WL*modelStruct.d_modelPar_P2UD2CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UD2CV));
instanceStruct.instanceVar_UD2CV_i = (((((modelStruct.modelPar_UD2CV+(Inv_L*modelStruct.modelPar_LUD2CV))+(Inv_NFIN*modelStruct.modelPar_NUD2CV))+(Inv_LNFIN*modelStruct.modelPar_PUD2CV))+(Inv_W*modelStruct.modelPar_WUD2CV))+(Inv_WL*modelStruct.modelPar_P2UD2CV));
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
instanceStruct.d_instanceVar_UCCV_i_dX = (((((modelStruct.d_modelPar_UCCV_dX+(Inv_L*modelStruct.d_modelPar_LUCCV_dX+d_Inv_L_dX*modelStruct.modelPar_LUCCV))+(Inv_NFIN*modelStruct.d_modelPar_NUCCV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUCCV))+(Inv_LNFIN*modelStruct.d_modelPar_PUCCV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUCCV))+(Inv_W*modelStruct.d_modelPar_WUCCV_dX+d_Inv_W_dX*modelStruct.modelPar_WUCCV))+(Inv_WL*modelStruct.d_modelPar_P2UCCV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UCCV));
instanceStruct.instanceVar_UCCV_i = (((((modelStruct.modelPar_UCCV+(Inv_L*modelStruct.modelPar_LUCCV))+(Inv_NFIN*modelStruct.modelPar_NUCCV))+(Inv_LNFIN*modelStruct.modelPar_PUCCV))+(Inv_W*modelStruct.modelPar_WUCCV))+(Inv_WL*modelStruct.modelPar_P2UCCV));
}
{
instanceStruct.d_instanceVar_UC1CV_i_dX = (((((modelStruct.d_modelPar_UC1CV_dX+(Inv_L*modelStruct.d_modelPar_LUC1CV_dX+d_Inv_L_dX*modelStruct.modelPar_LUC1CV))+(Inv_NFIN*modelStruct.d_modelPar_NUC1CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NUC1CV))+(Inv_LNFIN*modelStruct.d_modelPar_PUC1CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PUC1CV))+(Inv_W*modelStruct.d_modelPar_WUC1CV_dX+d_Inv_W_dX*modelStruct.modelPar_WUC1CV))+(Inv_WL*modelStruct.d_modelPar_P2UC1CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2UC1CV));
instanceStruct.instanceVar_UC1CV_i = (((((modelStruct.modelPar_UC1CV+(Inv_L*modelStruct.modelPar_LUC1CV))+(Inv_NFIN*modelStruct.modelPar_NUC1CV))+(Inv_LNFIN*modelStruct.modelPar_PUC1CV))+(Inv_W*modelStruct.modelPar_WUC1CV))+(Inv_WL*modelStruct.modelPar_P2UC1CV));
}
}
{
instanceStruct.d_instanceVar_ETA0CV_i_dX = (((((modelStruct.d_modelPar_ETA0CV_dX+(Inv_L*modelStruct.d_modelPar_LETA0CV_dX+d_Inv_L_dX*modelStruct.modelPar_LETA0CV))+(Inv_NFIN*modelStruct.d_modelPar_NETA0CV_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NETA0CV))+(Inv_LNFIN*modelStruct.d_modelPar_PETA0CV_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PETA0CV))+(Inv_W*modelStruct.d_modelPar_WETA0CV_dX+d_Inv_W_dX*modelStruct.modelPar_WETA0CV))+(Inv_WL*modelStruct.d_modelPar_P2ETA0CV_dX+d_Inv_WL_dX*modelStruct.modelPar_P2ETA0CV));
instanceStruct.instanceVar_ETA0CV_i = (((((modelStruct.modelPar_ETA0CV+(Inv_L*modelStruct.modelPar_LETA0CV))+(Inv_NFIN*modelStruct.modelPar_NETA0CV))+(Inv_LNFIN*modelStruct.modelPar_PETA0CV))+(Inv_W*modelStruct.modelPar_WETA0CV))+(Inv_WL*modelStruct.modelPar_P2ETA0CV));
}
{
if ((modelStruct.modelPar_ETA0N1CV!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2CV)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2CV)));
instanceStruct.d_instanceVar_ETA0CV_i_dX = (instanceStruct.instanceVar_ETA0CV_i*((modelStruct.modelPar_ETA0N1CV/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2CV))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_ETA0N2CV*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_ETA0N2CV_dX)/modelStruct.modelPar_ETA0N2CV/modelStruct.modelPar_ETA0N2CV)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_ETA0N1CV_dX-modelStruct.modelPar_ETA0N1CV*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2CV))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_ETA0CV_i_dX*(1.0+((modelStruct.modelPar_ETA0N1CV/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2CV))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_ETA0CV_i = (instanceStruct.instanceVar_ETA0CV_i*(1.0+((modelStruct.modelPar_ETA0N1CV/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2CV))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
if ((instanceStruct.instancePar_NFINNOM!=0.0))
{
{
instanceStruct.d_instanceVar_U0CV_i_dX = (instanceStruct.instanceVar_U0CV_i*(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_U0LTCV)*instanceStruct.d_instanceVar_Leff_dX+((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.d_modelPar_U0LTCV_dX+(instanceStruct.d_instancePar_NFIN_dX-instanceStruct.d_instancePar_NFINNOM_dX)*modelStruct.modelPar_U0LTCV)*instanceStruct.instanceVar_Leff)+instanceStruct.d_instanceVar_U0CV_i_dX*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_U0LTCV)*instanceStruct.instanceVar_Leff)));
instanceStruct.instanceVar_U0CV_i = (instanceStruct.instanceVar_U0CV_i*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_U0LTCV)*instanceStruct.instanceVar_Leff)));
}
{
instanceStruct.d_instanceVar_ETA0CV_i_dX = (instanceStruct.instanceVar_ETA0CV_i*(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_ETA0LTCV)*instanceStruct.d_instanceVar_Leff_dX+((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.d_modelPar_ETA0LTCV_dX+(instanceStruct.d_instancePar_NFIN_dX-instanceStruct.d_instancePar_NFINNOM_dX)*modelStruct.modelPar_ETA0LTCV)*instanceStruct.instanceVar_Leff)+instanceStruct.d_instanceVar_ETA0CV_i_dX*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_ETA0LTCV)*instanceStruct.instanceVar_Leff)));
instanceStruct.instanceVar_ETA0CV_i = (instanceStruct.instanceVar_ETA0CV_i*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_ETA0LTCV)*instanceStruct.instanceVar_Leff)));
}
}
}
if (((modelStruct.modelPar_NQSMOD!=0)&&(modelStruct.modelPar_XRCRG1!=0.0)))
{
{
instanceStruct.d_instanceVar_XRCRG1_i_dX = (((((modelStruct.d_modelPar_XRCRG1_dX+(Inv_L*modelStruct.d_modelPar_LXRCRG1_dX+d_Inv_L_dX*modelStruct.modelPar_LXRCRG1))+(Inv_NFIN*modelStruct.d_modelPar_NXRCRG1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NXRCRG1))+(Inv_LNFIN*modelStruct.d_modelPar_PXRCRG1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PXRCRG1))+(Inv_W*modelStruct.d_modelPar_WXRCRG1_dX+d_Inv_W_dX*modelStruct.modelPar_WXRCRG1))+(Inv_WL*modelStruct.d_modelPar_P2XRCRG1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2XRCRG1));
instanceStruct.instanceVar_XRCRG1_i = (((((modelStruct.modelPar_XRCRG1+(Inv_L*modelStruct.modelPar_LXRCRG1))+(Inv_NFIN*modelStruct.modelPar_NXRCRG1))+(Inv_LNFIN*modelStruct.modelPar_PXRCRG1))+(Inv_W*modelStruct.modelPar_WXRCRG1))+(Inv_WL*modelStruct.modelPar_P2XRCRG1));
}
{
instanceStruct.d_instanceVar_XRCRG2_i_dX = (((((modelStruct.d_modelPar_XRCRG2_dX+(Inv_L*modelStruct.d_modelPar_LXRCRG2_dX+d_Inv_L_dX*modelStruct.modelPar_LXRCRG2))+(Inv_NFIN*modelStruct.d_modelPar_NXRCRG2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NXRCRG2))+(Inv_LNFIN*modelStruct.d_modelPar_PXRCRG2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PXRCRG2))+(Inv_W*modelStruct.d_modelPar_WXRCRG2_dX+d_Inv_W_dX*modelStruct.modelPar_WXRCRG2))+(Inv_WL*modelStruct.d_modelPar_P2XRCRG2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2XRCRG2));
instanceStruct.instanceVar_XRCRG2_i = (((((modelStruct.modelPar_XRCRG2+(Inv_L*modelStruct.modelPar_LXRCRG2))+(Inv_NFIN*modelStruct.modelPar_NXRCRG2))+(Inv_LNFIN*modelStruct.modelPar_PXRCRG2))+(Inv_W*modelStruct.modelPar_WXRCRG2))+(Inv_WL*modelStruct.modelPar_P2XRCRG2));
}
}
if ((instanceStruct.instancePar_SUBBANDMOD==1))
{
{
d_DIMENSION1_i_dX = (((((modelStruct.d_modelPar_DIMENSION1_dX+(Inv_L*modelStruct.d_modelPar_LDIMENSION1_dX+d_Inv_L_dX*modelStruct.modelPar_LDIMENSION1))+(Inv_NFIN*modelStruct.d_modelPar_NDIMENSION1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDIMENSION1))+(Inv_LNFIN*modelStruct.d_modelPar_PDIMENSION1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDIMENSION1))+(Inv_W*modelStruct.d_modelPar_WDIMENSION1_dX+d_Inv_W_dX*modelStruct.modelPar_WDIMENSION1))+(Inv_WL*modelStruct.d_modelPar_P2DIMENSION1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DIMENSION1));
DIMENSION1_i = (((((modelStruct.modelPar_DIMENSION1+(Inv_L*modelStruct.modelPar_LDIMENSION1))+(Inv_NFIN*modelStruct.modelPar_NDIMENSION1))+(Inv_LNFIN*modelStruct.modelPar_PDIMENSION1))+(Inv_W*modelStruct.modelPar_WDIMENSION1))+(Inv_WL*modelStruct.modelPar_P2DIMENSION1));
}
{
d_DIMENSION2_i_dX = (((((modelStruct.d_modelPar_DIMENSION2_dX+(Inv_L*modelStruct.d_modelPar_LDIMENSION2_dX+d_Inv_L_dX*modelStruct.modelPar_LDIMENSION2))+(Inv_NFIN*modelStruct.d_modelPar_NDIMENSION2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDIMENSION2))+(Inv_LNFIN*modelStruct.d_modelPar_PDIMENSION2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDIMENSION2))+(Inv_W*modelStruct.d_modelPar_WDIMENSION2_dX+d_Inv_W_dX*modelStruct.modelPar_WDIMENSION2))+(Inv_WL*modelStruct.d_modelPar_P2DIMENSION2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DIMENSION2));
DIMENSION2_i = (((((modelStruct.modelPar_DIMENSION2+(Inv_L*modelStruct.modelPar_LDIMENSION2))+(Inv_NFIN*modelStruct.modelPar_NDIMENSION2))+(Inv_LNFIN*modelStruct.modelPar_PDIMENSION2))+(Inv_W*modelStruct.modelPar_WDIMENSION2))+(Inv_WL*modelStruct.modelPar_P2DIMENSION2));
}
{
d_DIMENSION3_i_dX = (((((modelStruct.d_modelPar_DIMENSION3_dX+(Inv_L*modelStruct.d_modelPar_LDIMENSION3_dX+d_Inv_L_dX*modelStruct.modelPar_LDIMENSION3))+(Inv_NFIN*modelStruct.d_modelPar_NDIMENSION3_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NDIMENSION3))+(Inv_LNFIN*modelStruct.d_modelPar_PDIMENSION3_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PDIMENSION3))+(Inv_W*modelStruct.d_modelPar_WDIMENSION3_dX+d_Inv_W_dX*modelStruct.modelPar_WDIMENSION3))+(Inv_WL*modelStruct.d_modelPar_P2DIMENSION3_dX+d_Inv_WL_dX*modelStruct.modelPar_P2DIMENSION3));
DIMENSION3_i = (((((modelStruct.modelPar_DIMENSION3+(Inv_L*modelStruct.modelPar_LDIMENSION3))+(Inv_NFIN*modelStruct.modelPar_NDIMENSION3))+(Inv_LNFIN*modelStruct.modelPar_PDIMENSION3))+(Inv_W*modelStruct.modelPar_WDIMENSION3))+(Inv_WL*modelStruct.modelPar_P2DIMENSION3));
}
{
d_SSP1_i_dX = (((((modelStruct.d_modelPar_SSP1_dX+(Inv_L*modelStruct.d_modelPar_LSSP1_dX+d_Inv_L_dX*modelStruct.modelPar_LSSP1))+(Inv_NFIN*modelStruct.d_modelPar_NSSP1_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSSP1))+(Inv_LNFIN*modelStruct.d_modelPar_PSSP1_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSSP1))+(Inv_W*modelStruct.d_modelPar_WSSP1_dX+d_Inv_W_dX*modelStruct.modelPar_WSSP1))+(Inv_WL*modelStruct.d_modelPar_P2SSP1_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SSP1));
SSP1_i = (((((modelStruct.modelPar_SSP1+(Inv_L*modelStruct.modelPar_LSSP1))+(Inv_NFIN*modelStruct.modelPar_NSSP1))+(Inv_LNFIN*modelStruct.modelPar_PSSP1))+(Inv_W*modelStruct.modelPar_WSSP1))+(Inv_WL*modelStruct.modelPar_P2SSP1));
}
{
d_SSP2_i_dX = (((((modelStruct.d_modelPar_SSP2_dX+(Inv_L*modelStruct.d_modelPar_LSSP2_dX+d_Inv_L_dX*modelStruct.modelPar_LSSP2))+(Inv_NFIN*modelStruct.d_modelPar_NSSP2_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSSP2))+(Inv_LNFIN*modelStruct.d_modelPar_PSSP2_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSSP2))+(Inv_W*modelStruct.d_modelPar_WSSP2_dX+d_Inv_W_dX*modelStruct.modelPar_WSSP2))+(Inv_WL*modelStruct.d_modelPar_P2SSP2_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SSP2));
SSP2_i = (((((modelStruct.modelPar_SSP2+(Inv_L*modelStruct.modelPar_LSSP2))+(Inv_NFIN*modelStruct.modelPar_NSSP2))+(Inv_LNFIN*modelStruct.modelPar_PSSP2))+(Inv_W*modelStruct.modelPar_WSSP2))+(Inv_WL*modelStruct.modelPar_P2SSP2));
}
{
d_SSP3_i_dX = (((((modelStruct.d_modelPar_SSP3_dX+(Inv_L*modelStruct.d_modelPar_LSSP3_dX+d_Inv_L_dX*modelStruct.modelPar_LSSP3))+(Inv_NFIN*modelStruct.d_modelPar_NSSP3_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NSSP3))+(Inv_LNFIN*modelStruct.d_modelPar_PSSP3_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PSSP3))+(Inv_W*modelStruct.d_modelPar_WSSP3_dX+d_Inv_W_dX*modelStruct.modelPar_WSSP3))+(Inv_WL*modelStruct.d_modelPar_P2SSP3_dX+d_Inv_WL_dX*modelStruct.modelPar_P2SSP3));
SSP3_i = (((((modelStruct.modelPar_SSP3+(Inv_L*modelStruct.modelPar_LSSP3))+(Inv_NFIN*modelStruct.modelPar_NSSP3))+(Inv_LNFIN*modelStruct.modelPar_PSSP3))+(Inv_W*modelStruct.modelPar_WSSP3))+(Inv_WL*modelStruct.modelPar_P2SSP3));
}
{
d_E2NOM_i_dX = (((((modelStruct.d_modelPar_E2NOM_dX+(Inv_L*modelStruct.d_modelPar_LE2NOM_dX+d_Inv_L_dX*modelStruct.modelPar_LE2NOM))+(Inv_NFIN*modelStruct.d_modelPar_NE2NOM_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NE2NOM))+(Inv_LNFIN*modelStruct.d_modelPar_PE2NOM_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PE2NOM))+(Inv_W*modelStruct.d_modelPar_WE2NOM_dX+d_Inv_W_dX*modelStruct.modelPar_WE2NOM))+(Inv_WL*modelStruct.d_modelPar_P2E2NOM_dX+d_Inv_WL_dX*modelStruct.modelPar_P2E2NOM));
E2NOM_i = (((((modelStruct.modelPar_E2NOM+(Inv_L*modelStruct.modelPar_LE2NOM))+(Inv_NFIN*modelStruct.modelPar_NE2NOM))+(Inv_LNFIN*modelStruct.modelPar_PE2NOM))+(Inv_W*modelStruct.modelPar_WE2NOM))+(Inv_WL*modelStruct.modelPar_P2E2NOM));
}
{
d_E3NOM_i_dX = (((((modelStruct.d_modelPar_E3NOM_dX+(Inv_L*modelStruct.d_modelPar_LE3NOM_dX+d_Inv_L_dX*modelStruct.modelPar_LE3NOM))+(Inv_NFIN*modelStruct.d_modelPar_NE3NOM_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NE3NOM))+(Inv_LNFIN*modelStruct.d_modelPar_PE3NOM_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PE3NOM))+(Inv_W*modelStruct.d_modelPar_WE3NOM_dX+d_Inv_W_dX*modelStruct.modelPar_WE3NOM))+(Inv_WL*modelStruct.d_modelPar_P2E3NOM_dX+d_Inv_WL_dX*modelStruct.modelPar_P2E3NOM));
E3NOM_i = (((((modelStruct.modelPar_E3NOM+(Inv_L*modelStruct.modelPar_LE3NOM))+(Inv_NFIN*modelStruct.modelPar_NE3NOM))+(Inv_LNFIN*modelStruct.modelPar_PE3NOM))+(Inv_W*modelStruct.modelPar_WE3NOM))+(Inv_WL*modelStruct.modelPar_P2E3NOM));
}
{
d_MFQ1NOM_i_dX = (((((modelStruct.d_modelPar_MFQ1NOM_dX+(Inv_L*modelStruct.d_modelPar_LMFQ1NOM_dX+d_Inv_L_dX*modelStruct.modelPar_LMFQ1NOM))+(Inv_NFIN*modelStruct.d_modelPar_NMFQ1NOM_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NMFQ1NOM))+(Inv_LNFIN*modelStruct.d_modelPar_PMFQ1NOM_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PMFQ1NOM))+(Inv_W*modelStruct.d_modelPar_WMFQ1NOM_dX+d_Inv_W_dX*modelStruct.modelPar_WMFQ1NOM))+(Inv_WL*modelStruct.d_modelPar_P2MFQ1NOM_dX+d_Inv_WL_dX*modelStruct.modelPar_P2MFQ1NOM));
MFQ1NOM_i = (((((modelStruct.modelPar_MFQ1NOM+(Inv_L*modelStruct.modelPar_LMFQ1NOM))+(Inv_NFIN*modelStruct.modelPar_NMFQ1NOM))+(Inv_LNFIN*modelStruct.modelPar_PMFQ1NOM))+(Inv_W*modelStruct.modelPar_WMFQ1NOM))+(Inv_WL*modelStruct.modelPar_P2MFQ1NOM));
}
{
d_MFQ2NOM_i_dX = (((((modelStruct.d_modelPar_MFQ2NOM_dX+(Inv_L*modelStruct.d_modelPar_LMFQ2NOM_dX+d_Inv_L_dX*modelStruct.modelPar_LMFQ2NOM))+(Inv_NFIN*modelStruct.d_modelPar_NMFQ2NOM_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NMFQ2NOM))+(Inv_LNFIN*modelStruct.d_modelPar_PMFQ2NOM_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PMFQ2NOM))+(Inv_W*modelStruct.d_modelPar_WMFQ2NOM_dX+d_Inv_W_dX*modelStruct.modelPar_WMFQ2NOM))+(Inv_WL*modelStruct.d_modelPar_P2MFQ2NOM_dX+d_Inv_WL_dX*modelStruct.modelPar_P2MFQ2NOM));
MFQ2NOM_i = (((((modelStruct.modelPar_MFQ2NOM+(Inv_L*modelStruct.modelPar_LMFQ2NOM))+(Inv_NFIN*modelStruct.modelPar_NMFQ2NOM))+(Inv_LNFIN*modelStruct.modelPar_PMFQ2NOM))+(Inv_W*modelStruct.modelPar_WMFQ2NOM))+(Inv_WL*modelStruct.modelPar_P2MFQ2NOM));
}
{
d_MFQ3NOM_i_dX = (((((modelStruct.d_modelPar_MFQ3NOM_dX+(Inv_L*modelStruct.d_modelPar_LMFQ3NOM_dX+d_Inv_L_dX*modelStruct.modelPar_LMFQ3NOM))+(Inv_NFIN*modelStruct.d_modelPar_NMFQ3NOM_dX+d_Inv_NFIN_dX*modelStruct.modelPar_NMFQ3NOM))+(Inv_LNFIN*modelStruct.d_modelPar_PMFQ3NOM_dX+d_Inv_LNFIN_dX*modelStruct.modelPar_PMFQ3NOM))+(Inv_W*modelStruct.d_modelPar_WMFQ3NOM_dX+d_Inv_W_dX*modelStruct.modelPar_WMFQ3NOM))+(Inv_WL*modelStruct.d_modelPar_P2MFQ3NOM_dX+d_Inv_WL_dX*modelStruct.modelPar_P2MFQ3NOM));
MFQ3NOM_i = (((((modelStruct.modelPar_MFQ3NOM+(Inv_L*modelStruct.modelPar_LMFQ3NOM))+(Inv_NFIN*modelStruct.modelPar_NMFQ3NOM))+(Inv_LNFIN*modelStruct.modelPar_PMFQ3NOM))+(Inv_W*modelStruct.modelPar_WMFQ3NOM))+(Inv_WL*modelStruct.modelPar_P2MFQ3NOM));
}
}
{
if ((modelStruct.modelPar_PHIGN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_PHIGN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_PHIGN2)));
instanceStruct.d_instanceVar_PHIG_i_dX = (instanceStruct.instanceVar_PHIG_i*((modelStruct.modelPar_PHIGN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_PHIGN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_PHIGN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_PHIGN2_dX)/modelStruct.modelPar_PHIGN2/modelStruct.modelPar_PHIGN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_PHIGN1_dX-modelStruct.modelPar_PHIGN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_PHIGN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_PHIG_i_dX*(1.0+((modelStruct.modelPar_PHIGN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_PHIGN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_PHIG_i = (instanceStruct.instanceVar_PHIG_i*(1.0+((modelStruct.modelPar_PHIGN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_PHIGN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_ETA0N1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2)));
instanceStruct.d_instanceVar_ETA0_i_dX = (instanceStruct.instanceVar_ETA0_i*((modelStruct.modelPar_ETA0N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_ETA0N2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_ETA0N2_dX)/modelStruct.modelPar_ETA0N2/modelStruct.modelPar_ETA0N2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_ETA0N1_dX-modelStruct.modelPar_ETA0N1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_ETA0_i_dX*(1.0+((modelStruct.modelPar_ETA0N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_ETA0_i = (instanceStruct.instanceVar_ETA0_i*(1.0+((modelStruct.modelPar_ETA0N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_ETA0N2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_CDSCN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCN2)));
instanceStruct.d_instanceVar_CDSC_i_dX = (instanceStruct.instanceVar_CDSC_i*((modelStruct.modelPar_CDSCN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_CDSCN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_CDSCN2_dX)/modelStruct.modelPar_CDSCN2/modelStruct.modelPar_CDSCN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_CDSCN1_dX-modelStruct.modelPar_CDSCN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_CDSC_i_dX*(1.0+((modelStruct.modelPar_CDSCN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_CDSC_i = (instanceStruct.instanceVar_CDSC_i*(1.0+((modelStruct.modelPar_CDSCN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_CDSCDN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDN2)));
instanceStruct.d_instanceVar_CDSCD_i_dX = (instanceStruct.instanceVar_CDSCD_i*((modelStruct.modelPar_CDSCDN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_CDSCDN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_CDSCDN2_dX)/modelStruct.modelPar_CDSCDN2/modelStruct.modelPar_CDSCDN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_CDSCDN1_dX-modelStruct.modelPar_CDSCDN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_CDSCD_i_dX*(1.0+((modelStruct.modelPar_CDSCDN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_CDSCD_i = (instanceStruct.instanceVar_CDSCD_i*(1.0+((modelStruct.modelPar_CDSCDN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_CDSCDRN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDRN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDRN2)));
instanceStruct.d_instanceVar_CDSCDR_i_dX = (instanceStruct.instanceVar_CDSCDR_i*((modelStruct.modelPar_CDSCDRN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDRN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_CDSCDRN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_CDSCDRN2_dX)/modelStruct.modelPar_CDSCDRN2/modelStruct.modelPar_CDSCDRN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_CDSCDRN1_dX-modelStruct.modelPar_CDSCDRN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDRN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_CDSCDR_i_dX*(1.0+((modelStruct.modelPar_CDSCDRN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDRN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_CDSCDR_i = (instanceStruct.instanceVar_CDSCDR_i*(1.0+((modelStruct.modelPar_CDSCDRN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_CDSCDRN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_VSATN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSATN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSATN2)));
instanceStruct.d_instanceVar_VSAT_i_dX = (instanceStruct.instanceVar_VSAT_i*((modelStruct.modelPar_VSATN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSATN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_VSATN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_VSATN2_dX)/modelStruct.modelPar_VSATN2/modelStruct.modelPar_VSATN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_VSATN1_dX-modelStruct.modelPar_VSATN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSATN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_VSAT_i_dX*(1.0+((modelStruct.modelPar_VSATN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSATN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_VSAT_i = (instanceStruct.instanceVar_VSAT_i*(1.0+((modelStruct.modelPar_VSATN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSATN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_VSAT1N1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1N2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1N2)));
instanceStruct.d_instanceVar_VSAT1_i_dX = (instanceStruct.instanceVar_VSAT1_i*((modelStruct.modelPar_VSAT1N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1N2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_VSAT1N2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_VSAT1N2_dX)/modelStruct.modelPar_VSAT1N2/modelStruct.modelPar_VSAT1N2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_VSAT1N1_dX-modelStruct.modelPar_VSAT1N1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1N2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_VSAT1_i_dX*(1.0+((modelStruct.modelPar_VSAT1N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1N2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_VSAT1_i = (instanceStruct.instanceVar_VSAT1_i*(1.0+((modelStruct.modelPar_VSAT1N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1N2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_VSAT1RN1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1RN2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1RN2)));
instanceStruct.d_instanceVar_VSAT1R_i_dX = (instanceStruct.instanceVar_VSAT1R_i*((modelStruct.modelPar_VSAT1RN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1RN2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_VSAT1RN2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_VSAT1RN2_dX)/modelStruct.modelPar_VSAT1RN2/modelStruct.modelPar_VSAT1RN2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_VSAT1RN1_dX-modelStruct.modelPar_VSAT1RN1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1RN2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_VSAT1R_i_dX*(1.0+((modelStruct.modelPar_VSAT1RN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1RN2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_VSAT1R_i = (instanceStruct.instanceVar_VSAT1R_i*(1.0+((modelStruct.modelPar_VSAT1RN1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_VSAT1RN2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_U0N1!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2)));
instanceStruct.d_instanceVar_U0_i_dX = (instanceStruct.instanceVar_U0_i*((modelStruct.modelPar_U0N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_U0N2*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_U0N2_dX)/modelStruct.modelPar_U0N2/modelStruct.modelPar_U0N2)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_U0N1_dX-modelStruct.modelPar_U0N1*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_U0_i_dX*(1.0+((modelStruct.modelPar_U0N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_U0_i = (instanceStruct.instanceVar_U0_i*(1.0+((modelStruct.modelPar_U0N1/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
{
if ((modelStruct.modelPar_U0N1R!=0.0))
{
{
double value_log_0 = log((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2R)));
double  deriv_log_0_d0 = (1.0/(1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2R)));
instanceStruct.d_instanceVar_U0R_i_dX = (instanceStruct.instanceVar_U0R_i*((modelStruct.modelPar_U0N1R/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2R))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_U0N2R*instanceStruct.d_instancePar_NFIN_dX-instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_U0N2R_dX)/modelStruct.modelPar_U0N2R/modelStruct.modelPar_U0N2R)):0.0)+((instanceStruct.instancePar_NFIN*modelStruct.d_modelPar_U0N1R_dX-modelStruct.modelPar_U0N1R*instanceStruct.d_instancePar_NFIN_dX)/instanceStruct.instancePar_NFIN/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2R))>1.0e-38)?value_log_0:(-87.498233534)))+instanceStruct.d_instanceVar_U0R_i_dX*(1.0+((modelStruct.modelPar_U0N1R/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2R))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_U0R_i = (instanceStruct.instanceVar_U0R_i*(1.0+((modelStruct.modelPar_U0N1R/instanceStruct.instancePar_NFIN)*(((1.0+(instanceStruct.instancePar_NFIN/modelStruct.modelPar_U0N2R))>1.0e-38)?value_log_0:(-87.498233534)))));
}
}
}
if ((instanceStruct.instancePar_NFINNOM!=0.0))
{
{
instanceStruct.d_instanceVar_PHIG_i_dX = (instanceStruct.instanceVar_PHIG_i*(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_PHIGLT)*instanceStruct.d_instanceVar_Leff_dX+((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.d_modelPar_PHIGLT_dX+(instanceStruct.d_instancePar_NFIN_dX-instanceStruct.d_instancePar_NFINNOM_dX)*modelStruct.modelPar_PHIGLT)*instanceStruct.instanceVar_Leff)+instanceStruct.d_instanceVar_PHIG_i_dX*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_PHIGLT)*instanceStruct.instanceVar_Leff)));
instanceStruct.instanceVar_PHIG_i = (instanceStruct.instanceVar_PHIG_i*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_PHIGLT)*instanceStruct.instanceVar_Leff)));
}
{
instanceStruct.d_instanceVar_ETA0_i_dX = (instanceStruct.instanceVar_ETA0_i*(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_ETA0LT)*instanceStruct.d_instanceVar_Leff_dX+((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.d_modelPar_ETA0LT_dX+(instanceStruct.d_instancePar_NFIN_dX-instanceStruct.d_instancePar_NFINNOM_dX)*modelStruct.modelPar_ETA0LT)*instanceStruct.instanceVar_Leff)+instanceStruct.d_instanceVar_ETA0_i_dX*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_ETA0LT)*instanceStruct.instanceVar_Leff)));
instanceStruct.instanceVar_ETA0_i = (instanceStruct.instanceVar_ETA0_i*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_ETA0LT)*instanceStruct.instanceVar_Leff)));
}
{
instanceStruct.d_instanceVar_U0_i_dX = (instanceStruct.instanceVar_U0_i*(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_U0LT)*instanceStruct.d_instanceVar_Leff_dX+((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.d_modelPar_U0LT_dX+(instanceStruct.d_instancePar_NFIN_dX-instanceStruct.d_instancePar_NFINNOM_dX)*modelStruct.modelPar_U0LT)*instanceStruct.instanceVar_Leff)+instanceStruct.d_instanceVar_U0_i_dX*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_U0LT)*instanceStruct.instanceVar_Leff)));
instanceStruct.instanceVar_U0_i = (instanceStruct.instanceVar_U0_i*(1.0+(((instanceStruct.instancePar_NFIN-instanceStruct.instancePar_NFINNOM)*modelStruct.modelPar_U0LT)*instanceStruct.instanceVar_Leff)));
}
}
{
double value_log_0 = log(instanceStruct.instanceVar_Leff);
double  deriv_log_0_d0 = (1.0/instanceStruct.instanceVar_Leff);
d_Leff_ln_dX = deriv_log_0_d0*(instanceStruct.d_instanceVar_Leff_dX);
Leff_ln = value_log_0;
}
instanceStruct.d_instanceVar_PHIG_i_dX = (instanceStruct.d_instanceVar_PHIG_i_dX+(modelStruct.modelPar_PHIGL*instanceStruct.d_instanceVar_Leff_dX+modelStruct.d_modelPar_PHIGL_dX*instanceStruct.instanceVar_Leff));
instanceStruct.instanceVar_PHIG_i = (instanceStruct.instanceVar_PHIG_i+(modelStruct.modelPar_PHIGL*instanceStruct.instanceVar_Leff));
if ((modelStruct.modelPar_LPA>0.0))
{
{
double value_exp_0 = exp(((-modelStruct.modelPar_LPA)*Leff_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_U0_i_dX = (instanceStruct.instanceVar_U0_i*(-(UP_i*deriv_exp_0_d0*(((-modelStruct.modelPar_LPA)*d_Leff_ln_dX+(-modelStruct.d_modelPar_LPA_dX)*Leff_ln))+d_UP_i_dX*value_exp_0))+instanceStruct.d_instanceVar_U0_i_dX*(1.0-(UP_i*value_exp_0)));
instanceStruct.instanceVar_U0_i = (instanceStruct.instanceVar_U0_i*(1.0-(UP_i*value_exp_0)));
}
}
else
{
instanceStruct.d_instanceVar_U0_i_dX = (instanceStruct.instanceVar_U0_i*(-d_UP_i_dX)+instanceStruct.d_instanceVar_U0_i_dX*(1.0-UP_i));
instanceStruct.instanceVar_U0_i = (instanceStruct.instanceVar_U0_i*(1.0-UP_i));
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UA_i_dX = (instanceStruct.d_instanceVar_UA_i_dX+(modelStruct.modelPar_AUA*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA)>80.0)?5.540622384e34*((modelStruct.modelPar_BUA*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUA_dX)/modelStruct.modelPar_BUA/modelStruct.modelPar_BUA):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BUA*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUA_dX)/modelStruct.modelPar_BUA/modelStruct.modelPar_BUA))))+modelStruct.d_modelPar_AUA_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_UA_i = (instanceStruct.instanceVar_UA_i+(modelStruct.modelPar_AUA*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUA)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UD_i_dX = (instanceStruct.d_instanceVar_UD_i_dX+(modelStruct.modelPar_AUD*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD)>80.0)?5.540622384e34*((modelStruct.modelPar_BUD*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUD_dX)/modelStruct.modelPar_BUD/modelStruct.modelPar_BUD):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BUD*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUD_dX)/modelStruct.modelPar_BUD/modelStruct.modelPar_BUD))))+modelStruct.d_modelPar_AUD_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_UD_i = (instanceStruct.instanceVar_UD_i+(modelStruct.modelPar_AUD*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUD)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_EU_i_dX = (instanceStruct.d_instanceVar_EU_i_dX+(modelStruct.modelPar_AEU*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU)>80.0)?5.540622384e34*((modelStruct.modelPar_BEU*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BEU_dX)/modelStruct.modelPar_BEU/modelStruct.modelPar_BEU):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BEU*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BEU_dX)/modelStruct.modelPar_BEU/modelStruct.modelPar_BEU))))+modelStruct.d_modelPar_AEU_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_EU_i = (instanceStruct.instanceVar_EU_i+(modelStruct.modelPar_AEU*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEU)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UAR_i_dX = (instanceStruct.d_instanceVar_UAR_i_dX+(modelStruct.modelPar_AUAR*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR)>80.0)?5.540622384e34*((modelStruct.modelPar_BUAR*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUAR_dX)/modelStruct.modelPar_BUAR/modelStruct.modelPar_BUAR):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BUAR*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUAR_dX)/modelStruct.modelPar_BUAR/modelStruct.modelPar_BUAR))))+modelStruct.d_modelPar_AUAR_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_UAR_i = (instanceStruct.instanceVar_UAR_i+(modelStruct.modelPar_AUAR*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUAR)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDR_i_dX = (instanceStruct.d_instanceVar_UDR_i_dX+(modelStruct.modelPar_AUDR*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR)>80.0)?5.540622384e34*((modelStruct.modelPar_BUDR*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUDR_dX)/modelStruct.modelPar_BUDR/modelStruct.modelPar_BUDR):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BUDR*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BUDR_dX)/modelStruct.modelPar_BUDR/modelStruct.modelPar_BUDR))))+modelStruct.d_modelPar_AUDR_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_UDR_i = (instanceStruct.instanceVar_UDR_i+(modelStruct.modelPar_AUDR*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BUDR)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_EUR_i_dX = (instanceStruct.d_instanceVar_EUR_i_dX+(modelStruct.modelPar_AEUR*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR)>80.0)?5.540622384e34*((modelStruct.modelPar_BEUR*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BEUR_dX)/modelStruct.modelPar_BEUR/modelStruct.modelPar_BEUR):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BEUR*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BEUR_dX)/modelStruct.modelPar_BEUR/modelStruct.modelPar_BEUR))))+modelStruct.d_modelPar_AEUR_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_EUR_i = (instanceStruct.instanceVar_EUR_i+(modelStruct.modelPar_AEUR*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BEUR)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if ((modelStruct.modelPar_LPAR>0.0))
{
{
double value_exp_0 = exp(((-modelStruct.modelPar_LPAR)*Leff_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_U0R_i_dX = (instanceStruct.instanceVar_U0R_i*(-(UPR_i*deriv_exp_0_d0*(((-modelStruct.modelPar_LPAR)*d_Leff_ln_dX+(-modelStruct.d_modelPar_LPAR_dX)*Leff_ln))+d_UPR_i_dX*value_exp_0))+instanceStruct.d_instanceVar_U0R_i_dX*(1.0-(UPR_i*value_exp_0)));
instanceStruct.instanceVar_U0R_i = (instanceStruct.instanceVar_U0R_i*(1.0-(UPR_i*value_exp_0)));
}
}
else
{
instanceStruct.d_instanceVar_U0R_i_dX = (instanceStruct.instanceVar_U0R_i*(-d_UPR_i_dX)+instanceStruct.d_instanceVar_U0R_i_dX*(1.0-UPR_i));
instanceStruct.instanceVar_U0R_i = (instanceStruct.instanceVar_U0R_i*(1.0-UPR_i));
}
}
if ((modelStruct.modelPar_RDSMOD==1))
{
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_RSW_i_dX = (instanceStruct.d_instanceVar_RSW_i_dX+(modelStruct.modelPar_ARSW*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW)>80.0)?5.540622384e34*((modelStruct.modelPar_BRSW*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BRSW_dX)/modelStruct.modelPar_BRSW/modelStruct.modelPar_BRSW):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BRSW*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BRSW_dX)/modelStruct.modelPar_BRSW/modelStruct.modelPar_BRSW))))+modelStruct.d_modelPar_ARSW_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_RSW_i = (instanceStruct.instanceVar_RSW_i+(modelStruct.modelPar_ARSW*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRSW)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_RDW_i_dX = (instanceStruct.d_instanceVar_RDW_i_dX+(modelStruct.modelPar_ARDW*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW)>80.0)?5.540622384e34*((modelStruct.modelPar_BRDW*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BRDW_dX)/modelStruct.modelPar_BRDW/modelStruct.modelPar_BRDW):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BRDW*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BRDW_dX)/modelStruct.modelPar_BRDW/modelStruct.modelPar_BRDW))))+modelStruct.d_modelPar_ARDW_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_RDW_i = (instanceStruct.instanceVar_RDW_i+(modelStruct.modelPar_ARDW*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDW)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
else
{
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_RDSW_i_dX = (instanceStruct.d_instanceVar_RDSW_i_dX+(modelStruct.modelPar_ARDSW*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW)>80.0)?5.540622384e34*((modelStruct.modelPar_BRDSW*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BRDSW_dX)/modelStruct.modelPar_BRDSW/modelStruct.modelPar_BRDSW):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BRDSW*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BRDSW_dX)/modelStruct.modelPar_BRDSW/modelStruct.modelPar_BRDSW))))+modelStruct.d_modelPar_ARDSW_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_RDSW_i = (instanceStruct.instanceVar_RDSW_i+(modelStruct.modelPar_ARDSW*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BRDSW)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_PCLM_i_dX = (instanceStruct.d_instanceVar_PCLM_i_dX+(modelStruct.modelPar_APCLM*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM)>80.0)?5.540622384e34*((modelStruct.modelPar_BPCLM*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPCLM_dX)/modelStruct.modelPar_BPCLM/modelStruct.modelPar_BPCLM):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BPCLM*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPCLM_dX)/modelStruct.modelPar_BPCLM/modelStruct.modelPar_BPCLM))))+modelStruct.d_modelPar_APCLM_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_PCLM_i = (instanceStruct.instanceVar_PCLM_i+(modelStruct.modelPar_APCLM*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPCLM)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_exp_0 = exp(((-modelStruct.modelPar_BPCLMR)*Leff_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_PCLMR_i_dX = (instanceStruct.d_instanceVar_PCLMR_i_dX+(modelStruct.modelPar_APCLMR*deriv_exp_0_d0*(((-modelStruct.modelPar_BPCLMR)*d_Leff_ln_dX+(-modelStruct.d_modelPar_BPCLMR_dX)*Leff_ln))+modelStruct.d_modelPar_APCLMR_dX*value_exp_0));
instanceStruct.instanceVar_PCLMR_i = (instanceStruct.instanceVar_PCLMR_i+(modelStruct.modelPar_APCLMR*value_exp_0));
}
}
{
double value_exp_0 = exp(((-modelStruct.modelPar_BMEXP)*Leff_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_MEXP_i_dX = (instanceStruct.d_instanceVar_MEXP_i_dX+(modelStruct.modelPar_AMEXP*deriv_exp_0_d0*(((-modelStruct.modelPar_BMEXP)*d_Leff_ln_dX+(-modelStruct.d_modelPar_BMEXP_dX)*Leff_ln))+modelStruct.d_modelPar_AMEXP_dX*value_exp_0));
instanceStruct.instanceVar_MEXP_i = (instanceStruct.instanceVar_MEXP_i+(modelStruct.modelPar_AMEXP*value_exp_0));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_exp_0 = exp(((-modelStruct.modelPar_BMEXPR)*Leff_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_MEXPR_i_dX = (instanceStruct.d_instanceVar_MEXPR_i_dX+(modelStruct.modelPar_AMEXPR*deriv_exp_0_d0*(((-modelStruct.modelPar_BMEXPR)*d_Leff_ln_dX+(-modelStruct.d_modelPar_BMEXPR_dX)*Leff_ln))+modelStruct.d_modelPar_AMEXPR_dX*value_exp_0));
instanceStruct.instanceVar_MEXPR_i = (instanceStruct.instanceVar_MEXPR_i+(modelStruct.modelPar_AMEXPR*value_exp_0));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_PTWG_i_dX = (instanceStruct.d_instanceVar_PTWG_i_dX+(modelStruct.modelPar_APTWG*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)>80.0)?5.540622384e34*((modelStruct.modelPar_BPTWG*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPTWG_dX)/modelStruct.modelPar_BPTWG/modelStruct.modelPar_BPTWG):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BPTWG*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPTWG_dX)/modelStruct.modelPar_BPTWG/modelStruct.modelPar_BPTWG))))+modelStruct.d_modelPar_APTWG_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_PTWG_i = (instanceStruct.instanceVar_PTWG_i+(modelStruct.modelPar_APTWG*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_PTWGR_i_dX = (instanceStruct.d_instanceVar_PTWGR_i_dX+(modelStruct.modelPar_APTWG*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)>80.0)?5.540622384e34*((modelStruct.modelPar_BPTWG*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPTWG_dX)/modelStruct.modelPar_BPTWG/modelStruct.modelPar_BPTWG):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BPTWG*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPTWG_dX)/modelStruct.modelPar_BPTWG/modelStruct.modelPar_BPTWG))))+modelStruct.d_modelPar_APTWG_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_PTWGR_i = (instanceStruct.instanceVar_PTWGR_i+(modelStruct.modelPar_APTWG*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPTWG)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_VSAT_i_dX = (instanceStruct.d_instanceVar_VSAT_i_dX+(modelStruct.modelPar_AVSAT*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT)>80.0)?5.540622384e34*((modelStruct.modelPar_BVSAT*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSAT_dX)/modelStruct.modelPar_BVSAT/modelStruct.modelPar_BVSAT):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BVSAT*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSAT_dX)/modelStruct.modelPar_BVSAT/modelStruct.modelPar_BVSAT))))+modelStruct.d_modelPar_AVSAT_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_VSAT_i = (instanceStruct.instanceVar_VSAT_i+(modelStruct.modelPar_AVSAT*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_VSAT1_i_dX = (instanceStruct.d_instanceVar_VSAT1_i_dX+(modelStruct.modelPar_AVSAT1*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)>80.0)?5.540622384e34*((modelStruct.modelPar_BVSAT1*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSAT1_dX)/modelStruct.modelPar_BVSAT1/modelStruct.modelPar_BVSAT1):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BVSAT1*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSAT1_dX)/modelStruct.modelPar_BVSAT1/modelStruct.modelPar_BVSAT1))))+modelStruct.d_modelPar_AVSAT1_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_VSAT1_i = (instanceStruct.instanceVar_VSAT1_i+(modelStruct.modelPar_AVSAT1*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_VSAT1R_i_dX = (instanceStruct.d_instanceVar_VSAT1R_i_dX+(modelStruct.modelPar_AVSAT1*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)>80.0)?5.540622384e34*((modelStruct.modelPar_BVSAT1*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSAT1_dX)/modelStruct.modelPar_BVSAT1/modelStruct.modelPar_BVSAT1):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BVSAT1*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSAT1_dX)/modelStruct.modelPar_BVSAT1/modelStruct.modelPar_BVSAT1))))+modelStruct.d_modelPar_AVSAT1_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_VSAT1R_i = (instanceStruct.instanceVar_VSAT1R_i+(modelStruct.modelPar_AVSAT1*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSAT1)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_PSAT_i_dX = (instanceStruct.d_instanceVar_PSAT_i_dX+(modelStruct.modelPar_APSAT*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT)>80.0)?5.540622384e34*((modelStruct.modelPar_BPSAT*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPSAT_dX)/modelStruct.modelPar_BPSAT/modelStruct.modelPar_BPSAT):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BPSAT*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPSAT_dX)/modelStruct.modelPar_BPSAT/modelStruct.modelPar_BPSAT))))+modelStruct.d_modelPar_APSAT_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_PSAT_i = (instanceStruct.instanceVar_PSAT_i+(modelStruct.modelPar_APSAT*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSAT)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_PSATCV_i_dX = (instanceStruct.d_instanceVar_PSATCV_i_dX+(modelStruct.modelPar_APSATCV*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV)>80.0)?5.540622384e34*((modelStruct.modelPar_BPSATCV*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPSATCV_dX)/modelStruct.modelPar_BPSATCV/modelStruct.modelPar_BPSATCV):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BPSATCV*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BPSATCV_dX)/modelStruct.modelPar_BPSATCV/modelStruct.modelPar_BPSATCV))))+modelStruct.d_modelPar_APSATCV_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_PSATCV_i = (instanceStruct.instanceVar_PSATCV_i+(modelStruct.modelPar_APSATCV*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BPSATCV)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_VSATCV_i_dX = (instanceStruct.d_instanceVar_VSATCV_i_dX+(modelStruct.modelPar_AVSATCV*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV)>80.0)?5.540622384e34*((modelStruct.modelPar_BVSATCV*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSATCV_dX)/modelStruct.modelPar_BVSATCV/modelStruct.modelPar_BVSATCV):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BVSATCV*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BVSATCV_dX)/modelStruct.modelPar_BVSATCV/modelStruct.modelPar_BVSATCV))))+modelStruct.d_modelPar_AVSATCV_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_VSATCV_i = (instanceStruct.instanceVar_VSATCV_i+(modelStruct.modelPar_AVSATCV*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BVSATCV)<(-80.0))?1.804851387e-35:value_exp_0))));
}
}
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_DVTP0_i_dX = (instanceStruct.d_instanceVar_DVTP0_i_dX+(modelStruct.modelPar_ADVTP0*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0)>80.0)?5.540622384e34*((modelStruct.modelPar_BDVTP0*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BDVTP0_dX)/modelStruct.modelPar_BDVTP0/modelStruct.modelPar_BDVTP0):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BDVTP0*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BDVTP0_dX)/modelStruct.modelPar_BDVTP0/modelStruct.modelPar_BDVTP0))))+modelStruct.d_modelPar_ADVTP0_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_DVTP0_i = (instanceStruct.instanceVar_DVTP0_i+(modelStruct.modelPar_ADVTP0*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP0)<(-80.0))?1.804851387e-35:value_exp_0))));
}
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_DVTP1_i_dX = (instanceStruct.d_instanceVar_DVTP1_i_dX+(modelStruct.modelPar_ADVTP1*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1)>80.0)?5.540622384e34*((modelStruct.modelPar_BDVTP1*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BDVTP1_dX)/modelStruct.modelPar_BDVTP1/modelStruct.modelPar_BDVTP1):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BDVTP1*(-instanceStruct.d_instanceVar_Leff_dX)-(-instanceStruct.instanceVar_Leff)*modelStruct.d_modelPar_BDVTP1_dX)/modelStruct.modelPar_BDVTP1/modelStruct.modelPar_BDVTP1))))+modelStruct.d_modelPar_ADVTP1_dX*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_DVTP1_i = (instanceStruct.instanceVar_DVTP1_i+(modelStruct.modelPar_ADVTP1*((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1))-80.0)):((((-instanceStruct.instanceVar_Leff)/modelStruct.modelPar_BDVTP1)<(-80.0))?1.804851387e-35:value_exp_0))));
}
if (((instanceStruct.instanceVar_QMTCENCV_i>0.0)||(instanceStruct.instanceVar_QMTCENCVA_i>0.0)))
{
{
double value_exp_0 = exp(((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN));
double  deriv_exp_0_d0 = value_exp_0;
d_MTcen_dX = (modelStruct.modelPar_AQMTCEN*((((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN)>80.0)?5.540622384e34*((modelStruct.modelPar_BQMTCEN*(-((instanceStruct.instanceVar_Weff_UFCM*2.0*instanceStruct.d_instanceVar_Ach_dX-(2.0*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM))-(-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*modelStruct.d_modelPar_BQMTCEN_dX)/modelStruct.modelPar_BQMTCEN/modelStruct.modelPar_BQMTCEN):((((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_BQMTCEN*(-((instanceStruct.instanceVar_Weff_UFCM*2.0*instanceStruct.d_instanceVar_Ach_dX-(2.0*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM))-(-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*modelStruct.d_modelPar_BQMTCEN_dX)/modelStruct.modelPar_BQMTCEN/modelStruct.modelPar_BQMTCEN))))+modelStruct.d_modelPar_AQMTCEN_dX*((((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN)>80.0)?(5.540622384e34*((1.0+((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN))-80.0)):((((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN)<(-80.0))?1.804851387e-35:value_exp_0)));
MTcen = (1.0+(modelStruct.modelPar_AQMTCEN*((((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN)>80.0)?(5.540622384e34*((1.0+((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN))-80.0)):((((-((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))/modelStruct.modelPar_BQMTCEN)<(-80.0))?1.804851387e-35:value_exp_0))));
}
instanceStruct.d_instanceVar_Tcen0_dX = (((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM)*d_MTcen_dX+((instanceStruct.instanceVar_Weff_UFCM*2.0*instanceStruct.d_instanceVar_Ach_dX-(2.0*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM)*MTcen);
instanceStruct.instanceVar_Tcen0 = (((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM)*MTcen);
}
if ((instanceStruct.instanceVar_Leff<=0.0))
{
UserFatal(theInstance)  << "Fatal: Leff = %g is not positive." << " " << instanceStruct.instanceVar_Leff << " " <<  std::endl; 
}
else
{
if ((instanceStruct.instanceVar_Leff<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: Leff = %g <= 1.0e-9." << " " << instanceStruct.instanceVar_Leff << " " <<  std::endl; 
}
}
if ((Leff1<=0.0))
{
UserFatal(theInstance)  << "Fatal: Leff1 = %g is not positive." << " " << Leff1 << " " <<  std::endl; 
}
else
{
if ((Leff1<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: Leff1 = %g <= 1.0e-9." << " " << Leff1 << " " <<  std::endl; 
}
}
if ((instanceStruct.instanceVar_LeffCV<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: LeffCV = %g <= 1.0e-9." << " " << instanceStruct.instanceVar_LeffCV << " " <<  std::endl; 
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
if ((instanceStruct.instanceVar_LeffCV_acc<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: LeffCV_acc = %g <= 1.0e-9." << " " << instanceStruct.instanceVar_LeffCV_acc << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_GEOMOD==5))
{
if ((WGAAeff1<=0.0))
{
UserFatal(theInstance)  << "Fatal: WGAAeff1 = %g is not positive." << " " << WGAAeff1 << " " <<  std::endl; 
}
else
{
if ((WGAAeff1<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: WGAAeff1 = %g <= 1.0e-9." << " " << WGAAeff1 << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
if ((instanceStruct.instanceVar_WeffCV_acc<=0.0))
{
UserFatal(theInstance)  << "Fatal: WeffCV_acc = %g is not positive." << " " << instanceStruct.instanceVar_WeffCV_acc << " " <<  std::endl; 
}
else
{
if ((WGAAeff1<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: WeffCV_acc = %g <= 1.0e-9." << " " << instanceStruct.instanceVar_WeffCV_acc << " " <<  std::endl; 
}
}
}
}
if ((instanceStruct.instanceVar_Weff0<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: Weff0 = %g <= 1.0e-9." << " " << instanceStruct.instanceVar_Weff0 << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_WeffCV0<=1.0e-9))
{
UserInfo(theInstance)  << "Warning: WeffCV0 = %g <= 1.0e-9." << " " << instanceStruct.instanceVar_WeffCV0 << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_NBODY_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective  NBODY = %g is not positive." << " " << instanceStruct.instanceVar_NBODY_i << " " <<  std::endl; 
}
else
{
if ((instanceStruct.instanceVar_NBODY_i<=1.0e18))
{
UserInfo(theInstance)  << "Warning: NBODY_i = %g m^-3 may be too small." << " " << instanceStruct.instanceVar_NBODY_i << " " <<  std::endl; 
}
}
if ((instanceStruct.instanceVar_NGATE_i<0.0))
{
UserFatal(theInstance)  << "Fatal: Effective  NGATE = %g is negative." << " " << instanceStruct.instanceVar_NGATE_i << " " <<  std::endl; 
}
else
{
if (((instanceStruct.instanceVar_NGATE_i!=0.0)&&(instanceStruct.instanceVar_NGATE_i<=1.0e24)))
{
UserInfo(theInstance)  << "Warning: Effective  NGATE = %g may be too small." << " " << instanceStruct.instanceVar_NGATE_i << " " <<  std::endl; 
}
else
{
if ((instanceStruct.instanceVar_NGATE_i>1.0e31))
{
UserFatal(theInstance)  << "Fatal: Effective  NGATE = %g is too high." << " " << instanceStruct.instanceVar_NGATE_i << " " <<  std::endl; 
}
}
}
if ((instanceStruct.instanceVar_DVT0_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective  DVT0 = %g is negative." << " " << instanceStruct.instanceVar_DVT0_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_PHIG_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective PHIG = %g is not positive." << " " << instanceStruct.instanceVar_PHIG_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_VSAT_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective VSAT = %g is not positive." << " " << instanceStruct.instanceVar_VSAT_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_VSAT1_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective VSAT1 = %g is not positive." << " " << instanceStruct.instanceVar_VSAT1_i << " " <<  std::endl; 
}
if (((modelStruct.modelPar_ASYMMOD!=0)&&(instanceStruct.instanceVar_VSAT1R_i<=0.0)))
{
UserFatal(theInstance)  << "Fatal: Effective VSAT1R = %g is not positive." << " " << instanceStruct.instanceVar_VSAT1R_i << " " <<  std::endl; 
}
if ((DVT1_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective DVT1 = %g is not positive." << " " << DVT1_i << " " <<  std::endl; 
}
if ((DVT1SS_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective DVT1SS = %g is not positive." << " " << DVT1SS_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_CDSC_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CDSC = %g is negative." << " " << instanceStruct.instanceVar_CDSC_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_CDSCD_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CDSCD = %g is negative." << " " << instanceStruct.instanceVar_CDSCD_i << " " <<  std::endl; 
}
if (((modelStruct.modelPar_ASYMMOD!=0)&&(instanceStruct.instanceVar_CDSCDR_i<0.0)))
{
UserInfo(theInstance)  << "Warning: Effective CDSCDR = %g is negative." << " " << instanceStruct.instanceVar_CDSCDR_i << " " <<  std::endl; 
}
if ((DSUB_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective DSUB = %g is not positive." << " " << DSUB_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_ETA0_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective ETA0 = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_ETA0_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_ETA0_i_dX = 0.0;
instanceStruct.instanceVar_ETA0_i = 0.0;
}
if ((instanceStruct.instanceVar_ETA0R_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective ETA0R = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_ETA0R_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_ETA0R_i_dX = 0.0;
instanceStruct.instanceVar_ETA0R_i = 0.0;
}
if ((LPE0_i<(-instanceStruct.instanceVar_Leff)))
{
UserInfo(theInstance)  << "Warning: Effective LPE0 = %g is less than -Leff. Clipping LPE0_i to 0" << " " << LPE0_i << " " <<  std::endl; 
d_LPE0_i_dX = 0.0;
LPE0_i = 0.0;
}
if ((instanceStruct.instanceVar_K0SI_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective K0SI = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_K0SI_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_K0SI_i_dX = 0.0;
instanceStruct.instanceVar_K0SI_i = 0.0;
}
if ((instanceStruct.instanceVar_K2SI_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective K2SI = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_K2SI_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_K2SI_i_dX = 0.0;
instanceStruct.instanceVar_K2SI_i = 0.0;
}
if (((modelStruct.modelPar_BULKMOD!=0)&&(instanceStruct.instanceVar_PHIBE_i<0.2)))
{
UserInfo(theInstance)  << "Warning: Effective PHIBE = %g is less than 0.2, setting it to 0.2." << " " << instanceStruct.instanceVar_PHIBE_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PHIBE_i_dX = 0.0;
instanceStruct.instanceVar_PHIBE_i = 0.2;
}
if (((modelStruct.modelPar_BULKMOD!=0)&&(instanceStruct.instanceVar_PHIBE_i>1.2)))
{
UserInfo(theInstance)  << "Warning: Effective PHIBE = %g is larger than 1.2, setting it to 1.2." << " " << instanceStruct.instanceVar_PHIBE_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PHIBE_i_dX = 0.0;
instanceStruct.instanceVar_PHIBE_i = 1.2;
}
if ((instanceStruct.instanceVar_PSAT_i<2.0))
{
UserInfo(theInstance)  << "Warning: Effective PSAT = %g is less than 2.0, setting it to 2.0." << " " << instanceStruct.instanceVar_PSAT_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PSAT_i_dX = 0.0;
instanceStruct.instanceVar_PSAT_i = 2.0;
}
if ((instanceStruct.instanceVar_PSATCV_i<2.0))
{
UserInfo(theInstance)  << "Warning: Effective PSATCV = %g is less than 2.0, setting it to 2.0." << " " << instanceStruct.instanceVar_PSATCV_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PSATCV_i_dX = 0.0;
instanceStruct.instanceVar_PSATCV_i = 2.0;
}
if ((instanceStruct.instanceVar_U0_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective U0 = %g is negative, setting it to the default value." << " " << instanceStruct.instanceVar_U0_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_U0_i_dX = 0.0;
instanceStruct.instanceVar_U0_i = 0.03;
}
if ((instanceStruct.instanceVar_UA_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective UA = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_UA_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_UA_i_dX = 0.0;
instanceStruct.instanceVar_UA_i = 0.0;
}
if ((instanceStruct.instanceVar_EU_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective EU = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_EU_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_EU_i_dX = 0.0;
instanceStruct.instanceVar_EU_i = 0.0;
}
if ((instanceStruct.instanceVar_UD_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective UD = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_UD_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_UD_i_dX = 0.0;
instanceStruct.instanceVar_UD_i = 0.0;
}
if ((instanceStruct.instanceVar_UCS_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective UCS = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_UCS_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_UCS_i_dX = 0.0;
instanceStruct.instanceVar_UCS_i = 0.0;
}
if ((instanceStruct.instanceVar_ETAMOB_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective ETAMOB = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_ETAMOB_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_ETAMOB_i_dX = 0.0;
instanceStruct.instanceVar_ETAMOB_i = 0.0;
}
if ((instanceStruct.instanceVar_RDSW_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective RDSW = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_RDSW_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_RDSW_i_dX = 0.0;
instanceStruct.instanceVar_RDSW_i = 0.0;
}
if ((instanceStruct.instanceVar_RSW_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective RSW = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_RSW_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_RSW_i_dX = 0.0;
instanceStruct.instanceVar_RSW_i = 0.0;
}
if ((instanceStruct.instanceVar_RDW_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective RDW = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_RDW_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_RDW_i_dX = 0.0;
instanceStruct.instanceVar_RDW_i = 0.0;
}
if ((instanceStruct.instanceVar_PRWGD_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PRWGD = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_PRWGD_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PRWGD_i_dX = 0.0;
instanceStruct.instanceVar_PRWGD_i = 0.0;
}
if ((instanceStruct.instanceVar_PRWGS_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PRWGS = %g is negative, setting it to 0" << " " << instanceStruct.instanceVar_PRWGS_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PRWGS_i_dX = 0.0;
instanceStruct.instanceVar_PRWGS_i = 0.0;
}
if ((instanceStruct.instanceVar_PCLM_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PCLM = %g is negative." << " " << instanceStruct.instanceVar_PCLM_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_PDIBL1_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PDIBL1 = %g is negative." << " " << instanceStruct.instanceVar_PDIBL1_i << " " <<  std::endl; 
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
if ((instanceStruct.instanceVar_PDIBL1R_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PDIBL1R = %g is negative." << " " << instanceStruct.instanceVar_PDIBL1R_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_PDIBL2R_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PDIBL2R = %g is negative." << " " << instanceStruct.instanceVar_PDIBL2R_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_U0R_i<0))
{
UserInfo(theInstance)  << "Warning: Effective U0R = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_U0R_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_U0R_i_dX = 0.0;
instanceStruct.instanceVar_U0R_i = 0.0;
}
if ((instanceStruct.instanceVar_UAR_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective UAR = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_UAR_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_UAR_i_dX = 0.0;
instanceStruct.instanceVar_UAR_i = 0.0;
}
if ((instanceStruct.instanceVar_EUR_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective EUR = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_EUR_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_EUR_i_dX = 0.0;
instanceStruct.instanceVar_EUR_i = 0.0;
}
if ((instanceStruct.instanceVar_UDR_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective UDR = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_UDR_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_UDR_i_dX = 0.0;
instanceStruct.instanceVar_UDR_i = 0.0;
}
}
if ((instanceStruct.instanceVar_PDIBL2_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PDIBL2 = %g is negative." << " " << instanceStruct.instanceVar_PDIBL2_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_DROUT_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective DROUT = %g is non-positive." << " " << instanceStruct.instanceVar_DROUT_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_MEXP_i<2.0))
{
UserInfo(theInstance)  << "Warning: Effective MEXP = %g < 2. Setting MEXP_i = 2." << " " << instanceStruct.instanceVar_MEXP_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_MEXP_i_dX = 0.0;
instanceStruct.instanceVar_MEXP_i = 2.0;
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
if ((instanceStruct.instanceVar_MEXPR_i<2.0))
{
UserInfo(theInstance)  << "Warning: Effective MEXPR = %g < 2. Setting MEXPR_i = 2." << " " << instanceStruct.instanceVar_MEXPR_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_MEXPR_i_dX = 0.0;
instanceStruct.instanceVar_MEXPR_i = 2.0;
}
}
if ((instanceStruct.instanceVar_PTWG_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective PTWG = %g is negative, setting it to 0." << " " << instanceStruct.instanceVar_PTWG_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_PTWG_i_dX = 0.0;
instanceStruct.instanceVar_PTWG_i = 0.0;
}
if ((instanceStruct.instanceVar_CGIDL_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CGIDL = %g < 0. Setting CGIDL_i = 0." << " " << instanceStruct.instanceVar_CGIDL_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CGIDL_i_dX = 0.0;
instanceStruct.instanceVar_CGIDL_i = 0.0;
}
if ((instanceStruct.instanceVar_CGISL_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CGISL = %g < 0. Setting CGISL_i = 0." << " " << instanceStruct.instanceVar_CGISL_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CGISL_i_dX = 0.0;
instanceStruct.instanceVar_CGISL_i = 0.0;
}
if ((modelStruct.modelPar_IGBMOD!=0))
{
if ((instanceStruct.instanceVar_NIGBINV_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective NIGBINV = %g is non-positive." << " " << instanceStruct.instanceVar_NIGBINV_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_NIGBACC_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective NIGBACC = %g is non-positive." << " " << instanceStruct.instanceVar_NIGBACC_i << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_IGCMOD!=0))
{
if ((instanceStruct.instanceVar_POXEDGE_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective POXEDGE = %g is non-positive." << " " << instanceStruct.instanceVar_POXEDGE_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_PIGCD_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective PIGCD = %g is non-positive." << " " << instanceStruct.instanceVar_PIGCD_i << " " <<  std::endl; 
}
}
if (((modelStruct.modelPar_IGCMOD!=0)||(modelStruct.modelPar_IGBMOD!=0)))
{
if ((modelStruct.modelPar_TOXREF<=0.0))
{
UserFatal(theInstance)  << "Fatal: TOXREF = %g is non-positive." << " " << modelStruct.modelPar_TOXREF << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_LINTIGEN>=(instanceStruct.instanceVar_Leff/2.0)))
{
UserInfo(theInstance)  << "Warning: LINTIGEN = %g is too large - Leff for r/g current is negative. Re-setting LINTIGEN = 0." << " " << modelStruct.modelPar_LINTIGEN << " " <<  std::endl; 
instanceStruct.d_instanceVar_LINTIGEN_i_dX = 0.0;
instanceStruct.instanceVar_LINTIGEN_i = 0.0;
}
else
{
instanceStruct.d_instanceVar_LINTIGEN_i_dX = modelStruct.d_modelPar_LINTIGEN_dX;
instanceStruct.instanceVar_LINTIGEN_i = modelStruct.modelPar_LINTIGEN;
}
if ((instanceStruct.instanceVar_NTGEN_i<=0.0))
{
UserFatal(theInstance)  << "Fatal: Effective NTGEN = %g is non-positive." << " " << instanceStruct.instanceVar_NTGEN_i << " " <<  std::endl; 
}
if (((modelStruct.modelPar_NQSMOD==1)&&(instanceStruct.instanceVar_XRCRG1_i!=0.0)))
{
if ((instanceStruct.instanceVar_XRCRG1_i<1.0e-3))
{
UserInfo(theInstance)  << "Warning: Effective XRCRG1 = %g. Gate resistance may be too large. Disabling NQS Gate Resistance." << " " << instanceStruct.instanceVar_XRCRG1_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_XRCRG1_i_dX = 0.0;
instanceStruct.instanceVar_XRCRG1_i = 0.0;
}
}
if ((modelStruct.modelPar_IIMOD==2))
{
if ((instanceStruct.instanceVar_BETAII0_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective BETAII0 = %g is negative." << " " << instanceStruct.instanceVar_BETAII0_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_BETAII1_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective BETAII1 = %g is negative." << " " << instanceStruct.instanceVar_BETAII1_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_BETAII2_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective BETAII2 = %g is negative." << " " << instanceStruct.instanceVar_BETAII2_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_ESATII_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective ESATII = %g is negative." << " " << instanceStruct.instanceVar_ESATII_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_LII_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective LII = %g is negative." << " " << instanceStruct.instanceVar_LII_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_SII1_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective SII1 = %g is negative." << " " << modelStruct.modelPar_SII1 << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_SII2_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective SII2 = %g is negative." << " " << instanceStruct.instanceVar_SII2_i << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_SIID_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective SIID = %g is negative." << " " << instanceStruct.instanceVar_SIID_i << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_EF<=0.0))
{
UserFatal(theInstance)  << "Fatal: EF = %g is non-positive." << " " << modelStruct.modelPar_EF << " " <<  std::endl; 
}
else
{
if ((modelStruct.modelPar_EF>2.0))
{
UserFatal(theInstance)  << "Fatal: EF = %g > 2.0." << " " << modelStruct.modelPar_EF << " " <<  std::endl; 
}
}
if ((instanceStruct.instanceVar_CGSL_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CGSL = %g is negative. Setting it to 0 " << " " << instanceStruct.instanceVar_CGSL_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CGSL_i_dX = 0.0;
instanceStruct.instanceVar_CGSL_i = 0.0;
}
if ((instanceStruct.instanceVar_CGDL_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CGDL = %g is negative. Setting it to 0 " << " " << instanceStruct.instanceVar_CGDL_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CGDL_i_dX = 0.0;
instanceStruct.instanceVar_CGDL_i = 0.0;
}
if ((instanceStruct.instanceVar_CFS_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CFS = %g is negative. Setting it to 0 " << " " << instanceStruct.instanceVar_CFS_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CFS_i_dX = 0.0;
instanceStruct.instanceVar_CFS_i = 0.0;
}
if ((instanceStruct.instanceVar_CFD_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CFD = %g is negative. Setting it to 0 " << " " << instanceStruct.instanceVar_CFD_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CFD_i_dX = 0.0;
instanceStruct.instanceVar_CFD_i = 0.0;
}
if ((instanceStruct.instanceVar_CGBL_i<0.0))
{
UserInfo(theInstance)  << "Warning: Effective CGBL = %g is negative. Setting it to 0 " << " " << instanceStruct.instanceVar_CGBL_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CGBL_i_dX = 0.0;
instanceStruct.instanceVar_CGBL_i = 0.0;
}
if ((instanceStruct.instanceVar_CKAPPAS_i<=0.02))
{
UserInfo(theInstance)  << "Warning: Effective CKAPPAS = %g is too small. Setting it to 0.02 " << " " << instanceStruct.instanceVar_CKAPPAS_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CKAPPAS_i_dX = 0.0;
instanceStruct.instanceVar_CKAPPAS_i = 0.02;
}
if ((instanceStruct.instanceVar_CKAPPAD_i<=0.02))
{
UserInfo(theInstance)  << "Warning: Effective CKAPPAD = %g is too small. Setting it to 0.02 " << " " << instanceStruct.instanceVar_CKAPPAD_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CKAPPAD_i_dX = 0.0;
instanceStruct.instanceVar_CKAPPAD_i = 0.02;
}
if ((instanceStruct.instanceVar_CKAPPAB_i<=0.02))
{
UserInfo(theInstance)  << "Warning: Effective CKAPPAB = %g is too small. Setting it to 0.02 " << " " << instanceStruct.instanceVar_CKAPPAB_i << " " <<  std::endl; 
instanceStruct.d_instanceVar_CKAPPAB_i_dX = 0.0;
instanceStruct.instanceVar_CKAPPAB_i = 0.02;
}
if (((modelStruct.modelPar_SHMOD!=0)&&(modelStruct.modelPar_RTH0>0.0)))
{
if ((modelStruct.modelPar_BSHEXP!=0.0))
{
{
double value_pow_0 = pow(instanceStruct.instancePar_NF,modelStruct.modelPar_BSHEXP);
double  deriv_pow_0_d1 = (instanceStruct.instancePar_NF == 0.0)?0.0:(log(instanceStruct.instancePar_NF)*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = (modelStruct.modelPar_WTH0*(deriv_pow_0_d1*(modelStruct.d_modelPar_BSHEXP_dX))+modelStruct.d_modelPar_WTH0_dX*value_pow_0);
instanceStruct.instanceVar_T1 = (modelStruct.modelPar_WTH0*value_pow_0);
}
}
else
{
instanceStruct.d_instanceVar_T1_dX = modelStruct.d_modelPar_WTH0_dX;
instanceStruct.instanceVar_T1 = modelStruct.modelPar_WTH0;
}
if ((modelStruct.modelPar_ASHEXP!=0.0))
{
{
double value_pow_0 = pow(instanceStruct.instanceVar_NFINtotal,modelStruct.modelPar_ASHEXP);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_NFINtotal == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_ASHEXP/instanceStruct.instanceVar_NFINtotal));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_NFINtotal == 0.0)?0.0:(log(instanceStruct.instanceVar_NFINtotal)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instancePar_FPITCH*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_NFINtotal_dX))+(deriv_pow_0_d1*(modelStruct.d_modelPar_ASHEXP_dX)))+instanceStruct.d_instancePar_FPITCH_dX*value_pow_0);
instanceStruct.instanceVar_T2 = (instanceStruct.instancePar_FPITCH*value_pow_0);
}
}
else
{
instanceStruct.d_instanceVar_T2_dX = instanceStruct.d_instancePar_FPITCH_dX;
instanceStruct.instanceVar_T2 = instanceStruct.instancePar_FPITCH;
}
instanceStruct.d_instanceVar_gth_dX = ((modelStruct.modelPar_RTH0*(instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX)-(instanceStruct.instanceVar_T1+instanceStruct.instanceVar_T2)*modelStruct.d_modelPar_RTH0_dX)/modelStruct.modelPar_RTH0/modelStruct.modelPar_RTH0);
instanceStruct.instanceVar_gth = ((instanceStruct.instanceVar_T1+instanceStruct.instanceVar_T2)/modelStruct.modelPar_RTH0);
instanceStruct.d_instanceVar_cth_dX = (modelStruct.modelPar_CTH0*(instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX)+modelStruct.d_modelPar_CTH0_dX*(instanceStruct.instanceVar_T1+instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_cth = (modelStruct.modelPar_CTH0*(instanceStruct.instanceVar_T1+instanceStruct.instanceVar_T2));
}
if ((modelStruct.modelPar_RGATEMOD!=0))
{
d_Rgeltd_dX = (((modelStruct.d_modelPar_RGEXT_dX/instanceStruct.instancePar_NGCON)+((modelStruct.modelPar_RGFIN*instanceStruct.d_instancePar_NFIN_dX+modelStruct.d_modelPar_RGFIN_dX*instanceStruct.instancePar_NFIN)/((instanceStruct.instancePar_NGCON==2)?12.0:3.0)))/instanceStruct.instancePar_NF);
Rgeltd = (((modelStruct.modelPar_RGEXT/instanceStruct.instancePar_NGCON)+((modelStruct.modelPar_RGFIN*instanceStruct.instancePar_NFIN)/((instanceStruct.instancePar_NGCON==2)?12.0:3.0)))/instanceStruct.instancePar_NF);
{
double value_max_0 = std::max(static_cast<double>(1.0e-3),Rgeltd);
double  deriv_max_0_d1 = ((1.0e-3>=Rgeltd)?0.0:1.0);
instanceStruct.d_instanceVar_ggeltd_dX = (-(deriv_max_0_d1*(d_Rgeltd_dX))/value_max_0/value_max_0);
instanceStruct.instanceVar_ggeltd = (1.0/value_max_0);
}
}
if ((modelStruct.modelPar_RGEOMOD==0))
{
instanceStruct.d_instanceVar_RSourceGeo_dX = (modelStruct.modelPar_RSHS*instanceStruct.d_instancePar_NRS_dX+modelStruct.d_modelPar_RSHS_dX*instanceStruct.instancePar_NRS);
instanceStruct.instanceVar_RSourceGeo = (modelStruct.modelPar_RSHS*instanceStruct.instancePar_NRS);
instanceStruct.d_instanceVar_RDrainGeo_dX = (modelStruct.modelPar_RSHD*instanceStruct.d_instancePar_NRD_dX+modelStruct.d_modelPar_RSHD_dX*instanceStruct.instancePar_NRD);
instanceStruct.instanceVar_RDrainGeo = (modelStruct.modelPar_RSHD*instanceStruct.instancePar_NRD);
}
else
{
if ((modelStruct.modelPar_HEPI>0.0))
{
d_Arsd_dX = ((instanceStruct.instancePar_FPITCH*modelStruct.d_modelPar_HFIN_dX+instanceStruct.d_instancePar_FPITCH_dX*modelStruct.modelPar_HFIN)+((instanceStruct.instancePar_TFIN+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*modelStruct.modelPar_CRATIO))*modelStruct.d_modelPar_HEPI_dX+(instanceStruct.d_instancePar_TFIN_dX+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*modelStruct.d_modelPar_CRATIO_dX+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_TFIN_dX)*modelStruct.modelPar_CRATIO))*modelStruct.modelPar_HEPI));
Arsd = ((instanceStruct.instancePar_FPITCH*modelStruct.modelPar_HFIN)+((instanceStruct.instancePar_TFIN+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*modelStruct.modelPar_CRATIO))*modelStruct.modelPar_HEPI));
}
else
{
{
double value_max_0 = std::max(static_cast<double>(1.0e-9),(modelStruct.modelPar_HFIN+modelStruct.modelPar_HEPI));
double  deriv_max_0_d1 = ((1.0e-9>=(modelStruct.modelPar_HFIN+modelStruct.modelPar_HEPI))?0.0:1.0);
d_Arsd_dX = (instanceStruct.instancePar_FPITCH*(deriv_max_0_d1*((modelStruct.d_modelPar_HFIN_dX+modelStruct.d_modelPar_HEPI_dX)))+instanceStruct.d_instancePar_FPITCH_dX*value_max_0);
Arsd = (instanceStruct.instancePar_FPITCH*value_max_0);
}
}
d_Prsd_dX = (instanceStruct.d_instancePar_FPITCH_dX+modelStruct.d_modelPar_DELTAPRSD_dX);
Prsd = (instanceStruct.instancePar_FPITCH+modelStruct.modelPar_DELTAPRSD);
if (modelStruct.modelPar_given_RHORSD)
{
d_rhorsd_dX = modelStruct.d_modelPar_RHORSD_dX;
rhorsd = modelStruct.modelPar_RHORSD;
}
else
{
d_mu_max_dX = 0.0;
mu_max = ((modelStruct.modelPar_TYPE==1)?1417.0:470.5);
if ((modelStruct.modelPar_TYPE==1))
{
{
double value_pow_0 = pow((modelStruct.modelPar_NSD/9.68e22),0.68);
double  deriv_pow_0_d0 = (((modelStruct.modelPar_NSD/9.68e22) == 0.0)?0.0:(value_pow_0*0.68/(modelStruct.modelPar_NSD/9.68e22)));
instanceStruct.d_instanceVar_T0_dX = (deriv_pow_0_d0*((modelStruct.d_modelPar_NSD_dX/9.68e22)));
instanceStruct.instanceVar_T0 = value_pow_0;
}
instanceStruct.d_instanceVar_T1_dX = (-3.43e26*modelStruct.d_modelPar_NSD_dX/modelStruct.modelPar_NSD/modelStruct.modelPar_NSD);
instanceStruct.instanceVar_T1 = (3.43e26/modelStruct.modelPar_NSD);
d_mu_rsd_dX = ((((1.0+instanceStruct.instanceVar_T0)*d_mu_max_dX-(mu_max-52.2)*instanceStruct.d_instanceVar_T0_dX)/(1.0+instanceStruct.instanceVar_T0)/(1.0+instanceStruct.instanceVar_T0))-(-43.4*(instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)/(1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1))/(1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1))))*1.0e-4;
mu_rsd = (((52.2+((mu_max-52.2)/(1.0+instanceStruct.instanceVar_T0)))-(43.4/(1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1))))*1.0e-4);
}
else
{
{
double value_pow_0 = pow((modelStruct.modelPar_NSD/2.23e22),0.719);
double  deriv_pow_0_d0 = (((modelStruct.modelPar_NSD/2.23e22) == 0.0)?0.0:(value_pow_0*0.719/(modelStruct.modelPar_NSD/2.23e22)));
instanceStruct.d_instanceVar_T0_dX = (deriv_pow_0_d0*((modelStruct.d_modelPar_NSD_dX/2.23e22)));
instanceStruct.instanceVar_T0 = value_pow_0;
}
instanceStruct.d_instanceVar_T1_dX = (-6.10e26*modelStruct.d_modelPar_NSD_dX/modelStruct.modelPar_NSD/modelStruct.modelPar_NSD);
instanceStruct.instanceVar_T1 = (6.10e26/modelStruct.modelPar_NSD);
d_mu_rsd_dX = ((((1.0+instanceStruct.instanceVar_T0)*d_mu_max_dX-(mu_max-44.9)*instanceStruct.d_instanceVar_T0_dX)/(1.0+instanceStruct.instanceVar_T0)/(1.0+instanceStruct.instanceVar_T0))-(-29.0*(instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)/(1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1))/(1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1))))*1.0e-4;
mu_rsd = (((44.9+((mu_max-44.9)/(1.0+instanceStruct.instanceVar_T0)))-(29.0/(1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1))))*1.0e-4);
}
d_rhorsd_dX = (-((1.60219e-19*modelStruct.modelPar_NSD)*d_mu_rsd_dX+1.60219e-19*modelStruct.d_modelPar_NSD_dX*mu_rsd)/((1.60219e-19*modelStruct.modelPar_NSD)*mu_rsd)/((1.60219e-19*modelStruct.modelPar_NSD)*mu_rsd));
rhorsd = (1.0/((1.60219e-19*modelStruct.modelPar_NSD)*mu_rsd));
}
thetarsp = ((55.0*3.14159265358979323846)/180.0);
{
double value_min_0 = std::min(static_cast<double>(0.0),modelStruct.modelPar_HEPI);
double value_max_1 = std::max(static_cast<double>(1.0e-18),(instanceStruct.instancePar_TFIN*(modelStruct.modelPar_HFIN+value_min_0)));
double value_min_2 = std::min(Arsd,value_max_1);
double  deriv_min_0_d1 = ((0.0<=modelStruct.modelPar_HEPI)?0.0:1.0);
double  deriv_max_1_d1 = ((1.0e-18>=(instanceStruct.instancePar_TFIN*(modelStruct.modelPar_HFIN+value_min_0)))?0.0:1.0);
double  deriv_min_2_d0 = ((Arsd<=value_max_1)?1.0:0.0);
double  deriv_min_2_d1 = ((Arsd<=value_max_1)?0.0:1.0);
d_afin_dX = ((deriv_min_2_d0*(d_Arsd_dX))+(deriv_min_2_d1*((deriv_max_1_d1*((instanceStruct.instancePar_TFIN*(modelStruct.d_modelPar_HFIN_dX+(deriv_min_0_d1*(modelStruct.d_modelPar_HEPI_dX)))+instanceStruct.d_instancePar_TFIN_dX*(modelStruct.modelPar_HFIN+value_min_0)))))));
afin = value_min_2;
}
{
double value_tan_0 = tan(thetarsp);
double value_sqrt_1 = sqrt(static_cast<double>(3.14159265358979323846));
double value_sqrt_2 = sqrt(afin);
double value_sqrt_3 = sqrt(Arsd);
double value_sqrt_4 = sqrt((afin/(Arsd*Arsd)));
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Rsp_dX = (((rhorsd/value_tan_0)/(value_sqrt_1*instanceStruct.instancePar_NFIN))*(((-deriv_sqrt_2_d0*(d_afin_dX)/value_sqrt_2/value_sqrt_2)-(-2.0*deriv_sqrt_3_d0*(d_Arsd_dX)/value_sqrt_3/value_sqrt_3))+deriv_sqrt_4_d0*((((Arsd*Arsd)*d_afin_dX-afin*(Arsd*d_Arsd_dX+d_Arsd_dX*Arsd))/(Arsd*Arsd)/(Arsd*Arsd))))+(((value_sqrt_1*instanceStruct.instancePar_NFIN)*(d_rhorsd_dX/value_tan_0)-(rhorsd/value_tan_0)*value_sqrt_1*instanceStruct.d_instancePar_NFIN_dX)/(value_sqrt_1*instanceStruct.instancePar_NFIN)/(value_sqrt_1*instanceStruct.instancePar_NFIN))*(((1.0/value_sqrt_2)-(2.0/value_sqrt_3))+value_sqrt_4));
Rsp = (((rhorsd/value_tan_0)/(value_sqrt_1*instanceStruct.instancePar_NFIN))*(((1.0/value_sqrt_2)-(2.0/value_sqrt_3))+value_sqrt_4));
}
d_arsd_total_dX = ((Arsd*instanceStruct.d_instancePar_NFIN_dX+d_Arsd_dX*instanceStruct.instancePar_NFIN)+modelStruct.d_modelPar_ARSDEND_dX);
arsd_total = ((Arsd*instanceStruct.instancePar_NFIN)+modelStruct.modelPar_ARSDEND);
d_prsd_total_dX = ((Prsd*instanceStruct.d_instancePar_NFIN_dX+d_Prsd_dX*instanceStruct.instancePar_NFIN)+modelStruct.d_modelPar_PRSDEND_dX);
prsd_total = ((Prsd*instanceStruct.instancePar_NFIN)+modelStruct.modelPar_PRSDEND);
{
double value_sqrt_0 = sqrt(((modelStruct.modelPar_RHOC*arsd_total)/(rhorsd*prsd_total)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_lt_dX = deriv_sqrt_0_d0*((((rhorsd*prsd_total)*(modelStruct.modelPar_RHOC*d_arsd_total_dX+modelStruct.d_modelPar_RHOC_dX*arsd_total)-(modelStruct.modelPar_RHOC*arsd_total)*(rhorsd*d_prsd_total_dX+d_rhorsd_dX*prsd_total))/(rhorsd*prsd_total)/(rhorsd*prsd_total)));
lt = value_sqrt_0;
}
d_alpha_dX = ((lt*instanceStruct.d_instancePar_LRSD_dX-instanceStruct.instancePar_LRSD*d_lt_dX)/lt/lt);
alpha = (instanceStruct.instancePar_LRSD/lt);
{
double value_exp_0 = exp((2.0*alpha));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T0_dX = (((2.0*alpha)>80.0)?5.540622384e34*2.0*d_alpha_dX:(((2.0*alpha)<(-80.0))?0.0:deriv_exp_0_d0*(2.0*d_alpha_dX)));
instanceStruct.instanceVar_T0 = (((2.0*alpha)>80.0)?(5.540622384e34*((1.0+(2.0*alpha))-80.0)):(((2.0*alpha)<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((modelStruct.modelPar_SDTERM==1.0))
{
d_eta_dX = ((modelStruct.modelPar_RHOC*(rhorsd*d_lt_dX+d_rhorsd_dX*lt)-(rhorsd*lt)*modelStruct.d_modelPar_RHOC_dX)/modelStruct.modelPar_RHOC/modelStruct.modelPar_RHOC);
eta = ((rhorsd*lt)/modelStruct.modelPar_RHOC);
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_T0*d_eta_dX+instanceStruct.d_instanceVar_T0_dX*(1.0+eta));
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_T0*(1.0+eta));
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.d_instanceVar_T1_dX-d_eta_dX);
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_T1+1.0)-eta);
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.d_instanceVar_T1_dX+d_eta_dX);
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_T1-1.0)+eta);
}
else
{
instanceStruct.d_instanceVar_T2_dX = instanceStruct.d_instanceVar_T0_dX;
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_T0+1.0);
instanceStruct.d_instanceVar_T3_dX = instanceStruct.d_instanceVar_T0_dX;
instanceStruct.instanceVar_T3 = (instanceStruct.instanceVar_T0-1.0);
}
d_RrsdTML_dX = (((arsd_total*instanceStruct.instanceVar_T3)*((rhorsd*lt)*instanceStruct.d_instanceVar_T2_dX+(rhorsd*d_lt_dX+d_rhorsd_dX*lt)*instanceStruct.instanceVar_T2)-((rhorsd*lt)*instanceStruct.instanceVar_T2)*(arsd_total*instanceStruct.d_instanceVar_T3_dX+d_arsd_total_dX*instanceStruct.instanceVar_T3))/(arsd_total*instanceStruct.instanceVar_T3)/(arsd_total*instanceStruct.instanceVar_T3));
RrsdTML = (((rhorsd*lt)*instanceStruct.instanceVar_T2)/(arsd_total*instanceStruct.instanceVar_T3));
if ((modelStruct.modelPar_HEPI<(-1.0e-10)))
{
d_Rrsdside_dX = (((((-modelStruct.modelPar_HEPI)*instanceStruct.instancePar_TFIN)*instanceStruct.instancePar_NFIN)*modelStruct.d_modelPar_RHOC_dX-modelStruct.modelPar_RHOC*(((-modelStruct.modelPar_HEPI)*instanceStruct.instancePar_TFIN)*instanceStruct.d_instancePar_NFIN_dX+((-modelStruct.modelPar_HEPI)*instanceStruct.d_instancePar_TFIN_dX+(-modelStruct.d_modelPar_HEPI_dX)*instanceStruct.instancePar_TFIN)*instanceStruct.instancePar_NFIN))/(((-modelStruct.modelPar_HEPI)*instanceStruct.instancePar_TFIN)*instanceStruct.instancePar_NFIN)/(((-modelStruct.modelPar_HEPI)*instanceStruct.instancePar_TFIN)*instanceStruct.instancePar_NFIN));
Rrsdside = (modelStruct.modelPar_RHOC/(((-modelStruct.modelPar_HEPI)*instanceStruct.instancePar_TFIN)*instanceStruct.instancePar_NFIN));
d_Rrsd_dX = ((((RrsdTML+Rsp)+Rrsdside)*((RrsdTML+Rsp)*d_Rrsdside_dX+(d_RrsdTML_dX+d_Rsp_dX)*Rrsdside)-((RrsdTML+Rsp)*Rrsdside)*((d_RrsdTML_dX+d_Rsp_dX)+d_Rrsdside_dX))/((RrsdTML+Rsp)+Rrsdside)/((RrsdTML+Rsp)+Rrsdside));
Rrsd = (((RrsdTML+Rsp)*Rrsdside)/((RrsdTML+Rsp)+Rrsdside));
}
else
{
d_Rrsd_dX = (d_RrsdTML_dX+d_Rsp_dX);
Rrsd = (RrsdTML+Rsp);
}
{
double value_max_0 = std::max(static_cast<double>(0.0),((((modelStruct.modelPar_RGEOA+(modelStruct.modelPar_RGEOB*instanceStruct.instancePar_TFIN))+(modelStruct.modelPar_RGEOC*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_RGEOD*instanceStruct.instancePar_LRSD))+(modelStruct.modelPar_RGEOE*modelStruct.modelPar_HEPI)));
double  deriv_max_0_d1 = ((0.0>=((((modelStruct.modelPar_RGEOA+(modelStruct.modelPar_RGEOB*instanceStruct.instancePar_TFIN))+(modelStruct.modelPar_RGEOC*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_RGEOD*instanceStruct.instancePar_LRSD))+(modelStruct.modelPar_RGEOE*modelStruct.modelPar_HEPI)))?0.0:1.0);
d_Rdsgeo_dX = ((Rrsd/instanceStruct.instancePar_NF)*(deriv_max_0_d1*(((((modelStruct.d_modelPar_RGEOA_dX+(modelStruct.modelPar_RGEOB*instanceStruct.d_instancePar_TFIN_dX+modelStruct.d_modelPar_RGEOB_dX*instanceStruct.instancePar_TFIN))+(modelStruct.modelPar_RGEOC*instanceStruct.d_instancePar_FPITCH_dX+modelStruct.d_modelPar_RGEOC_dX*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_RGEOD*instanceStruct.d_instancePar_LRSD_dX+modelStruct.d_modelPar_RGEOD_dX*instanceStruct.instancePar_LRSD))+(modelStruct.modelPar_RGEOE*modelStruct.d_modelPar_HEPI_dX+modelStruct.d_modelPar_RGEOE_dX*modelStruct.modelPar_HEPI))))+(d_Rrsd_dX/instanceStruct.instancePar_NF)*value_max_0);
Rdsgeo = ((Rrsd/instanceStruct.instancePar_NF)*value_max_0);
}
instanceStruct.d_instanceVar_RSourceGeo_dX = d_Rdsgeo_dX;
instanceStruct.instanceVar_RSourceGeo = Rdsgeo;
instanceStruct.d_instanceVar_RDrainGeo_dX = d_Rdsgeo_dX;
instanceStruct.instanceVar_RDrainGeo = Rdsgeo;
}
if ((modelStruct.modelPar_RDSMOD==0))
{
if ((instanceStruct.instanceVar_RSourceGeo<modelStruct.modelPar_minr))
{
instanceStruct.d_instanceVar_RSourceGeo_dX = 0.0;
instanceStruct.instanceVar_RSourceGeo = 0;
}
if ((instanceStruct.instanceVar_RDrainGeo<modelStruct.modelPar_minr))
{
instanceStruct.d_instanceVar_RDrainGeo_dX = 0.0;
instanceStruct.instanceVar_RDrainGeo = 0;
}
}
else
{
if ((instanceStruct.instanceVar_RSourceGeo<=modelStruct.modelPar_minr))
{
instanceStruct.d_instanceVar_RSourceGeo_dX = modelStruct.d_modelPar_minr_dX;
instanceStruct.instanceVar_RSourceGeo = modelStruct.modelPar_minr;
}
if ((instanceStruct.instanceVar_RDrainGeo<=modelStruct.modelPar_minr))
{
instanceStruct.d_instanceVar_RDrainGeo_dX = modelStruct.d_modelPar_minr_dX;
instanceStruct.instanceVar_RDrainGeo = modelStruct.modelPar_minr;
}
}
if ((modelStruct.modelPar_CGEOMOD!=1))
{
if (modelStruct.modelPar_given_CGSO)
{
instanceStruct.d_instanceVar_CGSO_i_dX = modelStruct.d_modelPar_CGSO_dX;
instanceStruct.instanceVar_CGSO_i = modelStruct.modelPar_CGSO;
}
else
{
if ((modelStruct.modelPar_given_DLC&&(modelStruct.modelPar_DLC>0.0)))
{
{
double value_max_0 = std::max(static_cast<double>(0.0),((modelStruct.modelPar_DLC*instanceStruct.instanceVar_cox)-instanceStruct.instanceVar_CGSL_i));
double  deriv_max_0_d1 = ((0.0>=((modelStruct.modelPar_DLC*instanceStruct.instanceVar_cox)-instanceStruct.instanceVar_CGSL_i))?0.0:1.0);
instanceStruct.d_instanceVar_CGSO_i_dX = (deriv_max_0_d1*(((modelStruct.modelPar_DLC*instanceStruct.d_instanceVar_cox_dX+modelStruct.d_modelPar_DLC_dX*instanceStruct.instanceVar_cox)-instanceStruct.d_instanceVar_CGSL_i_dX)));
instanceStruct.instanceVar_CGSO_i = value_max_0;
}
}
else
{
if ((modelStruct.modelPar_CGEOMOD==3))
{
instanceStruct.d_instanceVar_CGSO_i_dX = ((0.3*instanceStruct.instancePar_WGAA)*instanceStruct.d_instanceVar_cox_dX+0.3*instanceStruct.d_instancePar_WGAA_dX*instanceStruct.instanceVar_cox);
instanceStruct.instanceVar_CGSO_i = ((0.3*instanceStruct.instancePar_WGAA)*instanceStruct.instanceVar_cox);
}
else
{
instanceStruct.d_instanceVar_CGSO_i_dX = ((0.3*instanceStruct.instancePar_TFIN)*instanceStruct.d_instanceVar_cox_dX+0.3*instanceStruct.d_instancePar_TFIN_dX*instanceStruct.instanceVar_cox);
instanceStruct.instanceVar_CGSO_i = ((0.3*instanceStruct.instancePar_TFIN)*instanceStruct.instanceVar_cox);
}
}
}
if (modelStruct.modelPar_given_CGDO)
{
instanceStruct.d_instanceVar_CGDO_i_dX = modelStruct.d_modelPar_CGDO_dX;
instanceStruct.instanceVar_CGDO_i = modelStruct.modelPar_CGDO;
}
else
{
if ((modelStruct.modelPar_given_DLC&&(modelStruct.modelPar_DLC>0.0)))
{
{
double value_max_0 = std::max(static_cast<double>(0.0),((modelStruct.modelPar_DLC*instanceStruct.instanceVar_cox)-instanceStruct.instanceVar_CGDL_i));
double  deriv_max_0_d1 = ((0.0>=((modelStruct.modelPar_DLC*instanceStruct.instanceVar_cox)-instanceStruct.instanceVar_CGDL_i))?0.0:1.0);
instanceStruct.d_instanceVar_CGDO_i_dX = (deriv_max_0_d1*(((modelStruct.modelPar_DLC*instanceStruct.d_instanceVar_cox_dX+modelStruct.d_modelPar_DLC_dX*instanceStruct.instanceVar_cox)-instanceStruct.d_instanceVar_CGDL_i_dX)));
instanceStruct.instanceVar_CGDO_i = value_max_0;
}
}
else
{
if ((modelStruct.modelPar_CGEOMOD==3))
{
instanceStruct.d_instanceVar_CGDO_i_dX = ((0.3*instanceStruct.instancePar_WGAA)*instanceStruct.d_instanceVar_cox_dX+0.3*instanceStruct.d_instancePar_WGAA_dX*instanceStruct.instanceVar_cox);
instanceStruct.instanceVar_CGDO_i = ((0.3*instanceStruct.instancePar_WGAA)*instanceStruct.instanceVar_cox);
}
else
{
instanceStruct.d_instanceVar_CGDO_i_dX = ((0.3*instanceStruct.instancePar_TFIN)*instanceStruct.d_instanceVar_cox_dX+0.3*instanceStruct.d_instancePar_TFIN_dX*instanceStruct.instanceVar_cox);
instanceStruct.instanceVar_CGDO_i = ((0.3*instanceStruct.instancePar_TFIN)*instanceStruct.instanceVar_cox);
}
}
}
}
if ((modelStruct.modelPar_CGEOMOD==2))
{
d_Hg_dX = (modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TMASK_dX);
Hg = (modelStruct.modelPar_TGATE+modelStruct.modelPar_TMASK);
d_Trsd_dX = 0.5*(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_TFIN_dX);
Trsd = (0.5*(instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN));
{
double value_max_0 = std::max(static_cast<double>(0.0),(Trsd-modelStruct.modelPar_TOXP));
double  deriv_max_0_d1 = ((0.0>=(Trsd-modelStruct.modelPar_TOXP))?0.0:1.0);
d_Wg_dX = (deriv_max_0_d1*((d_Trsd_dX-modelStruct.d_modelPar_TOXP_dX)));
Wg = value_max_0;
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(modelStruct.modelPar_HEPI+modelStruct.modelPar_TSILI));
double  deriv_max_0_d1 = ((0.0>=(modelStruct.modelPar_HEPI+modelStruct.modelPar_TSILI))?0.0:1.0);
d_Hrsd_dX = (deriv_max_0_d1*((modelStruct.d_modelPar_HEPI_dX+modelStruct.d_modelPar_TSILI_dX)));
Hrsd = value_max_0;
}
if ((modelStruct.modelPar_TMASK>0.0))
{
{
double value_log_0 = log(((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP)));
double  deriv_log_0_d0 = (1.0/((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP)));
instanceStruct.d_instanceVar_T0_dX = 3.467e-11*((((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP))>1.0e-38)?deriv_log_0_d0*((((3.9*modelStruct.modelPar_LSP)*1.0e-7*modelStruct.d_modelPar_EPSRSP_dX-(1.0e-7*modelStruct.modelPar_EPSRSP)*3.9*modelStruct.d_modelPar_LSP_dX)/(3.9*modelStruct.modelPar_LSP)/(3.9*modelStruct.modelPar_LSP))):0.0);
instanceStruct.instanceVar_T0 = (3.467e-11*((((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
instanceStruct.d_instanceVar_T1_dX = ((modelStruct.modelPar_LSP*((0.942*Hrsd)*d_epssp_dX+0.942*d_Hrsd_dX*epssp)-((0.942*Hrsd)*epssp)*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
instanceStruct.instanceVar_T1 = (((0.942*Hrsd)*epssp)/modelStruct.modelPar_LSP);
d_Cgg_top_dX = ((instanceStruct.instanceVar_T0+instanceStruct.instanceVar_T1)*(instanceStruct.d_instancePar_TFIN_dX+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*modelStruct.d_modelPar_CRATIO_dX+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_TFIN_dX)*modelStruct.modelPar_CRATIO))+(instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T1_dX)*(instanceStruct.instancePar_TFIN+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*modelStruct.modelPar_CRATIO)));
Cgg_top = ((instanceStruct.instanceVar_T0+instanceStruct.instanceVar_T1)*(instanceStruct.instancePar_TFIN+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*modelStruct.modelPar_CRATIO)));
}
else
{
{
d_Hr_dX = ((Hrsd*0.2*(d_Hg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Hg+modelStruct.modelPar_TOXP))*d_Hrsd_dX)/Hrsd/Hrsd);
Hr = (2.3+((0.2*(Hg+modelStruct.modelPar_TOXP))/Hrsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Hg+modelStruct.modelPar_TOXP)-Hrsd));
double  deriv_fabs_0_d0 = (((((Hg+modelStruct.modelPar_TOXP)-Hrsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Hg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Hrsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Hrsd,(Hg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Hrsd<=(Hg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Hrsd<=(Hg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Hrsd_dX))+(deriv_min_0_d1*((d_Hg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Hrsd/(Hg+modelStruct.modelPar_TOXP)),((Hg+modelStruct.modelPar_TOXP)/Hrsd));
double  deriv_min_0_d0 = (((Hrsd/(Hg+modelStruct.modelPar_TOXP))<=((Hg+modelStruct.modelPar_TOXP)/Hrsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Hrsd/(Hg+modelStruct.modelPar_TOXP))<=((Hg+modelStruct.modelPar_TOXP)/Hrsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Hg+modelStruct.modelPar_TOXP)*d_Hrsd_dX-Hrsd*(d_Hg_dX+modelStruct.d_modelPar_TOXP_dX))/(Hg+modelStruct.modelPar_TOXP)/(Hg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Hrsd*(d_Hg_dX+modelStruct.d_modelPar_TOXP_dX)-(Hg+modelStruct.modelPar_TOXP)*d_Hrsd_dX)/Hrsd/Hrsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_TFIN*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_TFIN_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_TFIN*(Ccg1+Ccg2));
d_x_dX = ((Hg*d_Lmax_dX-Lmax*d_Hg_dX)/Hg/Hg);
x = (Lmax/Hg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Hg)*modelStruct.modelPar_TOXP))+((Hg*Hg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Hg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Hg_dX*modelStruct.modelPar_TOXP))+((Hg*Hg)*d_x_dX+(Hg*d_Hg_dX+d_Hg_dX*Hg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Hg*d_x_dX+d_Hg_dX*x))+d_Hg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Hg*x))+Hg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_TFIN*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_TFIN_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_TFIN*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_top_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_top = (Ccg+Cfg);
}
}
if ((modelStruct.modelPar_TMASK>0.0))
{
{
d_Hr_dX = ((Trsd*0.2*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Wg+modelStruct.modelPar_TOXP))*d_Trsd_dX)/Trsd/Trsd);
Hr = (2.3+((0.2*(Wg+modelStruct.modelPar_TOXP))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+modelStruct.modelPar_TOXP)-Trsd));
double  deriv_fabs_0_d0 = (((((Wg+modelStruct.modelPar_TOXP)-Trsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Trsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Trsd_dX))+(deriv_min_0_d1*((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+modelStruct.modelPar_TOXP)),((Wg+modelStruct.modelPar_TOXP)/Trsd));
double  deriv_min_0_d0 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX-Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))/(Wg+modelStruct.modelPar_TOXP)/(Wg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX)/Trsd/Trsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (modelStruct.modelPar_HFIN*(d_Ccg1_dX+d_Ccg2_dX)+modelStruct.d_modelPar_HFIN_dX*(Ccg1+Ccg2));
Ccg = (modelStruct.modelPar_HFIN*(Ccg1+Ccg2));
d_x_dX = ((Wg*d_Lmax_dX-Lmax*d_Wg_dX)/Wg/Wg);
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.modelPar_TOXP))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Wg_dX*modelStruct.modelPar_TOXP))+((Wg*Wg)*d_x_dX+(Wg*d_Wg_dX+d_Wg_dX*Wg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Wg*d_x_dX+d_Wg_dX*x))+d_Wg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.70*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (modelStruct.modelPar_HFIN*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+modelStruct.d_modelPar_HFIN_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (modelStruct.modelPar_HFIN*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_side_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_side = (Ccg+Cfg);
}
}
else
{
{
d_Hr_dX = ((Trsd*0.2*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Wg+modelStruct.modelPar_TOXP))*d_Trsd_dX)/Trsd/Trsd);
Hr = (2.3+((0.2*(Wg+modelStruct.modelPar_TOXP))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+modelStruct.modelPar_TOXP)-Trsd));
double  deriv_fabs_0_d0 = (((((Wg+modelStruct.modelPar_TOXP)-Trsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Trsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Trsd_dX))+(deriv_min_0_d1*((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+modelStruct.modelPar_TOXP)),((Wg+modelStruct.modelPar_TOXP)/Trsd));
double  deriv_min_0_d0 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX-Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))/(Wg+modelStruct.modelPar_TOXP)/(Wg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX)/Trsd/Trsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (modelStruct.modelPar_HFIN*(d_Ccg1_dX+d_Ccg2_dX)+modelStruct.d_modelPar_HFIN_dX*(Ccg1+Ccg2));
Ccg = (modelStruct.modelPar_HFIN*(Ccg1+Ccg2));
d_x_dX = ((Wg*d_Lmax_dX-Lmax*d_Wg_dX)/Wg/Wg);
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.modelPar_TOXP))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Wg_dX*modelStruct.modelPar_TOXP))+((Wg*Wg)*d_x_dX+(Wg*d_Wg_dX+d_Wg_dX*Wg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Wg*d_x_dX+d_Wg_dX*x))+d_Wg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (modelStruct.modelPar_HFIN*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+modelStruct.d_modelPar_HFIN_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (modelStruct.modelPar_HFIN*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_side_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_side = (Ccg+Cfg);
}
}
if ((modelStruct.modelPar_TMASK>0.0))
{
d_Acorner_dX = 0.0;
Acorner = 0.0;
}
else
{
if ((modelStruct.modelPar_HEPI>0.0))
{
d_Acorner_dX = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*((modelStruct.modelPar_HEPI*modelStruct.d_modelPar_CRATIO_dX+modelStruct.d_modelPar_HEPI_dX*modelStruct.modelPar_CRATIO)+modelStruct.d_modelPar_TSILI_dX)+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_TFIN_dX)*((modelStruct.modelPar_HEPI*modelStruct.modelPar_CRATIO)+modelStruct.modelPar_TSILI));
Acorner = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*((modelStruct.modelPar_HEPI*modelStruct.modelPar_CRATIO)+modelStruct.modelPar_TSILI));
}
else
{
d_Acorner_dX = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*d_Hrsd_dX+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_TFIN_dX)*Hrsd);
Acorner = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_TFIN)*Hrsd);
}
}
d_Ccorner_dX = ((modelStruct.modelPar_LSP*((((instanceStruct.instancePar_NFIN*Acorner)+modelStruct.modelPar_ARSDEND)+modelStruct.modelPar_ASILIEND)*d_epssp_dX+(((instanceStruct.instancePar_NFIN*d_Acorner_dX+instanceStruct.d_instancePar_NFIN_dX*Acorner)+modelStruct.d_modelPar_ARSDEND_dX)+modelStruct.d_modelPar_ASILIEND_dX)*epssp)-((((instanceStruct.instancePar_NFIN*Acorner)+modelStruct.modelPar_ARSDEND)+modelStruct.modelPar_ASILIEND)*epssp)*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
Ccorner = (((((instanceStruct.instancePar_NFIN*Acorner)+modelStruct.modelPar_ARSDEND)+modelStruct.modelPar_ASILIEND)*epssp)/modelStruct.modelPar_LSP);
instanceStruct.d_instanceVar_Cfr_geo_dX = ((d_Ccorner_dX+(Cgg_top*instanceStruct.d_instancePar_NFIN_dX+d_Cgg_top_dX*instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_CGEOE*Cgg_side)*instanceStruct.d_instancePar_NFIN_dX+(modelStruct.modelPar_CGEOE*d_Cgg_side_dX+modelStruct.d_modelPar_CGEOE_dX*Cgg_side)*instanceStruct.instancePar_NFIN)*2.0)*instanceStruct.instancePar_NF;
instanceStruct.instanceVar_Cfr_geo = (((Ccorner+(Cgg_top*instanceStruct.instancePar_NFIN))+(((modelStruct.modelPar_CGEOE*Cgg_side)*instanceStruct.instancePar_NFIN)*2.0))*instanceStruct.instancePar_NF);
{
double value_max_0 = std::max(static_cast<double>(0.0),(((modelStruct.modelPar_CGEOA+(modelStruct.modelPar_CGEOB*instanceStruct.instancePar_TFIN))+(modelStruct.modelPar_CGEOC*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_CGEOD*instanceStruct.instancePar_LRSD)));
double  deriv_max_0_d1 = ((0.0>=(((modelStruct.modelPar_CGEOA+(modelStruct.modelPar_CGEOB*instanceStruct.instancePar_TFIN))+(modelStruct.modelPar_CGEOC*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_CGEOD*instanceStruct.instancePar_LRSD)))?0.0:1.0);
instanceStruct.d_instanceVar_Cfr_geo_dX = (instanceStruct.instanceVar_Cfr_geo*(deriv_max_0_d1*((((modelStruct.d_modelPar_CGEOA_dX+(modelStruct.modelPar_CGEOB*instanceStruct.d_instancePar_TFIN_dX+modelStruct.d_modelPar_CGEOB_dX*instanceStruct.instancePar_TFIN))+(modelStruct.modelPar_CGEOC*instanceStruct.d_instancePar_FPITCH_dX+modelStruct.d_modelPar_CGEOC_dX*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_CGEOD*instanceStruct.d_instancePar_LRSD_dX+modelStruct.d_modelPar_CGEOD_dX*instanceStruct.instancePar_LRSD))))+instanceStruct.d_instanceVar_Cfr_geo_dX*value_max_0);
instanceStruct.instanceVar_Cfr_geo = (instanceStruct.instanceVar_Cfr_geo*value_max_0);
}
}
if ((modelStruct.modelPar_CGEOMOD==3))
{
d_Hg_dX = (modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TMASK_dX);
Hg = (modelStruct.modelPar_TGATE+modelStruct.modelPar_TMASK);
d_Trsd_dX = 0.5*(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_WGAA_dX);
Trsd = (0.5*(instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA));
{
double value_max_0 = std::max(static_cast<double>(0.0),(Trsd-modelStruct.modelPar_TOXP));
double  deriv_max_0_d1 = ((0.0>=(Trsd-modelStruct.modelPar_TOXP))?0.0:1.0);
d_Wg_dX = (deriv_max_0_d1*((d_Trsd_dX-modelStruct.d_modelPar_TOXP_dX)));
Wg = value_max_0;
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(modelStruct.modelPar_HEPI+modelStruct.modelPar_TSILI));
double  deriv_max_0_d1 = ((0.0>=(modelStruct.modelPar_HEPI+modelStruct.modelPar_TSILI))?0.0:1.0);
d_Hrsd_dX = (deriv_max_0_d1*((modelStruct.d_modelPar_HEPI_dX+modelStruct.d_modelPar_TSILI_dX)));
Hrsd = value_max_0;
}
d_Hrsd2_dX = 0.5*instanceStruct.d_instancePar_TSUS_dX;
Hrsd2 = (0.5*instanceStruct.instancePar_TSUS);
if ((modelStruct.modelPar_TMASK>0.0))
{
{
double value_log_0 = log(((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP)));
double  deriv_log_0_d0 = (1.0/((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP)));
instanceStruct.d_instanceVar_T0_dX = 3.467e-11*((((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP))>1.0e-38)?deriv_log_0_d0*((((3.9*modelStruct.modelPar_LSP)*1.0e-7*modelStruct.d_modelPar_EPSRSP_dX-(1.0e-7*modelStruct.modelPar_EPSRSP)*3.9*modelStruct.d_modelPar_LSP_dX)/(3.9*modelStruct.modelPar_LSP)/(3.9*modelStruct.modelPar_LSP))):0.0);
instanceStruct.instanceVar_T0 = (3.467e-11*((((1.0e-7*modelStruct.modelPar_EPSRSP)/(3.9*modelStruct.modelPar_LSP))>1.0e-38)?value_log_0:(-87.498233534)));
}
instanceStruct.d_instanceVar_T1_dX = ((modelStruct.modelPar_LSP*((0.942*Hrsd)*d_epssp_dX+0.942*d_Hrsd_dX*epssp)-((0.942*Hrsd)*epssp)*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
instanceStruct.instanceVar_T1 = (((0.942*Hrsd)*epssp)/modelStruct.modelPar_LSP);
d_Cgg_topm_dX = ((instanceStruct.instanceVar_T0+instanceStruct.instanceVar_T1)*(instanceStruct.d_instancePar_WGAA_dX+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*modelStruct.d_modelPar_CRATIO_dX+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_WGAA_dX)*modelStruct.modelPar_CRATIO))+(instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T1_dX)*(instanceStruct.instancePar_WGAA+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*modelStruct.modelPar_CRATIO)));
Cgg_topm = ((instanceStruct.instanceVar_T0+instanceStruct.instanceVar_T1)*(instanceStruct.instancePar_WGAA+((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*modelStruct.modelPar_CRATIO)));
}
else
{
{
d_Hr_dX = ((Hrsd*0.2*(d_Hg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Hg+modelStruct.modelPar_TOXP))*d_Hrsd_dX)/Hrsd/Hrsd);
Hr = (2.3+((0.2*(Hg+modelStruct.modelPar_TOXP))/Hrsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Hg+modelStruct.modelPar_TOXP)-Hrsd));
double  deriv_fabs_0_d0 = (((((Hg+modelStruct.modelPar_TOXP)-Hrsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Hg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Hrsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Hrsd,(Hg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Hrsd<=(Hg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Hrsd<=(Hg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Hrsd_dX))+(deriv_min_0_d1*((d_Hg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Hrsd/(Hg+modelStruct.modelPar_TOXP)),((Hg+modelStruct.modelPar_TOXP)/Hrsd));
double  deriv_min_0_d0 = (((Hrsd/(Hg+modelStruct.modelPar_TOXP))<=((Hg+modelStruct.modelPar_TOXP)/Hrsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Hrsd/(Hg+modelStruct.modelPar_TOXP))<=((Hg+modelStruct.modelPar_TOXP)/Hrsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Hg+modelStruct.modelPar_TOXP)*d_Hrsd_dX-Hrsd*(d_Hg_dX+modelStruct.d_modelPar_TOXP_dX))/(Hg+modelStruct.modelPar_TOXP)/(Hg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Hrsd*(d_Hg_dX+modelStruct.d_modelPar_TOXP_dX)-(Hg+modelStruct.modelPar_TOXP)*d_Hrsd_dX)/Hrsd/Hrsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_WGAA*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_WGAA_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_WGAA*(Ccg1+Ccg2));
d_x_dX = ((Hg*d_Lmax_dX-Lmax*d_Hg_dX)/Hg/Hg);
x = (Lmax/Hg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Hg)*modelStruct.modelPar_TOXP))+((Hg*Hg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Hg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Hg_dX*modelStruct.modelPar_TOXP))+((Hg*Hg)*d_x_dX+(Hg*d_Hg_dX+d_Hg_dX*Hg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Hg*d_x_dX+d_Hg_dX*x))+d_Hg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Hg*x))+Hg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_WGAA*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_WGAA_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_WGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_topm_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_topm = (Ccg+Cfg);
}
}
{
d_Hr_dX = ((Hrsd2*0.2*(modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))*d_Hrsd2_dX)/Hrsd2/Hrsd2);
Hr = (2.3+((0.2*(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))/Hrsd2));
Lr = 1.05;
{
double value_fabs_0 = fabs(((modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)-Hrsd2));
double  deriv_fabs_0_d0 = (((((modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)-Hrsd2))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TOXP_dX)-d_Hrsd2_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Hrsd2,(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Hrsd2<=(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Hrsd2<=(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Hrsd2_dX))+(deriv_min_0_d1*((modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Hrsd2/(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)),((modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)/Hrsd2));
double  deriv_min_0_d0 = (((Hrsd2/(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))<=((modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)/Hrsd2))?1.0:0.0);
double  deriv_min_0_d1 = (((Hrsd2/(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))<=((modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)/Hrsd2))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)*d_Hrsd2_dX-Hrsd2*(modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TOXP_dX))/(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)/(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Hrsd2*(modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TOXP_dX)-(modelStruct.modelPar_TGATE+modelStruct.modelPar_TOXP)*d_Hrsd2_dX)/Hrsd2/Hrsd2))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_WGAA*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_WGAA_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_WGAA*(Ccg1+Ccg2));
d_x_dX = ((modelStruct.modelPar_TGATE*d_Lmax_dX-Lmax*modelStruct.d_modelPar_TGATE_dX)/modelStruct.modelPar_TGATE/modelStruct.modelPar_TGATE);
x = (Lmax/modelStruct.modelPar_TGATE);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*modelStruct.modelPar_TGATE)*modelStruct.modelPar_TOXP))+((modelStruct.modelPar_TGATE*modelStruct.modelPar_TGATE)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*modelStruct.modelPar_TGATE)*modelStruct.d_modelPar_TOXP_dX+2.0*modelStruct.d_modelPar_TGATE_dX*modelStruct.modelPar_TOXP))+((modelStruct.modelPar_TGATE*modelStruct.modelPar_TGATE)*d_x_dX+(modelStruct.modelPar_TGATE*modelStruct.d_modelPar_TGATE_dX+modelStruct.d_modelPar_TGATE_dX*modelStruct.modelPar_TGATE)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(modelStruct.modelPar_TGATE*d_x_dX+modelStruct.d_modelPar_TGATE_dX*x))+modelStruct.d_modelPar_TGATE_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(modelStruct.modelPar_TGATE*x))+modelStruct.modelPar_TGATE);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_WGAA*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_WGAA_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_WGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_tb_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_tb = (Ccg+Cfg);
}
if ((modelStruct.modelPar_TMASK>0.0))
{
{
d_Hr_dX = ((Trsd*0.2*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Wg+modelStruct.modelPar_TOXP))*d_Trsd_dX)/Trsd/Trsd);
Hr = (2.3+((0.2*(Wg+modelStruct.modelPar_TOXP))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+modelStruct.modelPar_TOXP)-Trsd));
double  deriv_fabs_0_d0 = (((((Wg+modelStruct.modelPar_TOXP)-Trsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Trsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Trsd_dX))+(deriv_min_0_d1*((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+modelStruct.modelPar_TOXP)),((Wg+modelStruct.modelPar_TOXP)/Trsd));
double  deriv_min_0_d0 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX-Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))/(Wg+modelStruct.modelPar_TOXP)/(Wg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX)/Trsd/Trsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_TGAA*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_TGAA_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_TGAA*(Ccg1+Ccg2));
d_x_dX = ((Wg*d_Lmax_dX-Lmax*d_Wg_dX)/Wg/Wg);
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.modelPar_TOXP))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Wg_dX*modelStruct.modelPar_TOXP))+((Wg*Wg)*d_x_dX+(Wg*d_Wg_dX+d_Wg_dX*Wg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Wg*d_x_dX+d_Wg_dX*x))+d_Wg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.70*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.70)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_TGAA*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_TGAA_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_TGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_sidetopm_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_sidetopm = (Ccg+Cfg);
}
}
else
{
{
d_Hr_dX = ((Trsd*0.2*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Wg+modelStruct.modelPar_TOXP))*d_Trsd_dX)/Trsd/Trsd);
Hr = (2.3+((0.2*(Wg+modelStruct.modelPar_TOXP))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+modelStruct.modelPar_TOXP)-Trsd));
double  deriv_fabs_0_d0 = (((((Wg+modelStruct.modelPar_TOXP)-Trsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Trsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Trsd_dX))+(deriv_min_0_d1*((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+modelStruct.modelPar_TOXP)),((Wg+modelStruct.modelPar_TOXP)/Trsd));
double  deriv_min_0_d0 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX-Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))/(Wg+modelStruct.modelPar_TOXP)/(Wg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX)/Trsd/Trsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_TGAA*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_TGAA_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_TGAA*(Ccg1+Ccg2));
d_x_dX = ((Wg*d_Lmax_dX-Lmax*d_Wg_dX)/Wg/Wg);
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.modelPar_TOXP))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Wg_dX*modelStruct.modelPar_TOXP))+((Wg*Wg)*d_x_dX+(Wg*d_Wg_dX+d_Wg_dX*Wg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Wg*d_x_dX+d_Wg_dX*x))+d_Wg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_TGAA*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_TGAA_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_TGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_sidetopm_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_sidetopm = (Ccg+Cfg);
}
}
{
d_Hr_dX = ((Trsd*0.2*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Wg+modelStruct.modelPar_TOXP))*d_Trsd_dX)/Trsd/Trsd);
Hr = (2.3+((0.2*(Wg+modelStruct.modelPar_TOXP))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+modelStruct.modelPar_TOXP)-Trsd));
double  deriv_fabs_0_d0 = (((((Wg+modelStruct.modelPar_TOXP)-Trsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Trsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Trsd_dX))+(deriv_min_0_d1*((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+modelStruct.modelPar_TOXP)),((Wg+modelStruct.modelPar_TOXP)/Trsd));
double  deriv_min_0_d0 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX-Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))/(Wg+modelStruct.modelPar_TOXP)/(Wg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX)/Trsd/Trsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_TGAA*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_TGAA_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_TGAA*(Ccg1+Ccg2));
d_x_dX = ((Wg*d_Lmax_dX-Lmax*d_Wg_dX)/Wg/Wg);
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.modelPar_TOXP))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Wg_dX*modelStruct.modelPar_TOXP))+((Wg*Wg)*d_x_dX+(Wg*d_Wg_dX+d_Wg_dX*Wg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Wg*d_x_dX+d_Wg_dX*x))+d_Wg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_TGAA*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_TGAA_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_TGAA*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_sidetb_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_sidetb = (Ccg+Cfg);
}
{
d_Hr_dX = ((Trsd*0.2*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(0.2*(Wg+modelStruct.modelPar_TOXP))*d_Trsd_dX)/Trsd/Trsd);
Hr = (2.3+((0.2*(Wg+modelStruct.modelPar_TOXP))/Trsd));
Lr = 1.05;
{
double value_fabs_0 = fabs(((Wg+modelStruct.modelPar_TOXP)-Trsd));
double  deriv_fabs_0_d0 = (((((Wg+modelStruct.modelPar_TOXP)-Trsd))>=0)?(+1.0):(-1.0));
d_Hgdelta_dX = deriv_fabs_0_d0*(((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-d_Trsd_dX));
Hgdelta = value_fabs_0;
}
d_Lmax_dX = modelStruct.d_modelPar_LSP_dX*Lr;
Lmax = (modelStruct.modelPar_LSP*Lr);
{
double value_min_0 = std::min(Trsd,(Wg+modelStruct.modelPar_TOXP));
double  deriv_min_0_d0 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?1.0:0.0);
double  deriv_min_0_d1 = ((Trsd<=(Wg+modelStruct.modelPar_TOXP))?0.0:1.0);
d_y_dX = ((deriv_min_0_d0*(d_Trsd_dX))+(deriv_min_0_d1*((d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))));
y = value_min_0;
}
d_x_dX = (((Hr+1.0)*modelStruct.d_modelPar_LSP_dX-modelStruct.modelPar_LSP*d_Hr_dX)/(Hr+1.0)/(Hr+1.0));
x = (modelStruct.modelPar_LSP/(Hr+1.0));
Cnon = 1.7e12;
d_CcgSat_dX = ((modelStruct.modelPar_LSP*(epssp*(d_y_dX-d_x_dX)+d_epssp_dX*(y-x))-(epssp*(y-x))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
CcgSat = ((epssp*(y-x))/modelStruct.modelPar_LSP);
d_TT1_dX = Cnon*d_CcgSat_dX;
TT1 = (Cnon*CcgSat);
if ((TT1>80.0))
{
d_Ccg1_dX = d_CcgSat_dX;
Ccg1 = CcgSat;
}
else
{
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(TT1);
d_Ccg1_dX = (1.0/Cnon)*evaluator_ln_one_plus_exp_0.getDerivs(TT1,d_TT1_dX);
Ccg1 = ((1.0/Cnon)*evaluator_ln_one_plus_exp_0.getValues(TT1));
}
}
{
double value_min_0 = std::min((Trsd/(Wg+modelStruct.modelPar_TOXP)),((Wg+modelStruct.modelPar_TOXP)/Trsd));
double  deriv_min_0_d0 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?1.0:0.0);
double  deriv_min_0_d1 = (((Trsd/(Wg+modelStruct.modelPar_TOXP))<=((Wg+modelStruct.modelPar_TOXP)/Trsd))?0.0:1.0);
d_r1cf_dX = 0.5*((deriv_min_0_d0*((((Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX-Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX))/(Wg+modelStruct.modelPar_TOXP)/(Wg+modelStruct.modelPar_TOXP))))+(deriv_min_0_d1*(((Trsd*(d_Wg_dX+modelStruct.d_modelPar_TOXP_dX)-(Wg+modelStruct.modelPar_TOXP)*d_Trsd_dX)/Trsd/Trsd))));
r1cf = (0.5*value_min_0);
}
d_Rcf_dX = (Hgdelta*d_r1cf_dX+d_Hgdelta_dX*r1cf);
Rcf = (Hgdelta*r1cf);
{
double value_log_0 = log(((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
double  deriv_log_0_d0 = (1.0/((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP));
d_Ccg2_dX = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_LSP*(modelStruct.d_modelPar_LSP_dX+(0.5*3.14159265358979323846)*d_Rcf_dX)-(modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP)):0.0)+(d_epssp_dX*2.0/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
Ccg2 = (((epssp*2.0)/3.14159265358979323846)*((((modelStruct.modelPar_LSP+((0.5*3.14159265358979323846)*Rcf))/modelStruct.modelPar_LSP)>1.0e-38)?value_log_0:(-87.498233534)));
}
d_Ccg_dX = (instanceStruct.instancePar_HPFF*(d_Ccg1_dX+d_Ccg2_dX)+instanceStruct.d_instancePar_HPFF_dX*(Ccg1+Ccg2));
Ccg = (instanceStruct.instancePar_HPFF*(Ccg1+Ccg2));
d_x_dX = ((Wg*d_Lmax_dX-Lmax*d_Wg_dX)/Wg/Wg);
x = (Lmax/Wg);
{
double value_sqrt_0 = sqrt((2.0*(x+1.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C1_dX = (-4.0*deriv_sqrt_0_d0*(2.0*d_x_dX)*3.14159265358979323846/(value_sqrt_0*3.14159265358979323846)/(value_sqrt_0*3.14159265358979323846));
C1 = (4.0/(value_sqrt_0*3.14159265358979323846));
}
{
double value_sqrt_0 = sqrt((((modelStruct.modelPar_TOXP*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.modelPar_TOXP))+((Wg*Wg)*(x+1.0))));
double value_sqrt_1 = sqrt((x+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_C2_dX = ((((value_sqrt_0*deriv_sqrt_1_d0*(d_x_dX)+deriv_sqrt_0_d0*((((modelStruct.modelPar_TOXP*modelStruct.d_modelPar_TOXP_dX+modelStruct.d_modelPar_TOXP_dX*modelStruct.modelPar_TOXP)+((2.0*Wg)*modelStruct.d_modelPar_TOXP_dX+2.0*d_Wg_dX*modelStruct.modelPar_TOXP))+((Wg*Wg)*d_x_dX+(Wg*d_Wg_dX+d_Wg_dX*Wg)*(x+1.0))))*value_sqrt_1)+modelStruct.d_modelPar_TOXP_dX)+(Wg*d_x_dX+d_Wg_dX*x))+d_Wg_dX);
C2 = ((((value_sqrt_0*value_sqrt_1)+modelStruct.modelPar_TOXP)+(Wg*x))+Wg);
}
{
double value_sqrt_0 = sqrt(((x+1.0)*(x+4.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_C3_dX = ((modelStruct.modelPar_TOXP*deriv_sqrt_0_d0*(((x+1.0)*d_x_dX+d_x_dX*(x+4.0)))+modelStruct.d_modelPar_TOXP_dX*value_sqrt_0)+(modelStruct.modelPar_TOXP*d_x_dX+modelStruct.d_modelPar_TOXP_dX*(x+2.0)));
C3 = ((modelStruct.modelPar_TOXP*value_sqrt_0)+(modelStruct.modelPar_TOXP*(x+2.0)));
}
{
double value_log_0 = log((C2/C3));
double  deriv_log_0_d0 = (1.0/(C2/C3));
d_Cfglog_dX = (epssp*(C1*(((C2/C3)>1.0e-38)?deriv_log_0_d0*(((C3*d_C2_dX-C2*d_C3_dX)/C3/C3)):0.0)+d_C1_dX*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+d_epssp_dX*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
Cfglog = (epssp*((C1*(((C2/C3)>1.0e-38)?value_log_0:(-87.498233534)))+12.27));
}
d_dcf_dX = d_Hr_dX*Lr;
dcf = (Hr*Lr);
{
double value_sqrt_0 = sqrt(((dcf*dcf)+1.0));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT0_dX = deriv_sqrt_0_d0*((dcf*d_dcf_dX+d_dcf_dX*dcf));
TT0 = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_TT1_dX = (((deriv_sqrt_0_d0*((((dcf*dcf)+1.0)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.d_modelPar_TOXP_dX+((2.0*dcf)*d_Lmax_dX+2.0*d_dcf_dX*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*d_Lmax_dX+(((dcf*dcf)+1.0)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax)*Lmax))+(dcf*d_dcf_dX+d_dcf_dX*dcf)*((((dcf*modelStruct.modelPar_TOXP)*(dcf*modelStruct.modelPar_TOXP))+(((2.0*dcf)*Lmax)*modelStruct.modelPar_TOXP))+((((dcf*dcf)+1.0)*Lmax)*Lmax))))+(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP))+((dcf*dcf)*d_Lmax_dX+(dcf*d_dcf_dX+d_dcf_dX*dcf)*Lmax))+d_Lmax_dX);
TT1 = (((value_sqrt_0+(dcf*modelStruct.modelPar_TOXP))+((dcf*dcf)*Lmax))+Lmax);
}
d_TT2_dX = ((TT0+1.0)*(dcf*modelStruct.d_modelPar_TOXP_dX+d_dcf_dX*modelStruct.modelPar_TOXP)+d_TT0_dX*(dcf*modelStruct.modelPar_TOXP));
TT2 = ((TT0+1.0)*(dcf*modelStruct.modelPar_TOXP));
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
double value_log_1 = log((TT1/TT2));
double  deriv_log_1_d0 = (1.0/(TT1/TT2));
d_Cfgsat_dX = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?deriv_log_1_d0*(((TT2*d_TT1_dX-TT1*d_TT2_dX)/TT2/TT2)):0.0)+((TT0*(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*d_dcf_dX+(2.0*d_epssp_dX*value_sqrt_0/3.14159265358979323846)*0.85*dcf)-(((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)*d_TT0_dX)/TT0/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
Cfgsat = (((((((2.0*epssp)*value_sqrt_0)/3.14159265358979323846)*0.85)*dcf)/TT0)*(((TT1/TT2)>1.0e-38)?value_log_1:(-87.498233534)));
}
instanceStruct.d_instanceVar_delta_dX = 0.0;
instanceStruct.instanceVar_delta = 1.2e-12;
d_TT1_dX = ((d_Cfgsat_dX-d_Cfglog_dX)-instanceStruct.d_instanceVar_delta_dX);
TT1 = ((Cfgsat-Cfglog)-instanceStruct.instanceVar_delta);
{
double value_sqrt_0 = sqrt(((TT1*TT1)+((4.0*instanceStruct.instanceVar_delta)*Cfgsat)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Cfg_dX = (instanceStruct.instancePar_HPFF*(d_Cfgsat_dX-0.5*(d_TT1_dX+deriv_sqrt_0_d0*(((TT1*d_TT1_dX+d_TT1_dX*TT1)+((4.0*instanceStruct.instanceVar_delta)*d_Cfgsat_dX+4.0*instanceStruct.d_instanceVar_delta_dX*Cfgsat)))))+instanceStruct.d_instancePar_HPFF_dX*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
Cfg = (instanceStruct.instancePar_HPFF*(Cfgsat-(0.5*(TT1+value_sqrt_0))));
}
d_Cgg_sidepff_dX = (d_Ccg_dX+d_Cfg_dX);
Cgg_sidepff = (Ccg+Cfg);
}
if ((modelStruct.modelPar_TMASK>0.0))
{
d_Acorner_topm_dX = 0.0;
Acorner_topm = 0.0;
}
else
{
if ((modelStruct.modelPar_HEPI>0.0))
{
d_Acorner_topm_dX = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*((modelStruct.modelPar_HEPI*modelStruct.d_modelPar_CRATIO_dX+modelStruct.d_modelPar_HEPI_dX*modelStruct.modelPar_CRATIO)+modelStruct.d_modelPar_TSILI_dX)+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_WGAA_dX)*((modelStruct.modelPar_HEPI*modelStruct.modelPar_CRATIO)+modelStruct.modelPar_TSILI));
Acorner_topm = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*((modelStruct.modelPar_HEPI*modelStruct.modelPar_CRATIO)+modelStruct.modelPar_TSILI));
}
else
{
d_Acorner_topm_dX = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*d_Hrsd_dX+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_WGAA_dX)*Hrsd);
Acorner_topm = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*Hrsd);
}
}
d_Acorner_tb_dX = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*d_Hrsd2_dX+(instanceStruct.d_instancePar_FPITCH_dX-instanceStruct.d_instancePar_WGAA_dX)*Hrsd2);
Acorner_tb = ((instanceStruct.instancePar_FPITCH-instanceStruct.instancePar_WGAA)*Hrsd2);
d_Ccorner_dX = ((modelStruct.modelPar_LSP*((((instanceStruct.instancePar_NFIN*(Acorner_topm+((2*instanceStruct.instancePar_NGAA)*Acorner_tb)))+modelStruct.modelPar_ARSDEND)+modelStruct.modelPar_ASILIEND)*d_epssp_dX+(((instanceStruct.instancePar_NFIN*(d_Acorner_topm_dX+(2*instanceStruct.instancePar_NGAA)*d_Acorner_tb_dX)+instanceStruct.d_instancePar_NFIN_dX*(Acorner_topm+((2*instanceStruct.instancePar_NGAA)*Acorner_tb)))+modelStruct.d_modelPar_ARSDEND_dX)+modelStruct.d_modelPar_ASILIEND_dX)*epssp)-((((instanceStruct.instancePar_NFIN*(Acorner_topm+((2*instanceStruct.instancePar_NGAA)*Acorner_tb)))+modelStruct.modelPar_ARSDEND)+modelStruct.modelPar_ASILIEND)*epssp)*modelStruct.d_modelPar_LSP_dX)/modelStruct.modelPar_LSP/modelStruct.modelPar_LSP);
Ccorner = (((((instanceStruct.instancePar_NFIN*(Acorner_topm+((2*instanceStruct.instancePar_NGAA)*Acorner_tb)))+modelStruct.modelPar_ARSDEND)+modelStruct.modelPar_ASILIEND)*epssp)/modelStruct.modelPar_LSP);
instanceStruct.d_instanceVar_Cfr_geo_dX = ((d_Ccorner_dX+((Cgg_topm+((2*instanceStruct.instancePar_NGAA)*Cgg_tb))*instanceStruct.d_instancePar_NFIN_dX+(d_Cgg_topm_dX+(2*instanceStruct.instancePar_NGAA)*d_Cgg_tb_dX)*instanceStruct.instancePar_NFIN))+((modelStruct.modelPar_CGEOE*((Cgg_sidetopm+(Cgg_sidetb*(instanceStruct.instancePar_NGAA-1)))+Cgg_sidepff))*instanceStruct.d_instancePar_NFIN_dX+(modelStruct.modelPar_CGEOE*((d_Cgg_sidetopm_dX+d_Cgg_sidetb_dX*(instanceStruct.instancePar_NGAA-1))+d_Cgg_sidepff_dX)+modelStruct.d_modelPar_CGEOE_dX*((Cgg_sidetopm+(Cgg_sidetb*(instanceStruct.instancePar_NGAA-1)))+Cgg_sidepff))*instanceStruct.instancePar_NFIN)*2.0)*instanceStruct.instancePar_NF;
instanceStruct.instanceVar_Cfr_geo = (((Ccorner+((Cgg_topm+((2*instanceStruct.instancePar_NGAA)*Cgg_tb))*instanceStruct.instancePar_NFIN))+(((modelStruct.modelPar_CGEOE*((Cgg_sidetopm+(Cgg_sidetb*(instanceStruct.instancePar_NGAA-1)))+Cgg_sidepff))*instanceStruct.instancePar_NFIN)*2.0))*instanceStruct.instancePar_NF);
{
double value_max_0 = std::max(static_cast<double>(0.0),(((modelStruct.modelPar_CGEOA+(modelStruct.modelPar_CGEOB*instanceStruct.instancePar_WGAA))+(modelStruct.modelPar_CGEOC*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_CGEOD*instanceStruct.instancePar_LRSD)));
double  deriv_max_0_d1 = ((0.0>=(((modelStruct.modelPar_CGEOA+(modelStruct.modelPar_CGEOB*instanceStruct.instancePar_WGAA))+(modelStruct.modelPar_CGEOC*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_CGEOD*instanceStruct.instancePar_LRSD)))?0.0:1.0);
instanceStruct.d_instanceVar_Cfr_geo_dX = (instanceStruct.instanceVar_Cfr_geo*(deriv_max_0_d1*((((modelStruct.d_modelPar_CGEOA_dX+(modelStruct.modelPar_CGEOB*instanceStruct.d_instancePar_WGAA_dX+modelStruct.d_modelPar_CGEOB_dX*instanceStruct.instancePar_WGAA))+(modelStruct.modelPar_CGEOC*instanceStruct.d_instancePar_FPITCH_dX+modelStruct.d_modelPar_CGEOC_dX*instanceStruct.instancePar_FPITCH))+(modelStruct.modelPar_CGEOD*instanceStruct.d_instancePar_LRSD_dX+modelStruct.d_modelPar_CGEOD_dX*instanceStruct.instancePar_LRSD))))+instanceStruct.d_instanceVar_Cfr_geo_dX*value_max_0);
instanceStruct.instanceVar_Cfr_geo = (instanceStruct.instanceVar_Cfr_geo*value_max_0);
}
}
{
double value_log_0 = log((1.0+(modelStruct.modelPar_HFIN/modelStruct.modelPar_EOTBOX)));
double  deriv_log_0_d0 = (1.0/(1.0+(modelStruct.modelPar_HFIN/modelStruct.modelPar_EOTBOX)));
instanceStruct.d_instanceVar_T0_dX = (modelStruct.modelPar_CSDESW*(((1.0+(modelStruct.modelPar_HFIN/modelStruct.modelPar_EOTBOX))>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_EOTBOX*modelStruct.d_modelPar_HFIN_dX-modelStruct.modelPar_HFIN*modelStruct.d_modelPar_EOTBOX_dX)/modelStruct.modelPar_EOTBOX/modelStruct.modelPar_EOTBOX)):0.0)+modelStruct.d_modelPar_CSDESW_dX*(((1.0+(modelStruct.modelPar_HFIN/modelStruct.modelPar_EOTBOX))>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_T0 = (modelStruct.modelPar_CSDESW*(((1.0+(modelStruct.modelPar_HFIN/modelStruct.modelPar_EOTBOX))>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(instanceStruct.instancePar_PSEO-(instanceStruct.instancePar_FPITCH*instanceStruct.instanceVar_NFINtotal)));
double  deriv_max_0_d1 = ((0.0>=(instanceStruct.instancePar_PSEO-(instanceStruct.instancePar_FPITCH*instanceStruct.instanceVar_NFINtotal)))?0.0:1.0);
instanceStruct.d_instanceVar_csbox_dX = ((cbox*instanceStruct.d_instancePar_ASEO_dX+d_cbox_dX*instanceStruct.instancePar_ASEO)+(instanceStruct.instanceVar_T0*(deriv_max_0_d1*((instanceStruct.d_instancePar_PSEO_dX-(instanceStruct.instancePar_FPITCH*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instancePar_FPITCH_dX*instanceStruct.instanceVar_NFINtotal))))+instanceStruct.d_instanceVar_T0_dX*value_max_0));
instanceStruct.instanceVar_csbox = ((cbox*instanceStruct.instancePar_ASEO)+(instanceStruct.instanceVar_T0*value_max_0));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(instanceStruct.instancePar_PDEO-(instanceStruct.instancePar_FPITCH*instanceStruct.instanceVar_NFINtotal)));
double  deriv_max_0_d1 = ((0.0>=(instanceStruct.instancePar_PDEO-(instanceStruct.instancePar_FPITCH*instanceStruct.instanceVar_NFINtotal)))?0.0:1.0);
instanceStruct.d_instanceVar_cdbox_dX = ((cbox*instanceStruct.d_instancePar_ADEO_dX+d_cbox_dX*instanceStruct.instancePar_ADEO)+(instanceStruct.instanceVar_T0*(deriv_max_0_d1*((instanceStruct.d_instancePar_PDEO_dX-(instanceStruct.instancePar_FPITCH*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instancePar_FPITCH_dX*instanceStruct.instanceVar_NFINtotal))))+instanceStruct.d_instanceVar_T0_dX*value_max_0));
instanceStruct.instanceVar_cdbox = ((cbox*instanceStruct.instancePar_ADEO)+(instanceStruct.instanceVar_T0*value_max_0));
}
if ((modelStruct.modelPar_GEOMOD!=5))
{
instanceStruct.d_instanceVar_cgbox_dX = ((((modelStruct.modelPar_CGBO*instanceStruct.instancePar_NF)*instanceStruct.instancePar_NGCON)+(modelStruct.modelPar_CGBN*instanceStruct.instanceVar_NFINtotal))*instanceStruct.d_instanceVar_Lg_dX+(modelStruct.d_modelPar_CGBO_dX*instanceStruct.instancePar_NF*instanceStruct.instancePar_NGCON+(modelStruct.modelPar_CGBN*instanceStruct.d_instanceVar_NFINtotal_dX+modelStruct.d_modelPar_CGBN_dX*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_Lg);
instanceStruct.instanceVar_cgbox = ((((modelStruct.modelPar_CGBO*instanceStruct.instancePar_NF)*instanceStruct.instancePar_NGCON)+(modelStruct.modelPar_CGBN*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_Lg);
}
else
{
instanceStruct.d_instanceVar_cgbox_dX = ((((modelStruct.modelPar_CGBO*instanceStruct.instancePar_NF)*instanceStruct.instancePar_NGCON)+((modelStruct.modelPar_CGBN+(modelStruct.modelPar_CGBW*WGAAeff))*instanceStruct.instanceVar_NFINtotal))*instanceStruct.d_instanceVar_Lg_dX+(modelStruct.d_modelPar_CGBO_dX*instanceStruct.instancePar_NF*instanceStruct.instancePar_NGCON+((modelStruct.modelPar_CGBN+(modelStruct.modelPar_CGBW*WGAAeff))*instanceStruct.d_instanceVar_NFINtotal_dX+(modelStruct.d_modelPar_CGBN_dX+(modelStruct.modelPar_CGBW*d_WGAAeff_dX+modelStruct.d_modelPar_CGBW_dX*WGAAeff))*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_Lg);
instanceStruct.instanceVar_cgbox = ((((modelStruct.modelPar_CGBO*instanceStruct.instancePar_NF)*instanceStruct.instancePar_NGCON)+((modelStruct.modelPar_CGBN+(modelStruct.modelPar_CGBW*WGAAeff))*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_Lg);
}
instanceStruct.d_instanceVar_EeffFactor_dX = (-1.0e-8*(instanceStruct.instanceVar_epsratio*modelStruct.d_modelPar_EOT_dX+instanceStruct.d_instanceVar_epsratio_dX*modelStruct.modelPar_EOT)/(instanceStruct.instanceVar_epsratio*modelStruct.modelPar_EOT)/(instanceStruct.instanceVar_epsratio*modelStruct.modelPar_EOT));
instanceStruct.instanceVar_EeffFactor = (1.0e-8/(instanceStruct.instanceVar_epsratio*modelStruct.modelPar_EOT));
{
double value_pow_0 = pow((instanceStruct.instanceVar_Weff0*1.0e6),WR_i);
double  deriv_pow_0_d0 = (((instanceStruct.instanceVar_Weff0*1.0e6) == 0.0)?0.0:(value_pow_0*WR_i/(instanceStruct.instanceVar_Weff0*1.0e6)));
double  deriv_pow_0_d1 = ((instanceStruct.instanceVar_Weff0*1.0e6) == 0.0)?0.0:(log((instanceStruct.instanceVar_Weff0*1.0e6))*value_pow_0);
instanceStruct.d_instanceVar_WeffWRFactor_dX = (-(instanceStruct.instanceVar_NFINtotal*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_Weff0_dX*1.0e6))+(deriv_pow_0_d1*(d_WR_i_dX)))+instanceStruct.d_instanceVar_NFINtotal_dX*value_pow_0)/(instanceStruct.instanceVar_NFINtotal*value_pow_0)/(instanceStruct.instanceVar_NFINtotal*value_pow_0));
instanceStruct.instanceVar_WeffWRFactor = (1.0/(instanceStruct.instanceVar_NFINtotal*value_pow_0));
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_epsratio*modelStruct.modelPar_EOT)*0.5)*instanceStruct.instancePar_TFIN));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_litl_dX = deriv_sqrt_0_d0*((((instanceStruct.instanceVar_epsratio*modelStruct.modelPar_EOT)*0.5)*instanceStruct.d_instancePar_TFIN_dX+(instanceStruct.instanceVar_epsratio*modelStruct.d_modelPar_EOT_dX+instanceStruct.d_instanceVar_epsratio_dX*modelStruct.modelPar_EOT)*0.5*instanceStruct.instancePar_TFIN));
instanceStruct.instanceVar_litl = value_sqrt_0;
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_epssub*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Cins)*(1.0+((instanceStruct.instanceVar_Ach*instanceStruct.instanceVar_Cins)/(((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_Weff_UFCM)))));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_scl_dX = deriv_sqrt_0_d0*((((instanceStruct.instanceVar_epssub*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Cins)*(((((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_Weff_UFCM)*(instanceStruct.instanceVar_Ach*instanceStruct.d_instanceVar_Cins_dX+instanceStruct.d_instanceVar_Ach_dX*instanceStruct.instanceVar_Cins)-(instanceStruct.instanceVar_Ach*instanceStruct.instanceVar_Cins)*(((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.d_instanceVar_Weff_UFCM_dX+((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.d_instanceVar_Weff_UFCM_dX+2.0*instanceStruct.d_instanceVar_epssub_dX*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_Weff_UFCM))/(((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_Weff_UFCM)/(((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_Weff_UFCM))+((instanceStruct.instanceVar_Cins*(instanceStruct.instanceVar_epssub*instanceStruct.d_instanceVar_Ach_dX+instanceStruct.d_instanceVar_epssub_dX*instanceStruct.instanceVar_Ach)-(instanceStruct.instanceVar_epssub*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Cins_dX)/instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Cins)*(1.0+((instanceStruct.instanceVar_Ach*instanceStruct.instanceVar_Cins)/(((2.0*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Weff_UFCM)*instanceStruct.instanceVar_Weff_UFCM)))));
instanceStruct.instanceVar_scl = value_sqrt_0;
}
if ((!modelStruct.modelPar_given_THETASCE))
{
instanceStruct.d_instanceVar_tmp_dX = ((instanceStruct.instanceVar_scl*(DVT1_i*instanceStruct.d_instanceVar_Leff_dX+d_DVT1_i_dX*instanceStruct.instanceVar_Leff)-(DVT1_i*instanceStruct.instanceVar_Leff)*instanceStruct.d_instanceVar_scl_dX)/instanceStruct.instanceVar_scl/instanceStruct.instanceVar_scl);
instanceStruct.instanceVar_tmp = (((DVT1_i*instanceStruct.instanceVar_Leff)/instanceStruct.instanceVar_scl)+1.0e-6);
if ((instanceStruct.instanceVar_tmp<40.0))
{
{
double value_cosh_0 = cosh(instanceStruct.instanceVar_tmp);
double  deriv_cosh_0_d0 = (sinh(instanceStruct.instanceVar_tmp));
instanceStruct.d_instanceVar_Theta_SCE_dX = (-0.5*deriv_cosh_0_d0*(instanceStruct.d_instanceVar_tmp_dX)/(value_cosh_0-1.0)/(value_cosh_0-1.0));
instanceStruct.instanceVar_Theta_SCE = (0.5/(value_cosh_0-1.0));
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_tmp));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_Theta_SCE_dX = (((-instanceStruct.instanceVar_tmp)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_tmp_dX):(((-instanceStruct.instanceVar_tmp)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_tmp_dX))));
instanceStruct.instanceVar_Theta_SCE = (((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
}
else
{
instanceStruct.d_instanceVar_Theta_SCE_dX = modelStruct.d_modelPar_THETASCE_dX;
instanceStruct.instanceVar_Theta_SCE = modelStruct.modelPar_THETASCE;
}
if ((!modelStruct.modelPar_given_THETASW))
{
instanceStruct.d_instanceVar_tmp_dX = ((instanceStruct.instanceVar_scl*(DVT1SS_i*instanceStruct.d_instanceVar_Leff_dX+d_DVT1SS_i_dX*instanceStruct.instanceVar_Leff)-(DVT1SS_i*instanceStruct.instanceVar_Leff)*instanceStruct.d_instanceVar_scl_dX)/instanceStruct.instanceVar_scl/instanceStruct.instanceVar_scl);
instanceStruct.instanceVar_tmp = (((DVT1SS_i*instanceStruct.instanceVar_Leff)/instanceStruct.instanceVar_scl)+1.0e-6);
if ((instanceStruct.instanceVar_tmp<40.0))
{
{
double value_cosh_0 = cosh(instanceStruct.instanceVar_tmp);
double  deriv_cosh_0_d0 = (sinh(instanceStruct.instanceVar_tmp));
instanceStruct.d_instanceVar_Theta_SW_dX = (-0.5*deriv_cosh_0_d0*(instanceStruct.d_instanceVar_tmp_dX)/(value_cosh_0-1.0)/(value_cosh_0-1.0));
instanceStruct.instanceVar_Theta_SW = (0.5/(value_cosh_0-1.0));
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_tmp));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_Theta_SW_dX = (((-instanceStruct.instanceVar_tmp)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_tmp_dX):(((-instanceStruct.instanceVar_tmp)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_tmp_dX))));
instanceStruct.instanceVar_Theta_SW = (((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
}
else
{
instanceStruct.d_instanceVar_Theta_SW_dX = modelStruct.d_modelPar_THETASW_dX;
instanceStruct.instanceVar_Theta_SW = modelStruct.modelPar_THETASW;
}
if ((!modelStruct.modelPar_given_THETADIBL))
{
instanceStruct.d_instanceVar_tmp_dX = ((instanceStruct.instanceVar_scl*(DSUB_i*instanceStruct.d_instanceVar_Leff_dX+d_DSUB_i_dX*instanceStruct.instanceVar_Leff)-(DSUB_i*instanceStruct.instanceVar_Leff)*instanceStruct.d_instanceVar_scl_dX)/instanceStruct.instanceVar_scl/instanceStruct.instanceVar_scl);
instanceStruct.instanceVar_tmp = (((DSUB_i*instanceStruct.instanceVar_Leff)/instanceStruct.instanceVar_scl)+1.0e-6);
if ((instanceStruct.instanceVar_tmp<40.0))
{
{
double value_cosh_0 = cosh(instanceStruct.instanceVar_tmp);
double  deriv_cosh_0_d0 = (sinh(instanceStruct.instanceVar_tmp));
instanceStruct.d_instanceVar_Theta_DIBL_dX = (-0.5*deriv_cosh_0_d0*(instanceStruct.d_instanceVar_tmp_dX)/(value_cosh_0-1.0)/(value_cosh_0-1.0));
instanceStruct.instanceVar_Theta_DIBL = (0.5/(value_cosh_0-1.0));
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_tmp));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_Theta_DIBL_dX = (((-instanceStruct.instanceVar_tmp)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_tmp_dX):(((-instanceStruct.instanceVar_tmp)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_tmp_dX))));
instanceStruct.instanceVar_Theta_DIBL = (((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
}
else
{
instanceStruct.d_instanceVar_Theta_DIBL_dX = modelStruct.d_modelPar_THETADIBL_dX;
instanceStruct.instanceVar_Theta_DIBL = modelStruct.modelPar_THETADIBL;
}
{
double value_sqrt_0 = sqrt((1.0+(LPE0_i/instanceStruct.instanceVar_Leff)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_Theta_RSCE_dX = deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Leff*d_LPE0_i_dX-LPE0_i*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff));
instanceStruct.instanceVar_Theta_RSCE = (value_sqrt_0-1.0);
}
instanceStruct.d_instanceVar_tmp_dX = ((instanceStruct.instanceVar_scl*(DSUB_i*instanceStruct.d_instanceVar_Leff_dX+d_DSUB_i_dX*instanceStruct.instanceVar_Leff)-(DSUB_i*instanceStruct.instanceVar_Leff)*instanceStruct.d_instanceVar_scl_dX)/instanceStruct.instanceVar_scl/instanceStruct.instanceVar_scl);
instanceStruct.instanceVar_tmp = (((DSUB_i*instanceStruct.instanceVar_Leff)/instanceStruct.instanceVar_scl)+1.0e-6);
if ((instanceStruct.instanceVar_tmp<40.0))
{
{
double value_cosh_0 = cosh(instanceStruct.instanceVar_tmp);
double value_max_1 = std::max((1.0+(modelStruct.modelPar_DVTP2*(value_cosh_0-2.0))),static_cast<double>(1.0e-6));
double  deriv_cosh_0_d0 = (sinh(instanceStruct.instanceVar_tmp));
double  deriv_max_1_d0 = (((1.0+(modelStruct.modelPar_DVTP2*(value_cosh_0-2.0)))>=1.0e-6)?1.0:0.0);
instanceStruct.d_instanceVar_Theta_DITS_dX = (-(deriv_max_1_d0*((modelStruct.modelPar_DVTP2*deriv_cosh_0_d0*(instanceStruct.d_instanceVar_tmp_dX)+modelStruct.d_modelPar_DVTP2_dX*(value_cosh_0-2.0))))/value_max_1/value_max_1);
instanceStruct.instanceVar_Theta_DITS = (1.0/value_max_1);
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_tmp));
double value_exp_1 = exp((-instanceStruct.instanceVar_tmp));
double value_max_2 = std::max((modelStruct.modelPar_DVTP2+(((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_1))),static_cast<double>(1.0e-6));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_max_2_d0 = (((modelStruct.modelPar_DVTP2+(((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_1)))>=1.0e-6)?1.0:0.0);
instanceStruct.d_instanceVar_Theta_DITS_dX = ((value_max_2*(((-instanceStruct.instanceVar_tmp)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_tmp_dX):(((-instanceStruct.instanceVar_tmp)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_tmp_dX))))-(((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0))*(deriv_max_2_d0*((modelStruct.d_modelPar_DVTP2_dX+(((-instanceStruct.instanceVar_tmp)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_tmp_dX):(((-instanceStruct.instanceVar_tmp)<(-80.0))?0.0:deriv_exp_1_d0*((-instanceStruct.d_instanceVar_tmp_dX))))))))/value_max_2/value_max_2);
instanceStruct.instanceVar_Theta_DITS = ((((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0))/value_max_2);
}
}
instanceStruct.d_instanceVar_qbs_dX = ((instanceStruct.instanceVar_Cins*((1.60219e-19*instanceStruct.instanceVar_NBODY_i)*instanceStruct.d_instanceVar_Ach_dX+1.60219e-19*instanceStruct.d_instanceVar_NBODY_i_dX*instanceStruct.instanceVar_Ach)-((1.60219e-19*instanceStruct.instanceVar_NBODY_i)*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Cins_dX)/instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Cins);
instanceStruct.instanceVar_qbs = (((1.60219e-19*instanceStruct.instanceVar_NBODY_i)*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Cins);
if ((modelStruct.modelPar_TYPE==1))
{
instanceStruct.instanceVar_Aechvb = 4.97232e-7;
instanceStruct.instanceVar_Bechvb = 7.45669e11;
}
else
{
instanceStruct.instanceVar_Aechvb = 3.42537e-7;
instanceStruct.instanceVar_Bechvb = 1.16645e12;
}
instanceStruct.d_instanceVar_T0_dX = (modelStruct.modelPar_TOXG*modelStruct.d_modelPar_TOXG_dX+modelStruct.d_modelPar_TOXG_dX*modelStruct.modelPar_TOXG);
instanceStruct.instanceVar_T0 = (modelStruct.modelPar_TOXG*modelStruct.modelPar_TOXG);
instanceStruct.d_instanceVar_T1_dX = (modelStruct.modelPar_TOXG*instanceStruct.d_instanceVar_POXEDGE_i_dX+modelStruct.d_modelPar_TOXG_dX*instanceStruct.instanceVar_POXEDGE_i);
instanceStruct.instanceVar_T1 = (modelStruct.modelPar_TOXG*instanceStruct.instanceVar_POXEDGE_i);
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1);
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1);
{
double value_pow_0 = pow((modelStruct.modelPar_TOXREF/modelStruct.modelPar_TOXG),NTOX_i);
double  deriv_pow_0_d0 = (((modelStruct.modelPar_TOXREF/modelStruct.modelPar_TOXG) == 0.0)?0.0:(value_pow_0*NTOX_i/(modelStruct.modelPar_TOXREF/modelStruct.modelPar_TOXG)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_TOXREF/modelStruct.modelPar_TOXG) == 0.0)?0.0:(log((modelStruct.modelPar_TOXREF/modelStruct.modelPar_TOXG))*value_pow_0);
instanceStruct.d_instanceVar_Toxratio_dX = ((instanceStruct.instanceVar_T0*((deriv_pow_0_d0*(((modelStruct.modelPar_TOXG*modelStruct.d_modelPar_TOXREF_dX-modelStruct.modelPar_TOXREF*modelStruct.d_modelPar_TOXG_dX)/modelStruct.modelPar_TOXG/modelStruct.modelPar_TOXG)))+(deriv_pow_0_d1*(d_NTOX_i_dX)))-value_pow_0*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0);
instanceStruct.instanceVar_Toxratio = (value_pow_0/instanceStruct.instanceVar_T0);
}
{
double value_pow_0 = pow((modelStruct.modelPar_TOXREF/instanceStruct.instanceVar_T1),NTOX_i);
double  deriv_pow_0_d0 = (((modelStruct.modelPar_TOXREF/instanceStruct.instanceVar_T1) == 0.0)?0.0:(value_pow_0*NTOX_i/(modelStruct.modelPar_TOXREF/instanceStruct.instanceVar_T1)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_TOXREF/instanceStruct.instanceVar_T1) == 0.0)?0.0:(log((modelStruct.modelPar_TOXREF/instanceStruct.instanceVar_T1))*value_pow_0);
d_Toxratioedge_dX = ((instanceStruct.instanceVar_T2*((deriv_pow_0_d0*(((instanceStruct.instanceVar_T1*modelStruct.d_modelPar_TOXREF_dX-modelStruct.modelPar_TOXREF*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1)))+(deriv_pow_0_d1*(d_NTOX_i_dX)))-value_pow_0*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2);
Toxratioedge = (value_pow_0/instanceStruct.instanceVar_T2);
}
instanceStruct.d_instanceVar_igsd_mult0_dX = ((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Aechvb)*d_Toxratioedge_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_Aechvb*Toxratioedge);
instanceStruct.instanceVar_igsd_mult0 = ((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Aechvb)*Toxratioedge);
if ((modelStruct.modelPar_TNOM<(-273.15)))
{
UserInfo(theInstance)  << "Warning: (TNOM = %g) < -`P_CELSIUS0. Set to 27 C." << " " << modelStruct.modelPar_TNOM << " " <<  std::endl; 
instanceStruct.d_instanceVar_Tnom_dX = 0.0;
instanceStruct.instanceVar_Tnom = 300.15;
}
else
{
instanceStruct.d_instanceVar_Tnom_dX = modelStruct.d_modelPar_TNOM_dX;
instanceStruct.instanceVar_Tnom = (modelStruct.modelPar_TNOM+273.15);
}
if ((instanceStruct.instancePar_SUBBANDMOD==1))
{
{
double value_exp_0 = exp((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_d1_dX = ((((1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0)))*(modelStruct.d_modelPar_DIM1H_dX-d_DIMENSION1_i_dX)-(modelStruct.modelPar_DIM1H-DIMENSION1_i)*(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?5.540622384e34*((modelStruct.modelPar_WDIMR*(modelStruct.d_modelPar_WDIM0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WDIMR_dX)/modelStruct.modelPar_WDIMR/modelStruct.modelPar_WDIMR):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_WDIMR*(modelStruct.d_modelPar_WDIM0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WDIMR_dX)/modelStruct.modelPar_WDIMR/modelStruct.modelPar_WDIMR)))))/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0)))/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0))))+d_DIMENSION1_i_dX);
instanceStruct.instanceVar_d1 = (((modelStruct.modelPar_DIM1H-DIMENSION1_i)/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0))))+DIMENSION1_i);
}
{
double value_exp_0 = exp((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_d2_dX = ((((1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0)))*(modelStruct.d_modelPar_DIM2H_dX-d_DIMENSION2_i_dX)-(modelStruct.modelPar_DIM2H-DIMENSION2_i)*(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?5.540622384e34*((modelStruct.modelPar_WDIMR*(modelStruct.d_modelPar_WDIM0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WDIMR_dX)/modelStruct.modelPar_WDIMR/modelStruct.modelPar_WDIMR):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_WDIMR*(modelStruct.d_modelPar_WDIM0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WDIMR_dX)/modelStruct.modelPar_WDIMR/modelStruct.modelPar_WDIMR)))))/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0)))/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0))))+d_DIMENSION2_i_dX);
instanceStruct.instanceVar_d2 = (((modelStruct.modelPar_DIM2H-DIMENSION2_i)/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0))))+DIMENSION2_i);
}
{
double value_exp_0 = exp((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_d3_dX = ((((1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0)))*(modelStruct.d_modelPar_DIM3H_dX-d_DIMENSION3_i_dX)-(modelStruct.modelPar_DIM3H-DIMENSION3_i)*(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?5.540622384e34*((modelStruct.modelPar_WDIMR*(modelStruct.d_modelPar_WDIM0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WDIMR_dX)/modelStruct.modelPar_WDIMR/modelStruct.modelPar_WDIMR):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_WDIMR*(modelStruct.d_modelPar_WDIM0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WDIMR_dX)/modelStruct.modelPar_WDIMR/modelStruct.modelPar_WDIMR)))))/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0)))/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0))))+d_DIMENSION3_i_dX);
instanceStruct.instanceVar_d3 = (((modelStruct.modelPar_DIM3H-DIMENSION3_i)/(1+(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR))-80.0)):(((((modelStruct.modelPar_WDIM0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WDIMR)<(-80.0))?1.804851387e-35:value_exp_0))))+DIMENSION3_i);
}
{
double value_exp_0 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_1 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_2 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_3 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_sqrt_4 = sqrt(((((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+SSP1_i))*((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+SSP1_i)))+((0.25*0.001)*0.001)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_exp_2_d0 = value_exp_2;
double  deriv_exp_3_d0 = value_exp_3;
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_p1_dX = (((((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_0))))+SSP1_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:0.5*(((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1)))*(-modelStruct.d_modelPar_DSSP1_dX)-(-modelStruct.modelPar_DSSP1)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_1_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1))))+d_SSP1_i_dX)+deriv_sqrt_4_d0*((((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+SSP1_i))*((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3)))*(-modelStruct.d_modelPar_DSSP1_dX)-(-modelStruct.modelPar_DSSP1)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_3_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+d_SSP1_i_dX)+((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2)))*(-modelStruct.d_modelPar_DSSP1_dX)-(-modelStruct.modelPar_DSSP1)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_2_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+d_SSP1_i_dX)*((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+SSP1_i))))));
instanceStruct.instanceVar_p1 = (((((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_0))))+SSP1_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:(0.5*((((-modelStruct.modelPar_DSSP1)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1))))+SSP1_i)+value_sqrt_4)));
}
{
double value_exp_0 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_1 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_2 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_3 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_sqrt_4 = sqrt(((((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+SSP2_i))*((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+SSP2_i)))+((0.25*0.001)*0.001)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_exp_2_d0 = value_exp_2;
double  deriv_exp_3_d0 = value_exp_3;
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_p2_dX = (((((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_0))))+SSP2_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:0.5*(((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1)))*(-modelStruct.d_modelPar_DSSP2_dX)-(-modelStruct.modelPar_DSSP2)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_1_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1))))+d_SSP2_i_dX)+deriv_sqrt_4_d0*((((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+SSP2_i))*((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3)))*(-modelStruct.d_modelPar_DSSP2_dX)-(-modelStruct.modelPar_DSSP2)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_3_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+d_SSP2_i_dX)+((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2)))*(-modelStruct.d_modelPar_DSSP2_dX)-(-modelStruct.modelPar_DSSP2)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_2_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+d_SSP2_i_dX)*((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+SSP2_i))))));
instanceStruct.instanceVar_p2 = (((((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_0))))+SSP2_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:(0.5*((((-modelStruct.modelPar_DSSP2)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1))))+SSP2_i)+value_sqrt_4)));
}
{
double value_exp_0 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_1 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_2 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_exp_3 = exp((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR));
double value_sqrt_4 = sqrt(((((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+SSP3_i))*((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+SSP3_i)))+((0.25*0.001)*0.001)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_exp_2_d0 = value_exp_2;
double  deriv_exp_3_d0 = value_exp_3;
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_p3_dX = (((((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_0))))+SSP3_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:0.5*(((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1)))*(-modelStruct.d_modelPar_DSSP3_dX)-(-modelStruct.modelPar_DSSP3)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_1_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1))))+d_SSP3_i_dX)+deriv_sqrt_4_d0*((((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+SSP3_i))*((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3)))*(-modelStruct.d_modelPar_DSSP3_dX)-(-modelStruct.modelPar_DSSP3)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_3_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+d_SSP3_i_dX)+((((1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2)))*(-modelStruct.d_modelPar_DSSP3_dX)-(-modelStruct.modelPar_DSSP3)*(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?5.540622384e34*((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?0.0:deriv_exp_2_d0*(((modelStruct.modelPar_WSSPR*(modelStruct.d_modelPar_WSSP0_dX*1e9-instanceStruct.d_instancePar_WGAA_dX*1e9)-((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))*modelStruct.d_modelPar_WSSPR_dX)/modelStruct.modelPar_WSSPR/modelStruct.modelPar_WSSPR)))))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2)))/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_2))))+d_SSP3_i_dX)*((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_3))))+SSP3_i))))));
instanceStruct.instanceVar_p3 = (((((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_0))))+SSP3_i)==0.0)&&(0.0==0.0))&&(0.001==0.0))?0.0:(0.5*((((-modelStruct.modelPar_DSSP3)/(1+(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR))-80.0)):(((((modelStruct.modelPar_WSSP0*1e9)-(instanceStruct.instancePar_WGAA*1e9))/modelStruct.modelPar_WSSPR)<(-80.0))?1.804851387e-35:value_exp_1))))+SSP3_i)+value_sqrt_4)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-1.001)))*((1.001*(instanceStruct.instanceVar_d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-1.001)))*((1.001*(instanceStruct.instanceVar_d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-1.001)))*((1.001*(instanceStruct.instanceVar_d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-1.001)))*((1.001*(instanceStruct.instanceVar_d1-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_2)))-1)*((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Wp1_dX = (((((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:0.5*((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d1_dX+deriv_sqrt_1_d0*((((1.001*(instanceStruct.instanceVar_d1-1.001)))*1.001*instanceStruct.d_instanceVar_d1_dX+1.001*instanceStruct.d_instanceVar_d1_dX*((1.001*(instanceStruct.instanceVar_d1-1.001)))))))-deriv_sqrt_4_d0*((((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_2)))-1)*(((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d1_dX+deriv_sqrt_3_d0*((((1.001*(instanceStruct.instanceVar_d1-1.001)))*1.001*instanceStruct.d_instanceVar_d1_dX+1.001*instanceStruct.d_instanceVar_d1_dX*((1.001*(instanceStruct.instanceVar_d1-1.001)))))))+(((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d1_dX+deriv_sqrt_2_d0*((((1.001*(instanceStruct.instanceVar_d1-1.001)))*1.001*instanceStruct.d_instanceVar_d1_dX+1.001*instanceStruct.d_instanceVar_d1_dX*((1.001*(instanceStruct.instanceVar_d1-1.001)))))))*((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_3)))-1)))));
Wp1 = (((((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(instanceStruct.instanceVar_d1-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-1.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-2.001)))*((1.001*(instanceStruct.instanceVar_d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-2.001)))*((1.001*(instanceStruct.instanceVar_d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-2.001)))*((1.001*(instanceStruct.instanceVar_d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(instanceStruct.instanceVar_d1-2.001)))*((1.001*(instanceStruct.instanceVar_d1-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_2)))-1)*((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Tp1_dX = (((((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:0.5*((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d1_dX+deriv_sqrt_1_d0*((((1.001*(instanceStruct.instanceVar_d1-2.001)))*1.001*instanceStruct.d_instanceVar_d1_dX+1.001*instanceStruct.d_instanceVar_d1_dX*((1.001*(instanceStruct.instanceVar_d1-2.001)))))))-deriv_sqrt_4_d0*((((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_2)))-1)*(((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d1_dX+deriv_sqrt_3_d0*((((1.001*(instanceStruct.instanceVar_d1-2.001)))*1.001*instanceStruct.d_instanceVar_d1_dX+1.001*instanceStruct.d_instanceVar_d1_dX*((1.001*(instanceStruct.instanceVar_d1-2.001)))))))+(((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d1_dX+deriv_sqrt_2_d0*((((1.001*(instanceStruct.instanceVar_d1-2.001)))*1.001*instanceStruct.d_instanceVar_d1_dX+1.001*instanceStruct.d_instanceVar_d1_dX*((1.001*(instanceStruct.instanceVar_d1-2.001)))))))*((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_3)))-1)))));
Tp1 = (((((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(instanceStruct.instanceVar_d1-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d1-2.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-1.001)))*((1.001*(instanceStruct.instanceVar_d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-1.001)))*((1.001*(instanceStruct.instanceVar_d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-1.001)))*((1.001*(instanceStruct.instanceVar_d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-1.001)))*((1.001*(instanceStruct.instanceVar_d2-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_2)))-1)*((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Wp2_dX = (((((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:0.5*((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d2_dX+deriv_sqrt_1_d0*((((1.001*(instanceStruct.instanceVar_d2-1.001)))*1.001*instanceStruct.d_instanceVar_d2_dX+1.001*instanceStruct.d_instanceVar_d2_dX*((1.001*(instanceStruct.instanceVar_d2-1.001)))))))-deriv_sqrt_4_d0*((((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_2)))-1)*(((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d2_dX+deriv_sqrt_3_d0*((((1.001*(instanceStruct.instanceVar_d2-1.001)))*1.001*instanceStruct.d_instanceVar_d2_dX+1.001*instanceStruct.d_instanceVar_d2_dX*((1.001*(instanceStruct.instanceVar_d2-1.001)))))))+(((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d2_dX+deriv_sqrt_2_d0*((((1.001*(instanceStruct.instanceVar_d2-1.001)))*1.001*instanceStruct.d_instanceVar_d2_dX+1.001*instanceStruct.d_instanceVar_d2_dX*((1.001*(instanceStruct.instanceVar_d2-1.001)))))))*((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_3)))-1)))));
Wp2 = (((((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(instanceStruct.instanceVar_d2-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-1.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-2.001)))*((1.001*(instanceStruct.instanceVar_d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-2.001)))*((1.001*(instanceStruct.instanceVar_d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-2.001)))*((1.001*(instanceStruct.instanceVar_d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(instanceStruct.instanceVar_d2-2.001)))*((1.001*(instanceStruct.instanceVar_d2-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_2)))-1)*((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Tp2_dX = (((((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:0.5*((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d2_dX+deriv_sqrt_1_d0*((((1.001*(instanceStruct.instanceVar_d2-2.001)))*1.001*instanceStruct.d_instanceVar_d2_dX+1.001*instanceStruct.d_instanceVar_d2_dX*((1.001*(instanceStruct.instanceVar_d2-2.001)))))))-deriv_sqrt_4_d0*((((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_2)))-1)*(((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d2_dX+deriv_sqrt_3_d0*((((1.001*(instanceStruct.instanceVar_d2-2.001)))*1.001*instanceStruct.d_instanceVar_d2_dX+1.001*instanceStruct.d_instanceVar_d2_dX*((1.001*(instanceStruct.instanceVar_d2-2.001)))))))+(((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d2_dX+deriv_sqrt_2_d0*((((1.001*(instanceStruct.instanceVar_d2-2.001)))*1.001*instanceStruct.d_instanceVar_d2_dX+1.001*instanceStruct.d_instanceVar_d2_dX*((1.001*(instanceStruct.instanceVar_d2-2.001)))))))*((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_3)))-1)))));
Tp2 = (((((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(instanceStruct.instanceVar_d2-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d2-2.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-1.001)))*((1.001*(instanceStruct.instanceVar_d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-1.001)))*((1.001*(instanceStruct.instanceVar_d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-1.001)))*((1.001*(instanceStruct.instanceVar_d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-1.001)))*((1.001*(instanceStruct.instanceVar_d3-1.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_2)))-1)*((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Wp3_dX = (((((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:0.5*((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d3_dX+deriv_sqrt_1_d0*((((1.001*(instanceStruct.instanceVar_d3-1.001)))*1.001*instanceStruct.d_instanceVar_d3_dX+1.001*instanceStruct.d_instanceVar_d3_dX*((1.001*(instanceStruct.instanceVar_d3-1.001)))))))-deriv_sqrt_4_d0*((((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_2)))-1)*(((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d3_dX+deriv_sqrt_3_d0*((((1.001*(instanceStruct.instanceVar_d3-1.001)))*1.001*instanceStruct.d_instanceVar_d3_dX+1.001*instanceStruct.d_instanceVar_d3_dX*((1.001*(instanceStruct.instanceVar_d3-1.001)))))))+(((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d3_dX+deriv_sqrt_2_d0*((((1.001*(instanceStruct.instanceVar_d3-1.001)))*1.001*instanceStruct.d_instanceVar_d3_dX+1.001*instanceStruct.d_instanceVar_d3_dX*((1.001*(instanceStruct.instanceVar_d3-1.001)))))))*((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_3)))-1)))));
Wp3 = (((((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(instanceStruct.instanceVar_d3-1.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-1.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_sqrt_0 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-2.001)))*((1.001*(instanceStruct.instanceVar_d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_1 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-2.001)))*((1.001*(instanceStruct.instanceVar_d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_2 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-2.001)))*((1.001*(instanceStruct.instanceVar_d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_3 = sqrt(((((1.001*(instanceStruct.instanceVar_d3-2.001)))*((1.001*(instanceStruct.instanceVar_d3-2.001))))+((0.25*0.001)*0.001)));
double value_sqrt_4 = sqrt(((((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_2)))-1)*((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_3)))-1))+((0.25*0.001)*0.001)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_sqrt_2_d0 = (0.5/value_sqrt_2);
double  deriv_sqrt_3_d0 = (0.5/value_sqrt_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Tp3_dX = (((((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:0.5*((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d3_dX+deriv_sqrt_1_d0*((((1.001*(instanceStruct.instanceVar_d3-2.001)))*1.001*instanceStruct.d_instanceVar_d3_dX+1.001*instanceStruct.d_instanceVar_d3_dX*((1.001*(instanceStruct.instanceVar_d3-2.001)))))))-deriv_sqrt_4_d0*((((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_2)))-1)*(((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d3_dX+deriv_sqrt_3_d0*((((1.001*(instanceStruct.instanceVar_d3-2.001)))*1.001*instanceStruct.d_instanceVar_d3_dX+1.001*instanceStruct.d_instanceVar_d3_dX*((1.001*(instanceStruct.instanceVar_d3-2.001)))))))+(((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:0.5*(1.001*instanceStruct.d_instanceVar_d3_dX+deriv_sqrt_2_d0*((((1.001*(instanceStruct.instanceVar_d3-2.001)))*1.001*instanceStruct.d_instanceVar_d3_dX+1.001*instanceStruct.d_instanceVar_d3_dX*((1.001*(instanceStruct.instanceVar_d3-2.001)))))))*((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_3)))-1)))));
Tp3 = (((((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_0)))==0.0)&&(1==0.0))&&(0.001==0.0))?0.0:((0.5*(((((((1.001*(instanceStruct.instanceVar_d3-2.001))==0.0)&&(0==0.0))&&(0.001==0.0))?0.0:(0.5*((1.001*(instanceStruct.instanceVar_d3-2.001))+value_sqrt_1)))+1)-value_sqrt_4))+(0.25*0.001)));
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_Weff0,Wp1);
double value_pow_1 = pow((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0),Tp1);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_Weff0 == 0.0)?0.0:(value_pow_0*Wp1/instanceStruct.instanceVar_Weff0));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_Weff0 == 0.0)?0.0:(log(instanceStruct.instanceVar_Weff0)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0) == 0.0)?0.0:(value_pow_1*Tp1/(instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0)));
double  deriv_pow_1_d1 = ((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0) == 0.0)?0.0:(log((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0))*value_pow_1);
d_VnD1_dX = (value_pow_0*((deriv_pow_1_d0*(((instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_Ach_dX-instanceStruct.instanceVar_Ach*instanceStruct.d_instanceVar_Weff0_dX)/instanceStruct.instanceVar_Weff0/instanceStruct.instanceVar_Weff0)))+(deriv_pow_1_d1*(d_Tp1_dX)))+((deriv_pow_0_d0*(instanceStruct.d_instanceVar_Weff0_dX))+(deriv_pow_0_d1*(d_Wp1_dX)))*value_pow_1);
VnD1 = (value_pow_0*value_pow_1);
}
d_qndnf1_dX = ((instanceStruct.instanceVar_Cins*d_VnD1_dX-VnD1*instanceStruct.d_instanceVar_Cins_dX)/instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Cins);
qndnf1 = (VnD1/instanceStruct.instanceVar_Cins);
{
double value_pow_0 = pow(instanceStruct.instanceVar_Weff0,Wp2);
double value_pow_1 = pow((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0),Tp2);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_Weff0 == 0.0)?0.0:(value_pow_0*Wp2/instanceStruct.instanceVar_Weff0));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_Weff0 == 0.0)?0.0:(log(instanceStruct.instanceVar_Weff0)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0) == 0.0)?0.0:(value_pow_1*Tp2/(instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0)));
double  deriv_pow_1_d1 = ((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0) == 0.0)?0.0:(log((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0))*value_pow_1);
d_VnD2_dX = (value_pow_0*((deriv_pow_1_d0*(((instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_Ach_dX-instanceStruct.instanceVar_Ach*instanceStruct.d_instanceVar_Weff0_dX)/instanceStruct.instanceVar_Weff0/instanceStruct.instanceVar_Weff0)))+(deriv_pow_1_d1*(d_Tp2_dX)))+((deriv_pow_0_d0*(instanceStruct.d_instanceVar_Weff0_dX))+(deriv_pow_0_d1*(d_Wp2_dX)))*value_pow_1);
VnD2 = (value_pow_0*value_pow_1);
}
d_qndnf2_dX = ((instanceStruct.instanceVar_Cins*d_VnD2_dX-VnD2*instanceStruct.d_instanceVar_Cins_dX)/instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Cins);
qndnf2 = (VnD2/instanceStruct.instanceVar_Cins);
{
double value_pow_0 = pow(instanceStruct.instanceVar_Weff0,Wp3);
double value_pow_1 = pow((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0),Tp3);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_Weff0 == 0.0)?0.0:(value_pow_0*Wp3/instanceStruct.instanceVar_Weff0));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_Weff0 == 0.0)?0.0:(log(instanceStruct.instanceVar_Weff0)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0) == 0.0)?0.0:(value_pow_1*Tp3/(instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0)));
double  deriv_pow_1_d1 = ((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0) == 0.0)?0.0:(log((instanceStruct.instanceVar_Ach/instanceStruct.instanceVar_Weff0))*value_pow_1);
d_VnD3_dX = (value_pow_0*((deriv_pow_1_d0*(((instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_Ach_dX-instanceStruct.instanceVar_Ach*instanceStruct.d_instanceVar_Weff0_dX)/instanceStruct.instanceVar_Weff0/instanceStruct.instanceVar_Weff0)))+(deriv_pow_1_d1*(d_Tp3_dX)))+((deriv_pow_0_d0*(instanceStruct.d_instanceVar_Weff0_dX))+(deriv_pow_0_d1*(d_Wp3_dX)))*value_pow_1);
VnD3 = (value_pow_0*value_pow_1);
}
d_qndnf3_dX = ((instanceStruct.instanceVar_Cins*d_VnD3_dX-VnD3*instanceStruct.d_instanceVar_Cins_dX)/instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Cins);
qndnf3 = (VnD3/instanceStruct.instanceVar_Cins);
{
double value_exp_0 = exp(((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78));
double value_exp_1 = exp(((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78));
double value_exp_2 = exp(((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78));
double value_exp_3 = exp(((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78));
double value_sqrt_4 = sqrt(((((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_2))))-0.5)*((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_3))))-0.5))+((0.25*0.003)*0.003)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_exp_2_d0 = value_exp_2;
double  deriv_exp_3_d0 = value_exp_3;
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_nc3d0_dX = (((((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_0))))==0.0)&&(0.5==0.0))&&(0.003==0.0))?0.0:0.5*((-1*((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?5.540622384e34*((-instanceStruct.d_instancePar_TGAA_dX*1e9)/0.78):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?0.0:deriv_exp_1_d0*(((-instanceStruct.d_instancePar_TGAA_dX*1e9)/0.78))))/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_1)))/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_1))))+deriv_sqrt_4_d0*((((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_2))))-0.5)*(-1*((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?5.540622384e34*((-instanceStruct.d_instancePar_TGAA_dX*1e9)/0.78):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?0.0:deriv_exp_3_d0*(((-instanceStruct.d_instancePar_TGAA_dX*1e9)/0.78))))/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_3)))/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_3))))+(-1*((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?5.540622384e34*((-instanceStruct.d_instancePar_TGAA_dX*1e9)/0.78):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?0.0:deriv_exp_2_d0*(((-instanceStruct.d_instancePar_TGAA_dX*1e9)/0.78))))/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_2)))/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_2))))*((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_3))))-0.5)))));
nc3d0 = (((((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_0))))==0.0)&&(0.5==0.0))&&(0.003==0.0))?0.0:(0.5*(((1/(1+((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)>80.0)?(5.540622384e34*((1.0+((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78))-80.0)):((((2.75-(instanceStruct.instancePar_TGAA*1e9))/0.78)<(-80.0))?1.804851387e-35:value_exp_1))))+0.5)+value_sqrt_4)));
}
instanceStruct.d_instanceVar_nc3d_dX = ((((modelStruct.modelPar_DIM1H-DIMENSION1_i)*((1-nc3d0)*(instanceStruct.d_instanceVar_d1_dX-d_DIMENSION1_i_dX)+(-d_nc3d0_dX)*(instanceStruct.instanceVar_d1-DIMENSION1_i))-((1-nc3d0)*(instanceStruct.instanceVar_d1-DIMENSION1_i))*(modelStruct.d_modelPar_DIM1H_dX-d_DIMENSION1_i_dX))/(modelStruct.modelPar_DIM1H-DIMENSION1_i)/(modelStruct.modelPar_DIM1H-DIMENSION1_i))+d_nc3d0_dX);
instanceStruct.instanceVar_nc3d = ((((1-nc3d0)*(instanceStruct.instanceVar_d1-DIMENSION1_i))/(modelStruct.modelPar_DIM1H-DIMENSION1_i))+nc3d0);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_nc3d-0.999)/1e-4));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_ncq_dX = (-1*((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)>80.0)?5.540622384e34*(instanceStruct.d_instanceVar_nc3d_dX/1e-4):((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.d_instanceVar_nc3d_dX/1e-4))))/(1+((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_nc3d-0.999)/1e-4))-80.0)):((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)<(-80.0))?1.804851387e-35:value_exp_0)))/(1+((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_nc3d-0.999)/1e-4))-80.0)):((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)<(-80.0))?1.804851387e-35:value_exp_0))));
instanceStruct.instanceVar_ncq = (1/(1+((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_nc3d-0.999)/1e-4))-80.0)):((((instanceStruct.instanceVar_nc3d-0.999)/1e-4)<(-80.0))?1.804851387e-35:value_exp_0))));
}
d_QT0_dX = (((0.5*instanceStruct.instancePar_TGAA)*instanceStruct.d_instancePar_TGAA_dX+0.5*instanceStruct.d_instancePar_TGAA_dX*instanceStruct.instancePar_TGAA)*1e18-1.5*instanceStruct.d_instancePar_TGAA_dX*1e9);
QT0 = (((((0.5*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)-((1.5*instanceStruct.instancePar_TGAA)*1e9))+2);
{
double value_sqrt_0 = sqrt((((QT0-4)*(QT0-4))+((0.25*0.01)*0.01)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT1_dX = ((((QT0==0.0)&&(4==0.0))&&(0.01==0.0))?0.0:0.5*(d_QT0_dX-deriv_sqrt_0_d0*(((QT0-4)*d_QT0_dX+d_QT0_dX*(QT0-4)))));
QT1 = ((((QT0==0.0)&&(4==0.0))&&(0.01==0.0))?0.0:((0.5*((QT0+4)-value_sqrt_0))+(0.25*0.01)));
}
{
double value_pow_0 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_1 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_2 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_3 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_4 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_5 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_6 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_7 = pow(2,modelStruct.modelPar_TSRE2);
double value_sqrt_8 = sqrt(((((instanceStruct.instanceVar_T0+((value_pow_4*(9.24e5-1.81e4))/value_pow_5))-1.81e4)*((instanceStruct.instanceVar_T0+((value_pow_6*(9.24e5-1.81e4))/value_pow_7))-1.81e4))+((0.25*0.01)*0.01)));
double value_pow_9 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_10 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_11 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_12 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_13 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_14 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_15 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_16 = pow(2,modelStruct.modelPar_TSRE2);
double value_sqrt_17 = sqrt(((((instanceStruct.instanceVar_T0+((value_pow_13*(9.24e5-1.81e4))/value_pow_14))-1.81e4)*((instanceStruct.instanceVar_T0+((value_pow_15*(9.24e5-1.81e4))/value_pow_16))-1.81e4))+((0.25*0.01)*0.01)));
double value_pow_18 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_19 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_20 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_21 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_22 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_23 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_24 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_25 = pow(2,modelStruct.modelPar_TSRE2);
double value_sqrt_26 = sqrt(((((instanceStruct.instanceVar_T0+((value_pow_22*(9.24e5-1.81e4))/value_pow_23))-1.81e4)*((instanceStruct.instanceVar_T0+((value_pow_24*(9.24e5-1.81e4))/value_pow_25))-1.81e4))+((0.25*0.01)*0.01)));
double value_pow_27 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_28 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_29 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_30 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_31 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_32 = pow(2,modelStruct.modelPar_TSRE2);
double value_pow_33 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TSRE2);
double value_pow_34 = pow(2,modelStruct.modelPar_TSRE2);
double value_sqrt_35 = sqrt(((((instanceStruct.instanceVar_T0+((value_pow_31*(9.24e5-1.81e4))/value_pow_32))-1.81e4)*((instanceStruct.instanceVar_T0+((value_pow_33*(9.24e5-1.81e4))/value_pow_34))-1.81e4))+((0.25*0.01)*0.01)));
double value_sqrt_36 = sqrt(((((((((instanceStruct.instanceVar_T0+((value_pow_18*(9.24e5-1.81e4))/value_pow_19))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_20*(9.24e5-1.81e4))/value_pow_21))+1.81e4)+value_sqrt_26)))-9.24e5)*((((((instanceStruct.instanceVar_T0+((value_pow_27*(9.24e5-1.81e4))/value_pow_28))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_29*(9.24e5-1.81e4))/value_pow_30))+1.81e4)+value_sqrt_35)))-9.24e5))+((0.25*9.24e3)*9.24e3)));
double  deriv_pow_0_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_0_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_0);
double  deriv_pow_1_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_1);
double  deriv_pow_2_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_2*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_2_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_2);
double  deriv_pow_3_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_3);
double  deriv_pow_4_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_4*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_4_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_4);
double  deriv_pow_5_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_5);
double  deriv_pow_6_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_6*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_6_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_6);
double  deriv_pow_7_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_7);
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
double  deriv_pow_9_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_9*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_9_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_9);
double  deriv_pow_10_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_10);
double  deriv_pow_11_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_11*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_11_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_11);
double  deriv_pow_12_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_12);
double  deriv_pow_13_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_13*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_13_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_13);
double  deriv_pow_14_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_14);
double  deriv_pow_15_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_15*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_15_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_15);
double  deriv_pow_16_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_16);
double  deriv_sqrt_17_d0 = (0.5/value_sqrt_17);
double  deriv_pow_18_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_18*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_18_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_18);
double  deriv_pow_19_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_19);
double  deriv_pow_20_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_20*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_20_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_20);
double  deriv_pow_21_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_21);
double  deriv_pow_22_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_22*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_22_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_22);
double  deriv_pow_23_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_23);
double  deriv_pow_24_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_24*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_24_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_24);
double  deriv_pow_25_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_25);
double  deriv_sqrt_26_d0 = (0.5/value_sqrt_26);
double  deriv_pow_27_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_27*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_27_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_27);
double  deriv_pow_28_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_28);
double  deriv_pow_29_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_29*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_29_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_29);
double  deriv_pow_30_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_30);
double  deriv_pow_31_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_31*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_31_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_31);
double  deriv_pow_32_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_32);
double  deriv_pow_33_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_33*modelStruct.modelPar_TSRE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_33_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_33);
double  deriv_pow_34_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_34);
double  deriv_sqrt_35_d0 = (0.5/value_sqrt_35);
double  deriv_sqrt_36_d0 = (0.5/value_sqrt_36);
d_ne2h_dX = (((((((((instanceStruct.instanceVar_T0+((value_pow_0*(9.24e5-1.81e4))/value_pow_1))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_2*(9.24e5-1.81e4))/value_pow_3))+1.81e4)+value_sqrt_8)))==0.0)&&(9.24e5==0.0))&&(9.24e3==0.0))?0.0:0.5*((((((instanceStruct.instanceVar_T0+((value_pow_9*(9.24e5-1.81e4))/value_pow_10))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_T0_dX+((value_pow_12*((deriv_pow_11_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_11_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_11*(9.24e5-1.81e4))*(deriv_pow_12_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_12/value_pow_12))+deriv_sqrt_17_d0*((((instanceStruct.instanceVar_T0+((value_pow_13*(9.24e5-1.81e4))/value_pow_14))-1.81e4)*(instanceStruct.d_instanceVar_T0_dX+((value_pow_16*((deriv_pow_15_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_15_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_15*(9.24e5-1.81e4))*(deriv_pow_16_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_16/value_pow_16))+(instanceStruct.d_instanceVar_T0_dX+((value_pow_14*((deriv_pow_13_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_13_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_13*(9.24e5-1.81e4))*(deriv_pow_14_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_14/value_pow_14))*((instanceStruct.instanceVar_T0+((value_pow_15*(9.24e5-1.81e4))/value_pow_16))-1.81e4)))))-deriv_sqrt_36_d0*((((((((instanceStruct.instanceVar_T0+((value_pow_18*(9.24e5-1.81e4))/value_pow_19))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_20*(9.24e5-1.81e4))/value_pow_21))+1.81e4)+value_sqrt_26)))-9.24e5)*(((((instanceStruct.instanceVar_T0+((value_pow_27*(9.24e5-1.81e4))/value_pow_28))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_T0_dX+((value_pow_30*((deriv_pow_29_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_29_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_29*(9.24e5-1.81e4))*(deriv_pow_30_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_30/value_pow_30))+deriv_sqrt_35_d0*((((instanceStruct.instanceVar_T0+((value_pow_31*(9.24e5-1.81e4))/value_pow_32))-1.81e4)*(instanceStruct.d_instanceVar_T0_dX+((value_pow_34*((deriv_pow_33_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_33_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_33*(9.24e5-1.81e4))*(deriv_pow_34_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_34/value_pow_34))+(instanceStruct.d_instanceVar_T0_dX+((value_pow_32*((deriv_pow_31_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_31_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_31*(9.24e5-1.81e4))*(deriv_pow_32_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_32/value_pow_32))*((instanceStruct.instanceVar_T0+((value_pow_33*(9.24e5-1.81e4))/value_pow_34))-1.81e4)))))+(((((instanceStruct.instanceVar_T0+((value_pow_18*(9.24e5-1.81e4))/value_pow_19))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_T0_dX+((value_pow_21*((deriv_pow_20_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_20_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_20*(9.24e5-1.81e4))*(deriv_pow_21_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_21/value_pow_21))+deriv_sqrt_26_d0*((((instanceStruct.instanceVar_T0+((value_pow_22*(9.24e5-1.81e4))/value_pow_23))-1.81e4)*(instanceStruct.d_instanceVar_T0_dX+((value_pow_25*((deriv_pow_24_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_24_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_24*(9.24e5-1.81e4))*(deriv_pow_25_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_25/value_pow_25))+(instanceStruct.d_instanceVar_T0_dX+((value_pow_23*((deriv_pow_22_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_22_d1*(modelStruct.d_modelPar_TSRE2_dX)))*(9.24e5-1.81e4)-(value_pow_22*(9.24e5-1.81e4))*(deriv_pow_23_d1*(modelStruct.d_modelPar_TSRE2_dX)))/value_pow_23/value_pow_23))*((instanceStruct.instanceVar_T0+((value_pow_24*(9.24e5-1.81e4))/value_pow_25))-1.81e4)))))*((((((instanceStruct.instanceVar_T0+((value_pow_27*(9.24e5-1.81e4))/value_pow_28))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_29*(9.24e5-1.81e4))/value_pow_30))+1.81e4)+value_sqrt_35)))-9.24e5)))));
ne2h = (((((((((instanceStruct.instanceVar_T0+((value_pow_0*(9.24e5-1.81e4))/value_pow_1))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_2*(9.24e5-1.81e4))/value_pow_3))+1.81e4)+value_sqrt_8)))==0.0)&&(9.24e5==0.0))&&(9.24e3==0.0))?0.0:((0.5*(((((((instanceStruct.instanceVar_T0+((value_pow_9*(9.24e5-1.81e4))/value_pow_10))==0.0)&&(1.81e4==0.0))&&(0.01==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_T0+((value_pow_11*(9.24e5-1.81e4))/value_pow_12))+1.81e4)+value_sqrt_17)))+9.24e5)-value_sqrt_36))+(0.25*9.24e3)));
}
{
double value_pow_0 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_1 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_2 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_3 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_4 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_5 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_6 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_7 = pow(2,modelStruct.modelPar_TDWSE2);
double value_sqrt_8 = sqrt(((((5.5+((value_pow_4*(8-5.5))/value_pow_5)))*((5.5+((value_pow_6*(8-5.5))/value_pow_7))))+((0.25*0.01)*0.01)));
double value_pow_9 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_10 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_11 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_12 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_13 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_14 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_15 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_16 = pow(2,modelStruct.modelPar_TDWSE2);
double value_sqrt_17 = sqrt(((((5.5+((value_pow_13*(8-5.5))/value_pow_14)))*((5.5+((value_pow_15*(8-5.5))/value_pow_16))))+((0.25*0.01)*0.01)));
double value_pow_18 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_19 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_20 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_21 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_22 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_23 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_24 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_25 = pow(2,modelStruct.modelPar_TDWSE2);
double value_sqrt_26 = sqrt(((((5.5+((value_pow_22*(8-5.5))/value_pow_23)))*((5.5+((value_pow_24*(8-5.5))/value_pow_25))))+((0.25*0.01)*0.01)));
double value_pow_27 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_28 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_29 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_30 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_31 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_32 = pow(2,modelStruct.modelPar_TDWSE2);
double value_pow_33 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSE2);
double value_pow_34 = pow(2,modelStruct.modelPar_TDWSE2);
double value_sqrt_35 = sqrt(((((5.5+((value_pow_31*(8-5.5))/value_pow_32)))*((5.5+((value_pow_33*(8-5.5))/value_pow_34))))+((0.25*0.01)*0.01)));
double value_sqrt_36 = sqrt(((((((((5.5+((value_pow_18*(8-5.5))/value_pow_19))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_20*(8-5.5))/value_pow_21))+value_sqrt_26)))-8)*((((((5.5+((value_pow_27*(8-5.5))/value_pow_28))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_29*(8-5.5))/value_pow_30))+value_sqrt_35)))-8))+((0.25*0.01)*0.01)));
double  deriv_pow_0_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_0_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_0);
double  deriv_pow_1_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_1);
double  deriv_pow_2_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_2*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_2_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_2);
double  deriv_pow_3_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_3);
double  deriv_pow_4_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_4*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_4_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_4);
double  deriv_pow_5_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_5);
double  deriv_pow_6_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_6*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_6_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_6);
double  deriv_pow_7_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_7);
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
double  deriv_pow_9_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_9*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_9_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_9);
double  deriv_pow_10_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_10);
double  deriv_pow_11_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_11*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_11_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_11);
double  deriv_pow_12_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_12);
double  deriv_pow_13_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_13*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_13_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_13);
double  deriv_pow_14_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_14);
double  deriv_pow_15_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_15*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_15_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_15);
double  deriv_pow_16_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_16);
double  deriv_sqrt_17_d0 = (0.5/value_sqrt_17);
double  deriv_pow_18_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_18*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_18_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_18);
double  deriv_pow_19_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_19);
double  deriv_pow_20_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_20*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_20_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_20);
double  deriv_pow_21_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_21);
double  deriv_pow_22_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_22*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_22_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_22);
double  deriv_pow_23_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_23);
double  deriv_pow_24_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_24*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_24_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_24);
double  deriv_pow_25_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_25);
double  deriv_sqrt_26_d0 = (0.5/value_sqrt_26);
double  deriv_pow_27_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_27*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_27_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_27);
double  deriv_pow_28_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_28);
double  deriv_pow_29_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_29*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_29_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_29);
double  deriv_pow_30_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_30);
double  deriv_pow_31_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_31*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_31_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_31);
double  deriv_pow_32_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_32);
double  deriv_pow_33_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_33*modelStruct.modelPar_TDWSE2/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_33_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_33);
double  deriv_pow_34_d1 = (2 == 0.0)?0.0:(log(2)*value_pow_34);
double  deriv_sqrt_35_d0 = (0.5/value_sqrt_35);
double  deriv_sqrt_36_d0 = (0.5/value_sqrt_36);
d_pe2h_dX = (((((((((5.5+((value_pow_0*(8-5.5))/value_pow_1))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_2*(8-5.5))/value_pow_3))+value_sqrt_8)))==0.0)&&(8==0.0))&&(0.01==0.0))?0.0:0.5*((((((5.5+((value_pow_9*(8-5.5))/value_pow_10))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:0.5*(((value_pow_12*((deriv_pow_11_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_11_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_11*(8-5.5))*(deriv_pow_12_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_12/value_pow_12)+deriv_sqrt_17_d0*((((5.5+((value_pow_13*(8-5.5))/value_pow_14)))*((value_pow_16*((deriv_pow_15_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_15_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_15*(8-5.5))*(deriv_pow_16_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_16/value_pow_16)+((value_pow_14*((deriv_pow_13_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_13_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_13*(8-5.5))*(deriv_pow_14_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_14/value_pow_14)*((5.5+((value_pow_15*(8-5.5))/value_pow_16)))))))-deriv_sqrt_36_d0*((((((((5.5+((value_pow_18*(8-5.5))/value_pow_19))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_20*(8-5.5))/value_pow_21))+value_sqrt_26)))-8)*(((((5.5+((value_pow_27*(8-5.5))/value_pow_28))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:0.5*(((value_pow_30*((deriv_pow_29_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_29_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_29*(8-5.5))*(deriv_pow_30_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_30/value_pow_30)+deriv_sqrt_35_d0*((((5.5+((value_pow_31*(8-5.5))/value_pow_32)))*((value_pow_34*((deriv_pow_33_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_33_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_33*(8-5.5))*(deriv_pow_34_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_34/value_pow_34)+((value_pow_32*((deriv_pow_31_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_31_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_31*(8-5.5))*(deriv_pow_32_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_32/value_pow_32)*((5.5+((value_pow_33*(8-5.5))/value_pow_34)))))))+(((((5.5+((value_pow_18*(8-5.5))/value_pow_19))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:0.5*(((value_pow_21*((deriv_pow_20_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_20_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_20*(8-5.5))*(deriv_pow_21_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_21/value_pow_21)+deriv_sqrt_26_d0*((((5.5+((value_pow_22*(8-5.5))/value_pow_23)))*((value_pow_25*((deriv_pow_24_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_24_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_24*(8-5.5))*(deriv_pow_25_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_25/value_pow_25)+((value_pow_23*((deriv_pow_22_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_22_d1*(modelStruct.d_modelPar_TDWSE2_dX)))*(8-5.5)-(value_pow_22*(8-5.5))*(deriv_pow_23_d1*(modelStruct.d_modelPar_TDWSE2_dX)))/value_pow_23/value_pow_23)*((5.5+((value_pow_24*(8-5.5))/value_pow_25)))))))*((((((5.5+((value_pow_27*(8-5.5))/value_pow_28))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_29*(8-5.5))/value_pow_30))+value_sqrt_35)))-8)))));
pe2h = (((((((((5.5+((value_pow_0*(8-5.5))/value_pow_1))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_2*(8-5.5))/value_pow_3))+value_sqrt_8)))==0.0)&&(8==0.0))&&(0.01==0.0))?0.0:((0.5*(((((((5.5+((value_pow_9*(8-5.5))/value_pow_10))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((5.5+((value_pow_11*(8-5.5))/value_pow_12))+value_sqrt_17)))+8)-value_sqrt_36))+(0.25*0.01)));
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TSRE3);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TSRE3);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TSRE3/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_ne3h_dX = ((value_pow_1*120.66*(deriv_pow_0_d1*(modelStruct.d_modelPar_TSRE3_dX))-(120.66*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TSRE3_dX))))/value_pow_1/value_pow_1);
ne3h = ((120.66*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TDWSE3);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TDWSE3);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TDWSE3/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_pe3h_dX = ((value_pow_1*2*(deriv_pow_0_d1*(modelStruct.d_modelPar_TDWSE3_dX))-(2*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TDWSE3_dX))))/value_pow_1/value_pow_1);
pe3h = ((2*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TSRQ1);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TSRQ1);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TSRQ1/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_nc1l0_dX = ((value_pow_1*107*(deriv_pow_0_d1*(modelStruct.d_modelPar_TSRQ1_dX))-(107*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TSRQ1_dX))))/value_pow_1/value_pow_1);
nc1l0 = ((107*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_1 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_2 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_3 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_sqrt_4 = sqrt(((((0.7+(value_pow_2*0.1))-0.5)*((0.7+(value_pow_3*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_pow_5 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_6 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_7 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_8 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_sqrt_9 = sqrt(((((0.7+(value_pow_7*0.1))-0.5)*((0.7+(value_pow_8*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_pow_10 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_11 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_12 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_13 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_sqrt_14 = sqrt(((((0.7+(value_pow_12*0.1))-0.5)*((0.7+(value_pow_13*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_pow_15 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_16 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_17 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_pow_18 = pow(((instanceStruct.instancePar_TGAA*1e9)-QT1),modelStruct.modelPar_TDWSQ1);
double value_sqrt_19 = sqrt(((((0.7+(value_pow_17*0.1))-0.5)*((0.7+(value_pow_18*0.1))-0.5))+((0.25*0.01)*0.01)));
double value_sqrt_20 = sqrt(((((((((0.7+(value_pow_10*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_11*0.1))+0.5)+value_sqrt_14)))-1)*((((((0.7+(value_pow_15*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_16*0.1))+0.5)+value_sqrt_19)))-1))+((0.25*0.01)*0.01)));
double  deriv_pow_0_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_0_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_0);
double  deriv_pow_1_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_1_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_1);
double  deriv_pow_2_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_2*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_2_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_2);
double  deriv_pow_3_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_3*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_3_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
double  deriv_pow_5_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_5*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_5_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_5);
double  deriv_pow_6_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_6*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_6_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_6);
double  deriv_pow_7_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_7*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_7_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_7);
double  deriv_pow_8_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_8*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_8_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_8);
double  deriv_sqrt_9_d0 = (0.5/value_sqrt_9);
double  deriv_pow_10_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_10*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_10_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_10);
double  deriv_pow_11_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_11*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_11_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_11);
double  deriv_pow_12_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_12*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_12_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_12);
double  deriv_pow_13_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_13*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_13_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_13);
double  deriv_sqrt_14_d0 = (0.5/value_sqrt_14);
double  deriv_pow_15_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_15*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_15_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_15);
double  deriv_pow_16_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_16*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_16_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_16);
double  deriv_pow_17_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_17*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_17_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_17);
double  deriv_pow_18_d0 = ((((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(value_pow_18*modelStruct.modelPar_TDWSQ1/((instanceStruct.instancePar_TGAA*1e9)-QT1)));
double  deriv_pow_18_d1 = (((instanceStruct.instancePar_TGAA*1e9)-QT1) == 0.0)?0.0:(log(((instanceStruct.instancePar_TGAA*1e9)-QT1))*value_pow_18);
double  deriv_sqrt_19_d0 = (0.5/value_sqrt_19);
double  deriv_sqrt_20_d0 = (0.5/value_sqrt_20);
d_pnc1l_dX = (((((((((0.7+(value_pow_0*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_1*0.1))+0.5)+value_sqrt_4)))==0.0)&&(1==0.0))&&(0.01==0.0))?0.0:0.5*((((((0.7+(value_pow_5*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:0.5*(((deriv_pow_6_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_6_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1+deriv_sqrt_9_d0*((((0.7+(value_pow_7*0.1))-0.5)*((deriv_pow_8_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_8_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1+((deriv_pow_7_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_7_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1*((0.7+(value_pow_8*0.1))-0.5)))))-deriv_sqrt_20_d0*((((((((0.7+(value_pow_10*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_11*0.1))+0.5)+value_sqrt_14)))-1)*(((((0.7+(value_pow_15*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:0.5*(((deriv_pow_16_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_16_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1+deriv_sqrt_19_d0*((((0.7+(value_pow_17*0.1))-0.5)*((deriv_pow_18_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_18_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1+((deriv_pow_17_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_17_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1*((0.7+(value_pow_18*0.1))-0.5)))))+(((((0.7+(value_pow_10*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:0.5*(((deriv_pow_11_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_11_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1+deriv_sqrt_14_d0*((((0.7+(value_pow_12*0.1))-0.5)*((deriv_pow_13_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_13_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1+((deriv_pow_12_d0*((instanceStruct.d_instancePar_TGAA_dX*1e9-d_QT1_dX)))+(deriv_pow_12_d1*(modelStruct.d_modelPar_TDWSQ1_dX)))*0.1*((0.7+(value_pow_13*0.1))-0.5)))))*((((((0.7+(value_pow_15*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_16*0.1))+0.5)+value_sqrt_19)))-1)))));
pnc1l = (((((((((0.7+(value_pow_0*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_1*0.1))+0.5)+value_sqrt_4)))==0.0)&&(1==0.0))&&(0.01==0.0))?0.0:((0.5*(((((((0.7+(value_pow_5*0.1))==0.0)&&(0.5==0.0))&&(0.01==0.0))?0.0:(0.5*(((0.7+(value_pow_6*0.1))+0.5)+value_sqrt_9)))+1)-value_sqrt_20))+(0.25*0.01)));
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TSRQ2);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TSRQ2);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TSRQ2/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_nc2l0_dX = ((value_pow_1*103*(deriv_pow_0_d1*(modelStruct.d_modelPar_TSRQ2_dX))-(103*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TSRQ2_dX))))/value_pow_1/value_pow_1);
nc2l0 = ((103*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TDWSQ2);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TDWSQ2);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TDWSQ2/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_pnc2l_dX = ((value_pow_1*1.5*(deriv_pow_0_d1*(modelStruct.d_modelPar_TDWSQ2_dX))-(1.5*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TDWSQ2_dX))))/value_pow_1/value_pow_1);
pnc2l = ((1.5*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TSRQ3);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TSRQ3);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TSRQ3/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_nc3l0_dX = ((value_pow_1*833*(deriv_pow_0_d1*(modelStruct.d_modelPar_TSRQ3_dX))-(833*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TSRQ3_dX))))/value_pow_1/value_pow_1);
nc3l0 = ((833*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow(4,modelStruct.modelPar_TDWSQ3);
double value_pow_1 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_TDWSQ3);
double  deriv_pow_0_d1 = (4 == 0.0)?0.0:(log(4)*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_TDWSQ3/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_1);
d_pnc3l_dX = ((value_pow_1*3.4*(deriv_pow_0_d1*(modelStruct.d_modelPar_TDWSQ3_dX))-(3.4*value_pow_0)*((deriv_pow_1_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_1_d1*(modelStruct.d_modelPar_TDWSQ3_dX))))/value_pow_1/value_pow_1);
pnc3l = ((3.4*value_pow_0)/value_pow_1);
}
{
double value_pow_0 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFE2*pe2h));
double  deriv_pow_0_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFE2*pe2h)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_0);
d_qe2n_dX = ((value_pow_0*d_ne2h_dX-ne2h*((deriv_pow_0_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_0_d1*((modelStruct.modelPar_WSFE2*d_pe2h_dX+modelStruct.d_modelPar_WSFE2_dX*pe2h)))))/value_pow_0/value_pow_0);
qe2n = (ne2h/value_pow_0);
}
{
double value_pow_0 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFE3*pe3h));
double  deriv_pow_0_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFE3*pe3h)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_0);
d_qe3n_dX = ((value_pow_0*d_ne3h_dX-ne3h*((deriv_pow_0_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_0_d1*((modelStruct.modelPar_WSFE3*d_pe3h_dX+modelStruct.d_modelPar_WSFE3_dX*pe3h)))))/value_pow_0/value_pow_0);
qe3n = (ne3h/value_pow_0);
}
{
double value_pow_0 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE2*pe2h));
double value_pow_1 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE2*pe2h));
double value_pow_2 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE2*pe2h));
double value_pow_3 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE2*pe2h));
double value_sqrt_4 = sqrt(((((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_2)-qe2n))))*((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_3)-qe2n)))))+((0.25*0.01)*0.01)));
double  deriv_pow_0_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFE2*pe2h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_0_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_1*(modelStruct.modelPar_WSFE2*pe2h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_1);
double  deriv_pow_2_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFE2*pe2h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_2_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_3*(modelStruct.modelPar_WSFE2*pe2h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_3_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_qe2_dX = (((((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_0)-qe2n)))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:0.5*((d_E2NOM_i_dX+(modelStruct.modelPar_MFE2*(((value_pow_1*d_ne2h_dX-ne2h*((deriv_pow_1_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_1_d1*((modelStruct.modelPar_WSFE2*d_pe2h_dX+modelStruct.d_modelPar_WSFE2_dX*pe2h)))))/value_pow_1/value_pow_1)-d_qe2n_dX)+modelStruct.d_modelPar_MFE2_dX*((ne2h/value_pow_1)-qe2n)))+deriv_sqrt_4_d0*((((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_2)-qe2n))))*(d_E2NOM_i_dX+(modelStruct.modelPar_MFE2*(((value_pow_3*d_ne2h_dX-ne2h*((deriv_pow_3_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_3_d1*((modelStruct.modelPar_WSFE2*d_pe2h_dX+modelStruct.d_modelPar_WSFE2_dX*pe2h)))))/value_pow_3/value_pow_3)-d_qe2n_dX)+modelStruct.d_modelPar_MFE2_dX*((ne2h/value_pow_3)-qe2n)))+(d_E2NOM_i_dX+(modelStruct.modelPar_MFE2*(((value_pow_2*d_ne2h_dX-ne2h*((deriv_pow_2_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFE2*d_pe2h_dX+modelStruct.d_modelPar_WSFE2_dX*pe2h)))))/value_pow_2/value_pow_2)-d_qe2n_dX)+modelStruct.d_modelPar_MFE2_dX*((ne2h/value_pow_2)-qe2n)))*((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_3)-qe2n))))))));
instanceStruct.instanceVar_qe2 = (((((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_0)-qe2n)))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((E2NOM_i+(modelStruct.modelPar_MFE2*((ne2h/value_pow_1)-qe2n)))+value_sqrt_4)));
}
{
double value_pow_0 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE3*pe3h));
double value_pow_1 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE3*pe3h));
double value_pow_2 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE3*pe3h));
double value_pow_3 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFE3*pe3h));
double value_sqrt_4 = sqrt(((((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_2)-qe3n))))*((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_3)-qe3n)))))+((0.25*0.01)*0.01)));
double  deriv_pow_0_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFE3*pe3h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_0_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_1*(modelStruct.modelPar_WSFE3*pe3h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_1_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_1);
double  deriv_pow_2_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFE3*pe3h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_2_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_3*(modelStruct.modelPar_WSFE3*pe3h)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_3_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_3);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_qe3_dX = (((((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_0)-qe3n)))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:0.5*((d_E3NOM_i_dX+(modelStruct.modelPar_MFE3*(((value_pow_1*d_ne3h_dX-ne3h*((deriv_pow_1_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_1_d1*((modelStruct.modelPar_WSFE3*d_pe3h_dX+modelStruct.d_modelPar_WSFE3_dX*pe3h)))))/value_pow_1/value_pow_1)-d_qe3n_dX)+modelStruct.d_modelPar_MFE3_dX*((ne3h/value_pow_1)-qe3n)))+deriv_sqrt_4_d0*((((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_2)-qe3n))))*(d_E3NOM_i_dX+(modelStruct.modelPar_MFE3*(((value_pow_3*d_ne3h_dX-ne3h*((deriv_pow_3_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_3_d1*((modelStruct.modelPar_WSFE3*d_pe3h_dX+modelStruct.d_modelPar_WSFE3_dX*pe3h)))))/value_pow_3/value_pow_3)-d_qe3n_dX)+modelStruct.d_modelPar_MFE3_dX*((ne3h/value_pow_3)-qe3n)))+(d_E3NOM_i_dX+(modelStruct.modelPar_MFE3*(((value_pow_2*d_ne3h_dX-ne3h*((deriv_pow_2_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFE3*d_pe3h_dX+modelStruct.d_modelPar_WSFE3_dX*pe3h)))))/value_pow_2/value_pow_2)-d_qe3n_dX)+modelStruct.d_modelPar_MFE3_dX*((ne3h/value_pow_2)-qe3n)))*((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_3)-qe3n))))))));
instanceStruct.instanceVar_qe3 = (((((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_0)-qe3n)))==0.0)&&(0==0.0))&&(0.01==0.0))?0.0:(0.5*((E3NOM_i+(modelStruct.modelPar_MFE3*((ne3h/value_pow_1)-qe3n)))+value_sqrt_4)));
}
{
double value_pow_0 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc1l0/value_pow_5))*((nc1l0/value_pow_7)))+((0.25*0.1)*0.1)));
double  deriv_pow_0_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFQ1*pnc1l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_0_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((1+(5*value_pow_0)) == 0.0)?0.0:(value_pow_1*0.5/(1+(5*value_pow_0))));
double  deriv_pow_2_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFQ1*pnc1l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_2_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((1+(5*value_pow_2)) == 0.0)?0.0:(value_pow_3*0.5/(1+(5*value_pow_2))));
double  deriv_pow_4_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_4*(modelStruct.modelPar_WSFQ1*pnc1l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_4_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_4);
double  deriv_pow_5_d0 = (((1+(5*value_pow_4)) == 0.0)?0.0:(value_pow_5*0.5/(1+(5*value_pow_4))));
double  deriv_pow_6_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_6*(modelStruct.modelPar_WSFQ1*pnc1l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_6_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_6);
double  deriv_pow_7_d0 = (((1+(5*value_pow_6)) == 0.0)?0.0:(value_pow_7*0.5/(1+(5*value_pow_6))));
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
d_nc1l_dX = (((((nc1l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:0.5*(((value_pow_3*d_nc1l0_dX-nc1l0*(deriv_pow_3_d0*(5*((deriv_pow_2_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFQ1*d_pnc1l_dX+modelStruct.d_modelPar_WSFQ1_dX*pnc1l)))))))/value_pow_3/value_pow_3)+deriv_sqrt_8_d0*((((nc1l0/value_pow_5))*((value_pow_7*d_nc1l0_dX-nc1l0*(deriv_pow_7_d0*(5*((deriv_pow_6_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_6_d1*((modelStruct.modelPar_WSFQ1*d_pnc1l_dX+modelStruct.d_modelPar_WSFQ1_dX*pnc1l)))))))/value_pow_7/value_pow_7)+((value_pow_5*d_nc1l0_dX-nc1l0*(deriv_pow_5_d0*(5*((deriv_pow_4_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_4_d1*((modelStruct.modelPar_WSFQ1*d_pnc1l_dX+modelStruct.d_modelPar_WSFQ1_dX*pnc1l)))))))/value_pow_5/value_pow_5)*((nc1l0/value_pow_7))))));
nc1l = (((((nc1l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc1l0/value_pow_3)+value_sqrt_8)));
}
{
double value_pow_0 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ1*pnc1l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc1l0/value_pow_5))*((nc1l0/value_pow_7)))+((0.25*0.1)*0.1)));
double  deriv_pow_0_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFQ1*pnc1l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((1+(5*value_pow_0)) == 0.0)?0.0:(value_pow_1*0.5/(1+(5*value_pow_0))));
double  deriv_pow_2_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFQ1*pnc1l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_2_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((1+(5*value_pow_2)) == 0.0)?0.0:(value_pow_3*0.5/(1+(5*value_pow_2))));
double  deriv_pow_4_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_4*(modelStruct.modelPar_WSFQ1*pnc1l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_4_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_4);
double  deriv_pow_5_d0 = (((1+(5*value_pow_4)) == 0.0)?0.0:(value_pow_5*0.5/(1+(5*value_pow_4))));
double  deriv_pow_6_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_6*(modelStruct.modelPar_WSFQ1*pnc1l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_6_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_6);
double  deriv_pow_7_d0 = (((1+(5*value_pow_6)) == 0.0)?0.0:(value_pow_7*0.5/(1+(5*value_pow_6))));
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
d_nc1ln_dX = (((((nc1l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:0.5*(((value_pow_3*d_nc1l0_dX-nc1l0*(deriv_pow_3_d0*(5*((deriv_pow_2_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFQ1*d_pnc1l_dX+modelStruct.d_modelPar_WSFQ1_dX*pnc1l)))))))/value_pow_3/value_pow_3)+deriv_sqrt_8_d0*((((nc1l0/value_pow_5))*((value_pow_7*d_nc1l0_dX-nc1l0*(deriv_pow_7_d0*(5*((deriv_pow_6_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_6_d1*((modelStruct.modelPar_WSFQ1*d_pnc1l_dX+modelStruct.d_modelPar_WSFQ1_dX*pnc1l)))))))/value_pow_7/value_pow_7)+((value_pow_5*d_nc1l0_dX-nc1l0*(deriv_pow_5_d0*(5*((deriv_pow_4_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_4_d1*((modelStruct.modelPar_WSFQ1*d_pnc1l_dX+modelStruct.d_modelPar_WSFQ1_dX*pnc1l)))))))/value_pow_5/value_pow_5)*((nc1l0/value_pow_7))))));
nc1ln = (((((nc1l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc1l0/value_pow_3)+value_sqrt_8)));
}
d_nc1_dX = (d_MFQ1NOM_i_dX+(modelStruct.modelPar_MFQ1*(d_nc1l_dX-d_nc1ln_dX)+modelStruct.d_modelPar_MFQ1_dX*(nc1l-nc1ln)));
nc1 = (MFQ1NOM_i+(modelStruct.modelPar_MFQ1*(nc1l-nc1ln)));
{
double value_pow_0 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc2l0/value_pow_5))*((nc2l0/value_pow_7)))+((0.25*0.1)*0.1)));
double  deriv_pow_0_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFQ2*pnc2l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_0_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((1+(5*value_pow_0)) == 0.0)?0.0:(value_pow_1*0.5/(1+(5*value_pow_0))));
double  deriv_pow_2_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFQ2*pnc2l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_2_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((1+(5*value_pow_2)) == 0.0)?0.0:(value_pow_3*0.5/(1+(5*value_pow_2))));
double  deriv_pow_4_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_4*(modelStruct.modelPar_WSFQ2*pnc2l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_4_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_4);
double  deriv_pow_5_d0 = (((1+(5*value_pow_4)) == 0.0)?0.0:(value_pow_5*0.5/(1+(5*value_pow_4))));
double  deriv_pow_6_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_6*(modelStruct.modelPar_WSFQ2*pnc2l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_6_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_6);
double  deriv_pow_7_d0 = (((1+(5*value_pow_6)) == 0.0)?0.0:(value_pow_7*0.5/(1+(5*value_pow_6))));
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
d_nc2l_dX = (((((nc2l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:0.5*(((value_pow_3*d_nc2l0_dX-nc2l0*(deriv_pow_3_d0*(5*((deriv_pow_2_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFQ2*d_pnc2l_dX+modelStruct.d_modelPar_WSFQ2_dX*pnc2l)))))))/value_pow_3/value_pow_3)+deriv_sqrt_8_d0*((((nc2l0/value_pow_5))*((value_pow_7*d_nc2l0_dX-nc2l0*(deriv_pow_7_d0*(5*((deriv_pow_6_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_6_d1*((modelStruct.modelPar_WSFQ2*d_pnc2l_dX+modelStruct.d_modelPar_WSFQ2_dX*pnc2l)))))))/value_pow_7/value_pow_7)+((value_pow_5*d_nc2l0_dX-nc2l0*(deriv_pow_5_d0*(5*((deriv_pow_4_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_4_d1*((modelStruct.modelPar_WSFQ2*d_pnc2l_dX+modelStruct.d_modelPar_WSFQ2_dX*pnc2l)))))))/value_pow_5/value_pow_5)*((nc2l0/value_pow_7))))));
nc2l = (((((nc2l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc2l0/value_pow_3)+value_sqrt_8)));
}
{
double value_pow_0 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ2*pnc2l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc2l0/value_pow_5))*((nc2l0/value_pow_7)))+((0.25*0.1)*0.1)));
double  deriv_pow_0_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFQ2*pnc2l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((1+(5*value_pow_0)) == 0.0)?0.0:(value_pow_1*0.5/(1+(5*value_pow_0))));
double  deriv_pow_2_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFQ2*pnc2l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_2_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((1+(5*value_pow_2)) == 0.0)?0.0:(value_pow_3*0.5/(1+(5*value_pow_2))));
double  deriv_pow_4_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_4*(modelStruct.modelPar_WSFQ2*pnc2l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_4_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_4);
double  deriv_pow_5_d0 = (((1+(5*value_pow_4)) == 0.0)?0.0:(value_pow_5*0.5/(1+(5*value_pow_4))));
double  deriv_pow_6_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_6*(modelStruct.modelPar_WSFQ2*pnc2l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_6_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_6);
double  deriv_pow_7_d0 = (((1+(5*value_pow_6)) == 0.0)?0.0:(value_pow_7*0.5/(1+(5*value_pow_6))));
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
d_nc2ln_dX = (((((nc2l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:0.5*(((value_pow_3*d_nc2l0_dX-nc2l0*(deriv_pow_3_d0*(5*((deriv_pow_2_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFQ2*d_pnc2l_dX+modelStruct.d_modelPar_WSFQ2_dX*pnc2l)))))))/value_pow_3/value_pow_3)+deriv_sqrt_8_d0*((((nc2l0/value_pow_5))*((value_pow_7*d_nc2l0_dX-nc2l0*(deriv_pow_7_d0*(5*((deriv_pow_6_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_6_d1*((modelStruct.modelPar_WSFQ2*d_pnc2l_dX+modelStruct.d_modelPar_WSFQ2_dX*pnc2l)))))))/value_pow_7/value_pow_7)+((value_pow_5*d_nc2l0_dX-nc2l0*(deriv_pow_5_d0*(5*((deriv_pow_4_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_4_d1*((modelStruct.modelPar_WSFQ2*d_pnc2l_dX+modelStruct.d_modelPar_WSFQ2_dX*pnc2l)))))))/value_pow_5/value_pow_5)*((nc2l0/value_pow_7))))));
nc2ln = (((((nc2l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc2l0/value_pow_3)+value_sqrt_8)));
}
d_nc2_dX = (d_MFQ2NOM_i_dX+(modelStruct.modelPar_MFQ2*(d_nc2l_dX-d_nc2ln_dX)+modelStruct.d_modelPar_MFQ2_dX*(nc2l-nc2ln)));
nc2 = (MFQ2NOM_i+(modelStruct.modelPar_MFQ2*(nc2l-nc2ln)));
{
double value_pow_0 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((instanceStruct.instancePar_WGAA*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc3l0/value_pow_5))*((nc3l0/value_pow_7)))+((0.25*0.1)*0.1)));
double  deriv_pow_0_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFQ3*pnc3l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_0_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((1+(5*value_pow_0)) == 0.0)?0.0:(value_pow_1*0.5/(1+(5*value_pow_0))));
double  deriv_pow_2_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFQ3*pnc3l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_2_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((1+(5*value_pow_2)) == 0.0)?0.0:(value_pow_3*0.5/(1+(5*value_pow_2))));
double  deriv_pow_4_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_4*(modelStruct.modelPar_WSFQ3*pnc3l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_4_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_4);
double  deriv_pow_5_d0 = (((1+(5*value_pow_4)) == 0.0)?0.0:(value_pow_5*0.5/(1+(5*value_pow_4))));
double  deriv_pow_6_d0 = (((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(value_pow_6*(modelStruct.modelPar_WSFQ3*pnc3l)/(instanceStruct.instancePar_WGAA*1e9)));
double  deriv_pow_6_d1 = ((instanceStruct.instancePar_WGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_WGAA*1e9))*value_pow_6);
double  deriv_pow_7_d0 = (((1+(5*value_pow_6)) == 0.0)?0.0:(value_pow_7*0.5/(1+(5*value_pow_6))));
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
d_nc3l_dX = (((((nc3l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:0.5*(((value_pow_3*d_nc3l0_dX-nc3l0*(deriv_pow_3_d0*(5*((deriv_pow_2_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFQ3*d_pnc3l_dX+modelStruct.d_modelPar_WSFQ3_dX*pnc3l)))))))/value_pow_3/value_pow_3)+deriv_sqrt_8_d0*((((nc3l0/value_pow_5))*((value_pow_7*d_nc3l0_dX-nc3l0*(deriv_pow_7_d0*(5*((deriv_pow_6_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_6_d1*((modelStruct.modelPar_WSFQ3*d_pnc3l_dX+modelStruct.d_modelPar_WSFQ3_dX*pnc3l)))))))/value_pow_7/value_pow_7)+((value_pow_5*d_nc3l0_dX-nc3l0*(deriv_pow_5_d0*(5*((deriv_pow_4_d0*(instanceStruct.d_instancePar_WGAA_dX*1e9))+(deriv_pow_4_d1*((modelStruct.modelPar_WSFQ3*d_pnc3l_dX+modelStruct.d_modelPar_WSFQ3_dX*pnc3l)))))))/value_pow_5/value_pow_5)*((nc3l0/value_pow_7))))));
nc3l = (((((nc3l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc3l0/value_pow_3)+value_sqrt_8)));
}
{
double value_pow_0 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_1 = pow((1+(5*value_pow_0)),0.5);
double value_pow_2 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_3 = pow((1+(5*value_pow_2)),0.5);
double value_pow_4 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_5 = pow((1+(5*value_pow_4)),0.5);
double value_pow_6 = pow((modelStruct.modelPar_WGAANOM*1e9),(modelStruct.modelPar_WSFQ3*pnc3l));
double value_pow_7 = pow((1+(5*value_pow_6)),0.5);
double value_sqrt_8 = sqrt(((((nc3l0/value_pow_5))*((nc3l0/value_pow_7)))+((0.25*0.1)*0.1)));
double  deriv_pow_0_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_0*(modelStruct.modelPar_WSFQ3*pnc3l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_0_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_0);
double  deriv_pow_1_d0 = (((1+(5*value_pow_0)) == 0.0)?0.0:(value_pow_1*0.5/(1+(5*value_pow_0))));
double  deriv_pow_2_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_2*(modelStruct.modelPar_WSFQ3*pnc3l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_2_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_2);
double  deriv_pow_3_d0 = (((1+(5*value_pow_2)) == 0.0)?0.0:(value_pow_3*0.5/(1+(5*value_pow_2))));
double  deriv_pow_4_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_4*(modelStruct.modelPar_WSFQ3*pnc3l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_4_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_4);
double  deriv_pow_5_d0 = (((1+(5*value_pow_4)) == 0.0)?0.0:(value_pow_5*0.5/(1+(5*value_pow_4))));
double  deriv_pow_6_d0 = (((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(value_pow_6*(modelStruct.modelPar_WSFQ3*pnc3l)/(modelStruct.modelPar_WGAANOM*1e9)));
double  deriv_pow_6_d1 = ((modelStruct.modelPar_WGAANOM*1e9) == 0.0)?0.0:(log((modelStruct.modelPar_WGAANOM*1e9))*value_pow_6);
double  deriv_pow_7_d0 = (((1+(5*value_pow_6)) == 0.0)?0.0:(value_pow_7*0.5/(1+(5*value_pow_6))));
double  deriv_sqrt_8_d0 = (0.5/value_sqrt_8);
d_nc3ln_dX = (((((nc3l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:0.5*(((value_pow_3*d_nc3l0_dX-nc3l0*(deriv_pow_3_d0*(5*((deriv_pow_2_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_2_d1*((modelStruct.modelPar_WSFQ3*d_pnc3l_dX+modelStruct.d_modelPar_WSFQ3_dX*pnc3l)))))))/value_pow_3/value_pow_3)+deriv_sqrt_8_d0*((((nc3l0/value_pow_5))*((value_pow_7*d_nc3l0_dX-nc3l0*(deriv_pow_7_d0*(5*((deriv_pow_6_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_6_d1*((modelStruct.modelPar_WSFQ3*d_pnc3l_dX+modelStruct.d_modelPar_WSFQ3_dX*pnc3l)))))))/value_pow_7/value_pow_7)+((value_pow_5*d_nc3l0_dX-nc3l0*(deriv_pow_5_d0*(5*((deriv_pow_4_d0*(modelStruct.d_modelPar_WGAANOM_dX*1e9))+(deriv_pow_4_d1*((modelStruct.modelPar_WSFQ3*d_pnc3l_dX+modelStruct.d_modelPar_WSFQ3_dX*pnc3l)))))))/value_pow_5/value_pow_5)*((nc3l0/value_pow_7))))));
nc3ln = (((((nc3l0/value_pow_1)==0.0)&&(0==0.0))&&(0.1==0.0))?0.0:(0.5*((nc3l0/value_pow_3)+value_sqrt_8)));
}
d_nc3_dX = (d_MFQ3NOM_i_dX+(modelStruct.modelPar_MFQ3*(d_nc3l_dX-d_nc3ln_dX)+modelStruct.d_modelPar_MFQ3_dX*(nc3l-nc3ln)));
nc3 = (MFQ3NOM_i+(modelStruct.modelPar_MFQ3*(nc3l-nc3ln)));
{
double value_pow_0 = pow(3.14,(instanceStruct.instanceVar_d1/2));
double value_exp_1 = exp(((-4.6)*((1+(instanceStruct.instanceVar_d1/2))-1)));
double value_pow_2 = pow((((2*1)+(instanceStruct.instanceVar_d1/2))-3),8);
double value_pow_3 = pow((2*((1+(instanceStruct.instanceVar_d1/2))-1)),6);
double value_pow_4 = pow((2*((1+(instanceStruct.instanceVar_d1/2))-1)),5);
double value_pow_5 = pow((2*((1+(instanceStruct.instanceVar_d1/2))-1)),4);
double value_pow_6 = pow((2*((1+(instanceStruct.instanceVar_d1/2))-1)),3);
double value_pow_7 = pow((2*((1+(instanceStruct.instanceVar_d1/2))-1)),2);
double value_pow_8 = pow((nc1*1e6),instanceStruct.instanceVar_d1);
double  deriv_pow_0_d1 = (3.14 == 0.0)?0.0:(log(3.14)*value_pow_0);
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_pow_2_d0 = (((((2*1)+(instanceStruct.instanceVar_d1/2))-3) == 0.0)?0.0:(value_pow_2*8/(((2*1)+(instanceStruct.instanceVar_d1/2))-3)));
double  deriv_pow_3_d0 = (((2*((1+(instanceStruct.instanceVar_d1/2))-1)) == 0.0)?0.0:(value_pow_3*6/(2*((1+(instanceStruct.instanceVar_d1/2))-1))));
double  deriv_pow_4_d0 = (((2*((1+(instanceStruct.instanceVar_d1/2))-1)) == 0.0)?0.0:(value_pow_4*5/(2*((1+(instanceStruct.instanceVar_d1/2))-1))));
double  deriv_pow_5_d0 = (((2*((1+(instanceStruct.instanceVar_d1/2))-1)) == 0.0)?0.0:(value_pow_5*4/(2*((1+(instanceStruct.instanceVar_d1/2))-1))));
double  deriv_pow_6_d0 = (((2*((1+(instanceStruct.instanceVar_d1/2))-1)) == 0.0)?0.0:(value_pow_6*3/(2*((1+(instanceStruct.instanceVar_d1/2))-1))));
double  deriv_pow_7_d0 = (((2*((1+(instanceStruct.instanceVar_d1/2))-1)) == 0.0)?0.0:(value_pow_7*2/(2*((1+(instanceStruct.instanceVar_d1/2))-1))));
double  deriv_pow_8_d0 = (((nc1*1e6) == 0.0)?0.0:(value_pow_8*instanceStruct.instanceVar_d1/(nc1*1e6)));
double  deriv_pow_8_d1 = ((nc1*1e6) == 0.0)?0.0:(log((nc1*1e6))*value_pow_8);
instanceStruct.d_instanceVar_qnd10_dX = ((((1.60219e-19*(instanceStruct.instanceVar_d1/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959)))*value_pow_8)*d_qndnf1_dX+(((1.60219e-19*(instanceStruct.instanceVar_d1/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959)))*((deriv_pow_8_d0*(d_nc1_dX*1e6))+(deriv_pow_8_d1*(instanceStruct.d_instanceVar_d1_dX)))+((1.60219e-19*(instanceStruct.instanceVar_d1/2))*(((((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959)*(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d1_dX/2)))-value_pow_0*(((((((0.0385*deriv_exp_1_d0*((-4.6)*(instanceStruct.d_instanceVar_d1_dX/2))+7.5893e-7*(deriv_pow_2_d0*((instanceStruct.d_instanceVar_d1_dX/2))))+6.9583e-5*(deriv_pow_3_d0*(2*(instanceStruct.d_instanceVar_d1_dX/2))))-6.583e-4*(deriv_pow_4_d0*(2*(instanceStruct.d_instanceVar_d1_dX/2))))+0.0065*(deriv_pow_5_d0*(2*(instanceStruct.d_instanceVar_d1_dX/2))))-0.026*(deriv_pow_6_d0*(2*(instanceStruct.d_instanceVar_d1_dX/2))))+0.1371*(deriv_pow_7_d0*(2*(instanceStruct.d_instanceVar_d1_dX/2))))-(0.194*2)*(instanceStruct.d_instanceVar_d1_dX/2)))/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959)/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959))+1.60219e-19*(instanceStruct.d_instanceVar_d1_dX/2)*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959)))*value_pow_8)*qndnf1);
instanceStruct.instanceVar_qnd10 = ((((1.60219e-19*(instanceStruct.instanceVar_d1/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d1/2))-1)))+0.959)))*value_pow_8)*qndnf1);
}
{
double value_pow_0 = pow(3.14,(instanceStruct.instanceVar_d2/2));
double value_exp_1 = exp(((-4.6)*((1+(instanceStruct.instanceVar_d2/2))-1)));
double value_pow_2 = pow((((2*1)+(instanceStruct.instanceVar_d2/2))-3),8);
double value_pow_3 = pow((2*((1+(instanceStruct.instanceVar_d2/2))-1)),6);
double value_pow_4 = pow((2*((1+(instanceStruct.instanceVar_d2/2))-1)),5);
double value_pow_5 = pow((2*((1+(instanceStruct.instanceVar_d2/2))-1)),4);
double value_pow_6 = pow((2*((1+(instanceStruct.instanceVar_d2/2))-1)),3);
double value_pow_7 = pow((2*((1+(instanceStruct.instanceVar_d2/2))-1)),2);
double value_pow_8 = pow((nc2*1e6),instanceStruct.instanceVar_d2);
double  deriv_pow_0_d1 = (3.14 == 0.0)?0.0:(log(3.14)*value_pow_0);
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_pow_2_d0 = (((((2*1)+(instanceStruct.instanceVar_d2/2))-3) == 0.0)?0.0:(value_pow_2*8/(((2*1)+(instanceStruct.instanceVar_d2/2))-3)));
double  deriv_pow_3_d0 = (((2*((1+(instanceStruct.instanceVar_d2/2))-1)) == 0.0)?0.0:(value_pow_3*6/(2*((1+(instanceStruct.instanceVar_d2/2))-1))));
double  deriv_pow_4_d0 = (((2*((1+(instanceStruct.instanceVar_d2/2))-1)) == 0.0)?0.0:(value_pow_4*5/(2*((1+(instanceStruct.instanceVar_d2/2))-1))));
double  deriv_pow_5_d0 = (((2*((1+(instanceStruct.instanceVar_d2/2))-1)) == 0.0)?0.0:(value_pow_5*4/(2*((1+(instanceStruct.instanceVar_d2/2))-1))));
double  deriv_pow_6_d0 = (((2*((1+(instanceStruct.instanceVar_d2/2))-1)) == 0.0)?0.0:(value_pow_6*3/(2*((1+(instanceStruct.instanceVar_d2/2))-1))));
double  deriv_pow_7_d0 = (((2*((1+(instanceStruct.instanceVar_d2/2))-1)) == 0.0)?0.0:(value_pow_7*2/(2*((1+(instanceStruct.instanceVar_d2/2))-1))));
double  deriv_pow_8_d0 = (((nc2*1e6) == 0.0)?0.0:(value_pow_8*instanceStruct.instanceVar_d2/(nc2*1e6)));
double  deriv_pow_8_d1 = ((nc2*1e6) == 0.0)?0.0:(log((nc2*1e6))*value_pow_8);
instanceStruct.d_instanceVar_qnd20_dX = ((((1.60219e-19*(instanceStruct.instanceVar_d2/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959)))*value_pow_8)*d_qndnf2_dX+(((1.60219e-19*(instanceStruct.instanceVar_d2/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959)))*((deriv_pow_8_d0*(d_nc2_dX*1e6))+(deriv_pow_8_d1*(instanceStruct.d_instanceVar_d2_dX)))+((1.60219e-19*(instanceStruct.instanceVar_d2/2))*(((((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959)*(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d2_dX/2)))-value_pow_0*(((((((0.0385*deriv_exp_1_d0*((-4.6)*(instanceStruct.d_instanceVar_d2_dX/2))+7.5893e-7*(deriv_pow_2_d0*((instanceStruct.d_instanceVar_d2_dX/2))))+6.9583e-5*(deriv_pow_3_d0*(2*(instanceStruct.d_instanceVar_d2_dX/2))))-6.583e-4*(deriv_pow_4_d0*(2*(instanceStruct.d_instanceVar_d2_dX/2))))+0.0065*(deriv_pow_5_d0*(2*(instanceStruct.d_instanceVar_d2_dX/2))))-0.026*(deriv_pow_6_d0*(2*(instanceStruct.d_instanceVar_d2_dX/2))))+0.1371*(deriv_pow_7_d0*(2*(instanceStruct.d_instanceVar_d2_dX/2))))-(0.194*2)*(instanceStruct.d_instanceVar_d2_dX/2)))/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959)/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959))+1.60219e-19*(instanceStruct.d_instanceVar_d2_dX/2)*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959)))*value_pow_8)*qndnf2);
instanceStruct.instanceVar_qnd20 = ((((1.60219e-19*(instanceStruct.instanceVar_d2/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d2/2))-1)))+0.959)))*value_pow_8)*qndnf2);
}
{
double value_pow_0 = pow(3.14,(instanceStruct.instanceVar_d3/2));
double value_exp_1 = exp(((-4.6)*((1+(instanceStruct.instanceVar_d3/2))-1)));
double value_pow_2 = pow((((2*1)+(instanceStruct.instanceVar_d3/2))-3),8);
double value_pow_3 = pow((2*((1+(instanceStruct.instanceVar_d3/2))-1)),6);
double value_pow_4 = pow((2*((1+(instanceStruct.instanceVar_d3/2))-1)),5);
double value_pow_5 = pow((2*((1+(instanceStruct.instanceVar_d3/2))-1)),4);
double value_pow_6 = pow((2*((1+(instanceStruct.instanceVar_d3/2))-1)),3);
double value_pow_7 = pow((2*((1+(instanceStruct.instanceVar_d3/2))-1)),2);
double value_pow_8 = pow((nc3*1e6),instanceStruct.instanceVar_d3);
double  deriv_pow_0_d1 = (3.14 == 0.0)?0.0:(log(3.14)*value_pow_0);
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_pow_2_d0 = (((((2*1)+(instanceStruct.instanceVar_d3/2))-3) == 0.0)?0.0:(value_pow_2*8/(((2*1)+(instanceStruct.instanceVar_d3/2))-3)));
double  deriv_pow_3_d0 = (((2*((1+(instanceStruct.instanceVar_d3/2))-1)) == 0.0)?0.0:(value_pow_3*6/(2*((1+(instanceStruct.instanceVar_d3/2))-1))));
double  deriv_pow_4_d0 = (((2*((1+(instanceStruct.instanceVar_d3/2))-1)) == 0.0)?0.0:(value_pow_4*5/(2*((1+(instanceStruct.instanceVar_d3/2))-1))));
double  deriv_pow_5_d0 = (((2*((1+(instanceStruct.instanceVar_d3/2))-1)) == 0.0)?0.0:(value_pow_5*4/(2*((1+(instanceStruct.instanceVar_d3/2))-1))));
double  deriv_pow_6_d0 = (((2*((1+(instanceStruct.instanceVar_d3/2))-1)) == 0.0)?0.0:(value_pow_6*3/(2*((1+(instanceStruct.instanceVar_d3/2))-1))));
double  deriv_pow_7_d0 = (((2*((1+(instanceStruct.instanceVar_d3/2))-1)) == 0.0)?0.0:(value_pow_7*2/(2*((1+(instanceStruct.instanceVar_d3/2))-1))));
double  deriv_pow_8_d0 = (((nc3*1e6) == 0.0)?0.0:(value_pow_8*instanceStruct.instanceVar_d3/(nc3*1e6)));
double  deriv_pow_8_d1 = ((nc3*1e6) == 0.0)?0.0:(log((nc3*1e6))*value_pow_8);
instanceStruct.d_instanceVar_qnd30_dX = ((((1.60219e-19*(instanceStruct.instanceVar_d3/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959)))*value_pow_8)*d_qndnf3_dX+(((1.60219e-19*(instanceStruct.instanceVar_d3/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959)))*((deriv_pow_8_d0*(d_nc3_dX*1e6))+(deriv_pow_8_d1*(instanceStruct.d_instanceVar_d3_dX)))+((1.60219e-19*(instanceStruct.instanceVar_d3/2))*(((((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959)*(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d3_dX/2)))-value_pow_0*(((((((0.0385*deriv_exp_1_d0*((-4.6)*(instanceStruct.d_instanceVar_d3_dX/2))+7.5893e-7*(deriv_pow_2_d0*((instanceStruct.d_instanceVar_d3_dX/2))))+6.9583e-5*(deriv_pow_3_d0*(2*(instanceStruct.d_instanceVar_d3_dX/2))))-6.583e-4*(deriv_pow_4_d0*(2*(instanceStruct.d_instanceVar_d3_dX/2))))+0.0065*(deriv_pow_5_d0*(2*(instanceStruct.d_instanceVar_d3_dX/2))))-0.026*(deriv_pow_6_d0*(2*(instanceStruct.d_instanceVar_d3_dX/2))))+0.1371*(deriv_pow_7_d0*(2*(instanceStruct.d_instanceVar_d3_dX/2))))-(0.194*2)*(instanceStruct.d_instanceVar_d3_dX/2)))/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959)/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959))+1.60219e-19*(instanceStruct.d_instanceVar_d3_dX/2)*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959)))*value_pow_8)*qndnf3);
instanceStruct.instanceVar_qnd30 = ((((1.60219e-19*(instanceStruct.instanceVar_d3/2))*(value_pow_0/(((((((((0.0385*value_exp_1)+(7.5893e-7*value_pow_2))+(6.9583e-5*value_pow_3))-(6.583e-4*value_pow_4))+(0.0065*value_pow_5))-(0.026*value_pow_6))+(0.1371*value_pow_7))-((0.194*2)*((1+(instanceStruct.instanceVar_d3/2))-1)))+0.959)))*value_pow_8)*qndnf3);
}
}
if ((instanceStruct.instancePar_MOBSCMOD==1))
{
{
double value_exp_0 = exp((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_ETAMOB_i_dX = (modelStruct.d_modelPar_ETAMOBTHIN_dX+((((((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR))-80.0)):(((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)<(-80.0))?1.804851387e-35:value_exp_0))+1)*(instanceStruct.d_instanceVar_ETAMOB_i_dX-modelStruct.d_modelPar_ETAMOBTHIN_dX)-(instanceStruct.instanceVar_ETAMOB_i-modelStruct.modelPar_ETAMOBTHIN)*(((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)>80.0)?5.540622384e34*((modelStruct.modelPar_ETAMOBIR*(modelStruct.d_modelPar_ETAMOBTNI_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)-((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))*modelStruct.d_modelPar_ETAMOBIR_dX)/modelStruct.modelPar_ETAMOBIR/modelStruct.modelPar_ETAMOBIR):(((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_ETAMOBIR*(modelStruct.d_modelPar_ETAMOBTNI_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)-((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))*modelStruct.d_modelPar_ETAMOBIR_dX)/modelStruct.modelPar_ETAMOBIR/modelStruct.modelPar_ETAMOBIR)))))/((((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR))-80.0)):(((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)<(-80.0))?1.804851387e-35:value_exp_0))+1)/((((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR))-80.0)):(((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)<(-80.0))?1.804851387e-35:value_exp_0))+1)));
instanceStruct.instanceVar_ETAMOB_i = (modelStruct.modelPar_ETAMOBTHIN+((instanceStruct.instanceVar_ETAMOB_i-modelStruct.modelPar_ETAMOBTHIN)/((((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR))-80.0)):(((((modelStruct.modelPar_ETAMOBTNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_ETAMOBIR)<(-80.0))?1.804851387e-35:value_exp_0))+1)));
}
d_mut0_dX = ((instanceStruct.d_instanceVar_UA_i_dX-modelStruct.d_modelPar_UATHIN_dX)-((modelStruct.modelPar_UATSAT*1e9)*modelStruct.d_modelPar_UARTSC_dX+modelStruct.d_modelPar_UATSAT_dX*1e9*modelStruct.modelPar_UARTSC));
mut0 = ((instanceStruct.instanceVar_UA_i-modelStruct.modelPar_UATHIN)-((modelStruct.modelPar_UATSAT*1e9)*modelStruct.modelPar_UARTSC));
{
double value_exp_0 = exp((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR));
double  deriv_exp_0_d0 = value_exp_0;
d_mut1_dX = (((1+(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR))-80.0)):(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)<(-80.0))?1.804851387e-35:value_exp_0)))*(d_mut0_dX+((instanceStruct.instancePar_TGAA*1e9)*modelStruct.d_modelPar_UARTSC_dX+instanceStruct.d_instancePar_TGAA_dX*1e9*modelStruct.modelPar_UARTSC))-(mut0+((instanceStruct.instancePar_TGAA*1e9)*modelStruct.modelPar_UARTSC))*(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)>80.0)?5.540622384e34*((modelStruct.modelPar_UAIR*(modelStruct.d_modelPar_UATNI_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)-((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))*modelStruct.d_modelPar_UAIR_dX)/modelStruct.modelPar_UAIR/modelStruct.modelPar_UAIR):(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_UAIR*(modelStruct.d_modelPar_UATNI_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)-((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))*modelStruct.d_modelPar_UAIR_dX)/modelStruct.modelPar_UAIR/modelStruct.modelPar_UAIR)))))/(1+(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR))-80.0)):(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)<(-80.0))?1.804851387e-35:value_exp_0)))/(1+(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR))-80.0)):(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)<(-80.0))?1.804851387e-35:value_exp_0))));
mut1 = ((mut0+((instanceStruct.instancePar_TGAA*1e9)*modelStruct.modelPar_UARTSC))/(1+(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)>80.0)?(5.540622384e34*((1.0+(((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR))-80.0)):(((((modelStruct.modelPar_UATNI*1e9)-(instanceStruct.instancePar_TGAA*1e9))/modelStruct.modelPar_UAIR)<(-80.0))?1.804851387e-35:value_exp_0))));
}
{
double value_sqrt_0 = sqrt((((((mut1+modelStruct.modelPar_UATHIN)-instanceStruct.instanceVar_UA_i)+0.2)*(((mut1+modelStruct.modelPar_UATHIN)-instanceStruct.instanceVar_UA_i)+0.2))+((0.25*0.6)*0.6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UA_i_dX = (((((mut1+modelStruct.modelPar_UATHIN)==0.0)&&((instanceStruct.instanceVar_UA_i+0.2)==0.0))&&(0.6==0.0))?0.0:0.5*(((d_mut1_dX+modelStruct.d_modelPar_UATHIN_dX)+instanceStruct.d_instanceVar_UA_i_dX)-deriv_sqrt_0_d0*(((((mut1+modelStruct.modelPar_UATHIN)-instanceStruct.instanceVar_UA_i)+0.2)*((d_mut1_dX+modelStruct.d_modelPar_UATHIN_dX)-instanceStruct.d_instanceVar_UA_i_dX)+((d_mut1_dX+modelStruct.d_modelPar_UATHIN_dX)-instanceStruct.d_instanceVar_UA_i_dX)*(((mut1+modelStruct.modelPar_UATHIN)-instanceStruct.instanceVar_UA_i)+0.2)))));
instanceStruct.instanceVar_UA_i = (((((mut1+modelStruct.modelPar_UATHIN)==0.0)&&((instanceStruct.instanceVar_UA_i+0.2)==0.0))&&(0.6==0.0))?0.0:(0.5*((((mut1+modelStruct.modelPar_UATHIN)+instanceStruct.instanceVar_UA_i)+0.2)-value_sqrt_0)));
}
{
double value_pow_0 = pow((instanceStruct.instancePar_TGAA*1e9),modelStruct.modelPar_EUPTSC);
double value_exp_1 = exp((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR));
double  deriv_pow_0_d0 = (((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_EUPTSC/(instanceStruct.instancePar_TGAA*1e9)));
double  deriv_pow_0_d1 = ((instanceStruct.instancePar_TGAA*1e9) == 0.0)?0.0:(log((instanceStruct.instancePar_TGAA*1e9))*value_pow_0);
double  deriv_exp_1_d0 = value_exp_1;
d_mut2_dX = ((((value_pow_0*(modelStruct.d_modelPar_EUTHIN_dX-instanceStruct.d_instanceVar_EU_i_dX)*370-((modelStruct.modelPar_EUTHIN-instanceStruct.instanceVar_EU_i)*370)*((deriv_pow_0_d0*(instanceStruct.d_instancePar_TGAA_dX*1e9))+(deriv_pow_0_d1*(modelStruct.d_modelPar_EUPTSC_dX))))/value_pow_0/value_pow_0)+(((1+(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR))-80.0)):(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)<(-80.0))?1.804851387e-35:value_exp_1)))*(modelStruct.d_modelPar_EUTHIN_dX-instanceStruct.d_instanceVar_EU_i_dX)-(modelStruct.modelPar_EUTHIN-instanceStruct.instanceVar_EU_i)*(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)>80.0)?5.540622384e34*((modelStruct.modelPar_EUIR*(instanceStruct.d_instancePar_TGAA_dX*1e9-modelStruct.d_modelPar_EUTNI_dX*1e9)-((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))*modelStruct.d_modelPar_EUIR_dX)/modelStruct.modelPar_EUIR/modelStruct.modelPar_EUIR):(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)<(-80.0))?0.0:deriv_exp_1_d0*(((modelStruct.modelPar_EUIR*(instanceStruct.d_instancePar_TGAA_dX*1e9-modelStruct.d_modelPar_EUTNI_dX*1e9)-((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))*modelStruct.d_modelPar_EUIR_dX)/modelStruct.modelPar_EUIR/modelStruct.modelPar_EUIR)))))/(1+(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR))-80.0)):(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)<(-80.0))?1.804851387e-35:value_exp_1)))/(1+(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR))-80.0)):(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)<(-80.0))?1.804851387e-35:value_exp_1)))))+instanceStruct.d_instanceVar_EU_i_dX);
mut2 = (((((modelStruct.modelPar_EUTHIN-instanceStruct.instanceVar_EU_i)*370)/value_pow_0)+((modelStruct.modelPar_EUTHIN-instanceStruct.instanceVar_EU_i)/(1+(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR))-80.0)):(((((instanceStruct.instancePar_TGAA*1e9)-(modelStruct.modelPar_EUTNI*1e9))/modelStruct.modelPar_EUIR)<(-80.0))?1.804851387e-35:value_exp_1)))))+instanceStruct.instanceVar_EU_i);
}
{
double value_sqrt_0 = sqrt((((mut2-modelStruct.modelPar_EUTHIN)*(mut2-modelStruct.modelPar_EUTHIN))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_EU_i_dX = ((((mut2==0.0)&&(modelStruct.modelPar_EUTHIN==0.0))&&(0.2==0.0))?0.0:0.5*((d_mut2_dX+modelStruct.d_modelPar_EUTHIN_dX)-deriv_sqrt_0_d0*(((mut2-modelStruct.modelPar_EUTHIN)*(d_mut2_dX-modelStruct.d_modelPar_EUTHIN_dX)+(d_mut2_dX-modelStruct.d_modelPar_EUTHIN_dX)*(mut2-modelStruct.modelPar_EUTHIN)))));
instanceStruct.instanceVar_EU_i = ((((mut2==0.0)&&(modelStruct.modelPar_EUTHIN==0.0))&&(0.2==0.0))?0.0:(0.5*((mut2+modelStruct.modelPar_EUTHIN)-value_sqrt_0)));
}
d_mut3_dX = (((instanceStruct.instancePar_WGAA+instanceStruct.instancePar_TGAA)*instanceStruct.d_instancePar_WGAA_dX-instanceStruct.instancePar_WGAA*(instanceStruct.d_instancePar_WGAA_dX+instanceStruct.d_instancePar_TGAA_dX))/(instanceStruct.instancePar_WGAA+instanceStruct.instancePar_TGAA)/(instanceStruct.instancePar_WGAA+instanceStruct.instancePar_TGAA));
mut3 = (instanceStruct.instancePar_WGAA/(instanceStruct.instancePar_WGAA+instanceStruct.instancePar_TGAA));
d_mut4_dX = (((modelStruct.modelPar_EGBULK*instanceStruct.instancePar_TGAA)*instanceStruct.d_instancePar_TGAA_dX+(modelStruct.modelPar_EGBULK*instanceStruct.d_instancePar_TGAA_dX+modelStruct.d_modelPar_EGBULK_dX*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18-modelStruct.d_modelPar_U0EMSM1_dX*1e-3);
mut4 = ((((modelStruct.modelPar_EGBULK*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)-(modelStruct.modelPar_U0EMSM1*1e-3));
{
double value_pow_0 = pow(((mut4*mut4)+((((((4*modelStruct.modelPar_U0EMSM1)*1e-3)*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)),0.5);
double  deriv_pow_0_d0 = ((((mut4*mut4)+((((((4*modelStruct.modelPar_U0EMSM1)*1e-3)*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)) == 0.0)?0.0:(value_pow_0*0.5/((mut4*mut4)+((((((4*modelStruct.modelPar_U0EMSM1)*1e-3)*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18))));
d_mut5_dX = ((((((2*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)*(d_mut4_dX+(deriv_pow_0_d0*(((mut4*d_mut4_dX+d_mut4_dX*mut4)+(((((4*modelStruct.modelPar_U0EMSM1)*1e-3)*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.d_instancePar_TGAA_dX+((((4*modelStruct.modelPar_U0EMSM1)*1e-3)*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.d_instancePar_TGAA_dX+(((4*modelStruct.modelPar_U0EMSM1)*1e-3)*modelStruct.d_modelPar_EGBULK_dX+4*modelStruct.d_modelPar_U0EMSM1_dX*1e-3*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18))))-(mut4+value_pow_0)*(((2*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.d_instancePar_TGAA_dX+((2*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.d_instancePar_TGAA_dX+2*modelStruct.d_modelPar_EGBULK_dX*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)/((((2*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18)/((((2*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18));
mut5 = ((mut4+value_pow_0)/((((2*(modelStruct.modelPar_EGBULK+0.24))*instanceStruct.instancePar_TGAA)*instanceStruct.instancePar_TGAA)*1e18));
}
{
double value_sqrt_0 = sqrt(((((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))-1)*((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))-1))+((0.25*0.06)*0.06)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_mut6_dX = (((((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))==0.0)&&(1==0.0))&&(0.06==0.0))?0.0:0.5*((-1e-4*(d_mut5_dX-modelStruct.d_modelPar_U0EMSM2_dX*1e-5)/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5))/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))-deriv_sqrt_0_d0*((((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))-1)*(-1e-4*(d_mut5_dX-modelStruct.d_modelPar_U0EMSM2_dX*1e-5)/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5))/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))+(-1e-4*(d_mut5_dX-modelStruct.d_modelPar_U0EMSM2_dX*1e-5)/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5))/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))*((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))-1)))));
mut6 = (((((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))==0.0)&&(1==0.0))&&(0.06==0.0))?0.0:(0.5*(((1e-4/((mut5-0.8208)-(modelStruct.modelPar_U0EMSM2*1e-5)))+1)-value_sqrt_0)));
}
instanceStruct.d_instanceVar_U0_i_dX = ((instanceStruct.instanceVar_U0_i*(mut3+(modelStruct.modelPar_U0ETAWSC*(1-mut3))))*d_mut6_dX+(instanceStruct.instanceVar_U0_i*(d_mut3_dX+(modelStruct.modelPar_U0ETAWSC*(-d_mut3_dX)+modelStruct.d_modelPar_U0ETAWSC_dX*(1-mut3)))+instanceStruct.d_instanceVar_U0_i_dX*(mut3+(modelStruct.modelPar_U0ETAWSC*(1-mut3))))*mut6);
instanceStruct.instanceVar_U0_i = ((instanceStruct.instanceVar_U0_i*(mut3+(modelStruct.modelPar_U0ETAWSC*(1-mut3))))*mut6);
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9)))*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))))+((0.25*1)*1)));
double value_pow_1 = pow(((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:(0.5*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))+value_sqrt_0))),modelStruct.modelPar_UDPTSC);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_pow_1_d0 = ((((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:(0.5*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))+value_sqrt_0))) == 0.0)?0.0:(value_pow_1*modelStruct.modelPar_UDPTSC/((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:(0.5*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))+value_sqrt_0)))));
double  deriv_pow_1_d1 = (((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:(0.5*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))+value_sqrt_0))) == 0.0)?0.0:(log(((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:(0.5*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))+value_sqrt_0))))*value_pow_1);
instanceStruct.d_instanceVar_UD_i_dX = (((modelStruct.modelPar_UDTHIN-instanceStruct.instanceVar_UD_i)*((deriv_pow_1_d0*(((((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9))==0.0)&&(0==0.0))&&(1==0.0))?0.0:0.5*((modelStruct.d_modelPar_UDTSAT_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)+deriv_sqrt_0_d0*(((((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9)))*(modelStruct.d_modelPar_UDTSAT_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)+(modelStruct.d_modelPar_UDTSAT_dX*1e9-instanceStruct.d_instancePar_TGAA_dX*1e9)*(((modelStruct.modelPar_UDTSAT*1e9)-(instanceStruct.instancePar_TGAA*1e9)))))))))+(deriv_pow_1_d1*(modelStruct.d_modelPar_UDPTSC_dX)))+(modelStruct.d_modelPar_UDTHIN_dX-instanceStruct.d_instanceVar_UD_i_dX)*value_pow_1)+instanceStruct.d_instanceVar_UD_i_dX);
instanceStruct.instanceVar_UD_i = (((modelStruct.modelPar_UDTHIN-instanceStruct.instanceVar_UD_i)*value_pow_1)+instanceStruct.instanceVar_UD_i);
}
}
}
// End block initial_instance
}



//-----------------------------------------------------------------------------
// Function      : evaluateInitialModel
// Purpose       : Evaluate the statements in the initial_model block
// Special Notes : specific for sensitivity use
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void evaluateInitialModel(
modelSensStruct & modelStruct,
 double admsTemperature, double ADMSgmin_arg, const Instance & theInstance)
{
}



//-----------------------------------------------------------------------------
// Function      : evaluateModelEquations
// Purpose       : Evaluate the main module block.  Similar to
//                 updateIntermediateVars, but takes all instance and model
//                 parameters and variables as arguments instead of using
//                 the ones stored in the objects.
// Special Notes : specific for sensitivity use
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
void evaluateModelEquations(
std::vector <double> & probeVars,
// probe constants
const int admsProbeID_V_ge_GND,
const int admsProbeID_V_e_GND,
const int admsProbeID_V_si_GND,
const int admsProbeID_V_di_GND,
const int admsProbeID_V_gi_GND,
const int admsProbeID_V_n_GND,
const int admsProbeID_V_g_ge,
const int admsProbeID_V_ge_gi,
const int admsProbeID_V_si1_si,
const int admsProbeID_V_si_si1,
const int admsProbeID_V_di1_di,
const int admsProbeID_V_q_GND,
const int admsProbeID_V_ge_e,
const int admsProbeID_V_e_ge,
const int admsProbeID_V_ge_d,
const int admsProbeID_V_ge_s,
const int admsProbeID_V_ge_di,
const int admsProbeID_V_ge_si,
const int admsProbeID_V_d_di1,
const int admsProbeID_V_gi_di1,
const int admsProbeID_V_s_si1,
const int admsProbeID_V_gi_si1,
const int admsProbeID_V_e_s,
const int admsProbeID_V_d_s,
const int admsProbeID_V_g_s,
const int admsProbeID_V_gi_e,
const int admsProbeID_V_e_di,
const int admsProbeID_V_e_si,
const int admsProbeID_V_gi_di,
const int admsProbeID_V_di_si,
const int admsProbeID_V_gi_si,
const int admsProbeID_Temp_t_GND,
// node constants
const int admsNodeID_d,
const int admsNodeID_g,
const int admsNodeID_s,
const int admsNodeID_e,
const int admsNodeID_t,
const int admsNodeID_di,
const int admsNodeID_si,
const int admsNodeID_di1,
const int admsNodeID_si1,
const int admsNodeID_ge,
const int admsNodeID_gi,
const int admsNodeID_q,
const int admsNodeID_n,
instanceSensStruct & instanceStruct,
modelSensStruct & modelStruct,
const std::vector<bool> & portsConnected_,
// basic variables
 double admsTemperature, double adms_vt_nom, double ADMSgmin_arg, std::vector <double> & d_staticContributions_dX, std::vector <double> & d_dynamicContributions_dX, const Instance & theInstance)
{

  // Local variables
  double Lterm=0.0;
double d_Lterm_dX=0.0;
  double Lterm0=0.0;
double d_Lterm0_dX=0.0;
  double delta_vsrs=0.0;
double d_delta_vsrs_dX=0.0;
  double vsat_rs=0.0;
double d_vsat_rs_dX=0.0;
  double isat_rs=0.0;
double d_isat_rs_dX=0.0;
  double delta_vsrd=0.0;
double d_delta_vsrd_dX=0.0;
  double vsat_rd=0.0;
double d_vsat_rd_dX=0.0;
  double isat_rd=0.0;
double d_isat_rd_dX=0.0;
  double vsatrsd_eff=0.0;
double d_vsatrsd_eff_dX=0.0;
  double VSATRSD_t=0.0;
double d_VSATRSD_t_dX=0.0;
  double Gtnoi=0.0;
double d_Gtnoi_dX=0.0;
  double noiBeta=0.0;
double d_noiBeta_dX=0.0;
  double noiTheta=0.0;
double d_noiTheta_dX=0.0;
  double noiCorr=0.0;
double d_noiCorr_dX=0.0;
  double noiLowId=0.0;
double d_noiLowId_dX=0.0;
  double noiEta=0.0;
double d_noiEta_dX=0.0;
  double Dvsat3=0.0;
double d_Dvsat3_dX=0.0;
  double noiWI=0.0;
double d_noiWI_dX=0.0;
  double Mnud0=0.0;
double d_Mnud0_dX=0.0;
  double Mob0=0.0;
double d_Mob0_dX=0.0;
  double Eeffm0=0.0;
double d_Eeffm0_dX=0.0;
  double Dmob0=0.0;
double d_Dmob0_dX=0.0;
  double Dvsat0=0.0;
double d_Dvsat0_dX=0.0;
  double etaiv0=0.0;
double d_etaiv0_dX=0.0;
  double ids0_ov_dqi0=0.0;
double d_ids0_ov_dqi0_dX=0.0;
  double Rdsi0=0.0;
double d_Rdsi0_dX=0.0;
  double noiGd0=0.0;
double d_noiGd0_dX=0.0;
  double T5_2=0.0;
double d_T5_2_dX=0.0;
  double T5_3=0.0;
double d_T5_3_dX=0.0;
  double T5_4=0.0;
double d_T5_4_dX=0.0;
  double T7_2=0.0;
double d_T7_2_dX=0.0;
  double T7_3=0.0;
double d_T7_3_dX=0.0;
  double T7_4=0.0;
double d_T7_4_dX=0.0;
  double T7_5=0.0;
double d_T7_5_dX=0.0;
  double gamma1=0.0;
double d_gamma1_dX=0.0;
  double gamma2=0.0;
double d_gamma2_dX=0.0;
  double gamma=0.0;
double d_gamma_dX=0.0;
  double delta1=0.0;
double d_delta1_dX=0.0;
  double delta2=0.0;
double d_delta2_dX=0.0;
  double delta3=0.0;
double d_delta3_dX=0.0;
  double epsilon1=0.0;
double d_epsilon1_dX=0.0;
  double epsilon2=0.0;
double d_epsilon2_dX=0.0;
  double epsilon=0.0;
double d_epsilon_dX=0.0;
  double FNPowerAt1Hz=0.0;
double d_FNPowerAt1Hz_dX=0.0;
  double Swi=0.0;
double d_Swi_dX=0.0;
  double Ssi=0.0;
double d_Ssi_dX=0.0;
  double Nstar=0.0;
double d_Nstar_dX=0.0;
  double Nl=0.0;
double d_Nl_dX=0.0;
  double N0=0.0;
double d_N0_dX=0.0;
  double NOIAeff=0.0;
double d_NOIAeff_dX=0.0;
  double DelClm=0.0;
double d_DelClm_dX=0.0;
  double Leffnoisq=0.0;
double d_Leffnoisq_dX=0.0;
  double Leffnoi=0.0;
double d_Leffnoi_dX=0.0;
  double Esatnoi=0.0;
double d_Esatnoi_dX=0.0;
  double IdovVds=0.0;
double d_IdovVds_dX=0.0;
  double idsgen=0.0;
double d_idsgen_dX=0.0;
  double vge_overlap=0.0;
double d_vge_overlap_dX=0.0;
  double Qeg=0.0;
double d_Qeg_dX=0.0;
  double Qed=0.0;
double d_Qed_dX=0.0;
  double Qes=0.0;
double d_Qes_dX=0.0;
  double Qedj3=0.0;
double d_Qedj3_dX=0.0;
  double Qedj2=0.0;
double d_Qedj2_dX=0.0;
  double Qedj1=0.0;
double d_Qedj1_dX=0.0;
  double Qesj3=0.0;
double d_Qesj3_dX=0.0;
  double Qesj2=0.0;
double d_Qesj2_dX=0.0;
  double Qec=0.0;
double d_Qec_dX=0.0;
  double arg=0.0;
double d_arg_dX=0.0;
  double sarg=0.0;
double d_sarg_dX=0.0;
  double Qesj1=0.0;
double d_Qesj1_dX=0.0;
  double T4a=0.0;
double d_T4a_dX=0.0;
  double T1_exp=0.0;
double d_T1_exp_dX=0.0;
  double Vdseffx=0.0;
double d_Vdseffx_dX=0.0;
  double igc0=0.0;
double d_igc0_dX=0.0;
  double Voxacc=0.0;
double d_Voxacc_dX=0.0;
  double Vaux_Igbacc=0.0;
double d_Vaux_Igbacc_dX=0.0;
  double vfbzb=0.0;
double d_vfbzb_dX=0.0;
  double Vaux_Igbinv=0.0;
double d_Vaux_Igbinv_dX=0.0;
  double ALPHAII=0.0;
double d_ALPHAII_dX=0.0;
  double VgsStep=0.0;
double d_VgsStep_dX=0.0;
  double Vdsatii=0.0;
double d_Vdsatii_dX=0.0;
  double Vdiff=0.0;
double d_Vdiff_dX=0.0;
  double Ratio=0.0;
double d_Ratio_dX=0.0;
  double qds_fr=0.0;
double d_qds_fr_dX=0.0;
  double qgd_parasitic=0.0;
double d_qgd_parasitic_dX=0.0;
  double qgs_parasitic=0.0;
double d_qgs_parasitic_dX=0.0;
  double qgd_fr=0.0;
double d_qgd_fr_dX=0.0;
  double qgs_fr=0.0;
double d_qgs_fr_dX=0.0;
  double cgsp=0.0;
double d_cgsp_dX=0.0;
  double cgdp=0.0;
double d_cgdp_dX=0.0;
  double vgd_overlap=0.0;
double d_vgd_overlap_dX=0.0;
  double vgs_overlap=0.0;
double d_vgs_overlap_dX=0.0;
  double qinv=0.0;
double d_qinv_dX=0.0;
  double qs=0.0;
double d_qs_dX=0.0;
  double xdpart=0.0;
double d_xdpart_dX=0.0;
  double inv_MclmCV=0.0;
double d_inv_MclmCV_dX=0.0;
  double qd=0.0;
double d_qd_dX=0.0;
  double qg=0.0;
double d_qg_dX=0.0;
  double ids=0.0;
double d_ids_dX=0.0;
  double vgs_eff=0.0;
double d_vgs_eff_dX=0.0;
  double vgd_eff=0.0;
double d_vgd_eff_dX=0.0;
  double ids0=0.0;
double d_ids0_dX=0.0;
  double ids0_ov_dqi=0.0;
double d_ids0_ov_dqi_dX=0.0;
  double etaiv=0.0;
double d_etaiv_dX=0.0;
  double qb=0.0;
double d_qb_dX=0.0;
  double MclmCV=0.0;
double d_MclmCV_dX=0.0;
  double DvsatCV=0.0;
double d_DvsatCV_dX=0.0;
  double EsatCVL=0.0;
double d_EsatCVL_dX=0.0;
  double EsatCV=0.0;
double d_EsatCV_dX=0.0;
  double Mob=0.0;
double d_Mob_dX=0.0;
  double Mnud=0.0;
double d_Mnud_dX=0.0;
  double Nsat=0.0;
double d_Nsat_dX=0.0;
  double Dvsat=0.0;
double d_Dvsat_dX=0.0;
  double Esat1L=0.0;
double d_Esat1L_dX=0.0;
  double Esat1=0.0;
double d_Esat1_dX=0.0;
  double Mclm=0.0;
double d_Mclm_dX=0.0;
  double Moc=0.0;
double d_Moc_dX=0.0;
  double VaDIBL=0.0;
double d_VaDIBL_dX=0.0;
  double Vgst2Vtm=0.0;
double d_Vgst2Vtm_dX=0.0;
  double diffVds=0.0;
double d_diffVds_dX=0.0;
  double PVAGfactor=0.0;
double d_PVAGfactor_dX=0.0;
  double DIBLfactor=0.0;
double d_DIBLfactor_dX=0.0;
  double Dmob_cv=0.0;
double d_Dmob_cv_dX=0.0;
  double Eeffm_cv=0.0;
double d_Eeffm_cv_dX=0.0;
  double ueff=0.0;
double d_ueff_dX=0.0;
  double Dmob=0.0;
double d_Dmob_dX=0.0;
  double Eeffm=0.0;
double d_Eeffm_dX=0.0;
  double beta=0.0;
double d_beta_dX=0.0;
  double coxeff=0.0;
double d_coxeff_dX=0.0;
  double Tcen=0.0;
double d_Tcen_dX=0.0;
  double qia2=0.0;
double d_qia2_dX=0.0;
  double dqi=0.0;
double d_dqi_dX=0.0;
  double qia=0.0;
double d_qia_dX=0.0;
  double sqrtpsip=0.0;
double d_sqrtpsip_dX=0.0;
  double psipclamp=0.0;
double d_psipclamp_dX=0.0;
  double T12=0.0;
double d_T12_dX=0.0;
  double T12a=0.0;
double d_T12a_dX=0.0;
  double T10=0.0;
double d_T10_dX=0.0;
  double T11=0.0;
double d_T11_dX=0.0;
  double T9=0.0;
double d_T9_dX=0.0;
  double qia2_cv=0.0;
double d_qia2_cv_dX=0.0;
  double dqi_cv=0.0;
double d_dqi_cv_dX=0.0;
  double qia_cv=0.0;
double d_qia_cv_dX=0.0;
  double qid_cv=0.0;
double d_qid_cv_dX=0.0;
  double Vdseff_cv=0.0;
double d_Vdseff_cv_dX=0.0;
  double Vdsat_cv=0.0;
double d_Vdsat_cv_dX=0.0;
  double EsatLs_cv=0.0;
double d_EsatLs_cv_dX=0.0;
  double Esats_cv=0.0;
double d_Esats_cv_dX=0.0;
  double Rdss_cv=0.0;
double d_Rdss_cv_dX=0.0;
  double Dmobs_cv=0.0;
double d_Dmobs_cv_dX=0.0;
  double Eeffs_cv=0.0;
double d_Eeffs_cv_dX=0.0;
  double qis_cv=0.0;
double d_qis_cv_dX=0.0;
  double vch_cv=0.0;
double d_vch_cv_dX=0.0;
  double vgsfbeff_cv=0.0;
double d_vgsfbeff_cv_dX=0.0;
  double beta0_cv=0.0;
double d_beta0_cv_dX=0.0;
  double vgsfb_cv=0.0;
double d_vgsfb_cv_dX=0.0;
  double dvth_all_cv=0.0;
double d_dvth_all_cv_dX=0.0;
  double dvth_dibl_cv=0.0;
double d_dvth_dibl_cv_dX=0.0;
  double qid=0.0;
double d_qid_dX=0.0;
  double Vdseff=0.0;
double d_Vdseff_dX=0.0;
  double Vdsat=0.0;
double d_Vdsat_dX=0.0;
  double Tc=0.0;
double d_Tc_dX=0.0;
  double Ta=0.0;
double d_Ta_dX=0.0;
  double WVCox=0.0;
double d_WVCox_dX=0.0;
  double EsatL=0.0;
double d_EsatL_dX=0.0;
  double Esat=0.0;
double d_Esat_dX=0.0;
  double Rdss=0.0;
double d_Rdss_dX=0.0;
  double Dmobs=0.0;
double d_Dmobs_dX=0.0;
  double qb0=0.0;
double d_qb0_dX=0.0;
  double Eeffs=0.0;
double d_Eeffs_dX=0.0;
  double QT10=0.0;
double d_QT10_dX=0.0;
  double QT9=0.0;
double d_QT9_dX=0.0;
  double QT8=0.0;
double d_QT8_dX=0.0;
  double QT7=0.0;
double d_QT7_dX=0.0;
  double QT6=0.0;
double d_QT6_dX=0.0;
  double QT5=0.0;
double d_QT5_dX=0.0;
  double QT4=0.0;
double d_QT4_dX=0.0;
  double QT3=0.0;
double d_QT3_dX=0.0;
  double QT2=0.0;
double d_QT2_dX=0.0;
  double qis=0.0;
double d_qis_dX=0.0;
  double e2=0.0;
double d_e2_dX=0.0;
  double e1=0.0;
double d_e1_dX=0.0;
  double e0=0.0;
double d_e0_dX=0.0;
  double qm_ln=0.0;
double d_qm_ln_dX=0.0;
  double qm=0.0;
double d_qm_dX=0.0;
  double F0=0.0;
double d_F0_dX=0.0;
  double vch=0.0;
double d_vch_dX=0.0;
  double vgsfbeff=0.0;
double d_vgsfbeff_dX=0.0;
  double beta0=0.0;
double d_beta0_dX=0.0;
  double dvth_all=0.0;
double d_dvth_all_dX=0.0;
  double dvth_rsce=0.0;
double d_dvth_rsce_dX=0.0;
  double dvth_dibl=0.0;
double d_dvth_dibl_dX=0.0;
  double dvth_vtroll=0.0;
double d_dvth_vtroll_dX=0.0;
  double QMFACTORCVfinal=0.0;
double d_QMFACTORCVfinal_dX=0.0;
  double auxQMfact=0.0;
  double fieldnormalizationfactor=0.0;
double d_fieldnormalizationfactor_dX=0.0;
  double q0=0.0;
double d_q0_dX=0.0;
  double vth_fixed_factor_Sub=0.0;
double d_vth_fixed_factor_Sub_dX=0.0;
  double vth_fixed_factor_SI=0.0;
double d_vth_fixed_factor_SI_dX=0.0;
  double qdep=0.0;
double d_qdep_dX=0.0;
  double nVtm=0.0;
double d_nVtm_dX=0.0;
  double cdsc=0.0;
double d_cdsc_dX=0.0;
  double phist=0.0;
double d_phist_dX=0.0;
  double inv_MEXP=0.0;
double d_inv_MEXP_dX=0.0;
  double EU_a=0.0;
double d_EU_a_dX=0.0;
  double UC_a=0.0;
double d_UC_a_dX=0.0;
  double UD_a=0.0;
double d_UD_a_dX=0.0;
  double UA_a=0.0;
double d_UA_a_dX=0.0;
  double u0_a=0.0;
double d_u0_a_dX=0.0;
  double CIT_a=0.0;
double d_CIT_a_dX=0.0;
  double DVTSHIFT_a=0.0;
double d_DVTSHIFT_a_dX=0.0;
  double KSATIV_a=0.0;
double d_KSATIV_a_dX=0.0;
  double VSAT_a=0.0;
double d_VSAT_a_dX=0.0;
  double PCLM_a=0.0;
double d_PCLM_a_dX=0.0;
  double RDDR_a=0.0;
double d_RDDR_a_dX=0.0;
  double RSDR_a=0.0;
double d_RSDR_a_dX=0.0;
  double VSAT1_a=0.0;
double d_VSAT1_a_dX=0.0;
  double PTWG_a=0.0;
double d_PTWG_a_dX=0.0;
  double MEXP_a=0.0;
double d_MEXP_a_dX=0.0;
  double PDIBL2_a=0.0;
double d_PDIBL2_a_dX=0.0;
  double PDIBL1_a=0.0;
double d_PDIBL1_a_dX=0.0;
  double ETA0_a=0.0;
double d_ETA0_a_dX=0.0;
  double CDSCD_a=0.0;
double d_CDSCD_a_dX=0.0;
  double wr=0.0;
double d_wr_dX=0.0;
  double wf=0.0;
double d_wf_dX=0.0;
  double vesmax=0.0;
double d_vesmax_dX=0.0;
  double vesx=0.0;
  double vdsx=0.0;
  double vgsfb=0.0;
double d_vgsfb_dX=0.0;
  double ves=0.0;
  double vds=0.0;
  double vgs=0.0;
  double sigvds=0.0;
  double vge=0.0;
  double ved_jct=0.0;
  double ves_jct=0.0;
  double vgd_noswap=0.0;
  double vds_noswap=0.0;
  double vgs_noswap=0.0;
  double T5=0.0;
double d_T5_dX=0.0;
  double T6=0.0;
double d_T6_dX=0.0;
  double T7=0.0;
double d_T7_dX=0.0;
  double T8=0.0;
double d_T8_dX=0.0;
  double rdstemp1=0.0;
double d_rdstemp1_dX=0.0;
  double rdstemp0=0.0;
double d_rdstemp0_dX=0.0;
  double Trat_ln=0.0;
double d_Trat_ln_dX=0.0;
  double gam1=0.0;
double d_gam1_dX=0.0;
  double gam0=0.0;
double d_gam0_dX=0.0;
  double E1prime=0.0;
double d_E1prime_dX=0.0;
  double E1=0.0;
double d_E1_dX=0.0;
  double E0prime=0.0;
double d_E0prime_dX=0.0;
  double E0=0.0;
double d_E0_dX=0.0;
  double kT=0.0;
double d_kT_dX=0.0;
  double T4=0.0;
double d_T4_dX=0.0;
  double Tlow=0.0;
double d_Tlow_dX=0.0;
  double DevTemp=0.0;
double d_DevTemp_dX=0.0;


  // -- code converted from analog/code block
if (((modelStruct.modelPar_SHMOD!=0)&&(modelStruct.modelPar_RTH0>0.0)))
{
d_DevTemp_dX = instanceStruct.d_instancePar_DTEMP_dX;
DevTemp = ((admsTemperature+(probeVars[admsProbeID_Temp_t_GND]))+instanceStruct.instancePar_DTEMP);
}
else
{
d_DevTemp_dX = instanceStruct.d_instancePar_DTEMP_dX;
DevTemp = (admsTemperature+instanceStruct.instancePar_DTEMP);
}
if ((DevTemp!=instanceStruct.instanceVar_TempLast))
//Begin block CMGTempDepCalc
{
instanceStruct.d_instanceVar_TempLast_dX = d_DevTemp_dX;
instanceStruct.instanceVar_TempLast = DevTemp;
instanceStruct.d_instanceVar_TRatio_dX = ((instanceStruct.instanceVar_Tnom*d_DevTemp_dX-DevTemp*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom);
instanceStruct.instanceVar_TRatio = (DevTemp/instanceStruct.instanceVar_Tnom);
instanceStruct.d_instanceVar_TRatio_m1_dX = instanceStruct.d_instanceVar_TRatio_dX;
instanceStruct.instanceVar_TRatio_m1 = (instanceStruct.instanceVar_TRatio-1.0);
instanceStruct.d_instanceVar_delTemp_dX = (d_DevTemp_dX-instanceStruct.d_instanceVar_Tnom_dX);
instanceStruct.instanceVar_delTemp = (DevTemp-instanceStruct.instanceVar_Tnom);
instanceStruct.d_instanceVar_Vtm_dX = 8.617087e-5*d_DevTemp_dX;
instanceStruct.instanceVar_Vtm = (8.617087e-5*DevTemp);
instanceStruct.d_instanceVar_Vtm0_dX = 8.617087e-5*instanceStruct.d_instanceVar_Tnom_dX;
instanceStruct.instanceVar_Vtm0 = (8.617087e-5*instanceStruct.instanceVar_Tnom);
d_Tlow_dX = modelStruct.d_modelPar_TLOW_dX;
Tlow = modelStruct.modelPar_TLOW;
if ((modelStruct.modelPar_CRYOMOD!=0))
{
{
double value_sqrt_0 = sqrt((((DevTemp-Tlow)*(DevTemp-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.modelPar_DTLOW)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_DevTemplow0_dX = ((((DevTemp==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:0.5*((d_DevTemp_dX+d_Tlow_dX)+deriv_sqrt_0_d0*((((DevTemp-Tlow)*(d_DevTemp_dX-d_Tlow_dX)+(d_DevTemp_dX-d_Tlow_dX)*(DevTemp-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.d_modelPar_DTLOW_dX+0.25*modelStruct.d_modelPar_DTLOW_dX*modelStruct.modelPar_DTLOW)))));
instanceStruct.instanceVar_DevTemplow0 = ((((DevTemp==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:(0.5*((DevTemp+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1)))*(((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.modelPar_DTLOW1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_DevTemplow1_dX = ((((((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:0.5*(((-modelStruct.modelPar_KLOW1)*(d_DevTemp_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(DevTemp-modelStruct.modelPar_TLOW1))+deriv_sqrt_0_d0*((((((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1)))*((-modelStruct.modelPar_KLOW1)*(d_DevTemp_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(DevTemp-modelStruct.modelPar_TLOW1))+((-modelStruct.modelPar_KLOW1)*(d_DevTemp_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(DevTemp-modelStruct.modelPar_TLOW1))*(((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.d_modelPar_DTLOW1_dX+0.25*modelStruct.d_modelPar_DTLOW1_dX*modelStruct.modelPar_DTLOW1)))));
instanceStruct.instanceVar_DevTemplow1 = ((((((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:(0.5*(((-modelStruct.modelPar_KLOW1)*(DevTemp-modelStruct.modelPar_TLOW1))+value_sqrt_0)));
}
if ((modelStruct.modelPar_CRYOMOD==1))
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_Tnom-Tlow)*(instanceStruct.instanceVar_Tnom-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.modelPar_DTLOW)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_Tnom==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_Tnom_dX+d_Tlow_dX)+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_Tnom-Tlow)*(instanceStruct.d_instanceVar_Tnom_dX-d_Tlow_dX)+(instanceStruct.d_instanceVar_Tnom_dX-d_Tlow_dX)*(instanceStruct.instanceVar_Tnom-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.d_modelPar_DTLOW_dX+0.25*modelStruct.d_modelPar_DTLOW_dX*modelStruct.modelPar_DTLOW)))));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_Tnom==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:(0.5*((instanceStruct.instanceVar_Tnom+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1)))*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.modelPar_DTLOW1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:0.5*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))+deriv_sqrt_0_d0*((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1)))*((-modelStruct.modelPar_KLOW1)*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))+((-modelStruct.modelPar_KLOW1)*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.d_modelPar_DTLOW1_dX+0.25*modelStruct.d_modelPar_DTLOW1_dX*modelStruct.modelPar_DTLOW1)))));
instanceStruct.instanceVar_T2 = ((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:(0.5*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))+value_sqrt_0)));
}
if ((instanceStruct.instanceVar_Tnom>Tlow))
{
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.d_instanceVar_DevTemplow0_dX+instanceStruct.d_instanceVar_DevTemplow1_dX)-instanceStruct.d_instanceVar_T1_dX)-instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_Tnom_dX);
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_DevTemplow0+instanceStruct.instanceVar_DevTemplow1)-instanceStruct.instanceVar_T1)-instanceStruct.instanceVar_T2)+instanceStruct.instanceVar_Tnom);
}
else
{
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.d_instanceVar_DevTemplow0_dX+instanceStruct.d_instanceVar_DevTemplow1_dX)-instanceStruct.d_instanceVar_T1_dX)-instanceStruct.d_instanceVar_T2_dX)+d_Tlow_dX);
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_DevTemplow0+instanceStruct.instanceVar_DevTemplow1)-instanceStruct.instanceVar_T1)-instanceStruct.instanceVar_T2)+Tlow);
}
{
double value_sqrt_0 = sqrt((((DevTemp-instanceStruct.instanceVar_T3)*(DevTemp-instanceStruct.instanceVar_T3))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_DevTempeff_dX = ((((DevTemp==0.0)&&(instanceStruct.instanceVar_T3==0.0))&&(0.2==0.0))?0.0:0.5*((d_DevTemp_dX+instanceStruct.d_instanceVar_T3_dX)+deriv_sqrt_0_d0*(((DevTemp-instanceStruct.instanceVar_T3)*(d_DevTemp_dX-instanceStruct.d_instanceVar_T3_dX)+(d_DevTemp_dX-instanceStruct.d_instanceVar_T3_dX)*(DevTemp-instanceStruct.instanceVar_T3)))));
instanceStruct.instanceVar_DevTempeff = ((((DevTemp==0.0)&&(instanceStruct.instanceVar_T3==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+instanceStruct.instanceVar_T3)+value_sqrt_0)));
}
}
else
{
if ((Tlow>210))
{
UserInfo(theInstance)  << "Warning: TLOW = %e is greater than 210 K. Set to 210 K" << " " << modelStruct.modelPar_TLOW << " " <<  std::endl; 
d_Tlow_dX = 0.0;
Tlow = 210;
}
{
double value_tanh_0 = tanh((0.5*(DevTemp-210)));
double  deriv_tanh_0_d0 = (1.0/cosh((0.5*(DevTemp-210)))/cosh((0.5*(DevTemp-210))));
instanceStruct.d_instanceVar_wh_dX = 0.5*deriv_tanh_0_d0*(0.5*d_DevTemp_dX);
instanceStruct.instanceVar_wh = (0.5+(0.5*value_tanh_0));
}
instanceStruct.d_instanceVar_wl_dX = (-instanceStruct.d_instanceVar_wh_dX);
instanceStruct.instanceVar_wl = (1.0-instanceStruct.instanceVar_wh);
if ((instanceStruct.instanceVar_Tnom>210))
{
{
double value_sqrt_0 = sqrt((((210-Tlow)*(210-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.modelPar_DTLOW)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((210==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:0.5*(d_Tlow_dX+deriv_sqrt_0_d0*((((210-Tlow)*(-d_Tlow_dX)+(-d_Tlow_dX)*(210-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.d_modelPar_DTLOW_dX+0.25*modelStruct.d_modelPar_DTLOW_dX*modelStruct.modelPar_DTLOW)))));
instanceStruct.instanceVar_T1 = ((((210==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:(0.5*((210+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1)))*(((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.modelPar_DTLOW1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:0.5*(((-modelStruct.modelPar_KLOW1)*(-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(210-modelStruct.modelPar_TLOW1))+deriv_sqrt_0_d0*((((((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1)))*((-modelStruct.modelPar_KLOW1)*(-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(210-modelStruct.modelPar_TLOW1))+((-modelStruct.modelPar_KLOW1)*(-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(210-modelStruct.modelPar_TLOW1))*(((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.d_modelPar_DTLOW1_dX+0.25*modelStruct.d_modelPar_DTLOW1_dX*modelStruct.modelPar_DTLOW1)))));
instanceStruct.instanceVar_T2 = ((((((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:(0.5*(((-modelStruct.modelPar_KLOW1)*(210-modelStruct.modelPar_TLOW1))+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T3_dX = (((instanceStruct.d_instanceVar_DevTemplow0_dX+instanceStruct.d_instanceVar_DevTemplow1_dX)-instanceStruct.d_instanceVar_T1_dX)-instanceStruct.d_instanceVar_T2_dX);
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_DevTemplow0+instanceStruct.instanceVar_DevTemplow1)-instanceStruct.instanceVar_T1)-instanceStruct.instanceVar_T2)+210);
{
double value_sqrt_0 = sqrt((((DevTemp-instanceStruct.instanceVar_T3)*(DevTemp-instanceStruct.instanceVar_T3))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_DevTempeff_dX = ((((DevTemp==0.0)&&(instanceStruct.instanceVar_T3==0.0))&&(0.2==0.0))?0.0:0.5*((d_DevTemp_dX+instanceStruct.d_instanceVar_T3_dX)+deriv_sqrt_0_d0*(((DevTemp-instanceStruct.instanceVar_T3)*(d_DevTemp_dX-instanceStruct.d_instanceVar_T3_dX)+(d_DevTemp_dX-instanceStruct.d_instanceVar_T3_dX)*(DevTemp-instanceStruct.instanceVar_T3)))));
instanceStruct.instanceVar_DevTempeff = ((((DevTemp==0.0)&&(instanceStruct.instanceVar_T3==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+instanceStruct.instanceVar_T3)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_Tnom-Tlow)*(instanceStruct.instanceVar_Tnom-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.modelPar_DTLOW)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_Tnom==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_Tnom_dX+d_Tlow_dX)+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_Tnom-Tlow)*(instanceStruct.d_instanceVar_Tnom_dX-d_Tlow_dX)+(instanceStruct.d_instanceVar_Tnom_dX-d_Tlow_dX)*(instanceStruct.instanceVar_Tnom-Tlow))+((0.25*modelStruct.modelPar_DTLOW)*modelStruct.d_modelPar_DTLOW_dX+0.25*modelStruct.d_modelPar_DTLOW_dX*modelStruct.modelPar_DTLOW)))));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_Tnom==0.0)&&(Tlow==0.0))&&(modelStruct.modelPar_DTLOW==0.0))?0.0:(0.5*((instanceStruct.instanceVar_Tnom+Tlow)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1)))*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.modelPar_DTLOW1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:0.5*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))+deriv_sqrt_0_d0*((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1)))*((-modelStruct.modelPar_KLOW1)*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))+((-modelStruct.modelPar_KLOW1)*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TLOW1_dX)+(-modelStruct.d_modelPar_KLOW1_dX)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))))+((0.25*modelStruct.modelPar_DTLOW1)*modelStruct.d_modelPar_DTLOW1_dX+0.25*modelStruct.d_modelPar_DTLOW1_dX*modelStruct.modelPar_DTLOW1)))));
instanceStruct.instanceVar_T2 = ((((((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))==0.0)&&(0.0==0.0))&&(modelStruct.modelPar_DTLOW1==0.0))?0.0:(0.5*(((-modelStruct.modelPar_KLOW1)*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TLOW1))+value_sqrt_0)));
}
if ((instanceStruct.instanceVar_Tnom>Tlow))
{
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.d_instanceVar_DevTemplow0_dX+instanceStruct.d_instanceVar_DevTemplow1_dX)-instanceStruct.d_instanceVar_T1_dX)-instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_Tnom_dX);
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_DevTemplow0+instanceStruct.instanceVar_DevTemplow1)-instanceStruct.instanceVar_T1)-instanceStruct.instanceVar_T2)+instanceStruct.instanceVar_Tnom);
}
else
{
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.d_instanceVar_DevTemplow0_dX+instanceStruct.d_instanceVar_DevTemplow1_dX)-instanceStruct.d_instanceVar_T1_dX)-instanceStruct.d_instanceVar_T2_dX)+d_Tlow_dX);
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_DevTemplow0+instanceStruct.instanceVar_DevTemplow1)-instanceStruct.instanceVar_T1)-instanceStruct.instanceVar_T2)+Tlow);
}
{
double value_sqrt_0 = sqrt((((DevTemp-instanceStruct.instanceVar_T3)*(DevTemp-instanceStruct.instanceVar_T3))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T4_dX = ((((DevTemp==0.0)&&(instanceStruct.instanceVar_T3==0.0))&&(0.2==0.0))?0.0:0.5*((d_DevTemp_dX+instanceStruct.d_instanceVar_T3_dX)+deriv_sqrt_0_d0*(((DevTemp-instanceStruct.instanceVar_T3)*(d_DevTemp_dX-instanceStruct.d_instanceVar_T3_dX)+(d_DevTemp_dX-instanceStruct.d_instanceVar_T3_dX)*(DevTemp-instanceStruct.instanceVar_T3)))));
T4 = ((((DevTemp==0.0)&&(instanceStruct.instanceVar_T3==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+instanceStruct.instanceVar_T3)+value_sqrt_0)));
}
instanceStruct.d_instanceVar_DevTempeff_dX = ((instanceStruct.instanceVar_wl*d_T4_dX+instanceStruct.d_instanceVar_wl_dX*T4)+(instanceStruct.instanceVar_wh*d_DevTemp_dX+instanceStruct.d_instanceVar_wh_dX*DevTemp));
instanceStruct.instanceVar_DevTempeff = ((instanceStruct.instanceVar_wl*T4)+(instanceStruct.instanceVar_wh*DevTemp));
}
{
double value_sqrt_0 = sqrt((((DevTemp-210)*(DevTemp-210))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_DevTemp1_dX = ((((DevTemp==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:0.5*(d_DevTemp_dX-deriv_sqrt_0_d0*(((DevTemp-210)*d_DevTemp_dX+d_DevTemp_dX*(DevTemp-210)))));
instanceStruct.instanceVar_DevTemp1 = ((((DevTemp==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:(0.5*((DevTemp+210)-value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_Tnom-210)*(instanceStruct.instanceVar_Tnom-210))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_delTemp1_dX = (instanceStruct.d_instanceVar_DevTemp1_dX-((((instanceStruct.instanceVar_Tnom==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_Tnom_dX-deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Tnom-210)*instanceStruct.d_instanceVar_Tnom_dX+instanceStruct.d_instanceVar_Tnom_dX*(instanceStruct.instanceVar_Tnom-210))))));
instanceStruct.instanceVar_delTemp1 = (instanceStruct.instanceVar_DevTemp1-((((instanceStruct.instanceVar_Tnom==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:(0.5*((instanceStruct.instanceVar_Tnom+210)-value_sqrt_0))));
}
instanceStruct.d_instanceVar_delTRatio1_dX = ((instanceStruct.instanceVar_Tnom*instanceStruct.d_instanceVar_DevTemp1_dX-(instanceStruct.instanceVar_DevTemp1-210)*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom);
instanceStruct.instanceVar_delTRatio1 = ((instanceStruct.instanceVar_DevTemp1-210)/instanceStruct.instanceVar_Tnom);
}
instanceStruct.d_instanceVar_Vtmeff_dX = 8.617087e-5*instanceStruct.d_instanceVar_DevTempeff_dX;
instanceStruct.instanceVar_Vtmeff = (8.617087e-5*instanceStruct.instanceVar_DevTempeff);
}
instanceStruct.d_instanceVar_Eg_dX = (modelStruct.d_modelPar_BG0SUB_dX-(((DevTemp+modelStruct.modelPar_TBGBSUB)*((modelStruct.modelPar_TBGASUB*DevTemp)*d_DevTemp_dX+(modelStruct.modelPar_TBGASUB*d_DevTemp_dX+modelStruct.d_modelPar_TBGASUB_dX*DevTemp)*DevTemp)-((modelStruct.modelPar_TBGASUB*DevTemp)*DevTemp)*(d_DevTemp_dX+modelStruct.d_modelPar_TBGBSUB_dX))/(DevTemp+modelStruct.modelPar_TBGBSUB)/(DevTemp+modelStruct.modelPar_TBGBSUB)));
instanceStruct.instanceVar_Eg = (modelStruct.modelPar_BG0SUB-(((modelStruct.modelPar_TBGASUB*DevTemp)*DevTemp)/(DevTemp+modelStruct.modelPar_TBGBSUB)));
instanceStruct.d_instanceVar_Eg0_dX = (modelStruct.d_modelPar_BG0SUB_dX-(((instanceStruct.instanceVar_Tnom+modelStruct.modelPar_TBGBSUB)*((modelStruct.modelPar_TBGASUB*instanceStruct.instanceVar_Tnom)*instanceStruct.d_instanceVar_Tnom_dX+(modelStruct.modelPar_TBGASUB*instanceStruct.d_instanceVar_Tnom_dX+modelStruct.d_modelPar_TBGASUB_dX*instanceStruct.instanceVar_Tnom)*instanceStruct.instanceVar_Tnom)-((modelStruct.modelPar_TBGASUB*instanceStruct.instanceVar_Tnom)*instanceStruct.instanceVar_Tnom)*(instanceStruct.d_instanceVar_Tnom_dX+modelStruct.d_modelPar_TBGBSUB_dX))/(instanceStruct.instanceVar_Tnom+modelStruct.modelPar_TBGBSUB)/(instanceStruct.instanceVar_Tnom+modelStruct.modelPar_TBGBSUB)));
instanceStruct.instanceVar_Eg0 = (modelStruct.modelPar_BG0SUB-(((modelStruct.modelPar_TBGASUB*instanceStruct.instanceVar_Tnom)*instanceStruct.instanceVar_Tnom)/(instanceStruct.instanceVar_Tnom+modelStruct.modelPar_TBGBSUB)));
{
double value_sqrt_0 = sqrt((DevTemp/300.15));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((DevTemp/300.15)*deriv_sqrt_0_d0*((d_DevTemp_dX/300.15))+(d_DevTemp_dX/300.15)*value_sqrt_0);
instanceStruct.instanceVar_T1 = ((DevTemp/300.15)*value_sqrt_0);
}
{
double value_exp_0 = exp(((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm))));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_ni_dX = ((modelStruct.modelPar_NI0SUB*instanceStruct.instanceVar_T1)*((((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))>80.0)?5.540622384e34*((modelStruct.d_modelPar_BG0SUB_dX/((2.0*8.617087e-5)*300.15))-(((2.0*instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_Eg_dX-instanceStruct.instanceVar_Eg*2.0*instanceStruct.d_instanceVar_Vtm_dX)/(2.0*instanceStruct.instanceVar_Vtm)/(2.0*instanceStruct.instanceVar_Vtm))):((((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.d_modelPar_BG0SUB_dX/((2.0*8.617087e-5)*300.15))-(((2.0*instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_Eg_dX-instanceStruct.instanceVar_Eg*2.0*instanceStruct.d_instanceVar_Vtm_dX)/(2.0*instanceStruct.instanceVar_Vtm)/(2.0*instanceStruct.instanceVar_Vtm))))))+(modelStruct.modelPar_NI0SUB*instanceStruct.d_instanceVar_T1_dX+modelStruct.d_modelPar_NI0SUB_dX*instanceStruct.instanceVar_T1)*((((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))>80.0)?(5.540622384e34*(((1.0+(modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15)))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))-80.0)):((((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_ni = ((modelStruct.modelPar_NI0SUB*instanceStruct.instanceVar_T1)*((((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))>80.0)?(5.540622384e34*(((1.0+(modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15)))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))-80.0)):((((modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)))<(-80.0))?1.804851387e-35:value_exp_0)));
}
if ((modelStruct.modelPar_CRYOMOD==0))
{
instanceStruct.d_instanceVar_Nc_dX = (modelStruct.modelPar_NC0SUB*instanceStruct.d_instanceVar_T1_dX+modelStruct.d_modelPar_NC0SUB_dX*instanceStruct.instanceVar_T1);
instanceStruct.instanceVar_Nc = (modelStruct.modelPar_NC0SUB*instanceStruct.instanceVar_T1);
}
else
{
{
double value_sqrt_0 = sqrt((instanceStruct.instanceVar_DevTempeff/300.15));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_Nc_dX = ((modelStruct.modelPar_NC0SUB*(instanceStruct.instanceVar_DevTempeff/300.15))*deriv_sqrt_0_d0*((instanceStruct.d_instanceVar_DevTempeff_dX/300.15))+(modelStruct.modelPar_NC0SUB*(instanceStruct.d_instanceVar_DevTempeff_dX/300.15)+modelStruct.d_modelPar_NC0SUB_dX*(instanceStruct.instanceVar_DevTempeff/300.15))*value_sqrt_0);
instanceStruct.instanceVar_Nc = ((modelStruct.modelPar_NC0SUB*(instanceStruct.instanceVar_DevTempeff/300.15))*value_sqrt_0);
}
{
double value_log_0 = log((modelStruct.modelPar_NI0SUB*instanceStruct.instanceVar_T1));
double  deriv_log_0_d0 = (1.0/(modelStruct.modelPar_NI0SUB*instanceStruct.instanceVar_T1));
instanceStruct.d_instanceVar_niln_dX = (((((modelStruct.modelPar_NI0SUB*instanceStruct.instanceVar_T1)>1.0e-38)?deriv_log_0_d0*((modelStruct.modelPar_NI0SUB*instanceStruct.d_instanceVar_T1_dX+modelStruct.d_modelPar_NI0SUB_dX*instanceStruct.instanceVar_T1)):0.0)+(modelStruct.d_modelPar_BG0SUB_dX/((2.0*8.617087e-5)*300.15)))-(((2.0*instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_Eg_dX-instanceStruct.instanceVar_Eg*2.0*instanceStruct.d_instanceVar_Vtm_dX)/(2.0*instanceStruct.instanceVar_Vtm)/(2.0*instanceStruct.instanceVar_Vtm)));
instanceStruct.instanceVar_niln = (((((modelStruct.modelPar_NI0SUB*instanceStruct.instanceVar_T1)>1.0e-38)?value_log_0:(-87.498233534))+(modelStruct.modelPar_BG0SUB/((2.0*8.617087e-5)*300.15)))-(instanceStruct.instanceVar_Eg/(2.0*instanceStruct.instanceVar_Vtm)));
}
}
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ThetaSS_dX = (((((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_TSS_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TSS_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_TSS_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TSS_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_TSS_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TSS_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))));
instanceStruct.instanceVar_ThetaSS = (((((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TSS_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0)));
}
d_kT_dX = instanceStruct.d_instanceVar_Vtm_dX*1.60219e-19;
kT = (instanceStruct.instanceVar_Vtm*1.60219e-19);
instanceStruct.d_instanceVar_T0_dX = (-(1.05457e-34*3.14159265358979323846)*((instanceStruct.instanceVar_Weff_UFCM*2.0*instanceStruct.d_instanceVar_Ach_dX-(2.0*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM));
instanceStruct.instanceVar_T0 = ((1.05457e-34*3.14159265358979323846)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM));
d_E0_dX = ((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)/(2.0*instanceStruct.instanceVar_mx));
E0 = ((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)/(2.0*instanceStruct.instanceVar_mx));
d_E0prime_dX = ((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)/(2.0*instanceStruct.instanceVar_mxprime));
E0prime = ((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)/(2.0*instanceStruct.instanceVar_mxprime));
d_E1_dX = 4.0*d_E0_dX;
E1 = (4.0*E0);
d_E1prime_dX = 4.0*d_E0prime_dX;
E1prime = (4.0*E0prime);
instanceStruct.d_instanceVar_T1_dX = 0.0;
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_gprime*instanceStruct.instanceVar_mdprime)/(instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md));
{
double value_exp_0 = exp(((E0-E0prime)/kT));
double  deriv_exp_0_d0 = value_exp_0;
d_gam0_dX = (instanceStruct.instanceVar_T1*((((E0-E0prime)/kT)>80.0)?5.540622384e34*((kT*(d_E0_dX-d_E0prime_dX)-(E0-E0prime)*d_kT_dX)/kT/kT):((((E0-E0prime)/kT)<(-80.0))?0.0:deriv_exp_0_d0*(((kT*(d_E0_dX-d_E0prime_dX)-(E0-E0prime)*d_kT_dX)/kT/kT))))+instanceStruct.d_instanceVar_T1_dX*((((E0-E0prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E0prime)/kT))-80.0)):((((E0-E0prime)/kT)<(-80.0))?1.804851387e-35:value_exp_0)));
gam0 = (1.0+(instanceStruct.instanceVar_T1*((((E0-E0prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E0prime)/kT))-80.0)):((((E0-E0prime)/kT)<(-80.0))?1.804851387e-35:value_exp_0))));
}
{
double value_exp_0 = exp(((E0-E1)/kT));
double value_exp_1 = exp(((E0-E1prime)/kT));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
d_gam1_dX = ((d_gam0_dX+((((E0-E1)/kT)>80.0)?5.540622384e34*((kT*(d_E0_dX-d_E1_dX)-(E0-E1)*d_kT_dX)/kT/kT):((((E0-E1)/kT)<(-80.0))?0.0:deriv_exp_0_d0*(((kT*(d_E0_dX-d_E1_dX)-(E0-E1)*d_kT_dX)/kT/kT)))))+(instanceStruct.instanceVar_T1*((((E0-E1prime)/kT)>80.0)?5.540622384e34*((kT*(d_E0_dX-d_E1prime_dX)-(E0-E1prime)*d_kT_dX)/kT/kT):((((E0-E1prime)/kT)<(-80.0))?0.0:deriv_exp_1_d0*(((kT*(d_E0_dX-d_E1prime_dX)-(E0-E1prime)*d_kT_dX)/kT/kT))))+instanceStruct.d_instanceVar_T1_dX*((((E0-E1prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E1prime)/kT))-80.0)):((((E0-E1prime)/kT)<(-80.0))?1.804851387e-35:value_exp_1))));
gam1 = ((gam0+((((E0-E1)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E1)/kT))-80.0)):((((E0-E1)/kT)<(-80.0))?1.804851387e-35:value_exp_0)))+(instanceStruct.instanceVar_T1*((((E0-E1prime)/kT)>80.0)?(5.540622384e34*((1.0+((E0-E1prime)/kT))-80.0)):((((E0-E1prime)/kT)<(-80.0))?1.804851387e-35:value_exp_1))));
}
{
double value_log_0 = log((((((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*gam1));
double  deriv_log_0_d0 = (1.0/(((((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*gam1));
instanceStruct.d_instanceVar_T2_dX = ((-instanceStruct.instanceVar_Vtm)*(((((((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*gam1)>1.0e-38)?deriv_log_0_d0*((((((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*d_gam1_dX+((((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM)*(((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*d_kT_dX+(-(instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)*((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.d_instanceVar_Nc_dX/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)-(((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)*((instanceStruct.instanceVar_Weff_UFCM*2.0*instanceStruct.d_instanceVar_Ach_dX-(2.0*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM))/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*gam1)):0.0)+(-instanceStruct.d_instanceVar_Vtm_dX)*(((((((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*gam1)>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_T2 = ((-instanceStruct.instanceVar_Vtm)*(((((((instanceStruct.instanceVar_gfactor*instanceStruct.instanceVar_md)/(((3.14159265358979323846*1.05457e-34)*1.05457e-34)*instanceStruct.instanceVar_Nc))*kT)/((2.0*instanceStruct.instanceVar_Ach)/instanceStruct.instanceVar_Weff_UFCM))*gam1)>1.0e-38)?value_log_0:(-87.498233534)));
}
instanceStruct.d_instanceVar_dvch_qm_dX = (instanceStruct.instanceVar_QMFACTOR_i*((d_E0_dX/1.60219e-19)+instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_QMFACTOR_i_dX*((E0/1.60219e-19)+instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_dvch_qm = (instanceStruct.instanceVar_QMFACTOR_i*((E0/1.60219e-19)+instanceStruct.instanceVar_T2));
{
double value_log_0 = log(instanceStruct.instanceVar_TRatio);
double  deriv_log_0_d0 = (1.0/instanceStruct.instanceVar_TRatio);
d_Trat_ln_dX = deriv_log_0_d0*(instanceStruct.d_instanceVar_TRatio_dX);
Trat_ln = value_log_0;
}
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UTE_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UTE_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UTE_i_dX*Trat_ln))+instanceStruct.d_instanceVar_U0_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_u0_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_u0 = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
if ((modelStruct.modelPar_ASYMMOD==1))
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UTER_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0R_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UTER_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UTER_i_dX*Trat_ln))+instanceStruct.d_instanceVar_U0R_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0R_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_U0R_t_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_U0R_t = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_u0r_dX = instanceStruct.d_instanceVar_U0R_t_dX;
instanceStruct.instanceVar_u0r = instanceStruct.instanceVar_U0R_t;
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UA_i))-1.0e-6)*(((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UA_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_UA_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UA_t_dX = (instanceStruct.d_instanceVar_UA_i_dX+(((((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UA_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_UA_i_dX)+0.5*(((instanceStruct.instanceVar_UA1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UA_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UA_i))-1.0e-6)*((instanceStruct.instanceVar_UA1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UA_i_dX))+((instanceStruct.instanceVar_UA1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UA_i_dX))*(((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UA_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_UA_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_UA_t = (instanceStruct.instanceVar_UA_i+(((((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UA_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_UA_i)+(0.5*((((instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UA_i))-1.0e-6)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_EU_t_dX = instanceStruct.d_instanceVar_EU_i_dX;
instanceStruct.instanceVar_EU_t = instanceStruct.instanceVar_EU_i;
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UAR_i))-1.0e-6)*(((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UAR_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_UAR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UAR_t_dX = (instanceStruct.d_instanceVar_UAR_i_dX+(((((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UAR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_UAR_i_dX)+0.5*(((instanceStruct.instanceVar_UA1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1R_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UAR_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UAR_i))-1.0e-6)*((instanceStruct.instanceVar_UA1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1R_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UAR_i_dX))+((instanceStruct.instanceVar_UA1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1R_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UAR_i_dX))*(((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UAR_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_UAR_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_UAR_t = (instanceStruct.instanceVar_UAR_i+(((((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UAR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_UAR_i)+(0.5*((((instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UAR_i))-1.0e-6)+value_sqrt_0)))));
}
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_UD1_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UD_t_dX = (instanceStruct.instanceVar_UD_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UD1_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UD1_i_dX*Trat_ln))+instanceStruct.d_instanceVar_UD_i_dX*value_exp_0);
instanceStruct.instanceVar_UD_t = (instanceStruct.instanceVar_UD_i*value_exp_0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UD1R_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDR_t_dX = (instanceStruct.instanceVar_UDR_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UD1R_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UD1R_i_dX*Trat_ln))+instanceStruct.d_instanceVar_UDR_i_dX*value_exp_0);
instanceStruct.instanceVar_UDR_t = (instanceStruct.instanceVar_UDR_i*value_exp_0);
}
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_UCSTE_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UCS_t_dX = (instanceStruct.instanceVar_UCS_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UCSTE_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UCSTE_i_dX*Trat_ln))+instanceStruct.d_instanceVar_UCS_i_dX*value_exp_0);
instanceStruct.instanceVar_UCS_t = (instanceStruct.instanceVar_UCS_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_rdstemp_dX = (((((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))));
instanceStruct.instanceVar_rdstemp = (((((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0)));
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT_t_dX = (instanceStruct.d_instanceVar_VSAT_i_dX+((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT_i_dX)+0.5*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT_i_dX))+(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT_i_dX))*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT_t = (instanceStruct.instanceVar_VSAT_i+((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT_i)+(0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT_t_dX = (instanceStruct.instanceVar_VSAT_i*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT_i_dX*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT_t = (instanceStruct.instanceVar_VSAT_i*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)*((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSATR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATR_t_dX = (instanceStruct.d_instanceVar_VSATR_i_dX+((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSATR_i_dX)+0.5*((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSATR_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)*(((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSATR_i_dX))+(((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSATR_i_dX))*((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSATR_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSATR_t = (instanceStruct.instanceVar_VSATR_i+((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSATR_i)+(0.5*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATR_t_dX = (instanceStruct.instanceVar_VSATR_i*(((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSATR_i_dX*(((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSATR_t = (instanceStruct.instanceVar_VSATR_i*(((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((instanceStruct.instanceVar_VSATR_t<1000))
{
UserInfo(theInstance)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSATR_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSATR_t_dX = 0.0;
instanceStruct.instanceVar_VSATR_t = 1000;
}
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UTECV_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0CV_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UTECV_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UTECV_i_dX*Trat_ln))+instanceStruct.d_instanceVar_U0CV_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0CV_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_u0_cv_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_u0_cv = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UACV_i))-1.0e-6)*(((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UACV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_UACV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UACV_t_dX = (instanceStruct.d_instanceVar_UACV_i_dX+(((((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UACV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_UACV_i_dX)+0.5*(((instanceStruct.instanceVar_UA1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1CV_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UACV_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UACV_i))-1.0e-6)*((instanceStruct.instanceVar_UA1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1CV_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UACV_i_dX))+((instanceStruct.instanceVar_UA1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1CV_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UACV_i_dX))*(((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UACV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_UACV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_UACV_t = (instanceStruct.instanceVar_UACV_i+(((((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UACV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_UACV_i)+(0.5*((((instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UACV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_UD1CV_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDCV_t_dX = (instanceStruct.instanceVar_UDCV_i*deriv_exp_0_d0*((instanceStruct.instanceVar_UD1CV_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_UD1CV_i_dX*Trat_ln))+instanceStruct.d_instanceVar_UDCV_i_dX*value_exp_0);
instanceStruct.instanceVar_UDCV_t = (instanceStruct.instanceVar_UDCV_i*value_exp_0);
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1_t_dX = (instanceStruct.d_instanceVar_VSAT1_i_dX+((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT1_i_dX)+0.5*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT1_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT1_i_dX))+(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT1_i_dX))*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT1_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT1_t = (instanceStruct.instanceVar_VSAT1_i+((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT1_i)+(0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1_t_dX = (instanceStruct.instanceVar_VSAT1_i*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT1_i_dX*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT1_t = (instanceStruct.instanceVar_VSAT1_i*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT1R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1R_t_dX = (instanceStruct.d_instanceVar_VSAT1R_i_dX+((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT1R_i_dX)+0.5*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))+(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT1R_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT1R_t = (instanceStruct.instanceVar_VSAT1R_i+((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT1R_i)+(0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1R_t_dX = (instanceStruct.instanceVar_VSAT1R_i*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT1R_i_dX*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT1R_t = (instanceStruct.instanceVar_VSAT1R_i*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((instanceStruct.instanceVar_VSAT1R_t<1000))
{
UserInfo(theInstance)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSAT1R_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSAT1R_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_t = 1000;
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)*((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSATCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATCV_t_dX = (instanceStruct.d_instanceVar_VSATCV_i_dX+((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSATCV_i_dX)+0.5*((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSATCV_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)*(((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSATCV_i_dX))+(((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_VSATCV_i_dX))*((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSATCV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSATCV_t = (instanceStruct.instanceVar_VSATCV_i+((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSATCV_i)+(0.5*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATCV_t_dX = (instanceStruct.instanceVar_VSATCV_i*(((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSATCV_i_dX*(((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSATCV_t = (instanceStruct.instanceVar_VSATCV_i*(((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_sqrt_0 = sqrt(((((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0)*((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_MEXP_t_dX = (((((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_MEXP_i*(modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+instanceStruct.d_instanceVar_MEXP_i_dX*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0)*(instanceStruct.instanceVar_MEXP_i*(modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+instanceStruct.d_instanceVar_MEXP_i_dX*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))+(instanceStruct.instanceVar_MEXP_i*(modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+instanceStruct.d_instanceVar_MEXP_i_dX*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))*((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0)))));
instanceStruct.instanceVar_MEXP_t = ((((((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_MEXP_i*(1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0)*((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_MEXPR_t_dX = (((((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_MEXPR_i*(modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+instanceStruct.d_instanceVar_MEXPR_i_dX*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0)*(instanceStruct.instanceVar_MEXPR_i*(modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+instanceStruct.d_instanceVar_MEXPR_i_dX*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))+(instanceStruct.instanceVar_MEXPR_i*(modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+instanceStruct.d_instanceVar_MEXPR_i_dX*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))*((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0)))));
instanceStruct.instanceVar_MEXPR_t = ((((((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_MEXPR_i*(1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
}
instanceStruct.d_instanceVar_KSATIV_t_dX = instanceStruct.d_instanceVar_KSATIV_i_dX;
instanceStruct.instanceVar_KSATIV_t = instanceStruct.instanceVar_KSATIV_i;
instanceStruct.d_instanceVar_PCLM_t_dX = instanceStruct.d_instanceVar_PCLM_i_dX;
instanceStruct.instanceVar_PCLM_t = instanceStruct.instanceVar_PCLM_i;
instanceStruct.d_instanceVar_dvth_temp_dX = ((instanceStruct.instanceVar_KT1_i+(modelStruct.modelPar_KT1L/instanceStruct.instanceVar_Leff))*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.d_instanceVar_KT1_i_dX+((instanceStruct.instanceVar_Leff*modelStruct.d_modelPar_KT1L_dX-modelStruct.modelPar_KT1L*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff))*instanceStruct.instanceVar_TRatio_m1);
instanceStruct.instanceVar_dvth_temp = ((instanceStruct.instanceVar_KT1_i+(modelStruct.modelPar_KT1L/instanceStruct.instanceVar_Leff))*instanceStruct.instanceVar_TRatio_m1);
}
else
{
if ((modelStruct.modelPar_CRYOMOD==1))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UTE_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UTE_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UTE_i_dX+(instanceStruct.instanceVar_UTE1_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UTE1_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_U0_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_u0_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_u0 = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
if ((modelStruct.modelPar_ASYMMOD==1))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UTER_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0R_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UTER_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UTER_i_dX+(instanceStruct.instanceVar_UTE1_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UTE1_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_U0R_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0R_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_U0R_t_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_U0R_t = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_u0r_dX = instanceStruct.d_instanceVar_U0R_t_dX;
instanceStruct.instanceVar_u0r = instanceStruct.instanceVar_U0R_t;
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UA_t_dX = (instanceStruct.instanceVar_UA_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UA1_i_dX+(instanceStruct.instanceVar_UA2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UA_i_dX*value_exp_0);
instanceStruct.instanceVar_UA_t = (instanceStruct.instanceVar_UA_i*value_exp_0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UAR_t_dX = (instanceStruct.instanceVar_UAR_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UA1R_i_dX+(instanceStruct.instanceVar_UA2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UAR_i_dX*value_exp_0);
instanceStruct.instanceVar_UAR_t = (instanceStruct.instanceVar_UAR_i*value_exp_0);
}
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UD1_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UD_t_dX = (instanceStruct.instanceVar_UD_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UD1_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UD1_i_dX+(instanceStruct.instanceVar_UD2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UD2_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UD_i_dX*value_exp_0);
instanceStruct.instanceVar_UD_t = (instanceStruct.instanceVar_UD_i*value_exp_0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UD1R_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDR_t_dX = (instanceStruct.instanceVar_UDR_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UD1R_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UD1R_i_dX+(instanceStruct.instanceVar_UD2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UD2_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UDR_i_dX*value_exp_0);
instanceStruct.instanceVar_UDR_t = (instanceStruct.instanceVar_UDR_i*value_exp_0);
}
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UCSTE_i+(modelStruct.modelPar_UCSTE1*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UCS_t_dX = (instanceStruct.instanceVar_UCS_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UCSTE_i+(modelStruct.modelPar_UCSTE1*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UCSTE_i_dX+(modelStruct.modelPar_UCSTE1*instanceStruct.d_instanceVar_TRatio_dX+modelStruct.d_modelPar_UCSTE1_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UCS_i_dX*value_exp_0);
instanceStruct.instanceVar_UCS_t = (instanceStruct.instanceVar_UCS_i*value_exp_0);
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDS_t_dX = (instanceStruct.instanceVar_UDS_i*(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1)>80.0)?5.540622384e34*(instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_UDS1_i_dX*instanceStruct.instanceVar_TRatio_m1):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_UDS1_i_dX*instanceStruct.instanceVar_TRatio_m1))))+instanceStruct.d_instanceVar_UDS_i_dX*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
instanceStruct.instanceVar_UDS_t = (instanceStruct.instanceVar_UDS_i*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_TRatio_m1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDD_t_dX = (instanceStruct.instanceVar_UDD_i*(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1)>80.0)?5.540622384e34*(instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_UDD1_i_dX*instanceStruct.instanceVar_TRatio_m1):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_UDD1_i_dX*instanceStruct.instanceVar_TRatio_m1))))+instanceStruct.d_instanceVar_UDD_i_dX*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
instanceStruct.instanceVar_UDD_t = (instanceStruct.instanceVar_UDD_i*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_TRatio_m1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
instanceStruct.d_instanceVar_UDSeff_t_dX = instanceStruct.d_instanceVar_UDS_t_dX;
instanceStruct.instanceVar_UDSeff_t = (0.5+instanceStruct.instanceVar_UDS_t);
instanceStruct.d_instanceVar_UDDeff_t_dX = instanceStruct.d_instanceVar_UDD_t_dX;
instanceStruct.instanceVar_UDDeff_t = (0.5+instanceStruct.instanceVar_UDD_t);
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_EU_i))-1.0e-6)*(((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_EU_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_EU_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_EU_t_dX = (instanceStruct.d_instanceVar_EU_i_dX+(((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_EU_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_EU_i_dX)+0.5*(((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_EU_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_EU_i))-1.0e-6)*((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_EU_i_dX))+((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_EU_i_dX))*(((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_EU_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_EU_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_EU_t = (instanceStruct.instanceVar_EU_i+(((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_EU_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_EU_i)+(0.5*((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_EU_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_EU_t_dX = (instanceStruct.instanceVar_EU_i*(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_EU_i_dX*(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_EU_t = (instanceStruct.instanceVar_EU_i*(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UTECV_i+(instanceStruct.instanceVar_UTE1CV_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0CV_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UTECV_i+(instanceStruct.instanceVar_UTE1CV_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UTECV_i_dX+(instanceStruct.instanceVar_UTE1CV_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UTE1CV_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_U0CV_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0CV_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_u0_cv_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_u0_cv = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UACV_t_dX = (instanceStruct.instanceVar_UACV_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UA1CV_i_dX+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2CV_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UACV_i_dX*value_exp_0);
instanceStruct.instanceVar_UACV_t = (instanceStruct.instanceVar_UACV_i*value_exp_0);
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UD1CV_i+(instanceStruct.instanceVar_UD2CV_i*instanceStruct.instanceVar_TRatio))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDCV_t_dX = (instanceStruct.instanceVar_UDCV_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UD1CV_i+(instanceStruct.instanceVar_UD2CV_i*instanceStruct.instanceVar_TRatio))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UD1CV_i_dX+(instanceStruct.instanceVar_UD2CV_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UD2CV_i_dX*instanceStruct.instanceVar_TRatio))*Trat_ln))+instanceStruct.d_instanceVar_UDCV_i_dX*value_exp_0);
instanceStruct.instanceVar_UDCV_t = (instanceStruct.instanceVar_UDCV_i*value_exp_0);
}
}
if ((instanceStruct.instanceVar_PRT_i==instanceStruct.instanceVar_PRT1_i))
{
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp);
instanceStruct.instanceVar_T2 = (1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp));
}
else
{
if ((instanceStruct.instanceVar_TR0_i<instanceStruct.instanceVar_Tnom))
{
d_rdstemp0_dX = (instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp);
rdstemp0 = (1+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp));
d_rdstemp1_dX = ((instanceStruct.instanceVar_PRT1_i*(d_DevTemp_dX-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(DevTemp-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
rdstemp1 = ((1+(instanceStruct.instanceVar_PRT1_i*(DevTemp-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_PRT_i-instanceStruct.instanceVar_PRT1_i)*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+(instanceStruct.d_instanceVar_PRT_i_dX-instanceStruct.d_instanceVar_PRT1_i_dX)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_PRT_i-instanceStruct.instanceVar_PRT1_i)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T2_dX = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)+deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
instanceStruct.instanceVar_T2 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3+value_sqrt_1))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T2_dX = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)-deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
instanceStruct.instanceVar_T2 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3-value_sqrt_1))));
}
}
}
else
{
d_rdstemp1_dX = (instanceStruct.instanceVar_PRT1_i*(d_DevTemp_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(DevTemp-instanceStruct.instanceVar_Tnom));
rdstemp1 = (1+(instanceStruct.instanceVar_PRT1_i*(DevTemp-instanceStruct.instanceVar_Tnom)));
d_rdstemp0_dX = ((instanceStruct.instanceVar_PRT_i*(d_DevTemp_dX-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT1_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
rdstemp0 = ((1+(instanceStruct.instanceVar_PRT_i*(DevTemp-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT1_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_PRT1_i-instanceStruct.instanceVar_PRT_i)*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+(instanceStruct.d_instanceVar_PRT1_i_dX-instanceStruct.d_instanceVar_PRT_i_dX)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_PRT1_i-instanceStruct.instanceVar_PRT_i)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp1-rdstemp0)*(rdstemp1-rdstemp0))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T2_dX = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp1_dX+d_rdstemp0_dX)+deriv_sqrt_0_d0*((((rdstemp1-rdstemp0)*(d_rdstemp1_dX-d_rdstemp0_dX)+(d_rdstemp1_dX-d_rdstemp0_dX)*(rdstemp1-rdstemp0))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
instanceStruct.instanceVar_T2 = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp1+rdstemp0)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3+value_sqrt_1))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp1-rdstemp0)*(rdstemp1-rdstemp0))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T2_dX = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp1_dX+d_rdstemp0_dX)-deriv_sqrt_0_d0*((((rdstemp1-rdstemp0)*(d_rdstemp1_dX-d_rdstemp0_dX)+(d_rdstemp1_dX-d_rdstemp0_dX)*(rdstemp1-rdstemp0))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
instanceStruct.instanceVar_T2 = (((((rdstemp1==0.0)&&(rdstemp0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp1+rdstemp0)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3-value_sqrt_1))));
}
}
}
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T2-1.0e-6)*(instanceStruct.instanceVar_T2-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_rdstemp_dX = ((((instanceStruct.instanceVar_T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T2_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T2-1.0e-6)*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T2-1.0e-6)))));
instanceStruct.instanceVar_rdstemp = ((((instanceStruct.instanceVar_T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T2-1.0e-6)+value_sqrt_0)));
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT_t_dX = (instanceStruct.d_instanceVar_VSAT_i_dX+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT_i_dX)+0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT_i_dX))+((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT_i_dX))*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT_t = (instanceStruct.instanceVar_VSAT_i+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT_i)+(0.5*((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT_t_dX = (instanceStruct.instanceVar_VSAT_i*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT_i_dX*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT_t = (instanceStruct.instanceVar_VSAT_i*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSATR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATR_t_dX = (instanceStruct.d_instanceVar_VSATR_i_dX+(((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSATR_i_dX)+0.5*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSATR_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)*((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSATR_i_dX))+((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSATR_i_dX))*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSATR_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSATR_t = (instanceStruct.instanceVar_VSATR_i+(((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSATR_i)+(0.5*((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATR_t_dX = (instanceStruct.instanceVar_VSATR_i*((((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*(((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+(((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))*(((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSATR_i_dX*((((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSATR_t = (instanceStruct.instanceVar_VSATR_i*((((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((instanceStruct.instanceVar_VSATR_t<1000))
{
UserInfo(theInstance)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSATR_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSATR_t_dX = 0.0;
instanceStruct.instanceVar_VSATR_t = 1000;
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1_t_dX = (instanceStruct.d_instanceVar_VSAT1_i_dX+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT1_i_dX)+0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT1_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT1_i_dX))+((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT1_i_dX))*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT1_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT1_t = (instanceStruct.instanceVar_VSAT1_i+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT1_i)+(0.5*((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1_t_dX = (instanceStruct.instanceVar_VSAT1_i*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT1_i_dX*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT1_t = (instanceStruct.instanceVar_VSAT1_i*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT1R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1R_t_dX = (instanceStruct.d_instanceVar_VSAT1R_i_dX+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT1R_i_dX)+0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))+((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT1R_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT1R_t = (instanceStruct.instanceVar_VSAT1R_i+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT1R_i)+(0.5*((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1R_t_dX = (instanceStruct.instanceVar_VSAT1R_i*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*(((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+(((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))*(((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT1R_i_dX*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT1R_t = (instanceStruct.instanceVar_VSAT1R_i*((((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((instanceStruct.instanceVar_VSAT1R_t<1000))
{
UserInfo(theInstance)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSAT1R_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSAT1R_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_t = 1000;
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSATCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATCV_t_dX = (instanceStruct.d_instanceVar_VSATCV_i_dX+(((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSATCV_i_dX)+0.5*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSATCV_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)*((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSATCV_i_dX))+((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_VSATCV_i_dX))*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSATCV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSATCV_t = (instanceStruct.instanceVar_VSATCV_i+(((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSATCV_i)+(0.5*((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATCV_t_dX = (instanceStruct.instanceVar_VSATCV_i*((((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*(((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+(((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))*(((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_VSATCV_i_dX*((((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSATCV_t = (instanceStruct.instanceVar_VSATCV_i*((((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_sqrt_0 = sqrt(((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)*((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_MEXP_t_dX = (((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_MEXP_i*((modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+instanceStruct.d_instanceVar_MEXP_i_dX*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)*(instanceStruct.instanceVar_MEXP_i*((modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+instanceStruct.d_instanceVar_MEXP_i_dX*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))+(instanceStruct.instanceVar_MEXP_i*((modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+instanceStruct.d_instanceVar_MEXP_i_dX*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))*((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)))));
instanceStruct.instanceVar_MEXP_t = ((((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)*((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_MEXPR_t_dX = (((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_MEXPR_i*((modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+instanceStruct.d_instanceVar_MEXPR_i_dX*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)*(instanceStruct.instanceVar_MEXPR_i*((modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+instanceStruct.d_instanceVar_MEXPR_i_dX*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))+(instanceStruct.instanceVar_MEXPR_i*((modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+instanceStruct.d_instanceVar_MEXPR_i_dX*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))*((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)))));
instanceStruct.instanceVar_MEXPR_t = ((((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp)))-2.0)+value_sqrt_0)))+2.0);
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6)*((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_KSATIV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_KSATIV_t_dX = (instanceStruct.d_instanceVar_KSATIV_i_dX+((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_KSATIV_i_dX)+0.5*((((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_KSATIV_i_dX))+deriv_sqrt_0_d0*(((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6)*(((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_KSATIV_i_dX))+(((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.d_instanceVar_KSATIV_i_dX))*((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_KSATIV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_KSATIV_t = (instanceStruct.instanceVar_KSATIV_i+((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))==0.0)&&((-instanceStruct.instanceVar_KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_KSATIV_i)+(0.5*(((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*(((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_KSATIV_t_dX = (instanceStruct.instanceVar_KSATIV_i*((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*(((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.d_instanceVar_delTemp_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))*(((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_KSATIV_i_dX*((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_KSATIV_t = (instanceStruct.instanceVar_KSATIV_i*((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6)*(((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_PCLM_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PCLM_t_dX = (instanceStruct.d_instanceVar_PCLM_i_dX+(((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_PCLM_i_dX)+0.5*(((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PCLM_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6)*((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PCLM_i_dX))+((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PCLM_i_dX))*(((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_PCLM_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_PCLM_t = (instanceStruct.instanceVar_PCLM_i+(((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_PCLM_i)+(0.5*((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PCLM_t_dX = (instanceStruct.instanceVar_PCLM_i*(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_PCLM_i_dX*(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_PCLM_t = (instanceStruct.instanceVar_PCLM_i*(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_exp_0 = exp((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH)));
double value_exp_1 = exp((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
instanceStruct.d_instanceVar_dvth_temp_dX = ((((instanceStruct.instanceVar_KT1_i+(modelStruct.modelPar_KT1L/instanceStruct.instanceVar_Leff))*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.d_instanceVar_KT1_i_dX+((instanceStruct.instanceVar_Leff*modelStruct.d_modelPar_KT1L_dX-modelStruct.modelPar_KT1L*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff))*instanceStruct.instanceVar_TRatio_m1)+(((1+(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))*modelStruct.d_modelPar_KT11_dX-modelStruct.modelPar_KT11*(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))>80.0)?5.540622384e34*(modelStruct.modelPar_KT12*(d_DevTemp_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(DevTemp-modelStruct.modelPar_TVTH)):(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))<(-80.0))?0.0:deriv_exp_0_d0*((modelStruct.modelPar_KT12*(d_DevTemp_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(DevTemp-modelStruct.modelPar_TVTH))))))/(1+(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))/(1+(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))))-(((1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))*modelStruct.d_modelPar_KT11_dX-modelStruct.modelPar_KT11*(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))>80.0)?5.540622384e34*(modelStruct.modelPar_KT12*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))<(-80.0))?0.0:deriv_exp_1_d0*((modelStruct.modelPar_KT12*(instanceStruct.d_instanceVar_Tnom_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))))))/(1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))/(1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))));
instanceStruct.instanceVar_dvth_temp = ((((instanceStruct.instanceVar_KT1_i+(modelStruct.modelPar_KT1L/instanceStruct.instanceVar_Leff))*instanceStruct.instanceVar_TRatio_m1)+(modelStruct.modelPar_KT11/(1+(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(DevTemp-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))))-(modelStruct.modelPar_KT11/(1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_Tnom-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))));
}
}
else
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UTE_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UTE_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UTE_i_dX+(instanceStruct.instanceVar_UTE1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UTE1_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_U0_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_u0_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTL_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_u0 = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTL_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
if ((modelStruct.modelPar_ASYMMOD==1))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UTER_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0R_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UTER_i+(instanceStruct.instanceVar_UTE1_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UTER_i_dX+(instanceStruct.instanceVar_UTE1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UTE1_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_U0R_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0R_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_U0R_t_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTLR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLR_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_U0R_t = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTLR_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_u0r_dX = instanceStruct.d_instanceVar_U0R_t_dX;
instanceStruct.instanceVar_u0r = instanceStruct.instanceVar_U0R_t;
}
if ((instanceStruct.instanceVar_Tnom>210))
{
{
double value_log_0 = log((210/instanceStruct.instanceVar_Tnom));
double  deriv_log_0_d0 = (1.0/(210/instanceStruct.instanceVar_Tnom));
instanceStruct.d_instanceVar_T2_dX = 210*((((instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*(210-instanceStruct.instanceVar_Tnom)))*instanceStruct.d_instanceVar_UA1_i_dX-instanceStruct.instanceVar_UA1_i*(instanceStruct.d_instanceVar_UA_i_dX+(instanceStruct.instanceVar_UA1_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_UA1_i_dX*(210-instanceStruct.instanceVar_Tnom))))/(instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*(210-instanceStruct.instanceVar_Tnom)))/(instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*(210-instanceStruct.instanceVar_Tnom))))-((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UA2_i*(((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?deriv_log_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)):0.0)+instanceStruct.d_instanceVar_UA2_i_dX*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))-(instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T2 = (210*((instanceStruct.instanceVar_UA1_i/(instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*(210-instanceStruct.instanceVar_Tnom))))-((instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom))));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = ((value_pow_0*(instanceStruct.d_instanceVar_UA_i_dX+(instanceStruct.instanceVar_UA1_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_UA1_i_dX*(210-instanceStruct.instanceVar_Tnom)))-(instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*(210-instanceStruct.instanceVar_Tnom)))*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_UA2_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2_i_dX*(210/instanceStruct.instanceVar_Tnom)))))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*(210-instanceStruct.instanceVar_Tnom)))/value_pow_0);
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_TRatio,(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio)));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_TRatio == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))/instanceStruct.instanceVar_TRatio));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_TRatio == 0.0)?0.0:(log(instanceStruct.instanceVar_TRatio)*value_pow_0);
instanceStruct.d_instanceVar_UA_tl_dX = (instanceStruct.instanceVar_T1*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_TRatio_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_UA2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2_i_dX*instanceStruct.instanceVar_TRatio)))))+instanceStruct.d_instanceVar_T1_dX*value_pow_0);
instanceStruct.instanceVar_UA_tl = (instanceStruct.instanceVar_T1*value_pow_0);
}
instanceStruct.d_instanceVar_UA_th_dX = (instanceStruct.d_instanceVar_UA_i_dX+(instanceStruct.instanceVar_UA1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UA_th = (instanceStruct.instanceVar_UA_i+(instanceStruct.instanceVar_UA1_i*instanceStruct.instanceVar_delTemp));
}
else
{
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom))));
double value_log_1 = log((210/instanceStruct.instanceVar_Tnom));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
double  deriv_log_1_d0 = (1.0/(210/instanceStruct.instanceVar_Tnom));
instanceStruct.d_instanceVar_T2_dX = ((instanceStruct.instanceVar_UA_i*value_pow_0)*((instanceStruct.d_instanceVar_UA1_i_dX/210)+((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UA2_i*(((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?deriv_log_1_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)):0.0)+instanceStruct.d_instanceVar_UA2_i_dX*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))-(instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom))+(instanceStruct.instanceVar_UA_i*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1_i_dX+(instanceStruct.instanceVar_UA2_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2_i_dX*(210/instanceStruct.instanceVar_Tnom))))))+instanceStruct.d_instanceVar_UA_i_dX*value_pow_0)*((instanceStruct.instanceVar_UA1_i/210)+((instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_UA_i*value_pow_0)*((instanceStruct.instanceVar_UA1_i/210)+((instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom))));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_UA_i*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1_i_dX+(instanceStruct.instanceVar_UA2_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2_i_dX*(210/instanceStruct.instanceVar_Tnom))))))+instanceStruct.d_instanceVar_UA_i_dX*value_pow_0)-(instanceStruct.instanceVar_T2*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_T2_dX*(210-instanceStruct.instanceVar_Tnom)));
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_UA_i*value_pow_0)-(instanceStruct.instanceVar_T2*(210-instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_TRatio,(instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio)));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_TRatio == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))/instanceStruct.instanceVar_TRatio));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_TRatio == 0.0)?0.0:(log(instanceStruct.instanceVar_TRatio)*value_pow_0);
instanceStruct.d_instanceVar_UA_tl_dX = (instanceStruct.instanceVar_UA_i*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_TRatio_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1_i_dX+(instanceStruct.instanceVar_UA2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2_i_dX*instanceStruct.instanceVar_TRatio)))))+instanceStruct.d_instanceVar_UA_i_dX*value_pow_0);
instanceStruct.instanceVar_UA_tl = (instanceStruct.instanceVar_UA_i*value_pow_0);
}
instanceStruct.d_instanceVar_UA_th_dX = (instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UA_th = (instanceStruct.instanceVar_T1+(instanceStruct.instanceVar_T2*instanceStruct.instanceVar_delTemp));
}
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_wl*instanceStruct.d_instanceVar_UA_tl_dX+instanceStruct.d_instanceVar_wl_dX*instanceStruct.instanceVar_UA_tl)+(instanceStruct.instanceVar_wh*instanceStruct.d_instanceVar_UA_th_dX+instanceStruct.d_instanceVar_wh_dX*instanceStruct.instanceVar_UA_th));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_wl*instanceStruct.instanceVar_UA_tl)+(instanceStruct.instanceVar_wh*instanceStruct.instanceVar_UA_th));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UA_t_dX = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-6==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0))));
instanceStruct.instanceVar_UA_t = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T0+value_sqrt_0)));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
if ((instanceStruct.instanceVar_Tnom>210))
{
{
double value_log_0 = log((210/instanceStruct.instanceVar_Tnom));
double  deriv_log_0_d0 = (1.0/(210/instanceStruct.instanceVar_Tnom));
instanceStruct.d_instanceVar_T2_dX = 210*((((instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*(210-instanceStruct.instanceVar_Tnom)))*instanceStruct.d_instanceVar_UA1R_i_dX-instanceStruct.instanceVar_UA1R_i*(instanceStruct.d_instanceVar_UAR_i_dX+(instanceStruct.instanceVar_UA1R_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_UA1R_i_dX*(210-instanceStruct.instanceVar_Tnom))))/(instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*(210-instanceStruct.instanceVar_Tnom)))/(instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*(210-instanceStruct.instanceVar_Tnom))))-((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UA2_i*(((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?deriv_log_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)):0.0)+instanceStruct.d_instanceVar_UA2_i_dX*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))-(instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T2 = (210*((instanceStruct.instanceVar_UA1R_i/(instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*(210-instanceStruct.instanceVar_Tnom))))-((instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom))));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = ((value_pow_0*(instanceStruct.d_instanceVar_UAR_i_dX+(instanceStruct.instanceVar_UA1R_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_UA1R_i_dX*(210-instanceStruct.instanceVar_Tnom)))-(instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*(210-instanceStruct.instanceVar_Tnom)))*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_UA2_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2_i_dX*(210/instanceStruct.instanceVar_Tnom)))))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*(210-instanceStruct.instanceVar_Tnom)))/value_pow_0);
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_TRatio,(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio)));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_TRatio == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))/instanceStruct.instanceVar_TRatio));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_TRatio == 0.0)?0.0:(log(instanceStruct.instanceVar_TRatio)*value_pow_0);
instanceStruct.d_instanceVar_UAR_tl_dX = (instanceStruct.instanceVar_T1*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_TRatio_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_UA2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2_i_dX*instanceStruct.instanceVar_TRatio)))))+instanceStruct.d_instanceVar_T1_dX*value_pow_0);
instanceStruct.instanceVar_UAR_tl = (instanceStruct.instanceVar_T1*value_pow_0);
}
instanceStruct.d_instanceVar_UAR_th_dX = (instanceStruct.d_instanceVar_UAR_i_dX+(instanceStruct.instanceVar_UA1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1R_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UAR_th = (instanceStruct.instanceVar_UAR_i+(instanceStruct.instanceVar_UA1R_i*instanceStruct.instanceVar_delTemp));
}
else
{
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom))));
double value_log_1 = log((210/instanceStruct.instanceVar_Tnom));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
double  deriv_log_1_d0 = (1.0/(210/instanceStruct.instanceVar_Tnom));
instanceStruct.d_instanceVar_T2_dX = ((instanceStruct.instanceVar_UAR_i*value_pow_0)*((instanceStruct.d_instanceVar_UA1R_i_dX/210)+((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UA2_i*(((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?deriv_log_1_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)):0.0)+instanceStruct.d_instanceVar_UA2_i_dX*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))-(instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom))+(instanceStruct.instanceVar_UAR_i*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1R_i_dX+(instanceStruct.instanceVar_UA2_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2_i_dX*(210/instanceStruct.instanceVar_Tnom))))))+instanceStruct.d_instanceVar_UAR_i_dX*value_pow_0)*((instanceStruct.instanceVar_UA1R_i/210)+((instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_UAR_i*value_pow_0)*((instanceStruct.instanceVar_UA1R_i/210)+((instanceStruct.instanceVar_UA2_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom))));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_UAR_i*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1R_i_dX+(instanceStruct.instanceVar_UA2_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2_i_dX*(210/instanceStruct.instanceVar_Tnom))))))+instanceStruct.d_instanceVar_UAR_i_dX*value_pow_0)-(instanceStruct.instanceVar_T2*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_T2_dX*(210-instanceStruct.instanceVar_Tnom)));
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_UAR_i*value_pow_0)-(instanceStruct.instanceVar_T2*(210-instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_TRatio,(instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio)));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_TRatio == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1R_i+(instanceStruct.instanceVar_UA2_i*instanceStruct.instanceVar_TRatio))/instanceStruct.instanceVar_TRatio));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_TRatio == 0.0)?0.0:(log(instanceStruct.instanceVar_TRatio)*value_pow_0);
instanceStruct.d_instanceVar_UAR_tl_dX = (instanceStruct.instanceVar_UAR_i*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_TRatio_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1R_i_dX+(instanceStruct.instanceVar_UA2_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2_i_dX*instanceStruct.instanceVar_TRatio)))))+instanceStruct.d_instanceVar_UAR_i_dX*value_pow_0);
instanceStruct.instanceVar_UAR_tl = (instanceStruct.instanceVar_UAR_i*value_pow_0);
}
instanceStruct.d_instanceVar_UAR_th_dX = (instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UAR_th = (instanceStruct.instanceVar_T1+(instanceStruct.instanceVar_T2*instanceStruct.instanceVar_delTemp));
}
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_wl*instanceStruct.d_instanceVar_UAR_tl_dX+instanceStruct.d_instanceVar_wl_dX*instanceStruct.instanceVar_UAR_tl)+(instanceStruct.instanceVar_wh*instanceStruct.d_instanceVar_UAR_th_dX+instanceStruct.d_instanceVar_wh_dX*instanceStruct.instanceVar_UAR_th));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_wl*instanceStruct.instanceVar_UAR_tl)+(instanceStruct.instanceVar_wh*instanceStruct.instanceVar_UAR_th));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UAR_t_dX = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-6==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0))));
instanceStruct.instanceVar_UAR_t = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T0+value_sqrt_0)));
}
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UD1_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UD_t_dX = (instanceStruct.instanceVar_UD_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UD1_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UD1_i_dX+(instanceStruct.instanceVar_UD2_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UD2_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_UD_i_dX*value_exp_0);
instanceStruct.instanceVar_UD_t = (instanceStruct.instanceVar_UD_i*value_exp_0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UD1R_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDR_t_dX = (instanceStruct.instanceVar_UDR_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UD1R_i+(instanceStruct.instanceVar_UD2_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UD1R_i_dX+(instanceStruct.instanceVar_UD2_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UD2_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_UDR_i_dX*value_exp_0);
instanceStruct.instanceVar_UDR_t = (instanceStruct.instanceVar_UDR_i*value_exp_0);
}
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UCSTE_i+(instanceStruct.instanceVar_UCSTE1_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UCS_t_dX = (instanceStruct.instanceVar_UCS_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UCSTE_i+(instanceStruct.instanceVar_UCSTE1_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UCSTE_i_dX+(instanceStruct.instanceVar_UCSTE1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UCSTE1_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_UCS_i_dX*value_exp_0);
instanceStruct.instanceVar_UCS_t = (instanceStruct.instanceVar_UCS_i*value_exp_0);
}
if ((fabs(((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom))<1.0e-6))
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDS_t_dX = (instanceStruct.instanceVar_UDS_i*(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?5.540622384e34*(instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDS1_i_dX*instanceStruct.instanceVar_delTRatio1):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDS1_i_dX*instanceStruct.instanceVar_delTRatio1))))+instanceStruct.d_instanceVar_UDS_i_dX*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
instanceStruct.instanceVar_UDS_t = (instanceStruct.instanceVar_UDS_i*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
}
else
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1));
double value_exp_1 = exp(((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom));
double value_fabs_2 = fabs((((((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom))-80.0)):((((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)<(-80.0))?1.804851387e-35:value_exp_1))-1));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_fabs_2_d0 = ((((((((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom))-80.0)):((((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)<(-80.0))?1.804851387e-35:value_exp_1))-1))>=0)?(+1.0):(-1.0));
instanceStruct.d_instanceVar_UDS_t_dX = ((value_fabs_2*(instanceStruct.instanceVar_UDS_i*(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?5.540622384e34*(instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDS1_i_dX*instanceStruct.instanceVar_delTRatio1):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDS1_i_dX*instanceStruct.instanceVar_delTRatio1))))+instanceStruct.d_instanceVar_UDS_i_dX*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))-(instanceStruct.instanceVar_UDS_i*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))*deriv_fabs_2_d0*(((((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_Tnom_dX+instanceStruct.d_instanceVar_UDS1_i_dX*(instanceStruct.instanceVar_Tnom-210))-(instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom):((((instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)<(-80.0))?0.0:deriv_exp_1_d0*(((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UDS1_i*instanceStruct.d_instanceVar_Tnom_dX+instanceStruct.d_instanceVar_UDS1_i_dX*(instanceStruct.instanceVar_Tnom-210))-(instanceStruct.instanceVar_UDS1_i*(instanceStruct.instanceVar_Tnom-210))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom))))))/value_fabs_2/value_fabs_2);
instanceStruct.instanceVar_UDS_t = ((instanceStruct.instanceVar_UDS_i*((((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDS1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))/value_fabs_2);
}
}
if ((fabs(((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom))<1.0e-6))
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDD_t_dX = (instanceStruct.instanceVar_UDD_i*(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?5.540622384e34*(instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDD1_i_dX*instanceStruct.instanceVar_delTRatio1):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDD1_i_dX*instanceStruct.instanceVar_delTRatio1))))+instanceStruct.d_instanceVar_UDD_i_dX*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
instanceStruct.instanceVar_UDD_t = (instanceStruct.instanceVar_UDD_i*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1));
}
}
else
{
{
double value_exp_0 = exp((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1));
double value_exp_1 = exp(((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom));
double value_fabs_2 = fabs((((((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom))-80.0)):((((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)<(-80.0))?1.804851387e-35:value_exp_1))-1));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_fabs_2_d0 = ((((((((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom))-80.0)):((((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)<(-80.0))?1.804851387e-35:value_exp_1))-1))>=0)?(+1.0):(-1.0));
instanceStruct.d_instanceVar_UDD_t_dX = ((value_fabs_2*(instanceStruct.instanceVar_UDD_i*(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?5.540622384e34*(instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDD1_i_dX*instanceStruct.instanceVar_delTRatio1):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?0.0:deriv_exp_0_d0*((instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UDD1_i_dX*instanceStruct.instanceVar_delTRatio1))))+instanceStruct.d_instanceVar_UDD_i_dX*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))-(instanceStruct.instanceVar_UDD_i*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))*deriv_fabs_2_d0*(((((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_Tnom_dX+instanceStruct.d_instanceVar_UDD1_i_dX*(instanceStruct.instanceVar_Tnom-210))-(instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom):((((instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))/instanceStruct.instanceVar_Tnom)<(-80.0))?0.0:deriv_exp_1_d0*(((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UDD1_i*instanceStruct.d_instanceVar_Tnom_dX+instanceStruct.d_instanceVar_UDD1_i_dX*(instanceStruct.instanceVar_Tnom-210))-(instanceStruct.instanceVar_UDD1_i*(instanceStruct.instanceVar_Tnom-210))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom))))))/value_fabs_2/value_fabs_2);
instanceStruct.instanceVar_UDD_t = ((instanceStruct.instanceVar_UDD_i*((((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1))-80.0)):(((instanceStruct.instanceVar_UDD1_i*instanceStruct.instanceVar_delTRatio1)<(-80.0))?1.804851387e-35:value_exp_0))-1))/value_fabs_2);
}
}
instanceStruct.d_instanceVar_UDSeff_t_dX = instanceStruct.d_instanceVar_UDS_t_dX;
instanceStruct.instanceVar_UDSeff_t = (0.5+instanceStruct.instanceVar_UDS_t);
instanceStruct.d_instanceVar_UDDeff_t_dX = instanceStruct.d_instanceVar_UDD_t_dX;
instanceStruct.instanceVar_UDDeff_t = (0.5+instanceStruct.instanceVar_UDD_t);
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_EU_i))-1.0e-6)*(((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_EU_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_EU_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_EU_t_dX = (instanceStruct.d_instanceVar_EU_i_dX+(((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)==0.0)&&((-instanceStruct.instanceVar_EU_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_EU_i_dX)+0.5*(((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp1_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.d_instanceVar_EU_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_EU_i))-1.0e-6)*((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp1_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.d_instanceVar_EU_i_dX))+((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp1_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.d_instanceVar_EU_i_dX))*(((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_EU_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_EU_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_EU_t = (instanceStruct.instanceVar_EU_i+(((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)==0.0)&&((-instanceStruct.instanceVar_EU_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_EU_i)+(0.5*((((instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_EU_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT_t_dX = (instanceStruct.d_instanceVar_VSAT_i_dX+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT_i_dX)+0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT_i_dX))+((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT_i_dX))*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT_t = (instanceStruct.instanceVar_VSAT_i+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSAT_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT_i)+(0.5*((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT_i))-1.0e-6)+value_sqrt_0)))));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSATR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATR_t_dX = (instanceStruct.d_instanceVar_VSATR_i_dX+(((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSATR_i_dX)+0.5*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSATR_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)*((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSATR_i_dX))+((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATR_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSATR_i_dX))*(((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSATR_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSATR_t = (instanceStruct.instanceVar_VSATR_i+(((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSATR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSATR_i)+(0.5*((((((-instanceStruct.instanceVar_ATR_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATR_i))-1.0e-6)+value_sqrt_0)))));
}
if ((instanceStruct.instanceVar_VSATR_t<1000))
{
UserInfo(theInstance)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSATR_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSATR_t_dX = 0.0;
instanceStruct.instanceVar_VSATR_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1_t_dX = (instanceStruct.d_instanceVar_VSAT1_i_dX+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT1_i_dX)+0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT1_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT1_i_dX))+((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT1_i_dX))*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT1_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT1_t = (instanceStruct.instanceVar_VSAT1_i+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSAT1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT1_i)+(0.5*((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1_i))-1.0e-6)+value_sqrt_0)))));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSAT1R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1R_t_dX = (instanceStruct.d_instanceVar_VSAT1R_i_dX+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSAT1R_i_dX)+0.5*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)*((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))+((((-instanceStruct.instanceVar_AT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_AT_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSAT1R_i_dX))*(((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSAT1R_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSAT1R_t = (instanceStruct.instanceVar_VSAT1R_i+(((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSAT1R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSAT1R_i)+(0.5*((((((-instanceStruct.instanceVar_AT_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSAT1R_i))-1.0e-6)+value_sqrt_0)))));
}
if ((instanceStruct.instanceVar_VSAT1R_t<1000))
{
UserInfo(theInstance)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSAT1R_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSAT1R_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_VSATCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATCV_t_dX = (instanceStruct.d_instanceVar_VSATCV_i_dX+(((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_VSATCV_i_dX)+0.5*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSATCV_i_dX))+deriv_sqrt_0_d0*((((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)*((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSATCV_i_dX))+((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_ATCV_i_dX)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_VSATCV_i_dX))*(((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_VSATCV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_VSATCV_t = (instanceStruct.instanceVar_VSATCV_i+(((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_VSATCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_VSATCV_i)+(0.5*((((((-instanceStruct.instanceVar_ATCV_i)*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_VSATCV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6)*((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_KSATIV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_KSATIV_t_dX = (instanceStruct.d_instanceVar_KSATIV_i_dX+((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_KSATIV_i_dX)+0.5*((((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_KSATIV_i_dX))+deriv_sqrt_0_d0*(((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6)*(((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_KSATIV_i_dX))+(((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.d_instanceVar_KSATIV_i_dX))*((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_KSATIV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_KSATIV_t = (instanceStruct.instanceVar_KSATIV_i+((((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))==0.0)&&((-instanceStruct.instanceVar_KSATIV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_KSATIV_i)+(0.5*(((((modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-(-instanceStruct.instanceVar_KSATIV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6)*(((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_PCLM_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PCLM_t_dX = (instanceStruct.d_instanceVar_PCLM_i_dX+(((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)==0.0)&&((-instanceStruct.instanceVar_PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_PCLM_i_dX)+0.5*(((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.d_instanceVar_PCLM_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6)*((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.d_instanceVar_PCLM_i_dX))+((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.d_instanceVar_PCLM_i_dX))*(((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_PCLM_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_PCLM_t = (instanceStruct.instanceVar_PCLM_i+(((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)==0.0)&&((-instanceStruct.instanceVar_PCLM_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_PCLM_i)+(0.5*((((modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1)-(-instanceStruct.instanceVar_PCLM_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_EU_t_dX = (instanceStruct.instanceVar_EU_i*(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp1_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp1)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp1_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp1)+(instanceStruct.instanceVar_EU1_i*instanceStruct.d_instanceVar_delTemp1_dX+instanceStruct.d_instanceVar_EU1_i_dX*instanceStruct.instanceVar_delTemp1)*((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_EU_i_dX*(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_EU_t = (instanceStruct.instanceVar_EU_i*(((((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_EU1_i*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT_t_dX = (instanceStruct.instanceVar_VSAT_i*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+deriv_sqrt_0_d0*(((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))*(((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT_i_dX*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT_t = (instanceStruct.instanceVar_VSAT_i*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATR_t_dX = (instanceStruct.instanceVar_VSATR_i*((((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-(instanceStruct.instanceVar_ATR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_ATR_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+deriv_sqrt_0_d0*(((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((-(instanceStruct.instanceVar_ATR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_ATR_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+((-(instanceStruct.instanceVar_ATR_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_ATR_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))*(((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_VSATR_i_dX*((((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSATR_t = (instanceStruct.instanceVar_VSATR_i*((((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_ATR_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
if ((instanceStruct.instanceVar_VSATR_t<1000))
{
UserInfo(theInstance)  << "Warning: VSATR(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSATR_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSATR_t_dX = 0.0;
instanceStruct.instanceVar_VSATR_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1_t_dX = (instanceStruct.instanceVar_VSAT1_i*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+deriv_sqrt_0_d0*(((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))*(((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT1_i_dX*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT1_t = (instanceStruct.instanceVar_VSAT1_i*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSAT1R_t_dX = (instanceStruct.instanceVar_VSAT1R_i*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+deriv_sqrt_0_d0*(((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+((-(instanceStruct.instanceVar_AT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AT_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))*(((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_VSAT1R_i_dX*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSAT1R_t = (instanceStruct.instanceVar_VSAT1R_i*((((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_AT_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
if ((instanceStruct.instanceVar_VSAT1R_t<1000))
{
UserInfo(theInstance)  << "Warning: VSAT1R(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSAT1R_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSAT1R_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1R_t = 1000;
}
}
{
double value_sqrt_0 = sqrt((((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_VSATCV_t_dX = (instanceStruct.instanceVar_VSATCV_i*((((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-(instanceStruct.instanceVar_ATCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_ATCV_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+deriv_sqrt_0_d0*(((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((-(instanceStruct.instanceVar_ATCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_ATCV_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+((-(instanceStruct.instanceVar_ATCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_ATCV_i_dX*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_AT2CV*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_AT2CV_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))*(((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_VSATCV_i_dX*((((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_VSATCV_t = (instanceStruct.instanceVar_VSATCV_i*((((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0-(instanceStruct.instanceVar_ATCV_i*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_AT2CV*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_KSATIV_t_dX = (instanceStruct.instanceVar_KSATIV_i*((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+deriv_sqrt_0_d0*(((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT1*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT1_dX*instanceStruct.instanceVar_delTemp1)+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_KSATIVT2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_KSATIVT2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))*(((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_KSATIV_i_dX*((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_KSATIV_t = (instanceStruct.instanceVar_KSATIV_i*((((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((((1.0+(modelStruct.modelPar_KSATIVT1*instanceStruct.instanceVar_delTemp1))+((modelStruct.modelPar_KSATIVT2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)*((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PCLM_t_dX = (instanceStruct.instanceVar_PCLM_i*(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp1)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)*(modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp1)+(modelStruct.modelPar_PCLMT*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_PCLMT_dX*instanceStruct.instanceVar_delTemp1)*((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)))))+instanceStruct.d_instanceVar_PCLM_i_dX*(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_PCLM_t = (instanceStruct.instanceVar_PCLM_i*(((((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_PCLMT*instanceStruct.instanceVar_delTemp1))-1.0e-6)+value_sqrt_0))));
}
}
{
double value_sqrt_0 = sqrt(((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)*((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_MEXP_t_dX = (((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_MEXP_i*((modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+instanceStruct.d_instanceVar_MEXP_i_dX*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)*(instanceStruct.instanceVar_MEXP_i*((modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+instanceStruct.d_instanceVar_MEXP_i_dX*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))+(instanceStruct.instanceVar_MEXP_i*((modelStruct.modelPar_TMEXP*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXP_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+instanceStruct.d_instanceVar_MEXP_i_dX*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))*((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)))));
instanceStruct.instanceVar_MEXP_t = ((((((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_MEXP_i*((1.0+(modelStruct.modelPar_TMEXP*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)+value_sqrt_0)))+2.0);
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)*((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_MEXPR_t_dX = (((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_MEXPR_i*((modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+instanceStruct.d_instanceVar_MEXPR_i_dX*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)*(instanceStruct.instanceVar_MEXPR_i*((modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+instanceStruct.d_instanceVar_MEXPR_i_dX*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))+(instanceStruct.instanceVar_MEXPR_i*((modelStruct.modelPar_TMEXPR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TMEXPR_dX*instanceStruct.instanceVar_delTemp)+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.d_instanceVar_delTemp1_dX+(modelStruct.modelPar_TMEXP2*instanceStruct.d_instanceVar_delTemp1_dX+modelStruct.d_modelPar_TMEXP2_dX*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1))+instanceStruct.d_instanceVar_MEXPR_i_dX*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))*((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)))));
instanceStruct.instanceVar_MEXPR_t = ((((((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((instanceStruct.instanceVar_MEXPR_i*((1.0+(modelStruct.modelPar_TMEXPR*instanceStruct.instanceVar_delTemp))+((modelStruct.modelPar_TMEXP2*instanceStruct.instanceVar_delTemp1)*instanceStruct.instanceVar_delTemp1)))-2.0)+value_sqrt_0)))+2.0);
}
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UTECV_i+(instanceStruct.instanceVar_UTE1CV_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_U0CV_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UTECV_i+(instanceStruct.instanceVar_UTE1CV_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UTECV_i_dX+(instanceStruct.instanceVar_UTE1CV_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UTE1CV_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_U0CV_i_dX*value_exp_0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_U0CV_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(((4.0*(-0.9))*instanceStruct.instanceVar_T1)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_u0_cv_dX = (instanceStruct.d_instanceVar_T1_dX+(((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:((-0.9)*instanceStruct.d_instanceVar_T1_dX+0.5*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)*((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)+((instanceStruct.instanceVar_UTLCV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UTLCV_i_dX*instanceStruct.instanceVar_delTemp)-(-0.9)*instanceStruct.d_instanceVar_T1_dX)*(((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4))-(4.0*(-0.9))*instanceStruct.d_instanceVar_T1_dX*1.0e-4))))));
instanceStruct.instanceVar_u0_cv = (instanceStruct.instanceVar_T1+(((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)==0.0)&&(((-0.9)*instanceStruct.instanceVar_T1)==0.0))&&(1.0e-4==0.0))?0.0:(((-0.9)*instanceStruct.instanceVar_T1)+(0.5*((((instanceStruct.instanceVar_UTLCV_i*instanceStruct.instanceVar_delTemp)-((-0.9)*instanceStruct.instanceVar_T1))-1.0e-4)+value_sqrt_0)))));
}
if ((instanceStruct.instanceVar_Tnom>210))
{
{
double value_log_0 = log((210/instanceStruct.instanceVar_Tnom));
double  deriv_log_0_d0 = (1.0/(210/instanceStruct.instanceVar_Tnom));
instanceStruct.d_instanceVar_T2_dX = 210*((((instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*(210-instanceStruct.instanceVar_Tnom)))*instanceStruct.d_instanceVar_UA1CV_i_dX-instanceStruct.instanceVar_UA1CV_i*(instanceStruct.d_instanceVar_UACV_i_dX+(instanceStruct.instanceVar_UA1CV_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_UA1CV_i_dX*(210-instanceStruct.instanceVar_Tnom))))/(instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*(210-instanceStruct.instanceVar_Tnom)))/(instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*(210-instanceStruct.instanceVar_Tnom))))-((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UA2CV_i*(((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?deriv_log_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)):0.0)+instanceStruct.d_instanceVar_UA2CV_i_dX*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))-(instanceStruct.instanceVar_UA2CV_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T2 = (210*((instanceStruct.instanceVar_UA1CV_i/(instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*(210-instanceStruct.instanceVar_Tnom))))-((instanceStruct.instanceVar_UA2CV_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_0:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2CV_i*(210/instanceStruct.instanceVar_Tnom))));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2CV_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = ((value_pow_0*(instanceStruct.d_instanceVar_UACV_i_dX+(instanceStruct.instanceVar_UA1CV_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_UA1CV_i_dX*(210-instanceStruct.instanceVar_Tnom)))-(instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*(210-instanceStruct.instanceVar_Tnom)))*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_UA2CV_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2CV_i_dX*(210/instanceStruct.instanceVar_Tnom)))))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*(210-instanceStruct.instanceVar_Tnom)))/value_pow_0);
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_TRatio,(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.instanceVar_TRatio)));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_TRatio == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_T2+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.instanceVar_TRatio))/instanceStruct.instanceVar_TRatio));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_TRatio == 0.0)?0.0:(log(instanceStruct.instanceVar_TRatio)*value_pow_0);
instanceStruct.d_instanceVar_UACV_tl_dX = (instanceStruct.instanceVar_T1*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_TRatio_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2CV_i_dX*instanceStruct.instanceVar_TRatio)))))+instanceStruct.d_instanceVar_T1_dX*value_pow_0);
instanceStruct.instanceVar_UACV_tl = (instanceStruct.instanceVar_T1*value_pow_0);
}
instanceStruct.d_instanceVar_UACV_th_dX = (instanceStruct.d_instanceVar_UACV_i_dX+(instanceStruct.instanceVar_UA1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UA1CV_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UACV_th = (instanceStruct.instanceVar_UACV_i+(instanceStruct.instanceVar_UA1CV_i*instanceStruct.instanceVar_delTemp));
}
else
{
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*(210/instanceStruct.instanceVar_Tnom))));
double value_log_1 = log((210/instanceStruct.instanceVar_Tnom));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
double  deriv_log_1_d0 = (1.0/(210/instanceStruct.instanceVar_Tnom));
instanceStruct.d_instanceVar_T2_dX = ((instanceStruct.instanceVar_UACV_i*value_pow_0)*((instanceStruct.d_instanceVar_UA1CV_i_dX/210)+((instanceStruct.instanceVar_Tnom*(instanceStruct.instanceVar_UA2CV_i*(((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?deriv_log_1_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)):0.0)+instanceStruct.d_instanceVar_UA2CV_i_dX*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))-(instanceStruct.instanceVar_UA2CV_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))*instanceStruct.d_instanceVar_Tnom_dX)/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom))+(instanceStruct.instanceVar_UACV_i*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1CV_i_dX+(instanceStruct.instanceVar_UA2CV_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2CV_i_dX*(210/instanceStruct.instanceVar_Tnom))))))+instanceStruct.d_instanceVar_UACV_i_dX*value_pow_0)*((instanceStruct.instanceVar_UA1CV_i/210)+((instanceStruct.instanceVar_UA2CV_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_UACV_i*value_pow_0)*((instanceStruct.instanceVar_UA1CV_i/210)+((instanceStruct.instanceVar_UA2CV_i*((((210/instanceStruct.instanceVar_Tnom)>1.0e-38)?value_log_1:(-87.498233534))+1))/instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow((210/instanceStruct.instanceVar_Tnom),(instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*(210/instanceStruct.instanceVar_Tnom))));
double  deriv_pow_0_d0 = (((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*(210/instanceStruct.instanceVar_Tnom)))/(210/instanceStruct.instanceVar_Tnom)));
double  deriv_pow_0_d1 = ((210/instanceStruct.instanceVar_Tnom) == 0.0)?0.0:(log((210/instanceStruct.instanceVar_Tnom))*value_pow_0);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_UACV_i*((deriv_pow_0_d0*((-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1CV_i_dX+(instanceStruct.instanceVar_UA2CV_i*(-210*instanceStruct.d_instanceVar_Tnom_dX/instanceStruct.instanceVar_Tnom/instanceStruct.instanceVar_Tnom)+instanceStruct.d_instanceVar_UA2CV_i_dX*(210/instanceStruct.instanceVar_Tnom))))))+instanceStruct.d_instanceVar_UACV_i_dX*value_pow_0)-(instanceStruct.instanceVar_T2*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_T2_dX*(210-instanceStruct.instanceVar_Tnom)));
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_UACV_i*value_pow_0)-(instanceStruct.instanceVar_T2*(210-instanceStruct.instanceVar_Tnom)));
}
{
double value_pow_0 = pow(instanceStruct.instanceVar_TRatio,(instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.instanceVar_TRatio)));
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_TRatio == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_UA1CV_i+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.instanceVar_TRatio))/instanceStruct.instanceVar_TRatio));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_TRatio == 0.0)?0.0:(log(instanceStruct.instanceVar_TRatio)*value_pow_0);
instanceStruct.d_instanceVar_UACV_tl_dX = (instanceStruct.instanceVar_UACV_i*((deriv_pow_0_d0*(instanceStruct.d_instanceVar_TRatio_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_UA1CV_i_dX+(instanceStruct.instanceVar_UA2CV_i*instanceStruct.d_instanceVar_TRatio_dX+instanceStruct.d_instanceVar_UA2CV_i_dX*instanceStruct.instanceVar_TRatio)))))+instanceStruct.d_instanceVar_UACV_i_dX*value_pow_0);
instanceStruct.instanceVar_UACV_tl = (instanceStruct.instanceVar_UACV_i*value_pow_0);
}
instanceStruct.d_instanceVar_UACV_th_dX = (instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UACV_th = (instanceStruct.instanceVar_T1+(instanceStruct.instanceVar_T2*instanceStruct.instanceVar_delTemp));
}
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_wl*instanceStruct.d_instanceVar_UACV_tl_dX+instanceStruct.d_instanceVar_wl_dX*instanceStruct.instanceVar_UACV_tl)+(instanceStruct.instanceVar_wh*instanceStruct.d_instanceVar_UACV_th_dX+instanceStruct.d_instanceVar_wh_dX*instanceStruct.instanceVar_UACV_th));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_wl*instanceStruct.instanceVar_UACV_tl)+(instanceStruct.instanceVar_wh*instanceStruct.instanceVar_UACV_th));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UACV_t_dX = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-6==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0))));
instanceStruct.instanceVar_UACV_t = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T0+value_sqrt_0)));
}
{
double value_exp_0 = exp(((instanceStruct.instanceVar_UD1CV_i+(instanceStruct.instanceVar_UD2CV_i*instanceStruct.instanceVar_delTRatio1))*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_UDCV_t_dX = (instanceStruct.instanceVar_UDCV_i*deriv_exp_0_d0*(((instanceStruct.instanceVar_UD1CV_i+(instanceStruct.instanceVar_UD2CV_i*instanceStruct.instanceVar_delTRatio1))*d_Trat_ln_dX+(instanceStruct.d_instanceVar_UD1CV_i_dX+(instanceStruct.instanceVar_UD2CV_i*instanceStruct.d_instanceVar_delTRatio1_dX+instanceStruct.d_instanceVar_UD2CV_i_dX*instanceStruct.instanceVar_delTRatio1))*Trat_ln))+instanceStruct.d_instanceVar_UDCV_i_dX*value_exp_0);
instanceStruct.instanceVar_UDCV_t = (instanceStruct.instanceVar_UDCV_i*value_exp_0);
}
}
if ((instanceStruct.instanceVar_PRT_i==instanceStruct.instanceVar_PRT1_i))
{
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp);
instanceStruct.instanceVar_T2 = (1.0+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp));
}
else
{
if ((instanceStruct.instanceVar_TR0_i<210))
{
if ((instanceStruct.instanceVar_Tnom>210))
{
d_rdstemp0_dX = (instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp);
rdstemp0 = (1+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp));
d_rdstemp1_dX = ((instanceStruct.instanceVar_PRT1_i*(d_DevTemp_dX-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(DevTemp-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
rdstemp1 = ((1+(instanceStruct.instanceVar_PRT1_i*(DevTemp-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.instanceVar_PRT_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(210-instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T3 = (1+(instanceStruct.instanceVar_PRT_i*(210-instanceStruct.instanceVar_Tnom)));
d_T4_dX = ((instanceStruct.instanceVar_PRT1_i*(-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(210-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
T4 = ((1+(instanceStruct.instanceVar_PRT1_i*(210-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3-T4)*(instanceStruct.instanceVar_T3-T4))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T5_dX = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)+deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(T4==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_T3_dX+d_T4_dX)+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3-T4)*(instanceStruct.d_instanceVar_T3_dX-d_T4_dX)+(instanceStruct.d_instanceVar_T3_dX-d_T4_dX)*(instanceStruct.instanceVar_T3-T4))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))))+instanceStruct.d_instanceVar_T3_dX);
T5 = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(T4==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T3+T4)+value_sqrt_1))))+instanceStruct.instanceVar_T3);
}
{
double value_sqrt_0 = sqrt((((T5-rdstemp0)*(T5-rdstemp0))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T5_dX+d_rdstemp0_dX)+deriv_sqrt_0_d0*(((T5-rdstemp0)*(d_T5_dX-d_rdstemp0_dX)+(d_T5_dX-d_rdstemp0_dX)*(T5-rdstemp0)))));
instanceStruct.instanceVar_T2 = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T5+rdstemp0)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3-T4)*(instanceStruct.instanceVar_T3-T4))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T5_dX = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)-deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(T4==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_T3_dX+d_T4_dX)-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3-T4)*(instanceStruct.d_instanceVar_T3_dX-d_T4_dX)+(instanceStruct.d_instanceVar_T3_dX-d_T4_dX)*(instanceStruct.instanceVar_T3-T4))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))))+instanceStruct.d_instanceVar_T3_dX);
T5 = ((((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(T4==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T3+T4)-value_sqrt_1))))+instanceStruct.instanceVar_T3);
}
{
double value_sqrt_0 = sqrt((((T5-rdstemp0)*(T5-rdstemp0))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T5_dX+d_rdstemp0_dX)-deriv_sqrt_0_d0*(((T5-rdstemp0)*(d_T5_dX-d_rdstemp0_dX)+(d_T5_dX-d_rdstemp0_dX)*(T5-rdstemp0)))));
instanceStruct.instanceVar_T2 = ((((T5==0.0)&&(rdstemp0==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T5+rdstemp0)-value_sqrt_0)));
}
}
}
else
{
if ((instanceStruct.instanceVar_Tnom>instanceStruct.instanceVar_TR0_i))
{
d_rdstemp0_dX = (instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp);
rdstemp0 = (1+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp));
d_rdstemp1_dX = ((instanceStruct.instanceVar_PRT1_i*(d_DevTemp_dX-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(DevTemp-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
rdstemp1 = ((1+(instanceStruct.instanceVar_PRT1_i*(DevTemp-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_PRT_i-instanceStruct.instanceVar_PRT1_i)*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+(instanceStruct.d_instanceVar_PRT_i_dX-instanceStruct.d_instanceVar_PRT1_i_dX)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_PRT_i-instanceStruct.instanceVar_PRT1_i)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
d_T4_dX = (instanceStruct.instanceVar_PRT_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(210-instanceStruct.instanceVar_Tnom));
T4 = (1+(instanceStruct.instanceVar_PRT_i*(210-instanceStruct.instanceVar_Tnom)));
d_T5_dX = ((instanceStruct.instanceVar_PRT1_i*(-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(210-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
T5 = ((1+(instanceStruct.instanceVar_PRT1_i*(210-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T6_dX = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)+deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3+value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T7_dX = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_T4_dX+d_T5_dX)+deriv_sqrt_0_d0*((((T4-T5)*(d_T4_dX-d_T5_dX)+(d_T4_dX-d_T5_dX)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((T4+T5)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3+value_sqrt_1))));
}
d_T8_dX = (d_T7_dX+(instanceStruct.instanceVar_PRT_i*d_DevTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-210)));
T8 = (T7+(instanceStruct.instanceVar_PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dX+d_T8_dX)+deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dX-d_T8_dX)+(d_T6_dX-d_T8_dX)*(T6-T8)))));
instanceStruct.instanceVar_T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T6_dX = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)-deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3-value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T7_dX = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_T4_dX+d_T5_dX)-deriv_sqrt_0_d0*((((T4-T5)*(d_T4_dX-d_T5_dX)+(d_T4_dX-d_T5_dX)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((T4+T5)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3-value_sqrt_1))));
}
d_T8_dX = (d_T7_dX+(instanceStruct.instanceVar_PRT_i*d_DevTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-210)));
T8 = (T7+(instanceStruct.instanceVar_PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dX+d_T8_dX)-deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dX-d_T8_dX)+(d_T6_dX-d_T8_dX)*(T6-T8)))));
instanceStruct.instanceVar_T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)-value_sqrt_0)));
}
}
}
else
{
d_rdstemp1_dX = (instanceStruct.instanceVar_PRT1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT1_i_dX*instanceStruct.instanceVar_delTemp);
rdstemp1 = (1+(instanceStruct.instanceVar_PRT1_i*instanceStruct.instanceVar_delTemp));
d_rdstemp0_dX = ((instanceStruct.instanceVar_PRT_i*(d_DevTemp_dX-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT1_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
rdstemp0 = ((1+(instanceStruct.instanceVar_PRT_i*(DevTemp-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT1_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_PRT1_i-instanceStruct.instanceVar_PRT_i)*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+(instanceStruct.d_instanceVar_PRT1_i_dX-instanceStruct.d_instanceVar_PRT_i_dX)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_PRT1_i-instanceStruct.instanceVar_PRT_i)*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom));
d_T4_dX = (instanceStruct.instanceVar_PRT1_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(210-instanceStruct.instanceVar_Tnom));
T4 = (1+(instanceStruct.instanceVar_PRT1_i*(210-instanceStruct.instanceVar_Tnom)));
d_T5_dX = ((instanceStruct.instanceVar_PRT_i*(-instanceStruct.d_instanceVar_TR0_i_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(210-instanceStruct.instanceVar_TR0_i))+(instanceStruct.instanceVar_PRT1_i*(instanceStruct.d_instanceVar_TR0_i_dX-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
T5 = ((1+(instanceStruct.instanceVar_PRT_i*(210-instanceStruct.instanceVar_TR0_i)))+(instanceStruct.instanceVar_PRT1_i*(instanceStruct.instanceVar_TR0_i-instanceStruct.instanceVar_Tnom)));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T6_dX = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)+deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3+value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T7_dX = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_T4_dX+d_T5_dX)+deriv_sqrt_0_d0*((((T4-T5)*(d_T4_dX-d_T5_dX)+(d_T4_dX-d_T5_dX)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((T4+T5)+value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3+value_sqrt_1))));
}
d_T8_dX = (d_T7_dX+(instanceStruct.instanceVar_PRT_i*d_DevTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-210)));
T8 = (T7+(instanceStruct.instanceVar_PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dX+d_T8_dX)+deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dX-d_T8_dX)+(d_T6_dX-d_T8_dX)*(T6-T8)))));
instanceStruct.instanceVar_T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T6_dX = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)-deriv_sqrt_0_d0*((((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T6 = (((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3-value_sqrt_1))));
}
{
double value_sqrt_0 = sqrt((((T4-T5)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double value_sqrt_1 = sqrt((((instanceStruct.instanceVar_T3)*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.instanceVar_SPRT_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T7_dX = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*((d_T4_dX+d_T5_dX)-deriv_sqrt_0_d0*((((T4-T5)*(d_T4_dX-d_T5_dX)+(d_T4_dX-d_T5_dX)*(T4-T5))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i)))))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T3_dX-deriv_sqrt_1_d0*((((instanceStruct.instanceVar_T3)*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*(instanceStruct.instanceVar_T3))+((0.25*instanceStruct.instanceVar_SPRT_i)*instanceStruct.d_instanceVar_SPRT_i_dX+0.25*instanceStruct.d_instanceVar_SPRT_i_dX*instanceStruct.instanceVar_SPRT_i))))));
T7 = (((((T4==0.0)&&(T5==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*((T4+T5)-value_sqrt_0)))-((((instanceStruct.instanceVar_T3==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_SPRT_i==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T3-value_sqrt_1))));
}
d_T8_dX = (d_T7_dX+(instanceStruct.instanceVar_PRT_i*d_DevTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-210)));
T8 = (T7+(instanceStruct.instanceVar_PRT_i*(DevTemp-210)));
{
double value_sqrt_0 = sqrt((((T6-T8)*(T6-T8))+((0.25*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:0.5*((d_T6_dX+d_T8_dX)-deriv_sqrt_0_d0*(((T6-T8)*(d_T6_dX-d_T8_dX)+(d_T6_dX-d_T8_dX)*(T6-T8)))));
instanceStruct.instanceVar_T2 = ((((T6==0.0)&&(T8==0.0))&&(1.0e-3==0.0))?0.0:(0.5*((T6+T8)-value_sqrt_0)));
}
}
}
}
}
else
{
if ((instanceStruct.instanceVar_Tnom>210))
{
d_rdstemp0_dX = (instanceStruct.instanceVar_PRT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*instanceStruct.instanceVar_delTemp);
rdstemp0 = (1+(instanceStruct.instanceVar_PRT_i*instanceStruct.instanceVar_delTemp));
d_rdstemp1_dX = ((instanceStruct.instanceVar_PRT1_i*d_DevTemp_dX+instanceStruct.d_instanceVar_PRT1_i_dX*(DevTemp-210))+(instanceStruct.instanceVar_PRT_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT_i_dX*(210-instanceStruct.instanceVar_Tnom)));
rdstemp1 = ((1+(instanceStruct.instanceVar_PRT1_i*(DevTemp-210)))+(instanceStruct.instanceVar_PRT_i*(210-instanceStruct.instanceVar_Tnom)));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)+deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1)))));
instanceStruct.instanceVar_T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)-deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1)))));
instanceStruct.instanceVar_T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)));
}
}
}
else
{
d_rdstemp1_dX = (instanceStruct.instanceVar_PRT1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_PRT1_i_dX*instanceStruct.instanceVar_delTemp);
rdstemp1 = (1+(instanceStruct.instanceVar_PRT1_i*instanceStruct.instanceVar_delTemp));
d_rdstemp0_dX = ((instanceStruct.instanceVar_PRT_i*d_DevTemp_dX+instanceStruct.d_instanceVar_PRT_i_dX*(DevTemp-210))+(instanceStruct.instanceVar_PRT1_i*(-instanceStruct.d_instanceVar_Tnom_dX)+instanceStruct.d_instanceVar_PRT1_i_dX*(210-instanceStruct.instanceVar_Tnom)));
rdstemp0 = ((1+(instanceStruct.instanceVar_PRT_i*(DevTemp-210)))+(instanceStruct.instanceVar_PRT1_i*(210-instanceStruct.instanceVar_Tnom)));
if ((instanceStruct.instanceVar_PRT1_i<instanceStruct.instanceVar_PRT_i))
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)+deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1)))));
instanceStruct.instanceVar_T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)+value_sqrt_0)));
}
}
else
{
{
double value_sqrt_0 = sqrt((((rdstemp0-rdstemp1)*(rdstemp0-rdstemp1))+((0.25*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:0.5*((d_rdstemp0_dX+d_rdstemp1_dX)-deriv_sqrt_0_d0*(((rdstemp0-rdstemp1)*(d_rdstemp0_dX-d_rdstemp1_dX)+(d_rdstemp0_dX-d_rdstemp1_dX)*(rdstemp0-rdstemp1)))));
instanceStruct.instanceVar_T2 = ((((rdstemp0==0.0)&&(rdstemp1==0.0))&&(1.0e-2==0.0))?0.0:(0.5*((rdstemp0+rdstemp1)-value_sqrt_0)));
}
}
}
}
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T2-1.0e-6)*(instanceStruct.instanceVar_T2-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_rdstemp_dX = ((((instanceStruct.instanceVar_T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T2_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T2-1.0e-6)*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T2-1.0e-6)))));
instanceStruct.instanceVar_rdstemp = ((((instanceStruct.instanceVar_T2-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T2-1.0e-6)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_Tnom-210)*(instanceStruct.instanceVar_Tnom-210))+((0.25*0.2)*0.2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T4_dX = ((((instanceStruct.instanceVar_Tnom==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_Tnom_dX-deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Tnom-210)*instanceStruct.d_instanceVar_Tnom_dX+instanceStruct.d_instanceVar_Tnom_dX*(instanceStruct.instanceVar_Tnom-210)))));
T4 = ((((instanceStruct.instanceVar_Tnom==0.0)&&(210==0.0))&&(0.2==0.0))?0.0:(0.5*((instanceStruct.instanceVar_Tnom+210)-value_sqrt_0)));
}
{
double value_exp_0 = exp((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH)));
double value_exp_1 = exp((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
instanceStruct.d_instanceVar_dvth_temp_dX = ((((instanceStruct.instanceVar_KT1_i+(modelStruct.modelPar_KT1L/instanceStruct.instanceVar_Leff))*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.d_instanceVar_KT1_i_dX+((instanceStruct.instanceVar_Leff*modelStruct.d_modelPar_KT1L_dX-modelStruct.modelPar_KT1L*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff))*instanceStruct.instanceVar_TRatio_m1)+(((1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))*modelStruct.d_modelPar_KT11_dX-modelStruct.modelPar_KT11*(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))>80.0)?5.540622384e34*(modelStruct.modelPar_KT12*(instanceStruct.d_instanceVar_DevTemp1_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))<(-80.0))?0.0:deriv_exp_0_d0*((modelStruct.modelPar_KT12*(instanceStruct.d_instanceVar_DevTemp1_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))))))/(1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))/(1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))))-(((1+(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))*modelStruct.d_modelPar_KT11_dX-modelStruct.modelPar_KT11*(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))>80.0)?5.540622384e34*(modelStruct.modelPar_KT12*(d_T4_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(T4-modelStruct.modelPar_TVTH)):(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))<(-80.0))?0.0:deriv_exp_1_d0*((modelStruct.modelPar_KT12*(d_T4_dX-modelStruct.d_modelPar_TVTH_dX)+modelStruct.d_modelPar_KT12_dX*(T4-modelStruct.modelPar_TVTH))))))/(1+(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))/(1+(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))));
instanceStruct.instanceVar_dvth_temp = ((((instanceStruct.instanceVar_KT1_i+(modelStruct.modelPar_KT1L/instanceStruct.instanceVar_Leff))*instanceStruct.instanceVar_TRatio_m1)+(modelStruct.modelPar_KT11/(1+(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(instanceStruct.instanceVar_DevTemp1-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_0)))))-(modelStruct.modelPar_KT11/(1+(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))>80.0)?(5.540622384e34*((1.0+(modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH)))-80.0)):(((modelStruct.modelPar_KT12*(T4-modelStruct.modelPar_TVTH))<(-80.0))?1.804851387e-35:value_exp_1)))));
}
}
}
if ((instanceStruct.instanceVar_VSAT_t<1000))
{
UserInfo(theInstance)  << "Warning: VSAT(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSAT_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSAT_t_dX = 0.0;
instanceStruct.instanceVar_VSAT_t = 1000;
}
if ((instanceStruct.instanceVar_VSAT1_t<1000))
{
UserInfo(theInstance)  << "Warning: VSAT1(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSAT1_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSAT1_t_dX = 0.0;
instanceStruct.instanceVar_VSAT1_t = 1000;
}
if ((instanceStruct.instanceVar_VSATCV_t<1000))
{
UserInfo(theInstance)  << "Warning: VSATCV(%g) = %g is less than 1K, setting it to 1K." << " " << DevTemp << " " << instanceStruct.instanceVar_VSATCV_t << " " <<  std::endl; 
instanceStruct.d_instanceVar_VSATCV_t_dX = 0.0;
instanceStruct.instanceVar_VSATCV_t = 1000;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
if ((modelStruct.modelPar_TEMPMOD==0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UC_i))-1.0e-6)*(((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UC_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_UC_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UC_t_dX = (instanceStruct.d_instanceVar_UC_i_dX+(((((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_UC_i_dX)+0.5*(((instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UC_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UC_i))-1.0e-6)*((instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UC_i_dX))+((instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UC_i_dX))*(((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UC_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_UC_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_UC_t = (instanceStruct.instanceVar_UC_i+(((((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_UC_i)+(0.5*((((instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UC_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UC_t_dX = (instanceStruct.instanceVar_UC_i*(((((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_UC_i_dX*(((((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_UC_t = (instanceStruct.instanceVar_UC_i*(((((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCCV_i))-1.0e-6)*(((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCCV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_UCCV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UCCV_t_dX = (instanceStruct.d_instanceVar_UCCV_i_dX+(((((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UCCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_UCCV_i_dX)+0.5*(((instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UCCV_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCCV_i))-1.0e-6)*((instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UCCV_i_dX))+((instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UCCV_i_dX))*(((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCCV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_UCCV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_UCCV_t = (instanceStruct.instanceVar_UCCV_i+(((((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UCCV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_UCCV_i)+(0.5*((((instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCCV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UCCV_t_dX = (instanceStruct.instanceVar_UCCV_i*(((((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_UCCV_i_dX*(((((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_UCCV_t = (instanceStruct.instanceVar_UCCV_i*(((((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCR_i))-1.0e-6)*(((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCR_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_UCR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UCR_t_dX = (instanceStruct.d_instanceVar_UCR_i_dX+(((((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UCR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_UCR_i_dX)+0.5*(((instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UCR_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCR_i))-1.0e-6)*((instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UCR_i_dX))+((instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_UCR_i_dX))*(((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCR_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_UCR_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_UCR_t = (instanceStruct.instanceVar_UCR_i+(((((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_UCR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_UCR_i)+(0.5*((((instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_UCR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_UCR_t_dX = (instanceStruct.instanceVar_UCR_i*(((((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_UCR_i_dX*(((((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_UCR_t = (instanceStruct.instanceVar_UCR_i*(((((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
}
else
{
instanceStruct.d_instanceVar_UC_t_dX = (instanceStruct.d_instanceVar_UC_i_dX+(instanceStruct.instanceVar_UC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UC_t = (instanceStruct.instanceVar_UC_i+(instanceStruct.instanceVar_UC1_i*instanceStruct.instanceVar_delTemp));
if ((modelStruct.modelPar_CVMOD==1))
{
instanceStruct.d_instanceVar_UCCV_t_dX = (instanceStruct.d_instanceVar_UCCV_i_dX+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1CV_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UCCV_t = (instanceStruct.instanceVar_UCCV_i+(instanceStruct.instanceVar_UC1CV_i*instanceStruct.instanceVar_delTemp));
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
instanceStruct.d_instanceVar_UCR_t_dX = (instanceStruct.d_instanceVar_UCR_i_dX+(instanceStruct.instanceVar_UC1R_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_UC1R_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_UCR_t = (instanceStruct.instanceVar_UCR_i+(instanceStruct.instanceVar_UC1R_i*instanceStruct.instanceVar_delTemp));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0_i))-1.0e-6)*(((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_ETA0_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETA0_t_dX = (instanceStruct.d_instanceVar_ETA0_i_dX+(((((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETA0_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_ETA0_i_dX)+0.5*(((modelStruct.modelPar_TETA0*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0_i))-1.0e-6)*((modelStruct.modelPar_TETA0*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0_i_dX))+((modelStruct.modelPar_TETA0*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0_i_dX))*(((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_ETA0_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_ETA0_t = (instanceStruct.instanceVar_ETA0_i+(((((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETA0_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_ETA0_i)+(0.5*((((modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETA0_t_dX = (instanceStruct.instanceVar_ETA0_i*(((((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TETA0*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TETA0*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TETA0*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_ETA0_i_dX*(((((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_ETA0_t = (instanceStruct.instanceVar_ETA0_i*(((((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TETA0*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0CV_i))-1.0e-6)*(((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0CV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_ETA0CV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETA0CV_t_dX = (instanceStruct.d_instanceVar_ETA0CV_i_dX+(((((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETA0CV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_ETA0CV_i_dX)+0.5*(((modelStruct.modelPar_TETA0CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0CV_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0CV_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0CV_i))-1.0e-6)*((modelStruct.modelPar_TETA0CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0CV_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0CV_i_dX))+((modelStruct.modelPar_TETA0CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0CV_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0CV_i_dX))*(((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0CV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_ETA0CV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_ETA0CV_t = (instanceStruct.instanceVar_ETA0CV_i+(((((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETA0CV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_ETA0CV_i)+(0.5*((((modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0CV_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETA0CV_t_dX = (instanceStruct.instanceVar_ETA0CV_i*(((((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TETA0CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0CV_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TETA0CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0CV_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TETA0CV*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0CV_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_ETA0CV_i_dX*(((((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_ETA0CV_t = (instanceStruct.instanceVar_ETA0CV_i*(((((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TETA0CV*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0R_i))-1.0e-6)*(((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0R_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_ETA0R_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETA0R_t_dX = (instanceStruct.d_instanceVar_ETA0R_i_dX+(((((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETA0R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_ETA0R_i_dX)+0.5*(((modelStruct.modelPar_TETA0R*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0R_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0R_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0R_i))-1.0e-6)*((modelStruct.modelPar_TETA0R*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0R_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0R_i_dX))+((modelStruct.modelPar_TETA0R*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0R_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETA0R_i_dX))*(((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0R_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_ETA0R_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_ETA0R_t = (instanceStruct.instanceVar_ETA0R_i+(((((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETA0R_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_ETA0R_i)+(0.5*((((modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETA0R_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETA0R_t_dX = (instanceStruct.instanceVar_ETA0R_i*(((((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TETA0R*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0R_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TETA0R*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0R_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TETA0R*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TETA0R_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_ETA0R_i_dX*(((((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_ETA0R_t = (instanceStruct.instanceVar_ETA0R_i*(((((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TETA0R*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETAMOB_i))-1.0e-6)*(((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETAMOB_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_ETAMOB_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETAMOB_t_dX = (instanceStruct.d_instanceVar_ETAMOB_i_dX+(((((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETAMOB_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_ETAMOB_i_dX)+0.5*(((instanceStruct.instanceVar_EMOBT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EMOBT_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETAMOB_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETAMOB_i))-1.0e-6)*((instanceStruct.instanceVar_EMOBT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EMOBT_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETAMOB_i_dX))+((instanceStruct.instanceVar_EMOBT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EMOBT_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ETAMOB_i_dX))*(((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETAMOB_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_ETAMOB_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_ETAMOB_t = (instanceStruct.instanceVar_ETAMOB_i+(((((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ETAMOB_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_ETAMOB_i)+(0.5*((((instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ETAMOB_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ETAMOB_t_dX = (instanceStruct.instanceVar_ETAMOB_i*(((((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_EMOBT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EMOBT_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_EMOBT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EMOBT_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_EMOBT_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_ETAMOB_i_dX*(((((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_ETAMOB_t = (instanceStruct.instanceVar_ETAMOB_i*(((((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_EMOBT_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDR))-1.0e-6)*(((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDR))-1.0e-6))-((4.0*(-modelStruct.modelPar_RSDR))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RSDR_t_dX = (modelStruct.d_modelPar_RSDR_dX+(((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RSDR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_RSDR_dX)+0.5*(((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RSDR_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDR))-1.0e-6)*((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RSDR_dX))+((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RSDR_dX))*(((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDR))-1.0e-6))-4.0*(-modelStruct.d_modelPar_RSDR_dX)*1.0e-6))))));
instanceStruct.instanceVar_RSDR_t = (modelStruct.modelPar_RSDR+(((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RSDR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_RSDR)+(0.5*((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDR))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RSDR_t_dX = (modelStruct.modelPar_RSDR*(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_RSDR_dX*(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_RSDR_t = (modelStruct.modelPar_RSDR*(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDRR))-1.0e-6)*(((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDRR))-1.0e-6))-((4.0*(-modelStruct.modelPar_RSDRR))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RSDRR_t_dX = (modelStruct.d_modelPar_RSDRR_dX+(((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RSDRR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_RSDRR_dX)+0.5*(((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RSDRR_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDRR))-1.0e-6)*((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RSDRR_dX))+((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RSDRR_dX))*(((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDRR))-1.0e-6))-4.0*(-modelStruct.d_modelPar_RSDRR_dX)*1.0e-6))))));
instanceStruct.instanceVar_RSDRR_t = (modelStruct.modelPar_RSDRR+(((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RSDRR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_RSDRR)+(0.5*((((modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RSDRR))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RSDRR_t_dX = (modelStruct.modelPar_RSDRR*(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TRSDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRSDR_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_RSDRR_dX*(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_RSDRR_t = (modelStruct.modelPar_RSDRR*(((((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRSDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDR))-1.0e-6)*(((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDR))-1.0e-6))-((4.0*(-modelStruct.modelPar_RDDR))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RDDR_t_dX = (modelStruct.d_modelPar_RDDR_dX+(((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RDDR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_RDDR_dX)+0.5*(((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RDDR_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDR))-1.0e-6)*((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RDDR_dX))+((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RDDR_dX))*(((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDR))-1.0e-6))-4.0*(-modelStruct.d_modelPar_RDDR_dX)*1.0e-6))))));
instanceStruct.instanceVar_RDDR_t = (modelStruct.modelPar_RDDR+(((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RDDR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_RDDR)+(0.5*((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDR))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RDDR_t_dX = (modelStruct.modelPar_RDDR*(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_RDDR_dX*(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_RDDR_t = (modelStruct.modelPar_RDDR*(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDRR))-1.0e-6)*(((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDRR))-1.0e-6))-((4.0*(-modelStruct.modelPar_RDDRR))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RDDRR_t_dX = (modelStruct.d_modelPar_RDDRR_dX+(((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RDDRR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_RDDRR_dX)+0.5*(((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RDDRR_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDRR))-1.0e-6)*((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RDDRR_dX))+((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_RDDRR_dX))*(((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDRR))-1.0e-6))-4.0*(-modelStruct.d_modelPar_RDDRR_dX)*1.0e-6))))));
instanceStruct.instanceVar_RDDRR_t = (modelStruct.modelPar_RDDRR+(((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_RDDRR)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_RDDRR)+(0.5*((((modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_RDDRR))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_RDDRR_t_dX = (modelStruct.modelPar_RDDRR*(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TRDDR*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TRDDR_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_RDDRR_dX*(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_RDDRR_t = (modelStruct.modelPar_RDDRR*(((((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TRDDR*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWG_i))-1.0e-6)*((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWG_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_PTWG_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PTWG_t_dX = (instanceStruct.d_instanceVar_PTWG_i_dX+((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_PTWG_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_PTWG_i_dX)+0.5*((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PTWG_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWG_i))-1.0e-6)*(((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PTWG_i_dX))+(((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PTWG_i_dX))*((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWG_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_PTWG_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_PTWG_t = (instanceStruct.instanceVar_PTWG_i+((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_PTWG_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_PTWG_i)+(0.5*(((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWG_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PTWG_t_dX = (instanceStruct.instanceVar_PTWG_i*(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_PTWG_i_dX*(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_PTWG_t = (instanceStruct.instanceVar_PTWG_i*(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
if ((modelStruct.modelPar_ASYMMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWGR_i))-1.0e-6)*((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWGR_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_PTWGR_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PTWGR_t_dX = (instanceStruct.d_instanceVar_PTWGR_i_dX+((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_PTWGR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_PTWGR_i_dX)+0.5*((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PTWGR_i_dX))+deriv_sqrt_0_d0*(((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWGR_i))-1.0e-6)*(((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PTWGR_i_dX))+(((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_PTWGR_i_dX))*((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWGR_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_PTWGR_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_PTWGR_t = (instanceStruct.instanceVar_PTWGR_i+((((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_PTWGR_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_PTWGR_i)+(0.5*(((((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_PTWGR_i))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PTWGR_t_dX = (instanceStruct.instanceVar_PTWGR_i*(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.d_instanceVar_delTemp_dX+(-instanceStruct.d_instanceVar_PTWGT_i_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_PTWGR_i_dX*(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_PTWGR_t = (instanceStruct.instanceVar_PTWGR_i*(((((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-instanceStruct.instanceVar_PTWGT_i)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_IIT_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_BETA0_t_dX = (instanceStruct.instanceVar_BETA0_i*deriv_exp_0_d0*((instanceStruct.instanceVar_IIT_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_IIT_i_dX*Trat_ln))+instanceStruct.d_instanceVar_BETA0_i_dX*value_exp_0);
instanceStruct.instanceVar_BETA0_t = (instanceStruct.instanceVar_BETA0_i*value_exp_0);
}
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)*((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_SII0_t_dX = (instanceStruct.instanceVar_SII0_i*(((((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_TII_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_TII_i_dX*instanceStruct.instanceVar_TRatio_m1)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)*(instanceStruct.instanceVar_TII_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_TII_i_dX*instanceStruct.instanceVar_TRatio_m1)+(instanceStruct.instanceVar_TII_i*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_TII_i_dX*instanceStruct.instanceVar_TRatio_m1)*((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)))))+instanceStruct.d_instanceVar_SII0_i_dX*((((((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)+value_sqrt_0)))+0.01));
instanceStruct.instanceVar_SII0_t = (instanceStruct.instanceVar_SII0_i*((((((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TII_i*instanceStruct.instanceVar_TRatio_m1))-0.01)+value_sqrt_0)))+0.01));
}
instanceStruct.d_instanceVar_K0_t_dX = (instanceStruct.d_instanceVar_K0_i_dX+(instanceStruct.instanceVar_K01_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K01_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_K0_t = (instanceStruct.instanceVar_K0_i+(instanceStruct.instanceVar_K01_i*instanceStruct.instanceVar_delTemp));
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K0SI_i))-1.0e-6)*(((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K0SI_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_K0SI_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_K0SI_t_dX = (instanceStruct.d_instanceVar_K0SI_i_dX+(((((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K0SI_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_K0SI_i_dX)+0.5*(((instanceStruct.instanceVar_K0SI1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K0SI1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K0SI_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K0SI_i))-1.0e-6)*((instanceStruct.instanceVar_K0SI1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K0SI1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K0SI_i_dX))+((instanceStruct.instanceVar_K0SI1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K0SI1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K0SI_i_dX))*(((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K0SI_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_K0SI_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_K0SI_t = (instanceStruct.instanceVar_K0SI_i+(((((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K0SI_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_K0SI_i)+(0.5*((((instanceStruct.instanceVar_K0SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K0SI_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2SI_i))-1.0e-6)*(((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2SI_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_K2SI_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_K2SI_t_dX = (instanceStruct.d_instanceVar_K2SI_i_dX+(((((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K2SI_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_K2SI_i_dX)+0.5*(((instanceStruct.instanceVar_K2SI1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K2SI1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K2SI_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2SI_i))-1.0e-6)*((instanceStruct.instanceVar_K2SI1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K2SI1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K2SI_i_dX))+((instanceStruct.instanceVar_K2SI1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K2SI1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K2SI_i_dX))*(((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2SI_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_K2SI_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_K2SI_t = (instanceStruct.instanceVar_K2SI_i+(((((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K2SI_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_K2SI_i)+(0.5*((((instanceStruct.instanceVar_K2SI1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2SI_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K1_i))-1.0e-6)*(((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K1_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_K1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_K1_t_dX = (instanceStruct.d_instanceVar_K1_i_dX+(((((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_K1_i_dX)+0.5*(((instanceStruct.instanceVar_K11_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K11_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K1_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K1_i))-1.0e-6)*((instanceStruct.instanceVar_K11_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K11_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K1_i_dX))+((instanceStruct.instanceVar_K11_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K11_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K1_i_dX))*(((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K1_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_K1_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_K1_t = (instanceStruct.instanceVar_K1_i+(((((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_K1_i)+(0.5*((((instanceStruct.instanceVar_K11_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K1_i))-1.0e-6)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_K2SAT_t_dX = (instanceStruct.d_instanceVar_K2SAT_i_dX+(instanceStruct.instanceVar_K2SAT1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K2SAT1_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_K2SAT_t = (instanceStruct.instanceVar_K2SAT_i+(instanceStruct.instanceVar_K2SAT1_i*instanceStruct.instanceVar_delTemp));
instanceStruct.d_instanceVar_A1_t_dX = (instanceStruct.d_instanceVar_A1_i_dX+(instanceStruct.instanceVar_A11_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_A11_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_A1_t = (instanceStruct.instanceVar_A1_i+(instanceStruct.instanceVar_A11_i*instanceStruct.instanceVar_delTemp));
instanceStruct.d_instanceVar_A2_t_dX = (instanceStruct.d_instanceVar_A2_i_dX+(instanceStruct.instanceVar_A21_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_A21_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_A2_t = (instanceStruct.instanceVar_A2_i+(instanceStruct.instanceVar_A21_i*instanceStruct.instanceVar_delTemp));
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2_i))-1.0e-6)*(((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_K2_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_K2_t_dX = (instanceStruct.d_instanceVar_K2_i_dX+(((((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K2_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_K2_i_dX)+0.5*(((instanceStruct.instanceVar_K21_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K21_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K2_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2_i))-1.0e-6)*((instanceStruct.instanceVar_K21_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K21_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K2_i_dX))+((instanceStruct.instanceVar_K21_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K21_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_K2_i_dX))*(((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_K2_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_K2_t = (instanceStruct.instanceVar_K2_i+(((((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_K2_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_K2_i)+(0.5*((((instanceStruct.instanceVar_K21_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_K2_i))-1.0e-6)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_K0SISAT_t_dX = (instanceStruct.d_instanceVar_K0SISAT_i_dX+(instanceStruct.instanceVar_K0SISAT1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K0SISAT1_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_K0SISAT_t = (instanceStruct.instanceVar_K0SISAT_i+(instanceStruct.instanceVar_K0SISAT1_i*instanceStruct.instanceVar_delTemp));
instanceStruct.d_instanceVar_K2SISAT_t_dX = (instanceStruct.d_instanceVar_K2SISAT_i_dX+(instanceStruct.instanceVar_K2SISAT1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_K2SISAT1_i_dX*instanceStruct.instanceVar_delTemp));
instanceStruct.instanceVar_K2SISAT_t = (instanceStruct.instanceVar_K2SISAT_i+(instanceStruct.instanceVar_K2SISAT1_i*instanceStruct.instanceVar_delTemp));
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBINV_i))-1.0e-6)*(((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBINV_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_AIGBINV_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_AIGBINV_t_dX = (instanceStruct.d_instanceVar_AIGBINV_i_dX+(((((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGBINV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_AIGBINV_i_dX)+0.5*(((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGBINV1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGBINV_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBINV_i))-1.0e-6)*((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGBINV1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGBINV_i_dX))+((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGBINV1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGBINV_i_dX))*(((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBINV_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_AIGBINV_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_AIGBINV_t = (instanceStruct.instanceVar_AIGBINV_i+(((((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGBINV_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_AIGBINV_i)+(0.5*((((instanceStruct.instanceVar_AIGBINV1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBINV_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBACC_i))-1.0e-6)*(((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBACC_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_AIGBACC_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_AIGBACC_t_dX = (instanceStruct.d_instanceVar_AIGBACC_i_dX+(((((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGBACC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_AIGBACC_i_dX)+0.5*(((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGBACC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGBACC_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBACC_i))-1.0e-6)*((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGBACC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGBACC_i_dX))+((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGBACC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGBACC_i_dX))*(((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBACC_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_AIGBACC_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_AIGBACC_t = (instanceStruct.instanceVar_AIGBACC_i+(((((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGBACC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_AIGBACC_i)+(0.5*((((instanceStruct.instanceVar_AIGBACC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGBACC_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGC_i))-1.0e-6)*(((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGC_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_AIGC_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_AIGC_t_dX = (instanceStruct.d_instanceVar_AIGC_i_dX+(((((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_AIGC_i_dX)+0.5*(((instanceStruct.instanceVar_AIGC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGC_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGC_i))-1.0e-6)*((instanceStruct.instanceVar_AIGC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGC_i_dX))+((instanceStruct.instanceVar_AIGC1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGC1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGC_i_dX))*(((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGC_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_AIGC_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_AIGC_t = (instanceStruct.instanceVar_AIGC_i+(((((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGC_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_AIGC_i)+(0.5*((((instanceStruct.instanceVar_AIGC1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGC_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGS_i))-1.0e-6)*(((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGS_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_AIGS_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_AIGS_t_dX = (instanceStruct.d_instanceVar_AIGS_i_dX+(((((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGS_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_AIGS_i_dX)+0.5*(((instanceStruct.instanceVar_AIGS1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGS1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGS_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGS_i))-1.0e-6)*((instanceStruct.instanceVar_AIGS1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGS1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGS_i_dX))+((instanceStruct.instanceVar_AIGS1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGS1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGS_i_dX))*(((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGS_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_AIGS_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_AIGS_t = (instanceStruct.instanceVar_AIGS_i+(((((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGS_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_AIGS_i)+(0.5*((((instanceStruct.instanceVar_AIGS1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGS_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGD_i))-1.0e-6)*(((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGD_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_AIGD_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_AIGD_t_dX = (instanceStruct.d_instanceVar_AIGD_i_dX+(((((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGD_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_AIGD_i_dX)+0.5*(((instanceStruct.instanceVar_AIGD1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGD1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGD_i_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGD_i))-1.0e-6)*((instanceStruct.instanceVar_AIGD1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGD1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGD_i_dX))+((instanceStruct.instanceVar_AIGD1_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_AIGD1_i_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_AIGD_i_dX))*(((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGD_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_AIGD_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_AIGD_t = (instanceStruct.instanceVar_AIGD_i+(((((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_AIGD_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_AIGD_i)+(0.5*((((instanceStruct.instanceVar_AIGD1_i*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_AIGD_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_BGIDL_t_dX = (instanceStruct.instanceVar_BGIDL_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_BGIDL_i_dX*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_BGIDL_t = (instanceStruct.instanceVar_BGIDL_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_BGISL_t_dX = (instanceStruct.instanceVar_BGISL_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_BGISL_i_dX*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_BGISL_t = (instanceStruct.instanceVar_BGISL_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA0_i))-1.0e-6)*(((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA0_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_ALPHA0_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ALPHA0_t_dX = (instanceStruct.d_instanceVar_ALPHA0_i_dX+(((((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHA0_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_ALPHA0_i_dX)+0.5*(((modelStruct.modelPar_ALPHA01*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHA01_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHA0_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA0_i))-1.0e-6)*((modelStruct.modelPar_ALPHA01*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHA01_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHA0_i_dX))+((modelStruct.modelPar_ALPHA01*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHA01_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHA0_i_dX))*(((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA0_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_ALPHA0_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_ALPHA0_t = (instanceStruct.instanceVar_ALPHA0_i+(((((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHA0_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_ALPHA0_i)+(0.5*((((modelStruct.modelPar_ALPHA01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA0_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA1_i))-1.0e-6)*(((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA1_i))-1.0e-6))-((4.0*(-instanceStruct.instanceVar_ALPHA1_i))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ALPHA1_t_dX = (instanceStruct.d_instanceVar_ALPHA1_i_dX+(((((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHA1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.d_instanceVar_ALPHA1_i_dX)+0.5*(((modelStruct.modelPar_ALPHA11*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHA11_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHA1_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA1_i))-1.0e-6)*((modelStruct.modelPar_ALPHA11*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHA11_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHA1_i_dX))+((modelStruct.modelPar_ALPHA11*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHA11_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHA1_i_dX))*(((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA1_i))-1.0e-6))-4.0*(-instanceStruct.d_instanceVar_ALPHA1_i_dX)*1.0e-6))))));
instanceStruct.instanceVar_ALPHA1_t = (instanceStruct.instanceVar_ALPHA1_i+(((((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHA1_i)==0.0))&&(1.0e-6==0.0))?0.0:((-instanceStruct.instanceVar_ALPHA1_i)+(0.5*((((modelStruct.modelPar_ALPHA11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHA1_i))-1.0e-6)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII0_i))-1.0e-25)*(((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII0_i))-1.0e-25))-((4.0*(-instanceStruct.instanceVar_ALPHAII0_i))*1.0e-25)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ALPHAII0_t_dX = (instanceStruct.d_instanceVar_ALPHAII0_i_dX+(((((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHAII0_i)==0.0))&&(1.0e-25==0.0))?0.0:((-instanceStruct.d_instanceVar_ALPHAII0_i_dX)+0.5*(((modelStruct.modelPar_ALPHAII01*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHAII01_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHAII0_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII0_i))-1.0e-25)*((modelStruct.modelPar_ALPHAII01*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHAII01_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHAII0_i_dX))+((modelStruct.modelPar_ALPHAII01*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHAII01_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHAII0_i_dX))*(((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII0_i))-1.0e-25))-4.0*(-instanceStruct.d_instanceVar_ALPHAII0_i_dX)*1.0e-25))))));
instanceStruct.instanceVar_ALPHAII0_t = (instanceStruct.instanceVar_ALPHAII0_i+(((((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHAII0_i)==0.0))&&(1.0e-25==0.0))?0.0:((-instanceStruct.instanceVar_ALPHAII0_i)+(0.5*((((modelStruct.modelPar_ALPHAII01*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII0_i))-1.0e-25)+value_sqrt_0)))));
}
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII1_i))-1.0e-20)*(((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII1_i))-1.0e-20))-((4.0*(-instanceStruct.instanceVar_ALPHAII1_i))*1.0e-20)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ALPHAII1_t_dX = (instanceStruct.d_instanceVar_ALPHAII1_i_dX+(((((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHAII1_i)==0.0))&&(1.0e-20==0.0))?0.0:((-instanceStruct.d_instanceVar_ALPHAII1_i_dX)+0.5*(((modelStruct.modelPar_ALPHAII11*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHAII11_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHAII1_i_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII1_i))-1.0e-20)*((modelStruct.modelPar_ALPHAII11*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHAII11_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHAII1_i_dX))+((modelStruct.modelPar_ALPHAII11*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_ALPHAII11_dX*instanceStruct.instanceVar_delTemp)-(-instanceStruct.d_instanceVar_ALPHAII1_i_dX))*(((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII1_i))-1.0e-20))-4.0*(-instanceStruct.d_instanceVar_ALPHAII1_i_dX)*1.0e-20))))));
instanceStruct.instanceVar_ALPHAII1_t = (instanceStruct.instanceVar_ALPHAII1_i+(((((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)==0.0)&&((-instanceStruct.instanceVar_ALPHAII1_i)==0.0))&&(1.0e-20==0.0))?0.0:((-instanceStruct.instanceVar_ALPHAII1_i)+(0.5*((((modelStruct.modelPar_ALPHAII11*instanceStruct.instanceVar_delTemp)-(-instanceStruct.instanceVar_ALPHAII1_i))-1.0e-20)+value_sqrt_0)))));
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_IGT_i*Trat_ln));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_igtemp_dX = deriv_exp_0_d0*((instanceStruct.instanceVar_IGT_i*d_Trat_ln_dX+instanceStruct.d_instanceVar_IGT_i_dX*Trat_ln));
instanceStruct.instanceVar_igtemp = value_exp_0;
}
instanceStruct.d_instanceVar_igsd_mult_dX = (instanceStruct.instanceVar_igsd_mult0*instanceStruct.d_instanceVar_igtemp_dX+instanceStruct.d_instanceVar_igsd_mult0_dX*instanceStruct.instanceVar_igtemp);
instanceStruct.instanceVar_igsd_mult = (instanceStruct.instanceVar_igsd_mult0*instanceStruct.instanceVar_igtemp);
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJS))-1.0e-6)*(((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJS))-1.0e-6))-((4.0*(-modelStruct.modelPar_CJS))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJS_t_dX = (modelStruct.d_modelPar_CJS_dX+(((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJS)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_CJS_dX)+0.5*(((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJS_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJS))-1.0e-6)*((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJS_dX))+((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJS_dX))*(((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJS))-1.0e-6))-4.0*(-modelStruct.d_modelPar_CJS_dX)*1.0e-6))))));
instanceStruct.instanceVar_CJS_t = (modelStruct.modelPar_CJS+(((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJS)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_CJS)+(0.5*((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJS))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJS_t_dX = (modelStruct.modelPar_CJS*(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_CJS_dX*(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_CJS_t = (modelStruct.modelPar_CJS*(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJD))-1.0e-6)*(((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJD))-1.0e-6))-((4.0*(-modelStruct.modelPar_CJD))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJD_t_dX = (modelStruct.d_modelPar_CJD_dX+(((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_CJD_dX)+0.5*(((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJD_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJD))-1.0e-6)*((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJD_dX))+((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJD_dX))*(((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJD))-1.0e-6))-4.0*(-modelStruct.d_modelPar_CJD_dX)*1.0e-6))))));
instanceStruct.instanceVar_CJD_t = (modelStruct.modelPar_CJD+(((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_CJD)+(0.5*((((modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJD))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJD_t_dX = (modelStruct.modelPar_CJD*(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TCJ*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJ_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_CJD_dX*(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_CJD_t = (modelStruct.modelPar_CJD*(((((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJ*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWS))-1.0e-6)*(((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWS))-1.0e-6))-((4.0*(-modelStruct.modelPar_CJSWS))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWS_t_dX = (modelStruct.d_modelPar_CJSWS_dX+(((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWS)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_CJSWS_dX)+0.5*(((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWS_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWS))-1.0e-6)*((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWS_dX))+((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWS_dX))*(((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWS))-1.0e-6))-4.0*(-modelStruct.d_modelPar_CJSWS_dX)*1.0e-6))))));
instanceStruct.instanceVar_CJSWS_t = (modelStruct.modelPar_CJSWS+(((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWS)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_CJSWS)+(0.5*((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWS))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWS_t_dX = (modelStruct.modelPar_CJSWS*(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_CJSWS_dX*(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_CJSWS_t = (modelStruct.modelPar_CJSWS*(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWD))-1.0e-6)*(((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWD))-1.0e-6))-((4.0*(-modelStruct.modelPar_CJSWD))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWD_t_dX = (modelStruct.d_modelPar_CJSWD_dX+(((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_CJSWD_dX)+0.5*(((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWD_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWD))-1.0e-6)*((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWD_dX))+((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWD_dX))*(((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWD))-1.0e-6))-4.0*(-modelStruct.d_modelPar_CJSWD_dX)*1.0e-6))))));
instanceStruct.instanceVar_CJSWD_t = (modelStruct.modelPar_CJSWD+(((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_CJSWD)+(0.5*((((modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWD))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWD_t_dX = (modelStruct.modelPar_CJSWD*(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TCJSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSW_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_CJSWD_dX*(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_CJSWD_t = (modelStruct.modelPar_CJSWD*(((((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSW*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGS))-1.0e-6)*(((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGS))-1.0e-6))-((4.0*(-modelStruct.modelPar_CJSWGS))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWGS_t_dX = (modelStruct.d_modelPar_CJSWGS_dX+(((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWGS)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_CJSWGS_dX)+0.5*(((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWGS_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGS))-1.0e-6)*((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWGS_dX))+((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWGS_dX))*(((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGS))-1.0e-6))-4.0*(-modelStruct.d_modelPar_CJSWGS_dX)*1.0e-6))))));
instanceStruct.instanceVar_CJSWGS_t = (modelStruct.modelPar_CJSWGS+(((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWGS)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_CJSWGS)+(0.5*((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGS))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWGS_t_dX = (modelStruct.modelPar_CJSWGS*(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_CJSWGS_dX*(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_CJSWGS_t = (modelStruct.modelPar_CJSWGS*(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGD))-1.0e-6)*(((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGD))-1.0e-6))-((4.0*(-modelStruct.modelPar_CJSWGD))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWGD_t_dX = (modelStruct.d_modelPar_CJSWGD_dX+(((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWGD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_CJSWGD_dX)+0.5*(((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWGD_dX))+deriv_sqrt_0_d0*((((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGD))-1.0e-6)*((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWGD_dX))+((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_CJSWGD_dX))*(((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGD))-1.0e-6))-4.0*(-modelStruct.d_modelPar_CJSWGD_dX)*1.0e-6))))));
instanceStruct.instanceVar_CJSWGD_t = (modelStruct.modelPar_CJSWGD+(((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_CJSWGD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_CJSWGD)+(0.5*((((modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_CJSWGD))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_CJSWGD_t_dX = (modelStruct.modelPar_CJSWGD*(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_TCJSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TCJSWG_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_CJSWGD_dX*(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_CJSWGD_t = (modelStruct.modelPar_CJSWGD*(((((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_TCJSWG*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)*((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PBS_t_dX = (((((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.d_modelPar_PBS_dX-(modelStruct.modelPar_TPB*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPB_dX*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*((((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)*(modelStruct.d_modelPar_PBS_dX-(modelStruct.modelPar_TPB*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPB_dX*instanceStruct.instanceVar_delTemp))+(modelStruct.d_modelPar_PBS_dX-(modelStruct.modelPar_TPB*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPB_dX*instanceStruct.instanceVar_delTemp))*((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)))));
instanceStruct.instanceVar_PBS_t = ((((((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_PBS-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)*((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PBD_t_dX = (((((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.d_modelPar_PBD_dX-(modelStruct.modelPar_TPB*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPB_dX*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*((((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)*(modelStruct.d_modelPar_PBD_dX-(modelStruct.modelPar_TPB*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPB_dX*instanceStruct.instanceVar_delTemp))+(modelStruct.d_modelPar_PBD_dX-(modelStruct.modelPar_TPB*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPB_dX*instanceStruct.instanceVar_delTemp))*((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)))));
instanceStruct.instanceVar_PBD_t = ((((((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_PBD-(modelStruct.modelPar_TPB*instanceStruct.instanceVar_delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)*((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PBSWS_t_dX = (((((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.d_modelPar_PBSWS_dX-(modelStruct.modelPar_TPBSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSW_dX*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*((((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)*(modelStruct.d_modelPar_PBSWS_dX-(modelStruct.modelPar_TPBSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSW_dX*instanceStruct.instanceVar_delTemp))+(modelStruct.d_modelPar_PBSWS_dX-(modelStruct.modelPar_TPBSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSW_dX*instanceStruct.instanceVar_delTemp))*((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)))));
instanceStruct.instanceVar_PBSWS_t = ((((((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_PBSWS-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)*((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PBSWD_t_dX = (((((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.d_modelPar_PBSWD_dX-(modelStruct.modelPar_TPBSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSW_dX*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*((((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)*(modelStruct.d_modelPar_PBSWD_dX-(modelStruct.modelPar_TPBSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSW_dX*instanceStruct.instanceVar_delTemp))+(modelStruct.d_modelPar_PBSWD_dX-(modelStruct.modelPar_TPBSW*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSW_dX*instanceStruct.instanceVar_delTemp))*((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)))));
instanceStruct.instanceVar_PBSWD_t = ((((((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_PBSWD-(modelStruct.modelPar_TPBSW*instanceStruct.instanceVar_delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)*((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PBSWGS_t_dX = (((((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.d_modelPar_PBSWGS_dX-(modelStruct.modelPar_TPBSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSWG_dX*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*((((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)*(modelStruct.d_modelPar_PBSWGS_dX-(modelStruct.modelPar_TPBSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSWG_dX*instanceStruct.instanceVar_delTemp))+(modelStruct.d_modelPar_PBSWGS_dX-(modelStruct.modelPar_TPBSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSWG_dX*instanceStruct.instanceVar_delTemp))*((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)))));
instanceStruct.instanceVar_PBSWGS_t = ((((((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_PBSWGS-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)*((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_PBSWGD_t_dX = (((((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.d_modelPar_PBSWGD_dX-(modelStruct.modelPar_TPBSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSWG_dX*instanceStruct.instanceVar_delTemp))+deriv_sqrt_0_d0*((((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)*(modelStruct.d_modelPar_PBSWGD_dX-(modelStruct.modelPar_TPBSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSWG_dX*instanceStruct.instanceVar_delTemp))+(modelStruct.d_modelPar_PBSWGD_dX-(modelStruct.modelPar_TPBSWG*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_TPBSWG_dX*instanceStruct.instanceVar_delTemp))*((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)))));
instanceStruct.instanceVar_PBSWGD_t = ((((((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_PBSWGD-(modelStruct.modelPar_TPBSWG*instanceStruct.instanceVar_delTemp))-0.01)+value_sqrt_0)))+0.01);
}
instanceStruct.d_instanceVar_T0_dX = (((instanceStruct.instanceVar_Vtm0*instanceStruct.d_instanceVar_Eg0_dX-instanceStruct.instanceVar_Eg0*instanceStruct.d_instanceVar_Vtm0_dX)/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((instanceStruct.instanceVar_Vtm*instanceStruct.d_instanceVar_Eg_dX-instanceStruct.instanceVar_Eg*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_Eg0/instanceStruct.instanceVar_Vtm0)-(instanceStruct.instanceVar_Eg/instanceStruct.instanceVar_Vtm));
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))/modelStruct.modelPar_NJS));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))/modelStruct.modelPar_NJS)>80.0)?5.540622384e34*((modelStruct.modelPar_NJS*(instanceStruct.d_instanceVar_T0_dX+(modelStruct.modelPar_XTIS*d_Trat_ln_dX+modelStruct.d_modelPar_XTIS_dX*Trat_ln))-(instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))*modelStruct.d_modelPar_NJS_dX)/modelStruct.modelPar_NJS/modelStruct.modelPar_NJS):((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))/modelStruct.modelPar_NJS)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_NJS*(instanceStruct.d_instanceVar_T0_dX+(modelStruct.modelPar_XTIS*d_Trat_ln_dX+modelStruct.d_modelPar_XTIS_dX*Trat_ln))-(instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))*modelStruct.d_modelPar_NJS_dX)/modelStruct.modelPar_NJS/modelStruct.modelPar_NJS))));
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))/modelStruct.modelPar_NJS)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))/modelStruct.modelPar_NJS))-80.0)):((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTIS*Trat_ln))/modelStruct.modelPar_NJS)<(-80.0))?1.804851387e-35:value_exp_0));
}
instanceStruct.d_instanceVar_JSS_t_dX = (modelStruct.modelPar_JSS*instanceStruct.d_instanceVar_T3_dX+modelStruct.d_modelPar_JSS_dX*instanceStruct.instanceVar_T3);
instanceStruct.instanceVar_JSS_t = (modelStruct.modelPar_JSS*instanceStruct.instanceVar_T3);
instanceStruct.d_instanceVar_JSWS_t_dX = (modelStruct.modelPar_JSWS*instanceStruct.d_instanceVar_T3_dX+modelStruct.d_modelPar_JSWS_dX*instanceStruct.instanceVar_T3);
instanceStruct.instanceVar_JSWS_t = (modelStruct.modelPar_JSWS*instanceStruct.instanceVar_T3);
instanceStruct.d_instanceVar_JSWGS_t_dX = (modelStruct.modelPar_JSWGS*instanceStruct.d_instanceVar_T3_dX+modelStruct.d_modelPar_JSWGS_dX*instanceStruct.instanceVar_T3);
instanceStruct.instanceVar_JSWGS_t = (modelStruct.modelPar_JSWGS*instanceStruct.instanceVar_T3);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))/modelStruct.modelPar_NJD));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))/modelStruct.modelPar_NJD)>80.0)?5.540622384e34*((modelStruct.modelPar_NJD*(instanceStruct.d_instanceVar_T0_dX+(modelStruct.modelPar_XTID*d_Trat_ln_dX+modelStruct.d_modelPar_XTID_dX*Trat_ln))-(instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))*modelStruct.d_modelPar_NJD_dX)/modelStruct.modelPar_NJD/modelStruct.modelPar_NJD):((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))/modelStruct.modelPar_NJD)<(-80.0))?0.0:deriv_exp_0_d0*(((modelStruct.modelPar_NJD*(instanceStruct.d_instanceVar_T0_dX+(modelStruct.modelPar_XTID*d_Trat_ln_dX+modelStruct.d_modelPar_XTID_dX*Trat_ln))-(instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))*modelStruct.d_modelPar_NJD_dX)/modelStruct.modelPar_NJD/modelStruct.modelPar_NJD))));
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))/modelStruct.modelPar_NJD)>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))/modelStruct.modelPar_NJD))-80.0)):((((instanceStruct.instanceVar_T0+(modelStruct.modelPar_XTID*Trat_ln))/modelStruct.modelPar_NJD)<(-80.0))?1.804851387e-35:value_exp_0));
}
instanceStruct.d_instanceVar_JSD_t_dX = (modelStruct.modelPar_JSD*instanceStruct.d_instanceVar_T3_dX+modelStruct.d_modelPar_JSD_dX*instanceStruct.instanceVar_T3);
instanceStruct.instanceVar_JSD_t = (modelStruct.modelPar_JSD*instanceStruct.instanceVar_T3);
instanceStruct.d_instanceVar_JSWD_t_dX = (modelStruct.modelPar_JSWD*instanceStruct.d_instanceVar_T3_dX+modelStruct.d_modelPar_JSWD_dX*instanceStruct.instanceVar_T3);
instanceStruct.instanceVar_JSWD_t = (modelStruct.modelPar_JSWD*instanceStruct.instanceVar_T3);
instanceStruct.d_instanceVar_JSWGD_t_dX = (modelStruct.modelPar_JSWGD*instanceStruct.d_instanceVar_T3_dX+modelStruct.d_modelPar_JSWGD_dX*instanceStruct.instanceVar_T3);
instanceStruct.instanceVar_JSWGD_t = (modelStruct.modelPar_JSWGD*instanceStruct.instanceVar_T3);
{
double value_exp_0 = exp((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_JTSS_t_dX = (modelStruct.modelPar_JTSS*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSS_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSS_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm))))+modelStruct.d_modelPar_JTSS_dX*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_JTSS_t = (modelStruct.modelPar_JTSS*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_exp_0 = exp((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_JTSD_t_dX = (modelStruct.modelPar_JTSD*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSD_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSD_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm))))+modelStruct.d_modelPar_JTSD_dX*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_JTSD_t = (modelStruct.modelPar_JTSD*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_exp_0 = exp((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_JTSSWS_t_dX = (modelStruct.modelPar_JTSSWS*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWS_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWS_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm))))+modelStruct.d_modelPar_JTSSWS_dX*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_JTSSWS_t = (modelStruct.modelPar_JTSSWS*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_exp_0 = exp((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_JTSSWD_t_dX = (modelStruct.modelPar_JTSSWD*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWD_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWD_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm))))+modelStruct.d_modelPar_JTSSWD_dX*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_JTSSWD_t = (modelStruct.modelPar_JTSSWD*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_0)));
}
{
double value_sqrt_0 = sqrt((modelStruct.modelPar_JTWEFF/instanceStruct.instanceVar_Weff0));
double value_exp_1 = exp((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_exp_1_d0 = value_exp_1;
instanceStruct.d_instanceVar_JTSSWGS_t_dX = ((modelStruct.modelPar_JTSSWGS*(value_sqrt_0+1.0))*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWGS_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?0.0:deriv_exp_1_d0*(((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWGS_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm))))+(modelStruct.modelPar_JTSSWGS*deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Weff0*modelStruct.d_modelPar_JTWEFF_dX-modelStruct.modelPar_JTWEFF*instanceStruct.d_instanceVar_Weff0_dX)/instanceStruct.instanceVar_Weff0/instanceStruct.instanceVar_Weff0))+modelStruct.d_modelPar_JTSSWGS_dX*(value_sqrt_0+1.0))*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_1)));
instanceStruct.instanceVar_JTSSWGS_t = ((modelStruct.modelPar_JTSSWGS*(value_sqrt_0+1.0))*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGS)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_1)));
}
{
double value_sqrt_0 = sqrt((modelStruct.modelPar_JTWEFF/instanceStruct.instanceVar_Weff0));
double value_exp_1 = exp((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_exp_1_d0 = value_exp_1;
instanceStruct.d_instanceVar_JTSSWGD_t_dX = ((modelStruct.modelPar_JTSSWGD*(value_sqrt_0+1.0))*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWGD_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?0.0:deriv_exp_1_d0*(((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.d_instanceVar_TRatio_m1_dX+(instanceStruct.instanceVar_Eg0*modelStruct.d_modelPar_XTSSWGD_dX+instanceStruct.d_instanceVar_Eg0_dX*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)-((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm))))+(modelStruct.modelPar_JTSSWGD*deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Weff0*modelStruct.d_modelPar_JTWEFF_dX-modelStruct.modelPar_JTWEFF*instanceStruct.d_instanceVar_Weff0_dX)/instanceStruct.instanceVar_Weff0/instanceStruct.instanceVar_Weff0))+modelStruct.d_modelPar_JTSSWGD_dX*(value_sqrt_0+1.0))*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_1)));
instanceStruct.instanceVar_JTSSWGD_t = ((modelStruct.modelPar_JTSSWGD*(value_sqrt_0+1.0))*(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm))-80.0)):(((((instanceStruct.instanceVar_Eg0*modelStruct.modelPar_XTSSWGD)*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)<(-80.0))?1.804851387e-35:value_exp_1)));
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01)*((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_NJTS_t_dX = (((((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_NJTS*(modelStruct.modelPar_TNJTS*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTS_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTS_dX*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))+deriv_sqrt_0_d0*((((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01)*(modelStruct.modelPar_NJTS*(modelStruct.modelPar_TNJTS*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTS_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTS_dX*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))+(modelStruct.modelPar_NJTS*(modelStruct.modelPar_TNJTS*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTS_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTS_dX*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))*((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01)))));
instanceStruct.instanceVar_NJTS_t = ((((((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_NJTS*(1.0+(modelStruct.modelPar_TNJTS*instanceStruct.instanceVar_TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01)*((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_NJTSD_t_dX = (((((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_NJTSD*(modelStruct.modelPar_TNJTSD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSD_dX*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))+deriv_sqrt_0_d0*((((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01)*(modelStruct.modelPar_NJTSD*(modelStruct.modelPar_TNJTSD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSD_dX*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))+(modelStruct.modelPar_NJTSD*(modelStruct.modelPar_TNJTSD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSD_dX*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))*((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01)))));
instanceStruct.instanceVar_NJTSD_t = ((((((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_NJTSD*(1.0+(modelStruct.modelPar_TNJTSD*instanceStruct.instanceVar_TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01)*((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_NJTSSW_t_dX = (((((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_NJTSSW*(modelStruct.modelPar_TNJTSSW*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSW_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSW_dX*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))+deriv_sqrt_0_d0*((((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01)*(modelStruct.modelPar_NJTSSW*(modelStruct.modelPar_TNJTSSW*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSW_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSW_dX*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))+(modelStruct.modelPar_NJTSSW*(modelStruct.modelPar_TNJTSSW*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSW_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSW_dX*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))*((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01)))));
instanceStruct.instanceVar_NJTSSW_t = ((((((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_NJTSSW*(1.0+(modelStruct.modelPar_TNJTSSW*instanceStruct.instanceVar_TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01)*((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_NJTSSWD_t_dX = (((((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_NJTSSWD*(modelStruct.modelPar_TNJTSSWD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWD_dX*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))+deriv_sqrt_0_d0*((((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01)*(modelStruct.modelPar_NJTSSWD*(modelStruct.modelPar_TNJTSSWD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWD_dX*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))+(modelStruct.modelPar_NJTSSWD*(modelStruct.modelPar_TNJTSSWD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWD_dX*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))*((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01)))));
instanceStruct.instanceVar_NJTSSWD_t = ((((((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_NJTSSWD*(1.0+(modelStruct.modelPar_TNJTSSWD*instanceStruct.instanceVar_TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01)*((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_NJTSSWG_t_dX = (((((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_NJTSSWG*(modelStruct.modelPar_TNJTSSWG*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWG_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWG_dX*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))+deriv_sqrt_0_d0*((((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01)*(modelStruct.modelPar_NJTSSWG*(modelStruct.modelPar_TNJTSSWG*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWG_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWG_dX*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))+(modelStruct.modelPar_NJTSSWG*(modelStruct.modelPar_TNJTSSWG*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWG_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWG_dX*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))*((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01)))));
instanceStruct.instanceVar_NJTSSWG_t = ((((((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_NJTSSWG*(1.0+(modelStruct.modelPar_TNJTSSWG*instanceStruct.instanceVar_TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01)*((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_NJTSSWGD_t_dX = (((((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_NJTSSWGD*(modelStruct.modelPar_TNJTSSWGD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWGD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWGD_dX*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))+deriv_sqrt_0_d0*((((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01)*(modelStruct.modelPar_NJTSSWGD*(modelStruct.modelPar_TNJTSSWGD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWGD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWGD_dX*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))+(modelStruct.modelPar_NJTSSWGD*(modelStruct.modelPar_TNJTSSWGD*instanceStruct.d_instanceVar_TRatio_m1_dX+modelStruct.d_modelPar_TNJTSSWGD_dX*instanceStruct.instanceVar_TRatio_m1)+modelStruct.d_modelPar_NJTSSWGD_dX*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))*((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01)))));
instanceStruct.instanceVar_NJTSSWGD_t = ((((((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_NJTSSWGD*(1.0+(modelStruct.modelPar_TNJTSSWGD*instanceStruct.instanceVar_TRatio_m1)))-0.01)+value_sqrt_0)))+0.01);
}
}
if ((!modelStruct.modelPar_given_VFBSD))
{
if ((modelStruct.modelPar_NGATE>0.0))
{
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_log_0 = log((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double value_log_1 = log((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double value_log_2 = log((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double value_log_3 = log((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double value_sqrt_4 = sqrt(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_3:(-87.498233534)))))+((4.0*1.0e-4)*1.0e-4)));
double value_log_5 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_log_6 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_log_7 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_log_8 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_sqrt_9 = sqrt(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_7:(-87.498233534))))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_8:(-87.498233534)))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_log_0_d0 = (1.0/(modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double  deriv_log_1_d0 = (1.0/(modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double  deriv_log_2_d0 = (1.0/(modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double  deriv_log_3_d0 = (1.0/(modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni));
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
double  deriv_log_5_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_log_6_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_log_7_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_log_8_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_sqrt_9_d0 = (0.5/value_sqrt_9);
instanceStruct.d_instanceVar_vfbsd_dX = instanceStruct.instanceVar_devsign*((((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_1_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NGATE_dX-modelStruct.modelPar_NGATE*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_1:(-87.498233534))))+deriv_sqrt_4_d0*((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_2:(-87.498233534))))*(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_3_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NGATE_dX-modelStruct.modelPar_NGATE*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_3:(-87.498233534))))+(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_2_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NGATE_dX-modelStruct.modelPar_NGATE*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_3:(-87.498233534))))))))-(0.5*instanceStruct.d_instanceVar_Eg_dX-instanceStruct.instanceVar_devsign*(0.5*instanceStruct.d_instanceVar_Eg_dX-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_5:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_6_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NSD_dX-modelStruct.modelPar_NSD*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_6:(-87.498233534))))+deriv_sqrt_9_d0*((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_7:(-87.498233534))))*(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_8_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NSD_dX-modelStruct.modelPar_NSD*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_8:(-87.498233534))))+(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_7_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NSD_dX-modelStruct.modelPar_NSD*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_7:(-87.498233534))))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_8:(-87.498233534)))))))))));
instanceStruct.instanceVar_vfbsd = (instanceStruct.instanceVar_devsign*((((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_1:(-87.498233534))))+value_sqrt_4)))-((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_devsign*((0.5*instanceStruct.instanceVar_Eg)-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_5:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_6:(-87.498233534))))+value_sqrt_9))))))));
}
}
else
{
{
double value_log_0 = log(modelStruct.modelPar_NGATE);
double value_log_1 = log(modelStruct.modelPar_NGATE);
double value_log_2 = log(modelStruct.modelPar_NGATE);
double value_log_3 = log(modelStruct.modelPar_NGATE);
double value_sqrt_4 = sqrt(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_2:(-87.498233534))-instanceStruct.instanceVar_niln)))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_3:(-87.498233534))-instanceStruct.instanceVar_niln))))+((4.0*1.0e-4)*1.0e-4)));
double value_log_5 = log(modelStruct.modelPar_NSD);
double value_log_6 = log(modelStruct.modelPar_NSD);
double value_log_7 = log(modelStruct.modelPar_NSD);
double value_log_8 = log(modelStruct.modelPar_NSD);
double value_sqrt_9 = sqrt(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_7:(-87.498233534))-instanceStruct.instanceVar_niln)))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_8:(-87.498233534))-instanceStruct.instanceVar_niln))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_log_0_d0 = (1.0/modelStruct.modelPar_NGATE);
double  deriv_log_1_d0 = (1.0/modelStruct.modelPar_NGATE);
double  deriv_log_2_d0 = (1.0/modelStruct.modelPar_NGATE);
double  deriv_log_3_d0 = (1.0/modelStruct.modelPar_NGATE);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
double  deriv_log_5_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_log_6_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_log_7_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_log_8_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_sqrt_9_d0 = (0.5/value_sqrt_9);
instanceStruct.d_instanceVar_vfbsd_dX = instanceStruct.instanceVar_devsign*((((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_0:(-87.498233534))-instanceStruct.instanceVar_niln)))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?deriv_log_1_d0*(modelStruct.d_modelPar_NGATE_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_1:(-87.498233534))-instanceStruct.instanceVar_niln)))+deriv_sqrt_4_d0*((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_2:(-87.498233534))-instanceStruct.instanceVar_niln)))*(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?deriv_log_3_d0*(modelStruct.d_modelPar_NGATE_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_3:(-87.498233534))-instanceStruct.instanceVar_niln)))+(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?deriv_log_2_d0*(modelStruct.d_modelPar_NGATE_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_2:(-87.498233534))-instanceStruct.instanceVar_niln)))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_3:(-87.498233534))-instanceStruct.instanceVar_niln)))))))-(0.5*instanceStruct.d_instanceVar_Eg_dX-instanceStruct.instanceVar_devsign*(0.5*instanceStruct.d_instanceVar_Eg_dX-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_5:(-87.498233534))-instanceStruct.instanceVar_niln)))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?deriv_log_6_d0*(modelStruct.d_modelPar_NSD_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_6:(-87.498233534))-instanceStruct.instanceVar_niln)))+deriv_sqrt_9_d0*((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_7:(-87.498233534))-instanceStruct.instanceVar_niln)))*(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?deriv_log_8_d0*(modelStruct.d_modelPar_NSD_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_8:(-87.498233534))-instanceStruct.instanceVar_niln)))+(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?deriv_log_7_d0*(modelStruct.d_modelPar_NSD_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_7:(-87.498233534))-instanceStruct.instanceVar_niln)))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_8:(-87.498233534))-instanceStruct.instanceVar_niln))))))))));
instanceStruct.instanceVar_vfbsd = (instanceStruct.instanceVar_devsign*((((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_0:(-87.498233534))-instanceStruct.instanceVar_niln)))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NGATE>1.0e-38)?value_log_1:(-87.498233534))-instanceStruct.instanceVar_niln)))+value_sqrt_4)))-((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_devsign*((0.5*instanceStruct.instanceVar_Eg)-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_5:(-87.498233534))-instanceStruct.instanceVar_niln)))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_6:(-87.498233534))-instanceStruct.instanceVar_niln)))+value_sqrt_9))))))));
}
}
}
else
{
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_log_0 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_log_1 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_log_2 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_log_3 = log((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double value_sqrt_4 = sqrt(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_3:(-87.498233534)))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_log_0_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_log_1_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_log_2_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_log_3_d0 = (1.0/(modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni));
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_vfbsd_dX = instanceStruct.instanceVar_devsign*(instanceStruct.d_instanceVar_PHIG_i_dX-((modelStruct.d_modelPar_EASUB_dX+0.5*instanceStruct.d_instanceVar_Eg_dX)-instanceStruct.instanceVar_devsign*(0.5*instanceStruct.d_instanceVar_Eg_dX-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_1_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NSD_dX-modelStruct.modelPar_NSD*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_1:(-87.498233534))))+deriv_sqrt_4_d0*((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_2:(-87.498233534))))*(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_3_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NSD_dX-modelStruct.modelPar_NSD*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_3:(-87.498233534))))+(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_2_d0*(((instanceStruct.instanceVar_ni*modelStruct.d_modelPar_NSD_dX-modelStruct.modelPar_NSD*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_2:(-87.498233534))))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_3:(-87.498233534)))))))))));
instanceStruct.instanceVar_vfbsd = (instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_PHIG_i-((modelStruct.modelPar_EASUB+(0.5*instanceStruct.instanceVar_Eg))-(instanceStruct.instanceVar_devsign*((0.5*instanceStruct.instanceVar_Eg)-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_0:(-87.498233534))))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_1:(-87.498233534))))+value_sqrt_4))))))));
}
}
else
{
{
double value_log_0 = log(modelStruct.modelPar_NSD);
double value_log_1 = log(modelStruct.modelPar_NSD);
double value_log_2 = log(modelStruct.modelPar_NSD);
double value_log_3 = log(modelStruct.modelPar_NSD);
double value_sqrt_4 = sqrt(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_2:(-87.498233534))-instanceStruct.instanceVar_niln)))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_3:(-87.498233534))-instanceStruct.instanceVar_niln))))+((4.0*1.0e-4)*1.0e-4)));
double  deriv_log_0_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_log_1_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_log_2_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_log_3_d0 = (1.0/modelStruct.modelPar_NSD);
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
instanceStruct.d_instanceVar_vfbsd_dX = instanceStruct.instanceVar_devsign*(instanceStruct.d_instanceVar_PHIG_i_dX-((modelStruct.d_modelPar_EASUB_dX+0.5*instanceStruct.d_instanceVar_Eg_dX)-instanceStruct.instanceVar_devsign*(0.5*instanceStruct.d_instanceVar_Eg_dX-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_0:(-87.498233534))-instanceStruct.instanceVar_niln)))==0.0)&&(1.0e-4==0.0))?0.0:0.5*((0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?deriv_log_1_d0*(modelStruct.d_modelPar_NSD_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_1:(-87.498233534))-instanceStruct.instanceVar_niln)))+deriv_sqrt_4_d0*((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_2:(-87.498233534))-instanceStruct.instanceVar_niln)))*(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?deriv_log_3_d0*(modelStruct.d_modelPar_NSD_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_3:(-87.498233534))-instanceStruct.instanceVar_niln)))+(0.5*instanceStruct.d_instanceVar_Eg_dX-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?deriv_log_2_d0*(modelStruct.d_modelPar_NSD_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_2:(-87.498233534))-instanceStruct.instanceVar_niln)))*((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_3:(-87.498233534))-instanceStruct.instanceVar_niln))))))))));
instanceStruct.instanceVar_vfbsd = (instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_PHIG_i-((modelStruct.modelPar_EASUB+(0.5*instanceStruct.instanceVar_Eg))-(instanceStruct.instanceVar_devsign*((0.5*instanceStruct.instanceVar_Eg)-(((((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_0:(-87.498233534))-instanceStruct.instanceVar_niln)))==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(((0.5*instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((modelStruct.modelPar_NSD>1.0e-38)?value_log_1:(-87.498233534))-instanceStruct.instanceVar_niln)))+value_sqrt_4))))))));
}
}
}
}
else
{
instanceStruct.d_instanceVar_vfbsd_dX = modelStruct.d_modelPar_VFBSD_dX;
instanceStruct.instanceVar_vfbsd = modelStruct.modelPar_VFBSD;
}
if ((!modelStruct.modelPar_given_VFBSDCV))
{
instanceStruct.d_instanceVar_vfbsdcv_dX = instanceStruct.d_instanceVar_vfbsd_dX;
instanceStruct.instanceVar_vfbsdcv = instanceStruct.instanceVar_vfbsd;
}
else
{
instanceStruct.d_instanceVar_vfbsdcv_dX = modelStruct.d_modelPar_VFBSDCV_dX;
instanceStruct.instanceVar_vfbsdcv = modelStruct.modelPar_VFBSDCV;
}
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_log_0 = log((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_ni));
double  deriv_log_0_d0 = (1.0/(instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_ni));
instanceStruct.d_instanceVar_phib_dX = (instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_ni)>1.0e-38)?deriv_log_0_d0*(((instanceStruct.instanceVar_ni*instanceStruct.d_instanceVar_NBODY_i_dX-instanceStruct.instanceVar_NBODY_i*instanceStruct.d_instanceVar_ni_dX)/instanceStruct.instanceVar_ni/instanceStruct.instanceVar_ni)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_phib = (instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_ni)>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_log_0 = log(((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni)));
double  deriv_log_0_d0 = (1.0/((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni)));
instanceStruct.d_instanceVar_vbi_dX = (instanceStruct.instanceVar_Vtm*((((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni))>1.0e-38)?deriv_log_0_d0*((((instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni)*(instanceStruct.instanceVar_NBODY_i*modelStruct.d_modelPar_NSD_dX+instanceStruct.d_instanceVar_NBODY_i_dX*modelStruct.modelPar_NSD)-(instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)*(instanceStruct.instanceVar_ni*instanceStruct.d_instanceVar_ni_dX+instanceStruct.d_instanceVar_ni_dX*instanceStruct.instanceVar_ni))/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni)/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni))):0.0)+instanceStruct.d_instanceVar_Vtm_dX*((((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni))>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_vbi = (instanceStruct.instanceVar_Vtm*((((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)/(instanceStruct.instanceVar_ni*instanceStruct.instanceVar_ni))>1.0e-38)?value_log_0:(-87.498233534)));
}
}
else
{
{
double value_log_0 = log(instanceStruct.instanceVar_NBODY_i);
double  deriv_log_0_d0 = (1.0/instanceStruct.instanceVar_NBODY_i);
instanceStruct.d_instanceVar_phib_dX = (instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i>1.0e-38)?deriv_log_0_d0*(instanceStruct.d_instanceVar_NBODY_i_dX):0.0)-instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*(((instanceStruct.instanceVar_NBODY_i>1.0e-38)?value_log_0:(-87.498233534))-instanceStruct.instanceVar_niln));
instanceStruct.instanceVar_phib = (instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i>1.0e-38)?value_log_0:(-87.498233534))-instanceStruct.instanceVar_niln));
}
{
double value_log_0 = log((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD));
double  deriv_log_0_d0 = (1.0/(instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD));
instanceStruct.d_instanceVar_vbi_dX = (instanceStruct.instanceVar_Vtm*((((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)>1.0e-38)?deriv_log_0_d0*((instanceStruct.instanceVar_NBODY_i*modelStruct.d_modelPar_NSD_dX+instanceStruct.d_instanceVar_NBODY_i_dX*modelStruct.modelPar_NSD)):0.0)-2*instanceStruct.d_instanceVar_niln_dX)+instanceStruct.d_instanceVar_Vtm_dX*((((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)>1.0e-38)?value_log_0:(-87.498233534))-(2*instanceStruct.instanceVar_niln)));
instanceStruct.instanceVar_vbi = (instanceStruct.instanceVar_Vtm*((((instanceStruct.instanceVar_NBODY_i*modelStruct.modelPar_NSD)>1.0e-38)?value_log_0:(-87.498233534))-(2*instanceStruct.instanceVar_niln)));
}
}
instanceStruct.d_instanceVar_deltaPhi_dX = instanceStruct.instanceVar_devsign*(instanceStruct.d_instanceVar_PHIG_i_dX-(modelStruct.d_modelPar_EASUB_dX+((modelStruct.modelPar_TYPE==1)?0.0:instanceStruct.d_instanceVar_Eg_dX)));
instanceStruct.instanceVar_deltaPhi = (instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_PHIG_i-(modelStruct.modelPar_EASUB+((modelStruct.modelPar_TYPE==1)?0.0:instanceStruct.instanceVar_Eg))));
instanceStruct.d_instanceVar_eta_mu_dX = 0.5*instanceStruct.d_instanceVar_ETAMOB_t_dX;
instanceStruct.instanceVar_eta_mu = (0.5*instanceStruct.instanceVar_ETAMOB_t);
instanceStruct.instanceVar_eta_mu_cv = 0.5;
if ((modelStruct.modelPar_TYPE!=1))
{
instanceStruct.d_instanceVar_eta_mu_dX = 0.333333333*instanceStruct.d_instanceVar_ETAMOB_t_dX;
instanceStruct.instanceVar_eta_mu = (0.333333333*instanceStruct.instanceVar_ETAMOB_t);
instanceStruct.instanceVar_eta_mu_cv = 0.333333333;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
instanceStruct.d_instanceVar_Isbs_dX = (((instanceStruct.instancePar_ASEJ*instanceStruct.d_instanceVar_JSS_t_dX+instanceStruct.d_instancePar_ASEJ_dX*instanceStruct.instanceVar_JSS_t)+(instanceStruct.instancePar_PSEJ*instanceStruct.d_instanceVar_JSWS_t_dX+instanceStruct.d_instancePar_PSEJ_dX*instanceStruct.instanceVar_JSWS_t))+((instanceStruct.instancePar_TFIN*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_JSWGS_t_dX+(instanceStruct.instancePar_TFIN*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instancePar_TFIN_dX*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JSWGS_t));
instanceStruct.instanceVar_Isbs = (((instanceStruct.instancePar_ASEJ*instanceStruct.instanceVar_JSS_t)+(instanceStruct.instancePar_PSEJ*instanceStruct.instanceVar_JSWS_t))+((instanceStruct.instancePar_TFIN*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JSWGS_t));
if ((instanceStruct.instanceVar_Isbs>0.0))
{
instanceStruct.d_instanceVar_Nvtms_dX = (instanceStruct.instanceVar_Vtm*modelStruct.d_modelPar_NJS_dX+instanceStruct.d_instanceVar_Vtm_dX*modelStruct.modelPar_NJS);
instanceStruct.instanceVar_Nvtms = (instanceStruct.instanceVar_Vtm*modelStruct.modelPar_NJS);
{
double value_exp_0 = exp(((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_XExpBVS_dX = (((((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms)>80.0)?(5.540622384e34*((1.0+((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms))-80.0)):((((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms)<(-80.0))?1.804851387e-35:value_exp_0))*modelStruct.d_modelPar_XJBVS_dX+((((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Nvtms*(-modelStruct.d_modelPar_BVS_dX)-(-modelStruct.modelPar_BVS)*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms):((((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Nvtms*(-modelStruct.d_modelPar_BVS_dX)-(-modelStruct.modelPar_BVS)*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms))))*modelStruct.modelPar_XJBVS);
instanceStruct.instanceVar_XExpBVS = (((((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms)>80.0)?(5.540622384e34*((1.0+((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms))-80.0)):((((-modelStruct.modelPar_BVS)/instanceStruct.instanceVar_Nvtms)<(-80.0))?1.804851387e-35:value_exp_0))*modelStruct.modelPar_XJBVS);
}
{
double value_max_0 = std::max((modelStruct.modelPar_IJTHSFWD/instanceStruct.instanceVar_Isbs),static_cast<double>(10.0));
double  deriv_max_0_d0 = (((modelStruct.modelPar_IJTHSFWD/instanceStruct.instanceVar_Isbs)>=10.0)?1.0:0.0);
instanceStruct.d_instanceVar_T2_dX = (deriv_max_0_d0*(((instanceStruct.instanceVar_Isbs*modelStruct.d_modelPar_IJTHSFWD_dX-modelStruct.modelPar_IJTHSFWD*instanceStruct.d_instanceVar_Isbs_dX)/instanceStruct.instanceVar_Isbs/instanceStruct.instanceVar_Isbs)));
instanceStruct.instanceVar_T2 = value_max_0;
}
instanceStruct.d_instanceVar_Tb_dX = (instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_XExpBVS_dX);
instanceStruct.instanceVar_Tb = ((1.0+instanceStruct.instanceVar_T2)-instanceStruct.instanceVar_XExpBVS);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_Tb*instanceStruct.instanceVar_Tb)+(4.0*instanceStruct.instanceVar_XExpBVS)));
double value_sqrt_1 = sqrt(((instanceStruct.instanceVar_Tb*instanceStruct.instanceVar_Tb)+(4.0*instanceStruct.instanceVar_XExpBVS)));
double value_log_2 = log((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_log_2_d0 = (1.0/(0.5*(instanceStruct.instanceVar_Tb+value_sqrt_1)));
instanceStruct.d_instanceVar_VjsmFwd_dX = (instanceStruct.instanceVar_Nvtms*(((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_0))>1.0e-38)?deriv_log_2_d0*(0.5*(instanceStruct.d_instanceVar_Tb_dX+deriv_sqrt_1_d0*(((instanceStruct.instanceVar_Tb*instanceStruct.d_instanceVar_Tb_dX+instanceStruct.d_instanceVar_Tb_dX*instanceStruct.instanceVar_Tb)+4.0*instanceStruct.d_instanceVar_XExpBVS_dX)))):0.0)+instanceStruct.d_instanceVar_Nvtms_dX*(((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
instanceStruct.instanceVar_VjsmFwd = (instanceStruct.instanceVar_Nvtms*(((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_VjsmFwd/instanceStruct.instanceVar_Nvtms));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T0_dX = (((instanceStruct.instanceVar_VjsmFwd/instanceStruct.instanceVar_Nvtms)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Nvtms*instanceStruct.d_instanceVar_VjsmFwd_dX-instanceStruct.instanceVar_VjsmFwd*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms):(((instanceStruct.instanceVar_VjsmFwd/instanceStruct.instanceVar_Nvtms)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Nvtms*instanceStruct.d_instanceVar_VjsmFwd_dX-instanceStruct.instanceVar_VjsmFwd*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms))));
instanceStruct.instanceVar_T0 = (((instanceStruct.instanceVar_VjsmFwd/instanceStruct.instanceVar_Nvtms)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_VjsmFwd/instanceStruct.instanceVar_Nvtms))-80.0)):(((instanceStruct.instanceVar_VjsmFwd/instanceStruct.instanceVar_Nvtms)<(-80.0))?1.804851387e-35:value_exp_0));
}
instanceStruct.d_instanceVar_IVjsmFwd_dX = (instanceStruct.instanceVar_Isbs*((instanceStruct.d_instanceVar_T0_dX-((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_XExpBVS_dX-instanceStruct.instanceVar_XExpBVS*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0))+instanceStruct.d_instanceVar_XExpBVS_dX)+instanceStruct.d_instanceVar_Isbs_dX*(((instanceStruct.instanceVar_T0-(instanceStruct.instanceVar_XExpBVS/instanceStruct.instanceVar_T0))+instanceStruct.instanceVar_XExpBVS)-1.0));
instanceStruct.instanceVar_IVjsmFwd = (instanceStruct.instanceVar_Isbs*(((instanceStruct.instanceVar_T0-(instanceStruct.instanceVar_XExpBVS/instanceStruct.instanceVar_T0))+instanceStruct.instanceVar_XExpBVS)-1.0));
instanceStruct.d_instanceVar_SslpFwd_dX = ((instanceStruct.instanceVar_Nvtms*(instanceStruct.instanceVar_Isbs*(instanceStruct.d_instanceVar_T0_dX+((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_XExpBVS_dX-instanceStruct.instanceVar_XExpBVS*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0))+instanceStruct.d_instanceVar_Isbs_dX*(instanceStruct.instanceVar_T0+(instanceStruct.instanceVar_XExpBVS/instanceStruct.instanceVar_T0)))-(instanceStruct.instanceVar_Isbs*(instanceStruct.instanceVar_T0+(instanceStruct.instanceVar_XExpBVS/instanceStruct.instanceVar_T0)))*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms);
instanceStruct.instanceVar_SslpFwd = ((instanceStruct.instanceVar_Isbs*(instanceStruct.instanceVar_T0+(instanceStruct.instanceVar_XExpBVS/instanceStruct.instanceVar_T0)))/instanceStruct.instanceVar_Nvtms);
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0)*((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = (((((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((instanceStruct.instanceVar_Isbs*modelStruct.d_modelPar_IJTHSREV_dX-modelStruct.modelPar_IJTHSREV*instanceStruct.d_instanceVar_Isbs_dX)/instanceStruct.instanceVar_Isbs/instanceStruct.instanceVar_Isbs)+deriv_sqrt_0_d0*((((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0)*((instanceStruct.instanceVar_Isbs*modelStruct.d_modelPar_IJTHSREV_dX-modelStruct.modelPar_IJTHSREV*instanceStruct.d_instanceVar_Isbs_dX)/instanceStruct.instanceVar_Isbs/instanceStruct.instanceVar_Isbs)+((instanceStruct.instanceVar_Isbs*modelStruct.d_modelPar_IJTHSREV_dX-modelStruct.modelPar_IJTHSREV*instanceStruct.d_instanceVar_Isbs_dX)/instanceStruct.instanceVar_Isbs/instanceStruct.instanceVar_Isbs)*((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0)))));
instanceStruct.instanceVar_T2 = ((((((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_IJTHSREV/instanceStruct.instanceVar_Isbs)-10.0)+value_sqrt_0)))+10.0);
}
{
double value_log_0 = log(((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVS));
double  deriv_log_0_d0 = (1.0/((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVS));
instanceStruct.d_instanceVar_VjsmRev_dX = ((-modelStruct.d_modelPar_BVS_dX)-(instanceStruct.instanceVar_Nvtms*((((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVS)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_XJBVS*instanceStruct.d_instanceVar_T2_dX-(instanceStruct.instanceVar_T2-1.0)*modelStruct.d_modelPar_XJBVS_dX)/modelStruct.modelPar_XJBVS/modelStruct.modelPar_XJBVS)):0.0)+instanceStruct.d_instanceVar_Nvtms_dX*((((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVS)>1.0e-38)?value_log_0:(-87.498233534))));
instanceStruct.instanceVar_VjsmRev = ((-modelStruct.modelPar_BVS)-(instanceStruct.instanceVar_Nvtms*((((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVS)>1.0e-38)?value_log_0:(-87.498233534))));
}
{
double value_exp_0 = exp(((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (modelStruct.modelPar_XJBVS*((((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Nvtms*(-(modelStruct.d_modelPar_BVS_dX+instanceStruct.d_instanceVar_VjsmRev_dX))-(-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms):((((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Nvtms*(-(modelStruct.d_modelPar_BVS_dX+instanceStruct.d_instanceVar_VjsmRev_dX))-(-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms))))+modelStruct.d_modelPar_XJBVS_dX*((((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms)>80.0)?(5.540622384e34*((1.0+((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms))-80.0)):((((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_T1 = (modelStruct.modelPar_XJBVS*((((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms)>80.0)?(5.540622384e34*((1.0+((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms))-80.0)):((((-(modelStruct.modelPar_BVS+instanceStruct.instanceVar_VjsmRev))/instanceStruct.instanceVar_Nvtms)<(-80.0))?1.804851387e-35:value_exp_0)));
}
instanceStruct.d_instanceVar_IVjsmRev_dX = (instanceStruct.instanceVar_Isbs*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_Isbs_dX*(1.0+instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_IVjsmRev = (instanceStruct.instanceVar_Isbs*(1.0+instanceStruct.instanceVar_T1));
instanceStruct.d_instanceVar_SslpRev_dX = ((instanceStruct.instanceVar_Nvtms*((-instanceStruct.instanceVar_Isbs)*instanceStruct.d_instanceVar_T1_dX+(-instanceStruct.d_instanceVar_Isbs_dX)*instanceStruct.instanceVar_T1)-((-instanceStruct.instanceVar_Isbs)*instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms);
instanceStruct.instanceVar_SslpRev = (((-instanceStruct.instanceVar_Isbs)*instanceStruct.instanceVar_T1)/instanceStruct.instanceVar_Nvtms);
}
instanceStruct.d_instanceVar_Isbd_dX = (((instanceStruct.instancePar_ADEJ*instanceStruct.d_instanceVar_JSD_t_dX+instanceStruct.d_instancePar_ADEJ_dX*instanceStruct.instanceVar_JSD_t)+(instanceStruct.instancePar_PDEJ*instanceStruct.d_instanceVar_JSWD_t_dX+instanceStruct.d_instancePar_PDEJ_dX*instanceStruct.instanceVar_JSWD_t))+((instanceStruct.instancePar_TFIN*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_JSWGD_t_dX+(instanceStruct.instancePar_TFIN*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instancePar_TFIN_dX*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JSWGD_t));
instanceStruct.instanceVar_Isbd = (((instanceStruct.instancePar_ADEJ*instanceStruct.instanceVar_JSD_t)+(instanceStruct.instancePar_PDEJ*instanceStruct.instanceVar_JSWD_t))+((instanceStruct.instancePar_TFIN*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JSWGD_t));
if ((instanceStruct.instanceVar_Isbd>0.0))
{
instanceStruct.d_instanceVar_Nvtmd_dX = (instanceStruct.instanceVar_Vtm*modelStruct.d_modelPar_NJD_dX+instanceStruct.d_instanceVar_Vtm_dX*modelStruct.modelPar_NJD);
instanceStruct.instanceVar_Nvtmd = (instanceStruct.instanceVar_Vtm*modelStruct.modelPar_NJD);
{
double value_exp_0 = exp(((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_XExpBVD_dX = (((((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd)>80.0)?(5.540622384e34*((1.0+((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd))-80.0)):((((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0))*modelStruct.d_modelPar_XJBVD_dX+((((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Nvtmd*(-modelStruct.d_modelPar_BVD_dX)-(-modelStruct.modelPar_BVD)*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd):((((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Nvtmd*(-modelStruct.d_modelPar_BVD_dX)-(-modelStruct.modelPar_BVD)*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd))))*modelStruct.modelPar_XJBVD);
instanceStruct.instanceVar_XExpBVD = (((((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd)>80.0)?(5.540622384e34*((1.0+((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd))-80.0)):((((-modelStruct.modelPar_BVD)/instanceStruct.instanceVar_Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0))*modelStruct.modelPar_XJBVD);
}
{
double value_max_0 = std::max((modelStruct.modelPar_IJTHDFWD/instanceStruct.instanceVar_Isbd),static_cast<double>(10.0));
double  deriv_max_0_d0 = (((modelStruct.modelPar_IJTHDFWD/instanceStruct.instanceVar_Isbd)>=10.0)?1.0:0.0);
instanceStruct.d_instanceVar_T2_dX = (deriv_max_0_d0*(((instanceStruct.instanceVar_Isbd*modelStruct.d_modelPar_IJTHDFWD_dX-modelStruct.modelPar_IJTHDFWD*instanceStruct.d_instanceVar_Isbd_dX)/instanceStruct.instanceVar_Isbd/instanceStruct.instanceVar_Isbd)));
instanceStruct.instanceVar_T2 = value_max_0;
}
instanceStruct.d_instanceVar_Tb_dX = (instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_XExpBVD_dX);
instanceStruct.instanceVar_Tb = ((1.0+instanceStruct.instanceVar_T2)-instanceStruct.instanceVar_XExpBVD);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_Tb*instanceStruct.instanceVar_Tb)+(4.0*instanceStruct.instanceVar_XExpBVD)));
double value_sqrt_1 = sqrt(((instanceStruct.instanceVar_Tb*instanceStruct.instanceVar_Tb)+(4.0*instanceStruct.instanceVar_XExpBVD)));
double value_log_2 = log((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
double  deriv_log_2_d0 = (1.0/(0.5*(instanceStruct.instanceVar_Tb+value_sqrt_1)));
instanceStruct.d_instanceVar_VjdmFwd_dX = (instanceStruct.instanceVar_Nvtmd*(((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_0))>1.0e-38)?deriv_log_2_d0*(0.5*(instanceStruct.d_instanceVar_Tb_dX+deriv_sqrt_1_d0*(((instanceStruct.instanceVar_Tb*instanceStruct.d_instanceVar_Tb_dX+instanceStruct.d_instanceVar_Tb_dX*instanceStruct.instanceVar_Tb)+4.0*instanceStruct.d_instanceVar_XExpBVD_dX)))):0.0)+instanceStruct.d_instanceVar_Nvtmd_dX*(((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
instanceStruct.instanceVar_VjdmFwd = (instanceStruct.instanceVar_Nvtmd*(((0.5*(instanceStruct.instanceVar_Tb+value_sqrt_0))>1.0e-38)?value_log_2:(-87.498233534)));
}
{
double value_exp_0 = exp((instanceStruct.instanceVar_VjdmFwd/instanceStruct.instanceVar_Nvtmd));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T0_dX = (((instanceStruct.instanceVar_VjdmFwd/instanceStruct.instanceVar_Nvtmd)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Nvtmd*instanceStruct.d_instanceVar_VjdmFwd_dX-instanceStruct.instanceVar_VjdmFwd*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd):(((instanceStruct.instanceVar_VjdmFwd/instanceStruct.instanceVar_Nvtmd)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Nvtmd*instanceStruct.d_instanceVar_VjdmFwd_dX-instanceStruct.instanceVar_VjdmFwd*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd))));
instanceStruct.instanceVar_T0 = (((instanceStruct.instanceVar_VjdmFwd/instanceStruct.instanceVar_Nvtmd)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_VjdmFwd/instanceStruct.instanceVar_Nvtmd))-80.0)):(((instanceStruct.instanceVar_VjdmFwd/instanceStruct.instanceVar_Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0));
}
instanceStruct.d_instanceVar_IVjdmFwd_dX = (instanceStruct.instanceVar_Isbd*((instanceStruct.d_instanceVar_T0_dX-((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_XExpBVD_dX-instanceStruct.instanceVar_XExpBVD*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0))+instanceStruct.d_instanceVar_XExpBVD_dX)+instanceStruct.d_instanceVar_Isbd_dX*(((instanceStruct.instanceVar_T0-(instanceStruct.instanceVar_XExpBVD/instanceStruct.instanceVar_T0))+instanceStruct.instanceVar_XExpBVD)-1.0));
instanceStruct.instanceVar_IVjdmFwd = (instanceStruct.instanceVar_Isbd*(((instanceStruct.instanceVar_T0-(instanceStruct.instanceVar_XExpBVD/instanceStruct.instanceVar_T0))+instanceStruct.instanceVar_XExpBVD)-1.0));
instanceStruct.d_instanceVar_DslpFwd_dX = ((instanceStruct.instanceVar_Nvtmd*(instanceStruct.instanceVar_Isbd*(instanceStruct.d_instanceVar_T0_dX+((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_XExpBVD_dX-instanceStruct.instanceVar_XExpBVD*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0))+instanceStruct.d_instanceVar_Isbd_dX*(instanceStruct.instanceVar_T0+(instanceStruct.instanceVar_XExpBVD/instanceStruct.instanceVar_T0)))-(instanceStruct.instanceVar_Isbd*(instanceStruct.instanceVar_T0+(instanceStruct.instanceVar_XExpBVD/instanceStruct.instanceVar_T0)))*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd);
instanceStruct.instanceVar_DslpFwd = ((instanceStruct.instanceVar_Isbd*(instanceStruct.instanceVar_T0+(instanceStruct.instanceVar_XExpBVD/instanceStruct.instanceVar_T0)))/instanceStruct.instanceVar_Nvtmd);
{
double value_sqrt_0 = sqrt(((((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0)*((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = (((((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((instanceStruct.instanceVar_Isbd*modelStruct.d_modelPar_IJTHDREV_dX-modelStruct.modelPar_IJTHDREV*instanceStruct.d_instanceVar_Isbd_dX)/instanceStruct.instanceVar_Isbd/instanceStruct.instanceVar_Isbd)+deriv_sqrt_0_d0*((((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0)*((instanceStruct.instanceVar_Isbd*modelStruct.d_modelPar_IJTHDREV_dX-modelStruct.modelPar_IJTHDREV*instanceStruct.d_instanceVar_Isbd_dX)/instanceStruct.instanceVar_Isbd/instanceStruct.instanceVar_Isbd)+((instanceStruct.instanceVar_Isbd*modelStruct.d_modelPar_IJTHDREV_dX-modelStruct.modelPar_IJTHDREV*instanceStruct.d_instanceVar_Isbd_dX)/instanceStruct.instanceVar_Isbd/instanceStruct.instanceVar_Isbd)*((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0)))));
instanceStruct.instanceVar_T2 = ((((((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((modelStruct.modelPar_IJTHDREV/instanceStruct.instanceVar_Isbd)-10.0)+value_sqrt_0)))+10.0);
}
{
double value_log_0 = log(((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVD));
double  deriv_log_0_d0 = (1.0/((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVD));
instanceStruct.d_instanceVar_VjdmRev_dX = ((-modelStruct.d_modelPar_BVD_dX)-(instanceStruct.instanceVar_Nvtmd*((((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVD)>1.0e-38)?deriv_log_0_d0*(((modelStruct.modelPar_XJBVD*instanceStruct.d_instanceVar_T2_dX-(instanceStruct.instanceVar_T2-1.0)*modelStruct.d_modelPar_XJBVD_dX)/modelStruct.modelPar_XJBVD/modelStruct.modelPar_XJBVD)):0.0)+instanceStruct.d_instanceVar_Nvtmd_dX*((((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVD)>1.0e-38)?value_log_0:(-87.498233534))));
instanceStruct.instanceVar_VjdmRev = ((-modelStruct.modelPar_BVD)-(instanceStruct.instanceVar_Nvtmd*((((instanceStruct.instanceVar_T2-1.0)/modelStruct.modelPar_XJBVD)>1.0e-38)?value_log_0:(-87.498233534))));
}
{
double value_exp_0 = exp(((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (modelStruct.modelPar_XJBVD*((((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd)>80.0)?5.540622384e34*((instanceStruct.instanceVar_Nvtmd*(-(modelStruct.d_modelPar_BVD_dX+instanceStruct.d_instanceVar_VjdmRev_dX))-(-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd):((((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_Nvtmd*(-(modelStruct.d_modelPar_BVD_dX+instanceStruct.d_instanceVar_VjdmRev_dX))-(-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd))))+modelStruct.d_modelPar_XJBVD_dX*((((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd)>80.0)?(5.540622384e34*((1.0+((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd))-80.0)):((((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_T1 = (modelStruct.modelPar_XJBVD*((((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd)>80.0)?(5.540622384e34*((1.0+((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd))-80.0)):((((-(modelStruct.modelPar_BVD+instanceStruct.instanceVar_VjdmRev))/instanceStruct.instanceVar_Nvtmd)<(-80.0))?1.804851387e-35:value_exp_0)));
}
instanceStruct.d_instanceVar_IVjdmRev_dX = (instanceStruct.instanceVar_Isbd*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_Isbd_dX*(1.0+instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_IVjdmRev = (instanceStruct.instanceVar_Isbd*(1.0+instanceStruct.instanceVar_T1));
instanceStruct.d_instanceVar_DslpRev_dX = ((instanceStruct.instanceVar_Nvtmd*((-instanceStruct.instanceVar_Isbd)*instanceStruct.d_instanceVar_T1_dX+(-instanceStruct.d_instanceVar_Isbd_dX)*instanceStruct.instanceVar_T1)-((-instanceStruct.instanceVar_Isbd)*instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd);
instanceStruct.instanceVar_DslpRev = (((-instanceStruct.instanceVar_Isbd)*instanceStruct.instanceVar_T1)/instanceStruct.instanceVar_Nvtmd);
}
instanceStruct.d_instanceVar_Czbs_dX = (instanceStruct.instanceVar_CJS_t*instanceStruct.d_instancePar_ASEJ_dX+instanceStruct.d_instanceVar_CJS_t_dX*instanceStruct.instancePar_ASEJ);
instanceStruct.instanceVar_Czbs = (instanceStruct.instanceVar_CJS_t*instanceStruct.instancePar_ASEJ);
instanceStruct.d_instanceVar_Czbssw_dX = (instanceStruct.instanceVar_CJSWS_t*instanceStruct.d_instancePar_PSEJ_dX+instanceStruct.d_instanceVar_CJSWS_t_dX*instanceStruct.instancePar_PSEJ);
instanceStruct.instanceVar_Czbssw = (instanceStruct.instanceVar_CJSWS_t*instanceStruct.instancePar_PSEJ);
instanceStruct.d_instanceVar_Czbsswg_dX = ((instanceStruct.instanceVar_CJSWGS_t*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_NFINtotal_dX+(instanceStruct.instanceVar_CJSWGS_t*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_CJSWGS_t_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_NFINtotal);
instanceStruct.instanceVar_Czbsswg = ((instanceStruct.instanceVar_CJSWGS_t*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_NFINtotal);
instanceStruct.d_instanceVar_Czbd_dX = (instanceStruct.instanceVar_CJD_t*instanceStruct.d_instancePar_ADEJ_dX+instanceStruct.d_instanceVar_CJD_t_dX*instanceStruct.instancePar_ADEJ);
instanceStruct.instanceVar_Czbd = (instanceStruct.instanceVar_CJD_t*instanceStruct.instancePar_ADEJ);
instanceStruct.d_instanceVar_Czbdsw_dX = (instanceStruct.instanceVar_CJSWD_t*instanceStruct.d_instancePar_PDEJ_dX+instanceStruct.d_instanceVar_CJSWD_t_dX*instanceStruct.instancePar_PDEJ);
instanceStruct.instanceVar_Czbdsw = (instanceStruct.instanceVar_CJSWD_t*instanceStruct.instancePar_PDEJ);
instanceStruct.d_instanceVar_Czbdswg_dX = ((instanceStruct.instanceVar_CJSWGD_t*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_NFINtotal_dX+(instanceStruct.instanceVar_CJSWGD_t*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_CJSWGD_t_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_NFINtotal);
instanceStruct.instanceVar_Czbdswg = ((instanceStruct.instanceVar_CJSWGD_t*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_NFINtotal);
{
if ((modelStruct.modelPar_SJS>0.0))
{
{
double value_pow_0 = pow((1.0/modelStruct.modelPar_SJS),(1.0/modelStruct.modelPar_MJS));
double  deriv_pow_0_d0 = (((1.0/modelStruct.modelPar_SJS) == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MJS)/(1.0/modelStruct.modelPar_SJS)));
double  deriv_pow_0_d1 = ((1.0/modelStruct.modelPar_SJS) == 0.0)?0.0:(log((1.0/modelStruct.modelPar_SJS))*value_pow_0);
instanceStruct.d_instanceVar_vec1s_dX = (instanceStruct.instanceVar_PBS_t*(-((deriv_pow_0_d0*((-modelStruct.d_modelPar_SJS_dX/modelStruct.modelPar_SJS/modelStruct.modelPar_SJS)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS_dX/modelStruct.modelPar_MJS/modelStruct.modelPar_MJS)))))+instanceStruct.d_instanceVar_PBS_t_dX*(1.0-value_pow_0));
instanceStruct.instanceVar_vec1s = (instanceStruct.instanceVar_PBS_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(instanceStruct.instanceVar_vec1s/instanceStruct.instanceVar_PBS_t)),(-(1.0+modelStruct.modelPar_MJS)));
double  deriv_pow_0_d0 = (((1.0-(instanceStruct.instanceVar_vec1s/instanceStruct.instanceVar_PBS_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+modelStruct.modelPar_MJS))/(1.0-(instanceStruct.instanceVar_vec1s/instanceStruct.instanceVar_PBS_t))));
double  deriv_pow_0_d1 = ((1.0-(instanceStruct.instanceVar_vec1s/instanceStruct.instanceVar_PBS_t)) == 0.0)?0.0:(log((1.0-(instanceStruct.instanceVar_vec1s/instanceStruct.instanceVar_PBS_t)))*value_pow_0);
instanceStruct.d_instanceVar_pb21s_dX = ((value_pow_0*((modelStruct.modelPar_MJS*((instanceStruct.instanceVar_PBS_t*modelStruct.modelPar_SJS)*modelStruct.d_modelPar_MJS2_dX+(instanceStruct.instanceVar_PBS_t*modelStruct.d_modelPar_SJS_dX+instanceStruct.d_instanceVar_PBS_t_dX*modelStruct.modelPar_SJS)*modelStruct.modelPar_MJS2)-((instanceStruct.instanceVar_PBS_t*modelStruct.modelPar_SJS)*modelStruct.modelPar_MJS2)*modelStruct.d_modelPar_MJS_dX)/modelStruct.modelPar_MJS/modelStruct.modelPar_MJS)-(((instanceStruct.instanceVar_PBS_t*modelStruct.modelPar_SJS)*modelStruct.modelPar_MJS2)/modelStruct.modelPar_MJS)*((deriv_pow_0_d0*((-((instanceStruct.instanceVar_PBS_t*instanceStruct.d_instanceVar_vec1s_dX-instanceStruct.instanceVar_vec1s*instanceStruct.d_instanceVar_PBS_t_dX)/instanceStruct.instanceVar_PBS_t/instanceStruct.instanceVar_PBS_t))))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS_dX)))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_pb21s = ((((instanceStruct.instanceVar_PBS_t*modelStruct.modelPar_SJS)*modelStruct.modelPar_MJS2)/modelStruct.modelPar_MJS)/value_pow_0);
}
}
}
{
if ((modelStruct.modelPar_SJSWS>0.0))
{
{
double value_pow_0 = pow((1.0/modelStruct.modelPar_SJSWS),(1.0/modelStruct.modelPar_MJSWS));
double  deriv_pow_0_d0 = (((1.0/modelStruct.modelPar_SJSWS) == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MJSWS)/(1.0/modelStruct.modelPar_SJSWS)));
double  deriv_pow_0_d1 = ((1.0/modelStruct.modelPar_SJSWS) == 0.0)?0.0:(log((1.0/modelStruct.modelPar_SJSWS))*value_pow_0);
instanceStruct.d_instanceVar_vec2s_dX = (instanceStruct.instanceVar_PBSWS_t*(-((deriv_pow_0_d0*((-modelStruct.d_modelPar_SJSWS_dX/modelStruct.modelPar_SJSWS/modelStruct.modelPar_SJSWS)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS_dX/modelStruct.modelPar_MJSWS/modelStruct.modelPar_MJSWS)))))+instanceStruct.d_instanceVar_PBSWS_t_dX*(1.0-value_pow_0));
instanceStruct.instanceVar_vec2s = (instanceStruct.instanceVar_PBSWS_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(instanceStruct.instanceVar_vec2s/instanceStruct.instanceVar_PBSWS_t)),(-(1.0+modelStruct.modelPar_MJSWS)));
double  deriv_pow_0_d0 = (((1.0-(instanceStruct.instanceVar_vec2s/instanceStruct.instanceVar_PBSWS_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+modelStruct.modelPar_MJSWS))/(1.0-(instanceStruct.instanceVar_vec2s/instanceStruct.instanceVar_PBSWS_t))));
double  deriv_pow_0_d1 = ((1.0-(instanceStruct.instanceVar_vec2s/instanceStruct.instanceVar_PBSWS_t)) == 0.0)?0.0:(log((1.0-(instanceStruct.instanceVar_vec2s/instanceStruct.instanceVar_PBSWS_t)))*value_pow_0);
instanceStruct.d_instanceVar_pb22s_dX = ((value_pow_0*((modelStruct.modelPar_MJSWS*((instanceStruct.instanceVar_PBSWS_t*modelStruct.modelPar_SJSWS)*modelStruct.d_modelPar_MJSWS2_dX+(instanceStruct.instanceVar_PBSWS_t*modelStruct.d_modelPar_SJSWS_dX+instanceStruct.d_instanceVar_PBSWS_t_dX*modelStruct.modelPar_SJSWS)*modelStruct.modelPar_MJSWS2)-((instanceStruct.instanceVar_PBSWS_t*modelStruct.modelPar_SJSWS)*modelStruct.modelPar_MJSWS2)*modelStruct.d_modelPar_MJSWS_dX)/modelStruct.modelPar_MJSWS/modelStruct.modelPar_MJSWS)-(((instanceStruct.instanceVar_PBSWS_t*modelStruct.modelPar_SJSWS)*modelStruct.modelPar_MJSWS2)/modelStruct.modelPar_MJSWS)*((deriv_pow_0_d0*((-((instanceStruct.instanceVar_PBSWS_t*instanceStruct.d_instanceVar_vec2s_dX-instanceStruct.instanceVar_vec2s*instanceStruct.d_instanceVar_PBSWS_t_dX)/instanceStruct.instanceVar_PBSWS_t/instanceStruct.instanceVar_PBSWS_t))))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS_dX)))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_pb22s = ((((instanceStruct.instanceVar_PBSWS_t*modelStruct.modelPar_SJSWS)*modelStruct.modelPar_MJSWS2)/modelStruct.modelPar_MJSWS)/value_pow_0);
}
}
}
{
if ((modelStruct.modelPar_SJSWGS>0.0))
{
{
double value_pow_0 = pow((1.0/modelStruct.modelPar_SJSWGS),(1.0/modelStruct.modelPar_MJSWGS));
double  deriv_pow_0_d0 = (((1.0/modelStruct.modelPar_SJSWGS) == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MJSWGS)/(1.0/modelStruct.modelPar_SJSWGS)));
double  deriv_pow_0_d1 = ((1.0/modelStruct.modelPar_SJSWGS) == 0.0)?0.0:(log((1.0/modelStruct.modelPar_SJSWGS))*value_pow_0);
instanceStruct.d_instanceVar_vec3s_dX = (instanceStruct.instanceVar_PBSWGS_t*(-((deriv_pow_0_d0*((-modelStruct.d_modelPar_SJSWGS_dX/modelStruct.modelPar_SJSWGS/modelStruct.modelPar_SJSWGS)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS_dX/modelStruct.modelPar_MJSWGS/modelStruct.modelPar_MJSWGS)))))+instanceStruct.d_instanceVar_PBSWGS_t_dX*(1.0-value_pow_0));
instanceStruct.instanceVar_vec3s = (instanceStruct.instanceVar_PBSWGS_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(instanceStruct.instanceVar_vec3s/instanceStruct.instanceVar_PBSWGS_t)),(-(1.0+modelStruct.modelPar_MJSWGS)));
double  deriv_pow_0_d0 = (((1.0-(instanceStruct.instanceVar_vec3s/instanceStruct.instanceVar_PBSWGS_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+modelStruct.modelPar_MJSWGS))/(1.0-(instanceStruct.instanceVar_vec3s/instanceStruct.instanceVar_PBSWGS_t))));
double  deriv_pow_0_d1 = ((1.0-(instanceStruct.instanceVar_vec3s/instanceStruct.instanceVar_PBSWGS_t)) == 0.0)?0.0:(log((1.0-(instanceStruct.instanceVar_vec3s/instanceStruct.instanceVar_PBSWGS_t)))*value_pow_0);
instanceStruct.d_instanceVar_pb23s_dX = ((value_pow_0*((modelStruct.modelPar_MJSWGS*((instanceStruct.instanceVar_PBSWGS_t*modelStruct.modelPar_SJSWGS)*modelStruct.d_modelPar_MJSWGS2_dX+(instanceStruct.instanceVar_PBSWGS_t*modelStruct.d_modelPar_SJSWGS_dX+instanceStruct.d_instanceVar_PBSWGS_t_dX*modelStruct.modelPar_SJSWGS)*modelStruct.modelPar_MJSWGS2)-((instanceStruct.instanceVar_PBSWGS_t*modelStruct.modelPar_SJSWGS)*modelStruct.modelPar_MJSWGS2)*modelStruct.d_modelPar_MJSWGS_dX)/modelStruct.modelPar_MJSWGS/modelStruct.modelPar_MJSWGS)-(((instanceStruct.instanceVar_PBSWGS_t*modelStruct.modelPar_SJSWGS)*modelStruct.modelPar_MJSWGS2)/modelStruct.modelPar_MJSWGS)*((deriv_pow_0_d0*((-((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.d_instanceVar_vec3s_dX-instanceStruct.instanceVar_vec3s*instanceStruct.d_instanceVar_PBSWGS_t_dX)/instanceStruct.instanceVar_PBSWGS_t/instanceStruct.instanceVar_PBSWGS_t))))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS_dX)))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_pb23s = ((((instanceStruct.instanceVar_PBSWGS_t*modelStruct.modelPar_SJSWGS)*modelStruct.modelPar_MJSWGS2)/modelStruct.modelPar_MJSWGS)/value_pow_0);
}
}
}
{
if ((modelStruct.modelPar_SJD>0.0))
{
{
double value_pow_0 = pow((1.0/modelStruct.modelPar_SJD),(1.0/modelStruct.modelPar_MJD));
double  deriv_pow_0_d0 = (((1.0/modelStruct.modelPar_SJD) == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MJD)/(1.0/modelStruct.modelPar_SJD)));
double  deriv_pow_0_d1 = ((1.0/modelStruct.modelPar_SJD) == 0.0)?0.0:(log((1.0/modelStruct.modelPar_SJD))*value_pow_0);
instanceStruct.d_instanceVar_vec1d_dX = (instanceStruct.instanceVar_PBD_t*(-((deriv_pow_0_d0*((-modelStruct.d_modelPar_SJD_dX/modelStruct.modelPar_SJD/modelStruct.modelPar_SJD)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD_dX/modelStruct.modelPar_MJD/modelStruct.modelPar_MJD)))))+instanceStruct.d_instanceVar_PBD_t_dX*(1.0-value_pow_0));
instanceStruct.instanceVar_vec1d = (instanceStruct.instanceVar_PBD_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(instanceStruct.instanceVar_vec1d/instanceStruct.instanceVar_PBD_t)),(-(1.0+modelStruct.modelPar_MJD)));
double  deriv_pow_0_d0 = (((1.0-(instanceStruct.instanceVar_vec1d/instanceStruct.instanceVar_PBD_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+modelStruct.modelPar_MJD))/(1.0-(instanceStruct.instanceVar_vec1d/instanceStruct.instanceVar_PBD_t))));
double  deriv_pow_0_d1 = ((1.0-(instanceStruct.instanceVar_vec1d/instanceStruct.instanceVar_PBD_t)) == 0.0)?0.0:(log((1.0-(instanceStruct.instanceVar_vec1d/instanceStruct.instanceVar_PBD_t)))*value_pow_0);
instanceStruct.d_instanceVar_pb21d_dX = ((value_pow_0*((modelStruct.modelPar_MJD*((instanceStruct.instanceVar_PBD_t*modelStruct.modelPar_SJD)*modelStruct.d_modelPar_MJD2_dX+(instanceStruct.instanceVar_PBD_t*modelStruct.d_modelPar_SJD_dX+instanceStruct.d_instanceVar_PBD_t_dX*modelStruct.modelPar_SJD)*modelStruct.modelPar_MJD2)-((instanceStruct.instanceVar_PBD_t*modelStruct.modelPar_SJD)*modelStruct.modelPar_MJD2)*modelStruct.d_modelPar_MJD_dX)/modelStruct.modelPar_MJD/modelStruct.modelPar_MJD)-(((instanceStruct.instanceVar_PBD_t*modelStruct.modelPar_SJD)*modelStruct.modelPar_MJD2)/modelStruct.modelPar_MJD)*((deriv_pow_0_d0*((-((instanceStruct.instanceVar_PBD_t*instanceStruct.d_instanceVar_vec1d_dX-instanceStruct.instanceVar_vec1d*instanceStruct.d_instanceVar_PBD_t_dX)/instanceStruct.instanceVar_PBD_t/instanceStruct.instanceVar_PBD_t))))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD_dX)))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_pb21d = ((((instanceStruct.instanceVar_PBD_t*modelStruct.modelPar_SJD)*modelStruct.modelPar_MJD2)/modelStruct.modelPar_MJD)/value_pow_0);
}
}
}
{
if ((modelStruct.modelPar_SJSWD>0.0))
{
{
double value_pow_0 = pow((1.0/modelStruct.modelPar_SJSWD),(1.0/modelStruct.modelPar_MJSWD));
double  deriv_pow_0_d0 = (((1.0/modelStruct.modelPar_SJSWD) == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MJSWD)/(1.0/modelStruct.modelPar_SJSWD)));
double  deriv_pow_0_d1 = ((1.0/modelStruct.modelPar_SJSWD) == 0.0)?0.0:(log((1.0/modelStruct.modelPar_SJSWD))*value_pow_0);
instanceStruct.d_instanceVar_vec2d_dX = (instanceStruct.instanceVar_PBSWD_t*(-((deriv_pow_0_d0*((-modelStruct.d_modelPar_SJSWD_dX/modelStruct.modelPar_SJSWD/modelStruct.modelPar_SJSWD)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD_dX/modelStruct.modelPar_MJSWD/modelStruct.modelPar_MJSWD)))))+instanceStruct.d_instanceVar_PBSWD_t_dX*(1.0-value_pow_0));
instanceStruct.instanceVar_vec2d = (instanceStruct.instanceVar_PBSWD_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(instanceStruct.instanceVar_vec2d/instanceStruct.instanceVar_PBSWD_t)),(-(1.0+modelStruct.modelPar_MJSWD)));
double  deriv_pow_0_d0 = (((1.0-(instanceStruct.instanceVar_vec2d/instanceStruct.instanceVar_PBSWD_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+modelStruct.modelPar_MJSWD))/(1.0-(instanceStruct.instanceVar_vec2d/instanceStruct.instanceVar_PBSWD_t))));
double  deriv_pow_0_d1 = ((1.0-(instanceStruct.instanceVar_vec2d/instanceStruct.instanceVar_PBSWD_t)) == 0.0)?0.0:(log((1.0-(instanceStruct.instanceVar_vec2d/instanceStruct.instanceVar_PBSWD_t)))*value_pow_0);
instanceStruct.d_instanceVar_pb22d_dX = ((value_pow_0*((modelStruct.modelPar_MJSWD*((instanceStruct.instanceVar_PBSWD_t*modelStruct.modelPar_SJSWD)*modelStruct.d_modelPar_MJSWD2_dX+(instanceStruct.instanceVar_PBSWD_t*modelStruct.d_modelPar_SJSWD_dX+instanceStruct.d_instanceVar_PBSWD_t_dX*modelStruct.modelPar_SJSWD)*modelStruct.modelPar_MJSWD2)-((instanceStruct.instanceVar_PBSWD_t*modelStruct.modelPar_SJSWD)*modelStruct.modelPar_MJSWD2)*modelStruct.d_modelPar_MJSWD_dX)/modelStruct.modelPar_MJSWD/modelStruct.modelPar_MJSWD)-(((instanceStruct.instanceVar_PBSWD_t*modelStruct.modelPar_SJSWD)*modelStruct.modelPar_MJSWD2)/modelStruct.modelPar_MJSWD)*((deriv_pow_0_d0*((-((instanceStruct.instanceVar_PBSWD_t*instanceStruct.d_instanceVar_vec2d_dX-instanceStruct.instanceVar_vec2d*instanceStruct.d_instanceVar_PBSWD_t_dX)/instanceStruct.instanceVar_PBSWD_t/instanceStruct.instanceVar_PBSWD_t))))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD_dX)))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_pb22d = ((((instanceStruct.instanceVar_PBSWD_t*modelStruct.modelPar_SJSWD)*modelStruct.modelPar_MJSWD2)/modelStruct.modelPar_MJSWD)/value_pow_0);
}
}
}
{
if ((modelStruct.modelPar_SJSWGD>0.0))
{
{
double value_pow_0 = pow((1.0/modelStruct.modelPar_SJSWGD),(1.0/modelStruct.modelPar_MJSWGD));
double  deriv_pow_0_d0 = (((1.0/modelStruct.modelPar_SJSWGD) == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MJSWGD)/(1.0/modelStruct.modelPar_SJSWGD)));
double  deriv_pow_0_d1 = ((1.0/modelStruct.modelPar_SJSWGD) == 0.0)?0.0:(log((1.0/modelStruct.modelPar_SJSWGD))*value_pow_0);
instanceStruct.d_instanceVar_vec3d_dX = (instanceStruct.instanceVar_PBSWGD_t*(-((deriv_pow_0_d0*((-modelStruct.d_modelPar_SJSWGD_dX/modelStruct.modelPar_SJSWGD/modelStruct.modelPar_SJSWGD)))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD_dX/modelStruct.modelPar_MJSWGD/modelStruct.modelPar_MJSWGD)))))+instanceStruct.d_instanceVar_PBSWGD_t_dX*(1.0-value_pow_0));
instanceStruct.instanceVar_vec3d = (instanceStruct.instanceVar_PBSWGD_t*(1.0-value_pow_0));
}
{
double value_pow_0 = pow((1.0-(instanceStruct.instanceVar_vec3d/instanceStruct.instanceVar_PBSWGD_t)),(-(1.0+modelStruct.modelPar_MJSWGD)));
double  deriv_pow_0_d0 = (((1.0-(instanceStruct.instanceVar_vec3d/instanceStruct.instanceVar_PBSWGD_t)) == 0.0)?0.0:(value_pow_0*(-(1.0+modelStruct.modelPar_MJSWGD))/(1.0-(instanceStruct.instanceVar_vec3d/instanceStruct.instanceVar_PBSWGD_t))));
double  deriv_pow_0_d1 = ((1.0-(instanceStruct.instanceVar_vec3d/instanceStruct.instanceVar_PBSWGD_t)) == 0.0)?0.0:(log((1.0-(instanceStruct.instanceVar_vec3d/instanceStruct.instanceVar_PBSWGD_t)))*value_pow_0);
instanceStruct.d_instanceVar_pb23d_dX = ((value_pow_0*((modelStruct.modelPar_MJSWGD*((instanceStruct.instanceVar_PBSWGD_t*modelStruct.modelPar_SJSWGD)*modelStruct.d_modelPar_MJSWGD2_dX+(instanceStruct.instanceVar_PBSWGD_t*modelStruct.d_modelPar_SJSWGD_dX+instanceStruct.d_instanceVar_PBSWGD_t_dX*modelStruct.modelPar_SJSWGD)*modelStruct.modelPar_MJSWGD2)-((instanceStruct.instanceVar_PBSWGD_t*modelStruct.modelPar_SJSWGD)*modelStruct.modelPar_MJSWGD2)*modelStruct.d_modelPar_MJSWGD_dX)/modelStruct.modelPar_MJSWGD/modelStruct.modelPar_MJSWGD)-(((instanceStruct.instanceVar_PBSWGD_t*modelStruct.modelPar_SJSWGD)*modelStruct.modelPar_MJSWGD2)/modelStruct.modelPar_MJSWGD)*((deriv_pow_0_d0*((-((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.d_instanceVar_vec3d_dX-instanceStruct.instanceVar_vec3d*instanceStruct.d_instanceVar_PBSWGD_t_dX)/instanceStruct.instanceVar_PBSWGD_t/instanceStruct.instanceVar_PBSWGD_t))))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD_dX)))))/value_pow_0/value_pow_0);
instanceStruct.instanceVar_pb23d = ((((instanceStruct.instanceVar_PBSWGD_t*modelStruct.modelPar_SJSWGD)*modelStruct.modelPar_MJSWGD2)/modelStruct.modelPar_MJSWGD)/value_pow_0);
}
}
}
}
{
double value_exp_0 = exp((((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_NTGEN_i));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_igentemp_dX = (((((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_NTGEN_i)>80.0)?5.540622384e34*((instanceStruct.instanceVar_NTGEN_i*((instanceStruct.instanceVar_Vtm*(instanceStruct.instanceVar_Eg*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_Eg_dX*instanceStruct.instanceVar_TRatio_m1)-(instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm)-((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_NTGEN_i_dX)/instanceStruct.instanceVar_NTGEN_i/instanceStruct.instanceVar_NTGEN_i):(((((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_NTGEN_i)<(-80.0))?0.0:deriv_exp_0_d0*(((instanceStruct.instanceVar_NTGEN_i*((instanceStruct.instanceVar_Vtm*(instanceStruct.instanceVar_Eg*instanceStruct.d_instanceVar_TRatio_m1_dX+instanceStruct.d_instanceVar_Eg_dX*instanceStruct.instanceVar_TRatio_m1)-(instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm)-((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_NTGEN_i_dX)/instanceStruct.instanceVar_NTGEN_i/instanceStruct.instanceVar_NTGEN_i))));
instanceStruct.instanceVar_igentemp = (((((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_NTGEN_i)>80.0)?(5.540622384e34*((1.0+(((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_NTGEN_i))-80.0)):(((((instanceStruct.instanceVar_Eg*instanceStruct.instanceVar_TRatio_m1)/instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_NTGEN_i)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
// End block CMGTempDepCalc
vgs_noswap = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_gi_si]));
vds_noswap = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_di_si]));
vgd_noswap = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_gi_di]));
ves_jct = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_e_si]));
ved_jct = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_e_di]));
vge = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_gi_e]));
sigvds = 1.0;
if ((vds_noswap<0.0))
{
sigvds = (-1.0);
vgs = (vgs_noswap-vds_noswap);
vds = ((-1.0)*vds_noswap);
ves = ved_jct;
}
else
{
vgs = vgs_noswap;
vds = vds_noswap;
ves = ves_jct;
}
d_vgsfb_dX = (-instanceStruct.d_instanceVar_deltaPhi_dX);
vgsfb = (vgs-instanceStruct.instanceVar_deltaPhi);
{
double value_sqrt_0 = sqrt(((vds*vds)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
vdsx = (value_sqrt_0-0.1);
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
vesx = (ves-(0.5*(vds-vdsx)));
d_vesmax_dX = 0.95*instanceStruct.d_instanceVar_PHIBE_i_dX;
vesmax = (0.95*instanceStruct.instanceVar_PHIBE_i);
instanceStruct.d_instanceVar_T2_dX = d_vesmax_dX;
instanceStruct.instanceVar_T2 = ((vesmax-vesx)-1.0e-3);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_T2)+(0.004*vesmax)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_veseff_dX = (d_vesmax_dX-0.5*(instanceStruct.d_instanceVar_T2_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_T2)+0.004*d_vesmax_dX))));
instanceStruct.instanceVar_veseff = (vesmax-(0.5*(instanceStruct.instanceVar_T2+value_sqrt_0)));
}
}
{
double value_tanh_0 = tanh(((0.6*vds_noswap)/instanceStruct.instanceVar_Vtm));
double  deriv_tanh_0_d0 = (1.0/cosh(((0.6*vds_noswap)/instanceStruct.instanceVar_Vtm))/cosh(((0.6*vds_noswap)/instanceStruct.instanceVar_Vtm)));
instanceStruct.d_instanceVar_T0_dX = deriv_tanh_0_d0*((-(0.6*vds_noswap)*instanceStruct.d_instanceVar_Vtm_dX/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm));
instanceStruct.instanceVar_T0 = value_tanh_0;
}
d_wf_dX = 0.5*instanceStruct.d_instanceVar_T0_dX;
wf = (0.5+(0.5*instanceStruct.instanceVar_T0));
d_wr_dX = (-d_wf_dX);
wr = (1.0-wf);
if ((modelStruct.modelPar_ASYMMOD!=0))
{
d_CDSCD_a_dX = ((instanceStruct.instanceVar_CDSCDR_i*d_wr_dX+instanceStruct.d_instanceVar_CDSCDR_i_dX*wr)+(instanceStruct.instanceVar_CDSCD_i*d_wf_dX+instanceStruct.d_instanceVar_CDSCD_i_dX*wf));
CDSCD_a = ((instanceStruct.instanceVar_CDSCDR_i*wr)+(instanceStruct.instanceVar_CDSCD_i*wf));
d_ETA0_a_dX = ((instanceStruct.instanceVar_ETA0R_t*d_wr_dX+instanceStruct.d_instanceVar_ETA0R_t_dX*wr)+(instanceStruct.instanceVar_ETA0_t*d_wf_dX+instanceStruct.d_instanceVar_ETA0_t_dX*wf));
ETA0_a = ((instanceStruct.instanceVar_ETA0R_t*wr)+(instanceStruct.instanceVar_ETA0_t*wf));
d_PDIBL1_a_dX = ((instanceStruct.instanceVar_PDIBL1R_i*d_wr_dX+instanceStruct.d_instanceVar_PDIBL1R_i_dX*wr)+(instanceStruct.instanceVar_PDIBL1_i*d_wf_dX+instanceStruct.d_instanceVar_PDIBL1_i_dX*wf));
PDIBL1_a = ((instanceStruct.instanceVar_PDIBL1R_i*wr)+(instanceStruct.instanceVar_PDIBL1_i*wf));
d_PDIBL2_a_dX = ((instanceStruct.instanceVar_PDIBL2R_i*d_wr_dX+instanceStruct.d_instanceVar_PDIBL2R_i_dX*wr)+(instanceStruct.instanceVar_PDIBL2_i*d_wf_dX+instanceStruct.d_instanceVar_PDIBL2_i_dX*wf));
PDIBL2_a = ((instanceStruct.instanceVar_PDIBL2R_i*wr)+(instanceStruct.instanceVar_PDIBL2_i*wf));
d_MEXP_a_dX = ((instanceStruct.instanceVar_MEXPR_t*d_wr_dX+instanceStruct.d_instanceVar_MEXPR_t_dX*wr)+(instanceStruct.instanceVar_MEXP_t*d_wf_dX+instanceStruct.d_instanceVar_MEXP_t_dX*wf));
MEXP_a = ((instanceStruct.instanceVar_MEXPR_t*wr)+(instanceStruct.instanceVar_MEXP_t*wf));
d_PTWG_a_dX = ((instanceStruct.instanceVar_PTWGR_t*d_wr_dX+instanceStruct.d_instanceVar_PTWGR_t_dX*wr)+(instanceStruct.instanceVar_PTWG_t*d_wf_dX+instanceStruct.d_instanceVar_PTWG_t_dX*wf));
PTWG_a = ((instanceStruct.instanceVar_PTWGR_t*wr)+(instanceStruct.instanceVar_PTWG_t*wf));
d_VSAT1_a_dX = ((instanceStruct.instanceVar_VSAT1R_t*d_wr_dX+instanceStruct.d_instanceVar_VSAT1R_t_dX*wr)+(instanceStruct.instanceVar_VSAT1_t*d_wf_dX+instanceStruct.d_instanceVar_VSAT1_t_dX*wf));
VSAT1_a = ((instanceStruct.instanceVar_VSAT1R_t*wr)+(instanceStruct.instanceVar_VSAT1_t*wf));
d_RSDR_a_dX = ((instanceStruct.instanceVar_RSDRR_t*d_wr_dX+instanceStruct.d_instanceVar_RSDRR_t_dX*wr)+(instanceStruct.instanceVar_RSDR_t*d_wf_dX+instanceStruct.d_instanceVar_RSDR_t_dX*wf));
RSDR_a = ((instanceStruct.instanceVar_RSDRR_t*wr)+(instanceStruct.instanceVar_RSDR_t*wf));
d_RDDR_a_dX = ((instanceStruct.instanceVar_RDDRR_t*d_wr_dX+instanceStruct.d_instanceVar_RDDRR_t_dX*wr)+(instanceStruct.instanceVar_RDDR_t*d_wf_dX+instanceStruct.d_instanceVar_RDDR_t_dX*wf));
RDDR_a = ((instanceStruct.instanceVar_RDDRR_t*wr)+(instanceStruct.instanceVar_RDDR_t*wf));
d_PCLM_a_dX = ((instanceStruct.instanceVar_PCLMR_i*d_wr_dX+instanceStruct.d_instanceVar_PCLMR_i_dX*wr)+(instanceStruct.instanceVar_PCLM_t*d_wf_dX+instanceStruct.d_instanceVar_PCLM_t_dX*wf));
PCLM_a = ((instanceStruct.instanceVar_PCLMR_i*wr)+(instanceStruct.instanceVar_PCLM_t*wf));
d_VSAT_a_dX = ((instanceStruct.instanceVar_VSATR_t*d_wr_dX+instanceStruct.d_instanceVar_VSATR_t_dX*wr)+(instanceStruct.instanceVar_VSAT_t*d_wf_dX+instanceStruct.d_instanceVar_VSAT_t_dX*wf));
VSAT_a = ((instanceStruct.instanceVar_VSATR_t*wr)+(instanceStruct.instanceVar_VSAT_t*wf));
d_KSATIV_a_dX = ((instanceStruct.instanceVar_KSATIVR_i*d_wr_dX+instanceStruct.d_instanceVar_KSATIVR_i_dX*wr)+(instanceStruct.instanceVar_KSATIV_t*d_wf_dX+instanceStruct.d_instanceVar_KSATIV_t_dX*wf));
KSATIV_a = ((instanceStruct.instanceVar_KSATIVR_i*wr)+(instanceStruct.instanceVar_KSATIV_t*wf));
d_DVTSHIFT_a_dX = ((instanceStruct.instanceVar_DVTSHIFTR_i*d_wr_dX+instanceStruct.d_instanceVar_DVTSHIFTR_i_dX*wr)+(instanceStruct.instanceVar_DVTSHIFT_i*d_wf_dX+instanceStruct.d_instanceVar_DVTSHIFT_i_dX*wf));
DVTSHIFT_a = ((instanceStruct.instanceVar_DVTSHIFTR_i*wr)+(instanceStruct.instanceVar_DVTSHIFT_i*wf));
d_CIT_a_dX = ((instanceStruct.instanceVar_CITR_i*d_wr_dX+instanceStruct.d_instanceVar_CITR_i_dX*wr)+(instanceStruct.instanceVar_CIT_i*d_wf_dX+instanceStruct.d_instanceVar_CIT_i_dX*wf));
CIT_a = ((instanceStruct.instanceVar_CITR_i*wr)+(instanceStruct.instanceVar_CIT_i*wf));
d_u0_a_dX = ((instanceStruct.instanceVar_u0r*d_wr_dX+instanceStruct.d_instanceVar_u0r_dX*wr)+(instanceStruct.instanceVar_u0*d_wf_dX+instanceStruct.d_instanceVar_u0_dX*wf));
u0_a = ((instanceStruct.instanceVar_u0r*wr)+(instanceStruct.instanceVar_u0*wf));
d_UA_a_dX = ((instanceStruct.instanceVar_UAR_t*d_wr_dX+instanceStruct.d_instanceVar_UAR_t_dX*wr)+(instanceStruct.instanceVar_UA_t*d_wf_dX+instanceStruct.d_instanceVar_UA_t_dX*wf));
UA_a = ((instanceStruct.instanceVar_UAR_t*wr)+(instanceStruct.instanceVar_UA_t*wf));
d_UD_a_dX = ((instanceStruct.instanceVar_UDR_t*d_wr_dX+instanceStruct.d_instanceVar_UDR_t_dX*wr)+(instanceStruct.instanceVar_UD_t*d_wf_dX+instanceStruct.d_instanceVar_UD_t_dX*wf));
UD_a = ((instanceStruct.instanceVar_UDR_t*wr)+(instanceStruct.instanceVar_UD_t*wf));
d_UC_a_dX = ((instanceStruct.instanceVar_UCR_t*d_wr_dX+instanceStruct.d_instanceVar_UCR_t_dX*wr)+(instanceStruct.instanceVar_UC_t*d_wf_dX+instanceStruct.d_instanceVar_UC_t_dX*wf));
UC_a = ((instanceStruct.instanceVar_UCR_t*wr)+(instanceStruct.instanceVar_UC_t*wf));
d_EU_a_dX = ((instanceStruct.instanceVar_EUR_i*d_wr_dX+instanceStruct.d_instanceVar_EUR_i_dX*wr)+(instanceStruct.instanceVar_EU_t*d_wf_dX+instanceStruct.d_instanceVar_EU_t_dX*wf));
EU_a = ((instanceStruct.instanceVar_EUR_i*wr)+(instanceStruct.instanceVar_EU_t*wf));
}
else
{
d_CDSCD_a_dX = instanceStruct.d_instanceVar_CDSCD_i_dX;
CDSCD_a = instanceStruct.instanceVar_CDSCD_i;
d_ETA0_a_dX = instanceStruct.d_instanceVar_ETA0_t_dX;
ETA0_a = instanceStruct.instanceVar_ETA0_t;
d_PDIBL1_a_dX = instanceStruct.d_instanceVar_PDIBL1_i_dX;
PDIBL1_a = instanceStruct.instanceVar_PDIBL1_i;
d_PDIBL2_a_dX = instanceStruct.d_instanceVar_PDIBL2_i_dX;
PDIBL2_a = instanceStruct.instanceVar_PDIBL2_i;
d_MEXP_a_dX = instanceStruct.d_instanceVar_MEXP_t_dX;
MEXP_a = instanceStruct.instanceVar_MEXP_t;
d_PTWG_a_dX = instanceStruct.d_instanceVar_PTWG_t_dX;
PTWG_a = instanceStruct.instanceVar_PTWG_t;
d_VSAT1_a_dX = instanceStruct.d_instanceVar_VSAT1_t_dX;
VSAT1_a = instanceStruct.instanceVar_VSAT1_t;
d_RSDR_a_dX = instanceStruct.d_instanceVar_RSDR_t_dX;
RSDR_a = instanceStruct.instanceVar_RSDR_t;
d_RDDR_a_dX = instanceStruct.d_instanceVar_RDDR_t_dX;
RDDR_a = instanceStruct.instanceVar_RDDR_t;
d_PCLM_a_dX = instanceStruct.d_instanceVar_PCLM_t_dX;
PCLM_a = instanceStruct.instanceVar_PCLM_t;
d_VSAT_a_dX = instanceStruct.d_instanceVar_VSAT_t_dX;
VSAT_a = instanceStruct.instanceVar_VSAT_t;
d_KSATIV_a_dX = instanceStruct.d_instanceVar_KSATIV_t_dX;
KSATIV_a = instanceStruct.instanceVar_KSATIV_t;
d_DVTSHIFT_a_dX = instanceStruct.d_instanceVar_DVTSHIFT_i_dX;
DVTSHIFT_a = instanceStruct.instanceVar_DVTSHIFT_i;
d_CIT_a_dX = instanceStruct.d_instanceVar_CIT_i_dX;
CIT_a = instanceStruct.instanceVar_CIT_i;
d_u0_a_dX = instanceStruct.d_instanceVar_u0_dX;
u0_a = instanceStruct.instanceVar_u0;
d_UA_a_dX = instanceStruct.d_instanceVar_UA_t_dX;
UA_a = instanceStruct.instanceVar_UA_t;
d_UD_a_dX = instanceStruct.d_instanceVar_UD_t_dX;
UD_a = instanceStruct.instanceVar_UD_t;
d_UC_a_dX = instanceStruct.d_instanceVar_UC_t_dX;
UC_a = instanceStruct.instanceVar_UC_t;
d_EU_a_dX = instanceStruct.d_instanceVar_EU_t_dX;
EU_a = instanceStruct.instanceVar_EU_t;
}
d_inv_MEXP_dX = (-d_MEXP_a_dX/MEXP_a/MEXP_a);
inv_MEXP = (1.0/MEXP_a);
d_phist_dX = (instanceStruct.d_instanceVar_phib_dX+instanceStruct.d_instanceVar_PHIN_i_dX);
phist = ((0.4+instanceStruct.instanceVar_phib)+instanceStruct.instanceVar_PHIN_i);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_rc+2.0)*2.0*((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.d_instanceVar_Cins_dX-instanceStruct.instanceVar_Cins*instanceStruct.d_instanceVar_Weff_UFCM_dX)/instanceStruct.instanceVar_Weff_UFCM/instanceStruct.instanceVar_Weff_UFCM)-(2.0*(instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Weff_UFCM))*instanceStruct.d_instanceVar_rc_dX)/(instanceStruct.instanceVar_rc+2.0)/(instanceStruct.instanceVar_rc+2.0));
instanceStruct.instanceVar_T1 = ((2.0*(instanceStruct.instanceVar_Cins/instanceStruct.instanceVar_Weff_UFCM))/(instanceStruct.instanceVar_rc+2.0));
d_cdsc_dX = (instanceStruct.instanceVar_Theta_SW*(instanceStruct.d_instanceVar_CDSC_i_dX+d_CDSCD_a_dX*vdsx)+instanceStruct.d_instanceVar_Theta_SW_dX*(instanceStruct.instanceVar_CDSC_i+(CDSCD_a*vdsx)));
cdsc = (instanceStruct.instanceVar_Theta_SW*(instanceStruct.instanceVar_CDSC_i+(CDSCD_a*vdsx)));
if ((modelStruct.modelPar_NVTM==0.0))
{
if ((modelStruct.modelPar_CRYOMOD==0))
{
d_nVtm_dX = ((instanceStruct.instanceVar_Vtm*instanceStruct.instanceVar_ThetaSS)*((instanceStruct.instanceVar_T1*(d_CIT_a_dX+d_cdsc_dX)-(CIT_a+cdsc)*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1)+(instanceStruct.instanceVar_Vtm*instanceStruct.d_instanceVar_ThetaSS_dX+instanceStruct.d_instanceVar_Vtm_dX*instanceStruct.instanceVar_ThetaSS)*(1.0+((CIT_a+cdsc)/instanceStruct.instanceVar_T1)));
nVtm = ((instanceStruct.instanceVar_Vtm*instanceStruct.instanceVar_ThetaSS)*(1.0+((CIT_a+cdsc)/instanceStruct.instanceVar_T1)));
}
else
{
d_nVtm_dX = ((instanceStruct.instanceVar_Vtmeff*instanceStruct.instanceVar_ThetaSS)*((instanceStruct.instanceVar_T1*(d_CIT_a_dX+d_cdsc_dX)-(CIT_a+cdsc)*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1)+(instanceStruct.instanceVar_Vtmeff*instanceStruct.d_instanceVar_ThetaSS_dX+instanceStruct.d_instanceVar_Vtmeff_dX*instanceStruct.instanceVar_ThetaSS)*(1.0+((CIT_a+cdsc)/instanceStruct.instanceVar_T1)));
nVtm = ((instanceStruct.instanceVar_Vtmeff*instanceStruct.instanceVar_ThetaSS)*(1.0+((CIT_a+cdsc)/instanceStruct.instanceVar_T1)));
}
}
else
{
d_nVtm_dX = modelStruct.d_modelPar_NVTM_dX;
nVtm = modelStruct.modelPar_NVTM;
}
d_qdep_dX = ((nVtm*instanceStruct.d_instanceVar_Qdep_ov_Cins_dX-instanceStruct.instanceVar_Qdep_ov_Cins*d_nVtm_dX)/nVtm/nVtm);
qdep = (instanceStruct.instanceVar_Qdep_ov_Cins/nVtm);
{
double value_log_0 = log(((instanceStruct.instanceVar_Cins*nVtm)/(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach)));
double  deriv_log_0_d0 = (1.0/((instanceStruct.instanceVar_Cins*nVtm)/(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach)));
d_vth_fixed_factor_SI_dX = ((((instanceStruct.instanceVar_Cins*nVtm)/(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach))>1.0e-38)?deriv_log_0_d0*((((((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach)*(instanceStruct.instanceVar_Cins*d_nVtm_dX+instanceStruct.d_instanceVar_Cins_dX*nVtm)-(instanceStruct.instanceVar_Cins*nVtm)*(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.d_instanceVar_Ach_dX+1.60219e-19*instanceStruct.d_instanceVar_Nc_dX*2.0*instanceStruct.instanceVar_Ach))/(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach)/(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach))):0.0);
vth_fixed_factor_SI = ((((instanceStruct.instanceVar_Cins*nVtm)/(((1.60219e-19*instanceStruct.instanceVar_Nc)*2.0)*instanceStruct.instanceVar_Ach))>1.0e-38)?value_log_0:(-87.498233534));
}
{
double value_exp_0 = exp((qdep*instanceStruct.instanceVar_rc));
double value_exp_1 = exp((qdep*instanceStruct.instanceVar_rc));
double value_log_2 = log((((qdep*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.instanceVar_rc))/(((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*instanceStruct.instanceVar_rc))-1.0)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_log_2_d0 = (1.0/(((qdep*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.instanceVar_rc))/(((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*instanceStruct.instanceVar_rc))-1.0)));
d_vth_fixed_factor_Sub_dX = ((((((qdep*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.instanceVar_rc))/(((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_0))-(qdep*instanceStruct.instanceVar_rc))-1.0))>1.0e-38)?deriv_log_2_d0*((((((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*instanceStruct.instanceVar_rc))-1.0)*((qdep*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.d_instanceVar_rc_dX+d_qdep_dX*instanceStruct.instanceVar_rc)+(qdep*instanceStruct.d_instanceVar_rc_dX+d_qdep_dX*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.instanceVar_rc))-((qdep*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.instanceVar_rc))*((((qdep*instanceStruct.instanceVar_rc)>80.0)?5.540622384e34*(qdep*instanceStruct.d_instanceVar_rc_dX+d_qdep_dX*instanceStruct.instanceVar_rc):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?0.0:deriv_exp_1_d0*((qdep*instanceStruct.d_instanceVar_rc_dX+d_qdep_dX*instanceStruct.instanceVar_rc))))-(qdep*instanceStruct.d_instanceVar_rc_dX+d_qdep_dX*instanceStruct.instanceVar_rc)))/(((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*instanceStruct.instanceVar_rc))-1.0)/(((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_1))-(qdep*instanceStruct.instanceVar_rc))-1.0))):0.0)+d_vth_fixed_factor_SI_dX);
vth_fixed_factor_Sub = ((((((qdep*instanceStruct.instanceVar_rc)*(qdep*instanceStruct.instanceVar_rc))/(((((qdep*instanceStruct.instanceVar_rc)>80.0)?(5.540622384e34*((1.0+(qdep*instanceStruct.instanceVar_rc))-80.0)):(((qdep*instanceStruct.instanceVar_rc)<(-80.0))?1.804851387e-35:value_exp_0))-(qdep*instanceStruct.instanceVar_rc))-1.0))>1.0e-38)?value_log_2:(-87.498233534))+vth_fixed_factor_SI);
}
d_q0_dX = (((instanceStruct.instanceVar_rc*10.0*d_nVtm_dX-(10.0*nVtm)*instanceStruct.d_instanceVar_rc_dX)/instanceStruct.instanceVar_rc/instanceStruct.instanceVar_rc)+2.0*instanceStruct.d_instanceVar_qbs_dX);
q0 = (((10.0*nVtm)/instanceStruct.instanceVar_rc)+(2.0*instanceStruct.instanceVar_qbs));
d_fieldnormalizationfactor_dX = (((instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_epssub)*(instanceStruct.instanceVar_Vtm*instanceStruct.d_instanceVar_Cins_dX+instanceStruct.d_instanceVar_Vtm_dX*instanceStruct.instanceVar_Cins)-(instanceStruct.instanceVar_Vtm*instanceStruct.instanceVar_Cins)*(instanceStruct.instanceVar_Weff_UFCM*instanceStruct.d_instanceVar_epssub_dX+instanceStruct.d_instanceVar_Weff_UFCM_dX*instanceStruct.instanceVar_epssub))/(instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_epssub)/(instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_epssub));
fieldnormalizationfactor = ((instanceStruct.instanceVar_Vtm*instanceStruct.instanceVar_Cins)/(instanceStruct.instanceVar_Weff_UFCM*instanceStruct.instanceVar_epssub));
{
double value_sqrt_0 = sqrt((2.0*instanceStruct.instanceVar_mx));
double value_pow_1 = pow(((((4.5*1.05457e-34)*3.14159265358979323846)*1.60219e-19)/(4.0*value_sqrt_0)),0.666666667);
auxQMfact = value_pow_1;
}
{
double value_pow_0 = pow(fieldnormalizationfactor,0.666666667);
double  deriv_pow_0_d0 = ((fieldnormalizationfactor == 0.0)?0.0:(value_pow_0*0.666666667/fieldnormalizationfactor));
d_QMFACTORCVfinal_dX = (((1.60219e-19*instanceStruct.instanceVar_Vtm)*((modelStruct.modelPar_QMFACTORCV*auxQMfact)*(deriv_pow_0_d0*(d_fieldnormalizationfactor_dX))+modelStruct.d_modelPar_QMFACTORCV_dX*auxQMfact*value_pow_0)-((modelStruct.modelPar_QMFACTORCV*auxQMfact)*value_pow_0)*1.60219e-19*instanceStruct.d_instanceVar_Vtm_dX)/(1.60219e-19*instanceStruct.instanceVar_Vtm)/(1.60219e-19*instanceStruct.instanceVar_Vtm));
QMFACTORCVfinal = (((modelStruct.modelPar_QMFACTORCV*auxQMfact)*value_pow_0)/(1.60219e-19*instanceStruct.instanceVar_Vtm));
}
d_dvth_vtroll_dX = (((-instanceStruct.instanceVar_DVT0_i)*instanceStruct.instanceVar_Theta_SCE)*(instanceStruct.d_instanceVar_vbi_dX-d_phist_dX)+((-instanceStruct.instanceVar_DVT0_i)*instanceStruct.d_instanceVar_Theta_SCE_dX+(-instanceStruct.d_instanceVar_DVT0_i_dX)*instanceStruct.instanceVar_Theta_SCE)*(instanceStruct.instanceVar_vbi-phist));
dvth_vtroll = (((-instanceStruct.instanceVar_DVT0_i)*instanceStruct.instanceVar_Theta_SCE)*(instanceStruct.instanceVar_vbi-phist));
{
double value_pow_0 = pow((vdsx+0.01),instanceStruct.instanceVar_DVTP1_i);
double  deriv_pow_0_d0 = (((vdsx+0.01) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_DVTP1_i/(vdsx+0.01)));
double  deriv_pow_0_d1 = ((vdsx+0.01) == 0.0)?0.0:(log((vdsx+0.01))*value_pow_0);
d_dvth_dibl_dX = (((-ETA0_a)*instanceStruct.d_instanceVar_Theta_DIBL_dX+(-d_ETA0_a_dX)*instanceStruct.instanceVar_Theta_DIBL)*vdsx+((instanceStruct.instanceVar_DVTP0_i*instanceStruct.instanceVar_Theta_DITS)*(deriv_pow_0_d1*(instanceStruct.d_instanceVar_DVTP1_i_dX))+(instanceStruct.instanceVar_DVTP0_i*instanceStruct.d_instanceVar_Theta_DITS_dX+instanceStruct.d_instanceVar_DVTP0_i_dX*instanceStruct.instanceVar_Theta_DITS)*value_pow_0));
dvth_dibl = ((((-ETA0_a)*instanceStruct.instanceVar_Theta_DIBL)*vdsx)+((instanceStruct.instanceVar_DVTP0_i*instanceStruct.instanceVar_Theta_DITS)*value_pow_0));
}
{
double value_sqrt_0 = sqrt(phist);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_dvth_rsce_dX = ((instanceStruct.instanceVar_K1RSCE_i*instanceStruct.instanceVar_Theta_RSCE)*deriv_sqrt_0_d0*(d_phist_dX)+(instanceStruct.instanceVar_K1RSCE_i*instanceStruct.d_instanceVar_Theta_RSCE_dX+instanceStruct.d_instanceVar_K1RSCE_i_dX*instanceStruct.instanceVar_Theta_RSCE)*value_sqrt_0);
dvth_rsce = ((instanceStruct.instanceVar_K1RSCE_i*instanceStruct.instanceVar_Theta_RSCE)*value_sqrt_0);
}
d_dvth_all_dX = ((((d_dvth_vtroll_dX+d_dvth_dibl_dX)+d_dvth_rsce_dX)+instanceStruct.d_instanceVar_dvth_temp_dX)+d_DVTSHIFT_a_dX);
dvth_all = ((((dvth_vtroll+dvth_dibl)+dvth_rsce)+instanceStruct.instanceVar_dvth_temp)+DVTSHIFT_a);
d_vgsfb_dX = (d_vgsfb_dX-d_dvth_all_dX);
vgsfb = (vgsfb-dvth_all);
d_beta0_dX = ((instanceStruct.instanceVar_Leff*((u0_a*instanceStruct.instanceVar_cox)*instanceStruct.d_instanceVar_Weff0_dX+(u0_a*instanceStruct.d_instanceVar_cox_dX+d_u0_a_dX*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)-((u0_a*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff);
beta0 = (((u0_a*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)/instanceStruct.instanceVar_Leff);
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_log_0 = log((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
instanceStruct.d_instanceVar_T0_dX = (-(instanceStruct.d_instanceVar_dvch_qm_dX+(nVtm*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?deriv_log_0_d0*(((((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)*((2.0*instanceStruct.instanceVar_cox)*modelStruct.d_modelPar_IMIN_dX+2.0*instanceStruct.d_instanceVar_cox_dX*modelStruct.modelPar_IMIN)-((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)*((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.d_instancePar_TFIN_dX+(((beta0*nVtm)*1.60219e-19)*instanceStruct.d_instanceVar_Nc_dX+(beta0*d_nVtm_dX+d_beta0_dX*nVtm)*1.60219e-19*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))):0.0)+d_nVtm_dX*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_T0 = (-(instanceStruct.instanceVar_dvch_qm+(nVtm*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
}
instanceStruct.d_instanceVar_T1_dX = ((d_vgsfb_dX+instanceStruct.d_instanceVar_T0_dX)+instanceStruct.d_instancePar_DELVTRAND_dX);
instanceStruct.instanceVar_T1 = ((vgsfb+instanceStruct.instanceVar_T0)+instanceStruct.instancePar_DELVTRAND);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgsfbeff_dX = ((((instanceStruct.instanceVar_T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1))))-instanceStruct.d_instanceVar_T0_dX);
vgsfbeff = ((((instanceStruct.instanceVar_T1==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T1+value_sqrt_0)))-instanceStruct.instanceVar_T0);
}
}
else
{
{
double value_log_0 = log((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
instanceStruct.d_instanceVar_T0_dX = ((-nVtm)*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?deriv_log_0_d0*(((((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)*((2.0*instanceStruct.instanceVar_cox)*modelStruct.d_modelPar_IMIN_dX+2.0*instanceStruct.d_instanceVar_cox_dX*modelStruct.modelPar_IMIN)-((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)*((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.d_instancePar_TFIN_dX+(((beta0*nVtm)*1.60219e-19)*instanceStruct.d_instanceVar_Nc_dX+(beta0*d_nVtm_dX+d_beta0_dX*nVtm)*1.60219e-19*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))):0.0)+(-d_nVtm_dX)*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_T0 = ((-nVtm)*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T0-0.01)*(instanceStruct.instanceVar_T0-0.01))+((0.25*1e-4)*1e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((-instanceStruct.d_instanceVar_dvch_qm_dX)+((((instanceStruct.instanceVar_T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T0-0.01)*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*(instanceStruct.instanceVar_T0-0.01))))));
instanceStruct.instanceVar_T1 = ((-instanceStruct.instanceVar_dvch_qm)+((((instanceStruct.instanceVar_T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T0+0.01)+value_sqrt_0))));
}
instanceStruct.d_instanceVar_T2_dX = ((d_vgsfb_dX+instanceStruct.d_instanceVar_T1_dX)+instanceStruct.d_instancePar_DELVTRAND_dX);
instanceStruct.instanceVar_T2 = ((vgsfb+instanceStruct.instanceVar_T1)+instanceStruct.instancePar_DELVTRAND);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_T2)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgsfbeff_dX = ((((instanceStruct.instanceVar_T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T2_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_T2))))-instanceStruct.d_instanceVar_T1_dX);
vgsfbeff = ((((instanceStruct.instanceVar_T2==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T2+value_sqrt_0)))-instanceStruct.instanceVar_T1);
}
}
d_vch_dX = instanceStruct.d_instanceVar_dvch_qm_dX;
vch = instanceStruct.instanceVar_dvch_qm;
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));
d_T4_dX = (deriv_pow_0_d0*((-d_qdep_dX)));
T4 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)*(((2.0*instanceStruct.instanceVar_phib)+vch)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_dX)+deriv_sqrt_0_d0*(((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)*(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_dX)+(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_dX)*(((2.0*instanceStruct.instanceVar_phib)+vch)-ves)))));
instanceStruct.instanceVar_T1 = ((((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(instanceStruct.instanceVar_T1);
double value_sqrt_1 = sqrt((2.0*instanceStruct.instanceVar_phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T3_dX = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(instanceStruct.d_instanceVar_T1_dX)-deriv_sqrt_1_d0*(2.0*instanceStruct.d_instanceVar_phib_dX))+(((2.0*nVtm)*(-instanceStruct.d_instanceVar_K1_t_dX)-(-instanceStruct.instanceVar_K1_t)*2.0*d_nVtm_dX)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
instanceStruct.instanceVar_T3 = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}
instanceStruct.d_instanceVar_T0_dX = ((((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*d_T4_dX+d_QMFACTORCVfinal_dX*T4));
instanceStruct.instanceVar_T0 = ((((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));
instanceStruct.d_instanceVar_T1_dX = (((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = (((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_SI);
}
else
{
instanceStruct.d_instanceVar_T0_dX = (((-d_qdep_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*d_T4_dX+d_QMFACTORCVfinal_dX*T4));
instanceStruct.instanceVar_T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));
instanceStruct.d_instanceVar_T1_dX = ((-d_qdep_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = ((-qdep)+vth_fixed_factor_SI);
}
instanceStruct.d_instanceVar_T2_dX = ((nVtm*(d_vgsfbeff_dX-d_vch_dX)-(vgsfbeff-vch)*d_nVtm_dX)/nVtm/nVtm);
instanceStruct.instanceVar_T2 = ((vgsfbeff-vch)/nVtm);
d_F0_dX = ((-instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_T1_dX);
F0 = ((-instanceStruct.instanceVar_T2)+instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_T3_dX = 0.5*(instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_T0_dX);
instanceStruct.instanceVar_T3 = (0.5*(instanceStruct.instanceVar_T2-instanceStruct.instanceVar_T0));
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_qm_dX = ((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)));
qm = ((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));
d_T7_dX = deriv_log_0_d0*(d_qm_dX);
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_qm_dX = 2.0*(-deriv_sqrt_0_d0*((T7*d_T7_dX+d_T7_dX*T7)));
qm = (2.0*(1.0-value_sqrt_0));
}
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{
d_qm_dX = ((-qm)*d_qm_dX+(-d_qm_dX)*qm);
qm = ((-qm)*qm);
}
d_qis_dX = ((-qm)*d_nVtm_dX+(-d_qm_dX)*nVtm);
qis = ((-qm)*nVtm);
if ((instanceStruct.instancePar_SUBBANDMOD==1))
{
d_QT2_dX = ((nVtm*(d_vgsfb_dX-d_vch_dX)-(vgsfb-vch)*d_nVtm_dX)/nVtm/nVtm);
QT2 = ((vgsfb-vch)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.instanceVar_p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT3_dX = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:0.5*(d_QT2_dX+deriv_sqrt_0_d0*((((QT2)*d_QT2_dX+d_QT2_dX*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.d_instanceVar_p1_dX+0.25*instanceStruct.d_instanceVar_p1_dX*instanceStruct.instanceVar_p1)))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(instanceStruct.instanceVar_d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d1/2)/QT3));
double  deriv_pow_0_d1 = (QT3 == 0.0)?0.0:(log(QT3)*value_pow_0);
d_QT4_dX = ((deriv_pow_0_d0*(d_QT3_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d1_dX/2))));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qnds1_dX = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dX-d_QT3_dX):(((QT2-QT3)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT2_dX-d_QT3_dX))))+(instanceStruct.instanceVar_qnd10*d_QT4_dX+instanceStruct.d_instanceVar_qnd10_dX*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qnds1 = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT5_dX = ((nVtm*((d_vgsfb_dX-d_vch_dX)-instanceStruct.d_instanceVar_qe2_dX)-((vgsfb-vch)-instanceStruct.instanceVar_qe2)*d_nVtm_dX)/nVtm/nVtm);
QT5 = (((vgsfb-vch)-instanceStruct.instanceVar_qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.instanceVar_p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT6_dX = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:0.5*(d_QT5_dX+deriv_sqrt_0_d0*((((QT5)*d_QT5_dX+d_QT5_dX*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.d_instanceVar_p2_dX+0.25*instanceStruct.d_instanceVar_p2_dX*instanceStruct.instanceVar_p2)))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(instanceStruct.instanceVar_d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d2/2)/QT6));
double  deriv_pow_0_d1 = (QT6 == 0.0)?0.0:(log(QT6)*value_pow_0);
d_QT7_dX = ((deriv_pow_0_d0*(d_QT6_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d2_dX/2))));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qnds2_dX = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dX-d_QT6_dX):(((QT5-QT6)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT5_dX-d_QT6_dX))))+(instanceStruct.instanceVar_qnd20*d_QT7_dX+instanceStruct.d_instanceVar_qnd20_dX*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qnds2 = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT8_dX = ((nVtm*((d_vgsfb_dX-d_vch_dX)-instanceStruct.d_instanceVar_qe3_dX)-((vgsfb-vch)-instanceStruct.instanceVar_qe3)*d_nVtm_dX)/nVtm/nVtm);
QT8 = (((vgsfb-vch)-instanceStruct.instanceVar_qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.instanceVar_p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT9_dX = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:0.5*(d_QT8_dX+deriv_sqrt_0_d0*((((QT8)*d_QT8_dX+d_QT8_dX*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.d_instanceVar_p3_dX+0.25*instanceStruct.d_instanceVar_p3_dX*instanceStruct.instanceVar_p3)))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(instanceStruct.instanceVar_d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d3/2)/QT9));
double  deriv_pow_0_d1 = (QT9 == 0.0)?0.0:(log(QT9)*value_pow_0);
d_QT10_dX = ((deriv_pow_0_d0*(d_QT9_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d3_dX/2))));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qnds3_dX = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dX-d_QT9_dX):(((QT8-QT9)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT8_dX-d_QT9_dX))))+(instanceStruct.instanceVar_qnd30*d_QT10_dX+instanceStruct.d_instanceVar_qnd30_dX*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qnds3 = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_qis_dX = ((instanceStruct.instanceVar_nc3d*d_qis_dX+instanceStruct.d_instanceVar_nc3d_dX*qis)+(instanceStruct.instanceVar_ncq*((instanceStruct.d_instanceVar_qnds1_dX+instanceStruct.d_instanceVar_qnds2_dX)+instanceStruct.d_instanceVar_qnds3_dX)+instanceStruct.d_instanceVar_ncq_dX*((instanceStruct.instanceVar_qnds1+instanceStruct.instanceVar_qnds2)+instanceStruct.instanceVar_qnds3)));
qis = ((instanceStruct.instanceVar_nc3d*qis)+(instanceStruct.instanceVar_ncq*((instanceStruct.instanceVar_qnds1+instanceStruct.instanceVar_qnds2)+instanceStruct.instanceVar_qnds3)));
}
d_Eeffs_dX = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.d_instanceVar_qbs_dX+(instanceStruct.instanceVar_eta_mu*d_qis_dX+instanceStruct.d_instanceVar_eta_mu_dX*qis))+instanceStruct.d_instanceVar_EeffFactor_dX*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu*qis)));
Eeffs = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu*qis)));
d_qb0_dX = (-1.0e-2*instanceStruct.d_instanceVar_cox_dX/instanceStruct.instanceVar_cox/instanceStruct.instanceVar_cox);
qb0 = (1.0e-2/instanceStruct.instanceVar_cox);
{
double value_pow_0 = pow((0.5*(1.0+(qis/qb0))),instanceStruct.instanceVar_UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qis/qb0))) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+(qis/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qis/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qis/qb0))))*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(0.5*((qb0*d_qis_dX-qis*d_qb0_dX)/qb0/qb0)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
{
double value_pow_0 = pow(Eeffs,EU_a);
double  deriv_pow_0_d0 = ((Eeffs == 0.0)?0.0:(value_pow_0*EU_a/Eeffs));
double  deriv_pow_0_d1 = (Eeffs == 0.0)?0.0:(log(Eeffs)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((deriv_pow_0_d0*(d_Eeffs_dX))+(deriv_pow_0_d1*(d_EU_a_dX)));
instanceStruct.instanceVar_T3 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
instanceStruct.d_instanceVar_T3_dX = (((UA_a+(UC_a*instanceStruct.instanceVar_veseff))*instanceStruct.d_instanceVar_T3_dX+(d_UA_a_dX+(UC_a*instanceStruct.d_instanceVar_veseff_dX+d_UC_a_dX*instanceStruct.instanceVar_veseff))*instanceStruct.instanceVar_T3)+((instanceStruct.instanceVar_T2*d_UD_a_dX-UD_a*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = (((UA_a+(UC_a*instanceStruct.instanceVar_veseff))*instanceStruct.instanceVar_T3)+(UD_a/instanceStruct.instanceVar_T2));
}
else
{
instanceStruct.d_instanceVar_T3_dX = ((UA_a*instanceStruct.d_instanceVar_T3_dX+d_UA_a_dX*instanceStruct.instanceVar_T3)+((instanceStruct.instanceVar_T2*d_UD_a_dX-UD_a*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = ((UA_a*instanceStruct.instanceVar_T3)+(UD_a/instanceStruct.instanceVar_T2));
}
d_Dmobs_dX = instanceStruct.d_instanceVar_T3_dX;
Dmobs = (1.0+instanceStruct.instanceVar_T3);
{
double value_sqrt_0 = sqrt((((Dmobs-1.0)*(Dmobs-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.modelPar_DMOBCLAMP)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Dmobs_dX = ((((Dmobs==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:0.5*(d_Dmobs_dX+deriv_sqrt_0_d0*((((Dmobs-1.0)*d_Dmobs_dX+d_Dmobs_dX*(Dmobs-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.d_modelPar_DMOBCLAMP_dX+0.25*modelStruct.d_modelPar_DMOBCLAMP_dX*modelStruct.modelPar_DMOBCLAMP)))));
Dmobs = ((((Dmobs==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:(0.5*((Dmobs+1.0)+value_sqrt_0)));
}
d_Dmobs_dX = ((instanceStruct.instancePar_U0MULT*d_Dmobs_dX-Dmobs*instanceStruct.d_instancePar_U0MULT_dX)/instanceStruct.instancePar_U0MULT/instanceStruct.instancePar_U0MULT);
Dmobs = (Dmobs/instanceStruct.instancePar_U0MULT);
if ((modelStruct.modelPar_RDSMOD==1))
{
d_Rdss_dX = 0.0;
Rdss = 0.0;
}
else
{
if ((modelStruct.modelPar_RDSMOD==0))
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qis_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qis);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qis));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
d_Rdss_dX = ((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_rdstemp_dX+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.d_instanceVar_NFINtotal_dX+((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_RDSW_i_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_rdstemp);
Rdss = ((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_rdstemp);
}
else
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qis_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qis);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qis));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
d_Rdss_dX = (((instanceStruct.instanceVar_RSourceGeo+instanceStruct.instanceVar_RDrainGeo)+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal))*instanceStruct.d_instanceVar_rdstemp_dX+((instanceStruct.d_instanceVar_RSourceGeo_dX+instanceStruct.d_instanceVar_RDrainGeo_dX)+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.d_instanceVar_NFINtotal_dX+((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_RDSW_i_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_rdstemp);
Rdss = (((instanceStruct.instanceVar_RSourceGeo+instanceStruct.instanceVar_RDrainGeo)+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_rdstemp);
}
}
d_Esat_dX = (((2.0*VSAT_a)/u0_a)*d_Dmobs_dX+((u0_a*2.0*d_VSAT_a_dX-(2.0*VSAT_a)*d_u0_a_dX)/u0_a/u0_a)*Dmobs);
Esat = (((2.0*VSAT_a)/u0_a)*Dmobs);
d_EsatL_dX = (Esat*instanceStruct.d_instanceVar_Leff_dX+d_Esat_dX*instanceStruct.instanceVar_Leff);
EsatL = (Esat*instanceStruct.instanceVar_Leff);
if ((modelStruct.modelPar_CRYOMOD==0))
{
d_T6_dX = (KSATIV_a*(d_qis_dX+2.0*instanceStruct.d_instanceVar_Vtm_dX)+d_KSATIV_a_dX*(qis+(2.0*instanceStruct.instanceVar_Vtm)));
T6 = (KSATIV_a*(qis+(2.0*instanceStruct.instanceVar_Vtm)));
}
else
{
d_T6_dX = (KSATIV_a*(d_qis_dX+2.0*instanceStruct.d_instanceVar_Vtmeff_dX)+d_KSATIV_a_dX*(qis+(2.0*instanceStruct.instanceVar_Vtmeff)));
T6 = (KSATIV_a*(qis+(2.0*instanceStruct.instanceVar_Vtmeff)));
}
if ((Rdss>0.0))
{
d_WVCox_dX = ((instanceStruct.instanceVar_Weff0*VSAT_a)*instanceStruct.d_instanceVar_cox_dX+(instanceStruct.instanceVar_Weff0*d_VSAT_a_dX+instanceStruct.d_instanceVar_Weff0_dX*VSAT_a)*instanceStruct.instanceVar_cox);
WVCox = ((instanceStruct.instanceVar_Weff0*VSAT_a)*instanceStruct.instanceVar_cox);
instanceStruct.d_instanceVar_T0_dX = (WVCox*d_Rdss_dX+d_WVCox_dX*Rdss);
instanceStruct.instanceVar_T0 = (WVCox*Rdss);
d_Ta_dX = 2.0*instanceStruct.d_instanceVar_T0_dX;
Ta = (2.0*instanceStruct.instanceVar_T0);
instanceStruct.d_instanceVar_Tb_dX = ((d_T6_dX+d_EsatL_dX)+((3.0*T6)*instanceStruct.d_instanceVar_T0_dX+3.0*d_T6_dX*instanceStruct.instanceVar_T0));
instanceStruct.instanceVar_Tb = ((T6+EsatL)+((3.0*T6)*instanceStruct.instanceVar_T0));
d_Tc_dX = (T6*(d_EsatL_dX+((2.0*T6)*instanceStruct.d_instanceVar_T0_dX+2.0*d_T6_dX*instanceStruct.instanceVar_T0))+d_T6_dX*(EsatL+((2.0*T6)*instanceStruct.instanceVar_T0)));
Tc = (T6*(EsatL+((2.0*T6)*instanceStruct.instanceVar_T0)));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_Tb*instanceStruct.instanceVar_Tb)-((2.0*Ta)*Tc)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Vdsat_dX = ((Ta*(instanceStruct.d_instanceVar_Tb_dX-deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Tb*instanceStruct.d_instanceVar_Tb_dX+instanceStruct.d_instanceVar_Tb_dX*instanceStruct.instanceVar_Tb)-((2.0*Ta)*d_Tc_dX+2.0*d_Ta_dX*Tc))))-(instanceStruct.instanceVar_Tb-value_sqrt_0)*d_Ta_dX)/Ta/Ta);
Vdsat = ((instanceStruct.instanceVar_Tb-value_sqrt_0)/Ta);
}
}
else
{
d_Vdsat_dX = (((EsatL+T6)*(EsatL*d_T6_dX+d_EsatL_dX*T6)-(EsatL*T6)*(d_EsatL_dX+d_T6_dX))/(EsatL+T6)/(EsatL+T6));
Vdsat = ((EsatL*T6)/(EsatL+T6));
}
{
double value_sqrt_0 = sqrt((((Vdsat-1.0e-3)*(Vdsat-1.0e-3))+((4.0*1.0e-5)*1.0e-5)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Vdsat_dX = ((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_dX+deriv_sqrt_0_d0*(((Vdsat-1.0e-3)*d_Vdsat_dX+d_Vdsat_dX*(Vdsat-1.0e-3)))));
Vdsat = (((((Vdsat-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:(0.5*((Vdsat-1.0e-3)+value_sqrt_0)))+1.0e-3);
}
{
double value_pow_0 = pow(((vds/Vdsat)+1e-6),MEXP_a);
double  deriv_pow_0_d0 = ((((vds/Vdsat)+1e-6) == 0.0)?0.0:(value_pow_0*MEXP_a/((vds/Vdsat)+1e-6)));
double  deriv_pow_0_d1 = (((vds/Vdsat)+1e-6) == 0.0)?0.0:(log(((vds/Vdsat)+1e-6))*value_pow_0);
d_T7_dX = ((deriv_pow_0_d0*((-vds*d_Vdsat_dX/Vdsat/Vdsat)))+(deriv_pow_0_d1*(d_MEXP_a_dX)));
T7 = value_pow_0;
}
{
double value_pow_0 = pow((1.0+T7),inv_MEXP);
double  deriv_pow_0_d0 = (((1.0+T7) == 0.0)?0.0:(value_pow_0*inv_MEXP/(1.0+T7)));
double  deriv_pow_0_d1 = ((1.0+T7) == 0.0)?0.0:(log((1.0+T7))*value_pow_0);
d_T8_dX = ((deriv_pow_0_d0*(d_T7_dX))+(deriv_pow_0_d1*(d_inv_MEXP_dX)));
T8 = value_pow_0;
}
{
double value_min_0 = std::min((vds/T8),vds);
double  deriv_min_0_d0 = (((vds/T8)<=vds)?1.0:0.0);
double  deriv_min_0_d1 = (((vds/T8)<=vds)?0.0:1.0);
d_Vdseff_dX = (deriv_min_0_d0*((-vds*d_T8_dX/T8/T8)));
Vdseff = value_min_0;
}
d_vch_dX = (d_Vdseff_dX+instanceStruct.d_instanceVar_dvch_qm_dX);
vch = (Vdseff+instanceStruct.instanceVar_dvch_qm);
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d0*((-d_qdep_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)*(((2.0*instanceStruct.instanceVar_phib)+vch)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_dX)+deriv_sqrt_0_d0*(((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)*(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_dX)+(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_dX)*(((2.0*instanceStruct.instanceVar_phib)+vch)-ves)))));
instanceStruct.instanceVar_T1 = ((((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*instanceStruct.instanceVar_phib)+vch)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(instanceStruct.instanceVar_T1);
double value_sqrt_1 = sqrt((2.0*instanceStruct.instanceVar_phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T3_dX = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(instanceStruct.d_instanceVar_T1_dX)-deriv_sqrt_1_d0*(2.0*instanceStruct.d_instanceVar_phib_dX))+(((2.0*nVtm)*(-instanceStruct.d_instanceVar_K1_t_dX)-(-instanceStruct.instanceVar_K1_t)*2.0*d_nVtm_dX)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
instanceStruct.instanceVar_T3 = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}
instanceStruct.d_instanceVar_T0_dX = ((((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*instanceStruct.d_instanceVar_T2_dX+d_QMFACTORCVfinal_dX*instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T0 = ((((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*instanceStruct.instanceVar_T2));
instanceStruct.d_instanceVar_T1_dX = (((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = (((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_SI);
}
else
{
instanceStruct.d_instanceVar_T0_dX = (((-d_qdep_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*instanceStruct.d_instanceVar_T2_dX+d_QMFACTORCVfinal_dX*instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*instanceStruct.instanceVar_T2));
instanceStruct.d_instanceVar_T1_dX = ((-d_qdep_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = ((-qdep)+vth_fixed_factor_SI);
}
instanceStruct.d_instanceVar_T2_dX = ((nVtm*(d_vgsfbeff_dX-d_vch_dX)-(vgsfbeff-vch)*d_nVtm_dX)/nVtm/nVtm);
instanceStruct.instanceVar_T2 = ((vgsfbeff-vch)/nVtm);
d_F0_dX = ((-instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_T1_dX);
F0 = ((-instanceStruct.instanceVar_T2)+instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_T0_dX)*0.5;
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_T0)*0.5);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_qm_dX = ((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)));
qm = ((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));
d_T7_dX = deriv_log_0_d0*(d_qm_dX);
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_qm_dX = 2.0*(-deriv_sqrt_0_d0*((T7*d_T7_dX+d_T7_dX*T7)));
qm = (2.0*(1.0-value_sqrt_0));
}
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{
d_qm_dX = ((-qm)*d_qm_dX+(-d_qm_dX)*qm);
qm = ((-qm)*qm);
}
d_qid_dX = ((-qm)*d_nVtm_dX+(-d_qm_dX)*nVtm);
qid = ((-qm)*nVtm);
if ((instanceStruct.instancePar_SUBBANDMOD==1))
{
d_QT2_dX = ((nVtm*(d_vgsfb_dX-d_vch_dX)-(vgsfb-vch)*d_nVtm_dX)/nVtm/nVtm);
QT2 = ((vgsfb-vch)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.instanceVar_p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT3_dX = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:0.5*(d_QT2_dX+deriv_sqrt_0_d0*((((QT2)*d_QT2_dX+d_QT2_dX*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.d_instanceVar_p1_dX+0.25*instanceStruct.d_instanceVar_p1_dX*instanceStruct.instanceVar_p1)))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(instanceStruct.instanceVar_d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d1/2)/QT3));
double  deriv_pow_0_d1 = (QT3 == 0.0)?0.0:(log(QT3)*value_pow_0);
d_QT4_dX = ((deriv_pow_0_d0*(d_QT3_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d1_dX/2))));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qndd1_dX = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dX-d_QT3_dX):(((QT2-QT3)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT2_dX-d_QT3_dX))))+(instanceStruct.instanceVar_qnd10*d_QT4_dX+instanceStruct.d_instanceVar_qnd10_dX*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qndd1 = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT5_dX = ((nVtm*((d_vgsfb_dX-d_vch_dX)-instanceStruct.d_instanceVar_qe2_dX)-((vgsfb-vch)-instanceStruct.instanceVar_qe2)*d_nVtm_dX)/nVtm/nVtm);
QT5 = (((vgsfb-vch)-instanceStruct.instanceVar_qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.instanceVar_p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT6_dX = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:0.5*(d_QT5_dX+deriv_sqrt_0_d0*((((QT5)*d_QT5_dX+d_QT5_dX*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.d_instanceVar_p2_dX+0.25*instanceStruct.d_instanceVar_p2_dX*instanceStruct.instanceVar_p2)))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(instanceStruct.instanceVar_d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d2/2)/QT6));
double  deriv_pow_0_d1 = (QT6 == 0.0)?0.0:(log(QT6)*value_pow_0);
d_QT7_dX = ((deriv_pow_0_d0*(d_QT6_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d2_dX/2))));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qndd2_dX = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dX-d_QT6_dX):(((QT5-QT6)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT5_dX-d_QT6_dX))))+(instanceStruct.instanceVar_qnd20*d_QT7_dX+instanceStruct.d_instanceVar_qnd20_dX*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qndd2 = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT8_dX = ((nVtm*((d_vgsfb_dX-d_vch_dX)-instanceStruct.d_instanceVar_qe3_dX)-((vgsfb-vch)-instanceStruct.instanceVar_qe3)*d_nVtm_dX)/nVtm/nVtm);
QT8 = (((vgsfb-vch)-instanceStruct.instanceVar_qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.instanceVar_p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT9_dX = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:0.5*(d_QT8_dX+deriv_sqrt_0_d0*((((QT8)*d_QT8_dX+d_QT8_dX*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.d_instanceVar_p3_dX+0.25*instanceStruct.d_instanceVar_p3_dX*instanceStruct.instanceVar_p3)))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(instanceStruct.instanceVar_d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d3/2)/QT9));
double  deriv_pow_0_d1 = (QT9 == 0.0)?0.0:(log(QT9)*value_pow_0);
d_QT10_dX = ((deriv_pow_0_d0*(d_QT9_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d3_dX/2))));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qndd3_dX = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dX-d_QT9_dX):(((QT8-QT9)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT8_dX-d_QT9_dX))))+(instanceStruct.instanceVar_qnd30*d_QT10_dX+instanceStruct.d_instanceVar_qnd30_dX*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qndd3 = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_qid_dX = ((instanceStruct.instanceVar_nc3d*d_qid_dX+instanceStruct.d_instanceVar_nc3d_dX*qid)+(instanceStruct.instanceVar_ncq*((instanceStruct.d_instanceVar_qndd1_dX+instanceStruct.d_instanceVar_qndd2_dX)+instanceStruct.d_instanceVar_qndd3_dX)+instanceStruct.d_instanceVar_ncq_dX*((instanceStruct.instanceVar_qndd1+instanceStruct.instanceVar_qndd2)+instanceStruct.instanceVar_qndd3)));
qid = ((instanceStruct.instanceVar_nc3d*qid)+(instanceStruct.instanceVar_ncq*((instanceStruct.instanceVar_qndd1+instanceStruct.instanceVar_qndd2)+instanceStruct.instanceVar_qndd3)));
}
if ((modelStruct.modelPar_CVMOD==1))
{
{
double value_pow_0 = pow((vdsx+0.01),instanceStruct.instanceVar_DVTP1_i);
double  deriv_pow_0_d0 = (((vdsx+0.01) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_DVTP1_i/(vdsx+0.01)));
double  deriv_pow_0_d1 = ((vdsx+0.01) == 0.0)?0.0:(log((vdsx+0.01))*value_pow_0);
d_dvth_dibl_cv_dX = (((-instanceStruct.instanceVar_ETA0CV_t)*instanceStruct.d_instanceVar_Theta_DIBL_dX+(-instanceStruct.d_instanceVar_ETA0CV_t_dX)*instanceStruct.instanceVar_Theta_DIBL)*vdsx+((instanceStruct.instanceVar_DVTP0_i*instanceStruct.instanceVar_Theta_DITS)*(deriv_pow_0_d1*(instanceStruct.d_instanceVar_DVTP1_i_dX))+(instanceStruct.instanceVar_DVTP0_i*instanceStruct.d_instanceVar_Theta_DITS_dX+instanceStruct.d_instanceVar_DVTP0_i_dX*instanceStruct.instanceVar_Theta_DITS)*value_pow_0));
dvth_dibl_cv = ((((-instanceStruct.instanceVar_ETA0CV_t)*instanceStruct.instanceVar_Theta_DIBL)*vdsx)+((instanceStruct.instanceVar_DVTP0_i*instanceStruct.instanceVar_Theta_DITS)*value_pow_0));
}
d_dvth_all_cv_dX = ((((d_dvth_vtroll_dX+d_dvth_dibl_cv_dX)+d_dvth_rsce_dX)+instanceStruct.d_instanceVar_dvth_temp_dX)+d_DVTSHIFT_a_dX);
dvth_all_cv = ((((dvth_vtroll+dvth_dibl_cv)+dvth_rsce)+instanceStruct.instanceVar_dvth_temp)+DVTSHIFT_a);
d_vgsfb_cv_dX = ((-instanceStruct.d_instanceVar_deltaPhi_dX)-d_dvth_all_cv_dX);
vgsfb_cv = ((vgs-instanceStruct.instanceVar_deltaPhi)-dvth_all_cv);
d_beta0_cv_dX = ((instanceStruct.instanceVar_Leff*((instanceStruct.instanceVar_u0_cv*instanceStruct.instanceVar_cox)*instanceStruct.d_instanceVar_Weff0_dX+(instanceStruct.instanceVar_u0_cv*instanceStruct.d_instanceVar_cox_dX+instanceStruct.d_instanceVar_u0_cv_dX*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)-((instanceStruct.instanceVar_u0_cv*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff);
beta0_cv = (((instanceStruct.instanceVar_u0_cv*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)/instanceStruct.instanceVar_Leff);
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_log_0 = log((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
instanceStruct.d_instanceVar_T0_dX = (-(instanceStruct.d_instanceVar_dvch_qm_dX+(nVtm*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?deriv_log_0_d0*(((((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)*((2.0*instanceStruct.instanceVar_cox)*modelStruct.d_modelPar_IMIN_dX+2.0*instanceStruct.d_instanceVar_cox_dX*modelStruct.modelPar_IMIN)-((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)*((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.d_instancePar_TFIN_dX+(((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.d_instanceVar_Nc_dX+(beta0_cv*d_nVtm_dX+d_beta0_cv_dX*nVtm)*1.60219e-19*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))):0.0)+d_nVtm_dX*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
instanceStruct.instanceVar_T0 = (-(instanceStruct.instanceVar_dvch_qm+(nVtm*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)))));
}
instanceStruct.d_instanceVar_T1_dX = ((d_vgsfb_cv_dX+instanceStruct.d_instanceVar_T0_dX)+instanceStruct.d_instancePar_DELVTRAND_dX);
instanceStruct.instanceVar_T1 = ((vgsfb_cv+instanceStruct.instanceVar_T0)+instanceStruct.instancePar_DELVTRAND);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgsfbeff_cv_dX = ((((instanceStruct.instanceVar_T1==0.0)&&(1.0e-4==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1))))-instanceStruct.d_instanceVar_T0_dX);
vgsfbeff_cv = ((((instanceStruct.instanceVar_T1==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T1+value_sqrt_0)))-instanceStruct.instanceVar_T0);
}
}
else
{
{
double value_log_0 = log((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
double  deriv_log_0_d0 = (1.0/(((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)));
instanceStruct.d_instanceVar_T0_dX = ((-nVtm)*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?deriv_log_0_d0*(((((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)*((2.0*instanceStruct.instanceVar_cox)*modelStruct.d_modelPar_IMIN_dX+2.0*instanceStruct.d_instanceVar_cox_dX*modelStruct.modelPar_IMIN)-((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)*((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.d_instancePar_TFIN_dX+(((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.d_instanceVar_Nc_dX+(beta0_cv*d_nVtm_dX+d_beta0_cv_dX*nVtm)*1.60219e-19*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))):0.0)+(-d_nVtm_dX)*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_T0 = ((-nVtm)*(((((2.0*instanceStruct.instanceVar_cox)*modelStruct.modelPar_IMIN)/((((beta0_cv*nVtm)*1.60219e-19)*instanceStruct.instanceVar_Nc)*instanceStruct.instancePar_TFIN))>1.0e-38)?value_log_0:(-87.498233534)));
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T0-0.01)*(instanceStruct.instanceVar_T0-0.01))+((0.25*1e-4)*1e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((-instanceStruct.d_instanceVar_dvch_qm_dX)+((((instanceStruct.instanceVar_T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T0-0.01)*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*(instanceStruct.instanceVar_T0-0.01))))));
instanceStruct.instanceVar_T1 = ((-instanceStruct.instanceVar_dvch_qm)+((((instanceStruct.instanceVar_T0==0.0)&&(0.01==0.0))&&(1e-4==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T0+0.01)+value_sqrt_0))));
}
instanceStruct.d_instanceVar_T2_dX = ((d_vgsfb_cv_dX+instanceStruct.d_instanceVar_T1_dX)+instanceStruct.d_instancePar_DELVTRAND_dX);
instanceStruct.instanceVar_T2 = ((vgsfb_cv+instanceStruct.instanceVar_T1)+instanceStruct.instancePar_DELVTRAND);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_T2)+((4.0*1.0e-4)*1.0e-4)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgsfbeff_cv_dX = ((((instanceStruct.instanceVar_T2==0.0)&&(1.0e-4==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T2_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_T2))))-instanceStruct.d_instanceVar_T1_dX);
vgsfbeff_cv = ((((instanceStruct.instanceVar_T2==0.0)&&(1.0e-4==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T2+value_sqrt_0)))-instanceStruct.instanceVar_T1);
}
}
d_vch_cv_dX = instanceStruct.d_instanceVar_dvch_qm_dX;
vch_cv = instanceStruct.instanceVar_dvch_qm;
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));
d_T4_dX = (deriv_pow_0_d0*((-d_qdep_dX)));
T4 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)*(((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_cv_dX)+deriv_sqrt_0_d0*(((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)*(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_cv_dX)+(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_cv_dX)*(((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)))));
instanceStruct.instanceVar_T1 = ((((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(instanceStruct.instanceVar_T1);
double value_sqrt_1 = sqrt((2.0*instanceStruct.instanceVar_phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T3_dX = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(instanceStruct.d_instanceVar_T1_dX)-deriv_sqrt_1_d0*(2.0*instanceStruct.d_instanceVar_phib_dX))+(((2.0*nVtm)*(-instanceStruct.d_instanceVar_K1_t_dX)-(-instanceStruct.instanceVar_K1_t)*2.0*d_nVtm_dX)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
instanceStruct.instanceVar_T3 = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}
instanceStruct.d_instanceVar_T0_dX = ((((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*d_T4_dX+d_QMFACTORCVfinal_dX*T4));
instanceStruct.instanceVar_T0 = ((((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));
instanceStruct.d_instanceVar_T1_dX = (((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = (((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_SI);
}
else
{
instanceStruct.d_instanceVar_T0_dX = (((-d_qdep_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*d_T4_dX+d_QMFACTORCVfinal_dX*T4));
instanceStruct.instanceVar_T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*T4));
instanceStruct.d_instanceVar_T1_dX = ((-d_qdep_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = ((-qdep)+vth_fixed_factor_SI);
}
instanceStruct.d_instanceVar_T2_dX = ((nVtm*(d_vgsfbeff_cv_dX-d_vch_cv_dX)-(vgsfbeff_cv-vch_cv)*d_nVtm_dX)/nVtm/nVtm);
instanceStruct.instanceVar_T2 = ((vgsfbeff_cv-vch_cv)/nVtm);
d_F0_dX = ((-instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_T1_dX);
F0 = ((-instanceStruct.instanceVar_T2)+instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_T3_dX = 0.5*(instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_T0_dX);
instanceStruct.instanceVar_T3 = (0.5*(instanceStruct.instanceVar_T2-instanceStruct.instanceVar_T0));
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_qm_dX = ((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)));
qm = ((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));
d_T7_dX = deriv_log_0_d0*(d_qm_dX);
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_qm_dX = 2.0*(-deriv_sqrt_0_d0*((T7*d_T7_dX+d_T7_dX*T7)));
qm = (2.0*(1.0-value_sqrt_0));
}
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{
d_qm_dX = ((-qm)*d_qm_dX+(-d_qm_dX)*qm);
qm = ((-qm)*qm);
}
d_qis_cv_dX = ((-qm)*d_nVtm_dX+(-d_qm_dX)*nVtm);
qis_cv = ((-qm)*nVtm);
if ((instanceStruct.instancePar_SUBBANDMOD==1))
{
d_QT2_dX = ((nVtm*(d_vgsfb_cv_dX-d_vch_cv_dX)-(vgsfb_cv-vch_cv)*d_nVtm_dX)/nVtm/nVtm);
QT2 = ((vgsfb_cv-vch_cv)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.instanceVar_p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT3_dX = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:0.5*(d_QT2_dX+deriv_sqrt_0_d0*((((QT2)*d_QT2_dX+d_QT2_dX*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.d_instanceVar_p1_dX+0.25*instanceStruct.d_instanceVar_p1_dX*instanceStruct.instanceVar_p1)))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(instanceStruct.instanceVar_d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d1/2)/QT3));
double  deriv_pow_0_d1 = (QT3 == 0.0)?0.0:(log(QT3)*value_pow_0);
d_QT4_dX = ((deriv_pow_0_d0*(d_QT3_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d1_dX/2))));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qnds1_dX = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dX-d_QT3_dX):(((QT2-QT3)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT2_dX-d_QT3_dX))))+(instanceStruct.instanceVar_qnd10*d_QT4_dX+instanceStruct.d_instanceVar_qnd10_dX*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qnds1 = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT5_dX = ((nVtm*((d_vgsfb_cv_dX-d_vch_cv_dX)-instanceStruct.d_instanceVar_qe2_dX)-((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe2)*d_nVtm_dX)/nVtm/nVtm);
QT5 = (((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.instanceVar_p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT6_dX = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:0.5*(d_QT5_dX+deriv_sqrt_0_d0*((((QT5)*d_QT5_dX+d_QT5_dX*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.d_instanceVar_p2_dX+0.25*instanceStruct.d_instanceVar_p2_dX*instanceStruct.instanceVar_p2)))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(instanceStruct.instanceVar_d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d2/2)/QT6));
double  deriv_pow_0_d1 = (QT6 == 0.0)?0.0:(log(QT6)*value_pow_0);
d_QT7_dX = ((deriv_pow_0_d0*(d_QT6_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d2_dX/2))));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qnds2_dX = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dX-d_QT6_dX):(((QT5-QT6)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT5_dX-d_QT6_dX))))+(instanceStruct.instanceVar_qnd20*d_QT7_dX+instanceStruct.d_instanceVar_qnd20_dX*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qnds2 = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT8_dX = ((nVtm*((d_vgsfb_cv_dX-d_vch_cv_dX)-instanceStruct.d_instanceVar_qe3_dX)-((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe3)*d_nVtm_dX)/nVtm/nVtm);
QT8 = (((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.instanceVar_p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT9_dX = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:0.5*(d_QT8_dX+deriv_sqrt_0_d0*((((QT8)*d_QT8_dX+d_QT8_dX*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.d_instanceVar_p3_dX+0.25*instanceStruct.d_instanceVar_p3_dX*instanceStruct.instanceVar_p3)))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(instanceStruct.instanceVar_d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d3/2)/QT9));
double  deriv_pow_0_d1 = (QT9 == 0.0)?0.0:(log(QT9)*value_pow_0);
d_QT10_dX = ((deriv_pow_0_d0*(d_QT9_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d3_dX/2))));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qnds3_dX = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dX-d_QT9_dX):(((QT8-QT9)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT8_dX-d_QT9_dX))))+(instanceStruct.instanceVar_qnd30*d_QT10_dX+instanceStruct.d_instanceVar_qnd30_dX*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qnds3 = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_qis_cv_dX = ((instanceStruct.instanceVar_nc3d*d_qis_cv_dX+instanceStruct.d_instanceVar_nc3d_dX*qis_cv)+(instanceStruct.instanceVar_ncq*((instanceStruct.d_instanceVar_qnds1_dX+instanceStruct.d_instanceVar_qnds2_dX)+instanceStruct.d_instanceVar_qnds3_dX)+instanceStruct.d_instanceVar_ncq_dX*((instanceStruct.instanceVar_qnds1+instanceStruct.instanceVar_qnds2)+instanceStruct.instanceVar_qnds3)));
qis_cv = ((instanceStruct.instanceVar_nc3d*qis_cv)+(instanceStruct.instanceVar_ncq*((instanceStruct.instanceVar_qnds1+instanceStruct.instanceVar_qnds2)+instanceStruct.instanceVar_qnds3)));
}
d_Eeffs_cv_dX = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.d_instanceVar_qbs_dX+(instanceStruct.instanceVar_eta_mu*d_qis_cv_dX+instanceStruct.d_instanceVar_eta_mu_dX*qis_cv))+instanceStruct.d_instanceVar_EeffFactor_dX*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu*qis_cv)));
Eeffs_cv = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu*qis_cv)));
{
double value_pow_0 = pow((0.5*(1.0+(qis_cv/qb0))),instanceStruct.instanceVar_UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qis_cv/qb0))) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+(qis_cv/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qis_cv/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qis_cv/qb0))))*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(0.5*((qb0*d_qis_cv_dX-qis_cv*d_qb0_dX)/qb0/qb0)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
{
double value_pow_0 = pow(Eeffs_cv,EU_a);
double  deriv_pow_0_d0 = ((Eeffs_cv == 0.0)?0.0:(value_pow_0*EU_a/Eeffs_cv));
double  deriv_pow_0_d1 = (Eeffs_cv == 0.0)?0.0:(log(Eeffs_cv)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((deriv_pow_0_d0*(d_Eeffs_cv_dX))+(deriv_pow_0_d1*(d_EU_a_dX)));
instanceStruct.instanceVar_T3 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
instanceStruct.d_instanceVar_T3_dX = (((instanceStruct.instanceVar_UACV_t+(instanceStruct.instanceVar_UCCV_t*instanceStruct.instanceVar_veseff))*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.d_instanceVar_UACV_t_dX+(instanceStruct.instanceVar_UCCV_t*instanceStruct.d_instanceVar_veseff_dX+instanceStruct.d_instanceVar_UCCV_t_dX*instanceStruct.instanceVar_veseff))*instanceStruct.instanceVar_T3)+((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_UDCV_t_dX-instanceStruct.instanceVar_UDCV_t*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = (((instanceStruct.instanceVar_UACV_t+(instanceStruct.instanceVar_UCCV_t*instanceStruct.instanceVar_veseff))*instanceStruct.instanceVar_T3)+(instanceStruct.instanceVar_UDCV_t/instanceStruct.instanceVar_T2));
}
else
{
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_UACV_t*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_UACV_t_dX*instanceStruct.instanceVar_T3)+((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_UDCV_t_dX-instanceStruct.instanceVar_UDCV_t*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_UACV_t*instanceStruct.instanceVar_T3)+(instanceStruct.instanceVar_UDCV_t/instanceStruct.instanceVar_T2));
}
d_Dmobs_cv_dX = instanceStruct.d_instanceVar_T3_dX;
Dmobs_cv = (1.0+instanceStruct.instanceVar_T3);
{
double value_sqrt_0 = sqrt((((Dmobs_cv-1.0)*(Dmobs_cv-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.modelPar_DMOBCLAMP)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Dmobs_cv_dX = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:0.5*(d_Dmobs_cv_dX+deriv_sqrt_0_d0*((((Dmobs_cv-1.0)*d_Dmobs_cv_dX+d_Dmobs_cv_dX*(Dmobs_cv-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.d_modelPar_DMOBCLAMP_dX+0.25*modelStruct.d_modelPar_DMOBCLAMP_dX*modelStruct.modelPar_DMOBCLAMP)))));
Dmobs_cv = ((((Dmobs_cv==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:(0.5*((Dmobs_cv+1.0)+value_sqrt_0)));
}
d_Dmobs_cv_dX = ((instanceStruct.instancePar_U0MULT*d_Dmobs_cv_dX-Dmobs_cv*instanceStruct.d_instancePar_U0MULT_dX)/instanceStruct.instancePar_U0MULT/instanceStruct.instancePar_U0MULT);
Dmobs_cv = (Dmobs_cv/instanceStruct.instancePar_U0MULT);
if ((modelStruct.modelPar_RDSMOD==1))
{
d_Rdss_cv_dX = 0.0;
Rdss_cv = 0.0;
}
else
{
if ((modelStruct.modelPar_RDSMOD==0))
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qis_cv_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qis_cv);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qis_cv));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
d_Rdss_cv_dX = ((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_rdstemp_dX+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.d_instanceVar_NFINtotal_dX+((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_RDSW_i_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_rdstemp);
Rdss_cv = ((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_rdstemp);
}
else
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qis_cv_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qis_cv);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qis_cv));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
d_Rdss_cv_dX = (((instanceStruct.instanceVar_RSourceGeo+instanceStruct.instanceVar_RDrainGeo)+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal))*instanceStruct.d_instanceVar_rdstemp_dX+((instanceStruct.d_instanceVar_RSourceGeo_dX+instanceStruct.d_instanceVar_RDrainGeo_dX)+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.d_instanceVar_NFINtotal_dX+((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_RDSW_i_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_rdstemp);
Rdss_cv = (((instanceStruct.instanceVar_RSourceGeo+instanceStruct.instanceVar_RDrainGeo)+(((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)*instanceStruct.instanceVar_NFINtotal))*instanceStruct.instanceVar_rdstemp);
}
}
d_Esats_cv_dX = (((2.0*instanceStruct.instanceVar_VSATCV_t)/instanceStruct.instanceVar_u0_cv)*d_Dmobs_cv_dX+((instanceStruct.instanceVar_u0_cv*2.0*instanceStruct.d_instanceVar_VSATCV_t_dX-(2.0*instanceStruct.instanceVar_VSATCV_t)*instanceStruct.d_instanceVar_u0_cv_dX)/instanceStruct.instanceVar_u0_cv/instanceStruct.instanceVar_u0_cv)*Dmobs_cv);
Esats_cv = (((2.0*instanceStruct.instanceVar_VSATCV_t)/instanceStruct.instanceVar_u0_cv)*Dmobs_cv);
d_EsatLs_cv_dX = (Esats_cv*instanceStruct.d_instanceVar_Leff_dX+d_Esats_cv_dX*instanceStruct.instanceVar_Leff);
EsatLs_cv = (Esats_cv*instanceStruct.instanceVar_Leff);
if ((modelStruct.modelPar_CRYOMOD==0))
{
d_T6_dX = (KSATIV_a*(d_qis_cv_dX+2.0*instanceStruct.d_instanceVar_Vtm_dX)+d_KSATIV_a_dX*(qis_cv+(2.0*instanceStruct.instanceVar_Vtm)));
T6 = (KSATIV_a*(qis_cv+(2.0*instanceStruct.instanceVar_Vtm)));
}
else
{
d_T6_dX = (KSATIV_a*(d_qis_cv_dX+2.0*instanceStruct.d_instanceVar_Vtmeff_dX)+d_KSATIV_a_dX*(qis_cv+(2.0*instanceStruct.instanceVar_Vtmeff)));
T6 = (KSATIV_a*(qis_cv+(2.0*instanceStruct.instanceVar_Vtmeff)));
}
if ((Rdss_cv>0.0))
{
instanceStruct.d_instanceVar_T0_dX = (((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_VSATCV_t)*instanceStruct.instanceVar_cox)*d_Rdss_cv_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_VSATCV_t)*instanceStruct.d_instanceVar_cox_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_VSATCV_t_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_VSATCV_t)*instanceStruct.instanceVar_cox)*Rdss_cv);
instanceStruct.instanceVar_T0 = (((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_VSATCV_t)*instanceStruct.instanceVar_cox)*Rdss_cv);
d_Ta_dX = 2.0*instanceStruct.d_instanceVar_T0_dX;
Ta = (2.0*instanceStruct.instanceVar_T0);
instanceStruct.d_instanceVar_Tb_dX = ((d_T6_dX+d_EsatLs_cv_dX)+((3.0*T6)*instanceStruct.d_instanceVar_T0_dX+3.0*d_T6_dX*instanceStruct.instanceVar_T0));
instanceStruct.instanceVar_Tb = ((T6+EsatLs_cv)+((3.0*T6)*instanceStruct.instanceVar_T0));
d_Tc_dX = (T6*(d_EsatLs_cv_dX+((2.0*T6)*instanceStruct.d_instanceVar_T0_dX+2.0*d_T6_dX*instanceStruct.instanceVar_T0))+d_T6_dX*(EsatLs_cv+((2.0*T6)*instanceStruct.instanceVar_T0)));
Tc = (T6*(EsatLs_cv+((2.0*T6)*instanceStruct.instanceVar_T0)));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_Tb*instanceStruct.instanceVar_Tb)-((2.0*Ta)*Tc)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Vdsat_cv_dX = ((Ta*(instanceStruct.d_instanceVar_Tb_dX-deriv_sqrt_0_d0*(((instanceStruct.instanceVar_Tb*instanceStruct.d_instanceVar_Tb_dX+instanceStruct.d_instanceVar_Tb_dX*instanceStruct.instanceVar_Tb)-((2.0*Ta)*d_Tc_dX+2.0*d_Ta_dX*Tc))))-(instanceStruct.instanceVar_Tb-value_sqrt_0)*d_Ta_dX)/Ta/Ta);
Vdsat_cv = ((instanceStruct.instanceVar_Tb-value_sqrt_0)/Ta);
}
}
else
{
d_Vdsat_cv_dX = (((EsatLs_cv+T6)*(EsatLs_cv*d_T6_dX+d_EsatLs_cv_dX*T6)-(EsatLs_cv*T6)*(d_EsatLs_cv_dX+d_T6_dX))/(EsatLs_cv+T6)/(EsatLs_cv+T6));
Vdsat_cv = ((EsatLs_cv*T6)/(EsatLs_cv+T6));
}
{
double value_sqrt_0 = sqrt((((Vdsat_cv-1.0e-3)*(Vdsat_cv-1.0e-3))+((4.0*1.0e-5)*1.0e-5)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Vdsat_cv_dX = ((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:0.5*(d_Vdsat_cv_dX+deriv_sqrt_0_d0*(((Vdsat_cv-1.0e-3)*d_Vdsat_cv_dX+d_Vdsat_cv_dX*(Vdsat_cv-1.0e-3)))));
Vdsat_cv = (((((Vdsat_cv-1.0e-3)==0.0)&&(1.0e-5==0.0))?0.0:(0.5*((Vdsat_cv-1.0e-3)+value_sqrt_0)))+1.0e-3);
}
{
double value_pow_0 = pow(((vds/Vdsat_cv)+1e-6),MEXP_a);
double  deriv_pow_0_d0 = ((((vds/Vdsat_cv)+1e-6) == 0.0)?0.0:(value_pow_0*MEXP_a/((vds/Vdsat_cv)+1e-6)));
double  deriv_pow_0_d1 = (((vds/Vdsat_cv)+1e-6) == 0.0)?0.0:(log(((vds/Vdsat_cv)+1e-6))*value_pow_0);
d_T7_dX = ((deriv_pow_0_d0*((-vds*d_Vdsat_cv_dX/Vdsat_cv/Vdsat_cv)))+(deriv_pow_0_d1*(d_MEXP_a_dX)));
T7 = value_pow_0;
}
{
double value_pow_0 = pow((1.0+T7),inv_MEXP);
double  deriv_pow_0_d0 = (((1.0+T7) == 0.0)?0.0:(value_pow_0*inv_MEXP/(1.0+T7)));
double  deriv_pow_0_d1 = ((1.0+T7) == 0.0)?0.0:(log((1.0+T7))*value_pow_0);
d_T8_dX = ((deriv_pow_0_d0*(d_T7_dX))+(deriv_pow_0_d1*(d_inv_MEXP_dX)));
T8 = value_pow_0;
}
{
double value_min_0 = std::min((vds/T8),vds);
double  deriv_min_0_d0 = (((vds/T8)<=vds)?1.0:0.0);
double  deriv_min_0_d1 = (((vds/T8)<=vds)?0.0:1.0);
d_Vdseff_cv_dX = (deriv_min_0_d0*((-vds*d_T8_dX/T8/T8)));
Vdseff_cv = value_min_0;
}
d_vch_cv_dX = (d_Vdseff_cv_dX+instanceStruct.d_instanceVar_dvch_qm_dX);
vch_cv = (Vdseff_cv+instanceStruct.instanceVar_dvch_qm);
{
double value_pow_0 = pow((-qdep),0.666666667);
double  deriv_pow_0_d0 = (((-qdep) == 0.0)?0.0:(value_pow_0*0.666666667/(-qdep)));
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d0*((-d_qdep_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)*(((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves))+((4.0*0.1)*0.1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:0.5*((2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_cv_dX)+deriv_sqrt_0_d0*(((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)*(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_cv_dX)+(2.0*instanceStruct.d_instanceVar_phib_dX+d_vch_cv_dX)*(((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)))));
instanceStruct.instanceVar_T1 = ((((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)==0.0)&&(0.1==0.0))?0.0:(0.5*((((2.0*instanceStruct.instanceVar_phib)+vch_cv)-ves)+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt(instanceStruct.instanceVar_T1);
double value_sqrt_1 = sqrt((2.0*instanceStruct.instanceVar_phib));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T3_dX = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(deriv_sqrt_0_d0*(instanceStruct.d_instanceVar_T1_dX)-deriv_sqrt_1_d0*(2.0*instanceStruct.d_instanceVar_phib_dX))+(((2.0*nVtm)*(-instanceStruct.d_instanceVar_K1_t_dX)-(-instanceStruct.instanceVar_K1_t)*2.0*d_nVtm_dX)/(2.0*nVtm)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
instanceStruct.instanceVar_T3 = (((-instanceStruct.instanceVar_K1_t)/(2.0*nVtm))*(value_sqrt_0-value_sqrt_1));
}
instanceStruct.d_instanceVar_T0_dX = ((((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*instanceStruct.d_instanceVar_T2_dX+d_QMFACTORCVfinal_dX*instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T0 = ((((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*instanceStruct.instanceVar_T2));
instanceStruct.d_instanceVar_T1_dX = (((-d_qdep_dX)-instanceStruct.d_instanceVar_T3_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = (((-qdep)-instanceStruct.instanceVar_T3)+vth_fixed_factor_SI);
}
else
{
instanceStruct.d_instanceVar_T0_dX = (((-d_qdep_dX)+d_vth_fixed_factor_Sub_dX)+(QMFACTORCVfinal*instanceStruct.d_instanceVar_T2_dX+d_QMFACTORCVfinal_dX*instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T0 = (((-qdep)+vth_fixed_factor_Sub)+(QMFACTORCVfinal*instanceStruct.instanceVar_T2));
instanceStruct.d_instanceVar_T1_dX = ((-d_qdep_dX)+d_vth_fixed_factor_SI_dX);
instanceStruct.instanceVar_T1 = ((-qdep)+vth_fixed_factor_SI);
}
instanceStruct.d_instanceVar_T2_dX = ((nVtm*(d_vgsfbeff_cv_dX-d_vch_cv_dX)-(vgsfbeff_cv-vch_cv)*d_nVtm_dX)/nVtm/nVtm);
instanceStruct.instanceVar_T2 = ((vgsfbeff_cv-vch_cv)/nVtm);
d_F0_dX = ((-instanceStruct.d_instanceVar_T2_dX)+instanceStruct.d_instanceVar_T1_dX);
F0 = ((-instanceStruct.instanceVar_T2)+instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_T0_dX)*0.5;
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_T0)*0.5);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_qm_dX = ((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)));
qm = ((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((qm>1.0e-7))
{
{
double value_log_0 = log((1.0+qm));
double  deriv_log_0_d0 = (1.0/(1.0+qm));
d_T7_dX = deriv_log_0_d0*(d_qm_dX);
T7 = value_log_0;
}
{
double value_sqrt_0 = sqrt((1.0+(T7*T7)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_qm_dX = 2.0*(-deriv_sqrt_0_d0*((T7*d_T7_dX+d_T7_dX*T7)));
qm = (2.0*(1.0-value_sqrt_0));
}
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
d_T8_dX = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.d_instanceVar_rc_dX+((qm*modelStruct.d_modelPar_ALPHA_UFCM_dX+d_qm_dX*modelStruct.modelPar_ALPHA_UFCM)+d_qdep_dX)*instanceStruct.instanceVar_rc);
T8 = (((qm*modelStruct.modelPar_ALPHA_UFCM)+qdep)*instanceStruct.instanceVar_rc);
{
double value_exp_0 = exp(T8);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)*d_T8_dX-T8*(((T8>80.0)?5.540622384e34*d_T8_dX:((T8<(-80.0))?0.0:deriv_exp_0_d0*(d_T8_dX)))-d_T8_dX))/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0)/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
T4 = (T8/((((T8>80.0)?(5.540622384e34*((1.0+T8)-80.0)):((T8<(-80.0))?1.804851387e-35:value_exp_0))-T8)-1.0));
}
d_T5_dX = (T8*d_T4_dX+d_T8_dX*T4);
T5 = (T8*T4);
{
double value_log_0 = log((-(qm+qdep)));
double  deriv_log_0_d0 = (1.0/(-(qm+qdep)));
d_qm_ln_dX = deriv_log_0_d0*((-(d_qm_dX+d_qdep_dX)));
qm_ln = value_log_0;
}
{
double value_log_0 = log((-qm));
double value_log_1 = log(T5);
double value_exp_2 = exp((0.666666667*qm_ln));
double  deriv_log_0_d0 = (1.0/(-qm));
double  deriv_log_1_d0 = (1.0/T5);
double  deriv_exp_2_d0 = value_exp_2;
d_e0_dX = ((((d_F0_dX-d_qm_dX)+(((-qm)>1.0e-38)?deriv_log_0_d0*((-d_qm_dX)):0.0))+((T5>1.0e-38)?deriv_log_1_d0*(d_T5_dX):0.0))+(QMFACTORCVfinal*deriv_exp_2_d0*(0.666666667*d_qm_ln_dX)+d_QMFACTORCVfinal_dX*value_exp_2));
e0 = ((((F0-qm)+(((-qm)>1.0e-38)?value_log_0:(-87.498233534)))+((T5>1.0e-38)?value_log_1:(-87.498233534)))+(QMFACTORCVfinal*value_exp_2));
}
{
double value_exp_0 = exp(((-0.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e1_dX = (((-d_qm_dX/qm/qm)+((((2.0/T8)-T4)-1.0)*instanceStruct.d_instanceVar_rc_dX+((-2.0*d_T8_dX/T8/T8)-d_T4_dX)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*deriv_exp_0_d0*((-0.333333333)*d_qm_ln_dX)+0.666666667*d_QMFACTORCVfinal_dX*value_exp_0));
e1 = ((((-1.0)+(1.0/qm))+((((2.0/T8)-T4)-1.0)*instanceStruct.instanceVar_rc))-((0.666666667*QMFACTORCVfinal)*value_exp_0));
}
{
double value_exp_0 = exp(((-1.333333333)*qm_ln));
double  deriv_exp_0_d0 = value_exp_0;
d_e2_dX = ((-(-1.0)*(qm*d_qm_dX+d_qm_dX*qm)/(qm*qm)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*deriv_exp_0_d0*((-1.333333333)*d_qm_ln_dX)+(2.0/9.0)*d_QMFACTORCVfinal_dX*value_exp_0));
e2 = (((-1.0)/(qm*qm))-(((2.0/9.0)*QMFACTORCVfinal)*value_exp_0));
}
d_qm_dX = (d_qm_dX-((e0/e1)*((((2.0*e1)*e1)*(e0*d_e2_dX+d_e0_dX*e2)-(e0*e2)*((2.0*e1)*d_e1_dX+2.0*d_e1_dX*e1))/((2.0*e1)*e1)/((2.0*e1)*e1))+((e1*d_e0_dX-e0*d_e1_dX)/e1/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
qm = (qm-((e0/e1)*(1.0+((e0*e2)/((2.0*e1)*e1)))));
}
else
{
d_qm_dX = ((-qm)*d_qm_dX+(-d_qm_dX)*qm);
qm = ((-qm)*qm);
}
d_qid_cv_dX = ((-qm)*d_nVtm_dX+(-d_qm_dX)*nVtm);
qid_cv = ((-qm)*nVtm);
if ((instanceStruct.instancePar_SUBBANDMOD==1))
{
d_QT2_dX = ((nVtm*(d_vgsfb_cv_dX-d_vch_cv_dX)-(vgsfb_cv-vch_cv)*d_nVtm_dX)/nVtm/nVtm);
QT2 = ((vgsfb_cv-vch_cv)/nVtm);
{
double value_sqrt_0 = sqrt((((QT2)*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.instanceVar_p1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT3_dX = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:0.5*(d_QT2_dX+deriv_sqrt_0_d0*((((QT2)*d_QT2_dX+d_QT2_dX*(QT2))+((0.25*instanceStruct.instanceVar_p1)*instanceStruct.d_instanceVar_p1_dX+0.25*instanceStruct.d_instanceVar_p1_dX*instanceStruct.instanceVar_p1)))));
QT3 = ((((QT2==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p1==0.0))?0.0:(0.5*(QT2+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT3,(instanceStruct.instanceVar_d1/2));
double  deriv_pow_0_d0 = ((QT3 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d1/2)/QT3));
double  deriv_pow_0_d1 = (QT3 == 0.0)?0.0:(log(QT3)*value_pow_0);
d_QT4_dX = ((deriv_pow_0_d0*(d_QT3_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d1_dX/2))));
QT4 = value_pow_0;
}
{
double value_exp_0 = exp((QT2-QT3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qndd1_dX = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?5.540622384e34*(d_QT2_dX-d_QT3_dX):(((QT2-QT3)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT2_dX-d_QT3_dX))))+(instanceStruct.instanceVar_qnd10*d_QT4_dX+instanceStruct.d_instanceVar_qnd10_dX*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qndd1 = ((instanceStruct.instanceVar_qnd10*QT4)*(((QT2-QT3)>80.0)?(5.540622384e34*(((1.0+QT2)-QT3)-80.0)):(((QT2-QT3)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT5_dX = ((nVtm*((d_vgsfb_cv_dX-d_vch_cv_dX)-instanceStruct.d_instanceVar_qe2_dX)-((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe2)*d_nVtm_dX)/nVtm/nVtm);
QT5 = (((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe2)/nVtm);
{
double value_sqrt_0 = sqrt((((QT5)*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.instanceVar_p2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT6_dX = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:0.5*(d_QT5_dX+deriv_sqrt_0_d0*((((QT5)*d_QT5_dX+d_QT5_dX*(QT5))+((0.25*instanceStruct.instanceVar_p2)*instanceStruct.d_instanceVar_p2_dX+0.25*instanceStruct.d_instanceVar_p2_dX*instanceStruct.instanceVar_p2)))));
QT6 = ((((QT5==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p2==0.0))?0.0:(0.5*(QT5+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT6,(instanceStruct.instanceVar_d2/2));
double  deriv_pow_0_d0 = ((QT6 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d2/2)/QT6));
double  deriv_pow_0_d1 = (QT6 == 0.0)?0.0:(log(QT6)*value_pow_0);
d_QT7_dX = ((deriv_pow_0_d0*(d_QT6_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d2_dX/2))));
QT7 = value_pow_0;
}
{
double value_exp_0 = exp((QT5-QT6));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qndd2_dX = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?5.540622384e34*(d_QT5_dX-d_QT6_dX):(((QT5-QT6)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT5_dX-d_QT6_dX))))+(instanceStruct.instanceVar_qnd20*d_QT7_dX+instanceStruct.d_instanceVar_qnd20_dX*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qndd2 = ((instanceStruct.instanceVar_qnd20*QT7)*(((QT5-QT6)>80.0)?(5.540622384e34*(((1.0+QT5)-QT6)-80.0)):(((QT5-QT6)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_QT8_dX = ((nVtm*((d_vgsfb_cv_dX-d_vch_cv_dX)-instanceStruct.d_instanceVar_qe3_dX)-((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe3)*d_nVtm_dX)/nVtm/nVtm);
QT8 = (((vgsfb_cv-vch_cv)-instanceStruct.instanceVar_qe3)/nVtm);
{
double value_sqrt_0 = sqrt((((QT8)*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.instanceVar_p3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_QT9_dX = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:0.5*(d_QT8_dX+deriv_sqrt_0_d0*((((QT8)*d_QT8_dX+d_QT8_dX*(QT8))+((0.25*instanceStruct.instanceVar_p3)*instanceStruct.d_instanceVar_p3_dX+0.25*instanceStruct.d_instanceVar_p3_dX*instanceStruct.instanceVar_p3)))));
QT9 = ((((QT8==0.0)&&(0==0.0))&&(instanceStruct.instanceVar_p3==0.0))?0.0:(0.5*(QT8+value_sqrt_0)));
}
{
double value_pow_0 = pow(QT9,(instanceStruct.instanceVar_d3/2));
double  deriv_pow_0_d0 = ((QT9 == 0.0)?0.0:(value_pow_0*(instanceStruct.instanceVar_d3/2)/QT9));
double  deriv_pow_0_d1 = (QT9 == 0.0)?0.0:(log(QT9)*value_pow_0);
d_QT10_dX = ((deriv_pow_0_d0*(d_QT9_dX))+(deriv_pow_0_d1*((instanceStruct.d_instanceVar_d3_dX/2))));
QT10 = value_pow_0;
}
{
double value_exp_0 = exp((QT8-QT9));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qndd3_dX = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?5.540622384e34*(d_QT8_dX-d_QT9_dX):(((QT8-QT9)<(-80.0))?0.0:deriv_exp_0_d0*((d_QT8_dX-d_QT9_dX))))+(instanceStruct.instanceVar_qnd30*d_QT10_dX+instanceStruct.d_instanceVar_qnd30_dX*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_qndd3 = ((instanceStruct.instanceVar_qnd30*QT10)*(((QT8-QT9)>80.0)?(5.540622384e34*(((1.0+QT8)-QT9)-80.0)):(((QT8-QT9)<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_qid_cv_dX = ((instanceStruct.instanceVar_nc3d*d_qid_cv_dX+instanceStruct.d_instanceVar_nc3d_dX*qid_cv)+(instanceStruct.instanceVar_ncq*((instanceStruct.d_instanceVar_qndd1_dX+instanceStruct.d_instanceVar_qndd2_dX)+instanceStruct.d_instanceVar_qndd3_dX)+instanceStruct.d_instanceVar_ncq_dX*((instanceStruct.instanceVar_qndd1+instanceStruct.instanceVar_qndd2)+instanceStruct.instanceVar_qndd3)));
qid_cv = ((instanceStruct.instanceVar_nc3d*qid_cv)+(instanceStruct.instanceVar_ncq*((instanceStruct.instanceVar_qndd1+instanceStruct.instanceVar_qndd2)+instanceStruct.instanceVar_qndd3)));
}
d_qia_cv_dX = 0.5*(d_qis_cv_dX+d_qid_cv_dX);
qia_cv = (0.5*(qis_cv+qid_cv));
d_dqi_cv_dX = (d_qis_cv_dX-d_qid_cv_dX);
dqi_cv = (qis_cv-qid_cv);
instanceStruct.d_instanceVar_T0_dX = ((Vdseff_cv*d_Vdseff_cv_dX+d_Vdseff_cv_dX*Vdseff_cv)/6.25e-4);
instanceStruct.instanceVar_T0 = ((Vdseff_cv*Vdseff_cv)/6.25e-4);
if ((modelStruct.modelPar_CHARGEWF!=0.0))
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T0));
double  deriv_exp_0_d0 = value_exp_0;
d_qia2_cv_dX = (0.5*(d_qis_cv_dX+d_qid_cv_dX)+(((modelStruct.modelPar_CHARGEWF*(1.0-(((-instanceStruct.instanceVar_T0)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T0))-80.0)):(((-instanceStruct.instanceVar_T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_cv_dX+(modelStruct.modelPar_CHARGEWF*(-(((-instanceStruct.instanceVar_T0)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T0_dX):(((-instanceStruct.instanceVar_T0)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T0_dX)))))+modelStruct.d_modelPar_CHARGEWF_dX*(1.0-(((-instanceStruct.instanceVar_T0)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T0))-80.0)):(((-instanceStruct.instanceVar_T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5*dqi_cv));
qia2_cv = ((0.5*(qis_cv+qid_cv))+(((modelStruct.modelPar_CHARGEWF*(1.0-(((-instanceStruct.instanceVar_T0)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T0))-80.0)):(((-instanceStruct.instanceVar_T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*dqi_cv));
}
}
else
{
d_qia2_cv_dX = 0.5*(d_qis_cv_dX+d_qid_cv_dX);
qia2_cv = (0.5*(qis_cv+qid_cv));
}
if ((qis_cv<0.0))
{
UserInfo(theInstance)  << "Warning: Negative source-side inversion carrier density for C-V. Vgs = %g Vds = %g Vbs = %g qis_cv = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qis_cv << " " <<  std::endl; 
}
if ((qid_cv<0.0))
{
UserInfo(theInstance)  << "Warning: Negative drain-side inversion carrier density for C-V. Vgs = %g Vds = %g Vbs = %g qid_cv = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qid_cv << " " <<  std::endl; 
}
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
double value_sqrt_0 = sqrt(instanceStruct.instanceVar_Vtm);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T9_dX = ((instanceStruct.instanceVar_K1_t/(2.0*nVtm))*deriv_sqrt_0_d0*(instanceStruct.d_instanceVar_Vtm_dX)+(((2.0*nVtm)*instanceStruct.d_instanceVar_K1_t_dX-instanceStruct.instanceVar_K1_t*2.0*d_nVtm_dX)/(2.0*nVtm)/(2.0*nVtm))*value_sqrt_0);
T9 = ((instanceStruct.instanceVar_K1_t/(2.0*nVtm))*value_sqrt_0);
}
instanceStruct.d_instanceVar_T0_dX = (d_T9_dX/2.0);
instanceStruct.instanceVar_T0 = (T9/2.0);
{
double value_log_0 = log((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_Nc));
double  deriv_log_0_d0 = (1.0/(instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_Nc));
instanceStruct.d_instanceVar_T2_dX = ((instanceStruct.instanceVar_Vtm*(-(((instanceStruct.d_instanceVar_deltaPhi_dX-instanceStruct.d_instanceVar_Eg_dX)-(instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_Nc)>1.0e-38)?deriv_log_0_d0*(((instanceStruct.instanceVar_Nc*instanceStruct.d_instanceVar_NBODY_i_dX-instanceStruct.instanceVar_NBODY_i*instanceStruct.d_instanceVar_Nc_dX)/instanceStruct.instanceVar_Nc/instanceStruct.instanceVar_Nc)):0.0)+instanceStruct.d_instanceVar_Vtm_dX*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_Nc)>1.0e-38)?value_log_0:(-87.498233534))))+modelStruct.d_modelPar_DELVFBACC_dX))-(vge-(((instanceStruct.instanceVar_deltaPhi-instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_Nc)>1.0e-38)?value_log_0:(-87.498233534))))+modelStruct.modelPar_DELVFBACC))*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_T2 = ((vge-(((instanceStruct.instanceVar_deltaPhi-instanceStruct.instanceVar_Eg)-(instanceStruct.instanceVar_Vtm*(((instanceStruct.instanceVar_NBODY_i/instanceStruct.instanceVar_Nc)>1.0e-38)?value_log_0:(-87.498233534))))+modelStruct.modelPar_DELVFBACC))/instanceStruct.instanceVar_Vtm);
}
if (((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_Vtm)>(instanceStruct.instanceVar_phib+(T9*sqrt((instanceStruct.instanceVar_phib*instanceStruct.instanceVar_Vtm))))))
{
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2-1.0)+(instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (deriv_sqrt_0_d0*((instanceStruct.d_instanceVar_T2_dX+(instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)))-instanceStruct.d_instanceVar_T0_dX);
instanceStruct.instanceVar_T1 = (value_sqrt_0-instanceStruct.instanceVar_T0);
}
d_T10_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1);
T10 = (1.0+(instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1));
{
double value_exp_0 = exp((-T10));
double  deriv_exp_0_d0 = value_exp_0;
d_T6_dX = (((-T10)>80.0)?5.540622384e34*(-d_T10_dX):(((-T10)<(-80.0))?0.0:deriv_exp_0_d0*((-d_T10_dX))));
T6 = ((((-T10)>80.0)?(5.540622384e34*((1.0+(-T10))-80.0)):(((-T10)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
}
else
{
{
double value_sqrt_0 = sqrt(static_cast<double>(2.0));
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.d_instanceVar_T2_dX*0.5-3.0*(d_T9_dX/value_sqrt_0));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_T2*0.5)-(3.0*(1.0+(T9/value_sqrt_0))));
}
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T3*instanceStruct.instanceVar_T3)+(6.0*instanceStruct.instanceVar_T2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T10_dX = (instanceStruct.d_instanceVar_T3_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T3*instanceStruct.d_instanceVar_T3_dX+instanceStruct.d_instanceVar_T3_dX*instanceStruct.instanceVar_T3)+6.0*instanceStruct.d_instanceVar_T2_dX)));
T10 = (instanceStruct.instanceVar_T3+value_sqrt_0);
}
if ((instanceStruct.instanceVar_T2<0.0))
{
d_T4_dX = ((T9*(instanceStruct.d_instanceVar_T2_dX-d_T10_dX)-(instanceStruct.instanceVar_T2-T10)*d_T9_dX)/T9/T9);
T4 = ((instanceStruct.instanceVar_T2-T10)/T9);
d_T6_dX = ((-d_T10_dX)+(T4*d_T4_dX+d_T4_dX*T4));
T6 = ((-T10)+(T4*T4));
{
double value_log_0 = log(((1.0-T10)+(T4*T4)));
double  deriv_log_0_d0 = (1.0/((1.0-T10)+(T4*T4)));
d_T10_dX = (-((((1.0-T10)+(T4*T4))>1.0e-38)?deriv_log_0_d0*(((-d_T10_dX)+(T4*d_T4_dX+d_T4_dX*T4))):0.0));
T10 = (-((((1.0-T10)+(T4*T4))>1.0e-38)?value_log_0:(-87.498233534)));
}
}
else
{
{
double value_exp_0 = exp((-T10));
double  deriv_exp_0_d0 = value_exp_0;
d_T11_dX = (((-T10)>80.0)?5.540622384e34*(-d_T10_dX):(((-T10)<(-80.0))?0.0:deriv_exp_0_d0*((-d_T10_dX))));
T11 = (((-T10)>80.0)?(5.540622384e34*((1.0+(-T10))-80.0)):(((-T10)<(-80.0))?1.804851387e-35:value_exp_0));
}
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T2-1.0)+T11)+(instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T4_dX = (deriv_sqrt_0_d0*(((instanceStruct.d_instanceVar_T2_dX+d_T11_dX)+(instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)))-instanceStruct.d_instanceVar_T0_dX);
T4 = (value_sqrt_0-instanceStruct.instanceVar_T0);
}
d_T10_dX = ((-d_T11_dX)+(T4*d_T4_dX+d_T4_dX*T4));
T10 = ((1.0-T11)+(T4*T4));
{
double value_exp_0 = exp((-T10));
double  deriv_exp_0_d0 = value_exp_0;
d_T6_dX = (((-T10)>80.0)?5.540622384e34*(-d_T10_dX):(((-T10)<(-80.0))?0.0:deriv_exp_0_d0*((-d_T10_dX))));
T6 = ((((-T10)>80.0)?(5.540622384e34*((1.0+(-T10))-80.0)):(((-T10)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
}
}
{
double value_sqrt_0 = sqrt((T6+T10));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T7_dX = deriv_sqrt_0_d0*((d_T6_dX+d_T10_dX));
T7 = value_sqrt_0;
}
if ((T10>1.0e-15))
{
d_e0_dX = ((-(instanceStruct.d_instanceVar_T2_dX-d_T10_dX))+(T9*d_T7_dX+d_T9_dX*T7));
e0 = ((-(instanceStruct.instanceVar_T2-T10))+(T9*T7));
d_e1_dX = (-((T7*((T9*0.5)*d_T6_dX+d_T9_dX*0.5*T6)-((T9*0.5)*T6)*d_T7_dX)/T7/T7));
e1 = (1.0-(((T9*0.5)*T6)/T7));
d_T8_dX = (d_T10_dX-((e1*d_e0_dX-e0*d_e1_dX)/e1/e1));
T8 = (T10-(e0/e1));
{
double value_exp_0 = exp((-T8));
double  deriv_exp_0_d0 = value_exp_0;
d_T11_dX = (((-T8)>80.0)?5.540622384e34*(-d_T8_dX):(((-T8)<(-80.0))?0.0:deriv_exp_0_d0*((-d_T8_dX))));
T11 = ((((-T8)>80.0)?(5.540622384e34*((1.0+(-T8))-80.0)):(((-T8)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
{
double value_sqrt_0 = sqrt((T11+T8));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T12_dX = deriv_sqrt_0_d0*((d_T11_dX+d_T8_dX));
T12 = value_sqrt_0;
}
instanceStruct.d_instanceVar_qba_dX = (((-T9)*T12)*instanceStruct.d_instanceVar_Vtm_dX+((-T9)*d_T12_dX+(-d_T9_dX)*T12)*instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_qba = (((-T9)*T12)*instanceStruct.instanceVar_Vtm);
}
else
{
if ((T10<(-1.0e-15)))
{
d_e0_dX = ((-(instanceStruct.d_instanceVar_T2_dX-d_T10_dX))-(T9*d_T7_dX+d_T9_dX*T7));
e0 = ((-(instanceStruct.instanceVar_T2-T10))-(T9*T7));
d_e1_dX = ((T7*((T9*0.5)*d_T6_dX+d_T9_dX*0.5*T6)-((T9*0.5)*T6)*d_T7_dX)/T7/T7);
e1 = (1.0+(((T9*0.5)*T6)/T7));
d_T8_dX = (d_T10_dX-((e1*d_e0_dX-e0*d_e1_dX)/e1/e1));
T8 = (T10-(e0/e1));
{
double value_exp_0 = exp((-T8));
double  deriv_exp_0_d0 = value_exp_0;
d_T12a_dX = ((((-T8)>80.0)?5.540622384e34*(-d_T8_dX):(((-T8)<(-80.0))?0.0:deriv_exp_0_d0*((-d_T8_dX))))+d_T8_dX);
T12a = (((((-T8)>80.0)?(5.540622384e34*((1.0+(-T8))-80.0)):(((-T8)<(-80.0))?1.804851387e-35:value_exp_0))+T8)-1.0);
}
if ((T12a<=0))
{
d_T12_dX = 0.0;
T12 = 0.0;
}
else
{
{
double value_sqrt_0 = sqrt(T12a);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T12_dX = (T9*deriv_sqrt_0_d0*(d_T12a_dX)+d_T9_dX*value_sqrt_0);
T12 = (T9*value_sqrt_0);
}
}
}
else
{
d_T8_dX = 0.0;
T8 = 0.0;
d_T12_dX = 0.0;
T12 = 0.0;
}
instanceStruct.d_instanceVar_qba_dX = (T12*instanceStruct.d_instanceVar_Vtm_dX+d_T12_dX*instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_qba = (T12*instanceStruct.instanceVar_Vtm);
}
{
double value_exp_0 = exp(((-T8)/2.0));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_qi_acc_for_QM_dX = ((T9*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*instanceStruct.d_instanceVar_Vtm_dX+(T9*((((-T8)/2.0)>80.0)?5.540622384e34*((-d_T8_dX)/2.0):((((-T8)/2.0)<(-80.0))?0.0:deriv_exp_0_d0*(((-d_T8_dX)/2.0))))+d_T9_dX*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_qi_acc_for_QM = ((T9*((((-T8)/2.0)>80.0)?(5.540622384e34*((1.0+((-T8)/2.0))-80.0)):((((-T8)/2.0)<(-80.0))?1.804851387e-35:value_exp_0)))*instanceStruct.instanceVar_Vtm);
}
{
double value_sqrt_0 = sqrt((((T8-1.0)*(T8-1.0))+((0.25*2.0)*2.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_psipclamp_dX = 0.5*(d_T8_dX+deriv_sqrt_0_d0*(((T8-1.0)*d_T8_dX+d_T8_dX*(T8-1.0))));
psipclamp = (0.5*((T8+1.0)+value_sqrt_0));
}
{
double value_sqrt_0 = sqrt(psipclamp);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sqrtpsip_dX = deriv_sqrt_0_d0*(d_psipclamp_dX);
sqrtpsip = value_sqrt_0;
}
instanceStruct.d_instanceVar_nq_dX = ((sqrtpsip*d_T9_dX-T9*d_sqrtpsip_dX)/sqrtpsip/sqrtpsip);
instanceStruct.instanceVar_nq = (1.0+(T9/sqrtpsip));
}
d_qia_dX = 0.5*(d_qis_dX+d_qid_dX);
qia = (0.5*(qis+qid));
d_dqi_dX = (d_qis_dX-d_qid_dX);
dqi = (qis-qid);
instanceStruct.d_instanceVar_T0_dX = ((Vdseff*d_Vdseff_dX+d_Vdseff_dX*Vdseff)/6.25e-4);
instanceStruct.instanceVar_T0 = ((Vdseff*Vdseff)/6.25e-4);
if ((modelStruct.modelPar_CHARGEWF!=0.0))
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T0));
double  deriv_exp_0_d0 = value_exp_0;
d_qia2_dX = (0.5*(d_qis_dX+d_qid_dX)+(((modelStruct.modelPar_CHARGEWF*(1.0-(((-instanceStruct.instanceVar_T0)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T0))-80.0)):(((-instanceStruct.instanceVar_T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*d_dqi_dX+(modelStruct.modelPar_CHARGEWF*(-(((-instanceStruct.instanceVar_T0)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T0_dX):(((-instanceStruct.instanceVar_T0)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T0_dX)))))+modelStruct.d_modelPar_CHARGEWF_dX*(1.0-(((-instanceStruct.instanceVar_T0)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T0))-80.0)):(((-instanceStruct.instanceVar_T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5*dqi));
qia2 = ((0.5*(qis+qid))+(((modelStruct.modelPar_CHARGEWF*(1.0-(((-instanceStruct.instanceVar_T0)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T0))-80.0)):(((-instanceStruct.instanceVar_T0)<(-80.0))?1.804851387e-35:value_exp_0))))*0.5)*dqi));
}
}
else
{
d_qia2_dX = 0.5*(d_qis_dX+d_qid_dX);
qia2 = (0.5*(qis+qid));
}
if ((qis<0.0))
{
UserInfo(theInstance)  << "Warning: Negative source-side inversion carrier density. Vgs = %g Vds = %g Vbs = %g qis = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qis << " " <<  std::endl; 
}
if ((qid<0.0))
{
UserInfo(theInstance)  << "Warning: Negative drain-side inversion carrier density. Vgs = %g Vds = %g Vbs = %g qid = %g" << " " << (probeVars[admsProbeID_V_g_s]) << " " << (probeVars[admsProbeID_V_d_s]) << " " << (probeVars[admsProbeID_V_e_s]) << " " << qid << " " <<  std::endl; 
}
if ((instanceStruct.instanceVar_QMTCENCV_i>0.0))
{
d_T4_dX = ((modelStruct.modelPar_QM0*d_qia_dX-qia*modelStruct.d_modelPar_QM0_dX)/modelStruct.modelPar_QM0/modelStruct.modelPar_QM0);
T4 = (qia/modelStruct.modelPar_QM0);
{
double value_pow_0 = pow(T4,modelStruct.modelPar_PQM);
double  deriv_pow_0_d0 = ((T4 == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_PQM/T4));
double  deriv_pow_0_d1 = (T4 == 0.0)?0.0:(log(T4)*value_pow_0);
d_T5_dX = ((deriv_pow_0_d0*(d_T4_dX))+(deriv_pow_0_d1*(modelStruct.d_modelPar_PQM_dX)));
T5 = (1.0+value_pow_0);
}
d_Tcen_dX = ((T5*instanceStruct.d_instanceVar_Tcen0_dX-instanceStruct.instanceVar_Tcen0*d_T5_dX)/T5/T5);
Tcen = (instanceStruct.instanceVar_Tcen0/T5);
d_coxeff_dX = (-((-((modelStruct.modelPar_TOXP*(instanceStruct.instanceVar_cox*modelStruct.d_modelPar_EOT_dX+instanceStruct.d_instanceVar_cox_dX*modelStruct.modelPar_EOT)-(instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)*modelStruct.d_modelPar_TOXP_dX)/modelStruct.modelPar_TOXP/modelStruct.modelPar_TOXP)/((instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)/modelStruct.modelPar_TOXP)/((instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)/modelStruct.modelPar_TOXP))+((instanceStruct.instanceVar_epssub*(Tcen*instanceStruct.d_instanceVar_QMTCENCV_i_dX+d_Tcen_dX*instanceStruct.instanceVar_QMTCENCV_i)-(Tcen*instanceStruct.instanceVar_QMTCENCV_i)*instanceStruct.d_instanceVar_epssub_dX)/instanceStruct.instanceVar_epssub/instanceStruct.instanceVar_epssub))/((1.0/((instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)/modelStruct.modelPar_TOXP))+((Tcen*instanceStruct.instanceVar_QMTCENCV_i)/instanceStruct.instanceVar_epssub))/((1.0/((instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)/modelStruct.modelPar_TOXP))+((Tcen*instanceStruct.instanceVar_QMTCENCV_i)/instanceStruct.instanceVar_epssub)));
coxeff = (1.0/((1.0/((instanceStruct.instanceVar_cox*modelStruct.modelPar_EOT)/modelStruct.modelPar_TOXP))+((Tcen*instanceStruct.instanceVar_QMTCENCV_i)/instanceStruct.instanceVar_epssub)));
}
else
{
d_coxeff_dX = instanceStruct.d_instanceVar_cox_dX;
coxeff = instanceStruct.instanceVar_cox;
}
if (((modelStruct.modelPar_BULKMOD!=0)&&(instanceStruct.instanceVar_QMTCENCVA_i!=0.0)))
{
{
double value_pow_0 = pow((instanceStruct.instanceVar_qi_acc_for_QM/modelStruct.modelPar_QM0ACC),modelStruct.modelPar_PQMACC);
double  deriv_pow_0_d0 = (((instanceStruct.instanceVar_qi_acc_for_QM/modelStruct.modelPar_QM0ACC) == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_PQMACC/(instanceStruct.instanceVar_qi_acc_for_QM/modelStruct.modelPar_QM0ACC)));
double  deriv_pow_0_d1 = ((instanceStruct.instanceVar_qi_acc_for_QM/modelStruct.modelPar_QM0ACC) == 0.0)?0.0:(log((instanceStruct.instanceVar_qi_acc_for_QM/modelStruct.modelPar_QM0ACC))*value_pow_0);
d_T6_dX = ((deriv_pow_0_d0*(((modelStruct.modelPar_QM0ACC*instanceStruct.d_instanceVar_qi_acc_for_QM_dX-instanceStruct.instanceVar_qi_acc_for_QM*modelStruct.d_modelPar_QM0ACC_dX)/modelStruct.modelPar_QM0ACC/modelStruct.modelPar_QM0ACC)))+(deriv_pow_0_d1*(modelStruct.d_modelPar_PQMACC_dX)));
T6 = (1.0+value_pow_0);
}
d_Tcen_dX = ((T6*instanceStruct.d_instanceVar_Tcen0_dX-instanceStruct.instanceVar_Tcen0*d_T6_dX)/T6/T6);
Tcen = (instanceStruct.instanceVar_Tcen0/T6);
instanceStruct.d_instanceVar_cox_acc_dX = (-((-instanceStruct.d_instanceVar_cox_acc_dX/instanceStruct.instanceVar_cox_acc/instanceStruct.instanceVar_cox_acc)+((instanceStruct.instanceVar_epssub*(Tcen*instanceStruct.d_instanceVar_QMTCENCVA_i_dX+d_Tcen_dX*instanceStruct.instanceVar_QMTCENCVA_i)-(Tcen*instanceStruct.instanceVar_QMTCENCVA_i)*instanceStruct.d_instanceVar_epssub_dX)/instanceStruct.instanceVar_epssub/instanceStruct.instanceVar_epssub))/((1.0/instanceStruct.instanceVar_cox_acc)+((Tcen*instanceStruct.instanceVar_QMTCENCVA_i)/instanceStruct.instanceVar_epssub))/((1.0/instanceStruct.instanceVar_cox_acc)+((Tcen*instanceStruct.instanceVar_QMTCENCVA_i)/instanceStruct.instanceVar_epssub)));
instanceStruct.instanceVar_cox_acc = (1.0/((1.0/instanceStruct.instanceVar_cox_acc)+((Tcen*instanceStruct.instanceVar_QMTCENCVA_i)/instanceStruct.instanceVar_epssub)));
}
d_beta_dX = ((instanceStruct.instanceVar_Leff*((u0_a*instanceStruct.instanceVar_cox)*instanceStruct.d_instanceVar_Weff0_dX+(u0_a*instanceStruct.d_instanceVar_cox_dX+d_u0_a_dX*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)-((u0_a*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff);
beta = (((u0_a*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_Weff0)/instanceStruct.instanceVar_Leff);
d_Eeffm_dX = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.d_instanceVar_qbs_dX+(instanceStruct.instanceVar_eta_mu*d_qia2_dX+instanceStruct.d_instanceVar_eta_mu_dX*qia2))+instanceStruct.d_instanceVar_EeffFactor_dX*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu*qia2)));
Eeffm = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu*qia2)));
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_pow_0 = pow((0.5*(1.0+(qia2/qb0))),instanceStruct.instanceVar_UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qia2/qb0))) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+(qia2/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qia2/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qia2/qb0))))*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(0.5*((qb0*d_qia2_dX-qia2*d_qb0_dX)/qb0/qb0)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_UDSeff_t*d_qis_dX+instanceStruct.d_instanceVar_UDSeff_t_dX*qis)+(instanceStruct.instanceVar_UDDeff_t*d_qid_dX+instanceStruct.d_instanceVar_UDDeff_t_dX*qid));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_UDSeff_t*qis)+(instanceStruct.instanceVar_UDDeff_t*qid));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+((4.0*1.0e-12)*1.0e-12)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0))));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-12==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T0+value_sqrt_0)));
}
{
double value_pow_0 = pow((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))),instanceStruct.instanceVar_UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+(instanceStruct.instanceVar_T1/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))))*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(0.5*((qb0*instanceStruct.d_instanceVar_T1_dX-instanceStruct.instanceVar_T1*d_qb0_dX)/qb0/qb0)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
{
double value_pow_0 = pow(Eeffm,EU_a);
double  deriv_pow_0_d0 = ((Eeffm == 0.0)?0.0:(value_pow_0*EU_a/Eeffm));
double  deriv_pow_0_d1 = (Eeffm == 0.0)?0.0:(log(Eeffm)*value_pow_0);
instanceStruct.d_instanceVar_T0_dX = ((deriv_pow_0_d0*(d_Eeffm_dX))+(deriv_pow_0_d1*(d_EU_a_dX)));
instanceStruct.instanceVar_T0 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
instanceStruct.d_instanceVar_T3_dX = (((UA_a+(UC_a*instanceStruct.instanceVar_veseff))*instanceStruct.d_instanceVar_T0_dX+(d_UA_a_dX+(UC_a*instanceStruct.d_instanceVar_veseff_dX+d_UC_a_dX*instanceStruct.instanceVar_veseff))*instanceStruct.instanceVar_T0)+((instanceStruct.instanceVar_T2*d_UD_a_dX-UD_a*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = (((UA_a+(UC_a*instanceStruct.instanceVar_veseff))*instanceStruct.instanceVar_T0)+(UD_a/instanceStruct.instanceVar_T2));
}
else
{
instanceStruct.d_instanceVar_T3_dX = ((UA_a*instanceStruct.d_instanceVar_T0_dX+d_UA_a_dX*instanceStruct.instanceVar_T0)+((instanceStruct.instanceVar_T2*d_UD_a_dX-UD_a*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = ((UA_a*instanceStruct.instanceVar_T0)+(UD_a/instanceStruct.instanceVar_T2));
}
d_Dmob_dX = instanceStruct.d_instanceVar_T3_dX;
Dmob = (1.0+instanceStruct.instanceVar_T3);
{
double value_sqrt_0 = sqrt((((Dmob-1.0)*(Dmob-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.modelPar_DMOBCLAMP)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Dmob_dX = ((((Dmob==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:0.5*(d_Dmob_dX+deriv_sqrt_0_d0*((((Dmob-1.0)*d_Dmob_dX+d_Dmob_dX*(Dmob-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.d_modelPar_DMOBCLAMP_dX+0.25*modelStruct.d_modelPar_DMOBCLAMP_dX*modelStruct.modelPar_DMOBCLAMP)))));
Dmob = ((((Dmob==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:(0.5*((Dmob+1.0)+value_sqrt_0)));
}
d_Dmob_dX = ((instanceStruct.instancePar_U0MULT*d_Dmob_dX-Dmob*instanceStruct.d_instancePar_U0MULT_dX)/instanceStruct.instancePar_U0MULT/instanceStruct.instancePar_U0MULT);
Dmob = (Dmob/instanceStruct.instancePar_U0MULT);
d_ueff_dX = ((Dmob*d_u0_a_dX-u0_a*d_Dmob_dX)/Dmob/Dmob);
ueff = (u0_a/Dmob);
if ((modelStruct.modelPar_CVMOD==1))
{
if ((modelStruct.modelPar_CRYOMOD==0))
{
{
double value_pow_0 = pow((0.5*(1.0+(qia2_cv/qb0))),instanceStruct.instanceVar_UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(qia2_cv/qb0))) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+(qia2_cv/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(qia2_cv/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(qia2_cv/qb0))))*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(0.5*((qb0*d_qia2_cv_dX-qia2_cv*d_qb0_dX)/qb0/qb0)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_UDSeff_t*d_qis_cv_dX+instanceStruct.d_instanceVar_UDSeff_t_dX*qis_cv)+(instanceStruct.instanceVar_UDDeff_t*d_qid_cv_dX+instanceStruct.d_instanceVar_UDDeff_t_dX*qid_cv));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_UDSeff_t*qis_cv)+(instanceStruct.instanceVar_UDDeff_t*qid_cv));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+((4.0*1.0e-12)*1.0e-12)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-12==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0))));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T0==0.0)&&(1.0e-12==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T0+value_sqrt_0)));
}
{
double value_pow_0 = pow((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))),instanceStruct.instanceVar_UCS_t);
double  deriv_pow_0_d0 = (((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+(instanceStruct.instanceVar_T1/qb0)))));
double  deriv_pow_0_d1 = ((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))) == 0.0)?0.0:(log((0.5*(1.0+(instanceStruct.instanceVar_T1/qb0))))*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(0.5*((qb0*instanceStruct.d_instanceVar_T1_dX-instanceStruct.instanceVar_T1*d_qb0_dX)/qb0/qb0)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
d_Eeffm_cv_dX = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.d_instanceVar_qbs_dX+instanceStruct.instanceVar_eta_mu_cv*d_qia2_cv_dX)+instanceStruct.d_instanceVar_EeffFactor_dX*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu_cv*qia2_cv)));
Eeffm_cv = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu_cv*qia2_cv)));
{
double value_pow_0 = pow(Eeffm_cv,EU_a);
double  deriv_pow_0_d0 = ((Eeffm_cv == 0.0)?0.0:(value_pow_0*EU_a/Eeffm_cv));
double  deriv_pow_0_d1 = (Eeffm_cv == 0.0)?0.0:(log(Eeffm_cv)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_UACV_t*((deriv_pow_0_d0*(d_Eeffm_cv_dX))+(deriv_pow_0_d1*(d_EU_a_dX)))+instanceStruct.d_instanceVar_UACV_t_dX*value_pow_0)+((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_UDCV_t_dX-instanceStruct.instanceVar_UDCV_t*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = ((instanceStruct.instanceVar_UACV_t*value_pow_0)+(instanceStruct.instanceVar_UDCV_t/instanceStruct.instanceVar_T2));
}
}
else
{
d_Eeffm_cv_dX = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.d_instanceVar_qbs_dX+instanceStruct.instanceVar_eta_mu_cv*d_qia2_dX)+instanceStruct.d_instanceVar_EeffFactor_dX*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu_cv*qia2)));
Eeffm_cv = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.instanceVar_qbs+(instanceStruct.instanceVar_eta_mu_cv*qia2)));
{
double value_pow_0 = pow(Eeffm_cv,EU_a);
double  deriv_pow_0_d0 = ((Eeffm_cv == 0.0)?0.0:(value_pow_0*EU_a/Eeffm_cv));
double  deriv_pow_0_d1 = (Eeffm_cv == 0.0)?0.0:(log(Eeffm_cv)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((UA_a*((deriv_pow_0_d0*(d_Eeffm_cv_dX))+(deriv_pow_0_d1*(d_EU_a_dX)))+d_UA_a_dX*value_pow_0)+((instanceStruct.instanceVar_T2*d_UD_a_dX-UD_a*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = ((UA_a*value_pow_0)+(UD_a/instanceStruct.instanceVar_T2));
}
}
d_Dmob_cv_dX = instanceStruct.d_instanceVar_T3_dX;
Dmob_cv = (1.0+instanceStruct.instanceVar_T3);
{
double value_sqrt_0 = sqrt((((Dmob_cv-1.0)*(Dmob_cv-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.modelPar_DMOBCLAMP)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Dmob_cv_dX = ((((Dmob_cv==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:0.5*(d_Dmob_cv_dX+deriv_sqrt_0_d0*((((Dmob_cv-1.0)*d_Dmob_cv_dX+d_Dmob_cv_dX*(Dmob_cv-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.d_modelPar_DMOBCLAMP_dX+0.25*modelStruct.d_modelPar_DMOBCLAMP_dX*modelStruct.modelPar_DMOBCLAMP)))));
Dmob_cv = ((((Dmob_cv==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:(0.5*((Dmob_cv+1.0)+value_sqrt_0)));
}
d_Dmob_cv_dX = ((instanceStruct.instancePar_U0MULT*d_Dmob_cv_dX-Dmob_cv*instanceStruct.d_instancePar_U0MULT_dX)/instanceStruct.instancePar_U0MULT/instanceStruct.instancePar_U0MULT);
Dmob_cv = (Dmob_cv/instanceStruct.instancePar_U0MULT);
instanceStruct.d_instanceVar_tmp_dX = ((instanceStruct.instanceVar_scl*(instanceStruct.instanceVar_DROUT_i*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_DROUT_i_dX*instanceStruct.instanceVar_Leff)-(instanceStruct.instanceVar_DROUT_i*instanceStruct.instanceVar_Leff)*instanceStruct.d_instanceVar_scl_dX)/instanceStruct.instanceVar_scl/instanceStruct.instanceVar_scl);
instanceStruct.instanceVar_tmp = (((instanceStruct.instanceVar_DROUT_i*instanceStruct.instanceVar_Leff)/instanceStruct.instanceVar_scl)+1.0e-6);
if ((instanceStruct.instanceVar_tmp<40.0))
{
{
double value_cosh_0 = cosh(instanceStruct.instanceVar_tmp);
double  deriv_cosh_0_d0 = (sinh(instanceStruct.instanceVar_tmp));
d_DIBLfactor_dX = ((((value_cosh_0-1.0)*0.5*d_PDIBL1_a_dX-(0.5*PDIBL1_a)*deriv_cosh_0_d0*(instanceStruct.d_instanceVar_tmp_dX))/(value_cosh_0-1.0)/(value_cosh_0-1.0))+d_PDIBL2_a_dX);
DIBLfactor = (((0.5*PDIBL1_a)/(value_cosh_0-1.0))+PDIBL2_a);
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_tmp));
double  deriv_exp_0_d0 = value_exp_0;
d_DIBLfactor_dX = ((PDIBL1_a*(((-instanceStruct.instanceVar_tmp)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_tmp_dX):(((-instanceStruct.instanceVar_tmp)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_tmp_dX))))+d_PDIBL1_a_dX*(((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0)))+d_PDIBL2_a_dX);
DIBLfactor = ((PDIBL1_a*(((-instanceStruct.instanceVar_tmp)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_tmp))-80.0)):(((-instanceStruct.instanceVar_tmp)<(-80.0))?1.804851387e-35:value_exp_0)))+PDIBL2_a);
}
}
if ((instanceStruct.instanceVar_PVAG_i>0.0))
{
d_PVAGfactor_dX = ((EsatL*(instanceStruct.instanceVar_PVAG_i*d_qia_dX+instanceStruct.d_instanceVar_PVAG_i_dX*qia)-(instanceStruct.instanceVar_PVAG_i*qia)*d_EsatL_dX)/EsatL/EsatL);
PVAGfactor = (1.0+((instanceStruct.instanceVar_PVAG_i*qia)/EsatL));
}
else
{
d_PVAGfactor_dX = (-(-((EsatL*(instanceStruct.instanceVar_PVAG_i*d_qia_dX+instanceStruct.d_instanceVar_PVAG_i_dX*qia)-(instanceStruct.instanceVar_PVAG_i*qia)*d_EsatL_dX)/EsatL/EsatL))/(1.0-((instanceStruct.instanceVar_PVAG_i*qia)/EsatL))/(1.0-((instanceStruct.instanceVar_PVAG_i*qia)/EsatL)));
PVAGfactor = (1.0/(1.0-((instanceStruct.instanceVar_PVAG_i*qia)/EsatL)));
}
d_diffVds_dX = (-d_Vdseff_dX);
diffVds = (vds-Vdseff);
if ((modelStruct.modelPar_CRYOMOD==0))
{
d_Vgst2Vtm_dX = (d_qia_dX+2.0*instanceStruct.d_instanceVar_Vtm_dX);
Vgst2Vtm = (qia+(2.0*instanceStruct.instanceVar_Vtm));
}
else
{
d_Vgst2Vtm_dX = (d_qia_dX+2.0*instanceStruct.d_instanceVar_Vtmeff_dX);
Vgst2Vtm = (qia+(2.0*instanceStruct.instanceVar_Vtmeff));
}
if ((DIBLfactor>0.0))
{
instanceStruct.d_instanceVar_T1_dX = d_Vgst2Vtm_dX;
instanceStruct.instanceVar_T1 = Vgst2Vtm;
instanceStruct.d_instanceVar_T3_dX = (((Vdsat+instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_T1_dX-instanceStruct.instanceVar_T1*(d_Vdsat_dX+instanceStruct.d_instanceVar_T1_dX))/(Vdsat+instanceStruct.instanceVar_T1)/(Vdsat+instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_T3 = (instanceStruct.instanceVar_T1/(Vdsat+instanceStruct.instanceVar_T1));
d_VaDIBL_dX = (((instanceStruct.instanceVar_T1/DIBLfactor)*instanceStruct.instanceVar_T3)*d_PVAGfactor_dX+((instanceStruct.instanceVar_T1/DIBLfactor)*instanceStruct.d_instanceVar_T3_dX+((DIBLfactor*instanceStruct.d_instanceVar_T1_dX-instanceStruct.instanceVar_T1*d_DIBLfactor_dX)/DIBLfactor/DIBLfactor)*instanceStruct.instanceVar_T3)*PVAGfactor);
VaDIBL = (((instanceStruct.instanceVar_T1/DIBLfactor)*instanceStruct.instanceVar_T3)*PVAGfactor);
d_Moc_dX = ((VaDIBL*d_diffVds_dX-diffVds*d_VaDIBL_dX)/VaDIBL/VaDIBL);
Moc = (1.0+(diffVds/VaDIBL));
}
else
{
d_Moc_dX = 0.0;
Moc = 1.0;
}
if ((PCLM_a>0.0))
{
if ((instanceStruct.instanceVar_PCLMG_i<0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-((-d_PCLM_a_dX/PCLM_a/PCLM_a)-(instanceStruct.instanceVar_PCLMG_i*d_qia_dX+instanceStruct.d_instanceVar_PCLMG_i_dX*qia))/((1.0/PCLM_a)-(instanceStruct.instanceVar_PCLMG_i*qia))/((1.0/PCLM_a)-(instanceStruct.instanceVar_PCLMG_i*qia)));
instanceStruct.instanceVar_T1 = (1.0/((1.0/PCLM_a)-(instanceStruct.instanceVar_PCLMG_i*qia)));
}
else
{
instanceStruct.d_instanceVar_T1_dX = (d_PCLM_a_dX+(instanceStruct.instanceVar_PCLMG_i*d_qia_dX+instanceStruct.d_instanceVar_PCLMG_i_dX*qia));
instanceStruct.instanceVar_T1 = (PCLM_a+(instanceStruct.instanceVar_PCLMG_i*qia));
}
{
double value_log_0 = log((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_T1)/(Vdsat+EsatL))));
double  deriv_log_0_d0 = (1.0/(1.0+(((vds-Vdseff)/instanceStruct.instanceVar_T1)/(Vdsat+EsatL))));
d_Mclm_dX = (instanceStruct.instanceVar_T1*(((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_T1)/(Vdsat+EsatL)))>1.0e-38)?deriv_log_0_d0*((((Vdsat+EsatL)*((instanceStruct.instanceVar_T1*(-d_Vdseff_dX)-(vds-Vdseff)*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1)-((vds-Vdseff)/instanceStruct.instanceVar_T1)*(d_Vdsat_dX+d_EsatL_dX))/(Vdsat+EsatL)/(Vdsat+EsatL))):0.0)+instanceStruct.d_instanceVar_T1_dX*(((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534)));
Mclm = (1.0+(instanceStruct.instanceVar_T1*(((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_T1)/(Vdsat+EsatL)))>1.0e-38)?value_log_0:(-87.498233534))));
}
}
else
{
d_Mclm_dX = 0.0;
Mclm = 1.0;
}
d_Moc_dX = (Moc*d_Mclm_dX+d_Moc_dX*Mclm);
Moc = (Moc*Mclm);
d_Esat1_dX = ((ueff*2.0*d_VSAT1_a_dX-(2.0*VSAT1_a)*d_ueff_dX)/ueff/ueff);
Esat1 = ((2.0*VSAT1_a)/ueff);
d_Esat1L_dX = (Esat1*instanceStruct.d_instanceVar_Leff_dX+d_Esat1_dX*instanceStruct.instanceVar_Leff);
Esat1L = (Esat1*instanceStruct.instanceVar_Leff);
{
double value_log_0 = log((dqi/Esat1L));
double value_log_1 = log((dqi/Esat1L));
double value_log_2 = log((dqi/Esat1L));
double value_log_3 = log((dqi/Esat1L));
double value_exp_4 = exp((instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_3:(-87.498233534))));
double  deriv_log_0_d0 = (1.0/(dqi/Esat1L));
double  deriv_log_1_d0 = (1.0/(dqi/Esat1L));
double  deriv_log_2_d0 = (1.0/(dqi/Esat1L));
double  deriv_log_3_d0 = (1.0/(dqi/Esat1L));
double  deriv_exp_4_d0 = value_exp_4;
instanceStruct.d_instanceVar_T0_dX = (((instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?deriv_log_1_d0*(((Esat1L*d_dqi_dX-dqi*d_Esat1L_dX)/Esat1L/Esat1L)):0.0)+instanceStruct.d_instanceVar_PSAT_i_dX*(((dqi/Esat1L)>1.0e-38)?value_log_1:(-87.498233534))):(((instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:deriv_exp_4_d0*((instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?deriv_log_3_d0*(((Esat1L*d_dqi_dX-dqi*d_Esat1L_dX)/Esat1L/Esat1L)):0.0)+instanceStruct.d_instanceVar_PSAT_i_dX*(((dqi/Esat1L)>1.0e-38)?value_log_3:(-87.498233534))))));
instanceStruct.instanceVar_T0 = (((instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((instanceStruct.instanceVar_PSAT_i*(((dqi/Esat1L)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4));
}
instanceStruct.d_instanceVar_T1_dX = (-instanceStruct.d_instanceVar_PSAT_i_dX/instanceStruct.instanceVar_PSAT_i/instanceStruct.instanceVar_PSAT_i);
instanceStruct.instanceVar_T1 = (1.0/instanceStruct.instanceVar_PSAT_i);
{
double value_log_0 = log(instanceStruct.instanceVar_DELTAVSAT_i);
double value_log_1 = log(instanceStruct.instanceVar_DELTAVSAT_i);
double value_log_2 = log(instanceStruct.instanceVar_DELTAVSAT_i);
double value_log_3 = log(instanceStruct.instanceVar_DELTAVSAT_i);
double value_exp_4 = exp((instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))));
double  deriv_log_0_d0 = (1.0/instanceStruct.instanceVar_DELTAVSAT_i);
double  deriv_log_1_d0 = (1.0/instanceStruct.instanceVar_DELTAVSAT_i);
double  deriv_log_2_d0 = (1.0/instanceStruct.instanceVar_DELTAVSAT_i);
double  deriv_log_3_d0 = (1.0/instanceStruct.instanceVar_DELTAVSAT_i);
double  deriv_exp_4_d0 = value_exp_4;
d_Ta_dX = (((instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?deriv_log_1_d0*(instanceStruct.d_instanceVar_DELTAVSAT_i_dX):0.0)+instanceStruct.d_instanceVar_T1_dX*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534))):(((instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:deriv_exp_4_d0*((instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?deriv_log_3_d0*(instanceStruct.d_instanceVar_DELTAVSAT_i_dX):0.0)+instanceStruct.d_instanceVar_T1_dX*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_3:(-87.498233534))))));
Ta = (1.0+(((instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_DELTAVSAT_i>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)));
}
{
double value_log_0 = log((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double value_log_1 = log((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double value_log_2 = log((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double value_log_3 = log((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double value_exp_4 = exp((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_3:(-87.498233534))));
double  deriv_log_0_d0 = (1.0/(instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double  deriv_log_1_d0 = (1.0/(instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double  deriv_log_2_d0 = (1.0/(instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double  deriv_log_3_d0 = (1.0/(instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0));
double  deriv_exp_4_d0 = value_exp_4;
d_Dvsat_dX = ((Ta*(((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?5.540622384e34*(instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?deriv_log_1_d0*((instanceStruct.d_instanceVar_DELTAVSAT_i_dX+instanceStruct.d_instanceVar_T0_dX)):0.0)+instanceStruct.d_instanceVar_T1_dX*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_1:(-87.498233534))):(((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?0.0:deriv_exp_4_d0*((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?deriv_log_3_d0*((instanceStruct.d_instanceVar_DELTAVSAT_i_dX+instanceStruct.d_instanceVar_T0_dX)):0.0)+instanceStruct.d_instanceVar_T1_dX*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_3:(-87.498233534))))))-(1.0+(((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))*d_Ta_dX)/Ta/Ta);
Dvsat = ((1.0+(((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_0:(-87.498233534)))>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_1:(-87.498233534))))-80.0)):(((instanceStruct.instanceVar_T1*(((instanceStruct.instanceVar_DELTAVSAT_i+instanceStruct.instanceVar_T0)>1.0e-38)?value_log_2:(-87.498233534)))<(-80.0))?1.804851387e-35:value_exp_4)))/Ta);
}
d_Dvsat_dX = (d_Dvsat_dX+((((0.5*PTWG_a)*qia)*dqi)*d_dqi_dX+(((0.5*PTWG_a)*qia)*d_dqi_dX+((0.5*PTWG_a)*d_qia_dX+0.5*d_PTWG_a_dX*qia)*dqi)*dqi));
Dvsat = (Dvsat+((((0.5*PTWG_a)*qia)*dqi)*dqi));
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.d_instanceVar_A1_t_dX+(((qia+(2.0*nVtm))*instanceStruct.d_instanceVar_A2_t_dX-instanceStruct.instanceVar_A2_t*(d_qia_dX+2.0*d_nVtm_dX))/(qia+(2.0*nVtm))/(qia+(2.0*nVtm))));
instanceStruct.instanceVar_T0 = (instanceStruct.instanceVar_A1_t+(instanceStruct.instanceVar_A2_t/(qia+(2.0*nVtm))));
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0*dqi)*d_dqi_dX+(instanceStruct.instanceVar_T0*d_dqi_dX+instanceStruct.d_instanceVar_T0_dX*dqi)*dqi);
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_T0*dqi)*dqi);
instanceStruct.d_instanceVar_T2_dX = instanceStruct.d_instanceVar_T1_dX;
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_T1+1.0)-0.001);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_T2)+0.004));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T3_dX = 0.5*(instanceStruct.d_instanceVar_T2_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_T2)));
instanceStruct.instanceVar_T3 = ((-1.0)+(0.5*(instanceStruct.instanceVar_T2+value_sqrt_0)));
}
{
double value_sqrt_0 = sqrt((1.0+instanceStruct.instanceVar_T3));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Nsat_dX = 0.5*deriv_sqrt_0_d0*(instanceStruct.d_instanceVar_T3_dX);
Nsat = (0.5*(1.0+value_sqrt_0));
}
d_Dvsat_dX = (Dvsat*d_Nsat_dX+d_Dvsat_dX*Nsat);
Dvsat = (Dvsat*Nsat);
{
double value_sqrt_0 = sqrt((((Dvsat-1.0)*(Dvsat-1.0))+((0.25*modelStruct.modelPar_DVSATCLAMP)*modelStruct.modelPar_DVSATCLAMP)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Dvsat_dX = ((((Dvsat==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DVSATCLAMP==0.0))?0.0:0.5*(d_Dvsat_dX+deriv_sqrt_0_d0*((((Dvsat-1.0)*d_Dvsat_dX+d_Dvsat_dX*(Dvsat-1.0))+((0.25*modelStruct.modelPar_DVSATCLAMP)*modelStruct.d_modelPar_DVSATCLAMP_dX+0.25*modelStruct.d_modelPar_DVSATCLAMP_dX*modelStruct.modelPar_DVSATCLAMP)))));
Dvsat = ((((Dvsat==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DVSATCLAMP==0.0))?0.0:(0.5*((Dvsat+1.0)+value_sqrt_0)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(instanceStruct.instanceVar_K0SI_t+((instanceStruct.instanceVar_K0SISAT_t*dqi)*dqi)));
double  deriv_max_0_d1 = ((0.0>=(instanceStruct.instanceVar_K0SI_t+((instanceStruct.instanceVar_K0SISAT_t*dqi)*dqi)))?0.0:1.0);
instanceStruct.d_instanceVar_T1_dX = ((((value_max_0*qia)+(2.0*nVtm))*instanceStruct.d_instanceVar_K0_t_dX-instanceStruct.instanceVar_K0_t*((value_max_0*d_qia_dX+(deriv_max_0_d1*((instanceStruct.d_instanceVar_K0SI_t_dX+((instanceStruct.instanceVar_K0SISAT_t*dqi)*d_dqi_dX+(instanceStruct.instanceVar_K0SISAT_t*d_dqi_dX+instanceStruct.d_instanceVar_K0SISAT_t_dX*dqi)*dqi))))*qia)+2.0*d_nVtm_dX))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_K0_t/((value_max_0*qia)+(2.0*nVtm)));
}
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T1));
double  deriv_exp_0_d0 = value_exp_0;
d_Mnud_dX = (((-instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T1_dX):(((-instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T1_dX))));
Mnud = (((-instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T1))-80.0)):(((-instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((modelStruct.modelPar_BULKMOD==2))
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx))*(instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx)))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = ((((instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_K2_t_dX+instanceStruct.d_instanceVar_K2SAT_t_dX*vdsx)+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx))*(instanceStruct.d_instanceVar_K2_t_dX+instanceStruct.d_instanceVar_K2SAT_t_dX*vdsx)+(instanceStruct.d_instanceVar_K2_t_dX+instanceStruct.d_instanceVar_K2SAT_t_dX*vdsx)*(instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx))))));
instanceStruct.instanceVar_T0 = ((((instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx))==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((instanceStruct.instanceVar_K2_t+(instanceStruct.instanceVar_K2SAT_t*vdsx))+value_sqrt_0)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),(instanceStruct.instanceVar_K2SI_t+((instanceStruct.instanceVar_K2SISAT_t*dqi)*dqi)));
double  deriv_max_0_d1 = ((0.0>=(instanceStruct.instanceVar_K2SI_t+((instanceStruct.instanceVar_K2SISAT_t*dqi)*dqi)))?0.0:1.0);
instanceStruct.d_instanceVar_T1_dX = ((((value_max_0*qia)+(2.0*nVtm))*instanceStruct.d_instanceVar_T0_dX-instanceStruct.instanceVar_T0*((value_max_0*d_qia_dX+(deriv_max_0_d1*((instanceStruct.d_instanceVar_K2SI_t_dX+((instanceStruct.instanceVar_K2SISAT_t*dqi)*d_dqi_dX+(instanceStruct.instanceVar_K2SISAT_t*d_dqi_dX+instanceStruct.d_instanceVar_K2SISAT_t_dX*dqi)*dqi))))*qia)+2.0*d_nVtm_dX))/((value_max_0*qia)+(2.0*nVtm))/((value_max_0*qia)+(2.0*nVtm)));
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_T0/((value_max_0*qia)+(2.0*nVtm)));
}
{
double value_sqrt_0 = sqrt((instanceStruct.instanceVar_PHIBE_i-instanceStruct.instanceVar_veseff));
double value_sqrt_1 = sqrt(instanceStruct.instanceVar_PHIBE_i);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
instanceStruct.d_instanceVar_T3_dX = (deriv_sqrt_0_d0*((instanceStruct.d_instanceVar_PHIBE_i_dX-instanceStruct.d_instanceVar_veseff_dX))-deriv_sqrt_1_d0*(instanceStruct.d_instanceVar_PHIBE_i_dX));
instanceStruct.instanceVar_T3 = (value_sqrt_0-value_sqrt_1);
}
{
double value_exp_0 = exp(((-instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T3));
double  deriv_exp_0_d0 = value_exp_0;
d_Mob_dX = ((((-instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T3)>80.0)?5.540622384e34*((-instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_T3_dX+(-instanceStruct.d_instanceVar_T1_dX)*instanceStruct.instanceVar_T3):((((-instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T3)<(-80.0))?0.0:deriv_exp_0_d0*(((-instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_T3_dX+(-instanceStruct.d_instanceVar_T1_dX)*instanceStruct.instanceVar_T3))));
Mob = ((((-instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T3)>80.0)?(5.540622384e34*((1.0+((-instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T3))-80.0)):((((-instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T3)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
else
{
d_Mob_dX = 0.0;
Mob = 1.0;
}
if ((modelStruct.modelPar_CVMOD==1))
{
d_EsatCV_dX = ((instanceStruct.instanceVar_u0_cv*((2.0*instanceStruct.instanceVar_VSATCV_t)*d_Dmob_cv_dX+2.0*instanceStruct.d_instanceVar_VSATCV_t_dX*Dmob_cv)-((2.0*instanceStruct.instanceVar_VSATCV_t)*Dmob_cv)*instanceStruct.d_instanceVar_u0_cv_dX)/instanceStruct.instanceVar_u0_cv/instanceStruct.instanceVar_u0_cv);
EsatCV = (((2.0*instanceStruct.instanceVar_VSATCV_t)*Dmob_cv)/instanceStruct.instanceVar_u0_cv);
}
else
{
d_EsatCV_dX = ((u0_a*((2.0*instanceStruct.instanceVar_VSATCV_t)*d_Dmob_cv_dX+2.0*instanceStruct.d_instanceVar_VSATCV_t_dX*Dmob_cv)-((2.0*instanceStruct.instanceVar_VSATCV_t)*Dmob_cv)*d_u0_a_dX)/u0_a/u0_a);
EsatCV = (((2.0*instanceStruct.instanceVar_VSATCV_t)*Dmob_cv)/u0_a);
}
d_EsatCVL_dX = (EsatCV*instanceStruct.d_instanceVar_LeffCV_dX+d_EsatCV_dX*instanceStruct.instanceVar_LeffCV);
EsatCVL = (EsatCV*instanceStruct.instanceVar_LeffCV);
if ((modelStruct.modelPar_CVMOD==1))
{
{
double value_pow_0 = pow((dqi_cv/EsatCVL),instanceStruct.instanceVar_PSATCV_i);
double  deriv_pow_0_d0 = (((dqi_cv/EsatCVL) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_PSATCV_i/(dqi_cv/EsatCVL)));
double  deriv_pow_0_d1 = ((dqi_cv/EsatCVL) == 0.0)?0.0:(log((dqi_cv/EsatCVL))*value_pow_0);
instanceStruct.d_instanceVar_T0_dX = ((deriv_pow_0_d0*(((EsatCVL*d_dqi_cv_dX-dqi_cv*d_EsatCVL_dX)/EsatCVL/EsatCVL)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_PSATCV_i_dX)));
instanceStruct.instanceVar_T0 = value_pow_0;
}
}
else
{
{
double value_pow_0 = pow((dqi/EsatCVL),instanceStruct.instanceVar_PSATCV_i);
double  deriv_pow_0_d0 = (((dqi/EsatCVL) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_PSATCV_i/(dqi/EsatCVL)));
double  deriv_pow_0_d1 = ((dqi/EsatCVL) == 0.0)?0.0:(log((dqi/EsatCVL))*value_pow_0);
instanceStruct.d_instanceVar_T0_dX = ((deriv_pow_0_d0*(((EsatCVL*d_dqi_dX-dqi*d_EsatCVL_dX)/EsatCVL/EsatCVL)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_PSATCV_i_dX)));
instanceStruct.instanceVar_T0 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T1_dX = (-instanceStruct.d_instanceVar_PSATCV_i_dX/instanceStruct.instanceVar_PSATCV_i/instanceStruct.instanceVar_PSATCV_i);
instanceStruct.instanceVar_T1 = (1.0/instanceStruct.instanceVar_PSATCV_i);
{
double value_pow_0 = pow(instanceStruct.instanceVar_DELTAVSATCV_i,instanceStruct.instanceVar_T1);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_DELTAVSATCV_i == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_T1/instanceStruct.instanceVar_DELTAVSATCV_i));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_DELTAVSATCV_i == 0.0)?0.0:(log(instanceStruct.instanceVar_DELTAVSATCV_i)*value_pow_0);
d_Ta_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_DELTAVSATCV_i_dX))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_T1_dX)));
Ta = (1.0+value_pow_0);
}
{
double value_pow_0 = pow((instanceStruct.instanceVar_DELTAVSATCV_i+instanceStruct.instanceVar_T0),instanceStruct.instanceVar_T1);
double  deriv_pow_0_d0 = (((instanceStruct.instanceVar_DELTAVSATCV_i+instanceStruct.instanceVar_T0) == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_T1/(instanceStruct.instanceVar_DELTAVSATCV_i+instanceStruct.instanceVar_T0)));
double  deriv_pow_0_d1 = ((instanceStruct.instanceVar_DELTAVSATCV_i+instanceStruct.instanceVar_T0) == 0.0)?0.0:(log((instanceStruct.instanceVar_DELTAVSATCV_i+instanceStruct.instanceVar_T0))*value_pow_0);
d_DvsatCV_dX = ((Ta*((deriv_pow_0_d0*((instanceStruct.d_instanceVar_DELTAVSATCV_i_dX+instanceStruct.d_instanceVar_T0_dX)))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_T1_dX)))-(1.0+value_pow_0)*d_Ta_dX)/Ta/Ta);
DvsatCV = ((1.0+value_pow_0)/Ta);
}
if ((instanceStruct.instanceVar_PCLMCV_i!=0.0))
{
{
double value_log_0 = log((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_PCLMCV_i)/(Vdsat+EsatCVL))));
double  deriv_log_0_d0 = (1.0/(1.0+(((vds-Vdseff)/instanceStruct.instanceVar_PCLMCV_i)/(Vdsat+EsatCVL))));
d_MclmCV_dX = (instanceStruct.instanceVar_PCLMCV_i*(((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?deriv_log_0_d0*((((Vdsat+EsatCVL)*((instanceStruct.instanceVar_PCLMCV_i*(-d_Vdseff_dX)-(vds-Vdseff)*instanceStruct.d_instanceVar_PCLMCV_i_dX)/instanceStruct.instanceVar_PCLMCV_i/instanceStruct.instanceVar_PCLMCV_i)-((vds-Vdseff)/instanceStruct.instanceVar_PCLMCV_i)*(d_Vdsat_dX+d_EsatCVL_dX))/(Vdsat+EsatCVL)/(Vdsat+EsatCVL))):0.0)+instanceStruct.d_instanceVar_PCLMCV_i_dX*(((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?value_log_0:(-87.498233534)));
MclmCV = (1.0+(instanceStruct.instanceVar_PCLMCV_i*(((1.0+(((vds-Vdseff)/instanceStruct.instanceVar_PCLMCV_i)/(Vdsat+EsatCVL)))>1.0e-38)?value_log_0:(-87.498233534))));
}
}
else
{
d_MclmCV_dX = 0.0;
MclmCV = 1.0;
}
d_qb_dX = ((((-1.60219e-19)*instanceStruct.instanceVar_NBODY_i)*instanceStruct.instanceVar_Ach)*instanceStruct.d_instanceVar_LeffCV_dX+(((-1.60219e-19)*instanceStruct.instanceVar_NBODY_i)*instanceStruct.d_instanceVar_Ach_dX+(-1.60219e-19)*instanceStruct.d_instanceVar_NBODY_i_dX*instanceStruct.instanceVar_Ach)*instanceStruct.instanceVar_LeffCV);
qb = ((((-1.60219e-19)*instanceStruct.instanceVar_NBODY_i)*instanceStruct.instanceVar_Ach)*instanceStruct.instanceVar_LeffCV);
d_etaiv_dX = (((q0+qia)*d_q0_dX-q0*(d_q0_dX+d_qia_dX))/(q0+qia)/(q0+qia));
etaiv = (q0/(q0+qia));
d_ids0_ov_dqi_dX = (d_qia_dX+((2.0-etaiv)*d_nVtm_dX+(-d_etaiv_dX)*nVtm));
ids0_ov_dqi = (qia+((2.0-etaiv)*nVtm));
d_ids0_dX = (ids0_ov_dqi*d_dqi_dX+d_ids0_ov_dqi_dX*dqi);
ids0 = (ids0_ov_dqi*dqi);
if ( modelStruct.modelPar_RDSMOD == (0))
{
instanceStruct.d_instanceVar_Rsource_dX = instanceStruct.d_instanceVar_RSourceGeo_dX;
instanceStruct.instanceVar_Rsource = instanceStruct.instanceVar_RSourceGeo;
instanceStruct.d_instanceVar_Rdrain_dX = instanceStruct.d_instanceVar_RDrainGeo_dX;
instanceStruct.instanceVar_Rdrain = instanceStruct.instanceVar_RDrainGeo;
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qia_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qia);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qia));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
instanceStruct.d_instanceVar_Rdsi_dX = ((instanceStruct.instanceVar_rdstemp*(modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0)))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(instanceStruct.instanceVar_rdstemp*(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_RDSW_i_dX*instanceStruct.instanceVar_T0))+instanceStruct.d_instanceVar_rdstemp_dX*(modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0)))*instanceStruct.instanceVar_WeffWRFactor);
instanceStruct.instanceVar_Rdsi = ((instanceStruct.instanceVar_rdstemp*(modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0)))*instanceStruct.instanceVar_WeffWRFactor);
instanceStruct.d_instanceVar_Dr_dX = ((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*instanceStruct.d_instanceVar_Rdsi_dX+(((Dmob*Dvsat)*((instanceStruct.instanceVar_NFINtotal*beta)*d_ids0_ov_dqi_dX+(instanceStruct.instanceVar_NFINtotal*d_beta_dX+instanceStruct.d_instanceVar_NFINtotal_dX*beta)*ids0_ov_dqi)-((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dX+d_Dmob_dX*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*instanceStruct.instanceVar_Rdsi);
instanceStruct.instanceVar_Dr = (1.0+((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*instanceStruct.instanceVar_Rdsi));
}
else
if ( modelStruct.modelPar_RDSMOD == (1))
{
instanceStruct.d_instanceVar_Rdsi_dX = 0.0;
instanceStruct.instanceVar_Rdsi = 0.0;
instanceStruct.d_instanceVar_Dr_dX = 0.0;
instanceStruct.instanceVar_Dr = 1.0;
instanceStruct.d_instanceVar_T2_dX = (-instanceStruct.d_instanceVar_vfbsd_dX);
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_gi_si1]))-instanceStruct.instanceVar_vfbsd);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_T2)+0.1));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T3_dX = deriv_sqrt_0_d0*((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = value_sqrt_0;
}
d_vgs_eff_dX = 0.5*(instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T3_dX);
vgs_eff = (0.5*(instanceStruct.instanceVar_T2+instanceStruct.instanceVar_T3));
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_vgs_eff_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*vgs_eff);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*vgs_eff));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
{
double value_pow_0 = pow((((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6),(0.5*modelStruct.modelPar_PRSDR));
double  deriv_pow_0_d0 = (((((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6) == 0.0)?0.0:(value_pow_0*(0.5*modelStruct.modelPar_PRSDR)/(((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6)));
double  deriv_pow_0_d1 = ((((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6) == 0.0)?0.0:(log((((probeVars[admsProbeID_V_s_si1])*(probeVars[admsProbeID_V_s_si1]))+1.0e-6))*value_pow_0);
d_T5_dX = (instanceStruct.instanceVar_RSW_i*(RSDR_a*(deriv_pow_0_d1*(0.5*modelStruct.d_modelPar_PRSDR_dX))+d_RSDR_a_dX*value_pow_0)+instanceStruct.d_instanceVar_RSW_i_dX*(1.0+(RSDR_a*value_pow_0)));
T5 = (instanceStruct.instanceVar_RSW_i*(1.0+(RSDR_a*value_pow_0)));
}
instanceStruct.d_instanceVar_Rsource_dX = (instanceStruct.instanceVar_rdstemp*(instanceStruct.d_instanceVar_RSourceGeo_dX+((modelStruct.modelPar_RSWMIN+(T5*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RSWMIN_dX+(T5*instanceStruct.d_instanceVar_T0_dX+d_T5_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor))+instanceStruct.d_instanceVar_rdstemp_dX*(instanceStruct.instanceVar_RSourceGeo+((modelStruct.modelPar_RSWMIN+(T5*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)));
instanceStruct.instanceVar_Rsource = (instanceStruct.instanceVar_rdstemp*(instanceStruct.instanceVar_RSourceGeo+((modelStruct.modelPar_RSWMIN+(T5*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)));
instanceStruct.d_instanceVar_T2_dX = (-instanceStruct.d_instanceVar_vfbsd_dX);
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_gi_di1]))-instanceStruct.instanceVar_vfbsd);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T2*instanceStruct.instanceVar_T2)+0.1));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T3_dX = deriv_sqrt_0_d0*((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T2_dX*instanceStruct.instanceVar_T2));
instanceStruct.instanceVar_T3 = value_sqrt_0;
}
d_vgd_eff_dX = 0.5*(instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T3_dX);
vgd_eff = (0.5*(instanceStruct.instanceVar_T2+instanceStruct.instanceVar_T3));
d_T4_dX = (instanceStruct.instanceVar_PRWGD_i*d_vgd_eff_dX+instanceStruct.d_instanceVar_PRWGD_i_dX*vgd_eff);
T4 = (1.0+(instanceStruct.instanceVar_PRWGD_i*vgd_eff));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
{
double value_pow_0 = pow((((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6),(0.5*modelStruct.modelPar_PRDDR));
double  deriv_pow_0_d0 = (((((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6) == 0.0)?0.0:(value_pow_0*(0.5*modelStruct.modelPar_PRDDR)/(((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6)));
double  deriv_pow_0_d1 = ((((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6) == 0.0)?0.0:(log((((probeVars[admsProbeID_V_d_di1])*(probeVars[admsProbeID_V_d_di1]))+1.0e-6))*value_pow_0);
d_T5_dX = (instanceStruct.instanceVar_RDW_i*(RDDR_a*(deriv_pow_0_d1*(0.5*modelStruct.d_modelPar_PRDDR_dX))+d_RDDR_a_dX*value_pow_0)+instanceStruct.d_instanceVar_RDW_i_dX*(1.0+(RDDR_a*value_pow_0)));
T5 = (instanceStruct.instanceVar_RDW_i*(1.0+(RDDR_a*value_pow_0)));
}
instanceStruct.d_instanceVar_Rdrain_dX = (instanceStruct.instanceVar_rdstemp*(instanceStruct.d_instanceVar_RDrainGeo_dX+((modelStruct.modelPar_RDWMIN+(T5*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDWMIN_dX+(T5*instanceStruct.d_instanceVar_T0_dX+d_T5_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor))+instanceStruct.d_instanceVar_rdstemp_dX*(instanceStruct.instanceVar_RDrainGeo+((modelStruct.modelPar_RDWMIN+(T5*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)));
instanceStruct.instanceVar_Rdrain = (instanceStruct.instanceVar_rdstemp*(instanceStruct.instanceVar_RDrainGeo+((modelStruct.modelPar_RDWMIN+(T5*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)));
}
else
if ( modelStruct.modelPar_RDSMOD == (2))
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qia_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qia);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qia));
instanceStruct.d_instanceVar_T1_dX = (-d_T4_dX/T4/T4);
instanceStruct.instanceVar_T1 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = 0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1)));
instanceStruct.instanceVar_T0 = (0.5*(instanceStruct.instanceVar_T1+value_sqrt_0));
}
instanceStruct.d_instanceVar_Rdsi_dX = (instanceStruct.instanceVar_rdstemp*((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_RDSW_i_dX*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)+instanceStruct.d_instanceVar_RSourceGeo_dX)+instanceStruct.d_instanceVar_RDrainGeo_dX)+instanceStruct.d_instanceVar_rdstemp_dX*((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)+instanceStruct.instanceVar_RSourceGeo)+instanceStruct.instanceVar_RDrainGeo));
instanceStruct.instanceVar_Rdsi = (instanceStruct.instanceVar_rdstemp*((((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*instanceStruct.instanceVar_T0))*instanceStruct.instanceVar_WeffWRFactor)+instanceStruct.instanceVar_RSourceGeo)+instanceStruct.instanceVar_RDrainGeo));
instanceStruct.d_instanceVar_Dr_dX = ((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*instanceStruct.d_instanceVar_Rdsi_dX+(((Dmob*Dvsat)*((instanceStruct.instanceVar_NFINtotal*beta)*d_ids0_ov_dqi_dX+(instanceStruct.instanceVar_NFINtotal*d_beta_dX+instanceStruct.d_instanceVar_NFINtotal_dX*beta)*ids0_ov_dqi)-((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi)*(Dmob*d_Dvsat_dX+d_Dmob_dX*Dvsat))/(Dmob*Dvsat)/(Dmob*Dvsat))*instanceStruct.instanceVar_Rdsi);
instanceStruct.instanceVar_Dr = (1.0+((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi)/(Dmob*Dvsat))*instanceStruct.instanceVar_Rdsi));
instanceStruct.d_instanceVar_Rsource_dX = 0.0;
instanceStruct.instanceVar_Rsource = 0.0;
instanceStruct.d_instanceVar_Rdrain_dX = 0.0;
instanceStruct.instanceVar_Rdrain = 0.0;
}
else
{
 // no default
}
d_ids_dX = ((((Dmob*Dvsat)*instanceStruct.instanceVar_Dr)*(((((instanceStruct.instanceVar_NFINtotal*beta)*ids0)*Moc)*Mnud)*d_Mob_dX+((((instanceStruct.instanceVar_NFINtotal*beta)*ids0)*Moc)*d_Mnud_dX+(((instanceStruct.instanceVar_NFINtotal*beta)*ids0)*d_Moc_dX+((instanceStruct.instanceVar_NFINtotal*beta)*d_ids0_dX+(instanceStruct.instanceVar_NFINtotal*d_beta_dX+instanceStruct.d_instanceVar_NFINtotal_dX*beta)*ids0)*Moc)*Mnud)*Mob)-(((((instanceStruct.instanceVar_NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)*((Dmob*Dvsat)*instanceStruct.d_instanceVar_Dr_dX+(Dmob*d_Dvsat_dX+d_Dmob_dX*Dvsat)*instanceStruct.instanceVar_Dr))/((Dmob*Dvsat)*instanceStruct.instanceVar_Dr)/((Dmob*Dvsat)*instanceStruct.instanceVar_Dr));
ids = ((((((instanceStruct.instanceVar_NFINtotal*beta)*ids0)*Moc)*Mnud)*Mob)/((Dmob*Dvsat)*instanceStruct.instanceVar_Dr));
d_ids_dX = (ids*instanceStruct.d_instancePar_IDS0MULT_dX+d_ids_dX*instanceStruct.instancePar_IDS0MULT);
ids = (ids*instanceStruct.instancePar_IDS0MULT);
if ((modelStruct.modelPar_CVMOD==1))
{
d_T11_dX = ((DvsatCV*(2.0*d_qia_cv_dX+d_nVtm_dX)-((2.0*qia_cv)+nVtm)*d_DvsatCV_dX)/DvsatCV/DvsatCV);
T11 = (((2.0*qia_cv)+nVtm)/DvsatCV);
d_qg_dX = (d_qia_cv_dX+(((6.0*T11)*(dqi_cv*d_dqi_cv_dX+d_dqi_cv_dX*dqi_cv)-(dqi_cv*dqi_cv)*6.0*d_T11_dX)/(6.0*T11)/(6.0*T11)));
qg = (qia_cv+((dqi_cv*dqi_cv)/(6.0*T11)));
d_qd_dX = (-0.5)*(d_qia_cv_dX-((dqi_cv/6.0)*(-((dqi_cv/T11)*(((5.0*T11)*d_dqi_cv_dX-dqi_cv*5.0*d_T11_dX)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_cv_dX-dqi_cv*d_T11_dX)/T11/T11)*(1.0+(dqi_cv/(5.0*T11)))))+(d_dqi_cv_dX/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11)))))));
qd = ((-0.5)*(qia_cv-((dqi_cv/6.0)*(1.0-((dqi_cv/T11)*(1.0+(dqi_cv/(5.0*T11))))))));
}
else
{
d_T11_dX = ((DvsatCV*(2.0*d_qia_dX+d_nVtm_dX)-((2.0*qia)+nVtm)*d_DvsatCV_dX)/DvsatCV/DvsatCV);
T11 = (((2.0*qia)+nVtm)/DvsatCV);
d_qg_dX = (d_qia_dX+(((6.0*T11)*(dqi*d_dqi_dX+d_dqi_dX*dqi)-(dqi*dqi)*6.0*d_T11_dX)/(6.0*T11)/(6.0*T11)));
qg = (qia+((dqi*dqi)/(6.0*T11)));
d_qd_dX = (-0.5)*(d_qia_dX-((dqi/6.0)*(-((dqi/T11)*(((5.0*T11)*d_dqi_dX-dqi*5.0*d_T11_dX)/(5.0*T11)/(5.0*T11))+((T11*d_dqi_dX-dqi*d_T11_dX)/T11/T11)*(1.0+(dqi/(5.0*T11)))))+(d_dqi_dX/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11)))))));
qd = ((-0.5)*(qia-((dqi/6.0)*(1.0-((dqi/T11)*(1.0+(dqi/(5.0*T11))))))));
}
d_inv_MclmCV_dX = (-d_MclmCV_dX/MclmCV/MclmCV);
inv_MclmCV = (1.0/MclmCV);
d_qg_dX = ((inv_MclmCV*d_qg_dX+d_inv_MclmCV_dX*qg)+((MclmCV-1.0)*d_qid_dX+d_MclmCV_dX*qid));
qg = ((inv_MclmCV*qg)+((MclmCV-1.0)*qid));
d_qd_dX = (((inv_MclmCV*inv_MclmCV)*d_qd_dX+(inv_MclmCV*d_inv_MclmCV_dX+d_inv_MclmCV_dX*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*d_qid_dX+0.5*(d_MclmCV_dX-d_inv_MclmCV_dX)*qid));
qd = (((inv_MclmCV*inv_MclmCV)*qd)+((0.5*(MclmCV-inv_MclmCV))*qid));
if ((modelStruct.modelPar_NQSMOD==2))
{
d_xdpart_dX = ((qg*d_qd_dX-qd*d_qg_dX)/qg/qg);
xdpart = (qd/qg);
}
else
{
d_xdpart_dX = 0.0;
xdpart = 0.0;
}
d_qs_dX = ((-d_qg_dX)-d_qd_dX);
qs = ((-qg)-qd);
d_T6_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*d_coxeff_dX+((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.d_instanceVar_LeffCV_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*coxeff);
T6 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*coxeff);
d_qg_dX = (T6*d_qg_dX+d_T6_dX*qg);
qg = (T6*qg);
d_qd_dX = (T6*d_qd_dX+d_T6_dX*qd);
qd = (T6*qd);
d_qs_dX = (T6*d_qs_dX+d_T6_dX*qs);
qs = (T6*qs);
d_qinv_dX = d_qg_dX;
qinv = qg;
if ((modelStruct.modelPar_BULKMOD!=0))
{
if ((modelStruct.modelPar_GEOMOD==5))
{
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV_acc)*instanceStruct.instanceVar_LeffCV_acc)*instanceStruct.d_instanceVar_cox_acc_dX+((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV_acc)*instanceStruct.d_instanceVar_LeffCV_acc_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV_acc_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV_acc)*instanceStruct.instanceVar_LeffCV_acc)*instanceStruct.instanceVar_cox_acc);
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV_acc)*instanceStruct.instanceVar_LeffCV_acc)*instanceStruct.instanceVar_cox_acc);
}
else
{
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV_acc)*instanceStruct.d_instanceVar_cox_acc_dX+((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.d_instanceVar_LeffCV_acc_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV_acc)*instanceStruct.instanceVar_cox_acc);
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV_acc)*instanceStruct.instanceVar_cox_acc);
}
d_T7_dX = instanceStruct.d_instanceVar_qi_acc_for_QM_dX;
T7 = instanceStruct.instanceVar_qi_acc_for_QM;
d_T10_dX = (T7*instanceStruct.d_instanceVar_T1_dX+d_T7_dX*instanceStruct.instanceVar_T1);
T10 = (T7*instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_qg_acc_dX = (-d_T10_dX);
instanceStruct.instanceVar_qg_acc = (-T10);
instanceStruct.d_instanceVar_qb_acc_dX = d_T10_dX;
instanceStruct.instanceVar_qb_acc = T10;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*instanceStruct.d_instanceVar_cox_dX+((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.d_instanceVar_LeffCV_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*instanceStruct.instanceVar_cox);
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*instanceStruct.instanceVar_cox);
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.d_instanceVar_qba_dX-instanceStruct.d_instanceVar_qi_acc_for_QM_dX);
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_qba-instanceStruct.instanceVar_qi_acc_for_QM);
d_T10_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T2);
T10 = (instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T2);
instanceStruct.d_instanceVar_qg_acc_dX = (instanceStruct.d_instanceVar_qg_acc_dX-d_T10_dX);
instanceStruct.instanceVar_qg_acc = (instanceStruct.instanceVar_qg_acc-T10);
instanceStruct.d_instanceVar_qb_acc_dX = (instanceStruct.d_instanceVar_qb_acc_dX+d_T10_dX);
instanceStruct.instanceVar_qb_acc = (instanceStruct.instanceVar_qb_acc+T10);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*instanceStruct.d_instanceVar_cox_dX+((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.d_instanceVar_LeffCV_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*instanceStruct.instanceVar_cox);
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*instanceStruct.instanceVar_cox);
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_nq-1.0)*0.5)*(d_qia_dX+(((6.0*T11)*(dqi*d_dqi_dX+d_dqi_dX*dqi)-(dqi*dqi)*6.0*d_T11_dX)/(6.0*T11)/(6.0*T11)))+instanceStruct.d_instanceVar_nq_dX*0.5*(qia+((dqi*dqi)/(6.0*T11))));
instanceStruct.instanceVar_T2 = (((instanceStruct.instanceVar_nq-1.0)*0.5)*(qia+((dqi*dqi)/(6.0*T11))));
d_T10_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T2);
T10 = (instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T2);
instanceStruct.d_instanceVar_qg_acc_dX = (instanceStruct.d_instanceVar_qg_acc_dX-d_T10_dX);
instanceStruct.instanceVar_qg_acc = (instanceStruct.instanceVar_qg_acc-T10);
instanceStruct.d_instanceVar_qb_acc_dX = (instanceStruct.d_instanceVar_qb_acc_dX+d_T10_dX);
instanceStruct.instanceVar_qb_acc = (instanceStruct.instanceVar_qb_acc+T10);
}
if ((sigvds<0.0))
{
instanceStruct.d_instanceVar_T1_dX = d_qd_dX;
instanceStruct.instanceVar_T1 = qd;
d_qd_dX = d_qs_dX;
qd = qs;
d_qs_dX = instanceStruct.d_instanceVar_T1_dX;
qs = instanceStruct.instanceVar_T1;
}
if ((modelStruct.modelPar_CGEOMOD!=1))
{
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_devsign;
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_devsign);
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_ge_si]));
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_vfbsdcv_dX);
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)+0.02);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+(4.0*0.02)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgs_overlap_dX = 0.5*(instanceStruct.d_instanceVar_T0_dX-deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)));
vgs_overlap = (0.5*(instanceStruct.instanceVar_T0-value_sqrt_0));
}
{
double value_sqrt_0 = sqrt((1.0-((4.0*vgs_overlap)/instanceStruct.instanceVar_CKAPPAS_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_qgs_ov_dX = (instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_CGSL_i*(((instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_vfbsdcv_dX)-d_vgs_overlap_dX)-((0.5*instanceStruct.instanceVar_CKAPPAS_i)*deriv_sqrt_0_d0*((-((instanceStruct.instanceVar_CKAPPAS_i*4.0*d_vgs_overlap_dX-(4.0*vgs_overlap)*instanceStruct.d_instanceVar_CKAPPAS_i_dX)/instanceStruct.instanceVar_CKAPPAS_i/instanceStruct.instanceVar_CKAPPAS_i)))+0.5*instanceStruct.d_instanceVar_CKAPPAS_i_dX*(value_sqrt_0-1.0)))+instanceStruct.d_instanceVar_CGSL_i_dX*(((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)-vgs_overlap)-((0.5*instanceStruct.instanceVar_CKAPPAS_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_CGSO_i*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_CGSO_i_dX*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T1_dX*((instanceStruct.instanceVar_CGSL_i*(((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)-vgs_overlap)-((0.5*instanceStruct.instanceVar_CKAPPAS_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_CGSO_i*instanceStruct.instanceVar_T2)));
instanceStruct.instanceVar_qgs_ov = (instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_CGSL_i*(((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)-vgs_overlap)-((0.5*instanceStruct.instanceVar_CKAPPAS_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_CGSO_i*instanceStruct.instanceVar_T2)));
}
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_ge_di]));
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_vfbsdcv_dX);
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)+0.02);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+(4.0*0.02)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgd_overlap_dX = 0.5*(instanceStruct.d_instanceVar_T0_dX-deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)));
vgd_overlap = (0.5*(instanceStruct.instanceVar_T0-value_sqrt_0));
}
{
double value_sqrt_0 = sqrt((1.0-((4.0*vgd_overlap)/instanceStruct.instanceVar_CKAPPAD_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_qgd_ov_dX = (instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_CGDL_i*(((instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_vfbsdcv_dX)-d_vgd_overlap_dX)-((0.5*instanceStruct.instanceVar_CKAPPAD_i)*deriv_sqrt_0_d0*((-((instanceStruct.instanceVar_CKAPPAD_i*4.0*d_vgd_overlap_dX-(4.0*vgd_overlap)*instanceStruct.d_instanceVar_CKAPPAD_i_dX)/instanceStruct.instanceVar_CKAPPAD_i/instanceStruct.instanceVar_CKAPPAD_i)))+0.5*instanceStruct.d_instanceVar_CKAPPAD_i_dX*(value_sqrt_0-1.0)))+instanceStruct.d_instanceVar_CGDL_i_dX*(((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)-vgd_overlap)-((0.5*instanceStruct.instanceVar_CKAPPAD_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_CGDO_i*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_CGDO_i_dX*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T1_dX*((instanceStruct.instanceVar_CGDL_i*(((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)-vgd_overlap)-((0.5*instanceStruct.instanceVar_CKAPPAD_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_CGDO_i*instanceStruct.instanceVar_T2)));
instanceStruct.instanceVar_qgd_ov = (instanceStruct.instanceVar_T1*((instanceStruct.instanceVar_CGDL_i*(((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_vfbsdcv)-vgd_overlap)-((0.5*instanceStruct.instanceVar_CKAPPAD_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_CGDO_i*instanceStruct.instanceVar_T2)));
}
}
if ((modelStruct.modelPar_CGEOMOD==0))
{
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0);
d_qgs_fr_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_CFS_i_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_CFS_i)*(probeVars[admsProbeID_V_ge_si]);
qgs_fr = ((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_CFS_i)*(probeVars[admsProbeID_V_ge_si]));
d_qgd_fr_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_CFD_i_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_CFD_i)*(probeVars[admsProbeID_V_ge_di]);
qgd_fr = ((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_CFD_i)*(probeVars[admsProbeID_V_ge_di]));
d_qgs_parasitic_dX = (instanceStruct.d_instanceVar_qgs_ov_dX+d_qgs_fr_dX);
qgs_parasitic = (instanceStruct.instanceVar_qgs_ov+qgs_fr);
d_qgd_parasitic_dX = (instanceStruct.d_instanceVar_qgd_ov_dX+d_qgd_fr_dX);
qgd_parasitic = (instanceStruct.instanceVar_qgd_ov+qgd_fr);
}
else
{
if ((modelStruct.modelPar_CGEOMOD==1))
{
if ((modelStruct.modelPar_CGEO1SW==1))
{
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_WeffCV0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_WeffCV0);
instanceStruct.instanceVar_T0 = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_WeffCV0);
instanceStruct.d_instanceVar_COVS_i_dX = (instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_COVS_i_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_COVS_i);
instanceStruct.instanceVar_COVS_i = (instanceStruct.instanceVar_T0*instanceStruct.instanceVar_COVS_i);
instanceStruct.d_instanceVar_COVD_i_dX = (instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_COVD_i_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_COVD_i);
instanceStruct.instanceVar_COVD_i = (instanceStruct.instanceVar_T0*instanceStruct.instanceVar_COVD_i);
d_cgsp_dX = (instanceStruct.instanceVar_T0*instanceStruct.d_instancePar_CGSP_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instancePar_CGSP);
cgsp = (instanceStruct.instanceVar_T0*instanceStruct.instancePar_CGSP);
d_cgdp_dX = (instanceStruct.instanceVar_T0*instanceStruct.d_instancePar_CGDP_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instancePar_CGDP);
cgdp = (instanceStruct.instanceVar_T0*instanceStruct.instancePar_CGDP);
}
else
{
d_cgsp_dX = instanceStruct.d_instancePar_CGSP_dX;
cgsp = instanceStruct.instancePar_CGSP;
d_cgdp_dX = instanceStruct.d_instancePar_CGDP_dX;
cgdp = instanceStruct.instancePar_CGDP;
}
instanceStruct.d_instanceVar_qgs_ov_dX = instanceStruct.d_instanceVar_COVS_i_dX*(probeVars[admsProbeID_V_ge_si]);
instanceStruct.instanceVar_qgs_ov = (instanceStruct.instanceVar_COVS_i*(probeVars[admsProbeID_V_ge_si]));
instanceStruct.d_instanceVar_qgd_ov_dX = instanceStruct.d_instanceVar_COVD_i_dX*(probeVars[admsProbeID_V_ge_di]);
instanceStruct.instanceVar_qgd_ov = (instanceStruct.instanceVar_COVD_i*(probeVars[admsProbeID_V_ge_di]));
d_qgs_parasitic_dX = instanceStruct.d_instanceVar_qgs_ov_dX;
qgs_parasitic = instanceStruct.instanceVar_qgs_ov;
d_qgd_parasitic_dX = instanceStruct.d_instanceVar_qgd_ov_dX;
qgd_parasitic = instanceStruct.instanceVar_qgd_ov;
d_qgs_fr_dX = d_cgsp_dX*(probeVars[admsProbeID_V_ge_s]);
qgs_fr = (cgsp*(probeVars[admsProbeID_V_ge_s]));
d_qgd_fr_dX = d_cgdp_dX*(probeVars[admsProbeID_V_ge_d]);
qgd_fr = (cgdp*(probeVars[admsProbeID_V_ge_d]));
}
else
{
d_qgs_fr_dX = instanceStruct.d_instanceVar_Cfr_geo_dX*(probeVars[admsProbeID_V_ge_si]);
qgs_fr = (instanceStruct.instanceVar_Cfr_geo*(probeVars[admsProbeID_V_ge_si]));
d_qgd_fr_dX = instanceStruct.d_instanceVar_Cfr_geo_dX*(probeVars[admsProbeID_V_ge_di]);
qgd_fr = (instanceStruct.instanceVar_Cfr_geo*(probeVars[admsProbeID_V_ge_di]));
d_qgs_parasitic_dX = (instanceStruct.d_instanceVar_qgs_ov_dX+d_qgs_fr_dX);
qgs_parasitic = (instanceStruct.instanceVar_qgs_ov+qgs_fr);
d_qgd_parasitic_dX = (instanceStruct.d_instanceVar_qgd_ov_dX+d_qgd_fr_dX);
qgd_parasitic = (instanceStruct.instanceVar_qgd_ov+qgd_fr);
}
}
d_qds_fr_dX = instanceStruct.d_instancePar_CDSP_dX*(probeVars[admsProbeID_V_d_s]);
qds_fr = (instanceStruct.instancePar_CDSP*(probeVars[admsProbeID_V_d_s]));
if ((modelStruct.modelPar_IIMOD==1))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_Leff*(instanceStruct.d_instanceVar_ALPHA0_t_dX+(instanceStruct.instanceVar_ALPHA1_t*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_ALPHA1_t_dX*instanceStruct.instanceVar_Leff))-(instanceStruct.instanceVar_ALPHA0_t+(instanceStruct.instanceVar_ALPHA1_t*instanceStruct.instanceVar_Leff))*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff);
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_ALPHA0_t+(instanceStruct.instanceVar_ALPHA1_t*instanceStruct.instanceVar_Leff))/instanceStruct.instanceVar_Leff);
if (((instanceStruct.instanceVar_T0<=0.0)||(instanceStruct.instanceVar_BETA0_t<=0.0)))
{
instanceStruct.d_instanceVar_Iii_dX = 0.0;
instanceStruct.instanceVar_Iii = 0.0;
}
else
{
instanceStruct.d_instanceVar_T1_dX = (((diffVds+1.0e-30)*(-instanceStruct.d_instanceVar_BETA0_t_dX)-(-instanceStruct.instanceVar_BETA0_t)*d_diffVds_dX)/(diffVds+1.0e-30)/(diffVds+1.0e-30));
instanceStruct.instanceVar_T1 = ((-instanceStruct.instanceVar_BETA0_t)/(diffVds+1.0e-30));
{
double value_exp_0 = exp(instanceStruct.instanceVar_T1);
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_Iii_dX = (((instanceStruct.instanceVar_T0*diffVds)*ids)*((instanceStruct.instanceVar_T1>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T1_dX:((instanceStruct.instanceVar_T1<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T1_dX)))+((instanceStruct.instanceVar_T0*diffVds)*d_ids_dX+(instanceStruct.instanceVar_T0*d_diffVds_dX+instanceStruct.d_instanceVar_T0_dX*diffVds)*ids)*((instanceStruct.instanceVar_T1>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T1)-80.0)):((instanceStruct.instanceVar_T1<(-80.0))?1.804851387e-35:value_exp_0)));
instanceStruct.instanceVar_Iii = (((instanceStruct.instanceVar_T0*diffVds)*ids)*((instanceStruct.instanceVar_T1>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T1)-80.0)):((instanceStruct.instanceVar_T1<(-80.0))?1.804851387e-35:value_exp_0)));
}
}
}
else
{
if ((modelStruct.modelPar_IIMOD==2))
{
d_ALPHAII_dX = ((instanceStruct.instanceVar_Leff*(instanceStruct.d_instanceVar_ALPHAII0_t_dX+(instanceStruct.instanceVar_ALPHAII1_t*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_ALPHAII1_t_dX*instanceStruct.instanceVar_Leff))-(instanceStruct.instanceVar_ALPHAII0_t+(instanceStruct.instanceVar_ALPHAII1_t*instanceStruct.instanceVar_Leff))*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff);
ALPHAII = ((instanceStruct.instanceVar_ALPHAII0_t+(instanceStruct.instanceVar_ALPHAII1_t*instanceStruct.instanceVar_Leff))/instanceStruct.instanceVar_Leff);
if ((ALPHAII<=0.0))
{
instanceStruct.d_instanceVar_Iii_dX = 0.0;
instanceStruct.instanceVar_Iii = 0.0;
}
else
{
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.instanceVar_ESATII_i*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_ESATII_i_dX*instanceStruct.instanceVar_Leff);
instanceStruct.instanceVar_T0 = (instanceStruct.instanceVar_ESATII_i*instanceStruct.instanceVar_Leff);
instanceStruct.d_instanceVar_T1_dX = (((1.0+instanceStruct.instanceVar_T0)*(instanceStruct.instanceVar_SII0_t*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_SII0_t_dX*instanceStruct.instanceVar_T0)-(instanceStruct.instanceVar_SII0_t*instanceStruct.instanceVar_T0)*instanceStruct.d_instanceVar_T0_dX)/(1.0+instanceStruct.instanceVar_T0)/(1.0+instanceStruct.instanceVar_T0));
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_SII0_t*instanceStruct.instanceVar_T0)/(1.0+instanceStruct.instanceVar_T0));
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_SII1_i*vgsfbeff)*(instanceStruct.instanceVar_SII1_i*vgsfbeff))+((4.0*modelStruct.modelPar_IIMOD2CLAMP1)*modelStruct.modelPar_IIMOD2CLAMP1)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = (-((((instanceStruct.instanceVar_SII1_i*vgsfbeff)==0.0)&&(modelStruct.modelPar_IIMOD2CLAMP1==0.0))?0.0:0.5*((instanceStruct.instanceVar_SII1_i*d_vgsfbeff_dX+instanceStruct.d_instanceVar_SII1_i_dX*vgsfbeff)+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_SII1_i*vgsfbeff)*(instanceStruct.instanceVar_SII1_i*d_vgsfbeff_dX+instanceStruct.d_instanceVar_SII1_i_dX*vgsfbeff)+(instanceStruct.instanceVar_SII1_i*d_vgsfbeff_dX+instanceStruct.d_instanceVar_SII1_i_dX*vgsfbeff)*(instanceStruct.instanceVar_SII1_i*vgsfbeff))+((4.0*modelStruct.modelPar_IIMOD2CLAMP1)*modelStruct.d_modelPar_IIMOD2CLAMP1_dX+4.0*modelStruct.d_modelPar_IIMOD2CLAMP1_dX*modelStruct.modelPar_IIMOD2CLAMP1)))))/(1.0+((((instanceStruct.instanceVar_SII1_i*vgsfbeff)==0.0)&&(modelStruct.modelPar_IIMOD2CLAMP1==0.0))?0.0:(0.5*((instanceStruct.instanceVar_SII1_i*vgsfbeff)+value_sqrt_0))))/(1.0+((((instanceStruct.instanceVar_SII1_i*vgsfbeff)==0.0)&&(modelStruct.modelPar_IIMOD2CLAMP1==0.0))?0.0:(0.5*((instanceStruct.instanceVar_SII1_i*vgsfbeff)+value_sqrt_0)))));
instanceStruct.instanceVar_T0 = (1.0/(1.0+((((instanceStruct.instanceVar_SII1_i*vgsfbeff)==0.0)&&(modelStruct.modelPar_IIMOD2CLAMP1==0.0))?0.0:(0.5*((instanceStruct.instanceVar_SII1_i*vgsfbeff)+value_sqrt_0)))));
}
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_SII2_i_dX);
instanceStruct.instanceVar_T3 = (instanceStruct.instanceVar_T0+instanceStruct.instanceVar_SII2_i);
{
double value_sqrt_0 = sqrt((((vgsfbeff*instanceStruct.instanceVar_T3)*(vgsfbeff*instanceStruct.instanceVar_T3))+((4.0*modelStruct.modelPar_IIMOD2CLAMP2)*modelStruct.modelPar_IIMOD2CLAMP2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = ((((vgsfbeff*instanceStruct.instanceVar_T3)==0.0)&&(modelStruct.modelPar_IIMOD2CLAMP2==0.0))?0.0:0.5*((vgsfbeff*instanceStruct.d_instanceVar_T3_dX+d_vgsfbeff_dX*instanceStruct.instanceVar_T3)+deriv_sqrt_0_d0*((((vgsfbeff*instanceStruct.instanceVar_T3)*(vgsfbeff*instanceStruct.d_instanceVar_T3_dX+d_vgsfbeff_dX*instanceStruct.instanceVar_T3)+(vgsfbeff*instanceStruct.d_instanceVar_T3_dX+d_vgsfbeff_dX*instanceStruct.instanceVar_T3)*(vgsfbeff*instanceStruct.instanceVar_T3))+((4.0*modelStruct.modelPar_IIMOD2CLAMP2)*modelStruct.d_modelPar_IIMOD2CLAMP2_dX+4.0*modelStruct.d_modelPar_IIMOD2CLAMP2_dX*modelStruct.modelPar_IIMOD2CLAMP2)))));
instanceStruct.instanceVar_T2 = ((((vgsfbeff*instanceStruct.instanceVar_T3)==0.0)&&(modelStruct.modelPar_IIMOD2CLAMP2==0.0))?0.0:(0.5*((vgsfbeff*instanceStruct.instanceVar_T3)+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T3_dX = (-instanceStruct.d_instanceVar_SIID_i_dX*vds/(1.0+(instanceStruct.instanceVar_SIID_i*vds))/(1.0+(instanceStruct.instanceVar_SIID_i*vds)));
instanceStruct.instanceVar_T3 = (1.0/(1.0+(instanceStruct.instanceVar_SIID_i*vds)));
d_VgsStep_dX = ((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T2)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T2)*instanceStruct.instanceVar_T3);
VgsStep = ((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T2)*instanceStruct.instanceVar_T3);
d_Vdsatii_dX = (VgsStep*(-((instanceStruct.instanceVar_Leff*instanceStruct.d_instanceVar_LII_i_dX-instanceStruct.instanceVar_LII_i*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff))+d_VgsStep_dX*(1.0-(instanceStruct.instanceVar_LII_i/instanceStruct.instanceVar_Leff)));
Vdsatii = (VgsStep*(1.0-(instanceStruct.instanceVar_LII_i/instanceStruct.instanceVar_Leff)));
d_Vdiff_dX = (-d_Vdsatii_dX);
Vdiff = (vds-Vdsatii);
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.d_instanceVar_BETAII2_i_dX+(instanceStruct.instanceVar_BETAII1_i*d_Vdiff_dX+instanceStruct.d_instanceVar_BETAII1_i_dX*Vdiff))+((instanceStruct.instanceVar_BETAII0_i*Vdiff)*d_Vdiff_dX+(instanceStruct.instanceVar_BETAII0_i*d_Vdiff_dX+instanceStruct.d_instanceVar_BETAII0_i_dX*Vdiff)*Vdiff));
instanceStruct.instanceVar_T0 = ((instanceStruct.instanceVar_BETAII2_i+(instanceStruct.instanceVar_BETAII1_i*Vdiff))+((instanceStruct.instanceVar_BETAII0_i*Vdiff)*Vdiff));
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+1.0e-10));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0));
instanceStruct.instanceVar_T1 = value_sqrt_0;
}
{
double value_exp_0 = exp((Vdiff/instanceStruct.instanceVar_T1));
double value_exp_1 = exp((Vdiff/instanceStruct.instanceVar_T1));
double value_exp_2 = exp((Vdiff/instanceStruct.instanceVar_T1));
double value_exp_3 = exp((Vdiff/instanceStruct.instanceVar_T1));
double value_sqrt_4 = sqrt(((((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-modelStruct.modelPar_IIMOD2CLAMP3)*((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-modelStruct.modelPar_IIMOD2CLAMP3))-((4.0*(-10.0))*modelStruct.modelPar_IIMOD2CLAMP3)));
double  deriv_exp_0_d0 = value_exp_0;
double  deriv_exp_1_d0 = value_exp_1;
double  deriv_exp_2_d0 = value_exp_2;
double  deriv_exp_3_d0 = value_exp_3;
double  deriv_sqrt_4_d0 = (0.5/value_sqrt_4);
d_Ratio_dX = (-((((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&(modelStruct.modelPar_IIMOD2CLAMP3==0.0))?0.0:0.5*((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*((instanceStruct.instanceVar_T1*d_Vdiff_dX-Vdiff*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_1_d0*(((instanceStruct.instanceVar_T1*d_Vdiff_dX-Vdiff*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1))))+(-d_ALPHAII_dX)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_1)))-modelStruct.d_modelPar_IIMOD2CLAMP3_dX)+deriv_sqrt_4_d0*(((((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_2)))-(-10.0))-modelStruct.modelPar_IIMOD2CLAMP3)*(((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*((instanceStruct.instanceVar_T1*d_Vdiff_dX-Vdiff*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_3_d0*(((instanceStruct.instanceVar_T1*d_Vdiff_dX-Vdiff*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1))))+(-d_ALPHAII_dX)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_3)))-modelStruct.d_modelPar_IIMOD2CLAMP3_dX)+(((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*((instanceStruct.instanceVar_T1*d_Vdiff_dX-Vdiff*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_2_d0*(((instanceStruct.instanceVar_T1*d_Vdiff_dX-Vdiff*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1))))+(-d_ALPHAII_dX)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_2)))-modelStruct.d_modelPar_IIMOD2CLAMP3_dX)*((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_3)))-(-10.0))-modelStruct.modelPar_IIMOD2CLAMP3))-(4.0*(-10.0))*modelStruct.d_modelPar_IIMOD2CLAMP3_dX)))));
Ratio = (-((((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_0)))==0.0)&&((-10.0)==0.0))&&(modelStruct.modelPar_IIMOD2CLAMP3==0.0))?0.0:((-10.0)+(0.5*(((((-ALPHAII)*(((Vdiff/instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(Vdiff/instanceStruct.instanceVar_T1))-80.0)):(((Vdiff/instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_1)))-(-10.0))-modelStruct.modelPar_IIMOD2CLAMP3)+value_sqrt_4)))));
}
instanceStruct.d_instanceVar_Iii_dX = (Ratio*d_ids_dX+d_Ratio_dX*ids);
instanceStruct.instanceVar_Iii = (Ratio*ids);
}
}
}
if ((modelStruct.modelPar_IGBMOD!=0))
{
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_NIGBINV_i*(d_qia_dX-instanceStruct.d_instanceVar_EIGBINV_i_dX)-(qia-instanceStruct.instanceVar_EIGBINV_i)*instanceStruct.d_instanceVar_NIGBINV_i_dX)/instanceStruct.instanceVar_NIGBINV_i/instanceStruct.instanceVar_NIGBINV_i)-((qia-instanceStruct.instanceVar_EIGBINV_i)/instanceStruct.instanceVar_NIGBINV_i)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_T1 = (((qia-instanceStruct.instanceVar_EIGBINV_i)/instanceStruct.instanceVar_NIGBINV_i)/instanceStruct.instanceVar_Vtm);
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(instanceStruct.instanceVar_T1);
d_Vaux_Igbinv_dX = ((instanceStruct.instanceVar_NIGBINV_i*instanceStruct.instanceVar_Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(instanceStruct.instanceVar_T1,instanceStruct.d_instanceVar_T1_dX)+(instanceStruct.instanceVar_NIGBINV_i*instanceStruct.d_instanceVar_Vtm_dX+instanceStruct.d_instanceVar_NIGBINV_i_dX*instanceStruct.instanceVar_Vtm)*evaluator_ln_one_plus_exp_0.getValues(instanceStruct.instanceVar_T1));
Vaux_Igbinv = ((instanceStruct.instanceVar_NIGBINV_i*instanceStruct.instanceVar_Vtm)*evaluator_ln_one_plus_exp_0.getValues(instanceStruct.instanceVar_T1));
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))-(-modelStruct.modelPar_IGBINVCLAMP))-1.0e-6)*(((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))-(-modelStruct.modelPar_IGBINVCLAMP))-1.0e-6))-((4.0*(-modelStruct.modelPar_IGBINVCLAMP))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = (((((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))==0.0)&&((-modelStruct.modelPar_IGBINVCLAMP)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_IGBINVCLAMP_dX)+0.5*(((instanceStruct.d_instanceVar_AIGBINV_t_dX-(instanceStruct.instanceVar_BIGBINV_i*d_qia_dX+instanceStruct.d_instanceVar_BIGBINV_i_dX*qia))-(-modelStruct.d_modelPar_IGBINVCLAMP_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))-(-modelStruct.modelPar_IGBINVCLAMP))-1.0e-6)*((instanceStruct.d_instanceVar_AIGBINV_t_dX-(instanceStruct.instanceVar_BIGBINV_i*d_qia_dX+instanceStruct.d_instanceVar_BIGBINV_i_dX*qia))-(-modelStruct.d_modelPar_IGBINVCLAMP_dX))+((instanceStruct.d_instanceVar_AIGBINV_t_dX-(instanceStruct.instanceVar_BIGBINV_i*d_qia_dX+instanceStruct.d_instanceVar_BIGBINV_i_dX*qia))-(-modelStruct.d_modelPar_IGBINVCLAMP_dX))*(((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))-(-modelStruct.modelPar_IGBINVCLAMP))-1.0e-6))-4.0*(-modelStruct.d_modelPar_IGBINVCLAMP_dX)*1.0e-6)))));
instanceStruct.instanceVar_T2 = (((((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))==0.0)&&((-modelStruct.modelPar_IGBINVCLAMP)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_IGBINVCLAMP)+(0.5*((((instanceStruct.instanceVar_AIGBINV_t-(instanceStruct.instanceVar_BIGBINV_i*qia))-(-modelStruct.modelPar_IGBINVCLAMP))-1.0e-6)+value_sqrt_0))));
}
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.instanceVar_CIGBINV_i*d_qia_dX+instanceStruct.d_instanceVar_CIGBINV_i_dX*qia);
instanceStruct.instanceVar_T3 = (1.0+(instanceStruct.instanceVar_CIGBINV_i*qia));
d_T4_dX = ((((-9.82222e11)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_T2)*instanceStruct.d_instanceVar_T3_dX+(((-9.82222e11)*modelStruct.modelPar_TOXG)*instanceStruct.d_instanceVar_T2_dX+(-9.82222e11)*modelStruct.d_modelPar_TOXG_dX*instanceStruct.instanceVar_T2)*instanceStruct.instanceVar_T3);
T4 = ((((-9.82222e11)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_T2)*instanceStruct.instanceVar_T3);
{
double value_exp_0 = exp(T4);
double  deriv_exp_0_d0 = value_exp_0;
d_T5_dX = ((T4>80.0)?5.540622384e34*d_T4_dX:((T4<(-80.0))?0.0:deriv_exp_0_d0*(d_T4_dX)));
T5 = ((T4>80.0)?(5.540622384e34*((1.0+T4)-80.0)):((T4<(-80.0))?1.804851387e-35:value_exp_0));
}
d_T6_dX = 0.0;
T6 = 3.75956e-7;
instanceStruct.d_instanceVar_igbinv_dX = ((((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge)*Vaux_Igbinv)*d_T5_dX+(((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge)*d_Vaux_Igbinv_dX+(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.d_instanceVar_Toxratio_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*d_T6_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge*Vaux_Igbinv)*T5);
instanceStruct.instanceVar_igbinv = ((((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge)*Vaux_Igbinv)*T5);
instanceStruct.d_instanceVar_igbinv_dX = ((instanceStruct.instancePar_IGB0MULT*instanceStruct.instanceVar_igbinv)*instanceStruct.d_instanceVar_igtemp_dX+(instanceStruct.instancePar_IGB0MULT*instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instancePar_IGB0MULT_dX*instanceStruct.instanceVar_igbinv)*instanceStruct.instanceVar_igtemp);
instanceStruct.instanceVar_igbinv = ((instanceStruct.instancePar_IGB0MULT*instanceStruct.instanceVar_igbinv)*instanceStruct.instanceVar_igtemp);
d_vfbzb_dX = ((instanceStruct.d_instanceVar_deltaPhi_dX-(instanceStruct.d_instanceVar_Eg_dX/2.0))-instanceStruct.d_instanceVar_phib_dX);
vfbzb = ((instanceStruct.instanceVar_deltaPhi-(instanceStruct.instanceVar_Eg/2.0))-instanceStruct.instanceVar_phib);
instanceStruct.d_instanceVar_T0_dX = d_vfbzb_dX;
instanceStruct.instanceVar_T0 = (vfbzb-vge);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_Vtm*((instanceStruct.instanceVar_NIGBACC_i*instanceStruct.d_instanceVar_T0_dX-instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_NIGBACC_i_dX)/instanceStruct.instanceVar_NIGBACC_i/instanceStruct.instanceVar_NIGBACC_i)-(instanceStruct.instanceVar_T0/instanceStruct.instanceVar_NIGBACC_i)*instanceStruct.d_instanceVar_Vtm_dX)/instanceStruct.instanceVar_Vtm/instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_T0/instanceStruct.instanceVar_NIGBACC_i)/instanceStruct.instanceVar_Vtm);
{
AnalogFunctions::ln_one_plus_expEvaluator evaluator_ln_one_plus_exp_0(instanceStruct.instanceVar_T1);
d_Vaux_Igbacc_dX = ((instanceStruct.instanceVar_NIGBACC_i*instanceStruct.instanceVar_Vtm)*evaluator_ln_one_plus_exp_0.getDerivs(instanceStruct.instanceVar_T1,instanceStruct.d_instanceVar_T1_dX)+(instanceStruct.instanceVar_NIGBACC_i*instanceStruct.d_instanceVar_Vtm_dX+instanceStruct.d_instanceVar_NIGBACC_i_dX*instanceStruct.instanceVar_Vtm)*evaluator_ln_one_plus_exp_0.getValues(instanceStruct.instanceVar_T1));
Vaux_Igbacc = ((instanceStruct.instanceVar_NIGBACC_i*instanceStruct.instanceVar_Vtm)*evaluator_ln_one_plus_exp_0.getValues(instanceStruct.instanceVar_T1));
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
d_Voxacc_dX = instanceStruct.d_instanceVar_qi_acc_for_QM_dX;
Voxacc = instanceStruct.instanceVar_qi_acc_for_QM;
}
else
{
if ((vfbzb<=0.0))
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T0-0.02)*(instanceStruct.instanceVar_T0-0.02))-(0.08*vfbzb)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Voxacc_dX = 0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_T0-0.02)*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*(instanceStruct.instanceVar_T0-0.02))-0.08*d_vfbzb_dX)));
Voxacc = (0.5*((instanceStruct.instanceVar_T0-0.02)+value_sqrt_0));
}
}
else
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T0-0.02)*(instanceStruct.instanceVar_T0-0.02))+(0.08*vfbzb)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Voxacc_dX = 0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((((instanceStruct.instanceVar_T0-0.02)*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*(instanceStruct.instanceVar_T0-0.02))+0.08*d_vfbzb_dX)));
Voxacc = (0.5*((instanceStruct.instanceVar_T0-0.02)+value_sqrt_0));
}
}
}
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))-(-modelStruct.modelPar_IGBACCCLAMP))-1.0e-6)*(((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))-(-modelStruct.modelPar_IGBACCCLAMP))-1.0e-6))-((4.0*(-modelStruct.modelPar_IGBACCCLAMP))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T2_dX = (((((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))==0.0)&&((-modelStruct.modelPar_IGBACCCLAMP)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_IGBACCCLAMP_dX)+0.5*(((instanceStruct.d_instanceVar_AIGBACC_t_dX-(instanceStruct.instanceVar_BIGBACC_i*d_Voxacc_dX+instanceStruct.d_instanceVar_BIGBACC_i_dX*Voxacc))-(-modelStruct.d_modelPar_IGBACCCLAMP_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))-(-modelStruct.modelPar_IGBACCCLAMP))-1.0e-6)*((instanceStruct.d_instanceVar_AIGBACC_t_dX-(instanceStruct.instanceVar_BIGBACC_i*d_Voxacc_dX+instanceStruct.d_instanceVar_BIGBACC_i_dX*Voxacc))-(-modelStruct.d_modelPar_IGBACCCLAMP_dX))+((instanceStruct.d_instanceVar_AIGBACC_t_dX-(instanceStruct.instanceVar_BIGBACC_i*d_Voxacc_dX+instanceStruct.d_instanceVar_BIGBACC_i_dX*Voxacc))-(-modelStruct.d_modelPar_IGBACCCLAMP_dX))*(((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))-(-modelStruct.modelPar_IGBACCCLAMP))-1.0e-6))-4.0*(-modelStruct.d_modelPar_IGBACCCLAMP_dX)*1.0e-6)))));
instanceStruct.instanceVar_T2 = (((((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))==0.0)&&((-modelStruct.modelPar_IGBACCCLAMP)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_IGBACCCLAMP)+(0.5*((((instanceStruct.instanceVar_AIGBACC_t-(instanceStruct.instanceVar_BIGBACC_i*Voxacc))-(-modelStruct.modelPar_IGBACCCLAMP))-1.0e-6)+value_sqrt_0))));
}
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.instanceVar_CIGBACC_i*d_Voxacc_dX+instanceStruct.d_instanceVar_CIGBACC_i_dX*Voxacc);
instanceStruct.instanceVar_T3 = (1.0+(instanceStruct.instanceVar_CIGBACC_i*Voxacc));
d_T4_dX = ((((-7.45669e11)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_T2)*instanceStruct.d_instanceVar_T3_dX+(((-7.45669e11)*modelStruct.modelPar_TOXG)*instanceStruct.d_instanceVar_T2_dX+(-7.45669e11)*modelStruct.d_modelPar_TOXG_dX*instanceStruct.instanceVar_T2)*instanceStruct.instanceVar_T3);
T4 = ((((-7.45669e11)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_T2)*instanceStruct.instanceVar_T3);
{
double value_exp_0 = exp(T4);
double  deriv_exp_0_d0 = value_exp_0;
d_T5_dX = ((T4>80.0)?5.540622384e34*d_T4_dX:((T4<(-80.0))?0.0:deriv_exp_0_d0*(d_T4_dX)));
T5 = ((T4>80.0)?(5.540622384e34*((1.0+T4)-80.0)):((T4<(-80.0))?1.804851387e-35:value_exp_0));
}
d_T6_dX = 0.0;
T6 = 4.97232e-7;
instanceStruct.d_instanceVar_igbacc_dX = ((((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge)*Vaux_Igbacc)*d_T5_dX+(((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge)*d_Vaux_Igbacc_dX+(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.d_instanceVar_Toxratio_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*d_T6_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge*Vaux_Igbacc)*T5);
instanceStruct.instanceVar_igbacc = ((((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_Leff)*T6)*instanceStruct.instanceVar_Toxratio)*vge)*Vaux_Igbacc)*T5);
instanceStruct.d_instanceVar_igbacc_dX = ((instanceStruct.instancePar_IGB0MULT*instanceStruct.instanceVar_igbacc)*instanceStruct.d_instanceVar_igtemp_dX+(instanceStruct.instancePar_IGB0MULT*instanceStruct.d_instanceVar_igbacc_dX+instanceStruct.d_instancePar_IGB0MULT_dX*instanceStruct.instanceVar_igbacc)*instanceStruct.instanceVar_igtemp);
instanceStruct.instanceVar_igbacc = ((instanceStruct.instancePar_IGB0MULT*instanceStruct.instanceVar_igbacc)*instanceStruct.instanceVar_igtemp);
}
if ((modelStruct.modelPar_IGCMOD!=0))
{
{
double value_sqrt_0 = sqrt((((((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))-(-modelStruct.modelPar_IGCINVCLAMP))-1.0e-6)*(((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))-(-modelStruct.modelPar_IGCINVCLAMP))-1.0e-6))-((4.0*(-modelStruct.modelPar_IGCINVCLAMP))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))==0.0)&&((-modelStruct.modelPar_IGCINVCLAMP)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_IGCINVCLAMP_dX)+0.5*(((instanceStruct.d_instanceVar_AIGC_t_dX-(instanceStruct.instanceVar_BIGC_i*d_qia_dX+instanceStruct.d_instanceVar_BIGC_i_dX*qia))-(-modelStruct.d_modelPar_IGCINVCLAMP_dX))+deriv_sqrt_0_d0*((((((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))-(-modelStruct.modelPar_IGCINVCLAMP))-1.0e-6)*((instanceStruct.d_instanceVar_AIGC_t_dX-(instanceStruct.instanceVar_BIGC_i*d_qia_dX+instanceStruct.d_instanceVar_BIGC_i_dX*qia))-(-modelStruct.d_modelPar_IGCINVCLAMP_dX))+((instanceStruct.d_instanceVar_AIGC_t_dX-(instanceStruct.instanceVar_BIGC_i*d_qia_dX+instanceStruct.d_instanceVar_BIGC_i_dX*qia))-(-modelStruct.d_modelPar_IGCINVCLAMP_dX))*(((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))-(-modelStruct.modelPar_IGCINVCLAMP))-1.0e-6))-4.0*(-modelStruct.d_modelPar_IGCINVCLAMP_dX)*1.0e-6)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))==0.0)&&((-modelStruct.modelPar_IGCINVCLAMP)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_IGCINVCLAMP)+(0.5*((((instanceStruct.instanceVar_AIGC_t-(instanceStruct.instanceVar_BIGC_i*qia))-(-modelStruct.modelPar_IGCINVCLAMP))-1.0e-6)+value_sqrt_0))));
}
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instanceVar_CIGC_i*d_qia_dX+instanceStruct.d_instanceVar_CIGC_i_dX*qia);
instanceStruct.instanceVar_T2 = (1.0+(instanceStruct.instanceVar_CIGC_i*qia));
instanceStruct.d_instanceVar_T3_dX = ((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_T2_dX+(((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.d_instanceVar_T1_dX+(-instanceStruct.instanceVar_Bechvb)*modelStruct.d_modelPar_TOXG_dX*instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T2);
instanceStruct.instanceVar_T3 = ((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T2);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = (qia*((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)))+d_qia_dX*((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0)));
T4 = (qia*((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0)));
}
d_T5_dX = 0.0;
T5 = ((vge+(0.5*vdsx))+(0.5*(ves_jct+ved_jct)));
d_igc0_dX = (((((((instanceStruct.instancePar_IGC0MULT*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*instanceStruct.instanceVar_Aechvb)*instanceStruct.instanceVar_Toxratio)*T4)*T5)*instanceStruct.d_instanceVar_igtemp_dX+((((((instanceStruct.instancePar_IGC0MULT*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*instanceStruct.instanceVar_Aechvb)*instanceStruct.instanceVar_Toxratio)*T4)*d_T5_dX+(((((instanceStruct.instancePar_IGC0MULT*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*instanceStruct.instanceVar_Aechvb)*instanceStruct.instanceVar_Toxratio)*d_T4_dX+((((instanceStruct.instancePar_IGC0MULT*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*instanceStruct.instanceVar_Aechvb)*instanceStruct.d_instanceVar_Toxratio_dX+((instanceStruct.instancePar_IGC0MULT*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_Leff_dX+(instanceStruct.instancePar_IGC0MULT*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instancePar_IGC0MULT_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*instanceStruct.instanceVar_Aechvb*instanceStruct.instanceVar_Toxratio)*T4)*T5)*instanceStruct.instanceVar_igtemp);
igc0 = (((((((instanceStruct.instancePar_IGC0MULT*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*instanceStruct.instanceVar_Aechvb)*instanceStruct.instanceVar_Toxratio)*T4)*T5)*instanceStruct.instanceVar_igtemp);
{
double value_sqrt_0 = sqrt(((Vdseff*Vdseff)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Vdseffx_dX = deriv_sqrt_0_d0*((Vdseff*d_Vdseff_dX+d_Vdseff_dX*Vdseff));
Vdseffx = (value_sqrt_0-0.1);
}
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_PIGCD_i*d_Vdseffx_dX+instanceStruct.d_instanceVar_PIGCD_i_dX*Vdseffx);
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_PIGCD_i*Vdseffx);
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T1));
double  deriv_exp_0_d0 = value_exp_0;
d_T1_exp_dX = (((-instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T1_dX):(((-instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T1_dX))));
T1_exp = (((-instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T1))-80.0)):(((-instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.d_instanceVar_T1_dX+d_T1_exp_dX);
instanceStruct.instanceVar_T3 = (((instanceStruct.instanceVar_T1+T1_exp)-1.0)+1.0e-4);
d_T4_dX = (-((instanceStruct.instanceVar_T1+1.0)*d_T1_exp_dX+instanceStruct.d_instanceVar_T1_dX*T1_exp));
T4 = ((1.0-((instanceStruct.instanceVar_T1+1.0)*T1_exp))+1.0e-4);
d_T5_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1);
T5 = ((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+2.0e-4);
instanceStruct.d_instanceVar_igcd_dX = ((T5*(igc0*d_T4_dX+d_igc0_dX*T4)-(igc0*T4)*d_T5_dX)/T5/T5);
instanceStruct.instanceVar_igcd = ((igc0*T4)/T5);
instanceStruct.d_instanceVar_igcs_dX = ((T5*(igc0*instanceStruct.d_instanceVar_T3_dX+d_igc0_dX*instanceStruct.instanceVar_T3)-(igc0*instanceStruct.instanceVar_T3)*d_T5_dX)/T5/T5);
instanceStruct.instanceVar_igcs = ((igc0*instanceStruct.instanceVar_T3)/T5);
instanceStruct.d_instanceVar_T0_dX = (-instanceStruct.d_instanceVar_vfbsd_dX);
instanceStruct.instanceVar_T0 = (vgs_noswap-instanceStruct.instanceVar_vfbsd);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+1.0e-4));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgs_eff_dX = deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0));
vgs_eff = value_sqrt_0;
}
if ((modelStruct.modelPar_IGCLAMP==1))
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff))*(instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff)))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_AIGS_t_dX-(instanceStruct.instanceVar_BIGS_i*d_vgs_eff_dX+instanceStruct.d_instanceVar_BIGS_i_dX*vgs_eff))+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff))*(instanceStruct.d_instanceVar_AIGS_t_dX-(instanceStruct.instanceVar_BIGS_i*d_vgs_eff_dX+instanceStruct.d_instanceVar_BIGS_i_dX*vgs_eff))+(instanceStruct.d_instanceVar_AIGS_t_dX-(instanceStruct.instanceVar_BIGS_i*d_vgs_eff_dX+instanceStruct.d_instanceVar_BIGS_i_dX*vgs_eff))*(instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff))))));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff))==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff))+value_sqrt_0)));
}
if ((instanceStruct.instanceVar_CIGS_i<0.01))
{
instanceStruct.d_instanceVar_CIGS_i_dX = 0.0;
instanceStruct.instanceVar_CIGS_i = 0.01;
}
}
else
{
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.d_instanceVar_AIGS_t_dX-(instanceStruct.instanceVar_BIGS_i*d_vgs_eff_dX+instanceStruct.d_instanceVar_BIGS_i_dX*vgs_eff));
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_AIGS_t-(instanceStruct.instanceVar_BIGS_i*vgs_eff));
}
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instanceVar_CIGS_i*d_vgs_eff_dX+instanceStruct.d_instanceVar_CIGS_i_dX*vgs_eff);
instanceStruct.instanceVar_T2 = (1.0+(instanceStruct.instanceVar_CIGS_i*vgs_eff));
instanceStruct.d_instanceVar_T3_dX = (((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_T2_dX+((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.d_instanceVar_T1_dX+(((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.d_instanceVar_POXEDGE_i_dX+(-instanceStruct.instanceVar_Bechvb)*modelStruct.d_modelPar_TOXG_dX*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T2);
instanceStruct.instanceVar_T3 = (((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T2);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)));
T4 = ((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((sigvds>0.0))
{
instanceStruct.d_instanceVar_igs_dX = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGS)*vgs_noswap)*vgs_eff)*d_T4_dX+(((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGS)*vgs_noswap)*d_vgs_eff_dX+(instanceStruct.instanceVar_igsd_mult*modelStruct.d_modelPar_DLCIGS_dX+instanceStruct.d_instanceVar_igsd_mult_dX*modelStruct.modelPar_DLCIGS)*vgs_noswap*vgs_eff)*T4);
instanceStruct.instanceVar_igs = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGS)*vgs_noswap)*vgs_eff)*T4);
}
else
{
instanceStruct.d_instanceVar_igd_dX = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGS)*vgs_noswap)*vgs_eff)*d_T4_dX+(((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGS)*vgs_noswap)*d_vgs_eff_dX+(instanceStruct.instanceVar_igsd_mult*modelStruct.d_modelPar_DLCIGS_dX+instanceStruct.d_instanceVar_igsd_mult_dX*modelStruct.modelPar_DLCIGS)*vgs_noswap*vgs_eff)*T4);
instanceStruct.instanceVar_igd = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGS)*vgs_noswap)*vgs_eff)*T4);
}
instanceStruct.d_instanceVar_T0_dX = (-instanceStruct.d_instanceVar_vfbsd_dX);
instanceStruct.instanceVar_T0 = (vgd_noswap-instanceStruct.instanceVar_vfbsd);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+1.0e-4));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vgd_eff_dX = deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0));
vgd_eff = value_sqrt_0;
}
if ((modelStruct.modelPar_IGCLAMP==1))
{
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff))*(instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff)))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:0.5*((instanceStruct.d_instanceVar_AIGD_t_dX-(instanceStruct.instanceVar_BIGD_i*d_vgd_eff_dX+instanceStruct.d_instanceVar_BIGD_i_dX*vgd_eff))+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff))*(instanceStruct.d_instanceVar_AIGD_t_dX-(instanceStruct.instanceVar_BIGD_i*d_vgd_eff_dX+instanceStruct.d_instanceVar_BIGD_i_dX*vgd_eff))+(instanceStruct.d_instanceVar_AIGD_t_dX-(instanceStruct.instanceVar_BIGD_i*d_vgd_eff_dX+instanceStruct.d_instanceVar_BIGD_i_dX*vgd_eff))*(instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff))))));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff))==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff))+value_sqrt_0)));
}
if ((instanceStruct.instanceVar_CIGD_i<0.01))
{
instanceStruct.d_instanceVar_CIGD_i_dX = 0.0;
instanceStruct.instanceVar_CIGD_i = 0.01;
}
}
else
{
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.d_instanceVar_AIGD_t_dX-(instanceStruct.instanceVar_BIGD_i*d_vgd_eff_dX+instanceStruct.d_instanceVar_BIGD_i_dX*vgd_eff));
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_AIGD_t-(instanceStruct.instanceVar_BIGD_i*vgd_eff));
}
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.instanceVar_CIGD_i*d_vgd_eff_dX+instanceStruct.d_instanceVar_CIGD_i_dX*vgd_eff);
instanceStruct.instanceVar_T2 = (1.0+(instanceStruct.instanceVar_CIGD_i*vgd_eff));
instanceStruct.d_instanceVar_T3_dX = (((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.instanceVar_T1)*instanceStruct.d_instanceVar_T2_dX+((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.d_instanceVar_T1_dX+(((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.d_instanceVar_POXEDGE_i_dX+(-instanceStruct.instanceVar_Bechvb)*modelStruct.d_modelPar_TOXG_dX*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T2);
instanceStruct.instanceVar_T3 = (((((-instanceStruct.instanceVar_Bechvb)*modelStruct.modelPar_TOXG)*instanceStruct.instanceVar_POXEDGE_i)*instanceStruct.instanceVar_T1)*instanceStruct.instanceVar_T2);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T3);
double  deriv_exp_0_d0 = value_exp_0;
d_T4_dX = ((instanceStruct.instanceVar_T3>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T3_dX:((instanceStruct.instanceVar_T3<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T3_dX)));
T4 = ((instanceStruct.instanceVar_T3>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T3)-80.0)):((instanceStruct.instanceVar_T3<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((sigvds>0.0))
{
instanceStruct.d_instanceVar_igd_dX = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGD)*vgd_noswap)*vgd_eff)*d_T4_dX+(((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGD)*vgd_noswap)*d_vgd_eff_dX+(instanceStruct.instanceVar_igsd_mult*modelStruct.d_modelPar_DLCIGD_dX+instanceStruct.d_instanceVar_igsd_mult_dX*modelStruct.modelPar_DLCIGD)*vgd_noswap*vgd_eff)*T4);
instanceStruct.instanceVar_igd = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGD)*vgd_noswap)*vgd_eff)*T4);
}
else
{
instanceStruct.d_instanceVar_igs_dX = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGD)*vgd_noswap)*vgd_eff)*d_T4_dX+(((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGD)*vgd_noswap)*d_vgd_eff_dX+(instanceStruct.instanceVar_igsd_mult*modelStruct.d_modelPar_DLCIGD_dX+instanceStruct.d_instanceVar_igsd_mult_dX*modelStruct.modelPar_DLCIGD)*vgd_noswap*vgd_eff)*T4);
instanceStruct.instanceVar_igs = ((((instanceStruct.instanceVar_igsd_mult*modelStruct.modelPar_DLCIGD)*vgd_noswap)*vgd_eff)*T4);
}
}
if ((modelStruct.modelPar_GIDLMOD!=0))
{
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.instanceVar_epsratio*modelStruct.d_modelPar_EOT_dX+instanceStruct.d_instanceVar_epsratio_dX*modelStruct.modelPar_EOT);
instanceStruct.instanceVar_T0 = (instanceStruct.instanceVar_epsratio*modelStruct.modelPar_EOT);
if (((instanceStruct.instanceVar_AGIDL_i<=0.0)||(instanceStruct.instanceVar_BGIDL_t<=0.0)))
{
d_T6_dX = 0.0;
T6 = 0.0;
}
else
{
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0*((-instanceStruct.d_instanceVar_EGIDL_i_dX)+instanceStruct.d_instanceVar_vfbsd_dX)-(((-vgd_noswap)-instanceStruct.instanceVar_EGIDL_i)+instanceStruct.instanceVar_vfbsd)*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0);
instanceStruct.instanceVar_T1 = ((((-vgd_noswap)-instanceStruct.instanceVar_EGIDL_i)+instanceStruct.instanceVar_vfbsd)/instanceStruct.instanceVar_T0);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1))));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T1+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_T1+1.0e-3)*instanceStruct.d_instanceVar_BGIDL_t_dX-instanceStruct.instanceVar_BGIDL_t*instanceStruct.d_instanceVar_T1_dX)/(instanceStruct.instanceVar_T1+1.0e-3)/(instanceStruct.instanceVar_T1+1.0e-3));
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_BGIDL_t/(instanceStruct.instanceVar_T1+1.0e-3));
{
double value_pow_0 = pow(instanceStruct.instanceVar_T1,instanceStruct.instanceVar_PGIDL_i);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_T1 == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_PGIDL_i/instanceStruct.instanceVar_T1));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_T1 == 0.0)?0.0:(log(instanceStruct.instanceVar_T1)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_T1_dX))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_PGIDL_i_dX)));
instanceStruct.instanceVar_T3 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
d_T4_dX = 0.0;
T4 = (((-ved_jct)*ved_jct)*ved_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));
d_T4a_dX = (instanceStruct.d_instanceVar_CGIDL_i_dX+deriv_fabs_0_d0*(d_T4_dX));
T4a = ((instanceStruct.instanceVar_CGIDL_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T5_dX = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)*(T4/T4a)))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T2));
double  deriv_exp_0_d0 = value_exp_0;
d_T6_dX = ((((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dX+(((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T2_dX):(((-instanceStruct.instanceVar_T2)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T2_dX))))+((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_AGIDL_i*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_AGIDL_i_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T6 = ((((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T2));
double  deriv_exp_0_d0 = value_exp_0;
d_T6_dX = (((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T2_dX):(((-instanceStruct.instanceVar_T2)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T2_dX))))+((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_AGIDL_i*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_AGIDL_i_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap;
T6 = ((((instanceStruct.instanceVar_AGIDL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*vds_noswap);
}
}
}
if ((((modelStruct.modelPar_BULKMOD!=0)&&(modelStruct.modelPar_GIDLMOD==2))&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_BGIDLB_t_dX = (instanceStruct.instanceVar_BGIDLB_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_BGIDLB_i_dX*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_BGIDLB_t = (instanceStruct.instanceVar_BGIDLB_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
if (((instanceStruct.instanceVar_AGIDLB_i<=0.0)||(instanceStruct.instanceVar_BGIDLB_t<=0.0)))
{
d_T7_dX = 0.0;
T7 = 0.0;
}
else
{
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0*((-instanceStruct.d_instanceVar_EGIDLB_i_dX)+instanceStruct.d_instanceVar_vfbsd_dX)-(((-vgd_noswap)-instanceStruct.instanceVar_EGIDLB_i)+instanceStruct.instanceVar_vfbsd)*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0);
instanceStruct.instanceVar_T1 = ((((-vgd_noswap)-instanceStruct.instanceVar_EGIDLB_i)+instanceStruct.instanceVar_vfbsd)/instanceStruct.instanceVar_T0);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1))));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T1+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_T1+1.0e-3)*instanceStruct.d_instanceVar_BGIDLB_t_dX-instanceStruct.instanceVar_BGIDLB_t*instanceStruct.d_instanceVar_T1_dX)/(instanceStruct.instanceVar_T1+1.0e-3)/(instanceStruct.instanceVar_T1+1.0e-3));
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_BGIDLB_t/(instanceStruct.instanceVar_T1+1.0e-3));
{
double value_pow_0 = pow(instanceStruct.instanceVar_T1,instanceStruct.instanceVar_PGIDLB_i);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_T1 == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_PGIDLB_i/instanceStruct.instanceVar_T1));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_T1 == 0.0)?0.0:(log(instanceStruct.instanceVar_T1)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_T1_dX))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_PGIDLB_i_dX)));
instanceStruct.instanceVar_T3 = value_pow_0;
}
d_T4_dX = 0.0;
T4 = (((-ved_jct)*ved_jct)*ved_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));
d_T4a_dX = (instanceStruct.d_instanceVar_CGIDLB_i_dX+deriv_fabs_0_d0*(d_T4_dX));
T4a = ((instanceStruct.instanceVar_CGIDLB_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T5_dX = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)*(T4/T4a)))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T2));
double  deriv_exp_0_d0 = value_exp_0;
d_T7_dX = ((((instanceStruct.instanceVar_AGIDLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dX+(((instanceStruct.instanceVar_AGIDLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T2_dX):(((-instanceStruct.instanceVar_T2)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T2_dX))))+((instanceStruct.instanceVar_AGIDLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_AGIDLB_i*instanceStruct.d_instanceVar_WeffB_dX+instanceStruct.d_instanceVar_AGIDLB_i_dX*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T7 = ((((instanceStruct.instanceVar_AGIDLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
}
if ((sigvds>0.0))
{
instanceStruct.d_instanceVar_igidl_dX = d_T6_dX;
instanceStruct.instanceVar_igidl = T6;
instanceStruct.d_instanceVar_igidlb_dX = d_T7_dX;
instanceStruct.instanceVar_igidlb = T7;
}
else
{
instanceStruct.d_instanceVar_igisl_dX = d_T6_dX;
instanceStruct.instanceVar_igisl = T6;
instanceStruct.d_instanceVar_igislb_dX = d_T7_dX;
instanceStruct.instanceVar_igislb = T7;
}
if (((instanceStruct.instanceVar_AGISL_i<=0.0)||(instanceStruct.instanceVar_BGISL_t<=0.0)))
{
d_T6_dX = 0.0;
T6 = 0.0;
}
else
{
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0*((-instanceStruct.d_instanceVar_EGISL_i_dX)+instanceStruct.d_instanceVar_vfbsd_dX)-(((-vgs_noswap)-instanceStruct.instanceVar_EGISL_i)+instanceStruct.instanceVar_vfbsd)*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0);
instanceStruct.instanceVar_T1 = ((((-vgs_noswap)-instanceStruct.instanceVar_EGISL_i)+instanceStruct.instanceVar_vfbsd)/instanceStruct.instanceVar_T0);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1))));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T1+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_T1+1.0e-3)*instanceStruct.d_instanceVar_BGISL_t_dX-instanceStruct.instanceVar_BGISL_t*instanceStruct.d_instanceVar_T1_dX)/(instanceStruct.instanceVar_T1+1.0e-3)/(instanceStruct.instanceVar_T1+1.0e-3));
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_BGISL_t/(instanceStruct.instanceVar_T1+1.0e-3));
{
double value_pow_0 = pow(instanceStruct.instanceVar_T1,instanceStruct.instanceVar_PGISL_i);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_T1 == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_PGISL_i/instanceStruct.instanceVar_T1));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_T1 == 0.0)?0.0:(log(instanceStruct.instanceVar_T1)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_T1_dX))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_PGISL_i_dX)));
instanceStruct.instanceVar_T3 = value_pow_0;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
d_T4_dX = 0.0;
T4 = (((-ves_jct)*ves_jct)*ves_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));
d_T4a_dX = (instanceStruct.d_instanceVar_CGISL_i_dX+deriv_fabs_0_d0*(d_T4_dX));
T4a = ((instanceStruct.instanceVar_CGISL_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T5_dX = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)*(T4/T4a)))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T2));
double  deriv_exp_0_d0 = value_exp_0;
d_T6_dX = ((((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dX+(((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T2_dX):(((-instanceStruct.instanceVar_T2)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T2_dX))))+((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_AGISL_i*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_AGISL_i_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T6 = ((((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
else
{
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T2));
double  deriv_exp_0_d0 = value_exp_0;
d_T6_dX = (((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T2_dX):(((-instanceStruct.instanceVar_T2)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T2_dX))))+((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_AGISL_i*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_AGISL_i_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap);
T6 = ((((instanceStruct.instanceVar_AGISL_i*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*(-vds_noswap));
}
}
}
if ((((modelStruct.modelPar_BULKMOD!=0)&&(modelStruct.modelPar_GIDLMOD==2))&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
{
double value_sqrt_0 = sqrt(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_BGISLB_t_dX = (instanceStruct.instanceVar_BGISLB_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)*(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.d_instanceVar_delTemp_dX+instanceStruct.d_instanceVar_TGIDL_i_dX*instanceStruct.instanceVar_delTemp)*((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+instanceStruct.d_instanceVar_BGISLB_i_dX*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
instanceStruct.instanceVar_BGISLB_t = (instanceStruct.instanceVar_BGISLB_i*(((((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(instanceStruct.instanceVar_TGIDL_i*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
if (((instanceStruct.instanceVar_AGISLB_i<=0.0)||(instanceStruct.instanceVar_BGISLB_t<=0.0)))
{
d_T7_dX = 0.0;
T7 = 0.0;
}
else
{
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0*((-instanceStruct.d_instanceVar_EGISLB_i_dX)+instanceStruct.d_instanceVar_vfbsd_dX)-(((-vgs_noswap)-instanceStruct.instanceVar_EGISLB_i)+instanceStruct.instanceVar_vfbsd)*instanceStruct.d_instanceVar_T0_dX)/instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T0);
instanceStruct.instanceVar_T1 = ((((-vgs_noswap)-instanceStruct.instanceVar_EGISLB_i)+instanceStruct.instanceVar_vfbsd)/instanceStruct.instanceVar_T0);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T1)+((4.0*1.0e-2)*1.0e-2)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T1_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T1))));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T1==0.0)&&(1.0e-2==0.0))?0.0:(0.5*(instanceStruct.instanceVar_T1+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_T1+1.0e-3)*instanceStruct.d_instanceVar_BGISLB_t_dX-instanceStruct.instanceVar_BGISLB_t*instanceStruct.d_instanceVar_T1_dX)/(instanceStruct.instanceVar_T1+1.0e-3)/(instanceStruct.instanceVar_T1+1.0e-3));
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_BGISLB_t/(instanceStruct.instanceVar_T1+1.0e-3));
{
double value_pow_0 = pow(instanceStruct.instanceVar_T1,instanceStruct.instanceVar_PGISLB_i);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_T1 == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_PGISLB_i/instanceStruct.instanceVar_T1));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_T1 == 0.0)?0.0:(log(instanceStruct.instanceVar_T1)*value_pow_0);
instanceStruct.d_instanceVar_T3_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_T1_dX))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_PGISLB_i_dX)));
instanceStruct.instanceVar_T3 = value_pow_0;
}
d_T4_dX = 0.0;
T4 = (((-ves_jct)*ves_jct)*ves_jct);
{
double value_fabs_0 = fabs(T4);
double  deriv_fabs_0_d0 = (((T4)>=0)?(+1.0):(-1.0));
d_T4a_dX = (instanceStruct.d_instanceVar_CGISLB_i_dX+deriv_fabs_0_d0*(d_T4_dX));
T4a = ((instanceStruct.instanceVar_CGISLB_i+value_fabs_0)+1.0e-5);
}
{
double value_sqrt_0 = sqrt((((T4/T4a)*(T4/T4a))+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T5_dX = ((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:0.5*(((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+deriv_sqrt_0_d0*(((T4/T4a)*((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)+((T4a*d_T4_dX-T4*d_T4a_dX)/T4a/T4a)*(T4/T4a)))));
T5 = (((((T4/T4a)==0.0)&&(1.0e-6==0.0))?0.0:(0.5*((T4/T4a)+value_sqrt_0)))-1.0e-6);
}
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T2));
double  deriv_exp_0_d0 = value_exp_0;
d_T7_dX = ((((instanceStruct.instanceVar_AGISLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*d_T5_dX+(((instanceStruct.instanceVar_AGISLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T2_dX):(((-instanceStruct.instanceVar_T2)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T2_dX))))+((instanceStruct.instanceVar_AGISLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_AGISLB_i*instanceStruct.d_instanceVar_WeffB_dX+instanceStruct.d_instanceVar_AGISLB_i_dX*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
T7 = ((((instanceStruct.instanceVar_AGISLB_i*instanceStruct.instanceVar_WeffB)*instanceStruct.instanceVar_T3)*(((-instanceStruct.instanceVar_T2)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T2))-80.0)):(((-instanceStruct.instanceVar_T2)<(-80.0))?1.804851387e-35:value_exp_0)))*T5);
}
}
}
if ((sigvds>0.0))
{
instanceStruct.d_instanceVar_igisl_dX = d_T6_dX;
instanceStruct.instanceVar_igisl = T6;
instanceStruct.d_instanceVar_igislb_dX = d_T7_dX;
instanceStruct.instanceVar_igislb = T7;
}
else
{
instanceStruct.d_instanceVar_igidl_dX = d_T6_dX;
instanceStruct.instanceVar_igidl = T6;
instanceStruct.d_instanceVar_igidlb_dX = d_T7_dX;
instanceStruct.instanceVar_igidlb = T7;
}
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
if ((instanceStruct.instanceVar_Isbs>0.0))
{
if ((ves_jct<instanceStruct.instanceVar_VjsmRev))
{
instanceStruct.d_instanceVar_T0_dX = (-ves_jct*instanceStruct.d_instanceVar_Nvtms_dX/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms);
instanceStruct.instanceVar_T0 = (ves_jct/instanceStruct.instanceVar_Nvtms);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T0);
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX:((instanceStruct.instanceVar_T0<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX)));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T0>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T0)-80.0)):((instanceStruct.instanceVar_T0<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.d_instanceVar_IVjsmRev_dX+(instanceStruct.instanceVar_SslpRev*(-instanceStruct.d_instanceVar_VjsmRev_dX)+instanceStruct.d_instanceVar_SslpRev_dX*(ves_jct-instanceStruct.instanceVar_VjsmRev)));
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_IVjsmRev+(instanceStruct.instanceVar_SslpRev*(ves_jct-instanceStruct.instanceVar_VjsmRev)));
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T2);
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T2);
}
else
{
if ((ves_jct<=instanceStruct.instanceVar_VjsmFwd))
{
instanceStruct.d_instanceVar_T0_dX = (-ves_jct*instanceStruct.d_instanceVar_Nvtms_dX/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms);
instanceStruct.instanceVar_T0 = (ves_jct/instanceStruct.instanceVar_Nvtms);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_Nvtms*modelStruct.d_modelPar_BVS_dX-(modelStruct.modelPar_BVS+ves_jct)*instanceStruct.d_instanceVar_Nvtms_dX)/instanceStruct.instanceVar_Nvtms/instanceStruct.instanceVar_Nvtms);
instanceStruct.instanceVar_T1 = ((modelStruct.modelPar_BVS+ves_jct)/instanceStruct.instanceVar_Nvtms);
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T2_dX = (((-instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T1_dX):(((-instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T1_dX))));
instanceStruct.instanceVar_T2 = (((-instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T1))-80.0)):(((-instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
{
double value_exp_0 = exp(instanceStruct.instanceVar_T0);
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.instanceVar_Isbs*((((instanceStruct.instanceVar_T0>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX:((instanceStruct.instanceVar_T0<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX)))+instanceStruct.d_instanceVar_XExpBVS_dX)-(modelStruct.modelPar_XJBVS*instanceStruct.d_instanceVar_T2_dX+modelStruct.d_modelPar_XJBVS_dX*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_Isbs_dX*(((((instanceStruct.instanceVar_T0>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T0)-80.0)):((instanceStruct.instanceVar_T0<(-80.0))?1.804851387e-35:value_exp_0))+instanceStruct.instanceVar_XExpBVS)-1.0)-(modelStruct.modelPar_XJBVS*instanceStruct.instanceVar_T2)));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Isbs*(((((instanceStruct.instanceVar_T0>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T0)-80.0)):((instanceStruct.instanceVar_T0<(-80.0))?1.804851387e-35:value_exp_0))+instanceStruct.instanceVar_XExpBVS)-1.0)-(modelStruct.modelPar_XJBVS*instanceStruct.instanceVar_T2)));
}
}
else
{
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_IVjsmFwd_dX+(instanceStruct.instanceVar_SslpFwd*(-instanceStruct.d_instanceVar_VjsmFwd_dX)+instanceStruct.d_instanceVar_SslpFwd_dX*(ves_jct-instanceStruct.instanceVar_VjsmFwd)));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_IVjsmFwd+(instanceStruct.instanceVar_SslpFwd*(ves_jct-instanceStruct.instanceVar_VjsmFwd)));
}
}
}
else
{
instanceStruct.d_instanceVar_Ies_dX = 0.0;
instanceStruct.instanceVar_Ies = 0.0;
}
if ((instanceStruct.instanceVar_JTSS_t>0.0))
{
if (((modelStruct.modelPar_VTSS-ves_jct)<(modelStruct.modelPar_VTSS*1.0e-3)))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTS_t*(-(-ves_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ves_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTS_t_dX)/instanceStruct.instanceVar_NJTS_t/instanceStruct.instanceVar_NJTS_t);
instanceStruct.instanceVar_T0 = (((-ves_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTS_t);
{
double value_exp_0 = exp((instanceStruct.instanceVar_T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0*1.0e3)>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX*1.0e3:(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX*1.0e3)));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T0*1.0e3))-80.0)):(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_Ies_dX-((instanceStruct.instancePar_ASEJ*instanceStruct.instanceVar_JTSS_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_ASEJ*instanceStruct.d_instanceVar_JTSS_t_dX+instanceStruct.d_instancePar_ASEJ_dX*instanceStruct.instanceVar_JTSS_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Ies-((instanceStruct.instancePar_ASEJ*instanceStruct.instanceVar_JTSS_t)*instanceStruct.instanceVar_T1));
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTS_t*(-(-ves_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ves_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTS_t_dX)/instanceStruct.instanceVar_NJTS_t/instanceStruct.instanceVar_NJTS_t);
instanceStruct.instanceVar_T0 = (((-ves_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTS_t);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)/(modelStruct.modelPar_VTSS-ves_jct)));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)/(modelStruct.modelPar_VTSS-ves_jct))>80.0)?5.540622384e34*(((modelStruct.modelPar_VTSS-ves_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSS_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSS)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)*modelStruct.d_modelPar_VTSS_dX)/(modelStruct.modelPar_VTSS-ves_jct)/(modelStruct.modelPar_VTSS-ves_jct)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)/(modelStruct.modelPar_VTSS-ves_jct))<(-80.0))?0.0:deriv_exp_0_d0*((((modelStruct.modelPar_VTSS-ves_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSS_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSS)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)*modelStruct.d_modelPar_VTSS_dX)/(modelStruct.modelPar_VTSS-ves_jct)/(modelStruct.modelPar_VTSS-ves_jct)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)/(modelStruct.modelPar_VTSS-ves_jct))>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)/(modelStruct.modelPar_VTSS-ves_jct)))-80.0)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSS)/(modelStruct.modelPar_VTSS-ves_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_Ies_dX-((instanceStruct.instancePar_ASEJ*instanceStruct.instanceVar_JTSS_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_ASEJ*instanceStruct.d_instanceVar_JTSS_t_dX+instanceStruct.d_instancePar_ASEJ_dX*instanceStruct.instanceVar_JTSS_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Ies-((instanceStruct.instancePar_ASEJ*instanceStruct.instanceVar_JTSS_t)*instanceStruct.instanceVar_T1));
}
}
if ((instanceStruct.instanceVar_JTSSWS_t>0.0))
{
if (((modelStruct.modelPar_VTSSWS-ves_jct)<(modelStruct.modelPar_VTSSWS*1.0e-3)))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSW_t*(-(-ves_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ves_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSW_t_dX)/instanceStruct.instanceVar_NJTSSW_t/instanceStruct.instanceVar_NJTSSW_t);
instanceStruct.instanceVar_T0 = (((-ves_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSW_t);
{
double value_exp_0 = exp((instanceStruct.instanceVar_T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0*1.0e3)>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX*1.0e3:(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX*1.0e3)));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T0*1.0e3))-80.0)):(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_Ies_dX-((instanceStruct.instancePar_PSEJ*instanceStruct.instanceVar_JTSSWS_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_PSEJ*instanceStruct.d_instanceVar_JTSSWS_t_dX+instanceStruct.d_instancePar_PSEJ_dX*instanceStruct.instanceVar_JTSSWS_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Ies-((instanceStruct.instancePar_PSEJ*instanceStruct.instanceVar_JTSSWS_t)*instanceStruct.instanceVar_T1));
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSW_t*(-(-ves_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ves_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSW_t_dX)/instanceStruct.instanceVar_NJTSSW_t/instanceStruct.instanceVar_NJTSSW_t);
instanceStruct.instanceVar_T0 = (((-ves_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSW_t);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)/(modelStruct.modelPar_VTSSWS-ves_jct)));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)/(modelStruct.modelPar_VTSSWS-ves_jct))>80.0)?5.540622384e34*(((modelStruct.modelPar_VTSSWS-ves_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWS_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWS)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)*modelStruct.d_modelPar_VTSSWS_dX)/(modelStruct.modelPar_VTSSWS-ves_jct)/(modelStruct.modelPar_VTSSWS-ves_jct)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)/(modelStruct.modelPar_VTSSWS-ves_jct))<(-80.0))?0.0:deriv_exp_0_d0*((((modelStruct.modelPar_VTSSWS-ves_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWS_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWS)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)*modelStruct.d_modelPar_VTSSWS_dX)/(modelStruct.modelPar_VTSSWS-ves_jct)/(modelStruct.modelPar_VTSSWS-ves_jct)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)/(modelStruct.modelPar_VTSSWS-ves_jct))>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)/(modelStruct.modelPar_VTSSWS-ves_jct)))-80.0)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWS)/(modelStruct.modelPar_VTSSWS-ves_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_Ies_dX-((instanceStruct.instancePar_PSEJ*instanceStruct.instanceVar_JTSSWS_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_PSEJ*instanceStruct.d_instanceVar_JTSSWS_t_dX+instanceStruct.d_instancePar_PSEJ_dX*instanceStruct.instanceVar_JTSSWS_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Ies-((instanceStruct.instancePar_PSEJ*instanceStruct.instanceVar_JTSSWS_t)*instanceStruct.instanceVar_T1));
}
}
if ((instanceStruct.instanceVar_JTSSWGS_t>0.0))
{
if (((modelStruct.modelPar_VTSSWGS-ves_jct)<(modelStruct.modelPar_VTSSWGS*1.0e-3)))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSWG_t*(-(-ves_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ves_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSWG_t_dX)/instanceStruct.instanceVar_NJTSSWG_t/instanceStruct.instanceVar_NJTSSWG_t);
instanceStruct.instanceVar_T0 = (((-ves_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSWG_t);
{
double value_exp_0 = exp((instanceStruct.instanceVar_T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0*1.0e3)>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX*1.0e3:(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX*1.0e3)));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T0*1.0e3))-80.0)):(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_Ies_dX-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGS_t)*instanceStruct.d_instanceVar_T1_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_JTSSWGS_t_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGS_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Ies-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGS_t)*instanceStruct.instanceVar_T1));
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSWG_t*(-(-ves_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ves_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSWG_t_dX)/instanceStruct.instanceVar_NJTSSWG_t/instanceStruct.instanceVar_NJTSSWG_t);
instanceStruct.instanceVar_T0 = (((-ves_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSWG_t);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)/(modelStruct.modelPar_VTSSWGS-ves_jct)));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)/(modelStruct.modelPar_VTSSWGS-ves_jct))>80.0)?5.540622384e34*(((modelStruct.modelPar_VTSSWGS-ves_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWGS_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWGS)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)*modelStruct.d_modelPar_VTSSWGS_dX)/(modelStruct.modelPar_VTSSWGS-ves_jct)/(modelStruct.modelPar_VTSSWGS-ves_jct)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)/(modelStruct.modelPar_VTSSWGS-ves_jct))<(-80.0))?0.0:deriv_exp_0_d0*((((modelStruct.modelPar_VTSSWGS-ves_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWGS_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWGS)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)*modelStruct.d_modelPar_VTSSWGS_dX)/(modelStruct.modelPar_VTSSWGS-ves_jct)/(modelStruct.modelPar_VTSSWGS-ves_jct)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)/(modelStruct.modelPar_VTSSWGS-ves_jct))>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)/(modelStruct.modelPar_VTSSWGS-ves_jct)))-80.0)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGS)/(modelStruct.modelPar_VTSSWGS-ves_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ies_dX = (instanceStruct.d_instanceVar_Ies_dX-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGS_t)*instanceStruct.d_instanceVar_T1_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_JTSSWGS_t_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGS_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ies = (instanceStruct.instanceVar_Ies-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGS_t)*instanceStruct.instanceVar_T1));
}
}
if ((instanceStruct.instanceVar_Isbd>0.0))
{
if ((ved_jct<instanceStruct.instanceVar_VjdmRev))
{
instanceStruct.d_instanceVar_T0_dX = (-ved_jct*instanceStruct.d_instanceVar_Nvtmd_dX/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd);
instanceStruct.instanceVar_T0 = (ved_jct/instanceStruct.instanceVar_Nvtmd);
{
double value_exp_0 = exp(instanceStruct.instanceVar_T0);
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX:((instanceStruct.instanceVar_T0<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX)));
instanceStruct.instanceVar_T1 = (((instanceStruct.instanceVar_T0>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T0)-80.0)):((instanceStruct.instanceVar_T0<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_T2_dX = (instanceStruct.d_instanceVar_IVjdmRev_dX+(instanceStruct.instanceVar_DslpRev*(-instanceStruct.d_instanceVar_VjdmRev_dX)+instanceStruct.d_instanceVar_DslpRev_dX*(ved_jct-instanceStruct.instanceVar_VjdmRev)));
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_IVjdmRev+(instanceStruct.instanceVar_DslpRev*(ved_jct-instanceStruct.instanceVar_VjdmRev)));
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T2_dX+instanceStruct.d_instanceVar_T1_dX*instanceStruct.instanceVar_T2);
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_T1*instanceStruct.instanceVar_T2);
}
else
{
if ((ved_jct<=instanceStruct.instanceVar_VjdmFwd))
{
instanceStruct.d_instanceVar_T0_dX = (-ved_jct*instanceStruct.d_instanceVar_Nvtmd_dX/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd);
instanceStruct.instanceVar_T0 = (ved_jct/instanceStruct.instanceVar_Nvtmd);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_Nvtmd*modelStruct.d_modelPar_BVD_dX-(modelStruct.modelPar_BVD+ved_jct)*instanceStruct.d_instanceVar_Nvtmd_dX)/instanceStruct.instanceVar_Nvtmd/instanceStruct.instanceVar_Nvtmd);
instanceStruct.instanceVar_T1 = ((modelStruct.modelPar_BVD+ved_jct)/instanceStruct.instanceVar_Nvtmd);
{
double value_exp_0 = exp((-instanceStruct.instanceVar_T1));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T2_dX = (((-instanceStruct.instanceVar_T1)>80.0)?5.540622384e34*(-instanceStruct.d_instanceVar_T1_dX):(((-instanceStruct.instanceVar_T1)<(-80.0))?0.0:deriv_exp_0_d0*((-instanceStruct.d_instanceVar_T1_dX))));
instanceStruct.instanceVar_T2 = (((-instanceStruct.instanceVar_T1)>80.0)?(5.540622384e34*((1.0+(-instanceStruct.instanceVar_T1))-80.0)):(((-instanceStruct.instanceVar_T1)<(-80.0))?1.804851387e-35:value_exp_0));
}
{
double value_exp_0 = exp(instanceStruct.instanceVar_T0);
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.instanceVar_Isbd*((((instanceStruct.instanceVar_T0>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX:((instanceStruct.instanceVar_T0<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX)))+instanceStruct.d_instanceVar_XExpBVD_dX)-(modelStruct.modelPar_XJBVD*instanceStruct.d_instanceVar_T2_dX+modelStruct.d_modelPar_XJBVD_dX*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_Isbd_dX*(((((instanceStruct.instanceVar_T0>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T0)-80.0)):((instanceStruct.instanceVar_T0<(-80.0))?1.804851387e-35:value_exp_0))+instanceStruct.instanceVar_XExpBVD)-1.0)-(modelStruct.modelPar_XJBVD*instanceStruct.instanceVar_T2)));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Isbd*(((((instanceStruct.instanceVar_T0>80.0)?(5.540622384e34*((1.0+instanceStruct.instanceVar_T0)-80.0)):((instanceStruct.instanceVar_T0<(-80.0))?1.804851387e-35:value_exp_0))+instanceStruct.instanceVar_XExpBVD)-1.0)-(modelStruct.modelPar_XJBVD*instanceStruct.instanceVar_T2)));
}
}
else
{
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_IVjdmFwd_dX+(instanceStruct.instanceVar_DslpFwd*(-instanceStruct.d_instanceVar_VjdmFwd_dX)+instanceStruct.d_instanceVar_DslpFwd_dX*(ved_jct-instanceStruct.instanceVar_VjdmFwd)));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_IVjdmFwd+(instanceStruct.instanceVar_DslpFwd*(ved_jct-instanceStruct.instanceVar_VjdmFwd)));
}
}
}
else
{
instanceStruct.d_instanceVar_Ied_dX = 0.0;
instanceStruct.instanceVar_Ied = 0.0;
}
if ((instanceStruct.instanceVar_JTSD_t>0.0))
{
if (((modelStruct.modelPar_VTSD-ved_jct)<(modelStruct.modelPar_VTSD*1.0e-3)))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSD_t*(-(-ved_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ved_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSD_t_dX)/instanceStruct.instanceVar_NJTSD_t/instanceStruct.instanceVar_NJTSD_t);
instanceStruct.instanceVar_T0 = (((-ved_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSD_t);
{
double value_exp_0 = exp((instanceStruct.instanceVar_T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0*1.0e3)>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX*1.0e3:(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX*1.0e3)));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T0*1.0e3))-80.0)):(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_Ied_dX-((instanceStruct.instancePar_ADEJ*instanceStruct.instanceVar_JTSD_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_ADEJ*instanceStruct.d_instanceVar_JTSD_t_dX+instanceStruct.d_instancePar_ADEJ_dX*instanceStruct.instanceVar_JTSD_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Ied-((instanceStruct.instancePar_ADEJ*instanceStruct.instanceVar_JTSD_t)*instanceStruct.instanceVar_T1));
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSD_t*(-(-ved_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ved_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSD_t_dX)/instanceStruct.instanceVar_NJTSD_t/instanceStruct.instanceVar_NJTSD_t);
instanceStruct.instanceVar_T0 = (((-ved_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSD_t);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)/(modelStruct.modelPar_VTSD-ved_jct)));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)/(modelStruct.modelPar_VTSD-ved_jct))>80.0)?5.540622384e34*(((modelStruct.modelPar_VTSD-ved_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSD_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSD)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)*modelStruct.d_modelPar_VTSD_dX)/(modelStruct.modelPar_VTSD-ved_jct)/(modelStruct.modelPar_VTSD-ved_jct)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)/(modelStruct.modelPar_VTSD-ved_jct))<(-80.0))?0.0:deriv_exp_0_d0*((((modelStruct.modelPar_VTSD-ved_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSD_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSD)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)*modelStruct.d_modelPar_VTSD_dX)/(modelStruct.modelPar_VTSD-ved_jct)/(modelStruct.modelPar_VTSD-ved_jct)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)/(modelStruct.modelPar_VTSD-ved_jct))>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)/(modelStruct.modelPar_VTSD-ved_jct)))-80.0)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSD)/(modelStruct.modelPar_VTSD-ved_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_Ied_dX-((instanceStruct.instancePar_ADEJ*instanceStruct.instanceVar_JTSD_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_ADEJ*instanceStruct.d_instanceVar_JTSD_t_dX+instanceStruct.d_instancePar_ADEJ_dX*instanceStruct.instanceVar_JTSD_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Ied-((instanceStruct.instancePar_ADEJ*instanceStruct.instanceVar_JTSD_t)*instanceStruct.instanceVar_T1));
}
}
if ((instanceStruct.instanceVar_JTSSWD_t>0.0))
{
if (((modelStruct.modelPar_VTSSWD-ved_jct)<(modelStruct.modelPar_VTSSWD*1.0e-3)))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSWD_t*(-(-ved_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ved_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSWD_t_dX)/instanceStruct.instanceVar_NJTSSWD_t/instanceStruct.instanceVar_NJTSSWD_t);
instanceStruct.instanceVar_T0 = (((-ved_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSWD_t);
{
double value_exp_0 = exp((instanceStruct.instanceVar_T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0*1.0e3)>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX*1.0e3:(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX*1.0e3)));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T0*1.0e3))-80.0)):(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_Ied_dX-((instanceStruct.instancePar_PDEJ*instanceStruct.instanceVar_JTSSWD_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_PDEJ*instanceStruct.d_instanceVar_JTSSWD_t_dX+instanceStruct.d_instancePar_PDEJ_dX*instanceStruct.instanceVar_JTSSWD_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Ied-((instanceStruct.instancePar_PDEJ*instanceStruct.instanceVar_JTSSWD_t)*instanceStruct.instanceVar_T1));
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSWD_t*(-(-ved_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ved_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSWD_t_dX)/instanceStruct.instanceVar_NJTSSWD_t/instanceStruct.instanceVar_NJTSSWD_t);
instanceStruct.instanceVar_T0 = (((-ved_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSWD_t);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)/(modelStruct.modelPar_VTSSWD-ved_jct)));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)/(modelStruct.modelPar_VTSSWD-ved_jct))>80.0)?5.540622384e34*(((modelStruct.modelPar_VTSSWD-ved_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWD_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWD)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)*modelStruct.d_modelPar_VTSSWD_dX)/(modelStruct.modelPar_VTSSWD-ved_jct)/(modelStruct.modelPar_VTSSWD-ved_jct)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)/(modelStruct.modelPar_VTSSWD-ved_jct))<(-80.0))?0.0:deriv_exp_0_d0*((((modelStruct.modelPar_VTSSWD-ved_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWD_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWD)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)*modelStruct.d_modelPar_VTSSWD_dX)/(modelStruct.modelPar_VTSSWD-ved_jct)/(modelStruct.modelPar_VTSSWD-ved_jct)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)/(modelStruct.modelPar_VTSSWD-ved_jct))>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)/(modelStruct.modelPar_VTSSWD-ved_jct)))-80.0)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWD)/(modelStruct.modelPar_VTSSWD-ved_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_Ied_dX-((instanceStruct.instancePar_PDEJ*instanceStruct.instanceVar_JTSSWD_t)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instancePar_PDEJ*instanceStruct.d_instanceVar_JTSSWD_t_dX+instanceStruct.d_instancePar_PDEJ_dX*instanceStruct.instanceVar_JTSSWD_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Ied-((instanceStruct.instancePar_PDEJ*instanceStruct.instanceVar_JTSSWD_t)*instanceStruct.instanceVar_T1));
}
}
if ((instanceStruct.instanceVar_JTSSWGD_t>0.0))
{
if (((modelStruct.modelPar_VTSSWGD-ved_jct)<(modelStruct.modelPar_VTSSWGD*1.0e-3)))
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSWGD_t*(-(-ved_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ved_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSWGD_t_dX)/instanceStruct.instanceVar_NJTSSWGD_t/instanceStruct.instanceVar_NJTSSWGD_t);
instanceStruct.instanceVar_T0 = (((-ved_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSWGD_t);
{
double value_exp_0 = exp((instanceStruct.instanceVar_T0*1.0e3));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = (((instanceStruct.instanceVar_T0*1.0e3)>80.0)?5.540622384e34*instanceStruct.d_instanceVar_T0_dX*1.0e3:(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?0.0:deriv_exp_0_d0*(instanceStruct.d_instanceVar_T0_dX*1.0e3)));
instanceStruct.instanceVar_T1 = ((((instanceStruct.instanceVar_T0*1.0e3)>80.0)?(5.540622384e34*((1.0+(instanceStruct.instanceVar_T0*1.0e3))-80.0)):(((instanceStruct.instanceVar_T0*1.0e3)<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_Ied_dX-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGD_t)*instanceStruct.d_instanceVar_T1_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_JTSSWGD_t_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGD_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Ied-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGD_t)*instanceStruct.instanceVar_T1));
}
else
{
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_NJTSSWGD_t*(-(-ved_jct)*instanceStruct.d_instanceVar_Vtm0_dX/instanceStruct.instanceVar_Vtm0/instanceStruct.instanceVar_Vtm0)-((-ved_jct)/instanceStruct.instanceVar_Vtm0)*instanceStruct.d_instanceVar_NJTSSWGD_t_dX)/instanceStruct.instanceVar_NJTSSWGD_t/instanceStruct.instanceVar_NJTSSWGD_t);
instanceStruct.instanceVar_T0 = (((-ved_jct)/instanceStruct.instanceVar_Vtm0)/instanceStruct.instanceVar_NJTSSWGD_t);
{
double value_exp_0 = exp(((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)/(modelStruct.modelPar_VTSSWGD-ved_jct)));
double  deriv_exp_0_d0 = value_exp_0;
instanceStruct.d_instanceVar_T1_dX = ((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)/(modelStruct.modelPar_VTSSWGD-ved_jct))>80.0)?5.540622384e34*(((modelStruct.modelPar_VTSSWGD-ved_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWGD_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWGD)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)*modelStruct.d_modelPar_VTSSWGD_dX)/(modelStruct.modelPar_VTSSWGD-ved_jct)/(modelStruct.modelPar_VTSSWGD-ved_jct)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)/(modelStruct.modelPar_VTSSWGD-ved_jct))<(-80.0))?0.0:deriv_exp_0_d0*((((modelStruct.modelPar_VTSSWGD-ved_jct)*(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_VTSSWGD_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_VTSSWGD)-(instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)*modelStruct.d_modelPar_VTSSWGD_dX)/(modelStruct.modelPar_VTSSWGD-ved_jct)/(modelStruct.modelPar_VTSSWGD-ved_jct)))));
instanceStruct.instanceVar_T1 = (((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)/(modelStruct.modelPar_VTSSWGD-ved_jct))>80.0)?(5.540622384e34*((1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)/(modelStruct.modelPar_VTSSWGD-ved_jct)))-80.0)):((((instanceStruct.instanceVar_T0*modelStruct.modelPar_VTSSWGD)/(modelStruct.modelPar_VTSSWGD-ved_jct))<(-80.0))?1.804851387e-35:value_exp_0))-1.0);
}
instanceStruct.d_instanceVar_Ied_dX = (instanceStruct.d_instanceVar_Ied_dX-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGD_t)*instanceStruct.d_instanceVar_T1_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.d_instanceVar_JTSSWGD_t_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGD_t)*instanceStruct.instanceVar_T1));
instanceStruct.instanceVar_Ied = (instanceStruct.instanceVar_Ied-(((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*instanceStruct.instanceVar_JTSSWGD_t)*instanceStruct.instanceVar_T1));
}
}
{
if ((instanceStruct.instanceVar_Czbs>0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-ves_jct*instanceStruct.d_instanceVar_PBS_t_dX/instanceStruct.instanceVar_PBS_t/instanceStruct.instanceVar_PBS_t);
instanceStruct.instanceVar_T1 = (ves_jct/instanceStruct.instanceVar_PBS_t);
if ((instanceStruct.instanceVar_T1<0.9))
{
if ((modelStruct.modelPar_SJS>0.0))
{
if ((ves_jct>instanceStruct.instanceVar_vec1s))
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJS!=1))
{
if ((modelStruct.modelPar_MJS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS_dX))));
sarg = value_pow_0;
}
}
d_Qesj1_dX = (((1.0-modelStruct.modelPar_MJS)*((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBS_t*instanceStruct.d_instanceVar_Czbs_dX+instanceStruct.d_instanceVar_PBS_t_dX*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJS_dX))/(1.0-modelStruct.modelPar_MJS)/(1.0-modelStruct.modelPar_MJS));
Qesj1 = (((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj1_dX = (((-instanceStruct.instanceVar_PBS_t)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBS_t)*instanceStruct.d_instanceVar_Czbs_dX+(-instanceStruct.d_instanceVar_PBS_t_dX)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj1 = (((-instanceStruct.instanceVar_PBS_t)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{
d_arg_dX = (-((instanceStruct.instanceVar_PBS_t*instanceStruct.d_instanceVar_vec1s_dX-instanceStruct.instanceVar_vec1s*instanceStruct.d_instanceVar_PBS_t_dX)/instanceStruct.instanceVar_PBS_t/instanceStruct.instanceVar_PBS_t));
arg = (1.0-(instanceStruct.instanceVar_vec1s/instanceStruct.instanceVar_PBS_t));
if ((modelStruct.modelPar_MJS!=1))
{
if ((modelStruct.modelPar_MJS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS_dX))));
sarg = value_pow_0;
}
}
d_Qec_dX = (((1.0-modelStruct.modelPar_MJS)*((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBS_t*instanceStruct.d_instanceVar_Czbs_dX+instanceStruct.d_instanceVar_PBS_t_dX*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJS_dX))/(1.0-modelStruct.modelPar_MJS)/(1.0-modelStruct.modelPar_MJS));
Qec = (((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qec_dX = (((-instanceStruct.instanceVar_PBS_t)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBS_t)*instanceStruct.d_instanceVar_Czbs_dX+(-instanceStruct.d_instanceVar_PBS_t_dX)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-instanceStruct.instanceVar_PBS_t)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
d_arg_dX = (-((instanceStruct.instanceVar_pb21s*(-instanceStruct.d_instanceVar_vec1s_dX)-(ves_jct-instanceStruct.instanceVar_vec1s)*instanceStruct.d_instanceVar_pb21s_dX)/instanceStruct.instanceVar_pb21s/instanceStruct.instanceVar_pb21s));
arg = (1.0-((ves_jct-instanceStruct.instanceVar_vec1s)/instanceStruct.instanceVar_pb21s));
if ((modelStruct.modelPar_MJS2!=1))
{
if ((modelStruct.modelPar_MJS2==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJS2));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJS2)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS2_dX))));
sarg = value_pow_0;
}
}
d_Qesj1_dX = (d_Qec_dX+(((1.0-modelStruct.modelPar_MJS2)*(((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.d_instanceVar_Czbs_dX+(modelStruct.modelPar_SJS*instanceStruct.d_instanceVar_pb21s_dX+modelStruct.d_modelPar_SJS_dX*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))-(((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJS2_dX))/(1.0-modelStruct.modelPar_MJS2)/(1.0-modelStruct.modelPar_MJS2)));
Qesj1 = (Qec+((((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJS2)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj1_dX = (d_Qec_dX-(((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.d_instanceVar_Czbs_dX+(modelStruct.modelPar_SJS*instanceStruct.d_instanceVar_pb21s_dX+modelStruct.d_modelPar_SJS_dX*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qesj1 = (Qec-(((modelStruct.modelPar_SJS*instanceStruct.instanceVar_pb21s)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJS!=1))
{
if ((modelStruct.modelPar_MJS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS_dX))));
sarg = value_pow_0;
}
}
d_Qesj1_dX = (((1.0-modelStruct.modelPar_MJS)*((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBS_t*instanceStruct.d_instanceVar_Czbs_dX+instanceStruct.d_instanceVar_PBS_t_dX*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJS_dX))/(1.0-modelStruct.modelPar_MJS)/(1.0-modelStruct.modelPar_MJS));
Qesj1 = (((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj1_dX = (((-instanceStruct.instanceVar_PBS_t)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBS_t)*instanceStruct.d_instanceVar_Czbs_dX+(-instanceStruct.d_instanceVar_PBS_t_dX)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj1 = (((-instanceStruct.instanceVar_PBS_t)*instanceStruct.instanceVar_Czbs)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if ((modelStruct.modelPar_MJS!=1))
{
if ((modelStruct.modelPar_MJS==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-modelStruct.modelPar_MJS));
double  deriv_pow_0_d1 = (0.1 == 0.0)?0.0:(log(0.1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d1*((-modelStruct.d_modelPar_MJS_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T3_dX = (-(-modelStruct.d_modelPar_MJS_dX)/(1.0-modelStruct.modelPar_MJS)/(1.0-modelStruct.modelPar_MJS));
instanceStruct.instanceVar_T3 = (1.0/(1.0-modelStruct.modelPar_MJS));
d_T5_dX = (instanceStruct.instanceVar_T3*(-(((0.05*modelStruct.modelPar_MJS)*(1.0+modelStruct.modelPar_MJS))*instanceStruct.d_instanceVar_T2_dX+((0.05*modelStruct.modelPar_MJS)*modelStruct.d_modelPar_MJS_dX+0.05*modelStruct.d_modelPar_MJS_dX*(1.0+modelStruct.modelPar_MJS))*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T3_dX*(1.0-(((0.05*modelStruct.modelPar_MJS)*(1.0+modelStruct.modelPar_MJS))*instanceStruct.instanceVar_T2)));
T5 = (instanceStruct.instanceVar_T3*(1.0-(((0.05*modelStruct.modelPar_MJS)*(1.0+modelStruct.modelPar_MJS))*instanceStruct.instanceVar_T2)));
}
else
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));
d_T5_dX = 0.0;
T5 = (1.5-value_log_0);
}
}
d_T4_dX = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJS)*instanceStruct.d_instanceVar_T1_dX+5.0*modelStruct.d_modelPar_MJS_dX*(instanceStruct.instanceVar_T1-1.0))+modelStruct.d_modelPar_MJS_dX)+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJS)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJS)));
T4 = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJS)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJS)));
d_Qesj1_dX = ((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(d_T4_dX+d_T5_dX)+(instanceStruct.instanceVar_PBS_t*instanceStruct.d_instanceVar_Czbs_dX+instanceStruct.d_instanceVar_PBS_t_dX*instanceStruct.instanceVar_Czbs)*(T4+T5));
Qesj1 = ((instanceStruct.instanceVar_PBS_t*instanceStruct.instanceVar_Czbs)*(T4+T5));
}
}
else
{
d_Qesj1_dX = 0.0;
Qesj1 = 0.0;
}
}
{
if ((instanceStruct.instanceVar_Czbssw>0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-ves_jct*instanceStruct.d_instanceVar_PBSWS_t_dX/instanceStruct.instanceVar_PBSWS_t/instanceStruct.instanceVar_PBSWS_t);
instanceStruct.instanceVar_T1 = (ves_jct/instanceStruct.instanceVar_PBSWS_t);
if ((instanceStruct.instanceVar_T1<0.9))
{
if ((modelStruct.modelPar_SJSWS>0.0))
{
if ((ves_jct>instanceStruct.instanceVar_vec2s))
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWS!=1))
{
if ((modelStruct.modelPar_MJSWS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS_dX))));
sarg = value_pow_0;
}
}
d_Qesj2_dX = (((1.0-modelStruct.modelPar_MJSWS)*((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWS_t*instanceStruct.d_instanceVar_Czbssw_dX+instanceStruct.d_instanceVar_PBSWS_t_dX*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWS_dX))/(1.0-modelStruct.modelPar_MJSWS)/(1.0-modelStruct.modelPar_MJSWS));
Qesj2 = (((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj2_dX = (((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.d_instanceVar_Czbssw_dX+(-instanceStruct.d_instanceVar_PBSWS_t_dX)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj2 = (((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{
d_arg_dX = (-((instanceStruct.instanceVar_PBSWS_t*instanceStruct.d_instanceVar_vec2s_dX-instanceStruct.instanceVar_vec2s*instanceStruct.d_instanceVar_PBSWS_t_dX)/instanceStruct.instanceVar_PBSWS_t/instanceStruct.instanceVar_PBSWS_t));
arg = (1.0-(instanceStruct.instanceVar_vec2s/instanceStruct.instanceVar_PBSWS_t));
if ((modelStruct.modelPar_MJSWS!=1))
{
if ((modelStruct.modelPar_MJSWS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS_dX))));
sarg = value_pow_0;
}
}
d_Qec_dX = (((1.0-modelStruct.modelPar_MJSWS)*((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWS_t*instanceStruct.d_instanceVar_Czbssw_dX+instanceStruct.d_instanceVar_PBSWS_t_dX*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWS_dX))/(1.0-modelStruct.modelPar_MJSWS)/(1.0-modelStruct.modelPar_MJSWS));
Qec = (((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qec_dX = (((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.d_instanceVar_Czbssw_dX+(-instanceStruct.d_instanceVar_PBSWS_t_dX)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
d_arg_dX = (-((instanceStruct.instanceVar_pb22s*(-instanceStruct.d_instanceVar_vec2s_dX)-(ves_jct-instanceStruct.instanceVar_vec2s)*instanceStruct.d_instanceVar_pb22s_dX)/instanceStruct.instanceVar_pb22s/instanceStruct.instanceVar_pb22s));
arg = (1.0-((ves_jct-instanceStruct.instanceVar_vec2s)/instanceStruct.instanceVar_pb22s));
if ((modelStruct.modelPar_MJSWS2!=1))
{
if ((modelStruct.modelPar_MJSWS2==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWS2));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWS2)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS2_dX))));
sarg = value_pow_0;
}
}
d_Qesj2_dX = (d_Qec_dX+(((1.0-modelStruct.modelPar_MJSWS2)*(((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.d_instanceVar_Czbssw_dX+(modelStruct.modelPar_SJSWS*instanceStruct.d_instanceVar_pb22s_dX+modelStruct.d_modelPar_SJSWS_dX*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))-(((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWS2_dX))/(1.0-modelStruct.modelPar_MJSWS2)/(1.0-modelStruct.modelPar_MJSWS2)));
Qesj2 = (Qec+((((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWS2)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj2_dX = (d_Qec_dX-(((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.d_instanceVar_Czbssw_dX+(modelStruct.modelPar_SJSWS*instanceStruct.d_instanceVar_pb22s_dX+modelStruct.d_modelPar_SJSWS_dX*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qesj2 = (Qec-(((modelStruct.modelPar_SJSWS*instanceStruct.instanceVar_pb22s)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWS!=1))
{
if ((modelStruct.modelPar_MJSWS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS_dX))));
sarg = value_pow_0;
}
}
d_Qesj2_dX = (((1.0-modelStruct.modelPar_MJSWS)*((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWS_t*instanceStruct.d_instanceVar_Czbssw_dX+instanceStruct.d_instanceVar_PBSWS_t_dX*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWS_dX))/(1.0-modelStruct.modelPar_MJSWS)/(1.0-modelStruct.modelPar_MJSWS));
Qesj2 = (((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj2_dX = (((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.d_instanceVar_Czbssw_dX+(-instanceStruct.d_instanceVar_PBSWS_t_dX)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj2 = (((-instanceStruct.instanceVar_PBSWS_t)*instanceStruct.instanceVar_Czbssw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if ((modelStruct.modelPar_MJSWS!=1))
{
if ((modelStruct.modelPar_MJSWS==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-modelStruct.modelPar_MJSWS));
double  deriv_pow_0_d1 = (0.1 == 0.0)?0.0:(log(0.1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWS_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T3_dX = (-(-modelStruct.d_modelPar_MJSWS_dX)/(1.0-modelStruct.modelPar_MJSWS)/(1.0-modelStruct.modelPar_MJSWS));
instanceStruct.instanceVar_T3 = (1.0/(1.0-modelStruct.modelPar_MJSWS));
d_T5_dX = (instanceStruct.instanceVar_T3*(-(((0.05*modelStruct.modelPar_MJSWS)*(1.0+modelStruct.modelPar_MJSWS))*instanceStruct.d_instanceVar_T2_dX+((0.05*modelStruct.modelPar_MJSWS)*modelStruct.d_modelPar_MJSWS_dX+0.05*modelStruct.d_modelPar_MJSWS_dX*(1.0+modelStruct.modelPar_MJSWS))*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T3_dX*(1.0-(((0.05*modelStruct.modelPar_MJSWS)*(1.0+modelStruct.modelPar_MJSWS))*instanceStruct.instanceVar_T2)));
T5 = (instanceStruct.instanceVar_T3*(1.0-(((0.05*modelStruct.modelPar_MJSWS)*(1.0+modelStruct.modelPar_MJSWS))*instanceStruct.instanceVar_T2)));
}
else
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));
d_T5_dX = 0.0;
T5 = (1.5-value_log_0);
}
}
d_T4_dX = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWS)*instanceStruct.d_instanceVar_T1_dX+5.0*modelStruct.d_modelPar_MJSWS_dX*(instanceStruct.instanceVar_T1-1.0))+modelStruct.d_modelPar_MJSWS_dX)+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWS)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWS)));
T4 = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWS)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWS)));
d_Qesj2_dX = ((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(d_T4_dX+d_T5_dX)+(instanceStruct.instanceVar_PBSWS_t*instanceStruct.d_instanceVar_Czbssw_dX+instanceStruct.d_instanceVar_PBSWS_t_dX*instanceStruct.instanceVar_Czbssw)*(T4+T5));
Qesj2 = ((instanceStruct.instanceVar_PBSWS_t*instanceStruct.instanceVar_Czbssw)*(T4+T5));
}
}
else
{
d_Qesj2_dX = 0.0;
Qesj2 = 0.0;
}
}
{
if ((instanceStruct.instanceVar_Czbsswg>0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-ves_jct*instanceStruct.d_instanceVar_PBSWGS_t_dX/instanceStruct.instanceVar_PBSWGS_t/instanceStruct.instanceVar_PBSWGS_t);
instanceStruct.instanceVar_T1 = (ves_jct/instanceStruct.instanceVar_PBSWGS_t);
if ((instanceStruct.instanceVar_T1<0.9))
{
if ((modelStruct.modelPar_SJSWGS>0.0))
{
if ((ves_jct>instanceStruct.instanceVar_vec3s))
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWGS!=1))
{
if ((modelStruct.modelPar_MJSWGS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS_dX))));
sarg = value_pow_0;
}
}
d_Qesj3_dX = (((1.0-modelStruct.modelPar_MJSWGS)*((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWGS_t*instanceStruct.d_instanceVar_Czbsswg_dX+instanceStruct.d_instanceVar_PBSWGS_t_dX*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGS_dX))/(1.0-modelStruct.modelPar_MJSWGS)/(1.0-modelStruct.modelPar_MJSWGS));
Qesj3 = (((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj3_dX = (((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.d_instanceVar_Czbsswg_dX+(-instanceStruct.d_instanceVar_PBSWGS_t_dX)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj3 = (((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{
d_arg_dX = (-((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.d_instanceVar_vec3s_dX-instanceStruct.instanceVar_vec3s*instanceStruct.d_instanceVar_PBSWGS_t_dX)/instanceStruct.instanceVar_PBSWGS_t/instanceStruct.instanceVar_PBSWGS_t));
arg = (1.0-(instanceStruct.instanceVar_vec3s/instanceStruct.instanceVar_PBSWGS_t));
if ((modelStruct.modelPar_MJSWGS!=1))
{
if ((modelStruct.modelPar_MJSWGS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS_dX))));
sarg = value_pow_0;
}
}
d_Qec_dX = (((1.0-modelStruct.modelPar_MJSWGS)*((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWGS_t*instanceStruct.d_instanceVar_Czbsswg_dX+instanceStruct.d_instanceVar_PBSWGS_t_dX*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGS_dX))/(1.0-modelStruct.modelPar_MJSWGS)/(1.0-modelStruct.modelPar_MJSWGS));
Qec = (((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qec_dX = (((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.d_instanceVar_Czbsswg_dX+(-instanceStruct.d_instanceVar_PBSWGS_t_dX)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
d_arg_dX = (-((instanceStruct.instanceVar_pb23s*(-instanceStruct.d_instanceVar_vec3s_dX)-(ves_jct-instanceStruct.instanceVar_vec3s)*instanceStruct.d_instanceVar_pb23s_dX)/instanceStruct.instanceVar_pb23s/instanceStruct.instanceVar_pb23s));
arg = (1.0-((ves_jct-instanceStruct.instanceVar_vec3s)/instanceStruct.instanceVar_pb23s));
if ((modelStruct.modelPar_MJSWGS2!=1))
{
if ((modelStruct.modelPar_MJSWGS2==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGS2));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGS2)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS2_dX))));
sarg = value_pow_0;
}
}
d_Qesj3_dX = (d_Qec_dX+(((1.0-modelStruct.modelPar_MJSWGS2)*(((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.d_instanceVar_Czbsswg_dX+(modelStruct.modelPar_SJSWGS*instanceStruct.d_instanceVar_pb23s_dX+modelStruct.d_modelPar_SJSWGS_dX*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))-(((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGS2_dX))/(1.0-modelStruct.modelPar_MJSWGS2)/(1.0-modelStruct.modelPar_MJSWGS2)));
Qesj3 = (Qec+((((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGS2)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj3_dX = (d_Qec_dX-(((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.d_instanceVar_Czbsswg_dX+(modelStruct.modelPar_SJSWGS*instanceStruct.d_instanceVar_pb23s_dX+modelStruct.d_modelPar_SJSWGS_dX*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qesj3 = (Qec-(((modelStruct.modelPar_SJSWGS*instanceStruct.instanceVar_pb23s)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWGS!=1))
{
if ((modelStruct.modelPar_MJSWGS==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGS));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGS)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS_dX))));
sarg = value_pow_0;
}
}
d_Qesj3_dX = (((1.0-modelStruct.modelPar_MJSWGS)*((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWGS_t*instanceStruct.d_instanceVar_Czbsswg_dX+instanceStruct.d_instanceVar_PBSWGS_t_dX*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGS_dX))/(1.0-modelStruct.modelPar_MJSWGS)/(1.0-modelStruct.modelPar_MJSWGS));
Qesj3 = (((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGS));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qesj3_dX = (((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.d_instanceVar_Czbsswg_dX+(-instanceStruct.d_instanceVar_PBSWGS_t_dX)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qesj3 = (((-instanceStruct.instanceVar_PBSWGS_t)*instanceStruct.instanceVar_Czbsswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if ((modelStruct.modelPar_MJSWGS!=1))
{
if ((modelStruct.modelPar_MJSWGS==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-modelStruct.modelPar_MJSWGS));
double  deriv_pow_0_d1 = (0.1 == 0.0)?0.0:(log(0.1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGS_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T3_dX = (-(-modelStruct.d_modelPar_MJSWGS_dX)/(1.0-modelStruct.modelPar_MJSWGS)/(1.0-modelStruct.modelPar_MJSWGS));
instanceStruct.instanceVar_T3 = (1.0/(1.0-modelStruct.modelPar_MJSWGS));
d_T5_dX = (instanceStruct.instanceVar_T3*(-(((0.05*modelStruct.modelPar_MJSWGS)*(1.0+modelStruct.modelPar_MJSWGS))*instanceStruct.d_instanceVar_T2_dX+((0.05*modelStruct.modelPar_MJSWGS)*modelStruct.d_modelPar_MJSWGS_dX+0.05*modelStruct.d_modelPar_MJSWGS_dX*(1.0+modelStruct.modelPar_MJSWGS))*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T3_dX*(1.0-(((0.05*modelStruct.modelPar_MJSWGS)*(1.0+modelStruct.modelPar_MJSWGS))*instanceStruct.instanceVar_T2)));
T5 = (instanceStruct.instanceVar_T3*(1.0-(((0.05*modelStruct.modelPar_MJSWGS)*(1.0+modelStruct.modelPar_MJSWGS))*instanceStruct.instanceVar_T2)));
}
else
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));
d_T5_dX = 0.0;
T5 = (1.5-value_log_0);
}
}
d_T4_dX = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWGS)*instanceStruct.d_instanceVar_T1_dX+5.0*modelStruct.d_modelPar_MJSWGS_dX*(instanceStruct.instanceVar_T1-1.0))+modelStruct.d_modelPar_MJSWGS_dX)+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWGS)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWGS)));
T4 = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWGS)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWGS)));
d_Qesj3_dX = ((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(d_T4_dX+d_T5_dX)+(instanceStruct.instanceVar_PBSWGS_t*instanceStruct.d_instanceVar_Czbsswg_dX+instanceStruct.d_instanceVar_PBSWGS_t_dX*instanceStruct.instanceVar_Czbsswg)*(T4+T5));
Qesj3 = ((instanceStruct.instanceVar_PBSWGS_t*instanceStruct.instanceVar_Czbsswg)*(T4+T5));
}
}
else
{
d_Qesj3_dX = 0.0;
Qesj3 = 0.0;
}
}
instanceStruct.d_instanceVar_Qesj_dX = ((d_Qesj1_dX+d_Qesj2_dX)+d_Qesj3_dX);
instanceStruct.instanceVar_Qesj = ((Qesj1+Qesj2)+Qesj3);
{
if ((instanceStruct.instanceVar_Czbd>0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-ved_jct*instanceStruct.d_instanceVar_PBD_t_dX/instanceStruct.instanceVar_PBD_t/instanceStruct.instanceVar_PBD_t);
instanceStruct.instanceVar_T1 = (ved_jct/instanceStruct.instanceVar_PBD_t);
if ((instanceStruct.instanceVar_T1<0.9))
{
if ((modelStruct.modelPar_SJD>0.0))
{
if ((ved_jct>instanceStruct.instanceVar_vec1d))
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJD!=1))
{
if ((modelStruct.modelPar_MJD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD_dX))));
sarg = value_pow_0;
}
}
d_Qedj1_dX = (((1.0-modelStruct.modelPar_MJD)*((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBD_t*instanceStruct.d_instanceVar_Czbd_dX+instanceStruct.d_instanceVar_PBD_t_dX*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJD_dX))/(1.0-modelStruct.modelPar_MJD)/(1.0-modelStruct.modelPar_MJD));
Qedj1 = (((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj1_dX = (((-instanceStruct.instanceVar_PBD_t)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBD_t)*instanceStruct.d_instanceVar_Czbd_dX+(-instanceStruct.d_instanceVar_PBD_t_dX)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj1 = (((-instanceStruct.instanceVar_PBD_t)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{
d_arg_dX = (-((instanceStruct.instanceVar_PBD_t*instanceStruct.d_instanceVar_vec1d_dX-instanceStruct.instanceVar_vec1d*instanceStruct.d_instanceVar_PBD_t_dX)/instanceStruct.instanceVar_PBD_t/instanceStruct.instanceVar_PBD_t));
arg = (1.0-(instanceStruct.instanceVar_vec1d/instanceStruct.instanceVar_PBD_t));
if ((modelStruct.modelPar_MJD!=1))
{
if ((modelStruct.modelPar_MJD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD_dX))));
sarg = value_pow_0;
}
}
d_Qec_dX = (((1.0-modelStruct.modelPar_MJD)*((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBD_t*instanceStruct.d_instanceVar_Czbd_dX+instanceStruct.d_instanceVar_PBD_t_dX*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJD_dX))/(1.0-modelStruct.modelPar_MJD)/(1.0-modelStruct.modelPar_MJD));
Qec = (((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qec_dX = (((-instanceStruct.instanceVar_PBD_t)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBD_t)*instanceStruct.d_instanceVar_Czbd_dX+(-instanceStruct.d_instanceVar_PBD_t_dX)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-instanceStruct.instanceVar_PBD_t)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
d_arg_dX = (-((instanceStruct.instanceVar_pb21d*(-instanceStruct.d_instanceVar_vec1d_dX)-(ved_jct-instanceStruct.instanceVar_vec1d)*instanceStruct.d_instanceVar_pb21d_dX)/instanceStruct.instanceVar_pb21d/instanceStruct.instanceVar_pb21d));
arg = (1.0-((ved_jct-instanceStruct.instanceVar_vec1d)/instanceStruct.instanceVar_pb21d));
if ((modelStruct.modelPar_MJD2!=1))
{
if ((modelStruct.modelPar_MJD2==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJD2));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJD2)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD2_dX))));
sarg = value_pow_0;
}
}
d_Qedj1_dX = (d_Qec_dX+(((1.0-modelStruct.modelPar_MJD2)*(((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.d_instanceVar_Czbd_dX+(modelStruct.modelPar_SJD*instanceStruct.d_instanceVar_pb21d_dX+modelStruct.d_modelPar_SJD_dX*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))-(((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJD2_dX))/(1.0-modelStruct.modelPar_MJD2)/(1.0-modelStruct.modelPar_MJD2)));
Qedj1 = (Qec+((((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJD2)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj1_dX = (d_Qec_dX-(((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.d_instanceVar_Czbd_dX+(modelStruct.modelPar_SJD*instanceStruct.d_instanceVar_pb21d_dX+modelStruct.d_modelPar_SJD_dX*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qedj1 = (Qec-(((modelStruct.modelPar_SJD*instanceStruct.instanceVar_pb21d)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJD!=1))
{
if ((modelStruct.modelPar_MJD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD_dX))));
sarg = value_pow_0;
}
}
d_Qedj1_dX = (((1.0-modelStruct.modelPar_MJD)*((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBD_t*instanceStruct.d_instanceVar_Czbd_dX+instanceStruct.d_instanceVar_PBD_t_dX*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJD_dX))/(1.0-modelStruct.modelPar_MJD)/(1.0-modelStruct.modelPar_MJD));
Qedj1 = (((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj1_dX = (((-instanceStruct.instanceVar_PBD_t)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBD_t)*instanceStruct.d_instanceVar_Czbd_dX+(-instanceStruct.d_instanceVar_PBD_t_dX)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj1 = (((-instanceStruct.instanceVar_PBD_t)*instanceStruct.instanceVar_Czbd)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if ((modelStruct.modelPar_MJD!=1))
{
if ((modelStruct.modelPar_MJD==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-modelStruct.modelPar_MJD));
double  deriv_pow_0_d1 = (0.1 == 0.0)?0.0:(log(0.1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d1*((-modelStruct.d_modelPar_MJD_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T3_dX = (-(-modelStruct.d_modelPar_MJD_dX)/(1.0-modelStruct.modelPar_MJD)/(1.0-modelStruct.modelPar_MJD));
instanceStruct.instanceVar_T3 = (1.0/(1.0-modelStruct.modelPar_MJD));
d_T5_dX = (instanceStruct.instanceVar_T3*(-(((0.05*modelStruct.modelPar_MJD)*(1.0+modelStruct.modelPar_MJD))*instanceStruct.d_instanceVar_T2_dX+((0.05*modelStruct.modelPar_MJD)*modelStruct.d_modelPar_MJD_dX+0.05*modelStruct.d_modelPar_MJD_dX*(1.0+modelStruct.modelPar_MJD))*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T3_dX*(1.0-(((0.05*modelStruct.modelPar_MJD)*(1.0+modelStruct.modelPar_MJD))*instanceStruct.instanceVar_T2)));
T5 = (instanceStruct.instanceVar_T3*(1.0-(((0.05*modelStruct.modelPar_MJD)*(1.0+modelStruct.modelPar_MJD))*instanceStruct.instanceVar_T2)));
}
else
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));
d_T5_dX = 0.0;
T5 = (1.5-value_log_0);
}
}
d_T4_dX = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJD)*instanceStruct.d_instanceVar_T1_dX+5.0*modelStruct.d_modelPar_MJD_dX*(instanceStruct.instanceVar_T1-1.0))+modelStruct.d_modelPar_MJD_dX)+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJD)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJD)));
T4 = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJD)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJD)));
d_Qedj1_dX = ((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(d_T4_dX+d_T5_dX)+(instanceStruct.instanceVar_PBD_t*instanceStruct.d_instanceVar_Czbd_dX+instanceStruct.d_instanceVar_PBD_t_dX*instanceStruct.instanceVar_Czbd)*(T4+T5));
Qedj1 = ((instanceStruct.instanceVar_PBD_t*instanceStruct.instanceVar_Czbd)*(T4+T5));
}
}
else
{
d_Qedj1_dX = 0.0;
Qedj1 = 0.0;
}
}
{
if ((instanceStruct.instanceVar_Czbdsw>0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-ved_jct*instanceStruct.d_instanceVar_PBSWD_t_dX/instanceStruct.instanceVar_PBSWD_t/instanceStruct.instanceVar_PBSWD_t);
instanceStruct.instanceVar_T1 = (ved_jct/instanceStruct.instanceVar_PBSWD_t);
if ((instanceStruct.instanceVar_T1<0.9))
{
if ((modelStruct.modelPar_SJSWD>0.0))
{
if ((ved_jct>instanceStruct.instanceVar_vec2d))
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWD!=1))
{
if ((modelStruct.modelPar_MJSWD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD_dX))));
sarg = value_pow_0;
}
}
d_Qedj2_dX = (((1.0-modelStruct.modelPar_MJSWD)*((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWD_t*instanceStruct.d_instanceVar_Czbdsw_dX+instanceStruct.d_instanceVar_PBSWD_t_dX*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWD_dX))/(1.0-modelStruct.modelPar_MJSWD)/(1.0-modelStruct.modelPar_MJSWD));
Qedj2 = (((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj2_dX = (((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.d_instanceVar_Czbdsw_dX+(-instanceStruct.d_instanceVar_PBSWD_t_dX)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj2 = (((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{
d_arg_dX = (-((instanceStruct.instanceVar_PBSWD_t*instanceStruct.d_instanceVar_vec2d_dX-instanceStruct.instanceVar_vec2d*instanceStruct.d_instanceVar_PBSWD_t_dX)/instanceStruct.instanceVar_PBSWD_t/instanceStruct.instanceVar_PBSWD_t));
arg = (1.0-(instanceStruct.instanceVar_vec2d/instanceStruct.instanceVar_PBSWD_t));
if ((modelStruct.modelPar_MJSWD!=1))
{
if ((modelStruct.modelPar_MJSWD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD_dX))));
sarg = value_pow_0;
}
}
d_Qec_dX = (((1.0-modelStruct.modelPar_MJSWD)*((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWD_t*instanceStruct.d_instanceVar_Czbdsw_dX+instanceStruct.d_instanceVar_PBSWD_t_dX*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWD_dX))/(1.0-modelStruct.modelPar_MJSWD)/(1.0-modelStruct.modelPar_MJSWD));
Qec = (((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qec_dX = (((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.d_instanceVar_Czbdsw_dX+(-instanceStruct.d_instanceVar_PBSWD_t_dX)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
d_arg_dX = (-((instanceStruct.instanceVar_pb22d*(-instanceStruct.d_instanceVar_vec2d_dX)-(ved_jct-instanceStruct.instanceVar_vec2d)*instanceStruct.d_instanceVar_pb22d_dX)/instanceStruct.instanceVar_pb22d/instanceStruct.instanceVar_pb22d));
arg = (1.0-((ved_jct-instanceStruct.instanceVar_vec2d)/instanceStruct.instanceVar_pb22d));
if ((modelStruct.modelPar_MJSWD2!=1))
{
if ((modelStruct.modelPar_MJSWD2==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWD2));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWD2)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD2_dX))));
sarg = value_pow_0;
}
}
d_Qedj2_dX = (d_Qec_dX+(((1.0-modelStruct.modelPar_MJSWD2)*(((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.d_instanceVar_Czbdsw_dX+(modelStruct.modelPar_SJSWD*instanceStruct.d_instanceVar_pb22d_dX+modelStruct.d_modelPar_SJSWD_dX*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))-(((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWD2_dX))/(1.0-modelStruct.modelPar_MJSWD2)/(1.0-modelStruct.modelPar_MJSWD2)));
Qedj2 = (Qec+((((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWD2)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj2_dX = (d_Qec_dX-(((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.d_instanceVar_Czbdsw_dX+(modelStruct.modelPar_SJSWD*instanceStruct.d_instanceVar_pb22d_dX+modelStruct.d_modelPar_SJSWD_dX*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qedj2 = (Qec-(((modelStruct.modelPar_SJSWD*instanceStruct.instanceVar_pb22d)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWD!=1))
{
if ((modelStruct.modelPar_MJSWD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD_dX))));
sarg = value_pow_0;
}
}
d_Qedj2_dX = (((1.0-modelStruct.modelPar_MJSWD)*((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWD_t*instanceStruct.d_instanceVar_Czbdsw_dX+instanceStruct.d_instanceVar_PBSWD_t_dX*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWD_dX))/(1.0-modelStruct.modelPar_MJSWD)/(1.0-modelStruct.modelPar_MJSWD));
Qedj2 = (((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj2_dX = (((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.d_instanceVar_Czbdsw_dX+(-instanceStruct.d_instanceVar_PBSWD_t_dX)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj2 = (((-instanceStruct.instanceVar_PBSWD_t)*instanceStruct.instanceVar_Czbdsw)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if ((modelStruct.modelPar_MJSWD!=1))
{
if ((modelStruct.modelPar_MJSWD==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-modelStruct.modelPar_MJSWD));
double  deriv_pow_0_d1 = (0.1 == 0.0)?0.0:(log(0.1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWD_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T3_dX = (-(-modelStruct.d_modelPar_MJSWD_dX)/(1.0-modelStruct.modelPar_MJSWD)/(1.0-modelStruct.modelPar_MJSWD));
instanceStruct.instanceVar_T3 = (1.0/(1.0-modelStruct.modelPar_MJSWD));
d_T5_dX = (instanceStruct.instanceVar_T3*(-(((0.05*modelStruct.modelPar_MJSWD)*(1.0+modelStruct.modelPar_MJSWD))*instanceStruct.d_instanceVar_T2_dX+((0.05*modelStruct.modelPar_MJSWD)*modelStruct.d_modelPar_MJSWD_dX+0.05*modelStruct.d_modelPar_MJSWD_dX*(1.0+modelStruct.modelPar_MJSWD))*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T3_dX*(1.0-(((0.05*modelStruct.modelPar_MJSWD)*(1.0+modelStruct.modelPar_MJSWD))*instanceStruct.instanceVar_T2)));
T5 = (instanceStruct.instanceVar_T3*(1.0-(((0.05*modelStruct.modelPar_MJSWD)*(1.0+modelStruct.modelPar_MJSWD))*instanceStruct.instanceVar_T2)));
}
else
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));
d_T5_dX = 0.0;
T5 = (1.5-value_log_0);
}
}
d_T4_dX = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWD)*instanceStruct.d_instanceVar_T1_dX+5.0*modelStruct.d_modelPar_MJSWD_dX*(instanceStruct.instanceVar_T1-1.0))+modelStruct.d_modelPar_MJSWD_dX)+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWD)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWD)));
T4 = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWD)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWD)));
d_Qedj2_dX = ((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(d_T4_dX+d_T5_dX)+(instanceStruct.instanceVar_PBSWD_t*instanceStruct.d_instanceVar_Czbdsw_dX+instanceStruct.d_instanceVar_PBSWD_t_dX*instanceStruct.instanceVar_Czbdsw)*(T4+T5));
Qedj2 = ((instanceStruct.instanceVar_PBSWD_t*instanceStruct.instanceVar_Czbdsw)*(T4+T5));
}
}
else
{
d_Qedj2_dX = 0.0;
Qedj2 = 0.0;
}
}
{
if ((instanceStruct.instanceVar_Czbdswg>0.0))
{
instanceStruct.d_instanceVar_T1_dX = (-ved_jct*instanceStruct.d_instanceVar_PBSWGD_t_dX/instanceStruct.instanceVar_PBSWGD_t/instanceStruct.instanceVar_PBSWGD_t);
instanceStruct.instanceVar_T1 = (ved_jct/instanceStruct.instanceVar_PBSWGD_t);
if ((instanceStruct.instanceVar_T1<0.9))
{
if ((modelStruct.modelPar_SJSWGD>0.0))
{
if ((ved_jct>instanceStruct.instanceVar_vec3d))
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWGD!=1))
{
if ((modelStruct.modelPar_MJSWGD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD_dX))));
sarg = value_pow_0;
}
}
d_Qedj3_dX = (((1.0-modelStruct.modelPar_MJSWGD)*((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWGD_t*instanceStruct.d_instanceVar_Czbdswg_dX+instanceStruct.d_instanceVar_PBSWGD_t_dX*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGD_dX))/(1.0-modelStruct.modelPar_MJSWGD)/(1.0-modelStruct.modelPar_MJSWGD));
Qedj3 = (((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj3_dX = (((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.d_instanceVar_Czbdswg_dX+(-instanceStruct.d_instanceVar_PBSWGD_t_dX)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj3 = (((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
else
{
d_arg_dX = (-((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.d_instanceVar_vec3d_dX-instanceStruct.instanceVar_vec3d*instanceStruct.d_instanceVar_PBSWGD_t_dX)/instanceStruct.instanceVar_PBSWGD_t/instanceStruct.instanceVar_PBSWGD_t));
arg = (1.0-(instanceStruct.instanceVar_vec3d/instanceStruct.instanceVar_PBSWGD_t));
if ((modelStruct.modelPar_MJSWGD!=1))
{
if ((modelStruct.modelPar_MJSWGD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD_dX))));
sarg = value_pow_0;
}
}
d_Qec_dX = (((1.0-modelStruct.modelPar_MJSWGD)*((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWGD_t*instanceStruct.d_instanceVar_Czbdswg_dX+instanceStruct.d_instanceVar_PBSWGD_t_dX*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGD_dX))/(1.0-modelStruct.modelPar_MJSWGD)/(1.0-modelStruct.modelPar_MJSWGD));
Qec = (((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qec_dX = (((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.d_instanceVar_Czbdswg_dX+(-instanceStruct.d_instanceVar_PBSWGD_t_dX)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qec = (((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
d_arg_dX = (-((instanceStruct.instanceVar_pb23d*(-instanceStruct.d_instanceVar_vec3d_dX)-(ved_jct-instanceStruct.instanceVar_vec3d)*instanceStruct.d_instanceVar_pb23d_dX)/instanceStruct.instanceVar_pb23d/instanceStruct.instanceVar_pb23d));
arg = (1.0-((ved_jct-instanceStruct.instanceVar_vec3d)/instanceStruct.instanceVar_pb23d));
if ((modelStruct.modelPar_MJSWGD2!=1))
{
if ((modelStruct.modelPar_MJSWGD2==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGD2));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGD2)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD2_dX))));
sarg = value_pow_0;
}
}
d_Qedj3_dX = (d_Qec_dX+(((1.0-modelStruct.modelPar_MJSWGD2)*(((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.d_instanceVar_Czbdswg_dX+(modelStruct.modelPar_SJSWGD*instanceStruct.d_instanceVar_pb23d_dX+modelStruct.d_modelPar_SJSWGD_dX*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))-(((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGD2_dX))/(1.0-modelStruct.modelPar_MJSWGD2)/(1.0-modelStruct.modelPar_MJSWGD2)));
Qedj3 = (Qec+((((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGD2)));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj3_dX = (d_Qec_dX-(((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.d_instanceVar_Czbdswg_dX+(modelStruct.modelPar_SJSWGD*instanceStruct.d_instanceVar_pb23d_dX+modelStruct.d_modelPar_SJSWGD_dX*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
Qedj3 = (Qec-(((modelStruct.modelPar_SJSWGD*instanceStruct.instanceVar_pb23d)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534))));
}
}
}
}
else
{
d_arg_dX = (-instanceStruct.d_instanceVar_T1_dX);
arg = (1.0-instanceStruct.instanceVar_T1);
if ((modelStruct.modelPar_MJSWGD!=1))
{
if ((modelStruct.modelPar_MJSWGD==0.5))
{
{
double value_sqrt_0 = sqrt(arg);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_sarg_dX = (-deriv_sqrt_0_d0*(d_arg_dX)/value_sqrt_0/value_sqrt_0);
sarg = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(arg,(-modelStruct.modelPar_MJSWGD));
double  deriv_pow_0_d0 = ((arg == 0.0)?0.0:(value_pow_0*(-modelStruct.modelPar_MJSWGD)/arg));
double  deriv_pow_0_d1 = (arg == 0.0)?0.0:(log(arg)*value_pow_0);
d_sarg_dX = ((deriv_pow_0_d0*(d_arg_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD_dX))));
sarg = value_pow_0;
}
}
d_Qedj3_dX = (((1.0-modelStruct.modelPar_MJSWGD)*((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(-(arg*d_sarg_dX+d_arg_dX*sarg))+(instanceStruct.instanceVar_PBSWGD_t*instanceStruct.d_instanceVar_Czbdswg_dX+instanceStruct.d_instanceVar_PBSWGD_t_dX*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))-((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))*(-modelStruct.d_modelPar_MJSWGD_dX))/(1.0-modelStruct.modelPar_MJSWGD)/(1.0-modelStruct.modelPar_MJSWGD));
Qedj3 = (((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(1.0-(arg*sarg)))/(1.0-modelStruct.modelPar_MJSWGD));
}
else
{
{
double value_log_0 = log(arg);
double  deriv_log_0_d0 = (1.0/arg);
d_Qedj3_dX = (((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?deriv_log_0_d0*(d_arg_dX):0.0)+((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.d_instanceVar_Czbdswg_dX+(-instanceStruct.d_instanceVar_PBSWGD_t_dX)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
Qedj3 = (((-instanceStruct.instanceVar_PBSWGD_t)*instanceStruct.instanceVar_Czbdswg)*((arg>1.0e-38)?value_log_0:(-87.498233534)));
}
}
}
}
else
{
if ((modelStruct.modelPar_MJSWGD!=1))
{
if ((modelStruct.modelPar_MJSWGD==0.5))
{
{
double value_sqrt_0 = sqrt(static_cast<double>(0.1));
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (1.0/value_sqrt_0);
}
}
else
{
{
double value_pow_0 = pow(0.1,(-modelStruct.modelPar_MJSWGD));
double  deriv_pow_0_d1 = (0.1 == 0.0)?0.0:(log(0.1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = (deriv_pow_0_d1*((-modelStruct.d_modelPar_MJSWGD_dX)));
instanceStruct.instanceVar_T2 = value_pow_0;
}
}
instanceStruct.d_instanceVar_T3_dX = (-(-modelStruct.d_modelPar_MJSWGD_dX)/(1.0-modelStruct.modelPar_MJSWGD)/(1.0-modelStruct.modelPar_MJSWGD));
instanceStruct.instanceVar_T3 = (1.0/(1.0-modelStruct.modelPar_MJSWGD));
d_T5_dX = (instanceStruct.instanceVar_T3*(-(((0.05*modelStruct.modelPar_MJSWGD)*(1.0+modelStruct.modelPar_MJSWGD))*instanceStruct.d_instanceVar_T2_dX+((0.05*modelStruct.modelPar_MJSWGD)*modelStruct.d_modelPar_MJSWGD_dX+0.05*modelStruct.d_modelPar_MJSWGD_dX*(1.0+modelStruct.modelPar_MJSWGD))*instanceStruct.instanceVar_T2))+instanceStruct.d_instanceVar_T3_dX*(1.0-(((0.05*modelStruct.modelPar_MJSWGD)*(1.0+modelStruct.modelPar_MJSWGD))*instanceStruct.instanceVar_T2)));
T5 = (instanceStruct.instanceVar_T3*(1.0-(((0.05*modelStruct.modelPar_MJSWGD)*(1.0+modelStruct.modelPar_MJSWGD))*instanceStruct.instanceVar_T2)));
}
else
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = 10.0;
{
double value_log_0 = log(static_cast<double>(0.1));
d_T5_dX = 0.0;
T5 = (1.5-value_log_0);
}
}
d_T4_dX = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWGD)*instanceStruct.d_instanceVar_T1_dX+5.0*modelStruct.d_modelPar_MJSWGD_dX*(instanceStruct.instanceVar_T1-1.0))+modelStruct.d_modelPar_MJSWGD_dX)+(instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX+instanceStruct.d_instanceVar_T2_dX*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWGD)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWGD)));
T4 = ((instanceStruct.instanceVar_T2*(instanceStruct.instanceVar_T1-1.0))*(((5.0*modelStruct.modelPar_MJSWGD)*(instanceStruct.instanceVar_T1-1.0))+(1.0+modelStruct.modelPar_MJSWGD)));
d_Qedj3_dX = ((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(d_T4_dX+d_T5_dX)+(instanceStruct.instanceVar_PBSWGD_t*instanceStruct.d_instanceVar_Czbdswg_dX+instanceStruct.d_instanceVar_PBSWGD_t_dX*instanceStruct.instanceVar_Czbdswg)*(T4+T5));
Qedj3 = ((instanceStruct.instanceVar_PBSWGD_t*instanceStruct.instanceVar_Czbdswg)*(T4+T5));
}
}
else
{
d_Qedj3_dX = 0.0;
Qedj3 = 0.0;
}
}
instanceStruct.d_instanceVar_Qedj_dX = ((d_Qedj1_dX+d_Qedj2_dX)+d_Qedj3_dX);
instanceStruct.instanceVar_Qedj = ((Qedj1+Qedj2)+Qedj3);
}
d_Qes_dX = (instanceStruct.d_instanceVar_Qesj_dX+instanceStruct.d_instanceVar_csbox_dX*ves_jct);
Qes = (instanceStruct.instanceVar_Qesj+(instanceStruct.instanceVar_csbox*ves_jct));
d_Qed_dX = (instanceStruct.d_instanceVar_Qedj_dX+instanceStruct.d_instanceVar_cdbox_dX*ved_jct);
Qed = (instanceStruct.instanceVar_Qedj+(instanceStruct.instanceVar_cdbox*ved_jct));
d_Qeg_dX = instanceStruct.d_instanceVar_cgbox_dX*instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_e_ge]);
Qeg = ((instanceStruct.instanceVar_cgbox*instanceStruct.instanceVar_devsign)*(probeVars[admsProbeID_V_e_ge]));
if ((modelStruct.modelPar_BULKMOD!=0))
{
instanceStruct.d_instanceVar_T2_dX = 0.0;
instanceStruct.instanceVar_T2 = (instanceStruct.instanceVar_devsign*(probeVars[admsProbeID_V_ge_e]));
instanceStruct.d_instanceVar_T3_dX = ((((instanceStruct.d_instanceVar_T2_dX-instanceStruct.d_instanceVar_deltaPhi_dX)+(instanceStruct.d_instanceVar_Eg_dX/2.0))+instanceStruct.d_instanceVar_phib_dX)-modelStruct.d_modelPar_DELVFBACC_dX);
instanceStruct.instanceVar_T3 = ((((instanceStruct.instanceVar_T2-instanceStruct.instanceVar_deltaPhi)+(instanceStruct.instanceVar_Eg/2.0))+instanceStruct.instanceVar_phib)-modelStruct.modelPar_DELVFBACC);
instanceStruct.d_instanceVar_T0_dX = instanceStruct.d_instanceVar_T3_dX;
instanceStruct.instanceVar_T0 = (instanceStruct.instanceVar_T3+0.02);
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0)+(4.0*0.02)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vge_overlap_dX = 0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0)));
vge_overlap = (0.5*(instanceStruct.instanceVar_T0+value_sqrt_0));
}
{
double value_sqrt_0 = sqrt((1.0+((4.0*vge_overlap)/instanceStruct.instanceVar_CKAPPAB_i)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Qeg_dX = (d_Qeg_dX-((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_LeffCV)*(instanceStruct.instanceVar_CGBL_i*((instanceStruct.d_instanceVar_T3_dX-d_vge_overlap_dX)+((0.5*instanceStruct.instanceVar_CKAPPAB_i)*deriv_sqrt_0_d0*(((instanceStruct.instanceVar_CKAPPAB_i*4.0*d_vge_overlap_dX-(4.0*vge_overlap)*instanceStruct.d_instanceVar_CKAPPAB_i_dX)/instanceStruct.instanceVar_CKAPPAB_i/instanceStruct.instanceVar_CKAPPAB_i))+0.5*instanceStruct.d_instanceVar_CKAPPAB_i_dX*(value_sqrt_0-1.0)))+instanceStruct.d_instanceVar_CGBL_i_dX*((instanceStruct.instanceVar_T3-vge_overlap)+((0.5*instanceStruct.instanceVar_CKAPPAB_i)*(value_sqrt_0-1.0))))+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_LeffCV_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_LeffCV)*(instanceStruct.instanceVar_CGBL_i*((instanceStruct.instanceVar_T3-vge_overlap)+((0.5*instanceStruct.instanceVar_CKAPPAB_i)*(value_sqrt_0-1.0))))));
Qeg = (Qeg-((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_LeffCV)*(instanceStruct.instanceVar_CGBL_i*((instanceStruct.instanceVar_T3-vge_overlap)+((0.5*instanceStruct.instanceVar_CKAPPAB_i)*(value_sqrt_0-1.0))))));
}
}
instanceStruct.d_instanceVar_T1_dX = vds*(instanceStruct.d_instanceVar_AIGEN_i_dX+instanceStruct.d_instanceVar_BIGEN_i_dX*vds*vds);
instanceStruct.instanceVar_T1 = (vds*(instanceStruct.instanceVar_AIGEN_i+((instanceStruct.instanceVar_BIGEN_i*vds)*vds)));
d_idsgen_dX = ((((modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN)*(instanceStruct.instanceVar_Leff-(2.0*instanceStruct.instanceVar_LINTIGEN_i)))*instanceStruct.instanceVar_igentemp)*instanceStruct.d_instanceVar_T1_dX+(((modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN)*(instanceStruct.instanceVar_Leff-(2.0*instanceStruct.instanceVar_LINTIGEN_i)))*instanceStruct.d_instanceVar_igentemp_dX+((modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN)*(instanceStruct.d_instanceVar_Leff_dX-2.0*instanceStruct.d_instanceVar_LINTIGEN_i_dX)+(modelStruct.modelPar_HFIN*instanceStruct.d_instancePar_TFIN_dX+modelStruct.d_modelPar_HFIN_dX*instanceStruct.instancePar_TFIN)*(instanceStruct.instanceVar_Leff-(2.0*instanceStruct.instanceVar_LINTIGEN_i)))*instanceStruct.instanceVar_igentemp)*instanceStruct.instanceVar_T1);
idsgen = ((((modelStruct.modelPar_HFIN*instanceStruct.instancePar_TFIN)*(instanceStruct.instanceVar_Leff-(2.0*instanceStruct.instanceVar_LINTIGEN_i)))*instanceStruct.instanceVar_igentemp)*instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_T0_dX = ((instanceStruct.instanceVar_Leff*((ueff*coxeff)*instanceStruct.d_instanceVar_Weff0_dX+(ueff*d_coxeff_dX+d_ueff_dX*coxeff)*instanceStruct.instanceVar_Weff0)-((ueff*coxeff)*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_Leff_dX)/instanceStruct.instanceVar_Leff/instanceStruct.instanceVar_Leff);
instanceStruct.instanceVar_T0 = (((ueff*coxeff)*instanceStruct.instanceVar_Weff0)/instanceStruct.instanceVar_Leff);
if (((modelStruct.modelPar_NQSMOD!=0)&&(instanceStruct.instanceVar_XRCRG1_i!=0.0)))
{
d_IdovVds_dX = ((((Dmob*Dvsat)*instanceStruct.instanceVar_Dr)*((beta*ids0_ov_dqi)*d_Moc_dX+(beta*d_ids0_ov_dqi_dX+d_beta_dX*ids0_ov_dqi)*Moc)-((beta*ids0_ov_dqi)*Moc)*((Dmob*Dvsat)*instanceStruct.d_instanceVar_Dr_dX+(Dmob*d_Dvsat_dX+d_Dmob_dX*Dvsat)*instanceStruct.instanceVar_Dr))/((Dmob*Dvsat)*instanceStruct.instanceVar_Dr)/((Dmob*Dvsat)*instanceStruct.instanceVar_Dr));
IdovVds = (((beta*ids0_ov_dqi)*Moc)/((Dmob*Dvsat)*instanceStruct.instanceVar_Dr));
instanceStruct.d_instanceVar_gcrg_dX = ((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_XRCRG1_i)*(d_IdovVds_dX+((instanceStruct.instanceVar_XRCRG2_i*instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_T0_dX+(instanceStruct.instanceVar_XRCRG2_i*instanceStruct.d_instanceVar_Vtm_dX+instanceStruct.d_instanceVar_XRCRG2_i_dX*instanceStruct.instanceVar_Vtm)*instanceStruct.instanceVar_T0))+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_XRCRG1_i_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_XRCRG1_i)*(IdovVds+((instanceStruct.instanceVar_XRCRG2_i*instanceStruct.instanceVar_Vtm)*instanceStruct.instanceVar_T0)));
instanceStruct.instanceVar_gcrg = ((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_XRCRG1_i)*(IdovVds+((instanceStruct.instanceVar_XRCRG2_i*instanceStruct.instanceVar_Vtm)*instanceStruct.instanceVar_T0)));
}
if ((modelStruct.modelPar_NQSMOD==2))
{
instanceStruct.d_instanceVar_gtau_dX = ((((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)*1e-9*instanceStruct.d_instanceVar_gcrg_dX-(1e-9*instanceStruct.instanceVar_gcrg)*((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_Leff_dX+(instanceStruct.instanceVar_cox*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_cox_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff))/((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff)/((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff));
instanceStruct.instanceVar_gtau = ((1e-9*instanceStruct.instanceVar_gcrg)/((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_Leff));
}
instanceStruct.d_instanceVar_igidl_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igidl);
instanceStruct.instanceVar_igidl = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igidl);
instanceStruct.d_instanceVar_igisl_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igisl);
instanceStruct.instanceVar_igisl = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igisl);
instanceStruct.d_instanceVar_igidlb_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igidlb_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igidlb);
instanceStruct.instanceVar_igidlb = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igidlb);
instanceStruct.d_instanceVar_igislb_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igislb_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igislb);
instanceStruct.instanceVar_igislb = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igislb);
instanceStruct.d_instanceVar_igcd_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igcd_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igcd);
instanceStruct.instanceVar_igcd = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igcd);
instanceStruct.d_instanceVar_igcs_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igcs_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igcs);
instanceStruct.instanceVar_igcs = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igcs);
instanceStruct.d_instanceVar_igs_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igs_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igs);
instanceStruct.instanceVar_igs = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igs);
instanceStruct.d_instanceVar_igd_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igd_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igd);
instanceStruct.instanceVar_igd = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igd);
instanceStruct.d_instanceVar_igbinv_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igbinv);
instanceStruct.instanceVar_igbinv = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igbinv);
instanceStruct.d_instanceVar_igbacc_dX = (instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_igbacc_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_igbacc);
instanceStruct.instanceVar_igbacc = (instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_igbacc);
d_idsgen_dX = (instanceStruct.instanceVar_NFINtotal*d_idsgen_dX+instanceStruct.d_instanceVar_NFINtotal_dX*idsgen);
idsgen = (instanceStruct.instanceVar_NFINtotal*idsgen);
if ((modelStruct.modelPar_BULKMOD==0))
{
instanceStruct.d_instanceVar_igbs_dX = ((instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc)*d_wf_dX+(instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_igbacc_dX)*wf);
instanceStruct.instanceVar_igbs = ((instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc)*wf);
instanceStruct.d_instanceVar_igbd_dX = ((instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc)*d_wr_dX+(instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_igbacc_dX)*wr);
instanceStruct.instanceVar_igbd = ((instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc)*wr);
}
d_Esatnoi_dX = ((ueff*2.0*d_VSAT_a_dX-(2.0*VSAT_a)*d_ueff_dX)/ueff/ueff);
Esatnoi = ((2.0*VSAT_a)/ueff);
if ((((modelStruct.modelPar_NOIA>0.0)||(modelStruct.modelPar_NOIB>0.0))||(modelStruct.modelPar_NOIC>0.0)))
{
d_Leffnoi_dX = (instanceStruct.d_instanceVar_Leff_dX-2.0*modelStruct.d_modelPar_LINTNOI_dX);
Leffnoi = (instanceStruct.instanceVar_Leff-(2.0*modelStruct.modelPar_LINTNOI));
if ((Leffnoi<=0.0))
{
UserInfo(theInstance)  << "Warning: LINTNOI = %g is too large to have positive Leff for noise. Set LINTNOI = 0." << " " << modelStruct.modelPar_LINTNOI << " " <<  std::endl; 
d_Leffnoi_dX = instanceStruct.d_instanceVar_Leff_dX;
Leffnoi = instanceStruct.instanceVar_Leff;
}
d_Leffnoisq_dX = (Leffnoi*d_Leffnoi_dX+d_Leffnoi_dX*Leffnoi);
Leffnoisq = (Leffnoi*Leffnoi);
if ((modelStruct.modelPar_EM>0.0))
{
instanceStruct.d_instanceVar_T0_dX = ((Esatnoi*(((instanceStruct.instanceVar_litl*d_diffVds_dX-diffVds*instanceStruct.d_instanceVar_litl_dX)/instanceStruct.instanceVar_litl/instanceStruct.instanceVar_litl)+modelStruct.d_modelPar_EM_dX)-((diffVds/instanceStruct.instanceVar_litl)+modelStruct.modelPar_EM)*d_Esatnoi_dX)/Esatnoi/Esatnoi);
instanceStruct.instanceVar_T0 = (((diffVds/instanceStruct.instanceVar_litl)+modelStruct.modelPar_EM)/Esatnoi);
{
double value_log_0 = log(instanceStruct.instanceVar_T0);
double  deriv_log_0_d0 = (1.0/instanceStruct.instanceVar_T0);
d_DelClm_dX = (instanceStruct.instanceVar_litl*((instanceStruct.instanceVar_T0>1.0e-38)?deriv_log_0_d0*(instanceStruct.d_instanceVar_T0_dX):0.0)+instanceStruct.d_instanceVar_litl_dX*((instanceStruct.instanceVar_T0>1.0e-38)?value_log_0:(-87.498233534)));
DelClm = (instanceStruct.instanceVar_litl*((instanceStruct.instanceVar_T0>1.0e-38)?value_log_0:(-87.498233534)));
}
}
else
{
d_DelClm_dX = 0.0;
DelClm = 0.0;
}
if ((modelStruct.modelPar_FNMOD==1))
{
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_QSREF_i*d_qia2_dX-qia2*instanceStruct.d_instanceVar_QSREF_i_dX)/instanceStruct.instanceVar_QSREF_i/instanceStruct.instanceVar_QSREF_i);
instanceStruct.instanceVar_T1 = (qia2/instanceStruct.instanceVar_QSREF_i);
{
double value_pow_0 = pow(instanceStruct.instanceVar_T1,instanceStruct.instanceVar_MPOWER_i);
double  deriv_pow_0_d0 = ((instanceStruct.instanceVar_T1 == 0.0)?0.0:(value_pow_0*instanceStruct.instanceVar_MPOWER_i/instanceStruct.instanceVar_T1));
double  deriv_pow_0_d1 = (instanceStruct.instanceVar_T1 == 0.0)?0.0:(log(instanceStruct.instanceVar_T1)*value_pow_0);
instanceStruct.d_instanceVar_T2_dX = ((deriv_pow_0_d0*(instanceStruct.d_instanceVar_T1_dX))+(deriv_pow_0_d1*(instanceStruct.d_instanceVar_MPOWER_i_dX)));
instanceStruct.instanceVar_T2 = (1+value_pow_0);
}
instanceStruct.d_instanceVar_T3_dX = ((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_NOIA2_i_dX-instanceStruct.instanceVar_NOIA2_i*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2);
instanceStruct.instanceVar_T3 = (instanceStruct.instanceVar_NOIA2_i/instanceStruct.instanceVar_T2);
d_T4_dX = ((modelStruct.modelPar_NOIA*instanceStruct.d_instanceVar_T3_dX-instanceStruct.instanceVar_T3*modelStruct.d_modelPar_NOIA_dX)/modelStruct.modelPar_NOIA/modelStruct.modelPar_NOIA);
T4 = (instanceStruct.instanceVar_T3/modelStruct.modelPar_NOIA);
{
double value_sqrt_0 = sqrt((((T4-1)*(T4-1))+((0.25*modelStruct.modelPar_SMOOTH)*modelStruct.modelPar_SMOOTH)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T5_dX = 0.5*(d_T4_dX+deriv_sqrt_0_d0*((((T4-1)*d_T4_dX+d_T4_dX*(T4-1))+((0.25*modelStruct.modelPar_SMOOTH)*modelStruct.d_modelPar_SMOOTH_dX+0.25*modelStruct.d_modelPar_SMOOTH_dX*modelStruct.modelPar_SMOOTH))));
T5 = (0.5*((T4+1)+value_sqrt_0));
}
d_NOIAeff_dX = (modelStruct.modelPar_NOIA*d_T5_dX+modelStruct.d_modelPar_NOIA_dX*T5);
NOIAeff = (modelStruct.modelPar_NOIA*T5);
}
else
{
d_NOIAeff_dX = modelStruct.d_modelPar_NOIA_dX;
NOIAeff = modelStruct.modelPar_NOIA;
}
{
double value_fabs_0 = fabs(ids);
double  deriv_fabs_0_d0 = (((ids)>=0)?(+1.0):(-1.0));
instanceStruct.d_instanceVar_T1_dX = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*instanceStruct.instanceVar_Vtm)*value_fabs_0)*d_ueff_dX+((((1.60219e-19*1.60219e-19)*1.60219e-19)*instanceStruct.instanceVar_Vtm)*deriv_fabs_0_d0*(d_ids_dX)+((1.60219e-19*1.60219e-19)*1.60219e-19)*instanceStruct.d_instanceVar_Vtm_dX*value_fabs_0)*ueff);
instanceStruct.instanceVar_T1 = (((((1.60219e-19*1.60219e-19)*1.60219e-19)*instanceStruct.instanceVar_Vtm)*value_fabs_0)*ueff);
}
instanceStruct.d_instanceVar_T2_dX = ((1.0e10*coxeff)*d_Leffnoisq_dX+1.0e10*d_coxeff_dX*Leffnoisq);
instanceStruct.instanceVar_T2 = ((1.0e10*coxeff)*Leffnoisq);
d_N0_dX = ((coxeff*d_qis_dX+d_coxeff_dX*qis)/1.60219e-19);
N0 = ((coxeff*qis)/1.60219e-19);
d_Nl_dX = ((coxeff*d_qid_dX+d_coxeff_dX*qid)/1.60219e-19);
Nl = ((coxeff*qid)/1.60219e-19);
d_Nstar_dX = ((instanceStruct.instanceVar_Vtm/1.60219e-19)*(d_coxeff_dX+d_CIT_a_dX)+(instanceStruct.d_instanceVar_Vtm_dX/1.60219e-19)*(coxeff+CIT_a));
Nstar = ((instanceStruct.instanceVar_Vtm/1.60219e-19)*(coxeff+CIT_a));
{
double value_log_0 = log(((N0+Nstar)/(Nl+Nstar)));
double  deriv_log_0_d0 = (1.0/((N0+Nstar)/(Nl+Nstar)));
instanceStruct.d_instanceVar_T3_dX = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?deriv_log_0_d0*((((Nl+Nstar)*(d_N0_dX+d_Nstar_dX)-(N0+Nstar)*(d_Nl_dX+d_Nstar_dX))/(Nl+Nstar)/(Nl+Nstar))):0.0)+d_NOIAeff_dX*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
instanceStruct.instanceVar_T3 = (NOIAeff*((((N0+Nstar)/(Nl+Nstar))>1.0e-38)?value_log_0:(-87.498233534)));
}
d_T4_dX = (modelStruct.modelPar_NOIB*(d_N0_dX-d_Nl_dX)+modelStruct.d_modelPar_NOIB_dX*(N0-Nl));
T4 = (modelStruct.modelPar_NOIB*(N0-Nl));
d_T5_dX = ((0.5*modelStruct.modelPar_NOIC)*((N0*d_N0_dX+d_N0_dX*N0)-(Nl*d_Nl_dX+d_Nl_dX*Nl))+0.5*modelStruct.d_modelPar_NOIC_dX*((N0*N0)-(Nl*Nl)));
T5 = ((0.5*modelStruct.modelPar_NOIC)*((N0*N0)-(Nl*Nl)));
d_T6_dX = (((1.60219e-19*instanceStruct.instanceVar_Vtm)*ids)*d_ids_dX+((1.60219e-19*instanceStruct.instanceVar_Vtm)*d_ids_dX+1.60219e-19*instanceStruct.d_instanceVar_Vtm_dX*ids)*ids);
T6 = (((1.60219e-19*instanceStruct.instanceVar_Vtm)*ids)*ids);
d_T7_dX = (((1.0e10*Leffnoisq)*instanceStruct.instanceVar_Weff0)*instanceStruct.d_instanceVar_NFINtotal_dX+((1.0e10*Leffnoisq)*instanceStruct.d_instanceVar_Weff0_dX+1.0e10*d_Leffnoisq_dX*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_NFINtotal);
T7 = (((1.0e10*Leffnoisq)*instanceStruct.instanceVar_Weff0)*instanceStruct.instanceVar_NFINtotal);
d_T8_dX = ((d_NOIAeff_dX+(modelStruct.modelPar_NOIB*d_Nl_dX+modelStruct.d_modelPar_NOIB_dX*Nl))+((modelStruct.modelPar_NOIC*Nl)*d_Nl_dX+(modelStruct.modelPar_NOIC*d_Nl_dX+modelStruct.d_modelPar_NOIC_dX*Nl)*Nl));
T8 = ((NOIAeff+(modelStruct.modelPar_NOIB*Nl))+((modelStruct.modelPar_NOIC*Nl)*Nl));
d_T9_dX = ((Nl+Nstar)*(d_Nl_dX+d_Nstar_dX)+(d_Nl_dX+d_Nstar_dX)*(Nl+Nstar));
T9 = ((Nl+Nstar)*(Nl+Nstar));
d_Ssi_dX = (((instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T2)*((instanceStruct.d_instanceVar_T3_dX+d_T4_dX)+d_T5_dX)+((instanceStruct.instanceVar_T2*instanceStruct.d_instanceVar_T1_dX-instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T2_dX)/instanceStruct.instanceVar_T2/instanceStruct.instanceVar_T2)*((instanceStruct.instanceVar_T3+T4)+T5))+((T9*(((T6/T7)*DelClm)*d_T8_dX+((T6/T7)*d_DelClm_dX+((T7*d_T6_dX-T6*d_T7_dX)/T7/T7)*DelClm)*T8)-(((T6/T7)*DelClm)*T8)*d_T9_dX)/T9/T9));
Ssi = (((instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T2)*((instanceStruct.instanceVar_T3+T4)+T5))+((((T6/T7)*DelClm)*T8)/T9));
d_T10_dX = ((NOIAeff*1.60219e-19)*instanceStruct.d_instanceVar_Vtm_dX+d_NOIAeff_dX*1.60219e-19*instanceStruct.instanceVar_Vtm);
T10 = ((NOIAeff*1.60219e-19)*instanceStruct.instanceVar_Vtm);
d_T11_dX = (((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*Leffnoi)*1.0e10)*Nstar)*d_Nstar_dX+((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*Leffnoi)*1.0e10)*d_Nstar_dX+((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*d_Leffnoi_dX+(instanceStruct.instanceVar_Weff0*instanceStruct.d_instanceVar_NFINtotal_dX+instanceStruct.d_instanceVar_Weff0_dX*instanceStruct.instanceVar_NFINtotal)*Leffnoi)*1.0e10*Nstar)*Nstar);
T11 = (((((instanceStruct.instanceVar_Weff0*instanceStruct.instanceVar_NFINtotal)*Leffnoi)*1.0e10)*Nstar)*Nstar);
d_Swi_dX = (((T10/T11)*ids)*d_ids_dX+((T10/T11)*d_ids_dX+((T11*d_T10_dX-T10*d_T11_dX)/T11/T11)*ids)*ids);
Swi = (((T10/T11)*ids)*ids);
instanceStruct.d_instanceVar_T1_dX = (d_Swi_dX+d_Ssi_dX);
instanceStruct.instanceVar_T1 = (Swi+Ssi);
if ((instanceStruct.instanceVar_T1>0.0))
{
d_FNPowerAt1Hz_dX = ((instanceStruct.instanceVar_T1*(Ssi*d_Swi_dX+d_Ssi_dX*Swi)-(Ssi*Swi)*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1);
FNPowerAt1Hz = ((Ssi*Swi)/instanceStruct.instanceVar_T1);
}
else
{
d_FNPowerAt1Hz_dX = 0.0;
FNPowerAt1Hz = 0.0;
}
}
else
{
d_FNPowerAt1Hz_dX = 0.0;
FNPowerAt1Hz = 0.0;
}
if ( modelStruct.modelPar_TNOIMOD == (0))
{
instanceStruct.d_instanceVar_T0_dX = (ueff*d_qinv_dX+d_ueff_dX*qinv);
instanceStruct.instanceVar_T0 = (ueff*qinv);
instanceStruct.d_instanceVar_T1_dX = ((instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_Rdsi_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_Rdsi)+(instanceStruct.instanceVar_Leff*instanceStruct.d_instanceVar_Leff_dX+instanceStruct.d_instanceVar_Leff_dX*instanceStruct.instanceVar_Leff));
instanceStruct.instanceVar_T1 = ((instanceStruct.instanceVar_T0*instanceStruct.instanceVar_Rdsi)+(instanceStruct.instanceVar_Leff*instanceStruct.instanceVar_Leff));
d_Gtnoi_dX = ((instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T1)*modelStruct.d_modelPar_NTNOI_dX+((instanceStruct.instanceVar_T1*instanceStruct.d_instanceVar_T0_dX-instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T1_dX)/instanceStruct.instanceVar_T1/instanceStruct.instanceVar_T1)*modelStruct.modelPar_NTNOI);
Gtnoi = ((instanceStruct.instanceVar_T0/instanceStruct.instanceVar_T1)*modelStruct.modelPar_NTNOI);
instanceStruct.d_instanceVar_sid_dX = (((4.0*instanceStruct.instanceVar_Vtm)*1.60219e-19)*d_Gtnoi_dX+4.0*instanceStruct.d_instanceVar_Vtm_dX*1.60219e-19*Gtnoi);
instanceStruct.instanceVar_sid = (((4.0*instanceStruct.instanceVar_Vtm)*1.60219e-19)*Gtnoi);
}
else
if ( modelStruct.modelPar_TNOIMOD == (1))
{
instanceStruct.d_instanceVar_T0_dX = ((EsatL*d_qia_dX-qia*d_EsatL_dX)/EsatL/EsatL);
instanceStruct.instanceVar_T0 = (qia/EsatL);
instanceStruct.d_instanceVar_T0_dX = (instanceStruct.instanceVar_T0*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*instanceStruct.instanceVar_T0);
instanceStruct.instanceVar_T0 = (instanceStruct.instanceVar_T0*instanceStruct.instanceVar_T0);
d_noiBeta_dX = (modelStruct.modelPar_RNOIA*((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIA)*instanceStruct.d_instanceVar_Leff_dX+(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_TNOIA_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_TNOIA)*instanceStruct.instanceVar_Leff)+modelStruct.d_modelPar_RNOIA_dX*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIA)*instanceStruct.instanceVar_Leff)));
noiBeta = (modelStruct.modelPar_RNOIA*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIA)*instanceStruct.instanceVar_Leff)));
d_noiTheta_dX = (modelStruct.modelPar_RNOIB*((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIB)*instanceStruct.d_instanceVar_Leff_dX+(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_TNOIB_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_TNOIB)*instanceStruct.instanceVar_Leff)+modelStruct.d_modelPar_RNOIB_dX*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIB)*instanceStruct.instanceVar_Leff)));
noiTheta = (modelStruct.modelPar_RNOIB*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIB)*instanceStruct.instanceVar_Leff)));
d_noiCorr_dX = (modelStruct.modelPar_RNOIC*((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIC)*instanceStruct.d_instanceVar_Leff_dX+(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_TNOIC_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_TNOIC)*instanceStruct.instanceVar_Leff)+modelStruct.d_modelPar_RNOIC_dX*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIC)*instanceStruct.instanceVar_Leff)));
noiCorr = (modelStruct.modelPar_RNOIC*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIC)*instanceStruct.instanceVar_Leff)));
d_noiLowId_dX = (modelStruct.modelPar_RNOIK*((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIK)*instanceStruct.d_instanceVar_Leff_dX+(instanceStruct.instanceVar_T0*modelStruct.d_modelPar_TNOIK_dX+instanceStruct.d_instanceVar_T0_dX*modelStruct.modelPar_TNOIK)*instanceStruct.instanceVar_Leff)+modelStruct.d_modelPar_RNOIK_dX*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIK)*instanceStruct.instanceVar_Leff)));
noiLowId = (modelStruct.modelPar_RNOIK*(1.0+((instanceStruct.instanceVar_T0*modelStruct.modelPar_TNOIK)*instanceStruct.instanceVar_Leff)));
instanceStruct.d_instanceVar_T1_dX = ((3.0*noiBeta)*d_noiBeta_dX+3.0*d_noiBeta_dX*noiBeta);
instanceStruct.instanceVar_T1 = ((3.0*noiBeta)*noiBeta);
instanceStruct.d_instanceVar_T2_dX = ((7.5*noiTheta)*d_noiTheta_dX+7.5*d_noiTheta_dX*noiTheta);
instanceStruct.instanceVar_T2 = ((7.5*noiTheta)*noiTheta);
instanceStruct.d_instanceVar_T3_dX = 2.5298*d_noiCorr_dX;
instanceStruct.instanceVar_T3 = (2.5298*noiCorr);
d_noiEta_dX = ((qid/qis)*(-((Vdsat*d_Vdseff_dX-Vdseff*d_Vdsat_dX)/Vdsat/Vdsat))+((qis*d_qid_dX-qid*d_qis_dX)/qis/qis)*(1.0-(Vdseff/Vdsat)));
noiEta = ((qid/qis)*(1.0-(Vdseff/Vdsat)));
d_Dvsat3_dX = ((Dvsat*Dvsat)*d_Dvsat_dX+(Dvsat*d_Dvsat_dX+d_Dvsat_dX*Dvsat)*Dvsat);
Dvsat3 = ((Dvsat*Dvsat)*Dvsat);
d_noiWI_dX = (((q0+qia)*d_q0_dX-q0*(d_q0_dX+d_qia_dX))/(q0+qia)/(q0+qia));
noiWI = (q0/(q0+qia));
{
double value_max_0 = std::max(static_cast<double>(0.0),instanceStruct.instanceVar_K0SI_t);
double  deriv_max_0_d1 = ((0.0>=instanceStruct.instanceVar_K0SI_t)?0.0:1.0);
d_T4_dX = ((((value_max_0*qis)+(2.0*nVtm))*instanceStruct.d_instanceVar_K0_t_dX-instanceStruct.instanceVar_K0_t*((value_max_0*d_qis_dX+(deriv_max_0_d1*(instanceStruct.d_instanceVar_K0SI_t_dX))*qis)+2.0*d_nVtm_dX))/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
T4 = (instanceStruct.instanceVar_K0_t/((value_max_0*qis)+(2.0*nVtm)));
}
{
double value_exp_0 = exp((-T4));
double  deriv_exp_0_d0 = value_exp_0;
d_Mnud0_dX = (((-T4)>80.0)?5.540622384e34*(-d_T4_dX):(((-T4)<(-80.0))?0.0:deriv_exp_0_d0*((-d_T4_dX))));
Mnud0 = (((-T4)>80.0)?(5.540622384e34*((1.0+(-T4))-80.0)):(((-T4)<(-80.0))?1.804851387e-35:value_exp_0));
}
if ((modelStruct.modelPar_BULKMOD==2))
{
{
double value_sqrt_0 = sqrt(((instanceStruct.instanceVar_K2_t*instanceStruct.instanceVar_K2_t)+((4.0*1.0e-6)*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T4_dX = (((instanceStruct.instanceVar_K2_t==0.0)&&(1.0e-6==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_K2_t_dX+deriv_sqrt_0_d0*((instanceStruct.instanceVar_K2_t*instanceStruct.d_instanceVar_K2_t_dX+instanceStruct.d_instanceVar_K2_t_dX*instanceStruct.instanceVar_K2_t))));
T4 = (((instanceStruct.instanceVar_K2_t==0.0)&&(1.0e-6==0.0))?0.0:(0.5*(instanceStruct.instanceVar_K2_t+value_sqrt_0)));
}
{
double value_max_0 = std::max(static_cast<double>(0.0),instanceStruct.instanceVar_K2SI_t);
double  deriv_max_0_d1 = ((0.0>=instanceStruct.instanceVar_K2SI_t)?0.0:1.0);
d_T5_dX = ((((value_max_0*qis)+(2.0*nVtm))*d_T4_dX-T4*((value_max_0*d_qis_dX+(deriv_max_0_d1*(instanceStruct.d_instanceVar_K2SI_t_dX))*qis)+2.0*d_nVtm_dX))/((value_max_0*qis)+(2.0*nVtm))/((value_max_0*qis)+(2.0*nVtm)));
T5 = (T4/((value_max_0*qis)+(2.0*nVtm)));
}
{
double value_sqrt_0 = sqrt((instanceStruct.instanceVar_PHIBE_i-instanceStruct.instanceVar_veseff));
double value_sqrt_1 = sqrt(instanceStruct.instanceVar_PHIBE_i);
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
double  deriv_sqrt_1_d0 = (0.5/value_sqrt_1);
d_T6_dX = (deriv_sqrt_0_d0*((instanceStruct.d_instanceVar_PHIBE_i_dX-instanceStruct.d_instanceVar_veseff_dX))-deriv_sqrt_1_d0*(instanceStruct.d_instanceVar_PHIBE_i_dX));
T6 = (value_sqrt_0-value_sqrt_1);
}
{
double value_exp_0 = exp(((-T5)*T6));
double  deriv_exp_0_d0 = value_exp_0;
d_Mob0_dX = ((((-T5)*T6)>80.0)?5.540622384e34*((-T5)*d_T6_dX+(-d_T5_dX)*T6):((((-T5)*T6)<(-80.0))?0.0:deriv_exp_0_d0*(((-T5)*d_T6_dX+(-d_T5_dX)*T6))));
Mob0 = ((((-T5)*T6)>80.0)?(5.540622384e34*((1.0+((-T5)*T6))-80.0)):((((-T5)*T6)<(-80.0))?1.804851387e-35:value_exp_0));
}
}
else
{
d_Mob0_dX = 0.0;
Mob0 = 1.0;
}
d_Eeffm0_dX = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.d_instanceVar_qba_dX+(instanceStruct.instanceVar_eta_mu*d_qis_dX+instanceStruct.d_instanceVar_eta_mu_dX*qis))+instanceStruct.d_instanceVar_EeffFactor_dX*(instanceStruct.instanceVar_qba+(instanceStruct.instanceVar_eta_mu*qis)));
Eeffm0 = (instanceStruct.instanceVar_EeffFactor*(instanceStruct.instanceVar_qba+(instanceStruct.instanceVar_eta_mu*qis)));
{
double value_fabs_0 = fabs((qis/qb0));
double value_pow_1 = pow((0.5*(1.0+value_fabs_0)),instanceStruct.instanceVar_UCS_t);
double  deriv_fabs_0_d0 = ((((qis/qb0))>=0)?(+1.0):(-1.0));
double  deriv_pow_1_d0 = (((0.5*(1.0+value_fabs_0)) == 0.0)?0.0:(value_pow_1*instanceStruct.instanceVar_UCS_t/(0.5*(1.0+value_fabs_0))));
double  deriv_pow_1_d1 = ((0.5*(1.0+value_fabs_0)) == 0.0)?0.0:(log((0.5*(1.0+value_fabs_0)))*value_pow_1);
d_T4_dX = ((deriv_pow_1_d0*(0.5*deriv_fabs_0_d0*(((qb0*d_qis_dX-qis*d_qb0_dX)/qb0/qb0))))+(deriv_pow_1_d1*(instanceStruct.d_instanceVar_UCS_t_dX)));
T4 = value_pow_1;
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
{
double value_fabs_0 = fabs(Eeffm0);
double value_pow_1 = pow(value_fabs_0,EU_a);
double  deriv_fabs_0_d0 = (((Eeffm0)>=0)?(+1.0):(-1.0));
double  deriv_pow_1_d0 = ((value_fabs_0 == 0.0)?0.0:(value_pow_1*EU_a/value_fabs_0));
double  deriv_pow_1_d1 = (value_fabs_0 == 0.0)?0.0:(log(value_fabs_0)*value_pow_1);
d_T5_dX = (((UA_a+(UC_a*instanceStruct.instanceVar_veseff))*((deriv_pow_1_d0*(deriv_fabs_0_d0*(d_Eeffm0_dX)))+(deriv_pow_1_d1*(d_EU_a_dX)))+(d_UA_a_dX+(UC_a*instanceStruct.d_instanceVar_veseff_dX+d_UC_a_dX*instanceStruct.instanceVar_veseff))*value_pow_1)+((T4*d_UD_a_dX-UD_a*d_T4_dX)/T4/T4));
T5 = (((UA_a+(UC_a*instanceStruct.instanceVar_veseff))*value_pow_1)+(UD_a/T4));
}
}
else
{
{
double value_fabs_0 = fabs(Eeffm0);
double value_pow_1 = pow(value_fabs_0,EU_a);
double  deriv_fabs_0_d0 = (((Eeffm0)>=0)?(+1.0):(-1.0));
double  deriv_pow_1_d0 = ((value_fabs_0 == 0.0)?0.0:(value_pow_1*EU_a/value_fabs_0));
double  deriv_pow_1_d1 = (value_fabs_0 == 0.0)?0.0:(log(value_fabs_0)*value_pow_1);
d_T5_dX = ((UA_a*((deriv_pow_1_d0*(deriv_fabs_0_d0*(d_Eeffm0_dX)))+(deriv_pow_1_d1*(d_EU_a_dX)))+d_UA_a_dX*value_pow_1)+((T4*d_UD_a_dX-UD_a*d_T4_dX)/T4/T4));
T5 = ((UA_a*value_pow_1)+(UD_a/T4));
}
}
d_Dmob0_dX = d_T5_dX;
Dmob0 = (1.0+T5);
{
double value_sqrt_0 = sqrt((((Dmob0-1.0)*(Dmob0-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.modelPar_DMOBCLAMP)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_Dmob0_dX = ((((Dmob0==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:0.5*(d_Dmob0_dX+deriv_sqrt_0_d0*((((Dmob0-1.0)*d_Dmob0_dX+d_Dmob0_dX*(Dmob0-1.0))+((0.25*modelStruct.modelPar_DMOBCLAMP)*modelStruct.d_modelPar_DMOBCLAMP_dX+0.25*modelStruct.d_modelPar_DMOBCLAMP_dX*modelStruct.modelPar_DMOBCLAMP)))));
Dmob0 = ((((Dmob0==0.0)&&(1.0==0.0))&&(modelStruct.modelPar_DMOBCLAMP==0.0))?0.0:(0.5*((Dmob0+1.0)+value_sqrt_0)));
}
d_Dmob0_dX = ((instanceStruct.instancePar_U0MULT*d_Dmob0_dX-Dmob0*instanceStruct.d_instancePar_U0MULT_dX)/instanceStruct.instancePar_U0MULT/instanceStruct.instancePar_U0MULT);
Dmob0 = (Dmob0/instanceStruct.instancePar_U0MULT);
d_Dvsat0_dX = 0.25*modelStruct.d_modelPar_DVSATCLAMP_dX;
Dvsat0 = (1.0+(0.25*modelStruct.modelPar_DVSATCLAMP));
d_etaiv0_dX = (((q0+qis)*d_q0_dX-q0*(d_q0_dX+d_qis_dX))/(q0+qis)/(q0+qis));
etaiv0 = (q0/(q0+qis));
d_T4_dX = ((2.0-etaiv0)*d_nVtm_dX+(-d_etaiv0_dX)*nVtm);
T4 = ((2.0-etaiv0)*nVtm);
d_ids0_ov_dqi0_dX = (d_qis_dX+d_T4_dX);
ids0_ov_dqi0 = (qis+T4);
if ( modelStruct.modelPar_RDSMOD == (0))
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qis_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qis);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qis));
d_T5_dX = (-d_T4_dX/T4/T4);
T5 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T5*T5)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T6_dX = 0.5*(d_T5_dX+deriv_sqrt_0_d0*((T5*d_T5_dX+d_T5_dX*T5)));
T6 = (0.5*(T5+value_sqrt_0));
}
d_Rdsi0_dX = ((instanceStruct.instanceVar_rdstemp*(modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*T6)))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(instanceStruct.instanceVar_rdstemp*(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*d_T6_dX+instanceStruct.d_instanceVar_RDSW_i_dX*T6))+instanceStruct.d_instanceVar_rdstemp_dX*(modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*T6)))*instanceStruct.instanceVar_WeffWRFactor);
Rdsi0 = ((instanceStruct.instanceVar_rdstemp*(modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*T6)))*instanceStruct.instanceVar_WeffWRFactor);
instanceStruct.d_instanceVar_Dr0_dX = ((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dX+(((Dmob0*Dvsat0)*((instanceStruct.instanceVar_NFINtotal*beta)*d_ids0_ov_dqi0_dX+(instanceStruct.instanceVar_NFINtotal*d_beta_dX+instanceStruct.d_instanceVar_NFINtotal_dX*beta)*ids0_ov_dqi0)-((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi0)*(Dmob0*d_Dvsat0_dX+d_Dmob0_dX*Dvsat0))/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
instanceStruct.instanceVar_Dr0 = (1.0+((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*Rdsi0));
}
else
if ( modelStruct.modelPar_RDSMOD == (1))
{
instanceStruct.d_instanceVar_Dr0_dX = 0.0;
instanceStruct.instanceVar_Dr0 = 1.0;
}
else
if ( modelStruct.modelPar_RDSMOD == (2))
{
d_T4_dX = (instanceStruct.instanceVar_PRWGS_i*d_qis_dX+instanceStruct.d_instanceVar_PRWGS_i_dX*qis);
T4 = (1.0+(instanceStruct.instanceVar_PRWGS_i*qis));
d_T5_dX = (-d_T4_dX/T4/T4);
T5 = (1.0/T4);
{
double value_sqrt_0 = sqrt(((T5*T5)+0.01));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_T6_dX = 0.5*(d_T5_dX+deriv_sqrt_0_d0*((T5*d_T5_dX+d_T5_dX*T5)));
T6 = (0.5*(T5+value_sqrt_0));
}
d_Rdsi0_dX = ((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*T6))*instanceStruct.d_instanceVar_WeffWRFactor_dX+(modelStruct.d_modelPar_RDSWMIN_dX+(instanceStruct.instanceVar_RDSW_i*d_T6_dX+instanceStruct.d_instanceVar_RDSW_i_dX*T6))*instanceStruct.instanceVar_WeffWRFactor);
Rdsi0 = ((modelStruct.modelPar_RDSWMIN+(instanceStruct.instanceVar_RDSW_i*T6))*instanceStruct.instanceVar_WeffWRFactor);
d_Rdsi0_dX = (instanceStruct.instanceVar_rdstemp*((instanceStruct.d_instanceVar_RSourceGeo_dX+instanceStruct.d_instanceVar_RDrainGeo_dX)+d_Rdsi0_dX)+instanceStruct.d_instanceVar_rdstemp_dX*((instanceStruct.instanceVar_RSourceGeo+instanceStruct.instanceVar_RDrainGeo)+Rdsi0));
Rdsi0 = (instanceStruct.instanceVar_rdstemp*((instanceStruct.instanceVar_RSourceGeo+instanceStruct.instanceVar_RDrainGeo)+Rdsi0));
instanceStruct.d_instanceVar_Dr0_dX = ((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*d_Rdsi0_dX+(((Dmob0*Dvsat0)*((instanceStruct.instanceVar_NFINtotal*beta)*d_ids0_ov_dqi0_dX+(instanceStruct.instanceVar_NFINtotal*d_beta_dX+instanceStruct.d_instanceVar_NFINtotal_dX*beta)*ids0_ov_dqi0)-((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi0)*(Dmob0*d_Dvsat0_dX+d_Dmob0_dX*Dvsat0))/(Dmob0*Dvsat0)/(Dmob0*Dvsat0))*Rdsi0);
instanceStruct.instanceVar_Dr0 = (1.0+((((instanceStruct.instanceVar_NFINtotal*beta)*ids0_ov_dqi0)/(Dmob0*Dvsat0))*Rdsi0));
}
else
{
 // no default
}
d_noiGd0_dX = ((((Dmob0*Dvsat0)*instanceStruct.instanceVar_Dr0)*((((instanceStruct.instanceVar_NFINtotal*beta)*qis)*Mnud0)*d_Mob0_dX+(((instanceStruct.instanceVar_NFINtotal*beta)*qis)*d_Mnud0_dX+((instanceStruct.instanceVar_NFINtotal*beta)*d_qis_dX+(instanceStruct.instanceVar_NFINtotal*d_beta_dX+instanceStruct.d_instanceVar_NFINtotal_dX*beta)*qis)*Mnud0)*Mob0)-((((instanceStruct.instanceVar_NFINtotal*beta)*qis)*Mnud0)*Mob0)*((Dmob0*Dvsat0)*instanceStruct.d_instanceVar_Dr0_dX+(Dmob0*d_Dvsat0_dX+d_Dmob0_dX*Dvsat0)*instanceStruct.instanceVar_Dr0))/((Dmob0*Dvsat0)*instanceStruct.instanceVar_Dr0)/((Dmob0*Dvsat0)*instanceStruct.instanceVar_Dr0));
noiGd0 = (((((instanceStruct.instanceVar_NFINtotal*beta)*qis)*Mnud0)*Mob0)/((Dmob0*Dvsat0)*instanceStruct.instanceVar_Dr0));
d_T4_dX = d_noiEta_dX;
T4 = (1.0+noiEta);
d_T5_dX = (-d_noiEta_dX);
T5 = (1.0-noiEta);
d_T6_dX = (((2.0*noiWI)/qis)*d_nVtm_dX+((qis*2.0*d_noiWI_dX-(2.0*noiWI)*d_qis_dX)/qis/qis)*nVtm);
T6 = (((2.0*noiWI)/qis)*nVtm);
d_T7_dX = (d_T4_dX+d_T6_dX);
T7 = (T4+T6);
d_T5_2_dX = (T5*d_T5_dX+d_T5_dX*T5);
T5_2 = (T5*T5);
d_T5_3_dX = (T5_2*d_T5_dX+d_T5_2_dX*T5);
T5_3 = (T5_2*T5);
d_T5_4_dX = (T5_3*d_T5_dX+d_T5_3_dX*T5);
T5_4 = (T5_3*T5);
d_T7_2_dX = (T7*d_T7_dX+d_T7_dX*T7);
T7_2 = (T7*T7);
d_T7_3_dX = (T7_2*d_T7_dX+d_T7_2_dX*T7);
T7_3 = (T7_2*T7);
d_T7_4_dX = (T7_3*d_T7_dX+d_T7_3_dX*T7);
T7_4 = (T7_3*T7);
d_T7_5_dX = (T7_4*d_T7_dX+d_T7_4_dX*T7);
T7_5 = (T7_4*T7);
d_gamma1_dX = 0.5*d_T4_dX;
gamma1 = (0.5*T4);
d_gamma2_dX = (((6.0*T7)*d_T5_2_dX-T5_2*6.0*d_T7_dX)/(6.0*T7)/(6.0*T7));
gamma2 = (T5_2/(6.0*T7));
d_gamma_dX = ((Moc/Dvsat)*(d_gamma1_dX+d_gamma2_dX)+((Dvsat*d_Moc_dX-Moc*d_Dvsat_dX)/Dvsat/Dvsat)*(gamma1+gamma2));
gamma = ((Moc/Dvsat)*(gamma1+gamma2));
d_delta1_dX = ((T7_2*d_T4_dX-T4*d_T7_2_dX)/T7_2/T7_2);
delta1 = (T4/T7_2);
d_delta2_dX = (((15.0*T7_4)*(((6.0*T4)+T6)*d_T5_2_dX+(6.0*d_T4_dX+d_T6_dX)*T5_2)-(((6.0*T4)+T6)*T5_2)*15.0*d_T7_4_dX)/(15.0*T7_4)/(15.0*T7_4));
delta2 = ((((6.0*T4)+T6)*T5_2)/(15.0*T7_4));
d_delta3_dX = (((9.0*T7_5)*d_T5_4_dX-T5_4*9.0*d_T7_5_dX)/(9.0*T7_5)/(9.0*T7_5));
delta3 = (T5_4/(9.0*T7_5));
instanceStruct.d_instanceVar_delta_dX = (((Moc/6.0)*Dvsat3)*((d_delta1_dX-d_delta2_dX)+d_delta3_dX)+((Moc/6.0)*d_Dvsat3_dX+(d_Moc_dX/6.0)*Dvsat3)*((delta1-delta2)+delta3));
instanceStruct.instanceVar_delta = (((Moc/6.0)*Dvsat3)*((delta1-delta2)+delta3));
d_epsilon1_dX = ((T7*d_T5_dX-T5*d_T7_dX)/T7/T7);
epsilon1 = (T5/T7);
d_epsilon2_dX = (((3.0*T7_3)*d_T5_3_dX-T5_3*3.0*d_T7_3_dX)/(3.0*T7_3)/(3.0*T7_3));
epsilon2 = (T5_3/(3.0*T7_3));
d_epsilon_dX = (((Moc/6.0)*Dvsat)*(d_epsilon1_dX-d_epsilon2_dX)+((Moc/6.0)*d_Dvsat_dX+(d_Moc_dX/6.0)*Dvsat)*(epsilon1-epsilon2));
epsilon = (((Moc/6.0)*Dvsat)*(epsilon1-epsilon2));
{
double value_sqrt_0 = sqrt((gamma*instanceStruct.instanceVar_delta));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_ctnoi_dX = ((value_sqrt_0*(instanceStruct.instanceVar_T3*d_epsilon_dX+instanceStruct.d_instanceVar_T3_dX*epsilon)-(instanceStruct.instanceVar_T3*epsilon)*deriv_sqrt_0_d0*((gamma*instanceStruct.d_instanceVar_delta_dX+d_gamma_dX*instanceStruct.instanceVar_delta)))/value_sqrt_0/value_sqrt_0);
instanceStruct.instanceVar_ctnoi = ((instanceStruct.instanceVar_T3*epsilon)/value_sqrt_0);
}
if ((instanceStruct.instanceVar_ctnoi>1.0))
{
instanceStruct.d_instanceVar_ctnoi_dX = 0.0;
instanceStruct.instanceVar_ctnoi = 1.0;
}
else
{
if ((instanceStruct.instanceVar_ctnoi<0.0))
{
instanceStruct.d_instanceVar_ctnoi_dX = 0.0;
instanceStruct.instanceVar_ctnoi = 0.0;
}
}
d_T8_dX = (((noiLowId*noiLowId)/(modelStruct.modelPar_TNOIK2+qia))*((Vdsat*d_Vdseff_dX-Vdseff*d_Vdsat_dX)/Vdsat/Vdsat)+(((modelStruct.modelPar_TNOIK2+qia)*(noiLowId*d_noiLowId_dX+d_noiLowId_dX*noiLowId)-(noiLowId*noiLowId)*(modelStruct.d_modelPar_TNOIK2_dX+d_qia_dX))/(modelStruct.modelPar_TNOIK2+qia)/(modelStruct.modelPar_TNOIK2+qia))*(Vdseff/Vdsat));
T8 = (1.0+(((noiLowId*noiLowId)/(modelStruct.modelPar_TNOIK2+qia))*(Vdseff/Vdsat)));
d_gamma_dX = ((Moc/Dvsat)*((T8*d_gamma1_dX+d_T8_dX*gamma1)+(instanceStruct.instanceVar_T1*d_gamma2_dX+instanceStruct.d_instanceVar_T1_dX*gamma2))+((Dvsat*d_Moc_dX-Moc*d_Dvsat_dX)/Dvsat/Dvsat)*((T8*gamma1)+(instanceStruct.instanceVar_T1*gamma2)));
gamma = ((Moc/Dvsat)*((T8*gamma1)+(instanceStruct.instanceVar_T1*gamma2)));
instanceStruct.d_instanceVar_sid_dX = ((((4.0*instanceStruct.instanceVar_Vtm)*1.60219e-19)*gamma)*d_noiGd0_dX+(((4.0*instanceStruct.instanceVar_Vtm)*1.60219e-19)*d_gamma_dX+4.0*instanceStruct.d_instanceVar_Vtm_dX*1.60219e-19*gamma)*noiGd0);
instanceStruct.instanceVar_sid = ((((4.0*instanceStruct.instanceVar_Vtm)*1.60219e-19)*gamma)*noiGd0);
instanceStruct.d_instanceVar_delta_dX = ((((Moc/6.0)*Dvsat3)*instanceStruct.instanceVar_T2)*((d_delta1_dX-d_delta2_dX)+d_delta3_dX)+(((Moc/6.0)*Dvsat3)*instanceStruct.d_instanceVar_T2_dX+((Moc/6.0)*d_Dvsat3_dX+(d_Moc_dX/6.0)*Dvsat3)*instanceStruct.instanceVar_T2)*((delta1-delta2)+delta3));
instanceStruct.instanceVar_delta = ((((Moc/6.0)*Dvsat3)*instanceStruct.instanceVar_T2)*((delta1-delta2)+delta3));
{
double value_sqrt_0 = sqrt((instanceStruct.instanceVar_delta/gamma));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_sigrat_dX = ((noiGd0*((((value_sqrt_0*instanceStruct.instanceVar_NFINtotal)*coxeff)*instanceStruct.instanceVar_WeffCV0)*instanceStruct.d_instanceVar_LeffCV_dX+(((value_sqrt_0*instanceStruct.instanceVar_NFINtotal)*coxeff)*instanceStruct.d_instanceVar_WeffCV0_dX+((value_sqrt_0*instanceStruct.instanceVar_NFINtotal)*d_coxeff_dX+(value_sqrt_0*instanceStruct.d_instanceVar_NFINtotal_dX+deriv_sqrt_0_d0*(((gamma*instanceStruct.d_instanceVar_delta_dX-instanceStruct.instanceVar_delta*d_gamma_dX)/gamma/gamma))*instanceStruct.instanceVar_NFINtotal)*coxeff)*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)-((((value_sqrt_0*instanceStruct.instanceVar_NFINtotal)*coxeff)*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)*d_noiGd0_dX)/noiGd0/noiGd0);
instanceStruct.instanceVar_sigrat = (((((value_sqrt_0*instanceStruct.instanceVar_NFINtotal)*coxeff)*instanceStruct.instanceVar_WeffCV0)*instanceStruct.instanceVar_LeffCV)/noiGd0);
}
}
else
{
 // no default
}
if ((sigvds>0.0))
{
// I(di,si) <+ (((m*devsign)*ids))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_ids_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*ids);
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_ids_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*ids);
}
else
{
// I(si,di) <+ (((m*devsign)*ids))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_ids_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*ids);
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_ids_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*ids);
}
if ((modelStruct.modelPar_NQSMOD==2))
{
// I(gi,si) <+ ((((m*devsign)*gtau)*(-V(q,GND))))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_gtau_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_gtau)*(-(probeVars[admsProbeID_V_q_GND]));
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_gtau_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_gtau)*(-(probeVars[admsProbeID_V_q_GND]));
// I(di,si) <+ (((((m*devsign)*xdpart)*gtau)*V(q,GND)))
d_staticContributions_dX[admsNodeID_di]+= (((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*xdpart)*instanceStruct.d_instanceVar_gtau_dX+((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_xdpart_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*xdpart)*instanceStruct.instanceVar_gtau)*(probeVars[admsProbeID_V_q_GND]);
d_staticContributions_dX[(admsNodeID_si)]-= (((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*xdpart)*instanceStruct.d_instanceVar_gtau_dX+((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_xdpart_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*xdpart)*instanceStruct.instanceVar_gtau)*(probeVars[admsProbeID_V_q_GND]);
}
else
{
// I(di,si) <+ (((m*devsign)*ddt(qd)))
d_dynamicContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_qd_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(qd));
d_dynamicContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_qd_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(qd));
// I(gi,si) <+ (((m*devsign)*ddt(qg)))
d_dynamicContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_qg_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(qg));
d_dynamicContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_qg_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(qg));
}
if ((sigvds>0.0))
{
// I(di,si) <+ (((m*devsign)*idsgen))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_idsgen_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*idsgen);
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_idsgen_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*idsgen);
// I(gi,si) <+ (((m*devsign)*(igcs+igs)))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcs_dX+instanceStruct.d_instanceVar_igs_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcs+instanceStruct.instanceVar_igs));
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcs_dX+instanceStruct.d_instanceVar_igs_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcs+instanceStruct.instanceVar_igs));
// I(gi,di) <+ (((m*devsign)*(igcd+igd)))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcd_dX+instanceStruct.d_instanceVar_igd_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcd+instanceStruct.instanceVar_igd));
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcd_dX+instanceStruct.d_instanceVar_igd_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcd+instanceStruct.instanceVar_igd));
if ((modelStruct.modelPar_BULKMOD!=0))
{
if (((modelStruct.modelPar_GIDLMOD==2)&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
// I(di,si) <+ (((m*devsign)*(igidl+Iii)))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
// I(si,di) <+ (((m*devsign)*igisl))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
// I(di,e) <+ (((m*devsign)*igidlb))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igidlb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igidlb);
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igidlb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igidlb);
// I(si,e) <+ (((m*devsign)*igislb))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igislb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igislb);
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igislb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igislb);
}
else
{
// I(di,e) <+ (((m*devsign)*(igidl+Iii)))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
// I(si,e) <+ (((m*devsign)*igisl))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
}
// I(gi,e) <+ (((m*devsign)*(igbinv+igbacc)))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_igbacc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc));
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_igbacc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc));
}
else
{
// I(di,si) <+ (((m*devsign)*(igidl+Iii)))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
// I(si,di) <+ (((m*devsign)*igisl))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
}
}
else
{
// I(si,di) <+ (((m*devsign)*idsgen))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_idsgen_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*idsgen);
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*d_idsgen_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*idsgen);
// I(gi,di) <+ (((m*devsign)*(igcs+igs)))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcs_dX+instanceStruct.d_instanceVar_igs_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcs+instanceStruct.instanceVar_igs));
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcs_dX+instanceStruct.d_instanceVar_igs_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcs+instanceStruct.instanceVar_igs));
// I(gi,si) <+ (((m*devsign)*(igcd+igd)))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcd_dX+instanceStruct.d_instanceVar_igd_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcd+instanceStruct.instanceVar_igd));
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igcd_dX+instanceStruct.d_instanceVar_igd_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igcd+instanceStruct.instanceVar_igd));
if ((modelStruct.modelPar_BULKMOD!=0))
{
if (((modelStruct.modelPar_GIDLMOD==2)&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
// I(si,di) <+ (((m*devsign)*(igidl+Iii)))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
// I(di,si) <+ (((m*devsign)*igisl))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
// I(si,e) <+ (((m*devsign)*igidlb))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igidlb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igidlb);
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igidlb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igidlb);
// I(di,e) <+ (((m*devsign)*igislb))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igislb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igislb);
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igislb_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igislb);
}
else
{
// I(si,e) <+ (((m*devsign)*(igidl+Iii)))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
// I(di,e) <+ (((m*devsign)*igisl))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
}
// I(gi,e) <+ (((m*devsign)*(igbinv+igbacc)))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_igbacc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc));
d_staticContributions_dX[(admsNodeID_e)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igbinv_dX+instanceStruct.d_instanceVar_igbacc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igbinv+instanceStruct.instanceVar_igbacc));
}
else
{
// I(si,di) <+ (((m*devsign)*(igidl+Iii)))
d_staticContributions_dX[admsNodeID_si]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_igidl_dX+instanceStruct.d_instanceVar_Iii_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_igidl+instanceStruct.instanceVar_Iii));
// I(di,si) <+ (((m*devsign)*igisl))
d_staticContributions_dX[admsNodeID_di]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igisl_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igisl);
}
}
if ((modelStruct.modelPar_BULKMOD==0))
{
// I(gi,si) <+ (((m*devsign)*igbs))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igbs_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igbs);
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igbs_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igbs);
// I(gi,di) <+ (((m*devsign)*igbd))
d_staticContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igbd_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igbd);
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_igbd_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_igbd);
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
// I(e,si) <+ ((((m*devsign)*Ies)+((m*V(e,si))*gmin)))
d_staticContributions_dX[admsNodeID_e]+= (((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_Ies_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_Ies)+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_e_si])*instanceStruct.instanceVar_gmin);
d_staticContributions_dX[(admsNodeID_si)]-= (((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_Ies_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_Ies)+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_e_si])*instanceStruct.instanceVar_gmin);
// I(e,di) <+ ((((m*devsign)*Ied)+((m*V(e,di))*gmin)))
d_staticContributions_dX[admsNodeID_e]+= (((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_Ied_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_Ied)+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_e_di])*instanceStruct.instanceVar_gmin);
d_staticContributions_dX[(admsNodeID_di)]-= (((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*instanceStruct.d_instanceVar_Ied_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*instanceStruct.instanceVar_Ied)+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_e_di])*instanceStruct.instanceVar_gmin);
}
// I(e,si) <+ (((m*devsign)*ddt(Qes)))
d_dynamicContributions_dX[admsNodeID_e]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_Qes_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(Qes));
d_dynamicContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_Qes_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(Qes));
// I(e,di) <+ (((m*devsign)*ddt(Qed)))
d_dynamicContributions_dX[admsNodeID_e]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_Qed_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(Qed));
d_dynamicContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_Qed_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(Qed));
// I(e,ge) <+ (((m*devsign)*ddt(Qeg)))
d_dynamicContributions_dX[admsNodeID_e]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_Qeg_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(Qeg));
d_dynamicContributions_dX[(admsNodeID_ge)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(d_Qeg_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(Qeg));
// I(ge,si) <+ ((m*ddt(qgs_parasitic)))
d_dynamicContributions_dX[admsNodeID_ge]+= (instanceStruct.instancePar_m*(d_qgs_parasitic_dX)+instanceStruct.d_instancePar_m_dX*(qgs_parasitic));
d_dynamicContributions_dX[(admsNodeID_si)]-= (instanceStruct.instancePar_m*(d_qgs_parasitic_dX)+instanceStruct.d_instancePar_m_dX*(qgs_parasitic));
// I(ge,di) <+ ((m*ddt(qgd_parasitic)))
d_dynamicContributions_dX[admsNodeID_ge]+= (instanceStruct.instancePar_m*(d_qgd_parasitic_dX)+instanceStruct.d_instancePar_m_dX*(qgd_parasitic));
d_dynamicContributions_dX[(admsNodeID_di)]-= (instanceStruct.instancePar_m*(d_qgd_parasitic_dX)+instanceStruct.d_instancePar_m_dX*(qgd_parasitic));
// I(d,s) <+ ((m*ddt(qds_fr)))
d_dynamicContributions_dX[admsNodeID_d]+= (instanceStruct.instancePar_m*(d_qds_fr_dX)+instanceStruct.d_instancePar_m_dX*(qds_fr));
d_dynamicContributions_dX[(admsNodeID_s)]-= (instanceStruct.instancePar_m*(d_qds_fr_dX)+instanceStruct.d_instancePar_m_dX*(qds_fr));
if ((modelStruct.modelPar_CGEOMOD==1))
{
// I(ge,s) <+ ((m*ddt(qgs_fr)))
d_dynamicContributions_dX[admsNodeID_ge]+= (instanceStruct.instancePar_m*(d_qgs_fr_dX)+instanceStruct.d_instancePar_m_dX*(qgs_fr));
d_dynamicContributions_dX[(admsNodeID_s)]-= (instanceStruct.instancePar_m*(d_qgs_fr_dX)+instanceStruct.d_instancePar_m_dX*(qgs_fr));
// I(ge,d) <+ ((m*ddt(qgd_fr)))
d_dynamicContributions_dX[admsNodeID_ge]+= (instanceStruct.instancePar_m*(d_qgd_fr_dX)+instanceStruct.d_instancePar_m_dX*(qgd_fr));
d_dynamicContributions_dX[(admsNodeID_d)]-= (instanceStruct.instancePar_m*(d_qgd_fr_dX)+instanceStruct.d_instancePar_m_dX*(qgd_fr));
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
// I(gi,si) <+ (((m*devsign)*ddt(qg_acc)))
d_dynamicContributions_dX[admsNodeID_gi]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_qg_acc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_qg_acc));
d_dynamicContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_qg_acc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_qg_acc));
// I(e,si) <+ (((m*devsign)*ddt(qb_acc)))
d_dynamicContributions_dX[admsNodeID_e]+= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_qb_acc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_qb_acc));
d_dynamicContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*(instanceStruct.d_instanceVar_qb_acc_dX)+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*(instanceStruct.instanceVar_qb_acc));
}
if ((modelStruct.modelPar_RDSMOD==1))
{
if ((modelStruct.modelPar_RDLCW>0))
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_rdstempvs_dX = (((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_PRTVSRSD*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PRTVSRSD_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_PRTVSRSD*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PRTVSRSD_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_PRTVSRSD*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PRTVSRSD_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)))));
instanceStruct.instanceVar_rdstempvs = (((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0)));
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6)*((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6))-((4.0*(-modelStruct.modelPar_VSATRSD))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_VSATRSD_t_dX = (modelStruct.d_modelPar_VSATRSD_dX+((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_VSATRSD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_VSATRSD_dX)+0.5*((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_VSATRSD_dX))+deriv_sqrt_0_d0*(((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6)*(((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_VSATRSD_dX))+(((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_VSATRSD_dX))*((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6))-4.0*(-modelStruct.d_modelPar_VSATRSD_dX)*1.0e-6))))));
VSATRSD_t = (modelStruct.modelPar_VSATRSD+((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_VSATRSD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_VSATRSD)+(0.5*(((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_VSATRSD_t_dX = (modelStruct.modelPar_VSATRSD*(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_VSATRSD_dX*(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
VSATRSD_t = (modelStruct.modelPar_VSATRSD*(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
instanceStruct.d_instanceVar_T0_dX = (d_qis_dX-modelStruct.d_modelPar_PTWG1VSRSD_dX);
instanceStruct.instanceVar_T0 = (qis-modelStruct.modelPar_PTWG1VSRSD);
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T0-0.1)*(instanceStruct.instanceVar_T0-0.1))+((0.25*2.0)*2.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = ((((instanceStruct.instanceVar_T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T0-0.1)*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*(instanceStruct.instanceVar_T0-0.1)))));
instanceStruct.instanceVar_T0 = ((((instanceStruct.instanceVar_T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T0+0.1)+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T1_dX = ((((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0)*((10.0*modelStruct.modelPar_PSATXVSRSD)*instanceStruct.d_instanceVar_T0_dX+10.0*modelStruct.d_modelPar_PSATXVSRSD_dX*instanceStruct.instanceVar_T0)-((10.0*modelStruct.modelPar_PSATXVSRSD)*instanceStruct.instanceVar_T0)*(10.0*modelStruct.d_modelPar_PSATXVSRSD_dX+instanceStruct.d_instanceVar_T0_dX))/((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0)/((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0));
instanceStruct.instanceVar_T1 = (((10.0*modelStruct.modelPar_PSATXVSRSD)*instanceStruct.instanceVar_T0)/((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0));
d_vsatrsd_eff_dX = (VSATRSD_t*(modelStruct.modelPar_PTWGVSRSD*instanceStruct.d_instanceVar_T1_dX+modelStruct.d_modelPar_PTWGVSRSD_dX*instanceStruct.instanceVar_T1)+d_VSATRSD_t_dX*(1.0+(modelStruct.modelPar_PTWGVSRSD*instanceStruct.instanceVar_T1)));
vsatrsd_eff = (VSATRSD_t*(1.0+(modelStruct.modelPar_PTWGVSRSD*instanceStruct.instanceVar_T1)));
{
double value_sqrt_0 = sqrt(((vsatrsd_eff*vsatrsd_eff)+((4.0*10.0)*10.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vsatrsd_eff_dX = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dX+deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dX+d_vsatrsd_eff_dX*vsatrsd_eff))));
vsatrsd_eff = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:(0.5*(vsatrsd_eff+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_Weff0)*1.60219e-19)*d_vsatrsd_eff_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_Weff0)*1.60219e-19*vsatrsd_eff);
instanceStruct.instanceVar_T2 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_Weff0)*1.60219e-19)*vsatrsd_eff);
{
double value_fabs_0 = fabs((probeVars[admsProbeID_V_di1_di]));
double  deriv_fabs_0_d0 = ((((probeVars[admsProbeID_V_di1_di]))>=0)?(+1.0):(-1.0));
d_T5_dX = 0.0;
T5 = value_fabs_0;
}
if ((modelStruct.modelPar_GAVSRD==0))
{
instanceStruct.d_instanceVar_T3_dX = 0.0;
instanceStruct.instanceVar_T3 = 1.0;
}
else
{
{
double value_sqrt_0 = sqrt(((((T5-modelStruct.modelPar_RDVDS))*((T5-modelStruct.modelPar_RDVDS)))+((0.25*0.5)*0.5)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T3_dX = (((((T5-modelStruct.modelPar_RDVDS)==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:0.5*((d_T5_dX-modelStruct.d_modelPar_RDVDS_dX)+deriv_sqrt_0_d0*((((T5-modelStruct.modelPar_RDVDS))*(d_T5_dX-modelStruct.d_modelPar_RDVDS_dX)+(d_T5_dX-modelStruct.d_modelPar_RDVDS_dX)*((T5-modelStruct.modelPar_RDVDS))))));
instanceStruct.instanceVar_T3 = (((((T5-modelStruct.modelPar_RDVDS)==0.0)&&(0==0.0))&&(0.5==0.0))?0.0:(0.5*((T5-modelStruct.modelPar_RDVDS)+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T3_dX = (instanceStruct.instanceVar_T3*modelStruct.d_modelPar_GAVSRD_dX+instanceStruct.d_instanceVar_T3_dX*modelStruct.modelPar_GAVSRD);
instanceStruct.instanceVar_T3 = (1.0+(instanceStruct.instanceVar_T3*modelStruct.modelPar_GAVSRD));
}
d_isat_rd_dX = ((instanceStruct.instanceVar_T2*modelStruct.modelPar_NVSRD)*instanceStruct.d_instanceVar_T3_dX+(instanceStruct.instanceVar_T2*modelStruct.d_modelPar_NVSRD_dX+instanceStruct.d_instanceVar_T2_dX*modelStruct.modelPar_NVSRD)*instanceStruct.instanceVar_T3);
isat_rd = ((instanceStruct.instanceVar_T2*modelStruct.modelPar_NVSRD)*instanceStruct.instanceVar_T3);
d_T4_dX = ((instanceStruct.instanceVar_rdstempvs*modelStruct.modelPar_RDLCW)*instanceStruct.d_instanceVar_WeffWRFactor_dX+(instanceStruct.instanceVar_rdstempvs*modelStruct.d_modelPar_RDLCW_dX+instanceStruct.d_instanceVar_rdstempvs_dX*modelStruct.modelPar_RDLCW)*instanceStruct.instanceVar_WeffWRFactor);
T4 = ((instanceStruct.instanceVar_rdstempvs*modelStruct.modelPar_RDLCW)*instanceStruct.instanceVar_WeffWRFactor);
d_vsat_rd_dX = (isat_rd*d_T4_dX+d_isat_rd_dX*T4);
vsat_rd = (isat_rd*T4);
{
double value_pow_0 = pow(T5,(4-modelStruct.modelPar_MVSRSD));
double value_pow_1 = pow(T5,(4-modelStruct.modelPar_MVSRSD));
double value_pow_2 = pow(vsat_rd,(4-modelStruct.modelPar_MVSRSD));
double  deriv_pow_0_d0 = ((T5 == 0.0)?0.0:(value_pow_0*(4-modelStruct.modelPar_MVSRSD)/T5));
double  deriv_pow_0_d1 = (T5 == 0.0)?0.0:(log(T5)*value_pow_0);
double  deriv_pow_1_d0 = ((T5 == 0.0)?0.0:(value_pow_1*(4-modelStruct.modelPar_MVSRSD)/T5));
double  deriv_pow_1_d1 = (T5 == 0.0)?0.0:(log(T5)*value_pow_1);
double  deriv_pow_2_d0 = ((vsat_rd == 0.0)?0.0:(value_pow_2*(4-modelStruct.modelPar_MVSRSD)/vsat_rd));
double  deriv_pow_2_d1 = (vsat_rd == 0.0)?0.0:(log(vsat_rd)*value_pow_2);
d_delta_vsrd_dX = (((value_pow_1+(modelStruct.modelPar_VSRDFACTOR*value_pow_2))*((deriv_pow_0_d0*(d_T5_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MVSRSD_dX))))-value_pow_0*(((deriv_pow_1_d0*(d_T5_dX))+(deriv_pow_1_d1*((-modelStruct.d_modelPar_MVSRSD_dX))))+(modelStruct.modelPar_VSRDFACTOR*((deriv_pow_2_d0*(d_vsat_rd_dX))+(deriv_pow_2_d1*((-modelStruct.d_modelPar_MVSRSD_dX))))+modelStruct.d_modelPar_VSRDFACTOR_dX*value_pow_2)))/(value_pow_1+(modelStruct.modelPar_VSRDFACTOR*value_pow_2))/(value_pow_1+(modelStruct.modelPar_VSRDFACTOR*value_pow_2)));
delta_vsrd = (value_pow_0/(value_pow_1+(modelStruct.modelPar_VSRDFACTOR*value_pow_2)));
}
{
double value_pow_0 = pow(delta_vsrd,(1.0/modelStruct.modelPar_MVSRSD));
double  deriv_pow_0_d0 = ((delta_vsrd == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MVSRSD)/delta_vsrd));
double  deriv_pow_0_d1 = (delta_vsrd == 0.0)?0.0:(log(delta_vsrd)*value_pow_0);
d_T6_dX = ((vsat_rd*(value_pow_0*d_T5_dX+((deriv_pow_0_d0*(d_delta_vsrd_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MVSRSD_dX/modelStruct.modelPar_MVSRSD/modelStruct.modelPar_MVSRSD))))*T5)-(value_pow_0*T5)*d_vsat_rd_dX)/vsat_rd/vsat_rd);
T6 = ((value_pow_0*T5)/vsat_rd);
}
{
double value_pow_0 = pow(T6,modelStruct.modelPar_MVSRSD);
double value_pow_1 = pow((1.0+value_pow_0),(1/modelStruct.modelPar_MVSRSD));
double  deriv_pow_0_d0 = ((T6 == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_MVSRSD/T6));
double  deriv_pow_0_d1 = (T6 == 0.0)?0.0:(log(T6)*value_pow_0);
double  deriv_pow_1_d0 = (((1.0+value_pow_0) == 0.0)?0.0:(value_pow_1*(1/modelStruct.modelPar_MVSRSD)/(1.0+value_pow_0)));
double  deriv_pow_1_d1 = ((1.0+value_pow_0) == 0.0)?0.0:(log((1.0+value_pow_0))*value_pow_1);
instanceStruct.d_instanceVar_Rvs_d_dX = (T4*((deriv_pow_1_d0*(((deriv_pow_0_d0*(d_T6_dX))+(deriv_pow_0_d1*(modelStruct.d_modelPar_MVSRSD_dX)))))+(deriv_pow_1_d1*((-1*modelStruct.d_modelPar_MVSRSD_dX/modelStruct.modelPar_MVSRSD/modelStruct.modelPar_MVSRSD))))+d_T4_dX*value_pow_1);
instanceStruct.instanceVar_Rvs_d = (T4*value_pow_1);
}
}
if ((modelStruct.modelPar_RSLCW>0))
{
if ((modelStruct.modelPar_RDLCW==0.0))
{
{
double value_sqrt_0 = sqrt(((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_rdstempvs_dX = (((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*((modelStruct.modelPar_PRTVSRSD*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PRTVSRSD_dX*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)*(modelStruct.modelPar_PRTVSRSD*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PRTVSRSD_dX*instanceStruct.instanceVar_delTemp)+(modelStruct.modelPar_PRTVSRSD*instanceStruct.d_instanceVar_delTemp_dX+modelStruct.d_modelPar_PRTVSRSD_dX*instanceStruct.instanceVar_delTemp)*((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)))));
instanceStruct.instanceVar_rdstempvs = (((((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+(modelStruct.modelPar_PRTVSRSD*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0)));
}
{
if ((modelStruct.modelPar_TEMPMOD!=0))
{
{
double value_sqrt_0 = sqrt(((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6)*((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6))-((4.0*(-modelStruct.modelPar_VSATRSD))*1.0e-6)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_VSATRSD_t_dX = (modelStruct.d_modelPar_VSATRSD_dX+((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_VSATRSD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.d_modelPar_VSATRSD_dX)+0.5*((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_VSATRSD_dX))+deriv_sqrt_0_d0*(((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6)*(((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_VSATRSD_dX))+(((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)-(-modelStruct.d_modelPar_VSATRSD_dX))*((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6))-4.0*(-modelStruct.d_modelPar_VSATRSD_dX)*1.0e-6))))));
VSATRSD_t = (modelStruct.modelPar_VSATRSD+((((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)==0.0)&&((-modelStruct.modelPar_VSATRSD)==0.0))&&(1.0e-6==0.0))?0.0:((-modelStruct.modelPar_VSATRSD)+(0.5*(((((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp)-(-modelStruct.modelPar_VSATRSD))-1.0e-6)+value_sqrt_0)))));
}
}
else
{
{
double value_sqrt_0 = sqrt(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6))+((4.0*1.0e-3)*1.0e-3)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_VSATRSD_t_dX = (modelStruct.modelPar_VSATRSD*(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:0.5*(((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)+deriv_sqrt_0_d0*((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)*((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.d_instanceVar_delTemp_dX+(-modelStruct.d_modelPar_ATVSRSD_dX)*instanceStruct.instanceVar_delTemp)*((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)))))+modelStruct.d_modelPar_VSATRSD_dX*(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
VSATRSD_t = (modelStruct.modelPar_VSATRSD*(((((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)==0.0)&&(1.0e-3==0.0))?0.0:(0.5*(((1.0+((-modelStruct.modelPar_ATVSRSD)*instanceStruct.instanceVar_delTemp))-1.0e-6)+value_sqrt_0))));
}
}
}
instanceStruct.d_instanceVar_T0_dX = (d_qis_dX-modelStruct.d_modelPar_PTWG1VSRSD_dX);
instanceStruct.instanceVar_T0 = (qis-modelStruct.modelPar_PTWG1VSRSD);
{
double value_sqrt_0 = sqrt((((instanceStruct.instanceVar_T0-0.1)*(instanceStruct.instanceVar_T0-0.1))+((0.25*2.0)*2.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
instanceStruct.d_instanceVar_T0_dX = ((((instanceStruct.instanceVar_T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:0.5*(instanceStruct.d_instanceVar_T0_dX+deriv_sqrt_0_d0*(((instanceStruct.instanceVar_T0-0.1)*instanceStruct.d_instanceVar_T0_dX+instanceStruct.d_instanceVar_T0_dX*(instanceStruct.instanceVar_T0-0.1)))));
instanceStruct.instanceVar_T0 = ((((instanceStruct.instanceVar_T0==0.0)&&(0.1==0.0))&&(2.0==0.0))?0.0:(0.5*((instanceStruct.instanceVar_T0+0.1)+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T1_dX = ((((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0)*((10.0*modelStruct.modelPar_PSATXVSRSD)*instanceStruct.d_instanceVar_T0_dX+10.0*modelStruct.d_modelPar_PSATXVSRSD_dX*instanceStruct.instanceVar_T0)-((10.0*modelStruct.modelPar_PSATXVSRSD)*instanceStruct.instanceVar_T0)*(10.0*modelStruct.d_modelPar_PSATXVSRSD_dX+instanceStruct.d_instanceVar_T0_dX))/((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0)/((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0));
instanceStruct.instanceVar_T1 = (((10.0*modelStruct.modelPar_PSATXVSRSD)*instanceStruct.instanceVar_T0)/((10.0*modelStruct.modelPar_PSATXVSRSD)+instanceStruct.instanceVar_T0));
d_vsatrsd_eff_dX = (VSATRSD_t*(modelStruct.modelPar_PTWGVSRSD*instanceStruct.d_instanceVar_T1_dX+modelStruct.d_modelPar_PTWGVSRSD_dX*instanceStruct.instanceVar_T1)+d_VSATRSD_t_dX*(1.0+(modelStruct.modelPar_PTWGVSRSD*instanceStruct.instanceVar_T1)));
vsatrsd_eff = (VSATRSD_t*(1.0+(modelStruct.modelPar_PTWGVSRSD*instanceStruct.instanceVar_T1)));
{
double value_sqrt_0 = sqrt(((vsatrsd_eff*vsatrsd_eff)+((4.0*10.0)*10.0)));
double  deriv_sqrt_0_d0 = (0.5/value_sqrt_0);
d_vsatrsd_eff_dX = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:0.5*(d_vsatrsd_eff_dX+deriv_sqrt_0_d0*((vsatrsd_eff*d_vsatrsd_eff_dX+d_vsatrsd_eff_dX*vsatrsd_eff))));
vsatrsd_eff = (((vsatrsd_eff==0.0)&&(10.0==0.0))?0.0:(0.5*(vsatrsd_eff+value_sqrt_0)));
}
instanceStruct.d_instanceVar_T2_dX = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_Weff0)*1.60219e-19)*d_vsatrsd_eff_dX+(instanceStruct.instanceVar_NFINtotal*instanceStruct.d_instanceVar_Weff0_dX+instanceStruct.d_instanceVar_NFINtotal_dX*instanceStruct.instanceVar_Weff0)*1.60219e-19*vsatrsd_eff);
instanceStruct.instanceVar_T2 = (((instanceStruct.instanceVar_NFINtotal*instanceStruct.instanceVar_Weff0)*1.60219e-19)*vsatrsd_eff);
}
d_isat_rs_dX = (instanceStruct.instanceVar_T2*modelStruct.d_modelPar_NVSRS_dX+instanceStruct.d_instanceVar_T2_dX*modelStruct.modelPar_NVSRS);
isat_rs = (instanceStruct.instanceVar_T2*modelStruct.modelPar_NVSRS);
d_T4_dX = ((instanceStruct.instanceVar_rdstempvs*modelStruct.modelPar_RSLCW)*instanceStruct.d_instanceVar_WeffWRFactor_dX+(instanceStruct.instanceVar_rdstempvs*modelStruct.d_modelPar_RSLCW_dX+instanceStruct.d_instanceVar_rdstempvs_dX*modelStruct.modelPar_RSLCW)*instanceStruct.instanceVar_WeffWRFactor);
T4 = ((instanceStruct.instanceVar_rdstempvs*modelStruct.modelPar_RSLCW)*instanceStruct.instanceVar_WeffWRFactor);
d_vsat_rs_dX = (isat_rs*d_T4_dX+d_isat_rs_dX*T4);
vsat_rs = (isat_rs*T4);
{
double value_fabs_0 = fabs((probeVars[admsProbeID_V_si_si1]));
double  deriv_fabs_0_d0 = ((((probeVars[admsProbeID_V_si_si1]))>=0)?(+1.0):(-1.0));
d_T5_dX = 0.0;
T5 = value_fabs_0;
}
{
double value_pow_0 = pow(T5,(4-modelStruct.modelPar_MVSRSD));
double value_pow_1 = pow(T5,(4-modelStruct.modelPar_MVSRSD));
double value_pow_2 = pow(vsat_rs,(4-modelStruct.modelPar_MVSRSD));
double  deriv_pow_0_d0 = ((T5 == 0.0)?0.0:(value_pow_0*(4-modelStruct.modelPar_MVSRSD)/T5));
double  deriv_pow_0_d1 = (T5 == 0.0)?0.0:(log(T5)*value_pow_0);
double  deriv_pow_1_d0 = ((T5 == 0.0)?0.0:(value_pow_1*(4-modelStruct.modelPar_MVSRSD)/T5));
double  deriv_pow_1_d1 = (T5 == 0.0)?0.0:(log(T5)*value_pow_1);
double  deriv_pow_2_d0 = ((vsat_rs == 0.0)?0.0:(value_pow_2*(4-modelStruct.modelPar_MVSRSD)/vsat_rs));
double  deriv_pow_2_d1 = (vsat_rs == 0.0)?0.0:(log(vsat_rs)*value_pow_2);
d_delta_vsrs_dX = (((value_pow_1+(modelStruct.modelPar_VSRSFACTOR*value_pow_2))*((deriv_pow_0_d0*(d_T5_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MVSRSD_dX))))-value_pow_0*(((deriv_pow_1_d0*(d_T5_dX))+(deriv_pow_1_d1*((-modelStruct.d_modelPar_MVSRSD_dX))))+(modelStruct.modelPar_VSRSFACTOR*((deriv_pow_2_d0*(d_vsat_rs_dX))+(deriv_pow_2_d1*((-modelStruct.d_modelPar_MVSRSD_dX))))+modelStruct.d_modelPar_VSRSFACTOR_dX*value_pow_2)))/(value_pow_1+(modelStruct.modelPar_VSRSFACTOR*value_pow_2))/(value_pow_1+(modelStruct.modelPar_VSRSFACTOR*value_pow_2)));
delta_vsrs = (value_pow_0/(value_pow_1+(modelStruct.modelPar_VSRSFACTOR*value_pow_2)));
}
{
double value_pow_0 = pow(delta_vsrs,(1.0/modelStruct.modelPar_MVSRSD));
double  deriv_pow_0_d0 = ((delta_vsrs == 0.0)?0.0:(value_pow_0*(1.0/modelStruct.modelPar_MVSRSD)/delta_vsrs));
double  deriv_pow_0_d1 = (delta_vsrs == 0.0)?0.0:(log(delta_vsrs)*value_pow_0);
d_T6_dX = ((vsat_rs*(value_pow_0*d_T5_dX+((deriv_pow_0_d0*(d_delta_vsrs_dX))+(deriv_pow_0_d1*((-modelStruct.d_modelPar_MVSRSD_dX/modelStruct.modelPar_MVSRSD/modelStruct.modelPar_MVSRSD))))*T5)-(value_pow_0*T5)*d_vsat_rs_dX)/vsat_rs/vsat_rs);
T6 = ((value_pow_0*T5)/vsat_rs);
}
{
double value_pow_0 = pow(T6,modelStruct.modelPar_MVSRSD);
double value_pow_1 = pow((1.0+value_pow_0),(1/modelStruct.modelPar_MVSRSD));
double  deriv_pow_0_d0 = ((T6 == 0.0)?0.0:(value_pow_0*modelStruct.modelPar_MVSRSD/T6));
double  deriv_pow_0_d1 = (T6 == 0.0)?0.0:(log(T6)*value_pow_0);
double  deriv_pow_1_d0 = (((1.0+value_pow_0) == 0.0)?0.0:(value_pow_1*(1/modelStruct.modelPar_MVSRSD)/(1.0+value_pow_0)));
double  deriv_pow_1_d1 = ((1.0+value_pow_0) == 0.0)?0.0:(log((1.0+value_pow_0))*value_pow_1);
instanceStruct.d_instanceVar_Rvs_s_dX = (T4*((deriv_pow_1_d0*(((deriv_pow_0_d0*(d_T6_dX))+(deriv_pow_0_d1*(modelStruct.d_modelPar_MVSRSD_dX)))))+(deriv_pow_1_d1*((-1*modelStruct.d_modelPar_MVSRSD_dX/modelStruct.modelPar_MVSRSD/modelStruct.modelPar_MVSRSD))))+d_T4_dX*value_pow_1);
instanceStruct.instanceVar_Rvs_s = (T4*value_pow_1);
}
}
}
if (((modelStruct.modelPar_RDSMOD!=2)&&(instanceStruct.instanceVar_RDrainGeo>0)))
{
instanceStruct.d_instanceVar_gdpr_dX = (-instanceStruct.d_instanceVar_Rdrain_dX/instanceStruct.instanceVar_Rdrain/instanceStruct.instanceVar_Rdrain);
instanceStruct.instanceVar_gdpr = (1.0/instanceStruct.instanceVar_Rdrain);
// I(d,di1) <+ (((m*V(d,di1))*gdpr))
d_staticContributions_dX[admsNodeID_d]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_d_di1]))*instanceStruct.d_instanceVar_gdpr_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_d_di1])*instanceStruct.instanceVar_gdpr);
d_staticContributions_dX[(admsNodeID_di1)]-= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_d_di1]))*instanceStruct.d_instanceVar_gdpr_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_d_di1])*instanceStruct.instanceVar_gdpr);
if (((modelStruct.modelPar_RDSMOD==1)&&(modelStruct.modelPar_RDLCW>0)))
{
instanceStruct.d_instanceVar_gvs_d_dX = (-instanceStruct.d_instanceVar_Rvs_d_dX/instanceStruct.instanceVar_Rvs_d/instanceStruct.instanceVar_Rvs_d);
instanceStruct.instanceVar_gvs_d = (1.0/instanceStruct.instanceVar_Rvs_d);
// I(di1,di) <+ (((m*V(di1,di))*gvs_d))
d_staticContributions_dX[admsNodeID_di1]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_di1_di]))*instanceStruct.d_instanceVar_gvs_d_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_di1_di])*instanceStruct.instanceVar_gvs_d);
d_staticContributions_dX[(admsNodeID_di)]-= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_di1_di]))*instanceStruct.d_instanceVar_gvs_d_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_di1_di])*instanceStruct.instanceVar_gvs_d);
}
else
{
// V(di1,di) <+ (0.0)
// do nothing at all
}
}
else
{
// V(d,di1) <+ (0.0)
// do nothing at all
// V(di1,di) <+ (0.0)
// do nothing at all
}
if (((modelStruct.modelPar_RDSMOD!=2)&&(instanceStruct.instanceVar_RSourceGeo>0)))
{
instanceStruct.d_instanceVar_gspr_dX = (-instanceStruct.d_instanceVar_Rsource_dX/instanceStruct.instanceVar_Rsource/instanceStruct.instanceVar_Rsource);
instanceStruct.instanceVar_gspr = (1.0/instanceStruct.instanceVar_Rsource);
// I(s,si1) <+ (((m*V(s,si1))*gspr))
d_staticContributions_dX[admsNodeID_s]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_s_si1]))*instanceStruct.d_instanceVar_gspr_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_s_si1])*instanceStruct.instanceVar_gspr);
d_staticContributions_dX[(admsNodeID_si1)]-= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_s_si1]))*instanceStruct.d_instanceVar_gspr_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_s_si1])*instanceStruct.instanceVar_gspr);
if (((modelStruct.modelPar_RDSMOD==1)&&(modelStruct.modelPar_RSLCW>0)))
{
instanceStruct.d_instanceVar_gvs_s_dX = (-instanceStruct.d_instanceVar_Rvs_s_dX/instanceStruct.instanceVar_Rvs_s/instanceStruct.instanceVar_Rvs_s);
instanceStruct.instanceVar_gvs_s = (1.0/instanceStruct.instanceVar_Rvs_s);
// I(si1,si) <+ (((m*V(si1,si))*gvs_s))
d_staticContributions_dX[admsNodeID_si1]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_si1_si]))*instanceStruct.d_instanceVar_gvs_s_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_si1_si])*instanceStruct.instanceVar_gvs_s);
d_staticContributions_dX[(admsNodeID_si)]-= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_si1_si]))*instanceStruct.d_instanceVar_gvs_s_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_si1_si])*instanceStruct.instanceVar_gvs_s);
}
else
{
// V(si1,si) <+ (0.0)
// do nothing at all
}
}
else
{
// V(s,si1) <+ (0.0)
// do nothing at all
// V(si1,si) <+ (0.0)
// do nothing at all
}
if (((modelStruct.modelPar_NQSMOD==1)&&(instanceStruct.instanceVar_XRCRG1_i!=0.0)))
{
// I(ge,gi) <+ (((m*V(ge,gi))*gcrg))
d_staticContributions_dX[admsNodeID_ge]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_ge_gi]))*instanceStruct.d_instanceVar_gcrg_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_ge_gi])*instanceStruct.instanceVar_gcrg);
d_staticContributions_dX[(admsNodeID_gi)]-= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_ge_gi]))*instanceStruct.d_instanceVar_gcrg_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_ge_gi])*instanceStruct.instanceVar_gcrg);
}
else
{
// V(ge,gi) <+ (0.0)
// do nothing at all
}
if ((modelStruct.modelPar_NQSMOD==2))
{
// I(q,GND) <+ ((m*ddt((qg-qb))))
d_dynamicContributions_dX[admsNodeID_q]+= (instanceStruct.instancePar_m*((d_qg_dX-d_qb_dX))+instanceStruct.d_instancePar_m_dX*((qg-qb)));
// I(q,GND) <+ (((m*V(q,GND))*gtau))
d_staticContributions_dX[admsNodeID_q]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_q_GND]))*instanceStruct.d_instanceVar_gtau_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_q_GND])*instanceStruct.instanceVar_gtau);
// I(q,GND) <+ (((m*1.0e-9)*ddt(V(q,GND))))
d_dynamicContributions_dX[admsNodeID_q]+= instanceStruct.d_instancePar_m_dX*1.0e-9*((probeVars[admsProbeID_V_q_GND]));
}
else
{
// V(q,GND) <+ (0.0)
// do nothing at all
}
if ((modelStruct.modelPar_RGATEMOD!=0))
{
// I(g,ge) <+ (((m*V(g,ge))*ggeltd))
d_staticContributions_dX[admsNodeID_g]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_g_ge]))*instanceStruct.d_instanceVar_ggeltd_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_g_ge])*instanceStruct.instanceVar_ggeltd);
d_staticContributions_dX[(admsNodeID_ge)]-= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_V_g_ge]))*instanceStruct.d_instanceVar_ggeltd_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_g_ge])*instanceStruct.instanceVar_ggeltd);
}
else
{
// V(g,ge) <+ (0.0)
// do nothing at all
}
// I(di,si) <+ (flicker_noise(((m*sigvds)*FNPowerAt1Hz),EF,"1overf"))
if (((modelStruct.modelPar_RDSMOD!=2)&&(instanceStruct.instanceVar_RDrainGeo>0)))
{
// I(d,di1) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gdpr),"rd"))
if (((modelStruct.modelPar_RDSMOD==1)&&(modelStruct.modelPar_RDLCW>0)))
{
// I(di1,di) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gvs_d),"rd"))
}
}
if (((modelStruct.modelPar_RDSMOD!=2)&&(instanceStruct.instanceVar_RSourceGeo>0)))
{
// I(s,si1) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gspr),"rs"))
if (((modelStruct.modelPar_RDSMOD==1)&&(modelStruct.modelPar_RSLCW>0)))
{
// I(si1,si) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*gvs_s),"rs"))
}
}
if ((modelStruct.modelPar_RGATEMOD!=0))
{
// I(g,ge) <+ (white_noise(((((m*4.0)*Vtm)*1.60219e-19)*ggeltd),"rg"))
}
if ((modelStruct.modelPar_TNOIMOD==0))
{
// I(di,si) <+ (white_noise((m*sid),"id"))
// V(n,GND) <+ (0.0)
// do nothing at all
}
else
{
// I(n,GND) <+ ((m*V(n,GND)))
d_staticContributions_dX[admsNodeID_n]+= instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_V_n_GND]);
// I(n,GND) <+ (white_noise((m*sid),"corl"))
// I(di,si) <+ (white_noise(((m*sid)*(1.0-(ctnoi*ctnoi))),"id"))
// I(di,si) <+ (((m*ctnoi)*V(n,GND)))
d_staticContributions_dX[admsNodeID_di]+= (instanceStruct.instancePar_m*instanceStruct.d_instanceVar_ctnoi_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_ctnoi)*(probeVars[admsProbeID_V_n_GND]);
d_staticContributions_dX[(admsNodeID_si)]-= (instanceStruct.instancePar_m*instanceStruct.d_instanceVar_ctnoi_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_ctnoi)*(probeVars[admsProbeID_V_n_GND]);
// I(gi,si) <+ (ddt((((m*0.7071)*sigrat)*V(n,GND))))
d_dynamicContributions_dX[admsNodeID_gi]+= (((instanceStruct.instancePar_m*0.7071)*instanceStruct.d_instanceVar_sigrat_dX+instanceStruct.d_instancePar_m_dX*0.7071*instanceStruct.instanceVar_sigrat)*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions_dX[(admsNodeID_si)]-= (((instanceStruct.instancePar_m*0.7071)*instanceStruct.d_instanceVar_sigrat_dX+instanceStruct.d_instancePar_m_dX*0.7071*instanceStruct.instanceVar_sigrat)*(probeVars[admsProbeID_V_n_GND]));
// I(gi,di) <+ (ddt((((m*0.7071)*sigrat)*V(n,GND))))
d_dynamicContributions_dX[admsNodeID_gi]+= (((instanceStruct.instancePar_m*0.7071)*instanceStruct.d_instanceVar_sigrat_dX+instanceStruct.d_instancePar_m_dX*0.7071*instanceStruct.instanceVar_sigrat)*(probeVars[admsProbeID_V_n_GND]));
d_dynamicContributions_dX[(admsNodeID_di)]-= (((instanceStruct.instancePar_m*0.7071)*instanceStruct.d_instanceVar_sigrat_dX+instanceStruct.d_instancePar_m_dX*0.7071*instanceStruct.instanceVar_sigrat)*(probeVars[admsProbeID_V_n_GND]));
}
if ((modelStruct.modelPar_IGCMOD!=0))
{
if ((sigvds>0.0))
{
// I(gi,si) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcs+igs))),"igs"))
// I(gi,di) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcd+igd))),"igd"))
}
else
{
// I(gi,di) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcs+igs))),"igd"))
// I(gi,si) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igcd+igd))),"igs"))
}
}
if ((modelStruct.modelPar_IGBMOD!=0))
{
if ((modelStruct.modelPar_BULKMOD!=0))
{
// I(gi,e) <+ (white_noise((((m*2.0)*1.60219e-19)*abs((igbinv+igbacc))),"igb"))
}
else
{
// I(gi,si) <+ (white_noise((((m*2.0)*1.60219e-19)*abs(igbs)),"igbs"))
// I(gi,di) <+ (white_noise((((m*2.0)*1.60219e-19)*abs(igbd)),"igbd"))
}
}
if (((modelStruct.modelPar_SHMOD!=0)&&(modelStruct.modelPar_RTH0>0.0)))
{
// Pwr(t,GND) <+ ((-((((m*devsign)*sigvds)*V(di,si))*ids)))
d_staticContributions_dX[admsNodeID_t]+= (-((((instanceStruct.instancePar_m*instanceStruct.instanceVar_devsign)*sigvds)*(probeVars[admsProbeID_V_di_si]))*d_ids_dX+instanceStruct.d_instancePar_m_dX*instanceStruct.instanceVar_devsign*sigvds*(probeVars[admsProbeID_V_di_si])*ids));
if (((modelStruct.modelPar_RDSMOD!=2)&&(instanceStruct.instanceVar_RDrainGeo>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(d,di1)))*V(d,di1))*gdpr))
d_staticContributions_dX[admsNodeID_t]+= (((instanceStruct.instancePar_m*(-(probeVars[admsProbeID_V_d_di1])))*(probeVars[admsProbeID_V_d_di1]))*instanceStruct.d_instanceVar_gdpr_dX+instanceStruct.d_instancePar_m_dX*(-(probeVars[admsProbeID_V_d_di1]))*(probeVars[admsProbeID_V_d_di1])*instanceStruct.instanceVar_gdpr);
if (((modelStruct.modelPar_RDSMOD==1)&&(modelStruct.modelPar_RDLCW>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(di1,di)))*V(di1,di))*gvs_d))
d_staticContributions_dX[admsNodeID_t]+= (((instanceStruct.instancePar_m*(-(probeVars[admsProbeID_V_di1_di])))*(probeVars[admsProbeID_V_di1_di]))*instanceStruct.d_instanceVar_gvs_d_dX+instanceStruct.d_instancePar_m_dX*(-(probeVars[admsProbeID_V_di1_di]))*(probeVars[admsProbeID_V_di1_di])*instanceStruct.instanceVar_gvs_d);
}
}
if (((modelStruct.modelPar_RDSMOD!=2)&&(instanceStruct.instanceVar_RSourceGeo>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(s,si1)))*V(s,si1))*gspr))
d_staticContributions_dX[admsNodeID_t]+= (((instanceStruct.instancePar_m*(-(probeVars[admsProbeID_V_s_si1])))*(probeVars[admsProbeID_V_s_si1]))*instanceStruct.d_instanceVar_gspr_dX+instanceStruct.d_instancePar_m_dX*(-(probeVars[admsProbeID_V_s_si1]))*(probeVars[admsProbeID_V_s_si1])*instanceStruct.instanceVar_gspr);
if (((modelStruct.modelPar_RDSMOD==1)&&(modelStruct.modelPar_RSLCW>0)))
{
// Pwr(t,GND) <+ ((((m*(-V(si1,si)))*V(si1,si))*gvs_s))
d_staticContributions_dX[admsNodeID_t]+= (((instanceStruct.instancePar_m*(-(probeVars[admsProbeID_V_si1_si])))*(probeVars[admsProbeID_V_si1_si]))*instanceStruct.d_instanceVar_gvs_s_dX+instanceStruct.d_instancePar_m_dX*(-(probeVars[admsProbeID_V_si1_si]))*(probeVars[admsProbeID_V_si1_si])*instanceStruct.instanceVar_gvs_s);
}
}
// Pwr(t,GND) <+ (((m*Temp(t,GND))*gth))
d_staticContributions_dX[admsNodeID_t]+= ((instanceStruct.instancePar_m*(probeVars[admsProbeID_Temp_t_GND]))*instanceStruct.d_instanceVar_gth_dX+instanceStruct.d_instancePar_m_dX*(probeVars[admsProbeID_Temp_t_GND])*instanceStruct.instanceVar_gth);
// Pwr(t,GND) <+ ((m*ddt((Temp(t,GND)*cth))))
d_dynamicContributions_dX[admsNodeID_t]+= (instanceStruct.instancePar_m*((probeVars[admsProbeID_Temp_t_GND])*instanceStruct.d_instanceVar_cth_dX)+instanceStruct.d_instancePar_m_dX*(((probeVars[admsProbeID_Temp_t_GND])*instanceStruct.instanceVar_cth)));
}
else
{
// Temp(t,GND) <+ (0.0)
// do nothing at all
}
if ((sigvds>0.0))
{
if ((modelStruct.modelPar_BULKMOD!=0))
{
if (((modelStruct.modelPar_GIDLMOD==2)&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
}
else
{
}
}
else
{
}
}
else
{
if ((modelStruct.modelPar_BULKMOD!=0))
{
if (((modelStruct.modelPar_GIDLMOD==2)&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
}
else
{
}
}
else
{
}
}
if ((modelStruct.modelPar_BULKMOD==0))
{
}
else
{
}
if ((sigvds>0.0))
{
if ((((modelStruct.modelPar_BULKMOD!=0)&&(modelStruct.modelPar_GIDLMOD==2))&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
}
else
{
}
}
else
{
if ((((modelStruct.modelPar_BULKMOD!=0)&&(modelStruct.modelPar_GIDLMOD==2))&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
}
else
{
}
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
}
else
{
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
if (((modelStruct.modelPar_GIDLMOD==2)&&(((modelStruct.modelPar_GEOMOD==2)||(modelStruct.modelPar_GEOMOD==3))||(modelStruct.modelPar_GEOMOD==5))))
{
}
else
{
}
}
else
{
}
d_Lterm0_dX = (0.15*instanceStruct.d_instanceVar_Lg_dX/10e-9);
Lterm0 = (((0.15*(instanceStruct.instanceVar_Lg-10e-9))/10e-9)+1.12);
{
double value_pow_0 = pow((Lterm0/1.45),3);
double value_pow_1 = pow((1+value_pow_0),0.33);
double  deriv_pow_0_d0 = (((Lterm0/1.45) == 0.0)?0.0:(value_pow_0*3/(Lterm0/1.45)));
double  deriv_pow_1_d0 = (((1+value_pow_0) == 0.0)?0.0:(value_pow_1*0.33/(1+value_pow_0)));
d_Lterm_dX = ((value_pow_1*d_Lterm0_dX-Lterm0*(deriv_pow_1_d0*((deriv_pow_0_d0*((d_Lterm0_dX/1.45))))))/value_pow_1/value_pow_1);
Lterm = (Lterm0/value_pow_1);
}
if ((instanceStruct.instanceVar_NGATE_i>0.0))
{
if ((modelStruct.modelPar_CRYOMOD==0))
{
}
else
{
}
}
else
{
}
d_q0_dX = (((instanceStruct.instanceVar_rc*10.0*instanceStruct.d_instanceVar_Vtm_dX-(10.0*instanceStruct.instanceVar_Vtm)*instanceStruct.d_instanceVar_rc_dX)/instanceStruct.instanceVar_rc/instanceStruct.instanceVar_rc)+2.0*instanceStruct.d_instanceVar_qbs_dX);
q0 = (((10.0*instanceStruct.instanceVar_Vtm)/instanceStruct.instanceVar_rc)+(2.0*instanceStruct.instanceVar_qbs));
instanceStruct.d_instanceVar_T1_dX = (instanceStruct.instanceVar_Vtm*(instanceStruct.d_instanceVar_Vtm_dX+d_q0_dX)+instanceStruct.d_instanceVar_Vtm_dX*(instanceStruct.instanceVar_Vtm+q0));
instanceStruct.instanceVar_T1 = (instanceStruct.instanceVar_Vtm*(instanceStruct.instanceVar_Vtm+q0));
instanceStruct.d_instanceVar_T2_dX = ((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_cox)*instanceStruct.d_instanceVar_T1_dX+(instanceStruct.instanceVar_cox*instanceStruct.d_instanceVar_cox_dX+instanceStruct.d_instanceVar_cox_dX*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_T1);
instanceStruct.instanceVar_T2 = ((instanceStruct.instanceVar_cox*instanceStruct.instanceVar_cox)*instanceStruct.instanceVar_T1);
instanceStruct.d_instanceVar_T3_dX = ((((2.0*1.60219e-19)*instanceStruct.instanceVar_ni)*instanceStruct.instanceVar_epssub)*instanceStruct.d_instanceVar_Vtm_dX+(((2.0*1.60219e-19)*instanceStruct.instanceVar_ni)*instanceStruct.d_instanceVar_epssub_dX+(2.0*1.60219e-19)*instanceStruct.d_instanceVar_ni_dX*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Vtm);
instanceStruct.instanceVar_T3 = ((((2.0*1.60219e-19)*instanceStruct.instanceVar_ni)*instanceStruct.instanceVar_epssub)*instanceStruct.instanceVar_Vtm);
if ((sigvds>0))
{
}
else
{
}
if ((modelStruct.modelPar_BULKMOD!=0))
{
}
else
{
}
if ((modelStruct.modelPar_BULKMOD==0))
{
}
else
{
}
if ((modelStruct.modelPar_RDSMOD!=2))
{
if (((modelStruct.modelPar_RDSMOD==1)&&((modelStruct.modelPar_RDLCW>0)||(modelStruct.modelPar_RSLCW>0))))
{
}
else
{
}
}
else
{
}
}



//-----------------------------------------------------------------------------
// Function      : InstanceSensitivity::operator()
// Purpose       : return sensitivity for a single instance parameter
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
/// Compute sensitivity of a device instance's outputs to a specified instance
/// parameter
///
///
/// @param[in] entity  The device entity that owns the parameter
/// @param[in] name    The unadorned parameter name specific to the entity
/// @param[out] dfdp   The derivative of the F vector with respect to the parameter
/// @param[out] dqdp   The derivative of the Q vector with respect to the parameter
/// @param[out] dbdp   The derivative of the B vector with respect to the parameter
/// @param[out] Findices   The indices into the F vector corresponding to the elements of dfdp
/// @param[out] Qindices   The indices into the Q vector corresponding to the elements of dfdp
/// @param[out] Bindices   The indices into the B vector corresponding to the elements of dfdp
///
///
void InstanceSensitivity::operator()
(
const ParameterBase &entity,
const std::string &name,
std::vector<double> & dfdp,
std::vector<double> & dqdp,
std::vector<double> & dbdp,
std::vector<int> & Findices,
std::vector<int> & Qindices,
std::vector<int> & Bindices
) const
{
const ParameterBase * e1 = &entity;
const Instance & in = *(dynamic_cast<const Instance *> (e1));
const Model & mod =in.model_;

dfdp.resize(13+0);
dqdp.resize(13+0);
Findices.resize(13+0);
Qindices.resize(13+0);

std::vector <double> probeVars(32);
std::vector <double> d_staticContributions_dX(13+0);
std::vector <double> d_dynamicContributions_dX(13+0);


// initialize contributions to zero (automatically sets derivatives to zero)
for (int i=0; i < 13+0 ; ++i)
{
   d_staticContributions_dX[i]=0;
   d_dynamicContributions_dX[i]=0;
}

// Copy out all the model parameters (doubles) into local structure
modelSensStruct modelStruct;

//reals
modelStruct.modelPar_L=mod.L;
modelStruct.d_modelPar_L_dX=0.0;
modelStruct.modelPar_given_L=mod.given("L");
modelStruct.modelPar_D=mod.D;
modelStruct.d_modelPar_D_dX=0.0;
modelStruct.modelPar_given_D=mod.given("D");
modelStruct.modelPar_TFIN=mod.TFIN;
modelStruct.d_modelPar_TFIN_dX=0.0;
modelStruct.modelPar_given_TFIN=mod.given("TFIN");
modelStruct.modelPar_FPITCH=mod.FPITCH;
modelStruct.d_modelPar_FPITCH_dX=0.0;
modelStruct.modelPar_given_FPITCH=mod.given("FPITCH");
modelStruct.modelPar_NFIN=mod.NFIN;
modelStruct.d_modelPar_NFIN_dX=0.0;
modelStruct.modelPar_given_NFIN=mod.given("NFIN");
modelStruct.modelPar_ASEO=mod.ASEO;
modelStruct.d_modelPar_ASEO_dX=0.0;
modelStruct.modelPar_given_ASEO=mod.given("ASEO");
modelStruct.modelPar_ADEO=mod.ADEO;
modelStruct.d_modelPar_ADEO_dX=0.0;
modelStruct.modelPar_given_ADEO=mod.given("ADEO");
modelStruct.modelPar_PSEO=mod.PSEO;
modelStruct.d_modelPar_PSEO_dX=0.0;
modelStruct.modelPar_given_PSEO=mod.given("PSEO");
modelStruct.modelPar_PDEO=mod.PDEO;
modelStruct.d_modelPar_PDEO_dX=0.0;
modelStruct.modelPar_given_PDEO=mod.given("PDEO");
modelStruct.modelPar_ASEJ=mod.ASEJ;
modelStruct.d_modelPar_ASEJ_dX=0.0;
modelStruct.modelPar_given_ASEJ=mod.given("ASEJ");
modelStruct.modelPar_ADEJ=mod.ADEJ;
modelStruct.d_modelPar_ADEJ_dX=0.0;
modelStruct.modelPar_given_ADEJ=mod.given("ADEJ");
modelStruct.modelPar_PSEJ=mod.PSEJ;
modelStruct.d_modelPar_PSEJ_dX=0.0;
modelStruct.modelPar_given_PSEJ=mod.given("PSEJ");
modelStruct.modelPar_PDEJ=mod.PDEJ;
modelStruct.d_modelPar_PDEJ_dX=0.0;
modelStruct.modelPar_given_PDEJ=mod.given("PDEJ");
modelStruct.modelPar_CGSP=mod.CGSP;
modelStruct.d_modelPar_CGSP_dX=0.0;
modelStruct.modelPar_given_CGSP=mod.given("CGSP");
modelStruct.modelPar_CGDP=mod.CGDP;
modelStruct.d_modelPar_CGDP_dX=0.0;
modelStruct.modelPar_given_CGDP=mod.given("CGDP");
modelStruct.modelPar_CDSP=mod.CDSP;
modelStruct.d_modelPar_CDSP_dX=0.0;
modelStruct.modelPar_given_CDSP=mod.given("CDSP");
modelStruct.modelPar_NRS=mod.NRS;
modelStruct.d_modelPar_NRS_dX=0.0;
modelStruct.modelPar_given_NRS=mod.given("NRS");
modelStruct.modelPar_NRD=mod.NRD;
modelStruct.d_modelPar_NRD_dX=0.0;
modelStruct.modelPar_given_NRD=mod.given("NRD");
modelStruct.modelPar_LRSD=mod.LRSD;
modelStruct.d_modelPar_LRSD_dX=0.0;
modelStruct.modelPar_given_LRSD=mod.given("LRSD");
modelStruct.modelPar_NFINNOM=mod.NFINNOM;
modelStruct.d_modelPar_NFINNOM_dX=0.0;
modelStruct.modelPar_given_NFINNOM=mod.given("NFINNOM");
modelStruct.modelPar_DTEMP=mod.DTEMP;
modelStruct.d_modelPar_DTEMP_dX=0.0;
modelStruct.modelPar_given_DTEMP=mod.given("DTEMP");
modelStruct.modelPar_DELVTRAND=mod.DELVTRAND;
modelStruct.d_modelPar_DELVTRAND_dX=0.0;
modelStruct.modelPar_given_DELVTRAND=mod.given("DELVTRAND");
modelStruct.modelPar_U0MULT=mod.U0MULT;
modelStruct.d_modelPar_U0MULT_dX=0.0;
modelStruct.modelPar_given_U0MULT=mod.given("U0MULT");
modelStruct.modelPar_IDS0MULT=mod.IDS0MULT;
modelStruct.d_modelPar_IDS0MULT_dX=0.0;
modelStruct.modelPar_given_IDS0MULT=mod.given("IDS0MULT");
modelStruct.modelPar_IGC0MULT=mod.IGC0MULT;
modelStruct.d_modelPar_IGC0MULT_dX=0.0;
modelStruct.modelPar_given_IGC0MULT=mod.given("IGC0MULT");
modelStruct.modelPar_IGB0MULT=mod.IGB0MULT;
modelStruct.d_modelPar_IGB0MULT_dX=0.0;
modelStruct.modelPar_given_IGB0MULT=mod.given("IGB0MULT");
modelStruct.modelPar_COVS=mod.COVS;
modelStruct.d_modelPar_COVS_dX=0.0;
modelStruct.modelPar_given_COVS=mod.given("COVS");
modelStruct.modelPar_LCOVS=mod.LCOVS;
modelStruct.d_modelPar_LCOVS_dX=0.0;
modelStruct.modelPar_given_LCOVS=mod.given("LCOVS");
modelStruct.modelPar_NCOVS=mod.NCOVS;
modelStruct.d_modelPar_NCOVS_dX=0.0;
modelStruct.modelPar_given_NCOVS=mod.given("NCOVS");
modelStruct.modelPar_PCOVS=mod.PCOVS;
modelStruct.d_modelPar_PCOVS_dX=0.0;
modelStruct.modelPar_given_PCOVS=mod.given("PCOVS");
modelStruct.modelPar_WCOVS=mod.WCOVS;
modelStruct.d_modelPar_WCOVS_dX=0.0;
modelStruct.modelPar_given_WCOVS=mod.given("WCOVS");
modelStruct.modelPar_P2COVS=mod.P2COVS;
modelStruct.d_modelPar_P2COVS_dX=0.0;
modelStruct.modelPar_given_P2COVS=mod.given("P2COVS");
modelStruct.modelPar_COVD=mod.COVD;
modelStruct.d_modelPar_COVD_dX=0.0;
modelStruct.modelPar_given_COVD=mod.given("COVD");
modelStruct.modelPar_LCOVD=mod.LCOVD;
modelStruct.d_modelPar_LCOVD_dX=0.0;
modelStruct.modelPar_given_LCOVD=mod.given("LCOVD");
modelStruct.modelPar_NCOVD=mod.NCOVD;
modelStruct.d_modelPar_NCOVD_dX=0.0;
modelStruct.modelPar_given_NCOVD=mod.given("NCOVD");
modelStruct.modelPar_PCOVD=mod.PCOVD;
modelStruct.d_modelPar_PCOVD_dX=0.0;
modelStruct.modelPar_given_PCOVD=mod.given("PCOVD");
modelStruct.modelPar_WCOVD=mod.WCOVD;
modelStruct.d_modelPar_WCOVD_dX=0.0;
modelStruct.modelPar_given_WCOVD=mod.given("WCOVD");
modelStruct.modelPar_P2COVD=mod.P2COVD;
modelStruct.d_modelPar_P2COVD_dX=0.0;
modelStruct.modelPar_given_P2COVD=mod.given("P2COVD");
modelStruct.modelPar_TGAA=mod.TGAA;
modelStruct.d_modelPar_TGAA_dX=0.0;
modelStruct.modelPar_given_TGAA=mod.given("TGAA");
modelStruct.modelPar_TSUS=mod.TSUS;
modelStruct.d_modelPar_TSUS_dX=0.0;
modelStruct.modelPar_given_TSUS=mod.given("TSUS");
modelStruct.modelPar_HPFF=mod.HPFF;
modelStruct.d_modelPar_HPFF_dX=0.0;
modelStruct.modelPar_given_HPFF=mod.given("HPFF");
modelStruct.modelPar_WGAA=mod.WGAA;
modelStruct.d_modelPar_WGAA_dX=0.0;
modelStruct.modelPar_given_WGAA=mod.given("WGAA");
modelStruct.modelPar_DWS1=mod.DWS1;
modelStruct.d_modelPar_DWS1_dX=0.0;
modelStruct.modelPar_given_DWS1=mod.given("DWS1");
modelStruct.modelPar_DACH1=mod.DACH1;
modelStruct.d_modelPar_DACH1_dX=0.0;
modelStruct.modelPar_given_DACH1=mod.given("DACH1");
modelStruct.modelPar_DWS2=mod.DWS2;
modelStruct.d_modelPar_DWS2_dX=0.0;
modelStruct.modelPar_given_DWS2=mod.given("DWS2");
modelStruct.modelPar_DACH2=mod.DACH2;
modelStruct.d_modelPar_DACH2_dX=0.0;
modelStruct.modelPar_given_DACH2=mod.given("DACH2");
modelStruct.modelPar_DWS3=mod.DWS3;
modelStruct.d_modelPar_DWS3_dX=0.0;
modelStruct.modelPar_given_DWS3=mod.given("DWS3");
modelStruct.modelPar_DACH3=mod.DACH3;
modelStruct.d_modelPar_DACH3_dX=0.0;
modelStruct.modelPar_given_DACH3=mod.given("DACH3");
modelStruct.modelPar_DWS4=mod.DWS4;
modelStruct.d_modelPar_DWS4_dX=0.0;
modelStruct.modelPar_given_DWS4=mod.given("DWS4");
modelStruct.modelPar_DACH4=mod.DACH4;
modelStruct.d_modelPar_DACH4_dX=0.0;
modelStruct.modelPar_given_DACH4=mod.given("DACH4");
modelStruct.modelPar_DWS5=mod.DWS5;
modelStruct.d_modelPar_DWS5_dX=0.0;
modelStruct.modelPar_given_DWS5=mod.given("DWS5");
modelStruct.modelPar_DACH5=mod.DACH5;
modelStruct.d_modelPar_DACH5_dX=0.0;
modelStruct.modelPar_given_DACH5=mod.given("DACH5");
modelStruct.modelPar_DWS6=mod.DWS6;
modelStruct.d_modelPar_DWS6_dX=0.0;
modelStruct.modelPar_given_DWS6=mod.given("DWS6");
modelStruct.modelPar_DACH6=mod.DACH6;
modelStruct.d_modelPar_DACH6_dX=0.0;
modelStruct.modelPar_given_DACH6=mod.given("DACH6");
modelStruct.modelPar_LL=mod.LL;
modelStruct.d_modelPar_LL_dX=0.0;
modelStruct.modelPar_given_LL=mod.given("LL");
modelStruct.modelPar_LLN=mod.LLN;
modelStruct.d_modelPar_LLN_dX=0.0;
modelStruct.modelPar_given_LLN=mod.given("LLN");
modelStruct.modelPar_DLC=mod.DLC;
modelStruct.d_modelPar_DLC_dX=0.0;
modelStruct.modelPar_given_DLC=mod.given("DLC");
modelStruct.modelPar_DLCACC=mod.DLCACC;
modelStruct.d_modelPar_DLCACC_dX=0.0;
modelStruct.modelPar_given_DLCACC=mod.given("DLCACC");
modelStruct.modelPar_DWCACC=mod.DWCACC;
modelStruct.d_modelPar_DWCACC_dX=0.0;
modelStruct.modelPar_given_DWCACC=mod.given("DWCACC");
modelStruct.modelPar_LLC=mod.LLC;
modelStruct.d_modelPar_LLC_dX=0.0;
modelStruct.modelPar_given_LLC=mod.given("LLC");
modelStruct.modelPar_EOT=mod.EOT;
modelStruct.d_modelPar_EOT_dX=0.0;
modelStruct.modelPar_given_EOT=mod.given("EOT");
modelStruct.modelPar_TOXP=mod.TOXP;
modelStruct.d_modelPar_TOXP_dX=0.0;
modelStruct.modelPar_given_TOXP=mod.given("TOXP");
modelStruct.modelPar_EOTBOX=mod.EOTBOX;
modelStruct.d_modelPar_EOTBOX_dX=0.0;
modelStruct.modelPar_given_EOTBOX=mod.given("EOTBOX");
modelStruct.modelPar_HFIN=mod.HFIN;
modelStruct.d_modelPar_HFIN_dX=0.0;
modelStruct.modelPar_given_HFIN=mod.given("HFIN");
modelStruct.modelPar_DELTAW=mod.DELTAW;
modelStruct.d_modelPar_DELTAW_dX=0.0;
modelStruct.modelPar_given_DELTAW=mod.given("DELTAW");
modelStruct.modelPar_DELTAWCV=mod.DELTAWCV;
modelStruct.d_modelPar_DELTAWCV_dX=0.0;
modelStruct.modelPar_given_DELTAWCV=mod.given("DELTAWCV");
modelStruct.modelPar_NBODYN1=mod.NBODYN1;
modelStruct.d_modelPar_NBODYN1_dX=0.0;
modelStruct.modelPar_given_NBODYN1=mod.given("NBODYN1");
modelStruct.modelPar_NBODYN2=mod.NBODYN2;
modelStruct.d_modelPar_NBODYN2_dX=0.0;
modelStruct.modelPar_given_NBODYN2=mod.given("NBODYN2");
modelStruct.modelPar_NSD=mod.NSD;
modelStruct.d_modelPar_NSD_dX=0.0;
modelStruct.modelPar_given_NSD=mod.given("NSD");
modelStruct.modelPar_PHIGL=mod.PHIGL;
modelStruct.d_modelPar_PHIGL_dX=0.0;
modelStruct.modelPar_given_PHIGL=mod.given("PHIGL");
modelStruct.modelPar_PHIGLT=mod.PHIGLT;
modelStruct.d_modelPar_PHIGLT_dX=0.0;
modelStruct.modelPar_given_PHIGLT=mod.given("PHIGLT");
modelStruct.modelPar_PHIGN1=mod.PHIGN1;
modelStruct.d_modelPar_PHIGN1_dX=0.0;
modelStruct.modelPar_given_PHIGN1=mod.given("PHIGN1");
modelStruct.modelPar_PHIGN2=mod.PHIGN2;
modelStruct.d_modelPar_PHIGN2_dX=0.0;
modelStruct.modelPar_given_PHIGN2=mod.given("PHIGN2");
modelStruct.modelPar_EPSROX=mod.EPSROX;
modelStruct.d_modelPar_EPSROX_dX=0.0;
modelStruct.modelPar_given_EPSROX=mod.given("EPSROX");
modelStruct.modelPar_EPSRSUB=mod.EPSRSUB;
modelStruct.d_modelPar_EPSRSUB_dX=0.0;
modelStruct.modelPar_given_EPSRSUB=mod.given("EPSRSUB");
modelStruct.modelPar_EASUB=mod.EASUB;
modelStruct.d_modelPar_EASUB_dX=0.0;
modelStruct.modelPar_given_EASUB=mod.given("EASUB");
modelStruct.modelPar_NI0SUB=mod.NI0SUB;
modelStruct.d_modelPar_NI0SUB_dX=0.0;
modelStruct.modelPar_given_NI0SUB=mod.given("NI0SUB");
modelStruct.modelPar_BG0SUB=mod.BG0SUB;
modelStruct.d_modelPar_BG0SUB_dX=0.0;
modelStruct.modelPar_given_BG0SUB=mod.given("BG0SUB");
modelStruct.modelPar_NC0SUB=mod.NC0SUB;
modelStruct.d_modelPar_NC0SUB_dX=0.0;
modelStruct.modelPar_given_NC0SUB=mod.given("NC0SUB");
modelStruct.modelPar_IMIN=mod.IMIN;
modelStruct.d_modelPar_IMIN_dX=0.0;
modelStruct.modelPar_given_IMIN=mod.given("IMIN");
modelStruct.modelPar_LXL=mod.LXL;
modelStruct.d_modelPar_LXL_dX=0.0;
modelStruct.modelPar_given_LXL=mod.given("LXL");
modelStruct.modelPar_NXL=mod.NXL;
modelStruct.d_modelPar_NXL_dX=0.0;
modelStruct.modelPar_given_NXL=mod.given("NXL");
modelStruct.modelPar_PXL=mod.PXL;
modelStruct.d_modelPar_PXL_dX=0.0;
modelStruct.modelPar_given_PXL=mod.given("PXL");
modelStruct.modelPar_LINT=mod.LINT;
modelStruct.d_modelPar_LINT_dX=0.0;
modelStruct.modelPar_given_LINT=mod.given("LINT");
modelStruct.modelPar_LLINT=mod.LLINT;
modelStruct.d_modelPar_LLINT_dX=0.0;
modelStruct.modelPar_given_LLINT=mod.given("LLINT");
modelStruct.modelPar_NLINT=mod.NLINT;
modelStruct.d_modelPar_NLINT_dX=0.0;
modelStruct.modelPar_given_NLINT=mod.given("NLINT");
modelStruct.modelPar_PLINT=mod.PLINT;
modelStruct.d_modelPar_PLINT_dX=0.0;
modelStruct.modelPar_given_PLINT=mod.given("PLINT");
modelStruct.modelPar_DLBIN=mod.DLBIN;
modelStruct.d_modelPar_DLBIN_dX=0.0;
modelStruct.modelPar_given_DLBIN=mod.given("DLBIN");
modelStruct.modelPar_LDLBIN=mod.LDLBIN;
modelStruct.d_modelPar_LDLBIN_dX=0.0;
modelStruct.modelPar_given_LDLBIN=mod.given("LDLBIN");
modelStruct.modelPar_NDLBIN=mod.NDLBIN;
modelStruct.d_modelPar_NDLBIN_dX=0.0;
modelStruct.modelPar_given_NDLBIN=mod.given("NDLBIN");
modelStruct.modelPar_PDLBIN=mod.PDLBIN;
modelStruct.d_modelPar_PDLBIN_dX=0.0;
modelStruct.modelPar_given_PDLBIN=mod.given("PDLBIN");
modelStruct.modelPar_LXW=mod.LXW;
modelStruct.d_modelPar_LXW_dX=0.0;
modelStruct.modelPar_given_LXW=mod.given("LXW");
modelStruct.modelPar_NXW=mod.NXW;
modelStruct.d_modelPar_NXW_dX=0.0;
modelStruct.modelPar_given_NXW=mod.given("NXW");
modelStruct.modelPar_PXW=mod.PXW;
modelStruct.d_modelPar_PXW_dX=0.0;
modelStruct.modelPar_given_PXW=mod.given("PXW");
modelStruct.modelPar_WXW=mod.WXW;
modelStruct.d_modelPar_WXW_dX=0.0;
modelStruct.modelPar_given_WXW=mod.given("WXW");
modelStruct.modelPar_P2XW=mod.P2XW;
modelStruct.d_modelPar_P2XW_dX=0.0;
modelStruct.modelPar_given_P2XW=mod.given("P2XW");
modelStruct.modelPar_DWBIN=mod.DWBIN;
modelStruct.d_modelPar_DWBIN_dX=0.0;
modelStruct.modelPar_given_DWBIN=mod.given("DWBIN");
modelStruct.modelPar_LDWBIN=mod.LDWBIN;
modelStruct.d_modelPar_LDWBIN_dX=0.0;
modelStruct.modelPar_given_LDWBIN=mod.given("LDWBIN");
modelStruct.modelPar_NDWBIN=mod.NDWBIN;
modelStruct.d_modelPar_NDWBIN_dX=0.0;
modelStruct.modelPar_given_NDWBIN=mod.given("NDWBIN");
modelStruct.modelPar_PDWBIN=mod.PDWBIN;
modelStruct.d_modelPar_PDWBIN_dX=0.0;
modelStruct.modelPar_given_PDWBIN=mod.given("PDWBIN");
modelStruct.modelPar_WDWBIN=mod.WDWBIN;
modelStruct.d_modelPar_WDWBIN_dX=0.0;
modelStruct.modelPar_given_WDWBIN=mod.given("WDWBIN");
modelStruct.modelPar_P2DWBIN=mod.P2DWBIN;
modelStruct.d_modelPar_P2DWBIN_dX=0.0;
modelStruct.modelPar_given_P2DWBIN=mod.given("P2DWBIN");
modelStruct.modelPar_NBODY=mod.NBODY;
modelStruct.d_modelPar_NBODY_dX=0.0;
modelStruct.modelPar_given_NBODY=mod.given("NBODY");
modelStruct.modelPar_LNBODY=mod.LNBODY;
modelStruct.d_modelPar_LNBODY_dX=0.0;
modelStruct.modelPar_given_LNBODY=mod.given("LNBODY");
modelStruct.modelPar_NNBODY=mod.NNBODY;
modelStruct.d_modelPar_NNBODY_dX=0.0;
modelStruct.modelPar_given_NNBODY=mod.given("NNBODY");
modelStruct.modelPar_PNBODY=mod.PNBODY;
modelStruct.d_modelPar_PNBODY_dX=0.0;
modelStruct.modelPar_given_PNBODY=mod.given("PNBODY");
modelStruct.modelPar_PHIG=mod.PHIG;
modelStruct.d_modelPar_PHIG_dX=0.0;
modelStruct.modelPar_given_PHIG=mod.given("PHIG");
modelStruct.modelPar_LPHIG=mod.LPHIG;
modelStruct.d_modelPar_LPHIG_dX=0.0;
modelStruct.modelPar_given_LPHIG=mod.given("LPHIG");
modelStruct.modelPar_NPHIG=mod.NPHIG;
modelStruct.d_modelPar_NPHIG_dX=0.0;
modelStruct.modelPar_given_NPHIG=mod.given("NPHIG");
modelStruct.modelPar_PPHIG=mod.PPHIG;
modelStruct.d_modelPar_PPHIG_dX=0.0;
modelStruct.modelPar_given_PPHIG=mod.given("PPHIG");
modelStruct.modelPar_WPHIG=mod.WPHIG;
modelStruct.d_modelPar_WPHIG_dX=0.0;
modelStruct.modelPar_given_WPHIG=mod.given("WPHIG");
modelStruct.modelPar_P2PHIG=mod.P2PHIG;
modelStruct.d_modelPar_P2PHIG_dX=0.0;
modelStruct.modelPar_given_P2PHIG=mod.given("P2PHIG");
modelStruct.modelPar_NGATE=mod.NGATE;
modelStruct.d_modelPar_NGATE_dX=0.0;
modelStruct.modelPar_given_NGATE=mod.given("NGATE");
modelStruct.modelPar_LNGATE=mod.LNGATE;
modelStruct.d_modelPar_LNGATE_dX=0.0;
modelStruct.modelPar_given_LNGATE=mod.given("LNGATE");
modelStruct.modelPar_NNGATE=mod.NNGATE;
modelStruct.d_modelPar_NNGATE_dX=0.0;
modelStruct.modelPar_given_NNGATE=mod.given("NNGATE");
modelStruct.modelPar_PNGATE=mod.PNGATE;
modelStruct.d_modelPar_PNGATE_dX=0.0;
modelStruct.modelPar_given_PNGATE=mod.given("PNGATE");
modelStruct.modelPar_WNGATE=mod.WNGATE;
modelStruct.d_modelPar_WNGATE_dX=0.0;
modelStruct.modelPar_given_WNGATE=mod.given("WNGATE");
modelStruct.modelPar_P2NGATE=mod.P2NGATE;
modelStruct.d_modelPar_P2NGATE_dX=0.0;
modelStruct.modelPar_given_P2NGATE=mod.given("P2NGATE");
modelStruct.modelPar_minr=mod.minr;
modelStruct.d_modelPar_minr_dX=0.0;
modelStruct.modelPar_given_minr=mod.given("minr");
modelStruct.modelPar_CDSCN1=mod.CDSCN1;
modelStruct.d_modelPar_CDSCN1_dX=0.0;
modelStruct.modelPar_given_CDSCN1=mod.given("CDSCN1");
modelStruct.modelPar_CDSCN2=mod.CDSCN2;
modelStruct.d_modelPar_CDSCN2_dX=0.0;
modelStruct.modelPar_given_CDSCN2=mod.given("CDSCN2");
modelStruct.modelPar_CDSCDN1=mod.CDSCDN1;
modelStruct.d_modelPar_CDSCDN1_dX=0.0;
modelStruct.modelPar_given_CDSCDN1=mod.given("CDSCDN1");
modelStruct.modelPar_CDSCDN2=mod.CDSCDN2;
modelStruct.d_modelPar_CDSCDN2_dX=0.0;
modelStruct.modelPar_given_CDSCDN2=mod.given("CDSCDN2");
modelStruct.modelPar_CDSCDRN1=mod.CDSCDRN1;
modelStruct.d_modelPar_CDSCDRN1_dX=0.0;
modelStruct.modelPar_given_CDSCDRN1=mod.given("CDSCDRN1");
modelStruct.modelPar_CDSCDRN2=mod.CDSCDRN2;
modelStruct.d_modelPar_CDSCDRN2_dX=0.0;
modelStruct.modelPar_given_CDSCDRN2=mod.given("CDSCDRN2");
modelStruct.modelPar_ETA0N1=mod.ETA0N1;
modelStruct.d_modelPar_ETA0N1_dX=0.0;
modelStruct.modelPar_given_ETA0N1=mod.given("ETA0N1");
modelStruct.modelPar_ETA0N2=mod.ETA0N2;
modelStruct.d_modelPar_ETA0N2_dX=0.0;
modelStruct.modelPar_given_ETA0N2=mod.given("ETA0N2");
modelStruct.modelPar_ETA0LT=mod.ETA0LT;
modelStruct.d_modelPar_ETA0LT_dX=0.0;
modelStruct.modelPar_given_ETA0LT=mod.given("ETA0LT");
modelStruct.modelPar_ETA0N1CV=mod.ETA0N1CV;
modelStruct.d_modelPar_ETA0N1CV_dX=0.0;
modelStruct.modelPar_given_ETA0N1CV=mod.given("ETA0N1CV");
modelStruct.modelPar_ETA0N2CV=mod.ETA0N2CV;
modelStruct.d_modelPar_ETA0N2CV_dX=0.0;
modelStruct.modelPar_given_ETA0N2CV=mod.given("ETA0N2CV");
modelStruct.modelPar_ETA0LTCV=mod.ETA0LTCV;
modelStruct.d_modelPar_ETA0LTCV_dX=0.0;
modelStruct.modelPar_given_ETA0LTCV=mod.given("ETA0LTCV");
modelStruct.modelPar_TETA0=mod.TETA0;
modelStruct.d_modelPar_TETA0_dX=0.0;
modelStruct.modelPar_given_TETA0=mod.given("TETA0");
modelStruct.modelPar_TETA0CV=mod.TETA0CV;
modelStruct.d_modelPar_TETA0CV_dX=0.0;
modelStruct.modelPar_given_TETA0CV=mod.given("TETA0CV");
modelStruct.modelPar_TETA0R=mod.TETA0R;
modelStruct.d_modelPar_TETA0R_dX=0.0;
modelStruct.modelPar_given_TETA0R=mod.given("TETA0R");
modelStruct.modelPar_ADVTP0=mod.ADVTP0;
modelStruct.d_modelPar_ADVTP0_dX=0.0;
modelStruct.modelPar_given_ADVTP0=mod.given("ADVTP0");
modelStruct.modelPar_BDVTP0=mod.BDVTP0;
modelStruct.d_modelPar_BDVTP0_dX=0.0;
modelStruct.modelPar_given_BDVTP0=mod.given("BDVTP0");
modelStruct.modelPar_ADVTP1=mod.ADVTP1;
modelStruct.d_modelPar_ADVTP1_dX=0.0;
modelStruct.modelPar_given_ADVTP1=mod.given("ADVTP1");
modelStruct.modelPar_BDVTP1=mod.BDVTP1;
modelStruct.d_modelPar_BDVTP1_dX=0.0;
modelStruct.modelPar_given_BDVTP1=mod.given("BDVTP1");
modelStruct.modelPar_DVTP2=mod.DVTP2;
modelStruct.d_modelPar_DVTP2_dX=0.0;
modelStruct.modelPar_given_DVTP2=mod.given("DVTP2");
modelStruct.modelPar_THETASCE=mod.THETASCE;
modelStruct.d_modelPar_THETASCE_dX=0.0;
modelStruct.modelPar_given_THETASCE=mod.given("THETASCE");
modelStruct.modelPar_THETADIBL=mod.THETADIBL;
modelStruct.d_modelPar_THETADIBL_dX=0.0;
modelStruct.modelPar_given_THETADIBL=mod.given("THETADIBL");
modelStruct.modelPar_THETASW=mod.THETASW;
modelStruct.d_modelPar_THETASW_dX=0.0;
modelStruct.modelPar_given_THETASW=mod.given("THETASW");
modelStruct.modelPar_NVTM=mod.NVTM;
modelStruct.d_modelPar_NVTM_dX=0.0;
modelStruct.modelPar_given_NVTM=mod.given("NVTM");
modelStruct.modelPar_DVTP0=mod.DVTP0;
modelStruct.d_modelPar_DVTP0_dX=0.0;
modelStruct.modelPar_given_DVTP0=mod.given("DVTP0");
modelStruct.modelPar_LDVTP0=mod.LDVTP0;
modelStruct.d_modelPar_LDVTP0_dX=0.0;
modelStruct.modelPar_given_LDVTP0=mod.given("LDVTP0");
modelStruct.modelPar_NDVTP0=mod.NDVTP0;
modelStruct.d_modelPar_NDVTP0_dX=0.0;
modelStruct.modelPar_given_NDVTP0=mod.given("NDVTP0");
modelStruct.modelPar_PDVTP0=mod.PDVTP0;
modelStruct.d_modelPar_PDVTP0_dX=0.0;
modelStruct.modelPar_given_PDVTP0=mod.given("PDVTP0");
modelStruct.modelPar_WDVTP0=mod.WDVTP0;
modelStruct.d_modelPar_WDVTP0_dX=0.0;
modelStruct.modelPar_given_WDVTP0=mod.given("WDVTP0");
modelStruct.modelPar_P2DVTP0=mod.P2DVTP0;
modelStruct.d_modelPar_P2DVTP0_dX=0.0;
modelStruct.modelPar_given_P2DVTP0=mod.given("P2DVTP0");
modelStruct.modelPar_DVTP1=mod.DVTP1;
modelStruct.d_modelPar_DVTP1_dX=0.0;
modelStruct.modelPar_given_DVTP1=mod.given("DVTP1");
modelStruct.modelPar_LDVTP1=mod.LDVTP1;
modelStruct.d_modelPar_LDVTP1_dX=0.0;
modelStruct.modelPar_given_LDVTP1=mod.given("LDVTP1");
modelStruct.modelPar_NDVTP1=mod.NDVTP1;
modelStruct.d_modelPar_NDVTP1_dX=0.0;
modelStruct.modelPar_given_NDVTP1=mod.given("NDVTP1");
modelStruct.modelPar_PDVTP1=mod.PDVTP1;
modelStruct.d_modelPar_PDVTP1_dX=0.0;
modelStruct.modelPar_given_PDVTP1=mod.given("PDVTP1");
modelStruct.modelPar_WDVTP1=mod.WDVTP1;
modelStruct.d_modelPar_WDVTP1_dX=0.0;
modelStruct.modelPar_given_WDVTP1=mod.given("WDVTP1");
modelStruct.modelPar_P2DVTP1=mod.P2DVTP1;
modelStruct.d_modelPar_P2DVTP1_dX=0.0;
modelStruct.modelPar_given_P2DVTP1=mod.given("P2DVTP1");
modelStruct.modelPar_CIT=mod.CIT;
modelStruct.d_modelPar_CIT_dX=0.0;
modelStruct.modelPar_given_CIT=mod.given("CIT");
modelStruct.modelPar_LCIT=mod.LCIT;
modelStruct.d_modelPar_LCIT_dX=0.0;
modelStruct.modelPar_given_LCIT=mod.given("LCIT");
modelStruct.modelPar_NCIT=mod.NCIT;
modelStruct.d_modelPar_NCIT_dX=0.0;
modelStruct.modelPar_given_NCIT=mod.given("NCIT");
modelStruct.modelPar_PCIT=mod.PCIT;
modelStruct.d_modelPar_PCIT_dX=0.0;
modelStruct.modelPar_given_PCIT=mod.given("PCIT");
modelStruct.modelPar_WCIT=mod.WCIT;
modelStruct.d_modelPar_WCIT_dX=0.0;
modelStruct.modelPar_given_WCIT=mod.given("WCIT");
modelStruct.modelPar_P2CIT=mod.P2CIT;
modelStruct.d_modelPar_P2CIT_dX=0.0;
modelStruct.modelPar_given_P2CIT=mod.given("P2CIT");
modelStruct.modelPar_CITR=mod.CITR;
modelStruct.d_modelPar_CITR_dX=0.0;
modelStruct.modelPar_given_CITR=mod.given("CITR");
modelStruct.modelPar_LCITR=mod.LCITR;
modelStruct.d_modelPar_LCITR_dX=0.0;
modelStruct.modelPar_given_LCITR=mod.given("LCITR");
modelStruct.modelPar_NCITR=mod.NCITR;
modelStruct.d_modelPar_NCITR_dX=0.0;
modelStruct.modelPar_given_NCITR=mod.given("NCITR");
modelStruct.modelPar_PCITR=mod.PCITR;
modelStruct.d_modelPar_PCITR_dX=0.0;
modelStruct.modelPar_given_PCITR=mod.given("PCITR");
modelStruct.modelPar_WCITR=mod.WCITR;
modelStruct.d_modelPar_WCITR_dX=0.0;
modelStruct.modelPar_given_WCITR=mod.given("WCITR");
modelStruct.modelPar_P2CITR=mod.P2CITR;
modelStruct.d_modelPar_P2CITR_dX=0.0;
modelStruct.modelPar_given_P2CITR=mod.given("P2CITR");
modelStruct.modelPar_CDSC=mod.CDSC;
modelStruct.d_modelPar_CDSC_dX=0.0;
modelStruct.modelPar_given_CDSC=mod.given("CDSC");
modelStruct.modelPar_LCDSC=mod.LCDSC;
modelStruct.d_modelPar_LCDSC_dX=0.0;
modelStruct.modelPar_given_LCDSC=mod.given("LCDSC");
modelStruct.modelPar_NCDSC=mod.NCDSC;
modelStruct.d_modelPar_NCDSC_dX=0.0;
modelStruct.modelPar_given_NCDSC=mod.given("NCDSC");
modelStruct.modelPar_PCDSC=mod.PCDSC;
modelStruct.d_modelPar_PCDSC_dX=0.0;
modelStruct.modelPar_given_PCDSC=mod.given("PCDSC");
modelStruct.modelPar_WCDSC=mod.WCDSC;
modelStruct.d_modelPar_WCDSC_dX=0.0;
modelStruct.modelPar_given_WCDSC=mod.given("WCDSC");
modelStruct.modelPar_P2CDSC=mod.P2CDSC;
modelStruct.d_modelPar_P2CDSC_dX=0.0;
modelStruct.modelPar_given_P2CDSC=mod.given("P2CDSC");
modelStruct.modelPar_CDSCD=mod.CDSCD;
modelStruct.d_modelPar_CDSCD_dX=0.0;
modelStruct.modelPar_given_CDSCD=mod.given("CDSCD");
modelStruct.modelPar_LCDSCD=mod.LCDSCD;
modelStruct.d_modelPar_LCDSCD_dX=0.0;
modelStruct.modelPar_given_LCDSCD=mod.given("LCDSCD");
modelStruct.modelPar_NCDSCD=mod.NCDSCD;
modelStruct.d_modelPar_NCDSCD_dX=0.0;
modelStruct.modelPar_given_NCDSCD=mod.given("NCDSCD");
modelStruct.modelPar_PCDSCD=mod.PCDSCD;
modelStruct.d_modelPar_PCDSCD_dX=0.0;
modelStruct.modelPar_given_PCDSCD=mod.given("PCDSCD");
modelStruct.modelPar_WCDSCD=mod.WCDSCD;
modelStruct.d_modelPar_WCDSCD_dX=0.0;
modelStruct.modelPar_given_WCDSCD=mod.given("WCDSCD");
modelStruct.modelPar_P2CDSCD=mod.P2CDSCD;
modelStruct.d_modelPar_P2CDSCD_dX=0.0;
modelStruct.modelPar_given_P2CDSCD=mod.given("P2CDSCD");
modelStruct.modelPar_CDSCDR=mod.CDSCDR;
modelStruct.d_modelPar_CDSCDR_dX=0.0;
modelStruct.modelPar_given_CDSCDR=mod.given("CDSCDR");
modelStruct.modelPar_LCDSCDR=mod.LCDSCDR;
modelStruct.d_modelPar_LCDSCDR_dX=0.0;
modelStruct.modelPar_given_LCDSCDR=mod.given("LCDSCDR");
modelStruct.modelPar_NCDSCDR=mod.NCDSCDR;
modelStruct.d_modelPar_NCDSCDR_dX=0.0;
modelStruct.modelPar_given_NCDSCDR=mod.given("NCDSCDR");
modelStruct.modelPar_PCDSCDR=mod.PCDSCDR;
modelStruct.d_modelPar_PCDSCDR_dX=0.0;
modelStruct.modelPar_given_PCDSCDR=mod.given("PCDSCDR");
modelStruct.modelPar_WCDSCDR=mod.WCDSCDR;
modelStruct.d_modelPar_WCDSCDR_dX=0.0;
modelStruct.modelPar_given_WCDSCDR=mod.given("WCDSCDR");
modelStruct.modelPar_P2CDSCDR=mod.P2CDSCDR;
modelStruct.d_modelPar_P2CDSCDR_dX=0.0;
modelStruct.modelPar_given_P2CDSCDR=mod.given("P2CDSCDR");
modelStruct.modelPar_DVT0=mod.DVT0;
modelStruct.d_modelPar_DVT0_dX=0.0;
modelStruct.modelPar_given_DVT0=mod.given("DVT0");
modelStruct.modelPar_LDVT0=mod.LDVT0;
modelStruct.d_modelPar_LDVT0_dX=0.0;
modelStruct.modelPar_given_LDVT0=mod.given("LDVT0");
modelStruct.modelPar_NDVT0=mod.NDVT0;
modelStruct.d_modelPar_NDVT0_dX=0.0;
modelStruct.modelPar_given_NDVT0=mod.given("NDVT0");
modelStruct.modelPar_PDVT0=mod.PDVT0;
modelStruct.d_modelPar_PDVT0_dX=0.0;
modelStruct.modelPar_given_PDVT0=mod.given("PDVT0");
modelStruct.modelPar_WDVT0=mod.WDVT0;
modelStruct.d_modelPar_WDVT0_dX=0.0;
modelStruct.modelPar_given_WDVT0=mod.given("WDVT0");
modelStruct.modelPar_P2DVT0=mod.P2DVT0;
modelStruct.d_modelPar_P2DVT0_dX=0.0;
modelStruct.modelPar_given_P2DVT0=mod.given("P2DVT0");
modelStruct.modelPar_DVT1=mod.DVT1;
modelStruct.d_modelPar_DVT1_dX=0.0;
modelStruct.modelPar_given_DVT1=mod.given("DVT1");
modelStruct.modelPar_LDVT1=mod.LDVT1;
modelStruct.d_modelPar_LDVT1_dX=0.0;
modelStruct.modelPar_given_LDVT1=mod.given("LDVT1");
modelStruct.modelPar_NDVT1=mod.NDVT1;
modelStruct.d_modelPar_NDVT1_dX=0.0;
modelStruct.modelPar_given_NDVT1=mod.given("NDVT1");
modelStruct.modelPar_PDVT1=mod.PDVT1;
modelStruct.d_modelPar_PDVT1_dX=0.0;
modelStruct.modelPar_given_PDVT1=mod.given("PDVT1");
modelStruct.modelPar_WDVT1=mod.WDVT1;
modelStruct.d_modelPar_WDVT1_dX=0.0;
modelStruct.modelPar_given_WDVT1=mod.given("WDVT1");
modelStruct.modelPar_P2DVT1=mod.P2DVT1;
modelStruct.d_modelPar_P2DVT1_dX=0.0;
modelStruct.modelPar_given_P2DVT1=mod.given("P2DVT1");
modelStruct.modelPar_DVT1SS=mod.DVT1SS;
modelStruct.d_modelPar_DVT1SS_dX=0.0;
modelStruct.modelPar_given_DVT1SS=mod.given("DVT1SS");
modelStruct.modelPar_LDVT1SS=mod.LDVT1SS;
modelStruct.d_modelPar_LDVT1SS_dX=0.0;
modelStruct.modelPar_given_LDVT1SS=mod.given("LDVT1SS");
modelStruct.modelPar_NDVT1SS=mod.NDVT1SS;
modelStruct.d_modelPar_NDVT1SS_dX=0.0;
modelStruct.modelPar_given_NDVT1SS=mod.given("NDVT1SS");
modelStruct.modelPar_PDVT1SS=mod.PDVT1SS;
modelStruct.d_modelPar_PDVT1SS_dX=0.0;
modelStruct.modelPar_given_PDVT1SS=mod.given("PDVT1SS");
modelStruct.modelPar_WDVT1SS=mod.WDVT1SS;
modelStruct.d_modelPar_WDVT1SS_dX=0.0;
modelStruct.modelPar_given_WDVT1SS=mod.given("WDVT1SS");
modelStruct.modelPar_P2DVT1SS=mod.P2DVT1SS;
modelStruct.d_modelPar_P2DVT1SS_dX=0.0;
modelStruct.modelPar_given_P2DVT1SS=mod.given("P2DVT1SS");
modelStruct.modelPar_PHIN=mod.PHIN;
modelStruct.d_modelPar_PHIN_dX=0.0;
modelStruct.modelPar_given_PHIN=mod.given("PHIN");
modelStruct.modelPar_LPHIN=mod.LPHIN;
modelStruct.d_modelPar_LPHIN_dX=0.0;
modelStruct.modelPar_given_LPHIN=mod.given("LPHIN");
modelStruct.modelPar_NPHIN=mod.NPHIN;
modelStruct.d_modelPar_NPHIN_dX=0.0;
modelStruct.modelPar_given_NPHIN=mod.given("NPHIN");
modelStruct.modelPar_PPHIN=mod.PPHIN;
modelStruct.d_modelPar_PPHIN_dX=0.0;
modelStruct.modelPar_given_PPHIN=mod.given("PPHIN");
modelStruct.modelPar_WPHIN=mod.WPHIN;
modelStruct.d_modelPar_WPHIN_dX=0.0;
modelStruct.modelPar_given_WPHIN=mod.given("WPHIN");
modelStruct.modelPar_P2PHIN=mod.P2PHIN;
modelStruct.d_modelPar_P2PHIN_dX=0.0;
modelStruct.modelPar_given_P2PHIN=mod.given("P2PHIN");
modelStruct.modelPar_ETA0=mod.ETA0;
modelStruct.d_modelPar_ETA0_dX=0.0;
modelStruct.modelPar_given_ETA0=mod.given("ETA0");
modelStruct.modelPar_LETA0=mod.LETA0;
modelStruct.d_modelPar_LETA0_dX=0.0;
modelStruct.modelPar_given_LETA0=mod.given("LETA0");
modelStruct.modelPar_NETA0=mod.NETA0;
modelStruct.d_modelPar_NETA0_dX=0.0;
modelStruct.modelPar_given_NETA0=mod.given("NETA0");
modelStruct.modelPar_PETA0=mod.PETA0;
modelStruct.d_modelPar_PETA0_dX=0.0;
modelStruct.modelPar_given_PETA0=mod.given("PETA0");
modelStruct.modelPar_WETA0=mod.WETA0;
modelStruct.d_modelPar_WETA0_dX=0.0;
modelStruct.modelPar_given_WETA0=mod.given("WETA0");
modelStruct.modelPar_P2ETA0=mod.P2ETA0;
modelStruct.d_modelPar_P2ETA0_dX=0.0;
modelStruct.modelPar_given_P2ETA0=mod.given("P2ETA0");
modelStruct.modelPar_ETA0R=mod.ETA0R;
modelStruct.d_modelPar_ETA0R_dX=0.0;
modelStruct.modelPar_given_ETA0R=mod.given("ETA0R");
modelStruct.modelPar_LETA0R=mod.LETA0R;
modelStruct.d_modelPar_LETA0R_dX=0.0;
modelStruct.modelPar_given_LETA0R=mod.given("LETA0R");
modelStruct.modelPar_NETA0R=mod.NETA0R;
modelStruct.d_modelPar_NETA0R_dX=0.0;
modelStruct.modelPar_given_NETA0R=mod.given("NETA0R");
modelStruct.modelPar_PETA0R=mod.PETA0R;
modelStruct.d_modelPar_PETA0R_dX=0.0;
modelStruct.modelPar_given_PETA0R=mod.given("PETA0R");
modelStruct.modelPar_WETA0R=mod.WETA0R;
modelStruct.d_modelPar_WETA0R_dX=0.0;
modelStruct.modelPar_given_WETA0R=mod.given("WETA0R");
modelStruct.modelPar_P2ETA0R=mod.P2ETA0R;
modelStruct.d_modelPar_P2ETA0R_dX=0.0;
modelStruct.modelPar_given_P2ETA0R=mod.given("P2ETA0R");
modelStruct.modelPar_ETA0CV=mod.ETA0CV;
modelStruct.d_modelPar_ETA0CV_dX=0.0;
modelStruct.modelPar_given_ETA0CV=mod.given("ETA0CV");
modelStruct.modelPar_LETA0CV=mod.LETA0CV;
modelStruct.d_modelPar_LETA0CV_dX=0.0;
modelStruct.modelPar_given_LETA0CV=mod.given("LETA0CV");
modelStruct.modelPar_NETA0CV=mod.NETA0CV;
modelStruct.d_modelPar_NETA0CV_dX=0.0;
modelStruct.modelPar_given_NETA0CV=mod.given("NETA0CV");
modelStruct.modelPar_PETA0CV=mod.PETA0CV;
modelStruct.d_modelPar_PETA0CV_dX=0.0;
modelStruct.modelPar_given_PETA0CV=mod.given("PETA0CV");
modelStruct.modelPar_WETA0CV=mod.WETA0CV;
modelStruct.d_modelPar_WETA0CV_dX=0.0;
modelStruct.modelPar_given_WETA0CV=mod.given("WETA0CV");
modelStruct.modelPar_P2ETA0CV=mod.P2ETA0CV;
modelStruct.d_modelPar_P2ETA0CV_dX=0.0;
modelStruct.modelPar_given_P2ETA0CV=mod.given("P2ETA0CV");
modelStruct.modelPar_DSUB=mod.DSUB;
modelStruct.d_modelPar_DSUB_dX=0.0;
modelStruct.modelPar_given_DSUB=mod.given("DSUB");
modelStruct.modelPar_LDSUB=mod.LDSUB;
modelStruct.d_modelPar_LDSUB_dX=0.0;
modelStruct.modelPar_given_LDSUB=mod.given("LDSUB");
modelStruct.modelPar_NDSUB=mod.NDSUB;
modelStruct.d_modelPar_NDSUB_dX=0.0;
modelStruct.modelPar_given_NDSUB=mod.given("NDSUB");
modelStruct.modelPar_PDSUB=mod.PDSUB;
modelStruct.d_modelPar_PDSUB_dX=0.0;
modelStruct.modelPar_given_PDSUB=mod.given("PDSUB");
modelStruct.modelPar_WDSUB=mod.WDSUB;
modelStruct.d_modelPar_WDSUB_dX=0.0;
modelStruct.modelPar_given_WDSUB=mod.given("WDSUB");
modelStruct.modelPar_P2DSUB=mod.P2DSUB;
modelStruct.d_modelPar_P2DSUB_dX=0.0;
modelStruct.modelPar_given_P2DSUB=mod.given("P2DSUB");
modelStruct.modelPar_K1RSCE=mod.K1RSCE;
modelStruct.d_modelPar_K1RSCE_dX=0.0;
modelStruct.modelPar_given_K1RSCE=mod.given("K1RSCE");
modelStruct.modelPar_LK1RSCE=mod.LK1RSCE;
modelStruct.d_modelPar_LK1RSCE_dX=0.0;
modelStruct.modelPar_given_LK1RSCE=mod.given("LK1RSCE");
modelStruct.modelPar_NK1RSCE=mod.NK1RSCE;
modelStruct.d_modelPar_NK1RSCE_dX=0.0;
modelStruct.modelPar_given_NK1RSCE=mod.given("NK1RSCE");
modelStruct.modelPar_PK1RSCE=mod.PK1RSCE;
modelStruct.d_modelPar_PK1RSCE_dX=0.0;
modelStruct.modelPar_given_PK1RSCE=mod.given("PK1RSCE");
modelStruct.modelPar_WK1RSCE=mod.WK1RSCE;
modelStruct.d_modelPar_WK1RSCE_dX=0.0;
modelStruct.modelPar_given_WK1RSCE=mod.given("WK1RSCE");
modelStruct.modelPar_P2K1RSCE=mod.P2K1RSCE;
modelStruct.d_modelPar_P2K1RSCE_dX=0.0;
modelStruct.modelPar_given_P2K1RSCE=mod.given("P2K1RSCE");
modelStruct.modelPar_LPE0=mod.LPE0;
modelStruct.d_modelPar_LPE0_dX=0.0;
modelStruct.modelPar_given_LPE0=mod.given("LPE0");
modelStruct.modelPar_LLPE0=mod.LLPE0;
modelStruct.d_modelPar_LLPE0_dX=0.0;
modelStruct.modelPar_given_LLPE0=mod.given("LLPE0");
modelStruct.modelPar_NLPE0=mod.NLPE0;
modelStruct.d_modelPar_NLPE0_dX=0.0;
modelStruct.modelPar_given_NLPE0=mod.given("NLPE0");
modelStruct.modelPar_PLPE0=mod.PLPE0;
modelStruct.d_modelPar_PLPE0_dX=0.0;
modelStruct.modelPar_given_PLPE0=mod.given("PLPE0");
modelStruct.modelPar_WLPE0=mod.WLPE0;
modelStruct.d_modelPar_WLPE0_dX=0.0;
modelStruct.modelPar_given_WLPE0=mod.given("WLPE0");
modelStruct.modelPar_P2LPE0=mod.P2LPE0;
modelStruct.d_modelPar_P2LPE0_dX=0.0;
modelStruct.modelPar_given_P2LPE0=mod.given("P2LPE0");
modelStruct.modelPar_DVTSHIFT=mod.DVTSHIFT;
modelStruct.d_modelPar_DVTSHIFT_dX=0.0;
modelStruct.modelPar_given_DVTSHIFT=mod.given("DVTSHIFT");
modelStruct.modelPar_LDVTSHIFT=mod.LDVTSHIFT;
modelStruct.d_modelPar_LDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_LDVTSHIFT=mod.given("LDVTSHIFT");
modelStruct.modelPar_NDVTSHIFT=mod.NDVTSHIFT;
modelStruct.d_modelPar_NDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_NDVTSHIFT=mod.given("NDVTSHIFT");
modelStruct.modelPar_PDVTSHIFT=mod.PDVTSHIFT;
modelStruct.d_modelPar_PDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_PDVTSHIFT=mod.given("PDVTSHIFT");
modelStruct.modelPar_WDVTSHIFT=mod.WDVTSHIFT;
modelStruct.d_modelPar_WDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_WDVTSHIFT=mod.given("WDVTSHIFT");
modelStruct.modelPar_P2DVTSHIFT=mod.P2DVTSHIFT;
modelStruct.d_modelPar_P2DVTSHIFT_dX=0.0;
modelStruct.modelPar_given_P2DVTSHIFT=mod.given("P2DVTSHIFT");
modelStruct.modelPar_DVTSHIFTR=mod.DVTSHIFTR;
modelStruct.d_modelPar_DVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_DVTSHIFTR=mod.given("DVTSHIFTR");
modelStruct.modelPar_LDVTSHIFTR=mod.LDVTSHIFTR;
modelStruct.d_modelPar_LDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_LDVTSHIFTR=mod.given("LDVTSHIFTR");
modelStruct.modelPar_NDVTSHIFTR=mod.NDVTSHIFTR;
modelStruct.d_modelPar_NDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_NDVTSHIFTR=mod.given("NDVTSHIFTR");
modelStruct.modelPar_PDVTSHIFTR=mod.PDVTSHIFTR;
modelStruct.d_modelPar_PDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_PDVTSHIFTR=mod.given("PDVTSHIFTR");
modelStruct.modelPar_WDVTSHIFTR=mod.WDVTSHIFTR;
modelStruct.d_modelPar_WDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_WDVTSHIFTR=mod.given("WDVTSHIFTR");
modelStruct.modelPar_P2DVTSHIFTR=mod.P2DVTSHIFTR;
modelStruct.d_modelPar_P2DVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_P2DVTSHIFTR=mod.given("P2DVTSHIFTR");
modelStruct.modelPar_K0=mod.K0;
modelStruct.d_modelPar_K0_dX=0.0;
modelStruct.modelPar_given_K0=mod.given("K0");
modelStruct.modelPar_LK0=mod.LK0;
modelStruct.d_modelPar_LK0_dX=0.0;
modelStruct.modelPar_given_LK0=mod.given("LK0");
modelStruct.modelPar_NK0=mod.NK0;
modelStruct.d_modelPar_NK0_dX=0.0;
modelStruct.modelPar_given_NK0=mod.given("NK0");
modelStruct.modelPar_PK0=mod.PK0;
modelStruct.d_modelPar_PK0_dX=0.0;
modelStruct.modelPar_given_PK0=mod.given("PK0");
modelStruct.modelPar_WK0=mod.WK0;
modelStruct.d_modelPar_WK0_dX=0.0;
modelStruct.modelPar_given_WK0=mod.given("WK0");
modelStruct.modelPar_P2K0=mod.P2K0;
modelStruct.d_modelPar_P2K0_dX=0.0;
modelStruct.modelPar_given_P2K0=mod.given("P2K0");
modelStruct.modelPar_K01=mod.K01;
modelStruct.d_modelPar_K01_dX=0.0;
modelStruct.modelPar_given_K01=mod.given("K01");
modelStruct.modelPar_LK01=mod.LK01;
modelStruct.d_modelPar_LK01_dX=0.0;
modelStruct.modelPar_given_LK01=mod.given("LK01");
modelStruct.modelPar_NK01=mod.NK01;
modelStruct.d_modelPar_NK01_dX=0.0;
modelStruct.modelPar_given_NK01=mod.given("NK01");
modelStruct.modelPar_PK01=mod.PK01;
modelStruct.d_modelPar_PK01_dX=0.0;
modelStruct.modelPar_given_PK01=mod.given("PK01");
modelStruct.modelPar_WK01=mod.WK01;
modelStruct.d_modelPar_WK01_dX=0.0;
modelStruct.modelPar_given_WK01=mod.given("WK01");
modelStruct.modelPar_P2K01=mod.P2K01;
modelStruct.d_modelPar_P2K01_dX=0.0;
modelStruct.modelPar_given_P2K01=mod.given("P2K01");
modelStruct.modelPar_K0SI=mod.K0SI;
modelStruct.d_modelPar_K0SI_dX=0.0;
modelStruct.modelPar_given_K0SI=mod.given("K0SI");
modelStruct.modelPar_LK0SI=mod.LK0SI;
modelStruct.d_modelPar_LK0SI_dX=0.0;
modelStruct.modelPar_given_LK0SI=mod.given("LK0SI");
modelStruct.modelPar_NK0SI=mod.NK0SI;
modelStruct.d_modelPar_NK0SI_dX=0.0;
modelStruct.modelPar_given_NK0SI=mod.given("NK0SI");
modelStruct.modelPar_PK0SI=mod.PK0SI;
modelStruct.d_modelPar_PK0SI_dX=0.0;
modelStruct.modelPar_given_PK0SI=mod.given("PK0SI");
modelStruct.modelPar_WK0SI=mod.WK0SI;
modelStruct.d_modelPar_WK0SI_dX=0.0;
modelStruct.modelPar_given_WK0SI=mod.given("WK0SI");
modelStruct.modelPar_P2K0SI=mod.P2K0SI;
modelStruct.d_modelPar_P2K0SI_dX=0.0;
modelStruct.modelPar_given_P2K0SI=mod.given("P2K0SI");
modelStruct.modelPar_K0SI1=mod.K0SI1;
modelStruct.d_modelPar_K0SI1_dX=0.0;
modelStruct.modelPar_given_K0SI1=mod.given("K0SI1");
modelStruct.modelPar_LK0SI1=mod.LK0SI1;
modelStruct.d_modelPar_LK0SI1_dX=0.0;
modelStruct.modelPar_given_LK0SI1=mod.given("LK0SI1");
modelStruct.modelPar_NK0SI1=mod.NK0SI1;
modelStruct.d_modelPar_NK0SI1_dX=0.0;
modelStruct.modelPar_given_NK0SI1=mod.given("NK0SI1");
modelStruct.modelPar_PK0SI1=mod.PK0SI1;
modelStruct.d_modelPar_PK0SI1_dX=0.0;
modelStruct.modelPar_given_PK0SI1=mod.given("PK0SI1");
modelStruct.modelPar_WK0SI1=mod.WK0SI1;
modelStruct.d_modelPar_WK0SI1_dX=0.0;
modelStruct.modelPar_given_WK0SI1=mod.given("WK0SI1");
modelStruct.modelPar_P2K0SI1=mod.P2K0SI1;
modelStruct.d_modelPar_P2K0SI1_dX=0.0;
modelStruct.modelPar_given_P2K0SI1=mod.given("P2K0SI1");
modelStruct.modelPar_K2SI=mod.K2SI;
modelStruct.d_modelPar_K2SI_dX=0.0;
modelStruct.modelPar_given_K2SI=mod.given("K2SI");
modelStruct.modelPar_LK2SI=mod.LK2SI;
modelStruct.d_modelPar_LK2SI_dX=0.0;
modelStruct.modelPar_given_LK2SI=mod.given("LK2SI");
modelStruct.modelPar_NK2SI=mod.NK2SI;
modelStruct.d_modelPar_NK2SI_dX=0.0;
modelStruct.modelPar_given_NK2SI=mod.given("NK2SI");
modelStruct.modelPar_PK2SI=mod.PK2SI;
modelStruct.d_modelPar_PK2SI_dX=0.0;
modelStruct.modelPar_given_PK2SI=mod.given("PK2SI");
modelStruct.modelPar_WK2SI=mod.WK2SI;
modelStruct.d_modelPar_WK2SI_dX=0.0;
modelStruct.modelPar_given_WK2SI=mod.given("WK2SI");
modelStruct.modelPar_P2K2SI=mod.P2K2SI;
modelStruct.d_modelPar_P2K2SI_dX=0.0;
modelStruct.modelPar_given_P2K2SI=mod.given("P2K2SI");
modelStruct.modelPar_K2SI1=mod.K2SI1;
modelStruct.d_modelPar_K2SI1_dX=0.0;
modelStruct.modelPar_given_K2SI1=mod.given("K2SI1");
modelStruct.modelPar_LK2SI1=mod.LK2SI1;
modelStruct.d_modelPar_LK2SI1_dX=0.0;
modelStruct.modelPar_given_LK2SI1=mod.given("LK2SI1");
modelStruct.modelPar_NK2SI1=mod.NK2SI1;
modelStruct.d_modelPar_NK2SI1_dX=0.0;
modelStruct.modelPar_given_NK2SI1=mod.given("NK2SI1");
modelStruct.modelPar_PK2SI1=mod.PK2SI1;
modelStruct.d_modelPar_PK2SI1_dX=0.0;
modelStruct.modelPar_given_PK2SI1=mod.given("PK2SI1");
modelStruct.modelPar_WK2SI1=mod.WK2SI1;
modelStruct.d_modelPar_WK2SI1_dX=0.0;
modelStruct.modelPar_given_WK2SI1=mod.given("WK2SI1");
modelStruct.modelPar_P2K2SI1=mod.P2K2SI1;
modelStruct.d_modelPar_P2K2SI1_dX=0.0;
modelStruct.modelPar_given_P2K2SI1=mod.given("P2K2SI1");
modelStruct.modelPar_K0SISAT=mod.K0SISAT;
modelStruct.d_modelPar_K0SISAT_dX=0.0;
modelStruct.modelPar_given_K0SISAT=mod.given("K0SISAT");
modelStruct.modelPar_LK0SISAT=mod.LK0SISAT;
modelStruct.d_modelPar_LK0SISAT_dX=0.0;
modelStruct.modelPar_given_LK0SISAT=mod.given("LK0SISAT");
modelStruct.modelPar_NK0SISAT=mod.NK0SISAT;
modelStruct.d_modelPar_NK0SISAT_dX=0.0;
modelStruct.modelPar_given_NK0SISAT=mod.given("NK0SISAT");
modelStruct.modelPar_PK0SISAT=mod.PK0SISAT;
modelStruct.d_modelPar_PK0SISAT_dX=0.0;
modelStruct.modelPar_given_PK0SISAT=mod.given("PK0SISAT");
modelStruct.modelPar_WK0SISAT=mod.WK0SISAT;
modelStruct.d_modelPar_WK0SISAT_dX=0.0;
modelStruct.modelPar_given_WK0SISAT=mod.given("WK0SISAT");
modelStruct.modelPar_P2K0SISAT=mod.P2K0SISAT;
modelStruct.d_modelPar_P2K0SISAT_dX=0.0;
modelStruct.modelPar_given_P2K0SISAT=mod.given("P2K0SISAT");
modelStruct.modelPar_K0SISAT1=mod.K0SISAT1;
modelStruct.d_modelPar_K0SISAT1_dX=0.0;
modelStruct.modelPar_given_K0SISAT1=mod.given("K0SISAT1");
modelStruct.modelPar_LK0SISAT1=mod.LK0SISAT1;
modelStruct.d_modelPar_LK0SISAT1_dX=0.0;
modelStruct.modelPar_given_LK0SISAT1=mod.given("LK0SISAT1");
modelStruct.modelPar_NK0SISAT1=mod.NK0SISAT1;
modelStruct.d_modelPar_NK0SISAT1_dX=0.0;
modelStruct.modelPar_given_NK0SISAT1=mod.given("NK0SISAT1");
modelStruct.modelPar_PK0SISAT1=mod.PK0SISAT1;
modelStruct.d_modelPar_PK0SISAT1_dX=0.0;
modelStruct.modelPar_given_PK0SISAT1=mod.given("PK0SISAT1");
modelStruct.modelPar_WK0SISAT1=mod.WK0SISAT1;
modelStruct.d_modelPar_WK0SISAT1_dX=0.0;
modelStruct.modelPar_given_WK0SISAT1=mod.given("WK0SISAT1");
modelStruct.modelPar_P2K0SISAT1=mod.P2K0SISAT1;
modelStruct.d_modelPar_P2K0SISAT1_dX=0.0;
modelStruct.modelPar_given_P2K0SISAT1=mod.given("P2K0SISAT1");
modelStruct.modelPar_K2SISAT=mod.K2SISAT;
modelStruct.d_modelPar_K2SISAT_dX=0.0;
modelStruct.modelPar_given_K2SISAT=mod.given("K2SISAT");
modelStruct.modelPar_LK2SISAT=mod.LK2SISAT;
modelStruct.d_modelPar_LK2SISAT_dX=0.0;
modelStruct.modelPar_given_LK2SISAT=mod.given("LK2SISAT");
modelStruct.modelPar_NK2SISAT=mod.NK2SISAT;
modelStruct.d_modelPar_NK2SISAT_dX=0.0;
modelStruct.modelPar_given_NK2SISAT=mod.given("NK2SISAT");
modelStruct.modelPar_PK2SISAT=mod.PK2SISAT;
modelStruct.d_modelPar_PK2SISAT_dX=0.0;
modelStruct.modelPar_given_PK2SISAT=mod.given("PK2SISAT");
modelStruct.modelPar_WK2SISAT=mod.WK2SISAT;
modelStruct.d_modelPar_WK2SISAT_dX=0.0;
modelStruct.modelPar_given_WK2SISAT=mod.given("WK2SISAT");
modelStruct.modelPar_P2K2SISAT=mod.P2K2SISAT;
modelStruct.d_modelPar_P2K2SISAT_dX=0.0;
modelStruct.modelPar_given_P2K2SISAT=mod.given("P2K2SISAT");
modelStruct.modelPar_K2SISAT1=mod.K2SISAT1;
modelStruct.d_modelPar_K2SISAT1_dX=0.0;
modelStruct.modelPar_given_K2SISAT1=mod.given("K2SISAT1");
modelStruct.modelPar_LK2SISAT1=mod.LK2SISAT1;
modelStruct.d_modelPar_LK2SISAT1_dX=0.0;
modelStruct.modelPar_given_LK2SISAT1=mod.given("LK2SISAT1");
modelStruct.modelPar_NK2SISAT1=mod.NK2SISAT1;
modelStruct.d_modelPar_NK2SISAT1_dX=0.0;
modelStruct.modelPar_given_NK2SISAT1=mod.given("NK2SISAT1");
modelStruct.modelPar_PK2SISAT1=mod.PK2SISAT1;
modelStruct.d_modelPar_PK2SISAT1_dX=0.0;
modelStruct.modelPar_given_PK2SISAT1=mod.given("PK2SISAT1");
modelStruct.modelPar_WK2SISAT1=mod.WK2SISAT1;
modelStruct.d_modelPar_WK2SISAT1_dX=0.0;
modelStruct.modelPar_given_WK2SISAT1=mod.given("WK2SISAT1");
modelStruct.modelPar_P2K2SISAT1=mod.P2K2SISAT1;
modelStruct.d_modelPar_P2K2SISAT1_dX=0.0;
modelStruct.modelPar_given_P2K2SISAT1=mod.given("P2K2SISAT1");
modelStruct.modelPar_PHIBE=mod.PHIBE;
modelStruct.d_modelPar_PHIBE_dX=0.0;
modelStruct.modelPar_given_PHIBE=mod.given("PHIBE");
modelStruct.modelPar_LPHIBE=mod.LPHIBE;
modelStruct.d_modelPar_LPHIBE_dX=0.0;
modelStruct.modelPar_given_LPHIBE=mod.given("LPHIBE");
modelStruct.modelPar_NPHIBE=mod.NPHIBE;
modelStruct.d_modelPar_NPHIBE_dX=0.0;
modelStruct.modelPar_given_NPHIBE=mod.given("NPHIBE");
modelStruct.modelPar_PPHIBE=mod.PPHIBE;
modelStruct.d_modelPar_PPHIBE_dX=0.0;
modelStruct.modelPar_given_PPHIBE=mod.given("PPHIBE");
modelStruct.modelPar_WPHIBE=mod.WPHIBE;
modelStruct.d_modelPar_WPHIBE_dX=0.0;
modelStruct.modelPar_given_WPHIBE=mod.given("WPHIBE");
modelStruct.modelPar_P2PHIBE=mod.P2PHIBE;
modelStruct.d_modelPar_P2PHIBE_dX=0.0;
modelStruct.modelPar_given_P2PHIBE=mod.given("P2PHIBE");
modelStruct.modelPar_K1=mod.K1;
modelStruct.d_modelPar_K1_dX=0.0;
modelStruct.modelPar_given_K1=mod.given("K1");
modelStruct.modelPar_LK1=mod.LK1;
modelStruct.d_modelPar_LK1_dX=0.0;
modelStruct.modelPar_given_LK1=mod.given("LK1");
modelStruct.modelPar_NK1=mod.NK1;
modelStruct.d_modelPar_NK1_dX=0.0;
modelStruct.modelPar_given_NK1=mod.given("NK1");
modelStruct.modelPar_PK1=mod.PK1;
modelStruct.d_modelPar_PK1_dX=0.0;
modelStruct.modelPar_given_PK1=mod.given("PK1");
modelStruct.modelPar_WK1=mod.WK1;
modelStruct.d_modelPar_WK1_dX=0.0;
modelStruct.modelPar_given_WK1=mod.given("WK1");
modelStruct.modelPar_P2K1=mod.P2K1;
modelStruct.d_modelPar_P2K1_dX=0.0;
modelStruct.modelPar_given_P2K1=mod.given("P2K1");
modelStruct.modelPar_K11=mod.K11;
modelStruct.d_modelPar_K11_dX=0.0;
modelStruct.modelPar_given_K11=mod.given("K11");
modelStruct.modelPar_LK11=mod.LK11;
modelStruct.d_modelPar_LK11_dX=0.0;
modelStruct.modelPar_given_LK11=mod.given("LK11");
modelStruct.modelPar_NK11=mod.NK11;
modelStruct.d_modelPar_NK11_dX=0.0;
modelStruct.modelPar_given_NK11=mod.given("NK11");
modelStruct.modelPar_PK11=mod.PK11;
modelStruct.d_modelPar_PK11_dX=0.0;
modelStruct.modelPar_given_PK11=mod.given("PK11");
modelStruct.modelPar_WK11=mod.WK11;
modelStruct.d_modelPar_WK11_dX=0.0;
modelStruct.modelPar_given_WK11=mod.given("WK11");
modelStruct.modelPar_P2K11=mod.P2K11;
modelStruct.d_modelPar_P2K11_dX=0.0;
modelStruct.modelPar_given_P2K11=mod.given("P2K11");
modelStruct.modelPar_K2SAT=mod.K2SAT;
modelStruct.d_modelPar_K2SAT_dX=0.0;
modelStruct.modelPar_given_K2SAT=mod.given("K2SAT");
modelStruct.modelPar_LK2SAT=mod.LK2SAT;
modelStruct.d_modelPar_LK2SAT_dX=0.0;
modelStruct.modelPar_given_LK2SAT=mod.given("LK2SAT");
modelStruct.modelPar_NK2SAT=mod.NK2SAT;
modelStruct.d_modelPar_NK2SAT_dX=0.0;
modelStruct.modelPar_given_NK2SAT=mod.given("NK2SAT");
modelStruct.modelPar_PK2SAT=mod.PK2SAT;
modelStruct.d_modelPar_PK2SAT_dX=0.0;
modelStruct.modelPar_given_PK2SAT=mod.given("PK2SAT");
modelStruct.modelPar_WK2SAT=mod.WK2SAT;
modelStruct.d_modelPar_WK2SAT_dX=0.0;
modelStruct.modelPar_given_WK2SAT=mod.given("WK2SAT");
modelStruct.modelPar_P2K2SAT=mod.P2K2SAT;
modelStruct.d_modelPar_P2K2SAT_dX=0.0;
modelStruct.modelPar_given_P2K2SAT=mod.given("P2K2SAT");
modelStruct.modelPar_K2SAT1=mod.K2SAT1;
modelStruct.d_modelPar_K2SAT1_dX=0.0;
modelStruct.modelPar_given_K2SAT1=mod.given("K2SAT1");
modelStruct.modelPar_LK2SAT1=mod.LK2SAT1;
modelStruct.d_modelPar_LK2SAT1_dX=0.0;
modelStruct.modelPar_given_LK2SAT1=mod.given("LK2SAT1");
modelStruct.modelPar_NK2SAT1=mod.NK2SAT1;
modelStruct.d_modelPar_NK2SAT1_dX=0.0;
modelStruct.modelPar_given_NK2SAT1=mod.given("NK2SAT1");
modelStruct.modelPar_PK2SAT1=mod.PK2SAT1;
modelStruct.d_modelPar_PK2SAT1_dX=0.0;
modelStruct.modelPar_given_PK2SAT1=mod.given("PK2SAT1");
modelStruct.modelPar_WK2SAT1=mod.WK2SAT1;
modelStruct.d_modelPar_WK2SAT1_dX=0.0;
modelStruct.modelPar_given_WK2SAT1=mod.given("WK2SAT1");
modelStruct.modelPar_P2K2SAT1=mod.P2K2SAT1;
modelStruct.d_modelPar_P2K2SAT1_dX=0.0;
modelStruct.modelPar_given_P2K2SAT1=mod.given("P2K2SAT1");
modelStruct.modelPar_K2=mod.K2;
modelStruct.d_modelPar_K2_dX=0.0;
modelStruct.modelPar_given_K2=mod.given("K2");
modelStruct.modelPar_LK2=mod.LK2;
modelStruct.d_modelPar_LK2_dX=0.0;
modelStruct.modelPar_given_LK2=mod.given("LK2");
modelStruct.modelPar_NK2=mod.NK2;
modelStruct.d_modelPar_NK2_dX=0.0;
modelStruct.modelPar_given_NK2=mod.given("NK2");
modelStruct.modelPar_PK2=mod.PK2;
modelStruct.d_modelPar_PK2_dX=0.0;
modelStruct.modelPar_given_PK2=mod.given("PK2");
modelStruct.modelPar_WK2=mod.WK2;
modelStruct.d_modelPar_WK2_dX=0.0;
modelStruct.modelPar_given_WK2=mod.given("WK2");
modelStruct.modelPar_P2K2=mod.P2K2;
modelStruct.d_modelPar_P2K2_dX=0.0;
modelStruct.modelPar_given_P2K2=mod.given("P2K2");
modelStruct.modelPar_K21=mod.K21;
modelStruct.d_modelPar_K21_dX=0.0;
modelStruct.modelPar_given_K21=mod.given("K21");
modelStruct.modelPar_LK21=mod.LK21;
modelStruct.d_modelPar_LK21_dX=0.0;
modelStruct.modelPar_given_LK21=mod.given("LK21");
modelStruct.modelPar_NK21=mod.NK21;
modelStruct.d_modelPar_NK21_dX=0.0;
modelStruct.modelPar_given_NK21=mod.given("NK21");
modelStruct.modelPar_PK21=mod.PK21;
modelStruct.d_modelPar_PK21_dX=0.0;
modelStruct.modelPar_given_PK21=mod.given("PK21");
modelStruct.modelPar_WK21=mod.WK21;
modelStruct.d_modelPar_WK21_dX=0.0;
modelStruct.modelPar_given_WK21=mod.given("WK21");
modelStruct.modelPar_P2K21=mod.P2K21;
modelStruct.d_modelPar_P2K21_dX=0.0;
modelStruct.modelPar_given_P2K21=mod.given("P2K21");
modelStruct.modelPar_AQMTCEN=mod.AQMTCEN;
modelStruct.d_modelPar_AQMTCEN_dX=0.0;
modelStruct.modelPar_given_AQMTCEN=mod.given("AQMTCEN");
modelStruct.modelPar_BQMTCEN=mod.BQMTCEN;
modelStruct.d_modelPar_BQMTCEN_dX=0.0;
modelStruct.modelPar_given_BQMTCEN=mod.given("BQMTCEN");
modelStruct.modelPar_QM0=mod.QM0;
modelStruct.d_modelPar_QM0_dX=0.0;
modelStruct.modelPar_given_QM0=mod.given("QM0");
modelStruct.modelPar_PQM=mod.PQM;
modelStruct.d_modelPar_PQM_dX=0.0;
modelStruct.modelPar_given_PQM=mod.given("PQM");
modelStruct.modelPar_QM0ACC=mod.QM0ACC;
modelStruct.d_modelPar_QM0ACC_dX=0.0;
modelStruct.modelPar_given_QM0ACC=mod.given("QM0ACC");
modelStruct.modelPar_PQMACC=mod.PQMACC;
modelStruct.d_modelPar_PQMACC_dX=0.0;
modelStruct.modelPar_given_PQMACC=mod.given("PQMACC");
modelStruct.modelPar_QMFACTOR=mod.QMFACTOR;
modelStruct.d_modelPar_QMFACTOR_dX=0.0;
modelStruct.modelPar_given_QMFACTOR=mod.given("QMFACTOR");
modelStruct.modelPar_LQMFACTOR=mod.LQMFACTOR;
modelStruct.d_modelPar_LQMFACTOR_dX=0.0;
modelStruct.modelPar_given_LQMFACTOR=mod.given("LQMFACTOR");
modelStruct.modelPar_NQMFACTOR=mod.NQMFACTOR;
modelStruct.d_modelPar_NQMFACTOR_dX=0.0;
modelStruct.modelPar_given_NQMFACTOR=mod.given("NQMFACTOR");
modelStruct.modelPar_PQMFACTOR=mod.PQMFACTOR;
modelStruct.d_modelPar_PQMFACTOR_dX=0.0;
modelStruct.modelPar_given_PQMFACTOR=mod.given("PQMFACTOR");
modelStruct.modelPar_WQMFACTOR=mod.WQMFACTOR;
modelStruct.d_modelPar_WQMFACTOR_dX=0.0;
modelStruct.modelPar_given_WQMFACTOR=mod.given("WQMFACTOR");
modelStruct.modelPar_P2QMFACTOR=mod.P2QMFACTOR;
modelStruct.d_modelPar_P2QMFACTOR_dX=0.0;
modelStruct.modelPar_given_P2QMFACTOR=mod.given("P2QMFACTOR");
modelStruct.modelPar_QMTCENCV=mod.QMTCENCV;
modelStruct.d_modelPar_QMTCENCV_dX=0.0;
modelStruct.modelPar_given_QMTCENCV=mod.given("QMTCENCV");
modelStruct.modelPar_LQMTCENCV=mod.LQMTCENCV;
modelStruct.d_modelPar_LQMTCENCV_dX=0.0;
modelStruct.modelPar_given_LQMTCENCV=mod.given("LQMTCENCV");
modelStruct.modelPar_NQMTCENCV=mod.NQMTCENCV;
modelStruct.d_modelPar_NQMTCENCV_dX=0.0;
modelStruct.modelPar_given_NQMTCENCV=mod.given("NQMTCENCV");
modelStruct.modelPar_PQMTCENCV=mod.PQMTCENCV;
modelStruct.d_modelPar_PQMTCENCV_dX=0.0;
modelStruct.modelPar_given_PQMTCENCV=mod.given("PQMTCENCV");
modelStruct.modelPar_WQMTCENCV=mod.WQMTCENCV;
modelStruct.d_modelPar_WQMTCENCV_dX=0.0;
modelStruct.modelPar_given_WQMTCENCV=mod.given("WQMTCENCV");
modelStruct.modelPar_P2QMTCENCV=mod.P2QMTCENCV;
modelStruct.d_modelPar_P2QMTCENCV_dX=0.0;
modelStruct.modelPar_given_P2QMTCENCV=mod.given("P2QMTCENCV");
modelStruct.modelPar_QMTCENCVA=mod.QMTCENCVA;
modelStruct.d_modelPar_QMTCENCVA_dX=0.0;
modelStruct.modelPar_given_QMTCENCVA=mod.given("QMTCENCVA");
modelStruct.modelPar_LQMTCENCVA=mod.LQMTCENCVA;
modelStruct.d_modelPar_LQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_LQMTCENCVA=mod.given("LQMTCENCVA");
modelStruct.modelPar_NQMTCENCVA=mod.NQMTCENCVA;
modelStruct.d_modelPar_NQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_NQMTCENCVA=mod.given("NQMTCENCVA");
modelStruct.modelPar_PQMTCENCVA=mod.PQMTCENCVA;
modelStruct.d_modelPar_PQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_PQMTCENCVA=mod.given("PQMTCENCVA");
modelStruct.modelPar_WQMTCENCVA=mod.WQMTCENCVA;
modelStruct.d_modelPar_WQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_WQMTCENCVA=mod.given("WQMTCENCVA");
modelStruct.modelPar_P2QMTCENCVA=mod.P2QMTCENCVA;
modelStruct.d_modelPar_P2QMTCENCVA_dX=0.0;
modelStruct.modelPar_given_P2QMTCENCVA=mod.given("P2QMTCENCVA");
modelStruct.modelPar_VSATN1=mod.VSATN1;
modelStruct.d_modelPar_VSATN1_dX=0.0;
modelStruct.modelPar_given_VSATN1=mod.given("VSATN1");
modelStruct.modelPar_VSATN2=mod.VSATN2;
modelStruct.d_modelPar_VSATN2_dX=0.0;
modelStruct.modelPar_given_VSATN2=mod.given("VSATN2");
modelStruct.modelPar_AVSAT=mod.AVSAT;
modelStruct.d_modelPar_AVSAT_dX=0.0;
modelStruct.modelPar_given_AVSAT=mod.given("AVSAT");
modelStruct.modelPar_BVSAT=mod.BVSAT;
modelStruct.d_modelPar_BVSAT_dX=0.0;
modelStruct.modelPar_given_BVSAT=mod.given("BVSAT");
modelStruct.modelPar_VSAT1N1=mod.VSAT1N1;
modelStruct.d_modelPar_VSAT1N1_dX=0.0;
modelStruct.modelPar_given_VSAT1N1=mod.given("VSAT1N1");
modelStruct.modelPar_VSAT1N2=mod.VSAT1N2;
modelStruct.d_modelPar_VSAT1N2_dX=0.0;
modelStruct.modelPar_given_VSAT1N2=mod.given("VSAT1N2");
modelStruct.modelPar_VSAT1RN1=mod.VSAT1RN1;
modelStruct.d_modelPar_VSAT1RN1_dX=0.0;
modelStruct.modelPar_given_VSAT1RN1=mod.given("VSAT1RN1");
modelStruct.modelPar_VSAT1RN2=mod.VSAT1RN2;
modelStruct.d_modelPar_VSAT1RN2_dX=0.0;
modelStruct.modelPar_given_VSAT1RN2=mod.given("VSAT1RN2");
modelStruct.modelPar_AVSAT1=mod.AVSAT1;
modelStruct.d_modelPar_AVSAT1_dX=0.0;
modelStruct.modelPar_given_AVSAT1=mod.given("AVSAT1");
modelStruct.modelPar_BVSAT1=mod.BVSAT1;
modelStruct.d_modelPar_BVSAT1_dX=0.0;
modelStruct.modelPar_given_BVSAT1=mod.given("BVSAT1");
modelStruct.modelPar_APSAT=mod.APSAT;
modelStruct.d_modelPar_APSAT_dX=0.0;
modelStruct.modelPar_given_APSAT=mod.given("APSAT");
modelStruct.modelPar_BPSAT=mod.BPSAT;
modelStruct.d_modelPar_BPSAT_dX=0.0;
modelStruct.modelPar_given_BPSAT=mod.given("BPSAT");
modelStruct.modelPar_AVSATCV=mod.AVSATCV;
modelStruct.d_modelPar_AVSATCV_dX=0.0;
modelStruct.modelPar_given_AVSATCV=mod.given("AVSATCV");
modelStruct.modelPar_BVSATCV=mod.BVSATCV;
modelStruct.d_modelPar_BVSATCV_dX=0.0;
modelStruct.modelPar_given_BVSATCV=mod.given("BVSATCV");
modelStruct.modelPar_APSATCV=mod.APSATCV;
modelStruct.d_modelPar_APSATCV_dX=0.0;
modelStruct.modelPar_given_APSATCV=mod.given("APSATCV");
modelStruct.modelPar_BPSATCV=mod.BPSATCV;
modelStruct.d_modelPar_BPSATCV_dX=0.0;
modelStruct.modelPar_given_BPSATCV=mod.given("BPSATCV");
modelStruct.modelPar_AMEXP=mod.AMEXP;
modelStruct.d_modelPar_AMEXP_dX=0.0;
modelStruct.modelPar_given_AMEXP=mod.given("AMEXP");
modelStruct.modelPar_BMEXP=mod.BMEXP;
modelStruct.d_modelPar_BMEXP_dX=0.0;
modelStruct.modelPar_given_BMEXP=mod.given("BMEXP");
modelStruct.modelPar_AMEXPR=mod.AMEXPR;
modelStruct.d_modelPar_AMEXPR_dX=0.0;
modelStruct.modelPar_given_AMEXPR=mod.given("AMEXPR");
modelStruct.modelPar_BMEXPR=mod.BMEXPR;
modelStruct.d_modelPar_BMEXPR_dX=0.0;
modelStruct.modelPar_given_BMEXPR=mod.given("BMEXPR");
modelStruct.modelPar_APTWG=mod.APTWG;
modelStruct.d_modelPar_APTWG_dX=0.0;
modelStruct.modelPar_given_APTWG=mod.given("APTWG");
modelStruct.modelPar_BPTWG=mod.BPTWG;
modelStruct.d_modelPar_BPTWG_dX=0.0;
modelStruct.modelPar_given_BPTWG=mod.given("BPTWG");
modelStruct.modelPar_TMEXP=mod.TMEXP;
modelStruct.d_modelPar_TMEXP_dX=0.0;
modelStruct.modelPar_given_TMEXP=mod.given("TMEXP");
modelStruct.modelPar_TMEXP2=mod.TMEXP2;
modelStruct.d_modelPar_TMEXP2_dX=0.0;
modelStruct.modelPar_given_TMEXP2=mod.given("TMEXP2");
modelStruct.modelPar_TMEXPR=mod.TMEXPR;
modelStruct.d_modelPar_TMEXPR_dX=0.0;
modelStruct.modelPar_given_TMEXPR=mod.given("TMEXPR");
modelStruct.modelPar_DVSATCLAMP=mod.DVSATCLAMP;
modelStruct.d_modelPar_DVSATCLAMP_dX=0.0;
modelStruct.modelPar_given_DVSATCLAMP=mod.given("DVSATCLAMP");
modelStruct.modelPar_VSAT=mod.VSAT;
modelStruct.d_modelPar_VSAT_dX=0.0;
modelStruct.modelPar_given_VSAT=mod.given("VSAT");
modelStruct.modelPar_LVSAT=mod.LVSAT;
modelStruct.d_modelPar_LVSAT_dX=0.0;
modelStruct.modelPar_given_LVSAT=mod.given("LVSAT");
modelStruct.modelPar_NVSAT=mod.NVSAT;
modelStruct.d_modelPar_NVSAT_dX=0.0;
modelStruct.modelPar_given_NVSAT=mod.given("NVSAT");
modelStruct.modelPar_PVSAT=mod.PVSAT;
modelStruct.d_modelPar_PVSAT_dX=0.0;
modelStruct.modelPar_given_PVSAT=mod.given("PVSAT");
modelStruct.modelPar_WVSAT=mod.WVSAT;
modelStruct.d_modelPar_WVSAT_dX=0.0;
modelStruct.modelPar_given_WVSAT=mod.given("WVSAT");
modelStruct.modelPar_P2VSAT=mod.P2VSAT;
modelStruct.d_modelPar_P2VSAT_dX=0.0;
modelStruct.modelPar_given_P2VSAT=mod.given("P2VSAT");
modelStruct.modelPar_VSATR=mod.VSATR;
modelStruct.d_modelPar_VSATR_dX=0.0;
modelStruct.modelPar_given_VSATR=mod.given("VSATR");
modelStruct.modelPar_LVSATR=mod.LVSATR;
modelStruct.d_modelPar_LVSATR_dX=0.0;
modelStruct.modelPar_given_LVSATR=mod.given("LVSATR");
modelStruct.modelPar_NVSATR=mod.NVSATR;
modelStruct.d_modelPar_NVSATR_dX=0.0;
modelStruct.modelPar_given_NVSATR=mod.given("NVSATR");
modelStruct.modelPar_PVSATR=mod.PVSATR;
modelStruct.d_modelPar_PVSATR_dX=0.0;
modelStruct.modelPar_given_PVSATR=mod.given("PVSATR");
modelStruct.modelPar_WVSATR=mod.WVSATR;
modelStruct.d_modelPar_WVSATR_dX=0.0;
modelStruct.modelPar_given_WVSATR=mod.given("WVSATR");
modelStruct.modelPar_P2VSATR=mod.P2VSATR;
modelStruct.d_modelPar_P2VSATR_dX=0.0;
modelStruct.modelPar_given_P2VSATR=mod.given("P2VSATR");
modelStruct.modelPar_VSAT1=mod.VSAT1;
modelStruct.d_modelPar_VSAT1_dX=0.0;
modelStruct.modelPar_given_VSAT1=mod.given("VSAT1");
modelStruct.modelPar_LVSAT1=mod.LVSAT1;
modelStruct.d_modelPar_LVSAT1_dX=0.0;
modelStruct.modelPar_given_LVSAT1=mod.given("LVSAT1");
modelStruct.modelPar_NVSAT1=mod.NVSAT1;
modelStruct.d_modelPar_NVSAT1_dX=0.0;
modelStruct.modelPar_given_NVSAT1=mod.given("NVSAT1");
modelStruct.modelPar_PVSAT1=mod.PVSAT1;
modelStruct.d_modelPar_PVSAT1_dX=0.0;
modelStruct.modelPar_given_PVSAT1=mod.given("PVSAT1");
modelStruct.modelPar_WVSAT1=mod.WVSAT1;
modelStruct.d_modelPar_WVSAT1_dX=0.0;
modelStruct.modelPar_given_WVSAT1=mod.given("WVSAT1");
modelStruct.modelPar_P2VSAT1=mod.P2VSAT1;
modelStruct.d_modelPar_P2VSAT1_dX=0.0;
modelStruct.modelPar_given_P2VSAT1=mod.given("P2VSAT1");
modelStruct.modelPar_VSAT1R=mod.VSAT1R;
modelStruct.d_modelPar_VSAT1R_dX=0.0;
modelStruct.modelPar_given_VSAT1R=mod.given("VSAT1R");
modelStruct.modelPar_LVSAT1R=mod.LVSAT1R;
modelStruct.d_modelPar_LVSAT1R_dX=0.0;
modelStruct.modelPar_given_LVSAT1R=mod.given("LVSAT1R");
modelStruct.modelPar_NVSAT1R=mod.NVSAT1R;
modelStruct.d_modelPar_NVSAT1R_dX=0.0;
modelStruct.modelPar_given_NVSAT1R=mod.given("NVSAT1R");
modelStruct.modelPar_PVSAT1R=mod.PVSAT1R;
modelStruct.d_modelPar_PVSAT1R_dX=0.0;
modelStruct.modelPar_given_PVSAT1R=mod.given("PVSAT1R");
modelStruct.modelPar_WVSAT1R=mod.WVSAT1R;
modelStruct.d_modelPar_WVSAT1R_dX=0.0;
modelStruct.modelPar_given_WVSAT1R=mod.given("WVSAT1R");
modelStruct.modelPar_P2VSAT1R=mod.P2VSAT1R;
modelStruct.d_modelPar_P2VSAT1R_dX=0.0;
modelStruct.modelPar_given_P2VSAT1R=mod.given("P2VSAT1R");
modelStruct.modelPar_DELTAVSAT=mod.DELTAVSAT;
modelStruct.d_modelPar_DELTAVSAT_dX=0.0;
modelStruct.modelPar_given_DELTAVSAT=mod.given("DELTAVSAT");
modelStruct.modelPar_LDELTAVSAT=mod.LDELTAVSAT;
modelStruct.d_modelPar_LDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_LDELTAVSAT=mod.given("LDELTAVSAT");
modelStruct.modelPar_NDELTAVSAT=mod.NDELTAVSAT;
modelStruct.d_modelPar_NDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_NDELTAVSAT=mod.given("NDELTAVSAT");
modelStruct.modelPar_PDELTAVSAT=mod.PDELTAVSAT;
modelStruct.d_modelPar_PDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_PDELTAVSAT=mod.given("PDELTAVSAT");
modelStruct.modelPar_WDELTAVSAT=mod.WDELTAVSAT;
modelStruct.d_modelPar_WDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_WDELTAVSAT=mod.given("WDELTAVSAT");
modelStruct.modelPar_P2DELTAVSAT=mod.P2DELTAVSAT;
modelStruct.d_modelPar_P2DELTAVSAT_dX=0.0;
modelStruct.modelPar_given_P2DELTAVSAT=mod.given("P2DELTAVSAT");
modelStruct.modelPar_PSAT=mod.PSAT;
modelStruct.d_modelPar_PSAT_dX=0.0;
modelStruct.modelPar_given_PSAT=mod.given("PSAT");
modelStruct.modelPar_LPSAT=mod.LPSAT;
modelStruct.d_modelPar_LPSAT_dX=0.0;
modelStruct.modelPar_given_LPSAT=mod.given("LPSAT");
modelStruct.modelPar_NPSAT=mod.NPSAT;
modelStruct.d_modelPar_NPSAT_dX=0.0;
modelStruct.modelPar_given_NPSAT=mod.given("NPSAT");
modelStruct.modelPar_PPSAT=mod.PPSAT;
modelStruct.d_modelPar_PPSAT_dX=0.0;
modelStruct.modelPar_given_PPSAT=mod.given("PPSAT");
modelStruct.modelPar_WPSAT=mod.WPSAT;
modelStruct.d_modelPar_WPSAT_dX=0.0;
modelStruct.modelPar_given_WPSAT=mod.given("WPSAT");
modelStruct.modelPar_P2PSAT=mod.P2PSAT;
modelStruct.d_modelPar_P2PSAT_dX=0.0;
modelStruct.modelPar_given_P2PSAT=mod.given("P2PSAT");
modelStruct.modelPar_KSATIV=mod.KSATIV;
modelStruct.d_modelPar_KSATIV_dX=0.0;
modelStruct.modelPar_given_KSATIV=mod.given("KSATIV");
modelStruct.modelPar_LKSATIV=mod.LKSATIV;
modelStruct.d_modelPar_LKSATIV_dX=0.0;
modelStruct.modelPar_given_LKSATIV=mod.given("LKSATIV");
modelStruct.modelPar_NKSATIV=mod.NKSATIV;
modelStruct.d_modelPar_NKSATIV_dX=0.0;
modelStruct.modelPar_given_NKSATIV=mod.given("NKSATIV");
modelStruct.modelPar_PKSATIV=mod.PKSATIV;
modelStruct.d_modelPar_PKSATIV_dX=0.0;
modelStruct.modelPar_given_PKSATIV=mod.given("PKSATIV");
modelStruct.modelPar_WKSATIV=mod.WKSATIV;
modelStruct.d_modelPar_WKSATIV_dX=0.0;
modelStruct.modelPar_given_WKSATIV=mod.given("WKSATIV");
modelStruct.modelPar_P2KSATIV=mod.P2KSATIV;
modelStruct.d_modelPar_P2KSATIV_dX=0.0;
modelStruct.modelPar_given_P2KSATIV=mod.given("P2KSATIV");
modelStruct.modelPar_KSATIVT1=mod.KSATIVT1;
modelStruct.d_modelPar_KSATIVT1_dX=0.0;
modelStruct.modelPar_given_KSATIVT1=mod.given("KSATIVT1");
modelStruct.modelPar_KSATIVT2=mod.KSATIVT2;
modelStruct.d_modelPar_KSATIVT2_dX=0.0;
modelStruct.modelPar_given_KSATIVT2=mod.given("KSATIVT2");
modelStruct.modelPar_KSATIVR=mod.KSATIVR;
modelStruct.d_modelPar_KSATIVR_dX=0.0;
modelStruct.modelPar_given_KSATIVR=mod.given("KSATIVR");
modelStruct.modelPar_LKSATIVR=mod.LKSATIVR;
modelStruct.d_modelPar_LKSATIVR_dX=0.0;
modelStruct.modelPar_given_LKSATIVR=mod.given("LKSATIVR");
modelStruct.modelPar_NKSATIVR=mod.NKSATIVR;
modelStruct.d_modelPar_NKSATIVR_dX=0.0;
modelStruct.modelPar_given_NKSATIVR=mod.given("NKSATIVR");
modelStruct.modelPar_PKSATIVR=mod.PKSATIVR;
modelStruct.d_modelPar_PKSATIVR_dX=0.0;
modelStruct.modelPar_given_PKSATIVR=mod.given("PKSATIVR");
modelStruct.modelPar_WKSATIVR=mod.WKSATIVR;
modelStruct.d_modelPar_WKSATIVR_dX=0.0;
modelStruct.modelPar_given_WKSATIVR=mod.given("WKSATIVR");
modelStruct.modelPar_P2KSATIVR=mod.P2KSATIVR;
modelStruct.d_modelPar_P2KSATIVR_dX=0.0;
modelStruct.modelPar_given_P2KSATIVR=mod.given("P2KSATIVR");
modelStruct.modelPar_VSATCV=mod.VSATCV;
modelStruct.d_modelPar_VSATCV_dX=0.0;
modelStruct.modelPar_given_VSATCV=mod.given("VSATCV");
modelStruct.modelPar_LVSATCV=mod.LVSATCV;
modelStruct.d_modelPar_LVSATCV_dX=0.0;
modelStruct.modelPar_given_LVSATCV=mod.given("LVSATCV");
modelStruct.modelPar_NVSATCV=mod.NVSATCV;
modelStruct.d_modelPar_NVSATCV_dX=0.0;
modelStruct.modelPar_given_NVSATCV=mod.given("NVSATCV");
modelStruct.modelPar_PVSATCV=mod.PVSATCV;
modelStruct.d_modelPar_PVSATCV_dX=0.0;
modelStruct.modelPar_given_PVSATCV=mod.given("PVSATCV");
modelStruct.modelPar_WVSATCV=mod.WVSATCV;
modelStruct.d_modelPar_WVSATCV_dX=0.0;
modelStruct.modelPar_given_WVSATCV=mod.given("WVSATCV");
modelStruct.modelPar_P2VSATCV=mod.P2VSATCV;
modelStruct.d_modelPar_P2VSATCV_dX=0.0;
modelStruct.modelPar_given_P2VSATCV=mod.given("P2VSATCV");
modelStruct.modelPar_DELTAVSATCV=mod.DELTAVSATCV;
modelStruct.d_modelPar_DELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_DELTAVSATCV=mod.given("DELTAVSATCV");
modelStruct.modelPar_LDELTAVSATCV=mod.LDELTAVSATCV;
modelStruct.d_modelPar_LDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_LDELTAVSATCV=mod.given("LDELTAVSATCV");
modelStruct.modelPar_NDELTAVSATCV=mod.NDELTAVSATCV;
modelStruct.d_modelPar_NDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_NDELTAVSATCV=mod.given("NDELTAVSATCV");
modelStruct.modelPar_PDELTAVSATCV=mod.PDELTAVSATCV;
modelStruct.d_modelPar_PDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_PDELTAVSATCV=mod.given("PDELTAVSATCV");
modelStruct.modelPar_WDELTAVSATCV=mod.WDELTAVSATCV;
modelStruct.d_modelPar_WDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_WDELTAVSATCV=mod.given("WDELTAVSATCV");
modelStruct.modelPar_P2DELTAVSATCV=mod.P2DELTAVSATCV;
modelStruct.d_modelPar_P2DELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_P2DELTAVSATCV=mod.given("P2DELTAVSATCV");
modelStruct.modelPar_PSATCV=mod.PSATCV;
modelStruct.d_modelPar_PSATCV_dX=0.0;
modelStruct.modelPar_given_PSATCV=mod.given("PSATCV");
modelStruct.modelPar_LPSATCV=mod.LPSATCV;
modelStruct.d_modelPar_LPSATCV_dX=0.0;
modelStruct.modelPar_given_LPSATCV=mod.given("LPSATCV");
modelStruct.modelPar_NPSATCV=mod.NPSATCV;
modelStruct.d_modelPar_NPSATCV_dX=0.0;
modelStruct.modelPar_given_NPSATCV=mod.given("NPSATCV");
modelStruct.modelPar_PPSATCV=mod.PPSATCV;
modelStruct.d_modelPar_PPSATCV_dX=0.0;
modelStruct.modelPar_given_PPSATCV=mod.given("PPSATCV");
modelStruct.modelPar_WPSATCV=mod.WPSATCV;
modelStruct.d_modelPar_WPSATCV_dX=0.0;
modelStruct.modelPar_given_WPSATCV=mod.given("WPSATCV");
modelStruct.modelPar_P2PSATCV=mod.P2PSATCV;
modelStruct.d_modelPar_P2PSATCV_dX=0.0;
modelStruct.modelPar_given_P2PSATCV=mod.given("P2PSATCV");
modelStruct.modelPar_MEXP=mod.MEXP;
modelStruct.d_modelPar_MEXP_dX=0.0;
modelStruct.modelPar_given_MEXP=mod.given("MEXP");
modelStruct.modelPar_LMEXP=mod.LMEXP;
modelStruct.d_modelPar_LMEXP_dX=0.0;
modelStruct.modelPar_given_LMEXP=mod.given("LMEXP");
modelStruct.modelPar_NMEXP=mod.NMEXP;
modelStruct.d_modelPar_NMEXP_dX=0.0;
modelStruct.modelPar_given_NMEXP=mod.given("NMEXP");
modelStruct.modelPar_PMEXP=mod.PMEXP;
modelStruct.d_modelPar_PMEXP_dX=0.0;
modelStruct.modelPar_given_PMEXP=mod.given("PMEXP");
modelStruct.modelPar_WMEXP=mod.WMEXP;
modelStruct.d_modelPar_WMEXP_dX=0.0;
modelStruct.modelPar_given_WMEXP=mod.given("WMEXP");
modelStruct.modelPar_P2MEXP=mod.P2MEXP;
modelStruct.d_modelPar_P2MEXP_dX=0.0;
modelStruct.modelPar_given_P2MEXP=mod.given("P2MEXP");
modelStruct.modelPar_MEXPR=mod.MEXPR;
modelStruct.d_modelPar_MEXPR_dX=0.0;
modelStruct.modelPar_given_MEXPR=mod.given("MEXPR");
modelStruct.modelPar_LMEXPR=mod.LMEXPR;
modelStruct.d_modelPar_LMEXPR_dX=0.0;
modelStruct.modelPar_given_LMEXPR=mod.given("LMEXPR");
modelStruct.modelPar_NMEXPR=mod.NMEXPR;
modelStruct.d_modelPar_NMEXPR_dX=0.0;
modelStruct.modelPar_given_NMEXPR=mod.given("NMEXPR");
modelStruct.modelPar_PMEXPR=mod.PMEXPR;
modelStruct.d_modelPar_PMEXPR_dX=0.0;
modelStruct.modelPar_given_PMEXPR=mod.given("PMEXPR");
modelStruct.modelPar_WMEXPR=mod.WMEXPR;
modelStruct.d_modelPar_WMEXPR_dX=0.0;
modelStruct.modelPar_given_WMEXPR=mod.given("WMEXPR");
modelStruct.modelPar_P2MEXPR=mod.P2MEXPR;
modelStruct.d_modelPar_P2MEXPR_dX=0.0;
modelStruct.modelPar_given_P2MEXPR=mod.given("P2MEXPR");
modelStruct.modelPar_PTWG=mod.PTWG;
modelStruct.d_modelPar_PTWG_dX=0.0;
modelStruct.modelPar_given_PTWG=mod.given("PTWG");
modelStruct.modelPar_LPTWG=mod.LPTWG;
modelStruct.d_modelPar_LPTWG_dX=0.0;
modelStruct.modelPar_given_LPTWG=mod.given("LPTWG");
modelStruct.modelPar_NPTWG=mod.NPTWG;
modelStruct.d_modelPar_NPTWG_dX=0.0;
modelStruct.modelPar_given_NPTWG=mod.given("NPTWG");
modelStruct.modelPar_PPTWG=mod.PPTWG;
modelStruct.d_modelPar_PPTWG_dX=0.0;
modelStruct.modelPar_given_PPTWG=mod.given("PPTWG");
modelStruct.modelPar_WPTWG=mod.WPTWG;
modelStruct.d_modelPar_WPTWG_dX=0.0;
modelStruct.modelPar_given_WPTWG=mod.given("WPTWG");
modelStruct.modelPar_P2PTWG=mod.P2PTWG;
modelStruct.d_modelPar_P2PTWG_dX=0.0;
modelStruct.modelPar_given_P2PTWG=mod.given("P2PTWG");
modelStruct.modelPar_PTWGR=mod.PTWGR;
modelStruct.d_modelPar_PTWGR_dX=0.0;
modelStruct.modelPar_given_PTWGR=mod.given("PTWGR");
modelStruct.modelPar_LPTWGR=mod.LPTWGR;
modelStruct.d_modelPar_LPTWGR_dX=0.0;
modelStruct.modelPar_given_LPTWGR=mod.given("LPTWGR");
modelStruct.modelPar_NPTWGR=mod.NPTWGR;
modelStruct.d_modelPar_NPTWGR_dX=0.0;
modelStruct.modelPar_given_NPTWGR=mod.given("NPTWGR");
modelStruct.modelPar_PPTWGR=mod.PPTWGR;
modelStruct.d_modelPar_PPTWGR_dX=0.0;
modelStruct.modelPar_given_PPTWGR=mod.given("PPTWGR");
modelStruct.modelPar_WPTWGR=mod.WPTWGR;
modelStruct.d_modelPar_WPTWGR_dX=0.0;
modelStruct.modelPar_given_WPTWGR=mod.given("WPTWGR");
modelStruct.modelPar_P2PTWGR=mod.P2PTWGR;
modelStruct.d_modelPar_P2PTWGR_dX=0.0;
modelStruct.modelPar_given_P2PTWGR=mod.given("P2PTWGR");
modelStruct.modelPar_AT=mod.AT;
modelStruct.d_modelPar_AT_dX=0.0;
modelStruct.modelPar_given_AT=mod.given("AT");
modelStruct.modelPar_LAT=mod.LAT;
modelStruct.d_modelPar_LAT_dX=0.0;
modelStruct.modelPar_given_LAT=mod.given("LAT");
modelStruct.modelPar_NAT=mod.NAT;
modelStruct.d_modelPar_NAT_dX=0.0;
modelStruct.modelPar_given_NAT=mod.given("NAT");
modelStruct.modelPar_PAT=mod.PAT;
modelStruct.d_modelPar_PAT_dX=0.0;
modelStruct.modelPar_given_PAT=mod.given("PAT");
modelStruct.modelPar_WAT=mod.WAT;
modelStruct.d_modelPar_WAT_dX=0.0;
modelStruct.modelPar_given_WAT=mod.given("WAT");
modelStruct.modelPar_P2AT=mod.P2AT;
modelStruct.d_modelPar_P2AT_dX=0.0;
modelStruct.modelPar_given_P2AT=mod.given("P2AT");
modelStruct.modelPar_AT2=mod.AT2;
modelStruct.d_modelPar_AT2_dX=0.0;
modelStruct.modelPar_given_AT2=mod.given("AT2");
modelStruct.modelPar_ATR=mod.ATR;
modelStruct.d_modelPar_ATR_dX=0.0;
modelStruct.modelPar_given_ATR=mod.given("ATR");
modelStruct.modelPar_LATR=mod.LATR;
modelStruct.d_modelPar_LATR_dX=0.0;
modelStruct.modelPar_given_LATR=mod.given("LATR");
modelStruct.modelPar_NATR=mod.NATR;
modelStruct.d_modelPar_NATR_dX=0.0;
modelStruct.modelPar_given_NATR=mod.given("NATR");
modelStruct.modelPar_PATR=mod.PATR;
modelStruct.d_modelPar_PATR_dX=0.0;
modelStruct.modelPar_given_PATR=mod.given("PATR");
modelStruct.modelPar_WATR=mod.WATR;
modelStruct.d_modelPar_WATR_dX=0.0;
modelStruct.modelPar_given_WATR=mod.given("WATR");
modelStruct.modelPar_P2ATR=mod.P2ATR;
modelStruct.d_modelPar_P2ATR_dX=0.0;
modelStruct.modelPar_given_P2ATR=mod.given("P2ATR");
modelStruct.modelPar_ATCV=mod.ATCV;
modelStruct.d_modelPar_ATCV_dX=0.0;
modelStruct.modelPar_given_ATCV=mod.given("ATCV");
modelStruct.modelPar_LATCV=mod.LATCV;
modelStruct.d_modelPar_LATCV_dX=0.0;
modelStruct.modelPar_given_LATCV=mod.given("LATCV");
modelStruct.modelPar_NATCV=mod.NATCV;
modelStruct.d_modelPar_NATCV_dX=0.0;
modelStruct.modelPar_given_NATCV=mod.given("NATCV");
modelStruct.modelPar_PATCV=mod.PATCV;
modelStruct.d_modelPar_PATCV_dX=0.0;
modelStruct.modelPar_given_PATCV=mod.given("PATCV");
modelStruct.modelPar_WATCV=mod.WATCV;
modelStruct.d_modelPar_WATCV_dX=0.0;
modelStruct.modelPar_given_WATCV=mod.given("WATCV");
modelStruct.modelPar_P2ATCV=mod.P2ATCV;
modelStruct.d_modelPar_P2ATCV_dX=0.0;
modelStruct.modelPar_given_P2ATCV=mod.given("P2ATCV");
modelStruct.modelPar_AT2CV=mod.AT2CV;
modelStruct.d_modelPar_AT2CV_dX=0.0;
modelStruct.modelPar_given_AT2CV=mod.given("AT2CV");
modelStruct.modelPar_PTWGT=mod.PTWGT;
modelStruct.d_modelPar_PTWGT_dX=0.0;
modelStruct.modelPar_given_PTWGT=mod.given("PTWGT");
modelStruct.modelPar_LPTWGT=mod.LPTWGT;
modelStruct.d_modelPar_LPTWGT_dX=0.0;
modelStruct.modelPar_given_LPTWGT=mod.given("LPTWGT");
modelStruct.modelPar_NPTWGT=mod.NPTWGT;
modelStruct.d_modelPar_NPTWGT_dX=0.0;
modelStruct.modelPar_given_NPTWGT=mod.given("NPTWGT");
modelStruct.modelPar_PPTWGT=mod.PPTWGT;
modelStruct.d_modelPar_PPTWGT_dX=0.0;
modelStruct.modelPar_given_PPTWGT=mod.given("PPTWGT");
modelStruct.modelPar_WPTWGT=mod.WPTWGT;
modelStruct.d_modelPar_WPTWGT_dX=0.0;
modelStruct.modelPar_given_WPTWGT=mod.given("WPTWGT");
modelStruct.modelPar_P2PTWGT=mod.P2PTWGT;
modelStruct.d_modelPar_P2PTWGT_dX=0.0;
modelStruct.modelPar_given_P2PTWGT=mod.given("P2PTWGT");
modelStruct.modelPar_U0N1=mod.U0N1;
modelStruct.d_modelPar_U0N1_dX=0.0;
modelStruct.modelPar_given_U0N1=mod.given("U0N1");
modelStruct.modelPar_U0N1CV=mod.U0N1CV;
modelStruct.d_modelPar_U0N1CV_dX=0.0;
modelStruct.modelPar_given_U0N1CV=mod.given("U0N1CV");
modelStruct.modelPar_U0N1R=mod.U0N1R;
modelStruct.d_modelPar_U0N1R_dX=0.0;
modelStruct.modelPar_given_U0N1R=mod.given("U0N1R");
modelStruct.modelPar_U0N2=mod.U0N2;
modelStruct.d_modelPar_U0N2_dX=0.0;
modelStruct.modelPar_given_U0N2=mod.given("U0N2");
modelStruct.modelPar_U0N2CV=mod.U0N2CV;
modelStruct.d_modelPar_U0N2CV_dX=0.0;
modelStruct.modelPar_given_U0N2CV=mod.given("U0N2CV");
modelStruct.modelPar_U0N2R=mod.U0N2R;
modelStruct.d_modelPar_U0N2R_dX=0.0;
modelStruct.modelPar_given_U0N2R=mod.given("U0N2R");
modelStruct.modelPar_U0LT=mod.U0LT;
modelStruct.d_modelPar_U0LT_dX=0.0;
modelStruct.modelPar_given_U0LT=mod.given("U0LT");
modelStruct.modelPar_U0LTCV=mod.U0LTCV;
modelStruct.d_modelPar_U0LTCV_dX=0.0;
modelStruct.modelPar_given_U0LTCV=mod.given("U0LTCV");
modelStruct.modelPar_LPA=mod.LPA;
modelStruct.d_modelPar_LPA_dX=0.0;
modelStruct.modelPar_given_LPA=mod.given("LPA");
modelStruct.modelPar_LPAR=mod.LPAR;
modelStruct.d_modelPar_LPAR_dX=0.0;
modelStruct.modelPar_given_LPAR=mod.given("LPAR");
modelStruct.modelPar_AUA=mod.AUA;
modelStruct.d_modelPar_AUA_dX=0.0;
modelStruct.modelPar_given_AUA=mod.given("AUA");
modelStruct.modelPar_AUAR=mod.AUAR;
modelStruct.d_modelPar_AUAR_dX=0.0;
modelStruct.modelPar_given_AUAR=mod.given("AUAR");
modelStruct.modelPar_BUA=mod.BUA;
modelStruct.d_modelPar_BUA_dX=0.0;
modelStruct.modelPar_given_BUA=mod.given("BUA");
modelStruct.modelPar_BUAR=mod.BUAR;
modelStruct.d_modelPar_BUAR_dX=0.0;
modelStruct.modelPar_given_BUAR=mod.given("BUAR");
modelStruct.modelPar_AEU=mod.AEU;
modelStruct.d_modelPar_AEU_dX=0.0;
modelStruct.modelPar_given_AEU=mod.given("AEU");
modelStruct.modelPar_AEUR=mod.AEUR;
modelStruct.d_modelPar_AEUR_dX=0.0;
modelStruct.modelPar_given_AEUR=mod.given("AEUR");
modelStruct.modelPar_BEU=mod.BEU;
modelStruct.d_modelPar_BEU_dX=0.0;
modelStruct.modelPar_given_BEU=mod.given("BEU");
modelStruct.modelPar_BEUR=mod.BEUR;
modelStruct.d_modelPar_BEUR_dX=0.0;
modelStruct.modelPar_given_BEUR=mod.given("BEUR");
modelStruct.modelPar_AUD=mod.AUD;
modelStruct.d_modelPar_AUD_dX=0.0;
modelStruct.modelPar_given_AUD=mod.given("AUD");
modelStruct.modelPar_AUDR=mod.AUDR;
modelStruct.d_modelPar_AUDR_dX=0.0;
modelStruct.modelPar_given_AUDR=mod.given("AUDR");
modelStruct.modelPar_BUD=mod.BUD;
modelStruct.d_modelPar_BUD_dX=0.0;
modelStruct.modelPar_given_BUD=mod.given("BUD");
modelStruct.modelPar_BUDR=mod.BUDR;
modelStruct.d_modelPar_BUDR_dX=0.0;
modelStruct.modelPar_given_BUDR=mod.given("BUDR");
modelStruct.modelPar_CHARGEWF=mod.CHARGEWF;
modelStruct.d_modelPar_CHARGEWF_dX=0.0;
modelStruct.modelPar_given_CHARGEWF=mod.given("CHARGEWF");
modelStruct.modelPar_DMOBCLAMP=mod.DMOBCLAMP;
modelStruct.d_modelPar_DMOBCLAMP_dX=0.0;
modelStruct.modelPar_given_DMOBCLAMP=mod.given("DMOBCLAMP");
modelStruct.modelPar_U0=mod.U0;
modelStruct.d_modelPar_U0_dX=0.0;
modelStruct.modelPar_given_U0=mod.given("U0");
modelStruct.modelPar_LU0=mod.LU0;
modelStruct.d_modelPar_LU0_dX=0.0;
modelStruct.modelPar_given_LU0=mod.given("LU0");
modelStruct.modelPar_NU0=mod.NU0;
modelStruct.d_modelPar_NU0_dX=0.0;
modelStruct.modelPar_given_NU0=mod.given("NU0");
modelStruct.modelPar_PU0=mod.PU0;
modelStruct.d_modelPar_PU0_dX=0.0;
modelStruct.modelPar_given_PU0=mod.given("PU0");
modelStruct.modelPar_WU0=mod.WU0;
modelStruct.d_modelPar_WU0_dX=0.0;
modelStruct.modelPar_given_WU0=mod.given("WU0");
modelStruct.modelPar_P2U0=mod.P2U0;
modelStruct.d_modelPar_P2U0_dX=0.0;
modelStruct.modelPar_given_P2U0=mod.given("P2U0");
modelStruct.modelPar_U0R=mod.U0R;
modelStruct.d_modelPar_U0R_dX=0.0;
modelStruct.modelPar_given_U0R=mod.given("U0R");
modelStruct.modelPar_LU0R=mod.LU0R;
modelStruct.d_modelPar_LU0R_dX=0.0;
modelStruct.modelPar_given_LU0R=mod.given("LU0R");
modelStruct.modelPar_NU0R=mod.NU0R;
modelStruct.d_modelPar_NU0R_dX=0.0;
modelStruct.modelPar_given_NU0R=mod.given("NU0R");
modelStruct.modelPar_PU0R=mod.PU0R;
modelStruct.d_modelPar_PU0R_dX=0.0;
modelStruct.modelPar_given_PU0R=mod.given("PU0R");
modelStruct.modelPar_WU0R=mod.WU0R;
modelStruct.d_modelPar_WU0R_dX=0.0;
modelStruct.modelPar_given_WU0R=mod.given("WU0R");
modelStruct.modelPar_P2U0R=mod.P2U0R;
modelStruct.d_modelPar_P2U0R_dX=0.0;
modelStruct.modelPar_given_P2U0R=mod.given("P2U0R");
modelStruct.modelPar_U0CV=mod.U0CV;
modelStruct.d_modelPar_U0CV_dX=0.0;
modelStruct.modelPar_given_U0CV=mod.given("U0CV");
modelStruct.modelPar_LU0CV=mod.LU0CV;
modelStruct.d_modelPar_LU0CV_dX=0.0;
modelStruct.modelPar_given_LU0CV=mod.given("LU0CV");
modelStruct.modelPar_NU0CV=mod.NU0CV;
modelStruct.d_modelPar_NU0CV_dX=0.0;
modelStruct.modelPar_given_NU0CV=mod.given("NU0CV");
modelStruct.modelPar_PU0CV=mod.PU0CV;
modelStruct.d_modelPar_PU0CV_dX=0.0;
modelStruct.modelPar_given_PU0CV=mod.given("PU0CV");
modelStruct.modelPar_WU0CV=mod.WU0CV;
modelStruct.d_modelPar_WU0CV_dX=0.0;
modelStruct.modelPar_given_WU0CV=mod.given("WU0CV");
modelStruct.modelPar_P2U0CV=mod.P2U0CV;
modelStruct.d_modelPar_P2U0CV_dX=0.0;
modelStruct.modelPar_given_P2U0CV=mod.given("P2U0CV");
modelStruct.modelPar_ETAMOB=mod.ETAMOB;
modelStruct.d_modelPar_ETAMOB_dX=0.0;
modelStruct.modelPar_given_ETAMOB=mod.given("ETAMOB");
modelStruct.modelPar_LETAMOB=mod.LETAMOB;
modelStruct.d_modelPar_LETAMOB_dX=0.0;
modelStruct.modelPar_given_LETAMOB=mod.given("LETAMOB");
modelStruct.modelPar_NETAMOB=mod.NETAMOB;
modelStruct.d_modelPar_NETAMOB_dX=0.0;
modelStruct.modelPar_given_NETAMOB=mod.given("NETAMOB");
modelStruct.modelPar_PETAMOB=mod.PETAMOB;
modelStruct.d_modelPar_PETAMOB_dX=0.0;
modelStruct.modelPar_given_PETAMOB=mod.given("PETAMOB");
modelStruct.modelPar_WETAMOB=mod.WETAMOB;
modelStruct.d_modelPar_WETAMOB_dX=0.0;
modelStruct.modelPar_given_WETAMOB=mod.given("WETAMOB");
modelStruct.modelPar_P2ETAMOB=mod.P2ETAMOB;
modelStruct.d_modelPar_P2ETAMOB_dX=0.0;
modelStruct.modelPar_given_P2ETAMOB=mod.given("P2ETAMOB");
modelStruct.modelPar_UP=mod.UP;
modelStruct.d_modelPar_UP_dX=0.0;
modelStruct.modelPar_given_UP=mod.given("UP");
modelStruct.modelPar_LUP=mod.LUP;
modelStruct.d_modelPar_LUP_dX=0.0;
modelStruct.modelPar_given_LUP=mod.given("LUP");
modelStruct.modelPar_NUP=mod.NUP;
modelStruct.d_modelPar_NUP_dX=0.0;
modelStruct.modelPar_given_NUP=mod.given("NUP");
modelStruct.modelPar_PUP=mod.PUP;
modelStruct.d_modelPar_PUP_dX=0.0;
modelStruct.modelPar_given_PUP=mod.given("PUP");
modelStruct.modelPar_WUP=mod.WUP;
modelStruct.d_modelPar_WUP_dX=0.0;
modelStruct.modelPar_given_WUP=mod.given("WUP");
modelStruct.modelPar_P2UP=mod.P2UP;
modelStruct.d_modelPar_P2UP_dX=0.0;
modelStruct.modelPar_given_P2UP=mod.given("P2UP");
modelStruct.modelPar_UPR=mod.UPR;
modelStruct.d_modelPar_UPR_dX=0.0;
modelStruct.modelPar_given_UPR=mod.given("UPR");
modelStruct.modelPar_LUPR=mod.LUPR;
modelStruct.d_modelPar_LUPR_dX=0.0;
modelStruct.modelPar_given_LUPR=mod.given("LUPR");
modelStruct.modelPar_NUPR=mod.NUPR;
modelStruct.d_modelPar_NUPR_dX=0.0;
modelStruct.modelPar_given_NUPR=mod.given("NUPR");
modelStruct.modelPar_PUPR=mod.PUPR;
modelStruct.d_modelPar_PUPR_dX=0.0;
modelStruct.modelPar_given_PUPR=mod.given("PUPR");
modelStruct.modelPar_WUPR=mod.WUPR;
modelStruct.d_modelPar_WUPR_dX=0.0;
modelStruct.modelPar_given_WUPR=mod.given("WUPR");
modelStruct.modelPar_P2UPR=mod.P2UPR;
modelStruct.d_modelPar_P2UPR_dX=0.0;
modelStruct.modelPar_given_P2UPR=mod.given("P2UPR");
modelStruct.modelPar_UA=mod.UA;
modelStruct.d_modelPar_UA_dX=0.0;
modelStruct.modelPar_given_UA=mod.given("UA");
modelStruct.modelPar_LUA=mod.LUA;
modelStruct.d_modelPar_LUA_dX=0.0;
modelStruct.modelPar_given_LUA=mod.given("LUA");
modelStruct.modelPar_NUA=mod.NUA;
modelStruct.d_modelPar_NUA_dX=0.0;
modelStruct.modelPar_given_NUA=mod.given("NUA");
modelStruct.modelPar_PUA=mod.PUA;
modelStruct.d_modelPar_PUA_dX=0.0;
modelStruct.modelPar_given_PUA=mod.given("PUA");
modelStruct.modelPar_WUA=mod.WUA;
modelStruct.d_modelPar_WUA_dX=0.0;
modelStruct.modelPar_given_WUA=mod.given("WUA");
modelStruct.modelPar_P2UA=mod.P2UA;
modelStruct.d_modelPar_P2UA_dX=0.0;
modelStruct.modelPar_given_P2UA=mod.given("P2UA");
modelStruct.modelPar_UAR=mod.UAR;
modelStruct.d_modelPar_UAR_dX=0.0;
modelStruct.modelPar_given_UAR=mod.given("UAR");
modelStruct.modelPar_LUAR=mod.LUAR;
modelStruct.d_modelPar_LUAR_dX=0.0;
modelStruct.modelPar_given_LUAR=mod.given("LUAR");
modelStruct.modelPar_NUAR=mod.NUAR;
modelStruct.d_modelPar_NUAR_dX=0.0;
modelStruct.modelPar_given_NUAR=mod.given("NUAR");
modelStruct.modelPar_PUAR=mod.PUAR;
modelStruct.d_modelPar_PUAR_dX=0.0;
modelStruct.modelPar_given_PUAR=mod.given("PUAR");
modelStruct.modelPar_WUAR=mod.WUAR;
modelStruct.d_modelPar_WUAR_dX=0.0;
modelStruct.modelPar_given_WUAR=mod.given("WUAR");
modelStruct.modelPar_P2UAR=mod.P2UAR;
modelStruct.d_modelPar_P2UAR_dX=0.0;
modelStruct.modelPar_given_P2UAR=mod.given("P2UAR");
modelStruct.modelPar_UACV=mod.UACV;
modelStruct.d_modelPar_UACV_dX=0.0;
modelStruct.modelPar_given_UACV=mod.given("UACV");
modelStruct.modelPar_LUACV=mod.LUACV;
modelStruct.d_modelPar_LUACV_dX=0.0;
modelStruct.modelPar_given_LUACV=mod.given("LUACV");
modelStruct.modelPar_NUACV=mod.NUACV;
modelStruct.d_modelPar_NUACV_dX=0.0;
modelStruct.modelPar_given_NUACV=mod.given("NUACV");
modelStruct.modelPar_PUACV=mod.PUACV;
modelStruct.d_modelPar_PUACV_dX=0.0;
modelStruct.modelPar_given_PUACV=mod.given("PUACV");
modelStruct.modelPar_WUACV=mod.WUACV;
modelStruct.d_modelPar_WUACV_dX=0.0;
modelStruct.modelPar_given_WUACV=mod.given("WUACV");
modelStruct.modelPar_P2UACV=mod.P2UACV;
modelStruct.d_modelPar_P2UACV_dX=0.0;
modelStruct.modelPar_given_P2UACV=mod.given("P2UACV");
modelStruct.modelPar_UC=mod.UC;
modelStruct.d_modelPar_UC_dX=0.0;
modelStruct.modelPar_given_UC=mod.given("UC");
modelStruct.modelPar_LUC=mod.LUC;
modelStruct.d_modelPar_LUC_dX=0.0;
modelStruct.modelPar_given_LUC=mod.given("LUC");
modelStruct.modelPar_NUC=mod.NUC;
modelStruct.d_modelPar_NUC_dX=0.0;
modelStruct.modelPar_given_NUC=mod.given("NUC");
modelStruct.modelPar_PUC=mod.PUC;
modelStruct.d_modelPar_PUC_dX=0.0;
modelStruct.modelPar_given_PUC=mod.given("PUC");
modelStruct.modelPar_WUC=mod.WUC;
modelStruct.d_modelPar_WUC_dX=0.0;
modelStruct.modelPar_given_WUC=mod.given("WUC");
modelStruct.modelPar_P2UC=mod.P2UC;
modelStruct.d_modelPar_P2UC_dX=0.0;
modelStruct.modelPar_given_P2UC=mod.given("P2UC");
modelStruct.modelPar_UCR=mod.UCR;
modelStruct.d_modelPar_UCR_dX=0.0;
modelStruct.modelPar_given_UCR=mod.given("UCR");
modelStruct.modelPar_LUCR=mod.LUCR;
modelStruct.d_modelPar_LUCR_dX=0.0;
modelStruct.modelPar_given_LUCR=mod.given("LUCR");
modelStruct.modelPar_NUCR=mod.NUCR;
modelStruct.d_modelPar_NUCR_dX=0.0;
modelStruct.modelPar_given_NUCR=mod.given("NUCR");
modelStruct.modelPar_PUCR=mod.PUCR;
modelStruct.d_modelPar_PUCR_dX=0.0;
modelStruct.modelPar_given_PUCR=mod.given("PUCR");
modelStruct.modelPar_WUCR=mod.WUCR;
modelStruct.d_modelPar_WUCR_dX=0.0;
modelStruct.modelPar_given_WUCR=mod.given("WUCR");
modelStruct.modelPar_P2UCR=mod.P2UCR;
modelStruct.d_modelPar_P2UCR_dX=0.0;
modelStruct.modelPar_given_P2UCR=mod.given("P2UCR");
modelStruct.modelPar_UCCV=mod.UCCV;
modelStruct.d_modelPar_UCCV_dX=0.0;
modelStruct.modelPar_given_UCCV=mod.given("UCCV");
modelStruct.modelPar_LUCCV=mod.LUCCV;
modelStruct.d_modelPar_LUCCV_dX=0.0;
modelStruct.modelPar_given_LUCCV=mod.given("LUCCV");
modelStruct.modelPar_NUCCV=mod.NUCCV;
modelStruct.d_modelPar_NUCCV_dX=0.0;
modelStruct.modelPar_given_NUCCV=mod.given("NUCCV");
modelStruct.modelPar_PUCCV=mod.PUCCV;
modelStruct.d_modelPar_PUCCV_dX=0.0;
modelStruct.modelPar_given_PUCCV=mod.given("PUCCV");
modelStruct.modelPar_WUCCV=mod.WUCCV;
modelStruct.d_modelPar_WUCCV_dX=0.0;
modelStruct.modelPar_given_WUCCV=mod.given("WUCCV");
modelStruct.modelPar_P2UCCV=mod.P2UCCV;
modelStruct.d_modelPar_P2UCCV_dX=0.0;
modelStruct.modelPar_given_P2UCCV=mod.given("P2UCCV");
modelStruct.modelPar_EU=mod.EU;
modelStruct.d_modelPar_EU_dX=0.0;
modelStruct.modelPar_given_EU=mod.given("EU");
modelStruct.modelPar_LEU=mod.LEU;
modelStruct.d_modelPar_LEU_dX=0.0;
modelStruct.modelPar_given_LEU=mod.given("LEU");
modelStruct.modelPar_NEU=mod.NEU;
modelStruct.d_modelPar_NEU_dX=0.0;
modelStruct.modelPar_given_NEU=mod.given("NEU");
modelStruct.modelPar_PEU=mod.PEU;
modelStruct.d_modelPar_PEU_dX=0.0;
modelStruct.modelPar_given_PEU=mod.given("PEU");
modelStruct.modelPar_WEU=mod.WEU;
modelStruct.d_modelPar_WEU_dX=0.0;
modelStruct.modelPar_given_WEU=mod.given("WEU");
modelStruct.modelPar_P2EU=mod.P2EU;
modelStruct.d_modelPar_P2EU_dX=0.0;
modelStruct.modelPar_given_P2EU=mod.given("P2EU");
modelStruct.modelPar_EUR=mod.EUR;
modelStruct.d_modelPar_EUR_dX=0.0;
modelStruct.modelPar_given_EUR=mod.given("EUR");
modelStruct.modelPar_LEUR=mod.LEUR;
modelStruct.d_modelPar_LEUR_dX=0.0;
modelStruct.modelPar_given_LEUR=mod.given("LEUR");
modelStruct.modelPar_NEUR=mod.NEUR;
modelStruct.d_modelPar_NEUR_dX=0.0;
modelStruct.modelPar_given_NEUR=mod.given("NEUR");
modelStruct.modelPar_PEUR=mod.PEUR;
modelStruct.d_modelPar_PEUR_dX=0.0;
modelStruct.modelPar_given_PEUR=mod.given("PEUR");
modelStruct.modelPar_WEUR=mod.WEUR;
modelStruct.d_modelPar_WEUR_dX=0.0;
modelStruct.modelPar_given_WEUR=mod.given("WEUR");
modelStruct.modelPar_P2EUR=mod.P2EUR;
modelStruct.d_modelPar_P2EUR_dX=0.0;
modelStruct.modelPar_given_P2EUR=mod.given("P2EUR");
modelStruct.modelPar_UD=mod.UD;
modelStruct.d_modelPar_UD_dX=0.0;
modelStruct.modelPar_given_UD=mod.given("UD");
modelStruct.modelPar_LUD=mod.LUD;
modelStruct.d_modelPar_LUD_dX=0.0;
modelStruct.modelPar_given_LUD=mod.given("LUD");
modelStruct.modelPar_NUD=mod.NUD;
modelStruct.d_modelPar_NUD_dX=0.0;
modelStruct.modelPar_given_NUD=mod.given("NUD");
modelStruct.modelPar_PUD=mod.PUD;
modelStruct.d_modelPar_PUD_dX=0.0;
modelStruct.modelPar_given_PUD=mod.given("PUD");
modelStruct.modelPar_WUD=mod.WUD;
modelStruct.d_modelPar_WUD_dX=0.0;
modelStruct.modelPar_given_WUD=mod.given("WUD");
modelStruct.modelPar_P2UD=mod.P2UD;
modelStruct.d_modelPar_P2UD_dX=0.0;
modelStruct.modelPar_given_P2UD=mod.given("P2UD");
modelStruct.modelPar_UDR=mod.UDR;
modelStruct.d_modelPar_UDR_dX=0.0;
modelStruct.modelPar_given_UDR=mod.given("UDR");
modelStruct.modelPar_LUDR=mod.LUDR;
modelStruct.d_modelPar_LUDR_dX=0.0;
modelStruct.modelPar_given_LUDR=mod.given("LUDR");
modelStruct.modelPar_NUDR=mod.NUDR;
modelStruct.d_modelPar_NUDR_dX=0.0;
modelStruct.modelPar_given_NUDR=mod.given("NUDR");
modelStruct.modelPar_PUDR=mod.PUDR;
modelStruct.d_modelPar_PUDR_dX=0.0;
modelStruct.modelPar_given_PUDR=mod.given("PUDR");
modelStruct.modelPar_WUDR=mod.WUDR;
modelStruct.d_modelPar_WUDR_dX=0.0;
modelStruct.modelPar_given_WUDR=mod.given("WUDR");
modelStruct.modelPar_P2UDR=mod.P2UDR;
modelStruct.d_modelPar_P2UDR_dX=0.0;
modelStruct.modelPar_given_P2UDR=mod.given("P2UDR");
modelStruct.modelPar_UDCV=mod.UDCV;
modelStruct.d_modelPar_UDCV_dX=0.0;
modelStruct.modelPar_given_UDCV=mod.given("UDCV");
modelStruct.modelPar_LUDCV=mod.LUDCV;
modelStruct.d_modelPar_LUDCV_dX=0.0;
modelStruct.modelPar_given_LUDCV=mod.given("LUDCV");
modelStruct.modelPar_NUDCV=mod.NUDCV;
modelStruct.d_modelPar_NUDCV_dX=0.0;
modelStruct.modelPar_given_NUDCV=mod.given("NUDCV");
modelStruct.modelPar_PUDCV=mod.PUDCV;
modelStruct.d_modelPar_PUDCV_dX=0.0;
modelStruct.modelPar_given_PUDCV=mod.given("PUDCV");
modelStruct.modelPar_WUDCV=mod.WUDCV;
modelStruct.d_modelPar_WUDCV_dX=0.0;
modelStruct.modelPar_given_WUDCV=mod.given("WUDCV");
modelStruct.modelPar_P2UDCV=mod.P2UDCV;
modelStruct.d_modelPar_P2UDCV_dX=0.0;
modelStruct.modelPar_given_P2UDCV=mod.given("P2UDCV");
modelStruct.modelPar_UCS=mod.UCS;
modelStruct.d_modelPar_UCS_dX=0.0;
modelStruct.modelPar_given_UCS=mod.given("UCS");
modelStruct.modelPar_LUCS=mod.LUCS;
modelStruct.d_modelPar_LUCS_dX=0.0;
modelStruct.modelPar_given_LUCS=mod.given("LUCS");
modelStruct.modelPar_NUCS=mod.NUCS;
modelStruct.d_modelPar_NUCS_dX=0.0;
modelStruct.modelPar_given_NUCS=mod.given("NUCS");
modelStruct.modelPar_PUCS=mod.PUCS;
modelStruct.d_modelPar_PUCS_dX=0.0;
modelStruct.modelPar_given_PUCS=mod.given("PUCS");
modelStruct.modelPar_WUCS=mod.WUCS;
modelStruct.d_modelPar_WUCS_dX=0.0;
modelStruct.modelPar_given_WUCS=mod.given("WUCS");
modelStruct.modelPar_P2UCS=mod.P2UCS;
modelStruct.d_modelPar_P2UCS_dX=0.0;
modelStruct.modelPar_given_P2UCS=mod.given("P2UCS");
modelStruct.modelPar_UDS=mod.UDS;
modelStruct.d_modelPar_UDS_dX=0.0;
modelStruct.modelPar_given_UDS=mod.given("UDS");
modelStruct.modelPar_LUDS=mod.LUDS;
modelStruct.d_modelPar_LUDS_dX=0.0;
modelStruct.modelPar_given_LUDS=mod.given("LUDS");
modelStruct.modelPar_NUDS=mod.NUDS;
modelStruct.d_modelPar_NUDS_dX=0.0;
modelStruct.modelPar_given_NUDS=mod.given("NUDS");
modelStruct.modelPar_PUDS=mod.PUDS;
modelStruct.d_modelPar_PUDS_dX=0.0;
modelStruct.modelPar_given_PUDS=mod.given("PUDS");
modelStruct.modelPar_WUDS=mod.WUDS;
modelStruct.d_modelPar_WUDS_dX=0.0;
modelStruct.modelPar_given_WUDS=mod.given("WUDS");
modelStruct.modelPar_P2UDS=mod.P2UDS;
modelStruct.d_modelPar_P2UDS_dX=0.0;
modelStruct.modelPar_given_P2UDS=mod.given("P2UDS");
modelStruct.modelPar_UDS1=mod.UDS1;
modelStruct.d_modelPar_UDS1_dX=0.0;
modelStruct.modelPar_given_UDS1=mod.given("UDS1");
modelStruct.modelPar_LUDS1=mod.LUDS1;
modelStruct.d_modelPar_LUDS1_dX=0.0;
modelStruct.modelPar_given_LUDS1=mod.given("LUDS1");
modelStruct.modelPar_NUDS1=mod.NUDS1;
modelStruct.d_modelPar_NUDS1_dX=0.0;
modelStruct.modelPar_given_NUDS1=mod.given("NUDS1");
modelStruct.modelPar_PUDS1=mod.PUDS1;
modelStruct.d_modelPar_PUDS1_dX=0.0;
modelStruct.modelPar_given_PUDS1=mod.given("PUDS1");
modelStruct.modelPar_WUDS1=mod.WUDS1;
modelStruct.d_modelPar_WUDS1_dX=0.0;
modelStruct.modelPar_given_WUDS1=mod.given("WUDS1");
modelStruct.modelPar_P2UDS1=mod.P2UDS1;
modelStruct.d_modelPar_P2UDS1_dX=0.0;
modelStruct.modelPar_given_P2UDS1=mod.given("P2UDS1");
modelStruct.modelPar_UDD=mod.UDD;
modelStruct.d_modelPar_UDD_dX=0.0;
modelStruct.modelPar_given_UDD=mod.given("UDD");
modelStruct.modelPar_LUDD=mod.LUDD;
modelStruct.d_modelPar_LUDD_dX=0.0;
modelStruct.modelPar_given_LUDD=mod.given("LUDD");
modelStruct.modelPar_NUDD=mod.NUDD;
modelStruct.d_modelPar_NUDD_dX=0.0;
modelStruct.modelPar_given_NUDD=mod.given("NUDD");
modelStruct.modelPar_PUDD=mod.PUDD;
modelStruct.d_modelPar_PUDD_dX=0.0;
modelStruct.modelPar_given_PUDD=mod.given("PUDD");
modelStruct.modelPar_WUDD=mod.WUDD;
modelStruct.d_modelPar_WUDD_dX=0.0;
modelStruct.modelPar_given_WUDD=mod.given("WUDD");
modelStruct.modelPar_P2UDD=mod.P2UDD;
modelStruct.d_modelPar_P2UDD_dX=0.0;
modelStruct.modelPar_given_P2UDD=mod.given("P2UDD");
modelStruct.modelPar_UDD1=mod.UDD1;
modelStruct.d_modelPar_UDD1_dX=0.0;
modelStruct.modelPar_given_UDD1=mod.given("UDD1");
modelStruct.modelPar_LUDD1=mod.LUDD1;
modelStruct.d_modelPar_LUDD1_dX=0.0;
modelStruct.modelPar_given_LUDD1=mod.given("LUDD1");
modelStruct.modelPar_NUDD1=mod.NUDD1;
modelStruct.d_modelPar_NUDD1_dX=0.0;
modelStruct.modelPar_given_NUDD1=mod.given("NUDD1");
modelStruct.modelPar_PUDD1=mod.PUDD1;
modelStruct.d_modelPar_PUDD1_dX=0.0;
modelStruct.modelPar_given_PUDD1=mod.given("PUDD1");
modelStruct.modelPar_WUDD1=mod.WUDD1;
modelStruct.d_modelPar_WUDD1_dX=0.0;
modelStruct.modelPar_given_WUDD1=mod.given("WUDD1");
modelStruct.modelPar_P2UDD1=mod.P2UDD1;
modelStruct.d_modelPar_P2UDD1_dX=0.0;
modelStruct.modelPar_given_P2UDD1=mod.given("P2UDD1");
modelStruct.modelPar_UTE=mod.UTE;
modelStruct.d_modelPar_UTE_dX=0.0;
modelStruct.modelPar_given_UTE=mod.given("UTE");
modelStruct.modelPar_LUTE=mod.LUTE;
modelStruct.d_modelPar_LUTE_dX=0.0;
modelStruct.modelPar_given_LUTE=mod.given("LUTE");
modelStruct.modelPar_NUTE=mod.NUTE;
modelStruct.d_modelPar_NUTE_dX=0.0;
modelStruct.modelPar_given_NUTE=mod.given("NUTE");
modelStruct.modelPar_PUTE=mod.PUTE;
modelStruct.d_modelPar_PUTE_dX=0.0;
modelStruct.modelPar_given_PUTE=mod.given("PUTE");
modelStruct.modelPar_WUTE=mod.WUTE;
modelStruct.d_modelPar_WUTE_dX=0.0;
modelStruct.modelPar_given_WUTE=mod.given("WUTE");
modelStruct.modelPar_P2UTE=mod.P2UTE;
modelStruct.d_modelPar_P2UTE_dX=0.0;
modelStruct.modelPar_given_P2UTE=mod.given("P2UTE");
modelStruct.modelPar_UTER=mod.UTER;
modelStruct.d_modelPar_UTER_dX=0.0;
modelStruct.modelPar_given_UTER=mod.given("UTER");
modelStruct.modelPar_LUTER=mod.LUTER;
modelStruct.d_modelPar_LUTER_dX=0.0;
modelStruct.modelPar_given_LUTER=mod.given("LUTER");
modelStruct.modelPar_NUTER=mod.NUTER;
modelStruct.d_modelPar_NUTER_dX=0.0;
modelStruct.modelPar_given_NUTER=mod.given("NUTER");
modelStruct.modelPar_PUTER=mod.PUTER;
modelStruct.d_modelPar_PUTER_dX=0.0;
modelStruct.modelPar_given_PUTER=mod.given("PUTER");
modelStruct.modelPar_WUTER=mod.WUTER;
modelStruct.d_modelPar_WUTER_dX=0.0;
modelStruct.modelPar_given_WUTER=mod.given("WUTER");
modelStruct.modelPar_P2UTER=mod.P2UTER;
modelStruct.d_modelPar_P2UTER_dX=0.0;
modelStruct.modelPar_given_P2UTER=mod.given("P2UTER");
modelStruct.modelPar_UTECV=mod.UTECV;
modelStruct.d_modelPar_UTECV_dX=0.0;
modelStruct.modelPar_given_UTECV=mod.given("UTECV");
modelStruct.modelPar_LUTECV=mod.LUTECV;
modelStruct.d_modelPar_LUTECV_dX=0.0;
modelStruct.modelPar_given_LUTECV=mod.given("LUTECV");
modelStruct.modelPar_NUTECV=mod.NUTECV;
modelStruct.d_modelPar_NUTECV_dX=0.0;
modelStruct.modelPar_given_NUTECV=mod.given("NUTECV");
modelStruct.modelPar_PUTECV=mod.PUTECV;
modelStruct.d_modelPar_PUTECV_dX=0.0;
modelStruct.modelPar_given_PUTECV=mod.given("PUTECV");
modelStruct.modelPar_WUTECV=mod.WUTECV;
modelStruct.d_modelPar_WUTECV_dX=0.0;
modelStruct.modelPar_given_WUTECV=mod.given("WUTECV");
modelStruct.modelPar_P2UTECV=mod.P2UTECV;
modelStruct.d_modelPar_P2UTECV_dX=0.0;
modelStruct.modelPar_given_P2UTECV=mod.given("P2UTECV");
modelStruct.modelPar_UTE1=mod.UTE1;
modelStruct.d_modelPar_UTE1_dX=0.0;
modelStruct.modelPar_given_UTE1=mod.given("UTE1");
modelStruct.modelPar_LUTE1=mod.LUTE1;
modelStruct.d_modelPar_LUTE1_dX=0.0;
modelStruct.modelPar_given_LUTE1=mod.given("LUTE1");
modelStruct.modelPar_NUTE1=mod.NUTE1;
modelStruct.d_modelPar_NUTE1_dX=0.0;
modelStruct.modelPar_given_NUTE1=mod.given("NUTE1");
modelStruct.modelPar_PUTE1=mod.PUTE1;
modelStruct.d_modelPar_PUTE1_dX=0.0;
modelStruct.modelPar_given_PUTE1=mod.given("PUTE1");
modelStruct.modelPar_WUTE1=mod.WUTE1;
modelStruct.d_modelPar_WUTE1_dX=0.0;
modelStruct.modelPar_given_WUTE1=mod.given("WUTE1");
modelStruct.modelPar_P2UTE1=mod.P2UTE1;
modelStruct.d_modelPar_P2UTE1_dX=0.0;
modelStruct.modelPar_given_P2UTE1=mod.given("P2UTE1");
modelStruct.modelPar_UTE1CV=mod.UTE1CV;
modelStruct.d_modelPar_UTE1CV_dX=0.0;
modelStruct.modelPar_given_UTE1CV=mod.given("UTE1CV");
modelStruct.modelPar_LUTE1CV=mod.LUTE1CV;
modelStruct.d_modelPar_LUTE1CV_dX=0.0;
modelStruct.modelPar_given_LUTE1CV=mod.given("LUTE1CV");
modelStruct.modelPar_NUTE1CV=mod.NUTE1CV;
modelStruct.d_modelPar_NUTE1CV_dX=0.0;
modelStruct.modelPar_given_NUTE1CV=mod.given("NUTE1CV");
modelStruct.modelPar_PUTE1CV=mod.PUTE1CV;
modelStruct.d_modelPar_PUTE1CV_dX=0.0;
modelStruct.modelPar_given_PUTE1CV=mod.given("PUTE1CV");
modelStruct.modelPar_WUTE1CV=mod.WUTE1CV;
modelStruct.d_modelPar_WUTE1CV_dX=0.0;
modelStruct.modelPar_given_WUTE1CV=mod.given("WUTE1CV");
modelStruct.modelPar_P2UTE1CV=mod.P2UTE1CV;
modelStruct.d_modelPar_P2UTE1CV_dX=0.0;
modelStruct.modelPar_given_P2UTE1CV=mod.given("P2UTE1CV");
modelStruct.modelPar_UTL=mod.UTL;
modelStruct.d_modelPar_UTL_dX=0.0;
modelStruct.modelPar_given_UTL=mod.given("UTL");
modelStruct.modelPar_LUTL=mod.LUTL;
modelStruct.d_modelPar_LUTL_dX=0.0;
modelStruct.modelPar_given_LUTL=mod.given("LUTL");
modelStruct.modelPar_NUTL=mod.NUTL;
modelStruct.d_modelPar_NUTL_dX=0.0;
modelStruct.modelPar_given_NUTL=mod.given("NUTL");
modelStruct.modelPar_PUTL=mod.PUTL;
modelStruct.d_modelPar_PUTL_dX=0.0;
modelStruct.modelPar_given_PUTL=mod.given("PUTL");
modelStruct.modelPar_WUTL=mod.WUTL;
modelStruct.d_modelPar_WUTL_dX=0.0;
modelStruct.modelPar_given_WUTL=mod.given("WUTL");
modelStruct.modelPar_P2UTL=mod.P2UTL;
modelStruct.d_modelPar_P2UTL_dX=0.0;
modelStruct.modelPar_given_P2UTL=mod.given("P2UTL");
modelStruct.modelPar_UTLR=mod.UTLR;
modelStruct.d_modelPar_UTLR_dX=0.0;
modelStruct.modelPar_given_UTLR=mod.given("UTLR");
modelStruct.modelPar_LUTLR=mod.LUTLR;
modelStruct.d_modelPar_LUTLR_dX=0.0;
modelStruct.modelPar_given_LUTLR=mod.given("LUTLR");
modelStruct.modelPar_NUTLR=mod.NUTLR;
modelStruct.d_modelPar_NUTLR_dX=0.0;
modelStruct.modelPar_given_NUTLR=mod.given("NUTLR");
modelStruct.modelPar_PUTLR=mod.PUTLR;
modelStruct.d_modelPar_PUTLR_dX=0.0;
modelStruct.modelPar_given_PUTLR=mod.given("PUTLR");
modelStruct.modelPar_WUTLR=mod.WUTLR;
modelStruct.d_modelPar_WUTLR_dX=0.0;
modelStruct.modelPar_given_WUTLR=mod.given("WUTLR");
modelStruct.modelPar_P2UTLR=mod.P2UTLR;
modelStruct.d_modelPar_P2UTLR_dX=0.0;
modelStruct.modelPar_given_P2UTLR=mod.given("P2UTLR");
modelStruct.modelPar_UTLCV=mod.UTLCV;
modelStruct.d_modelPar_UTLCV_dX=0.0;
modelStruct.modelPar_given_UTLCV=mod.given("UTLCV");
modelStruct.modelPar_LUTLCV=mod.LUTLCV;
modelStruct.d_modelPar_LUTLCV_dX=0.0;
modelStruct.modelPar_given_LUTLCV=mod.given("LUTLCV");
modelStruct.modelPar_NUTLCV=mod.NUTLCV;
modelStruct.d_modelPar_NUTLCV_dX=0.0;
modelStruct.modelPar_given_NUTLCV=mod.given("NUTLCV");
modelStruct.modelPar_PUTLCV=mod.PUTLCV;
modelStruct.d_modelPar_PUTLCV_dX=0.0;
modelStruct.modelPar_given_PUTLCV=mod.given("PUTLCV");
modelStruct.modelPar_WUTLCV=mod.WUTLCV;
modelStruct.d_modelPar_WUTLCV_dX=0.0;
modelStruct.modelPar_given_WUTLCV=mod.given("WUTLCV");
modelStruct.modelPar_P2UTLCV=mod.P2UTLCV;
modelStruct.d_modelPar_P2UTLCV_dX=0.0;
modelStruct.modelPar_given_P2UTLCV=mod.given("P2UTLCV");
modelStruct.modelPar_EMOBT=mod.EMOBT;
modelStruct.d_modelPar_EMOBT_dX=0.0;
modelStruct.modelPar_given_EMOBT=mod.given("EMOBT");
modelStruct.modelPar_LEMOBT=mod.LEMOBT;
modelStruct.d_modelPar_LEMOBT_dX=0.0;
modelStruct.modelPar_given_LEMOBT=mod.given("LEMOBT");
modelStruct.modelPar_NEMOBT=mod.NEMOBT;
modelStruct.d_modelPar_NEMOBT_dX=0.0;
modelStruct.modelPar_given_NEMOBT=mod.given("NEMOBT");
modelStruct.modelPar_PEMOBT=mod.PEMOBT;
modelStruct.d_modelPar_PEMOBT_dX=0.0;
modelStruct.modelPar_given_PEMOBT=mod.given("PEMOBT");
modelStruct.modelPar_WEMOBT=mod.WEMOBT;
modelStruct.d_modelPar_WEMOBT_dX=0.0;
modelStruct.modelPar_given_WEMOBT=mod.given("WEMOBT");
modelStruct.modelPar_P2EMOBT=mod.P2EMOBT;
modelStruct.d_modelPar_P2EMOBT_dX=0.0;
modelStruct.modelPar_given_P2EMOBT=mod.given("P2EMOBT");
modelStruct.modelPar_UA1=mod.UA1;
modelStruct.d_modelPar_UA1_dX=0.0;
modelStruct.modelPar_given_UA1=mod.given("UA1");
modelStruct.modelPar_LUA1=mod.LUA1;
modelStruct.d_modelPar_LUA1_dX=0.0;
modelStruct.modelPar_given_LUA1=mod.given("LUA1");
modelStruct.modelPar_NUA1=mod.NUA1;
modelStruct.d_modelPar_NUA1_dX=0.0;
modelStruct.modelPar_given_NUA1=mod.given("NUA1");
modelStruct.modelPar_PUA1=mod.PUA1;
modelStruct.d_modelPar_PUA1_dX=0.0;
modelStruct.modelPar_given_PUA1=mod.given("PUA1");
modelStruct.modelPar_WUA1=mod.WUA1;
modelStruct.d_modelPar_WUA1_dX=0.0;
modelStruct.modelPar_given_WUA1=mod.given("WUA1");
modelStruct.modelPar_P2UA1=mod.P2UA1;
modelStruct.d_modelPar_P2UA1_dX=0.0;
modelStruct.modelPar_given_P2UA1=mod.given("P2UA1");
modelStruct.modelPar_UA1R=mod.UA1R;
modelStruct.d_modelPar_UA1R_dX=0.0;
modelStruct.modelPar_given_UA1R=mod.given("UA1R");
modelStruct.modelPar_LUA1R=mod.LUA1R;
modelStruct.d_modelPar_LUA1R_dX=0.0;
modelStruct.modelPar_given_LUA1R=mod.given("LUA1R");
modelStruct.modelPar_NUA1R=mod.NUA1R;
modelStruct.d_modelPar_NUA1R_dX=0.0;
modelStruct.modelPar_given_NUA1R=mod.given("NUA1R");
modelStruct.modelPar_PUA1R=mod.PUA1R;
modelStruct.d_modelPar_PUA1R_dX=0.0;
modelStruct.modelPar_given_PUA1R=mod.given("PUA1R");
modelStruct.modelPar_WUA1R=mod.WUA1R;
modelStruct.d_modelPar_WUA1R_dX=0.0;
modelStruct.modelPar_given_WUA1R=mod.given("WUA1R");
modelStruct.modelPar_P2UA1R=mod.P2UA1R;
modelStruct.d_modelPar_P2UA1R_dX=0.0;
modelStruct.modelPar_given_P2UA1R=mod.given("P2UA1R");
modelStruct.modelPar_UA1CV=mod.UA1CV;
modelStruct.d_modelPar_UA1CV_dX=0.0;
modelStruct.modelPar_given_UA1CV=mod.given("UA1CV");
modelStruct.modelPar_LUA1CV=mod.LUA1CV;
modelStruct.d_modelPar_LUA1CV_dX=0.0;
modelStruct.modelPar_given_LUA1CV=mod.given("LUA1CV");
modelStruct.modelPar_NUA1CV=mod.NUA1CV;
modelStruct.d_modelPar_NUA1CV_dX=0.0;
modelStruct.modelPar_given_NUA1CV=mod.given("NUA1CV");
modelStruct.modelPar_PUA1CV=mod.PUA1CV;
modelStruct.d_modelPar_PUA1CV_dX=0.0;
modelStruct.modelPar_given_PUA1CV=mod.given("PUA1CV");
modelStruct.modelPar_WUA1CV=mod.WUA1CV;
modelStruct.d_modelPar_WUA1CV_dX=0.0;
modelStruct.modelPar_given_WUA1CV=mod.given("WUA1CV");
modelStruct.modelPar_P2UA1CV=mod.P2UA1CV;
modelStruct.d_modelPar_P2UA1CV_dX=0.0;
modelStruct.modelPar_given_P2UA1CV=mod.given("P2UA1CV");
modelStruct.modelPar_UA2=mod.UA2;
modelStruct.d_modelPar_UA2_dX=0.0;
modelStruct.modelPar_given_UA2=mod.given("UA2");
modelStruct.modelPar_LUA2=mod.LUA2;
modelStruct.d_modelPar_LUA2_dX=0.0;
modelStruct.modelPar_given_LUA2=mod.given("LUA2");
modelStruct.modelPar_NUA2=mod.NUA2;
modelStruct.d_modelPar_NUA2_dX=0.0;
modelStruct.modelPar_given_NUA2=mod.given("NUA2");
modelStruct.modelPar_PUA2=mod.PUA2;
modelStruct.d_modelPar_PUA2_dX=0.0;
modelStruct.modelPar_given_PUA2=mod.given("PUA2");
modelStruct.modelPar_WUA2=mod.WUA2;
modelStruct.d_modelPar_WUA2_dX=0.0;
modelStruct.modelPar_given_WUA2=mod.given("WUA2");
modelStruct.modelPar_P2UA2=mod.P2UA2;
modelStruct.d_modelPar_P2UA2_dX=0.0;
modelStruct.modelPar_given_P2UA2=mod.given("P2UA2");
modelStruct.modelPar_UA2CV=mod.UA2CV;
modelStruct.d_modelPar_UA2CV_dX=0.0;
modelStruct.modelPar_given_UA2CV=mod.given("UA2CV");
modelStruct.modelPar_LUA2CV=mod.LUA2CV;
modelStruct.d_modelPar_LUA2CV_dX=0.0;
modelStruct.modelPar_given_LUA2CV=mod.given("LUA2CV");
modelStruct.modelPar_NUA2CV=mod.NUA2CV;
modelStruct.d_modelPar_NUA2CV_dX=0.0;
modelStruct.modelPar_given_NUA2CV=mod.given("NUA2CV");
modelStruct.modelPar_PUA2CV=mod.PUA2CV;
modelStruct.d_modelPar_PUA2CV_dX=0.0;
modelStruct.modelPar_given_PUA2CV=mod.given("PUA2CV");
modelStruct.modelPar_WUA2CV=mod.WUA2CV;
modelStruct.d_modelPar_WUA2CV_dX=0.0;
modelStruct.modelPar_given_WUA2CV=mod.given("WUA2CV");
modelStruct.modelPar_P2UA2CV=mod.P2UA2CV;
modelStruct.d_modelPar_P2UA2CV_dX=0.0;
modelStruct.modelPar_given_P2UA2CV=mod.given("P2UA2CV");
modelStruct.modelPar_EU1=mod.EU1;
modelStruct.d_modelPar_EU1_dX=0.0;
modelStruct.modelPar_given_EU1=mod.given("EU1");
modelStruct.modelPar_LEU1=mod.LEU1;
modelStruct.d_modelPar_LEU1_dX=0.0;
modelStruct.modelPar_given_LEU1=mod.given("LEU1");
modelStruct.modelPar_NEU1=mod.NEU1;
modelStruct.d_modelPar_NEU1_dX=0.0;
modelStruct.modelPar_given_NEU1=mod.given("NEU1");
modelStruct.modelPar_PEU1=mod.PEU1;
modelStruct.d_modelPar_PEU1_dX=0.0;
modelStruct.modelPar_given_PEU1=mod.given("PEU1");
modelStruct.modelPar_WEU1=mod.WEU1;
modelStruct.d_modelPar_WEU1_dX=0.0;
modelStruct.modelPar_given_WEU1=mod.given("WEU1");
modelStruct.modelPar_P2EU1=mod.P2EU1;
modelStruct.d_modelPar_P2EU1_dX=0.0;
modelStruct.modelPar_given_P2EU1=mod.given("P2EU1");
modelStruct.modelPar_UC1=mod.UC1;
modelStruct.d_modelPar_UC1_dX=0.0;
modelStruct.modelPar_given_UC1=mod.given("UC1");
modelStruct.modelPar_LUC1=mod.LUC1;
modelStruct.d_modelPar_LUC1_dX=0.0;
modelStruct.modelPar_given_LUC1=mod.given("LUC1");
modelStruct.modelPar_NUC1=mod.NUC1;
modelStruct.d_modelPar_NUC1_dX=0.0;
modelStruct.modelPar_given_NUC1=mod.given("NUC1");
modelStruct.modelPar_PUC1=mod.PUC1;
modelStruct.d_modelPar_PUC1_dX=0.0;
modelStruct.modelPar_given_PUC1=mod.given("PUC1");
modelStruct.modelPar_WUC1=mod.WUC1;
modelStruct.d_modelPar_WUC1_dX=0.0;
modelStruct.modelPar_given_WUC1=mod.given("WUC1");
modelStruct.modelPar_P2UC1=mod.P2UC1;
modelStruct.d_modelPar_P2UC1_dX=0.0;
modelStruct.modelPar_given_P2UC1=mod.given("P2UC1");
modelStruct.modelPar_UC1R=mod.UC1R;
modelStruct.d_modelPar_UC1R_dX=0.0;
modelStruct.modelPar_given_UC1R=mod.given("UC1R");
modelStruct.modelPar_LUC1R=mod.LUC1R;
modelStruct.d_modelPar_LUC1R_dX=0.0;
modelStruct.modelPar_given_LUC1R=mod.given("LUC1R");
modelStruct.modelPar_NUC1R=mod.NUC1R;
modelStruct.d_modelPar_NUC1R_dX=0.0;
modelStruct.modelPar_given_NUC1R=mod.given("NUC1R");
modelStruct.modelPar_PUC1R=mod.PUC1R;
modelStruct.d_modelPar_PUC1R_dX=0.0;
modelStruct.modelPar_given_PUC1R=mod.given("PUC1R");
modelStruct.modelPar_WUC1R=mod.WUC1R;
modelStruct.d_modelPar_WUC1R_dX=0.0;
modelStruct.modelPar_given_WUC1R=mod.given("WUC1R");
modelStruct.modelPar_P2UC1R=mod.P2UC1R;
modelStruct.d_modelPar_P2UC1R_dX=0.0;
modelStruct.modelPar_given_P2UC1R=mod.given("P2UC1R");
modelStruct.modelPar_UC1CV=mod.UC1CV;
modelStruct.d_modelPar_UC1CV_dX=0.0;
modelStruct.modelPar_given_UC1CV=mod.given("UC1CV");
modelStruct.modelPar_LUC1CV=mod.LUC1CV;
modelStruct.d_modelPar_LUC1CV_dX=0.0;
modelStruct.modelPar_given_LUC1CV=mod.given("LUC1CV");
modelStruct.modelPar_NUC1CV=mod.NUC1CV;
modelStruct.d_modelPar_NUC1CV_dX=0.0;
modelStruct.modelPar_given_NUC1CV=mod.given("NUC1CV");
modelStruct.modelPar_PUC1CV=mod.PUC1CV;
modelStruct.d_modelPar_PUC1CV_dX=0.0;
modelStruct.modelPar_given_PUC1CV=mod.given("PUC1CV");
modelStruct.modelPar_WUC1CV=mod.WUC1CV;
modelStruct.d_modelPar_WUC1CV_dX=0.0;
modelStruct.modelPar_given_WUC1CV=mod.given("WUC1CV");
modelStruct.modelPar_P2UC1CV=mod.P2UC1CV;
modelStruct.d_modelPar_P2UC1CV_dX=0.0;
modelStruct.modelPar_given_P2UC1CV=mod.given("P2UC1CV");
modelStruct.modelPar_UD1=mod.UD1;
modelStruct.d_modelPar_UD1_dX=0.0;
modelStruct.modelPar_given_UD1=mod.given("UD1");
modelStruct.modelPar_LUD1=mod.LUD1;
modelStruct.d_modelPar_LUD1_dX=0.0;
modelStruct.modelPar_given_LUD1=mod.given("LUD1");
modelStruct.modelPar_NUD1=mod.NUD1;
modelStruct.d_modelPar_NUD1_dX=0.0;
modelStruct.modelPar_given_NUD1=mod.given("NUD1");
modelStruct.modelPar_PUD1=mod.PUD1;
modelStruct.d_modelPar_PUD1_dX=0.0;
modelStruct.modelPar_given_PUD1=mod.given("PUD1");
modelStruct.modelPar_WUD1=mod.WUD1;
modelStruct.d_modelPar_WUD1_dX=0.0;
modelStruct.modelPar_given_WUD1=mod.given("WUD1");
modelStruct.modelPar_P2UD1=mod.P2UD1;
modelStruct.d_modelPar_P2UD1_dX=0.0;
modelStruct.modelPar_given_P2UD1=mod.given("P2UD1");
modelStruct.modelPar_UD1R=mod.UD1R;
modelStruct.d_modelPar_UD1R_dX=0.0;
modelStruct.modelPar_given_UD1R=mod.given("UD1R");
modelStruct.modelPar_LUD1R=mod.LUD1R;
modelStruct.d_modelPar_LUD1R_dX=0.0;
modelStruct.modelPar_given_LUD1R=mod.given("LUD1R");
modelStruct.modelPar_NUD1R=mod.NUD1R;
modelStruct.d_modelPar_NUD1R_dX=0.0;
modelStruct.modelPar_given_NUD1R=mod.given("NUD1R");
modelStruct.modelPar_PUD1R=mod.PUD1R;
modelStruct.d_modelPar_PUD1R_dX=0.0;
modelStruct.modelPar_given_PUD1R=mod.given("PUD1R");
modelStruct.modelPar_WUD1R=mod.WUD1R;
modelStruct.d_modelPar_WUD1R_dX=0.0;
modelStruct.modelPar_given_WUD1R=mod.given("WUD1R");
modelStruct.modelPar_P2UD1R=mod.P2UD1R;
modelStruct.d_modelPar_P2UD1R_dX=0.0;
modelStruct.modelPar_given_P2UD1R=mod.given("P2UD1R");
modelStruct.modelPar_UD1CV=mod.UD1CV;
modelStruct.d_modelPar_UD1CV_dX=0.0;
modelStruct.modelPar_given_UD1CV=mod.given("UD1CV");
modelStruct.modelPar_LUD1CV=mod.LUD1CV;
modelStruct.d_modelPar_LUD1CV_dX=0.0;
modelStruct.modelPar_given_LUD1CV=mod.given("LUD1CV");
modelStruct.modelPar_NUD1CV=mod.NUD1CV;
modelStruct.d_modelPar_NUD1CV_dX=0.0;
modelStruct.modelPar_given_NUD1CV=mod.given("NUD1CV");
modelStruct.modelPar_PUD1CV=mod.PUD1CV;
modelStruct.d_modelPar_PUD1CV_dX=0.0;
modelStruct.modelPar_given_PUD1CV=mod.given("PUD1CV");
modelStruct.modelPar_WUD1CV=mod.WUD1CV;
modelStruct.d_modelPar_WUD1CV_dX=0.0;
modelStruct.modelPar_given_WUD1CV=mod.given("WUD1CV");
modelStruct.modelPar_P2UD1CV=mod.P2UD1CV;
modelStruct.d_modelPar_P2UD1CV_dX=0.0;
modelStruct.modelPar_given_P2UD1CV=mod.given("P2UD1CV");
modelStruct.modelPar_UD2=mod.UD2;
modelStruct.d_modelPar_UD2_dX=0.0;
modelStruct.modelPar_given_UD2=mod.given("UD2");
modelStruct.modelPar_LUD2=mod.LUD2;
modelStruct.d_modelPar_LUD2_dX=0.0;
modelStruct.modelPar_given_LUD2=mod.given("LUD2");
modelStruct.modelPar_NUD2=mod.NUD2;
modelStruct.d_modelPar_NUD2_dX=0.0;
modelStruct.modelPar_given_NUD2=mod.given("NUD2");
modelStruct.modelPar_PUD2=mod.PUD2;
modelStruct.d_modelPar_PUD2_dX=0.0;
modelStruct.modelPar_given_PUD2=mod.given("PUD2");
modelStruct.modelPar_WUD2=mod.WUD2;
modelStruct.d_modelPar_WUD2_dX=0.0;
modelStruct.modelPar_given_WUD2=mod.given("WUD2");
modelStruct.modelPar_P2UD2=mod.P2UD2;
modelStruct.d_modelPar_P2UD2_dX=0.0;
modelStruct.modelPar_given_P2UD2=mod.given("P2UD2");
modelStruct.modelPar_UD2CV=mod.UD2CV;
modelStruct.d_modelPar_UD2CV_dX=0.0;
modelStruct.modelPar_given_UD2CV=mod.given("UD2CV");
modelStruct.modelPar_LUD2CV=mod.LUD2CV;
modelStruct.d_modelPar_LUD2CV_dX=0.0;
modelStruct.modelPar_given_LUD2CV=mod.given("LUD2CV");
modelStruct.modelPar_NUD2CV=mod.NUD2CV;
modelStruct.d_modelPar_NUD2CV_dX=0.0;
modelStruct.modelPar_given_NUD2CV=mod.given("NUD2CV");
modelStruct.modelPar_PUD2CV=mod.PUD2CV;
modelStruct.d_modelPar_PUD2CV_dX=0.0;
modelStruct.modelPar_given_PUD2CV=mod.given("PUD2CV");
modelStruct.modelPar_WUD2CV=mod.WUD2CV;
modelStruct.d_modelPar_WUD2CV_dX=0.0;
modelStruct.modelPar_given_WUD2CV=mod.given("WUD2CV");
modelStruct.modelPar_P2UD2CV=mod.P2UD2CV;
modelStruct.d_modelPar_P2UD2CV_dX=0.0;
modelStruct.modelPar_given_P2UD2CV=mod.given("P2UD2CV");
modelStruct.modelPar_UCSTE=mod.UCSTE;
modelStruct.d_modelPar_UCSTE_dX=0.0;
modelStruct.modelPar_given_UCSTE=mod.given("UCSTE");
modelStruct.modelPar_LUCSTE=mod.LUCSTE;
modelStruct.d_modelPar_LUCSTE_dX=0.0;
modelStruct.modelPar_given_LUCSTE=mod.given("LUCSTE");
modelStruct.modelPar_NUCSTE=mod.NUCSTE;
modelStruct.d_modelPar_NUCSTE_dX=0.0;
modelStruct.modelPar_given_NUCSTE=mod.given("NUCSTE");
modelStruct.modelPar_PUCSTE=mod.PUCSTE;
modelStruct.d_modelPar_PUCSTE_dX=0.0;
modelStruct.modelPar_given_PUCSTE=mod.given("PUCSTE");
modelStruct.modelPar_WUCSTE=mod.WUCSTE;
modelStruct.d_modelPar_WUCSTE_dX=0.0;
modelStruct.modelPar_given_WUCSTE=mod.given("WUCSTE");
modelStruct.modelPar_P2UCSTE=mod.P2UCSTE;
modelStruct.d_modelPar_P2UCSTE_dX=0.0;
modelStruct.modelPar_given_P2UCSTE=mod.given("P2UCSTE");
modelStruct.modelPar_UCSTE1=mod.UCSTE1;
modelStruct.d_modelPar_UCSTE1_dX=0.0;
modelStruct.modelPar_given_UCSTE1=mod.given("UCSTE1");
modelStruct.modelPar_LUCSTE1=mod.LUCSTE1;
modelStruct.d_modelPar_LUCSTE1_dX=0.0;
modelStruct.modelPar_given_LUCSTE1=mod.given("LUCSTE1");
modelStruct.modelPar_NUCSTE1=mod.NUCSTE1;
modelStruct.d_modelPar_NUCSTE1_dX=0.0;
modelStruct.modelPar_given_NUCSTE1=mod.given("NUCSTE1");
modelStruct.modelPar_PUCSTE1=mod.PUCSTE1;
modelStruct.d_modelPar_PUCSTE1_dX=0.0;
modelStruct.modelPar_given_PUCSTE1=mod.given("PUCSTE1");
modelStruct.modelPar_WUCSTE1=mod.WUCSTE1;
modelStruct.d_modelPar_WUCSTE1_dX=0.0;
modelStruct.modelPar_given_WUCSTE1=mod.given("WUCSTE1");
modelStruct.modelPar_P2UCSTE1=mod.P2UCSTE1;
modelStruct.d_modelPar_P2UCSTE1_dX=0.0;
modelStruct.modelPar_given_P2UCSTE1=mod.given("P2UCSTE1");
modelStruct.modelPar_ETAMOBTHIN=mod.ETAMOBTHIN;
modelStruct.d_modelPar_ETAMOBTHIN_dX=0.0;
modelStruct.modelPar_given_ETAMOBTHIN=mod.given("ETAMOBTHIN");
modelStruct.modelPar_ETAMOBTNI=mod.ETAMOBTNI;
modelStruct.d_modelPar_ETAMOBTNI_dX=0.0;
modelStruct.modelPar_given_ETAMOBTNI=mod.given("ETAMOBTNI");
modelStruct.modelPar_ETAMOBIR=mod.ETAMOBIR;
modelStruct.d_modelPar_ETAMOBIR_dX=0.0;
modelStruct.modelPar_given_ETAMOBIR=mod.given("ETAMOBIR");
modelStruct.modelPar_UATHIN=mod.UATHIN;
modelStruct.d_modelPar_UATHIN_dX=0.0;
modelStruct.modelPar_given_UATHIN=mod.given("UATHIN");
modelStruct.modelPar_UATSAT=mod.UATSAT;
modelStruct.d_modelPar_UATSAT_dX=0.0;
modelStruct.modelPar_given_UATSAT=mod.given("UATSAT");
modelStruct.modelPar_UARTSC=mod.UARTSC;
modelStruct.d_modelPar_UARTSC_dX=0.0;
modelStruct.modelPar_given_UARTSC=mod.given("UARTSC");
modelStruct.modelPar_UATNI=mod.UATNI;
modelStruct.d_modelPar_UATNI_dX=0.0;
modelStruct.modelPar_given_UATNI=mod.given("UATNI");
modelStruct.modelPar_UAIR=mod.UAIR;
modelStruct.d_modelPar_UAIR_dX=0.0;
modelStruct.modelPar_given_UAIR=mod.given("UAIR");
modelStruct.modelPar_EUTHIN=mod.EUTHIN;
modelStruct.d_modelPar_EUTHIN_dX=0.0;
modelStruct.modelPar_given_EUTHIN=mod.given("EUTHIN");
modelStruct.modelPar_EUPTSC=mod.EUPTSC;
modelStruct.d_modelPar_EUPTSC_dX=0.0;
modelStruct.modelPar_given_EUPTSC=mod.given("EUPTSC");
modelStruct.modelPar_EUTNI=mod.EUTNI;
modelStruct.d_modelPar_EUTNI_dX=0.0;
modelStruct.modelPar_given_EUTNI=mod.given("EUTNI");
modelStruct.modelPar_EUIR=mod.EUIR;
modelStruct.d_modelPar_EUIR_dX=0.0;
modelStruct.modelPar_given_EUIR=mod.given("EUIR");
modelStruct.modelPar_UDTHIN=mod.UDTHIN;
modelStruct.d_modelPar_UDTHIN_dX=0.0;
modelStruct.modelPar_given_UDTHIN=mod.given("UDTHIN");
modelStruct.modelPar_UDTSAT=mod.UDTSAT;
modelStruct.d_modelPar_UDTSAT_dX=0.0;
modelStruct.modelPar_given_UDTSAT=mod.given("UDTSAT");
modelStruct.modelPar_UDPTSC=mod.UDPTSC;
modelStruct.d_modelPar_UDPTSC_dX=0.0;
modelStruct.modelPar_given_UDPTSC=mod.given("UDPTSC");
modelStruct.modelPar_U0ETAWSC=mod.U0ETAWSC;
modelStruct.d_modelPar_U0ETAWSC_dX=0.0;
modelStruct.modelPar_given_U0ETAWSC=mod.given("U0ETAWSC");
modelStruct.modelPar_EGBULK=mod.EGBULK;
modelStruct.d_modelPar_EGBULK_dX=0.0;
modelStruct.modelPar_given_EGBULK=mod.given("EGBULK");
modelStruct.modelPar_U0EMSM1=mod.U0EMSM1;
modelStruct.d_modelPar_U0EMSM1_dX=0.0;
modelStruct.modelPar_given_U0EMSM1=mod.given("U0EMSM1");
modelStruct.modelPar_U0EMSM2=mod.U0EMSM2;
modelStruct.d_modelPar_U0EMSM2_dX=0.0;
modelStruct.modelPar_given_U0EMSM2=mod.given("U0EMSM2");
modelStruct.modelPar_RDSWMIN=mod.RDSWMIN;
modelStruct.d_modelPar_RDSWMIN_dX=0.0;
modelStruct.modelPar_given_RDSWMIN=mod.given("RDSWMIN");
modelStruct.modelPar_ARDSW=mod.ARDSW;
modelStruct.d_modelPar_ARDSW_dX=0.0;
modelStruct.modelPar_given_ARDSW=mod.given("ARDSW");
modelStruct.modelPar_BRDSW=mod.BRDSW;
modelStruct.d_modelPar_BRDSW_dX=0.0;
modelStruct.modelPar_given_BRDSW=mod.given("BRDSW");
modelStruct.modelPar_RSWMIN=mod.RSWMIN;
modelStruct.d_modelPar_RSWMIN_dX=0.0;
modelStruct.modelPar_given_RSWMIN=mod.given("RSWMIN");
modelStruct.modelPar_ARSW=mod.ARSW;
modelStruct.d_modelPar_ARSW_dX=0.0;
modelStruct.modelPar_given_ARSW=mod.given("ARSW");
modelStruct.modelPar_BRSW=mod.BRSW;
modelStruct.d_modelPar_BRSW_dX=0.0;
modelStruct.modelPar_given_BRSW=mod.given("BRSW");
modelStruct.modelPar_RDWMIN=mod.RDWMIN;
modelStruct.d_modelPar_RDWMIN_dX=0.0;
modelStruct.modelPar_given_RDWMIN=mod.given("RDWMIN");
modelStruct.modelPar_ARDW=mod.ARDW;
modelStruct.d_modelPar_ARDW_dX=0.0;
modelStruct.modelPar_given_ARDW=mod.given("ARDW");
modelStruct.modelPar_BRDW=mod.BRDW;
modelStruct.d_modelPar_BRDW_dX=0.0;
modelStruct.modelPar_given_BRDW=mod.given("BRDW");
modelStruct.modelPar_RSDR=mod.RSDR;
modelStruct.d_modelPar_RSDR_dX=0.0;
modelStruct.modelPar_given_RSDR=mod.given("RSDR");
modelStruct.modelPar_RSDRR=mod.RSDRR;
modelStruct.d_modelPar_RSDRR_dX=0.0;
modelStruct.modelPar_given_RSDRR=mod.given("RSDRR");
modelStruct.modelPar_RDDR=mod.RDDR;
modelStruct.d_modelPar_RDDR_dX=0.0;
modelStruct.modelPar_given_RDDR=mod.given("RDDR");
modelStruct.modelPar_RDDRR=mod.RDDRR;
modelStruct.d_modelPar_RDDRR_dX=0.0;
modelStruct.modelPar_given_RDDRR=mod.given("RDDRR");
modelStruct.modelPar_PRSDR=mod.PRSDR;
modelStruct.d_modelPar_PRSDR_dX=0.0;
modelStruct.modelPar_given_PRSDR=mod.given("PRSDR");
modelStruct.modelPar_PRDDR=mod.PRDDR;
modelStruct.d_modelPar_PRDDR_dX=0.0;
modelStruct.modelPar_given_PRDDR=mod.given("PRDDR");
modelStruct.modelPar_TRSDR=mod.TRSDR;
modelStruct.d_modelPar_TRSDR_dX=0.0;
modelStruct.modelPar_given_TRSDR=mod.given("TRSDR");
modelStruct.modelPar_TRDDR=mod.TRDDR;
modelStruct.d_modelPar_TRDDR_dX=0.0;
modelStruct.modelPar_given_TRDDR=mod.given("TRDDR");
modelStruct.modelPar_RDSW=mod.RDSW;
modelStruct.d_modelPar_RDSW_dX=0.0;
modelStruct.modelPar_given_RDSW=mod.given("RDSW");
modelStruct.modelPar_LRDSW=mod.LRDSW;
modelStruct.d_modelPar_LRDSW_dX=0.0;
modelStruct.modelPar_given_LRDSW=mod.given("LRDSW");
modelStruct.modelPar_NRDSW=mod.NRDSW;
modelStruct.d_modelPar_NRDSW_dX=0.0;
modelStruct.modelPar_given_NRDSW=mod.given("NRDSW");
modelStruct.modelPar_PRDSW=mod.PRDSW;
modelStruct.d_modelPar_PRDSW_dX=0.0;
modelStruct.modelPar_given_PRDSW=mod.given("PRDSW");
modelStruct.modelPar_WRDSW=mod.WRDSW;
modelStruct.d_modelPar_WRDSW_dX=0.0;
modelStruct.modelPar_given_WRDSW=mod.given("WRDSW");
modelStruct.modelPar_P2RDSW=mod.P2RDSW;
modelStruct.d_modelPar_P2RDSW_dX=0.0;
modelStruct.modelPar_given_P2RDSW=mod.given("P2RDSW");
modelStruct.modelPar_RSW=mod.RSW;
modelStruct.d_modelPar_RSW_dX=0.0;
modelStruct.modelPar_given_RSW=mod.given("RSW");
modelStruct.modelPar_LRSW=mod.LRSW;
modelStruct.d_modelPar_LRSW_dX=0.0;
modelStruct.modelPar_given_LRSW=mod.given("LRSW");
modelStruct.modelPar_NRSW=mod.NRSW;
modelStruct.d_modelPar_NRSW_dX=0.0;
modelStruct.modelPar_given_NRSW=mod.given("NRSW");
modelStruct.modelPar_PRSW=mod.PRSW;
modelStruct.d_modelPar_PRSW_dX=0.0;
modelStruct.modelPar_given_PRSW=mod.given("PRSW");
modelStruct.modelPar_WRSW=mod.WRSW;
modelStruct.d_modelPar_WRSW_dX=0.0;
modelStruct.modelPar_given_WRSW=mod.given("WRSW");
modelStruct.modelPar_P2RSW=mod.P2RSW;
modelStruct.d_modelPar_P2RSW_dX=0.0;
modelStruct.modelPar_given_P2RSW=mod.given("P2RSW");
modelStruct.modelPar_RDW=mod.RDW;
modelStruct.d_modelPar_RDW_dX=0.0;
modelStruct.modelPar_given_RDW=mod.given("RDW");
modelStruct.modelPar_LRDW=mod.LRDW;
modelStruct.d_modelPar_LRDW_dX=0.0;
modelStruct.modelPar_given_LRDW=mod.given("LRDW");
modelStruct.modelPar_NRDW=mod.NRDW;
modelStruct.d_modelPar_NRDW_dX=0.0;
modelStruct.modelPar_given_NRDW=mod.given("NRDW");
modelStruct.modelPar_PRDW=mod.PRDW;
modelStruct.d_modelPar_PRDW_dX=0.0;
modelStruct.modelPar_given_PRDW=mod.given("PRDW");
modelStruct.modelPar_WRDW=mod.WRDW;
modelStruct.d_modelPar_WRDW_dX=0.0;
modelStruct.modelPar_given_WRDW=mod.given("WRDW");
modelStruct.modelPar_P2RDW=mod.P2RDW;
modelStruct.d_modelPar_P2RDW_dX=0.0;
modelStruct.modelPar_given_P2RDW=mod.given("P2RDW");
modelStruct.modelPar_PRWGS=mod.PRWGS;
modelStruct.d_modelPar_PRWGS_dX=0.0;
modelStruct.modelPar_given_PRWGS=mod.given("PRWGS");
modelStruct.modelPar_LPRWGS=mod.LPRWGS;
modelStruct.d_modelPar_LPRWGS_dX=0.0;
modelStruct.modelPar_given_LPRWGS=mod.given("LPRWGS");
modelStruct.modelPar_NPRWGS=mod.NPRWGS;
modelStruct.d_modelPar_NPRWGS_dX=0.0;
modelStruct.modelPar_given_NPRWGS=mod.given("NPRWGS");
modelStruct.modelPar_PPRWGS=mod.PPRWGS;
modelStruct.d_modelPar_PPRWGS_dX=0.0;
modelStruct.modelPar_given_PPRWGS=mod.given("PPRWGS");
modelStruct.modelPar_WPRWGS=mod.WPRWGS;
modelStruct.d_modelPar_WPRWGS_dX=0.0;
modelStruct.modelPar_given_WPRWGS=mod.given("WPRWGS");
modelStruct.modelPar_P2PRWGS=mod.P2PRWGS;
modelStruct.d_modelPar_P2PRWGS_dX=0.0;
modelStruct.modelPar_given_P2PRWGS=mod.given("P2PRWGS");
modelStruct.modelPar_PRWGD=mod.PRWGD;
modelStruct.d_modelPar_PRWGD_dX=0.0;
modelStruct.modelPar_given_PRWGD=mod.given("PRWGD");
modelStruct.modelPar_LPRWGD=mod.LPRWGD;
modelStruct.d_modelPar_LPRWGD_dX=0.0;
modelStruct.modelPar_given_LPRWGD=mod.given("LPRWGD");
modelStruct.modelPar_NPRWGD=mod.NPRWGD;
modelStruct.d_modelPar_NPRWGD_dX=0.0;
modelStruct.modelPar_given_NPRWGD=mod.given("NPRWGD");
modelStruct.modelPar_PPRWGD=mod.PPRWGD;
modelStruct.d_modelPar_PPRWGD_dX=0.0;
modelStruct.modelPar_given_PPRWGD=mod.given("PPRWGD");
modelStruct.modelPar_WPRWGD=mod.WPRWGD;
modelStruct.d_modelPar_WPRWGD_dX=0.0;
modelStruct.modelPar_given_WPRWGD=mod.given("WPRWGD");
modelStruct.modelPar_P2PRWGD=mod.P2PRWGD;
modelStruct.d_modelPar_P2PRWGD_dX=0.0;
modelStruct.modelPar_given_P2PRWGD=mod.given("P2PRWGD");
modelStruct.modelPar_WR=mod.WR;
modelStruct.d_modelPar_WR_dX=0.0;
modelStruct.modelPar_given_WR=mod.given("WR");
modelStruct.modelPar_LWR=mod.LWR;
modelStruct.d_modelPar_LWR_dX=0.0;
modelStruct.modelPar_given_LWR=mod.given("LWR");
modelStruct.modelPar_NWR=mod.NWR;
modelStruct.d_modelPar_NWR_dX=0.0;
modelStruct.modelPar_given_NWR=mod.given("NWR");
modelStruct.modelPar_PWR=mod.PWR;
modelStruct.d_modelPar_PWR_dX=0.0;
modelStruct.modelPar_given_PWR=mod.given("PWR");
modelStruct.modelPar_WWR=mod.WWR;
modelStruct.d_modelPar_WWR_dX=0.0;
modelStruct.modelPar_given_WWR=mod.given("WWR");
modelStruct.modelPar_P2WR=mod.P2WR;
modelStruct.d_modelPar_P2WR_dX=0.0;
modelStruct.modelPar_given_P2WR=mod.given("P2WR");
modelStruct.modelPar_PRT=mod.PRT;
modelStruct.d_modelPar_PRT_dX=0.0;
modelStruct.modelPar_given_PRT=mod.given("PRT");
modelStruct.modelPar_LPRT=mod.LPRT;
modelStruct.d_modelPar_LPRT_dX=0.0;
modelStruct.modelPar_given_LPRT=mod.given("LPRT");
modelStruct.modelPar_NPRT=mod.NPRT;
modelStruct.d_modelPar_NPRT_dX=0.0;
modelStruct.modelPar_given_NPRT=mod.given("NPRT");
modelStruct.modelPar_PPRT=mod.PPRT;
modelStruct.d_modelPar_PPRT_dX=0.0;
modelStruct.modelPar_given_PPRT=mod.given("PPRT");
modelStruct.modelPar_WPRT=mod.WPRT;
modelStruct.d_modelPar_WPRT_dX=0.0;
modelStruct.modelPar_given_WPRT=mod.given("WPRT");
modelStruct.modelPar_P2PRT=mod.P2PRT;
modelStruct.d_modelPar_P2PRT_dX=0.0;
modelStruct.modelPar_given_P2PRT=mod.given("P2PRT");
modelStruct.modelPar_PRT1=mod.PRT1;
modelStruct.d_modelPar_PRT1_dX=0.0;
modelStruct.modelPar_given_PRT1=mod.given("PRT1");
modelStruct.modelPar_LPRT1=mod.LPRT1;
modelStruct.d_modelPar_LPRT1_dX=0.0;
modelStruct.modelPar_given_LPRT1=mod.given("LPRT1");
modelStruct.modelPar_NPRT1=mod.NPRT1;
modelStruct.d_modelPar_NPRT1_dX=0.0;
modelStruct.modelPar_given_NPRT1=mod.given("NPRT1");
modelStruct.modelPar_PPRT1=mod.PPRT1;
modelStruct.d_modelPar_PPRT1_dX=0.0;
modelStruct.modelPar_given_PPRT1=mod.given("PPRT1");
modelStruct.modelPar_WPRT1=mod.WPRT1;
modelStruct.d_modelPar_WPRT1_dX=0.0;
modelStruct.modelPar_given_WPRT1=mod.given("WPRT1");
modelStruct.modelPar_P2PRT1=mod.P2PRT1;
modelStruct.d_modelPar_P2PRT1_dX=0.0;
modelStruct.modelPar_given_P2PRT1=mod.given("P2PRT1");
modelStruct.modelPar_TR0=mod.TR0;
modelStruct.d_modelPar_TR0_dX=0.0;
modelStruct.modelPar_given_TR0=mod.given("TR0");
modelStruct.modelPar_LTR0=mod.LTR0;
modelStruct.d_modelPar_LTR0_dX=0.0;
modelStruct.modelPar_given_LTR0=mod.given("LTR0");
modelStruct.modelPar_NTR0=mod.NTR0;
modelStruct.d_modelPar_NTR0_dX=0.0;
modelStruct.modelPar_given_NTR0=mod.given("NTR0");
modelStruct.modelPar_PTR0=mod.PTR0;
modelStruct.d_modelPar_PTR0_dX=0.0;
modelStruct.modelPar_given_PTR0=mod.given("PTR0");
modelStruct.modelPar_WTR0=mod.WTR0;
modelStruct.d_modelPar_WTR0_dX=0.0;
modelStruct.modelPar_given_WTR0=mod.given("WTR0");
modelStruct.modelPar_P2TR0=mod.P2TR0;
modelStruct.d_modelPar_P2TR0_dX=0.0;
modelStruct.modelPar_given_P2TR0=mod.given("P2TR0");
modelStruct.modelPar_SPRT=mod.SPRT;
modelStruct.d_modelPar_SPRT_dX=0.0;
modelStruct.modelPar_given_SPRT=mod.given("SPRT");
modelStruct.modelPar_LSPRT=mod.LSPRT;
modelStruct.d_modelPar_LSPRT_dX=0.0;
modelStruct.modelPar_given_LSPRT=mod.given("LSPRT");
modelStruct.modelPar_NSPRT=mod.NSPRT;
modelStruct.d_modelPar_NSPRT_dX=0.0;
modelStruct.modelPar_given_NSPRT=mod.given("NSPRT");
modelStruct.modelPar_PSPRT=mod.PSPRT;
modelStruct.d_modelPar_PSPRT_dX=0.0;
modelStruct.modelPar_given_PSPRT=mod.given("PSPRT");
modelStruct.modelPar_WSPRT=mod.WSPRT;
modelStruct.d_modelPar_WSPRT_dX=0.0;
modelStruct.modelPar_given_WSPRT=mod.given("WSPRT");
modelStruct.modelPar_P2SPRT=mod.P2SPRT;
modelStruct.d_modelPar_P2SPRT_dX=0.0;
modelStruct.modelPar_given_P2SPRT=mod.given("P2SPRT");
modelStruct.modelPar_PDIBL1=mod.PDIBL1;
modelStruct.d_modelPar_PDIBL1_dX=0.0;
modelStruct.modelPar_given_PDIBL1=mod.given("PDIBL1");
modelStruct.modelPar_LPDIBL1=mod.LPDIBL1;
modelStruct.d_modelPar_LPDIBL1_dX=0.0;
modelStruct.modelPar_given_LPDIBL1=mod.given("LPDIBL1");
modelStruct.modelPar_NPDIBL1=mod.NPDIBL1;
modelStruct.d_modelPar_NPDIBL1_dX=0.0;
modelStruct.modelPar_given_NPDIBL1=mod.given("NPDIBL1");
modelStruct.modelPar_PPDIBL1=mod.PPDIBL1;
modelStruct.d_modelPar_PPDIBL1_dX=0.0;
modelStruct.modelPar_given_PPDIBL1=mod.given("PPDIBL1");
modelStruct.modelPar_WPDIBL1=mod.WPDIBL1;
modelStruct.d_modelPar_WPDIBL1_dX=0.0;
modelStruct.modelPar_given_WPDIBL1=mod.given("WPDIBL1");
modelStruct.modelPar_P2PDIBL1=mod.P2PDIBL1;
modelStruct.d_modelPar_P2PDIBL1_dX=0.0;
modelStruct.modelPar_given_P2PDIBL1=mod.given("P2PDIBL1");
modelStruct.modelPar_PDIBL2=mod.PDIBL2;
modelStruct.d_modelPar_PDIBL2_dX=0.0;
modelStruct.modelPar_given_PDIBL2=mod.given("PDIBL2");
modelStruct.modelPar_LPDIBL2=mod.LPDIBL2;
modelStruct.d_modelPar_LPDIBL2_dX=0.0;
modelStruct.modelPar_given_LPDIBL2=mod.given("LPDIBL2");
modelStruct.modelPar_NPDIBL2=mod.NPDIBL2;
modelStruct.d_modelPar_NPDIBL2_dX=0.0;
modelStruct.modelPar_given_NPDIBL2=mod.given("NPDIBL2");
modelStruct.modelPar_PPDIBL2=mod.PPDIBL2;
modelStruct.d_modelPar_PPDIBL2_dX=0.0;
modelStruct.modelPar_given_PPDIBL2=mod.given("PPDIBL2");
modelStruct.modelPar_WPDIBL2=mod.WPDIBL2;
modelStruct.d_modelPar_WPDIBL2_dX=0.0;
modelStruct.modelPar_given_WPDIBL2=mod.given("WPDIBL2");
modelStruct.modelPar_P2PDIBL2=mod.P2PDIBL2;
modelStruct.d_modelPar_P2PDIBL2_dX=0.0;
modelStruct.modelPar_given_P2PDIBL2=mod.given("P2PDIBL2");
modelStruct.modelPar_PDIBL1R=mod.PDIBL1R;
modelStruct.d_modelPar_PDIBL1R_dX=0.0;
modelStruct.modelPar_given_PDIBL1R=mod.given("PDIBL1R");
modelStruct.modelPar_LPDIBL1R=mod.LPDIBL1R;
modelStruct.d_modelPar_LPDIBL1R_dX=0.0;
modelStruct.modelPar_given_LPDIBL1R=mod.given("LPDIBL1R");
modelStruct.modelPar_NPDIBL1R=mod.NPDIBL1R;
modelStruct.d_modelPar_NPDIBL1R_dX=0.0;
modelStruct.modelPar_given_NPDIBL1R=mod.given("NPDIBL1R");
modelStruct.modelPar_PPDIBL1R=mod.PPDIBL1R;
modelStruct.d_modelPar_PPDIBL1R_dX=0.0;
modelStruct.modelPar_given_PPDIBL1R=mod.given("PPDIBL1R");
modelStruct.modelPar_WPDIBL1R=mod.WPDIBL1R;
modelStruct.d_modelPar_WPDIBL1R_dX=0.0;
modelStruct.modelPar_given_WPDIBL1R=mod.given("WPDIBL1R");
modelStruct.modelPar_P2PDIBL1R=mod.P2PDIBL1R;
modelStruct.d_modelPar_P2PDIBL1R_dX=0.0;
modelStruct.modelPar_given_P2PDIBL1R=mod.given("P2PDIBL1R");
modelStruct.modelPar_PDIBL2R=mod.PDIBL2R;
modelStruct.d_modelPar_PDIBL2R_dX=0.0;
modelStruct.modelPar_given_PDIBL2R=mod.given("PDIBL2R");
modelStruct.modelPar_LPDIBL2R=mod.LPDIBL2R;
modelStruct.d_modelPar_LPDIBL2R_dX=0.0;
modelStruct.modelPar_given_LPDIBL2R=mod.given("LPDIBL2R");
modelStruct.modelPar_NPDIBL2R=mod.NPDIBL2R;
modelStruct.d_modelPar_NPDIBL2R_dX=0.0;
modelStruct.modelPar_given_NPDIBL2R=mod.given("NPDIBL2R");
modelStruct.modelPar_PPDIBL2R=mod.PPDIBL2R;
modelStruct.d_modelPar_PPDIBL2R_dX=0.0;
modelStruct.modelPar_given_PPDIBL2R=mod.given("PPDIBL2R");
modelStruct.modelPar_WPDIBL2R=mod.WPDIBL2R;
modelStruct.d_modelPar_WPDIBL2R_dX=0.0;
modelStruct.modelPar_given_WPDIBL2R=mod.given("WPDIBL2R");
modelStruct.modelPar_P2PDIBL2R=mod.P2PDIBL2R;
modelStruct.d_modelPar_P2PDIBL2R_dX=0.0;
modelStruct.modelPar_given_P2PDIBL2R=mod.given("P2PDIBL2R");
modelStruct.modelPar_DROUT=mod.DROUT;
modelStruct.d_modelPar_DROUT_dX=0.0;
modelStruct.modelPar_given_DROUT=mod.given("DROUT");
modelStruct.modelPar_LDROUT=mod.LDROUT;
modelStruct.d_modelPar_LDROUT_dX=0.0;
modelStruct.modelPar_given_LDROUT=mod.given("LDROUT");
modelStruct.modelPar_NDROUT=mod.NDROUT;
modelStruct.d_modelPar_NDROUT_dX=0.0;
modelStruct.modelPar_given_NDROUT=mod.given("NDROUT");
modelStruct.modelPar_PDROUT=mod.PDROUT;
modelStruct.d_modelPar_PDROUT_dX=0.0;
modelStruct.modelPar_given_PDROUT=mod.given("PDROUT");
modelStruct.modelPar_WDROUT=mod.WDROUT;
modelStruct.d_modelPar_WDROUT_dX=0.0;
modelStruct.modelPar_given_WDROUT=mod.given("WDROUT");
modelStruct.modelPar_P2DROUT=mod.P2DROUT;
modelStruct.d_modelPar_P2DROUT_dX=0.0;
modelStruct.modelPar_given_P2DROUT=mod.given("P2DROUT");
modelStruct.modelPar_PVAG=mod.PVAG;
modelStruct.d_modelPar_PVAG_dX=0.0;
modelStruct.modelPar_given_PVAG=mod.given("PVAG");
modelStruct.modelPar_LPVAG=mod.LPVAG;
modelStruct.d_modelPar_LPVAG_dX=0.0;
modelStruct.modelPar_given_LPVAG=mod.given("LPVAG");
modelStruct.modelPar_NPVAG=mod.NPVAG;
modelStruct.d_modelPar_NPVAG_dX=0.0;
modelStruct.modelPar_given_NPVAG=mod.given("NPVAG");
modelStruct.modelPar_PPVAG=mod.PPVAG;
modelStruct.d_modelPar_PPVAG_dX=0.0;
modelStruct.modelPar_given_PPVAG=mod.given("PPVAG");
modelStruct.modelPar_WPVAG=mod.WPVAG;
modelStruct.d_modelPar_WPVAG_dX=0.0;
modelStruct.modelPar_given_WPVAG=mod.given("WPVAG");
modelStruct.modelPar_P2PVAG=mod.P2PVAG;
modelStruct.d_modelPar_P2PVAG_dX=0.0;
modelStruct.modelPar_given_P2PVAG=mod.given("P2PVAG");
modelStruct.modelPar_APCLM=mod.APCLM;
modelStruct.d_modelPar_APCLM_dX=0.0;
modelStruct.modelPar_given_APCLM=mod.given("APCLM");
modelStruct.modelPar_APCLMR=mod.APCLMR;
modelStruct.d_modelPar_APCLMR_dX=0.0;
modelStruct.modelPar_given_APCLMR=mod.given("APCLMR");
modelStruct.modelPar_BPCLM=mod.BPCLM;
modelStruct.d_modelPar_BPCLM_dX=0.0;
modelStruct.modelPar_given_BPCLM=mod.given("BPCLM");
modelStruct.modelPar_BPCLMR=mod.BPCLMR;
modelStruct.d_modelPar_BPCLMR_dX=0.0;
modelStruct.modelPar_given_BPCLMR=mod.given("BPCLMR");
modelStruct.modelPar_PCLM=mod.PCLM;
modelStruct.d_modelPar_PCLM_dX=0.0;
modelStruct.modelPar_given_PCLM=mod.given("PCLM");
modelStruct.modelPar_PCLMT=mod.PCLMT;
modelStruct.d_modelPar_PCLMT_dX=0.0;
modelStruct.modelPar_given_PCLMT=mod.given("PCLMT");
modelStruct.modelPar_LPCLM=mod.LPCLM;
modelStruct.d_modelPar_LPCLM_dX=0.0;
modelStruct.modelPar_given_LPCLM=mod.given("LPCLM");
modelStruct.modelPar_NPCLM=mod.NPCLM;
modelStruct.d_modelPar_NPCLM_dX=0.0;
modelStruct.modelPar_given_NPCLM=mod.given("NPCLM");
modelStruct.modelPar_PPCLM=mod.PPCLM;
modelStruct.d_modelPar_PPCLM_dX=0.0;
modelStruct.modelPar_given_PPCLM=mod.given("PPCLM");
modelStruct.modelPar_WPCLM=mod.WPCLM;
modelStruct.d_modelPar_WPCLM_dX=0.0;
modelStruct.modelPar_given_WPCLM=mod.given("WPCLM");
modelStruct.modelPar_P2PCLM=mod.P2PCLM;
modelStruct.d_modelPar_P2PCLM_dX=0.0;
modelStruct.modelPar_given_P2PCLM=mod.given("P2PCLM");
modelStruct.modelPar_PCLMR=mod.PCLMR;
modelStruct.d_modelPar_PCLMR_dX=0.0;
modelStruct.modelPar_given_PCLMR=mod.given("PCLMR");
modelStruct.modelPar_LPCLMR=mod.LPCLMR;
modelStruct.d_modelPar_LPCLMR_dX=0.0;
modelStruct.modelPar_given_LPCLMR=mod.given("LPCLMR");
modelStruct.modelPar_NPCLMR=mod.NPCLMR;
modelStruct.d_modelPar_NPCLMR_dX=0.0;
modelStruct.modelPar_given_NPCLMR=mod.given("NPCLMR");
modelStruct.modelPar_PPCLMR=mod.PPCLMR;
modelStruct.d_modelPar_PPCLMR_dX=0.0;
modelStruct.modelPar_given_PPCLMR=mod.given("PPCLMR");
modelStruct.modelPar_WPCLMR=mod.WPCLMR;
modelStruct.d_modelPar_WPCLMR_dX=0.0;
modelStruct.modelPar_given_WPCLMR=mod.given("WPCLMR");
modelStruct.modelPar_P2PCLMR=mod.P2PCLMR;
modelStruct.d_modelPar_P2PCLMR_dX=0.0;
modelStruct.modelPar_given_P2PCLMR=mod.given("P2PCLMR");
modelStruct.modelPar_PCLMG=mod.PCLMG;
modelStruct.d_modelPar_PCLMG_dX=0.0;
modelStruct.modelPar_given_PCLMG=mod.given("PCLMG");
modelStruct.modelPar_LPCLMG=mod.LPCLMG;
modelStruct.d_modelPar_LPCLMG_dX=0.0;
modelStruct.modelPar_given_LPCLMG=mod.given("LPCLMG");
modelStruct.modelPar_NPCLMG=mod.NPCLMG;
modelStruct.d_modelPar_NPCLMG_dX=0.0;
modelStruct.modelPar_given_NPCLMG=mod.given("NPCLMG");
modelStruct.modelPar_PPCLMG=mod.PPCLMG;
modelStruct.d_modelPar_PPCLMG_dX=0.0;
modelStruct.modelPar_given_PPCLMG=mod.given("PPCLMG");
modelStruct.modelPar_WPCLMG=mod.WPCLMG;
modelStruct.d_modelPar_WPCLMG_dX=0.0;
modelStruct.modelPar_given_WPCLMG=mod.given("WPCLMG");
modelStruct.modelPar_P2PCLMG=mod.P2PCLMG;
modelStruct.d_modelPar_P2PCLMG_dX=0.0;
modelStruct.modelPar_given_P2PCLMG=mod.given("P2PCLMG");
modelStruct.modelPar_PCLMCV=mod.PCLMCV;
modelStruct.d_modelPar_PCLMCV_dX=0.0;
modelStruct.modelPar_given_PCLMCV=mod.given("PCLMCV");
modelStruct.modelPar_LPCLMCV=mod.LPCLMCV;
modelStruct.d_modelPar_LPCLMCV_dX=0.0;
modelStruct.modelPar_given_LPCLMCV=mod.given("LPCLMCV");
modelStruct.modelPar_NPCLMCV=mod.NPCLMCV;
modelStruct.d_modelPar_NPCLMCV_dX=0.0;
modelStruct.modelPar_given_NPCLMCV=mod.given("NPCLMCV");
modelStruct.modelPar_PPCLMCV=mod.PPCLMCV;
modelStruct.d_modelPar_PPCLMCV_dX=0.0;
modelStruct.modelPar_given_PPCLMCV=mod.given("PPCLMCV");
modelStruct.modelPar_WPCLMCV=mod.WPCLMCV;
modelStruct.d_modelPar_WPCLMCV_dX=0.0;
modelStruct.modelPar_given_WPCLMCV=mod.given("WPCLMCV");
modelStruct.modelPar_P2PCLMCV=mod.P2PCLMCV;
modelStruct.d_modelPar_P2PCLMCV_dX=0.0;
modelStruct.modelPar_given_P2PCLMCV=mod.given("P2PCLMCV");
modelStruct.modelPar_A1=mod.A1;
modelStruct.d_modelPar_A1_dX=0.0;
modelStruct.modelPar_given_A1=mod.given("A1");
modelStruct.modelPar_LA1=mod.LA1;
modelStruct.d_modelPar_LA1_dX=0.0;
modelStruct.modelPar_given_LA1=mod.given("LA1");
modelStruct.modelPar_NA1=mod.NA1;
modelStruct.d_modelPar_NA1_dX=0.0;
modelStruct.modelPar_given_NA1=mod.given("NA1");
modelStruct.modelPar_PA1=mod.PA1;
modelStruct.d_modelPar_PA1_dX=0.0;
modelStruct.modelPar_given_PA1=mod.given("PA1");
modelStruct.modelPar_WA1=mod.WA1;
modelStruct.d_modelPar_WA1_dX=0.0;
modelStruct.modelPar_given_WA1=mod.given("WA1");
modelStruct.modelPar_P2A1=mod.P2A1;
modelStruct.d_modelPar_P2A1_dX=0.0;
modelStruct.modelPar_given_P2A1=mod.given("P2A1");
modelStruct.modelPar_A11=mod.A11;
modelStruct.d_modelPar_A11_dX=0.0;
modelStruct.modelPar_given_A11=mod.given("A11");
modelStruct.modelPar_LA11=mod.LA11;
modelStruct.d_modelPar_LA11_dX=0.0;
modelStruct.modelPar_given_LA11=mod.given("LA11");
modelStruct.modelPar_NA11=mod.NA11;
modelStruct.d_modelPar_NA11_dX=0.0;
modelStruct.modelPar_given_NA11=mod.given("NA11");
modelStruct.modelPar_PA11=mod.PA11;
modelStruct.d_modelPar_PA11_dX=0.0;
modelStruct.modelPar_given_PA11=mod.given("PA11");
modelStruct.modelPar_WA11=mod.WA11;
modelStruct.d_modelPar_WA11_dX=0.0;
modelStruct.modelPar_given_WA11=mod.given("WA11");
modelStruct.modelPar_P2A11=mod.P2A11;
modelStruct.d_modelPar_P2A11_dX=0.0;
modelStruct.modelPar_given_P2A11=mod.given("P2A11");
modelStruct.modelPar_A2=mod.A2;
modelStruct.d_modelPar_A2_dX=0.0;
modelStruct.modelPar_given_A2=mod.given("A2");
modelStruct.modelPar_LA2=mod.LA2;
modelStruct.d_modelPar_LA2_dX=0.0;
modelStruct.modelPar_given_LA2=mod.given("LA2");
modelStruct.modelPar_NA2=mod.NA2;
modelStruct.d_modelPar_NA2_dX=0.0;
modelStruct.modelPar_given_NA2=mod.given("NA2");
modelStruct.modelPar_PA2=mod.PA2;
modelStruct.d_modelPar_PA2_dX=0.0;
modelStruct.modelPar_given_PA2=mod.given("PA2");
modelStruct.modelPar_WA2=mod.WA2;
modelStruct.d_modelPar_WA2_dX=0.0;
modelStruct.modelPar_given_WA2=mod.given("WA2");
modelStruct.modelPar_P2A2=mod.P2A2;
modelStruct.d_modelPar_P2A2_dX=0.0;
modelStruct.modelPar_given_P2A2=mod.given("P2A2");
modelStruct.modelPar_A21=mod.A21;
modelStruct.d_modelPar_A21_dX=0.0;
modelStruct.modelPar_given_A21=mod.given("A21");
modelStruct.modelPar_LA21=mod.LA21;
modelStruct.d_modelPar_LA21_dX=0.0;
modelStruct.modelPar_given_LA21=mod.given("LA21");
modelStruct.modelPar_NA21=mod.NA21;
modelStruct.d_modelPar_NA21_dX=0.0;
modelStruct.modelPar_given_NA21=mod.given("NA21");
modelStruct.modelPar_PA21=mod.PA21;
modelStruct.d_modelPar_PA21_dX=0.0;
modelStruct.modelPar_given_PA21=mod.given("PA21");
modelStruct.modelPar_WA21=mod.WA21;
modelStruct.d_modelPar_WA21_dX=0.0;
modelStruct.modelPar_given_WA21=mod.given("WA21");
modelStruct.modelPar_P2A21=mod.P2A21;
modelStruct.d_modelPar_P2A21_dX=0.0;
modelStruct.modelPar_given_P2A21=mod.given("P2A21");
modelStruct.modelPar_RGEXT=mod.RGEXT;
modelStruct.d_modelPar_RGEXT_dX=0.0;
modelStruct.modelPar_given_RGEXT=mod.given("RGEXT");
modelStruct.modelPar_RGFIN=mod.RGFIN;
modelStruct.d_modelPar_RGFIN_dX=0.0;
modelStruct.modelPar_given_RGFIN=mod.given("RGFIN");
modelStruct.modelPar_RSHS=mod.RSHS;
modelStruct.d_modelPar_RSHS_dX=0.0;
modelStruct.modelPar_given_RSHS=mod.given("RSHS");
modelStruct.modelPar_RSHD=mod.RSHD;
modelStruct.d_modelPar_RSHD_dX=0.0;
modelStruct.modelPar_given_RSHD=mod.given("RSHD");
modelStruct.modelPar_HEPI=mod.HEPI;
modelStruct.d_modelPar_HEPI_dX=0.0;
modelStruct.modelPar_given_HEPI=mod.given("HEPI");
modelStruct.modelPar_TSILI=mod.TSILI;
modelStruct.d_modelPar_TSILI_dX=0.0;
modelStruct.modelPar_given_TSILI=mod.given("TSILI");
modelStruct.modelPar_RHOC=mod.RHOC;
modelStruct.d_modelPar_RHOC_dX=0.0;
modelStruct.modelPar_given_RHOC=mod.given("RHOC");
modelStruct.modelPar_RHORSD=mod.RHORSD;
modelStruct.d_modelPar_RHORSD_dX=0.0;
modelStruct.modelPar_given_RHORSD=mod.given("RHORSD");
modelStruct.modelPar_CRATIO=mod.CRATIO;
modelStruct.d_modelPar_CRATIO_dX=0.0;
modelStruct.modelPar_given_CRATIO=mod.given("CRATIO");
modelStruct.modelPar_DELTAPRSD=mod.DELTAPRSD;
modelStruct.d_modelPar_DELTAPRSD_dX=0.0;
modelStruct.modelPar_given_DELTAPRSD=mod.given("DELTAPRSD");
modelStruct.modelPar_LSP=mod.LSP;
modelStruct.d_modelPar_LSP_dX=0.0;
modelStruct.modelPar_given_LSP=mod.given("LSP");
modelStruct.modelPar_EPSRSP=mod.EPSRSP;
modelStruct.d_modelPar_EPSRSP_dX=0.0;
modelStruct.modelPar_given_EPSRSP=mod.given("EPSRSP");
modelStruct.modelPar_TGATE=mod.TGATE;
modelStruct.d_modelPar_TGATE_dX=0.0;
modelStruct.modelPar_given_TGATE=mod.given("TGATE");
modelStruct.modelPar_TMASK=mod.TMASK;
modelStruct.d_modelPar_TMASK_dX=0.0;
modelStruct.modelPar_given_TMASK=mod.given("TMASK");
modelStruct.modelPar_ASILIEND=mod.ASILIEND;
modelStruct.d_modelPar_ASILIEND_dX=0.0;
modelStruct.modelPar_given_ASILIEND=mod.given("ASILIEND");
modelStruct.modelPar_ARSDEND=mod.ARSDEND;
modelStruct.d_modelPar_ARSDEND_dX=0.0;
modelStruct.modelPar_given_ARSDEND=mod.given("ARSDEND");
modelStruct.modelPar_PRSDEND=mod.PRSDEND;
modelStruct.d_modelPar_PRSDEND_dX=0.0;
modelStruct.modelPar_given_PRSDEND=mod.given("PRSDEND");
modelStruct.modelPar_RGEOA=mod.RGEOA;
modelStruct.d_modelPar_RGEOA_dX=0.0;
modelStruct.modelPar_given_RGEOA=mod.given("RGEOA");
modelStruct.modelPar_RGEOB=mod.RGEOB;
modelStruct.d_modelPar_RGEOB_dX=0.0;
modelStruct.modelPar_given_RGEOB=mod.given("RGEOB");
modelStruct.modelPar_RGEOC=mod.RGEOC;
modelStruct.d_modelPar_RGEOC_dX=0.0;
modelStruct.modelPar_given_RGEOC=mod.given("RGEOC");
modelStruct.modelPar_RGEOD=mod.RGEOD;
modelStruct.d_modelPar_RGEOD_dX=0.0;
modelStruct.modelPar_given_RGEOD=mod.given("RGEOD");
modelStruct.modelPar_RGEOE=mod.RGEOE;
modelStruct.d_modelPar_RGEOE_dX=0.0;
modelStruct.modelPar_given_RGEOE=mod.given("RGEOE");
modelStruct.modelPar_CGEOA=mod.CGEOA;
modelStruct.d_modelPar_CGEOA_dX=0.0;
modelStruct.modelPar_given_CGEOA=mod.given("CGEOA");
modelStruct.modelPar_CGEOB=mod.CGEOB;
modelStruct.d_modelPar_CGEOB_dX=0.0;
modelStruct.modelPar_given_CGEOB=mod.given("CGEOB");
modelStruct.modelPar_CGEOC=mod.CGEOC;
modelStruct.d_modelPar_CGEOC_dX=0.0;
modelStruct.modelPar_given_CGEOC=mod.given("CGEOC");
modelStruct.modelPar_CGEOD=mod.CGEOD;
modelStruct.d_modelPar_CGEOD_dX=0.0;
modelStruct.modelPar_given_CGEOD=mod.given("CGEOD");
modelStruct.modelPar_CGEOE=mod.CGEOE;
modelStruct.d_modelPar_CGEOE_dX=0.0;
modelStruct.modelPar_given_CGEOE=mod.given("CGEOE");
modelStruct.modelPar_DLCIGS=mod.DLCIGS;
modelStruct.d_modelPar_DLCIGS_dX=0.0;
modelStruct.modelPar_given_DLCIGS=mod.given("DLCIGS");
modelStruct.modelPar_DLCIGD=mod.DLCIGD;
modelStruct.d_modelPar_DLCIGD_dX=0.0;
modelStruct.modelPar_given_DLCIGD=mod.given("DLCIGD");
modelStruct.modelPar_VFBSD=mod.VFBSD;
modelStruct.d_modelPar_VFBSD_dX=0.0;
modelStruct.modelPar_given_VFBSD=mod.given("VFBSD");
modelStruct.modelPar_VFBSDCV=mod.VFBSDCV;
modelStruct.d_modelPar_VFBSDCV_dX=0.0;
modelStruct.modelPar_given_VFBSDCV=mod.given("VFBSDCV");
modelStruct.modelPar_TOXREF=mod.TOXREF;
modelStruct.d_modelPar_TOXREF_dX=0.0;
modelStruct.modelPar_given_TOXREF=mod.given("TOXREF");
modelStruct.modelPar_TOXG=mod.TOXG;
modelStruct.d_modelPar_TOXG_dX=0.0;
modelStruct.modelPar_given_TOXG=mod.given("TOXG");
modelStruct.modelPar_IGBINVCLAMP=mod.IGBINVCLAMP;
modelStruct.d_modelPar_IGBINVCLAMP_dX=0.0;
modelStruct.modelPar_given_IGBINVCLAMP=mod.given("IGBINVCLAMP");
modelStruct.modelPar_IGBACCCLAMP=mod.IGBACCCLAMP;
modelStruct.d_modelPar_IGBACCCLAMP_dX=0.0;
modelStruct.modelPar_given_IGBACCCLAMP=mod.given("IGBACCCLAMP");
modelStruct.modelPar_IGCINVCLAMP=mod.IGCINVCLAMP;
modelStruct.d_modelPar_IGCINVCLAMP_dX=0.0;
modelStruct.modelPar_given_IGCINVCLAMP=mod.given("IGCINVCLAMP");
modelStruct.modelPar_NTOX=mod.NTOX;
modelStruct.d_modelPar_NTOX_dX=0.0;
modelStruct.modelPar_given_NTOX=mod.given("NTOX");
modelStruct.modelPar_LNTOX=mod.LNTOX;
modelStruct.d_modelPar_LNTOX_dX=0.0;
modelStruct.modelPar_given_LNTOX=mod.given("LNTOX");
modelStruct.modelPar_NNTOX=mod.NNTOX;
modelStruct.d_modelPar_NNTOX_dX=0.0;
modelStruct.modelPar_given_NNTOX=mod.given("NNTOX");
modelStruct.modelPar_PNTOX=mod.PNTOX;
modelStruct.d_modelPar_PNTOX_dX=0.0;
modelStruct.modelPar_given_PNTOX=mod.given("PNTOX");
modelStruct.modelPar_WNTOX=mod.WNTOX;
modelStruct.d_modelPar_WNTOX_dX=0.0;
modelStruct.modelPar_given_WNTOX=mod.given("WNTOX");
modelStruct.modelPar_P2NTOX=mod.P2NTOX;
modelStruct.d_modelPar_P2NTOX_dX=0.0;
modelStruct.modelPar_given_P2NTOX=mod.given("P2NTOX");
modelStruct.modelPar_AIGBINV=mod.AIGBINV;
modelStruct.d_modelPar_AIGBINV_dX=0.0;
modelStruct.modelPar_given_AIGBINV=mod.given("AIGBINV");
modelStruct.modelPar_LAIGBINV=mod.LAIGBINV;
modelStruct.d_modelPar_LAIGBINV_dX=0.0;
modelStruct.modelPar_given_LAIGBINV=mod.given("LAIGBINV");
modelStruct.modelPar_NAIGBINV=mod.NAIGBINV;
modelStruct.d_modelPar_NAIGBINV_dX=0.0;
modelStruct.modelPar_given_NAIGBINV=mod.given("NAIGBINV");
modelStruct.modelPar_PAIGBINV=mod.PAIGBINV;
modelStruct.d_modelPar_PAIGBINV_dX=0.0;
modelStruct.modelPar_given_PAIGBINV=mod.given("PAIGBINV");
modelStruct.modelPar_WAIGBINV=mod.WAIGBINV;
modelStruct.d_modelPar_WAIGBINV_dX=0.0;
modelStruct.modelPar_given_WAIGBINV=mod.given("WAIGBINV");
modelStruct.modelPar_P2AIGBINV=mod.P2AIGBINV;
modelStruct.d_modelPar_P2AIGBINV_dX=0.0;
modelStruct.modelPar_given_P2AIGBINV=mod.given("P2AIGBINV");
modelStruct.modelPar_AIGBINV1=mod.AIGBINV1;
modelStruct.d_modelPar_AIGBINV1_dX=0.0;
modelStruct.modelPar_given_AIGBINV1=mod.given("AIGBINV1");
modelStruct.modelPar_LAIGBINV1=mod.LAIGBINV1;
modelStruct.d_modelPar_LAIGBINV1_dX=0.0;
modelStruct.modelPar_given_LAIGBINV1=mod.given("LAIGBINV1");
modelStruct.modelPar_NAIGBINV1=mod.NAIGBINV1;
modelStruct.d_modelPar_NAIGBINV1_dX=0.0;
modelStruct.modelPar_given_NAIGBINV1=mod.given("NAIGBINV1");
modelStruct.modelPar_PAIGBINV1=mod.PAIGBINV1;
modelStruct.d_modelPar_PAIGBINV1_dX=0.0;
modelStruct.modelPar_given_PAIGBINV1=mod.given("PAIGBINV1");
modelStruct.modelPar_WAIGBINV1=mod.WAIGBINV1;
modelStruct.d_modelPar_WAIGBINV1_dX=0.0;
modelStruct.modelPar_given_WAIGBINV1=mod.given("WAIGBINV1");
modelStruct.modelPar_P2AIGBINV1=mod.P2AIGBINV1;
modelStruct.d_modelPar_P2AIGBINV1_dX=0.0;
modelStruct.modelPar_given_P2AIGBINV1=mod.given("P2AIGBINV1");
modelStruct.modelPar_BIGBINV=mod.BIGBINV;
modelStruct.d_modelPar_BIGBINV_dX=0.0;
modelStruct.modelPar_given_BIGBINV=mod.given("BIGBINV");
modelStruct.modelPar_LBIGBINV=mod.LBIGBINV;
modelStruct.d_modelPar_LBIGBINV_dX=0.0;
modelStruct.modelPar_given_LBIGBINV=mod.given("LBIGBINV");
modelStruct.modelPar_NBIGBINV=mod.NBIGBINV;
modelStruct.d_modelPar_NBIGBINV_dX=0.0;
modelStruct.modelPar_given_NBIGBINV=mod.given("NBIGBINV");
modelStruct.modelPar_PBIGBINV=mod.PBIGBINV;
modelStruct.d_modelPar_PBIGBINV_dX=0.0;
modelStruct.modelPar_given_PBIGBINV=mod.given("PBIGBINV");
modelStruct.modelPar_WBIGBINV=mod.WBIGBINV;
modelStruct.d_modelPar_WBIGBINV_dX=0.0;
modelStruct.modelPar_given_WBIGBINV=mod.given("WBIGBINV");
modelStruct.modelPar_P2BIGBINV=mod.P2BIGBINV;
modelStruct.d_modelPar_P2BIGBINV_dX=0.0;
modelStruct.modelPar_given_P2BIGBINV=mod.given("P2BIGBINV");
modelStruct.modelPar_CIGBINV=mod.CIGBINV;
modelStruct.d_modelPar_CIGBINV_dX=0.0;
modelStruct.modelPar_given_CIGBINV=mod.given("CIGBINV");
modelStruct.modelPar_LCIGBINV=mod.LCIGBINV;
modelStruct.d_modelPar_LCIGBINV_dX=0.0;
modelStruct.modelPar_given_LCIGBINV=mod.given("LCIGBINV");
modelStruct.modelPar_NCIGBINV=mod.NCIGBINV;
modelStruct.d_modelPar_NCIGBINV_dX=0.0;
modelStruct.modelPar_given_NCIGBINV=mod.given("NCIGBINV");
modelStruct.modelPar_PCIGBINV=mod.PCIGBINV;
modelStruct.d_modelPar_PCIGBINV_dX=0.0;
modelStruct.modelPar_given_PCIGBINV=mod.given("PCIGBINV");
modelStruct.modelPar_WCIGBINV=mod.WCIGBINV;
modelStruct.d_modelPar_WCIGBINV_dX=0.0;
modelStruct.modelPar_given_WCIGBINV=mod.given("WCIGBINV");
modelStruct.modelPar_P2CIGBINV=mod.P2CIGBINV;
modelStruct.d_modelPar_P2CIGBINV_dX=0.0;
modelStruct.modelPar_given_P2CIGBINV=mod.given("P2CIGBINV");
modelStruct.modelPar_EIGBINV=mod.EIGBINV;
modelStruct.d_modelPar_EIGBINV_dX=0.0;
modelStruct.modelPar_given_EIGBINV=mod.given("EIGBINV");
modelStruct.modelPar_LEIGBINV=mod.LEIGBINV;
modelStruct.d_modelPar_LEIGBINV_dX=0.0;
modelStruct.modelPar_given_LEIGBINV=mod.given("LEIGBINV");
modelStruct.modelPar_NEIGBINV=mod.NEIGBINV;
modelStruct.d_modelPar_NEIGBINV_dX=0.0;
modelStruct.modelPar_given_NEIGBINV=mod.given("NEIGBINV");
modelStruct.modelPar_PEIGBINV=mod.PEIGBINV;
modelStruct.d_modelPar_PEIGBINV_dX=0.0;
modelStruct.modelPar_given_PEIGBINV=mod.given("PEIGBINV");
modelStruct.modelPar_WEIGBINV=mod.WEIGBINV;
modelStruct.d_modelPar_WEIGBINV_dX=0.0;
modelStruct.modelPar_given_WEIGBINV=mod.given("WEIGBINV");
modelStruct.modelPar_P2EIGBINV=mod.P2EIGBINV;
modelStruct.d_modelPar_P2EIGBINV_dX=0.0;
modelStruct.modelPar_given_P2EIGBINV=mod.given("P2EIGBINV");
modelStruct.modelPar_NIGBINV=mod.NIGBINV;
modelStruct.d_modelPar_NIGBINV_dX=0.0;
modelStruct.modelPar_given_NIGBINV=mod.given("NIGBINV");
modelStruct.modelPar_LNIGBINV=mod.LNIGBINV;
modelStruct.d_modelPar_LNIGBINV_dX=0.0;
modelStruct.modelPar_given_LNIGBINV=mod.given("LNIGBINV");
modelStruct.modelPar_NNIGBINV=mod.NNIGBINV;
modelStruct.d_modelPar_NNIGBINV_dX=0.0;
modelStruct.modelPar_given_NNIGBINV=mod.given("NNIGBINV");
modelStruct.modelPar_PNIGBINV=mod.PNIGBINV;
modelStruct.d_modelPar_PNIGBINV_dX=0.0;
modelStruct.modelPar_given_PNIGBINV=mod.given("PNIGBINV");
modelStruct.modelPar_WNIGBINV=mod.WNIGBINV;
modelStruct.d_modelPar_WNIGBINV_dX=0.0;
modelStruct.modelPar_given_WNIGBINV=mod.given("WNIGBINV");
modelStruct.modelPar_P2NIGBINV=mod.P2NIGBINV;
modelStruct.d_modelPar_P2NIGBINV_dX=0.0;
modelStruct.modelPar_given_P2NIGBINV=mod.given("P2NIGBINV");
modelStruct.modelPar_AIGBACC=mod.AIGBACC;
modelStruct.d_modelPar_AIGBACC_dX=0.0;
modelStruct.modelPar_given_AIGBACC=mod.given("AIGBACC");
modelStruct.modelPar_LAIGBACC=mod.LAIGBACC;
modelStruct.d_modelPar_LAIGBACC_dX=0.0;
modelStruct.modelPar_given_LAIGBACC=mod.given("LAIGBACC");
modelStruct.modelPar_NAIGBACC=mod.NAIGBACC;
modelStruct.d_modelPar_NAIGBACC_dX=0.0;
modelStruct.modelPar_given_NAIGBACC=mod.given("NAIGBACC");
modelStruct.modelPar_PAIGBACC=mod.PAIGBACC;
modelStruct.d_modelPar_PAIGBACC_dX=0.0;
modelStruct.modelPar_given_PAIGBACC=mod.given("PAIGBACC");
modelStruct.modelPar_WAIGBACC=mod.WAIGBACC;
modelStruct.d_modelPar_WAIGBACC_dX=0.0;
modelStruct.modelPar_given_WAIGBACC=mod.given("WAIGBACC");
modelStruct.modelPar_P2AIGBACC=mod.P2AIGBACC;
modelStruct.d_modelPar_P2AIGBACC_dX=0.0;
modelStruct.modelPar_given_P2AIGBACC=mod.given("P2AIGBACC");
modelStruct.modelPar_AIGBACC1=mod.AIGBACC1;
modelStruct.d_modelPar_AIGBACC1_dX=0.0;
modelStruct.modelPar_given_AIGBACC1=mod.given("AIGBACC1");
modelStruct.modelPar_LAIGBACC1=mod.LAIGBACC1;
modelStruct.d_modelPar_LAIGBACC1_dX=0.0;
modelStruct.modelPar_given_LAIGBACC1=mod.given("LAIGBACC1");
modelStruct.modelPar_NAIGBACC1=mod.NAIGBACC1;
modelStruct.d_modelPar_NAIGBACC1_dX=0.0;
modelStruct.modelPar_given_NAIGBACC1=mod.given("NAIGBACC1");
modelStruct.modelPar_PAIGBACC1=mod.PAIGBACC1;
modelStruct.d_modelPar_PAIGBACC1_dX=0.0;
modelStruct.modelPar_given_PAIGBACC1=mod.given("PAIGBACC1");
modelStruct.modelPar_WAIGBACC1=mod.WAIGBACC1;
modelStruct.d_modelPar_WAIGBACC1_dX=0.0;
modelStruct.modelPar_given_WAIGBACC1=mod.given("WAIGBACC1");
modelStruct.modelPar_P2AIGBACC1=mod.P2AIGBACC1;
modelStruct.d_modelPar_P2AIGBACC1_dX=0.0;
modelStruct.modelPar_given_P2AIGBACC1=mod.given("P2AIGBACC1");
modelStruct.modelPar_BIGBACC=mod.BIGBACC;
modelStruct.d_modelPar_BIGBACC_dX=0.0;
modelStruct.modelPar_given_BIGBACC=mod.given("BIGBACC");
modelStruct.modelPar_LBIGBACC=mod.LBIGBACC;
modelStruct.d_modelPar_LBIGBACC_dX=0.0;
modelStruct.modelPar_given_LBIGBACC=mod.given("LBIGBACC");
modelStruct.modelPar_NBIGBACC=mod.NBIGBACC;
modelStruct.d_modelPar_NBIGBACC_dX=0.0;
modelStruct.modelPar_given_NBIGBACC=mod.given("NBIGBACC");
modelStruct.modelPar_PBIGBACC=mod.PBIGBACC;
modelStruct.d_modelPar_PBIGBACC_dX=0.0;
modelStruct.modelPar_given_PBIGBACC=mod.given("PBIGBACC");
modelStruct.modelPar_WBIGBACC=mod.WBIGBACC;
modelStruct.d_modelPar_WBIGBACC_dX=0.0;
modelStruct.modelPar_given_WBIGBACC=mod.given("WBIGBACC");
modelStruct.modelPar_P2BIGBACC=mod.P2BIGBACC;
modelStruct.d_modelPar_P2BIGBACC_dX=0.0;
modelStruct.modelPar_given_P2BIGBACC=mod.given("P2BIGBACC");
modelStruct.modelPar_CIGBACC=mod.CIGBACC;
modelStruct.d_modelPar_CIGBACC_dX=0.0;
modelStruct.modelPar_given_CIGBACC=mod.given("CIGBACC");
modelStruct.modelPar_LCIGBACC=mod.LCIGBACC;
modelStruct.d_modelPar_LCIGBACC_dX=0.0;
modelStruct.modelPar_given_LCIGBACC=mod.given("LCIGBACC");
modelStruct.modelPar_NCIGBACC=mod.NCIGBACC;
modelStruct.d_modelPar_NCIGBACC_dX=0.0;
modelStruct.modelPar_given_NCIGBACC=mod.given("NCIGBACC");
modelStruct.modelPar_PCIGBACC=mod.PCIGBACC;
modelStruct.d_modelPar_PCIGBACC_dX=0.0;
modelStruct.modelPar_given_PCIGBACC=mod.given("PCIGBACC");
modelStruct.modelPar_WCIGBACC=mod.WCIGBACC;
modelStruct.d_modelPar_WCIGBACC_dX=0.0;
modelStruct.modelPar_given_WCIGBACC=mod.given("WCIGBACC");
modelStruct.modelPar_P2CIGBACC=mod.P2CIGBACC;
modelStruct.d_modelPar_P2CIGBACC_dX=0.0;
modelStruct.modelPar_given_P2CIGBACC=mod.given("P2CIGBACC");
modelStruct.modelPar_NIGBACC=mod.NIGBACC;
modelStruct.d_modelPar_NIGBACC_dX=0.0;
modelStruct.modelPar_given_NIGBACC=mod.given("NIGBACC");
modelStruct.modelPar_LNIGBACC=mod.LNIGBACC;
modelStruct.d_modelPar_LNIGBACC_dX=0.0;
modelStruct.modelPar_given_LNIGBACC=mod.given("LNIGBACC");
modelStruct.modelPar_NNIGBACC=mod.NNIGBACC;
modelStruct.d_modelPar_NNIGBACC_dX=0.0;
modelStruct.modelPar_given_NNIGBACC=mod.given("NNIGBACC");
modelStruct.modelPar_PNIGBACC=mod.PNIGBACC;
modelStruct.d_modelPar_PNIGBACC_dX=0.0;
modelStruct.modelPar_given_PNIGBACC=mod.given("PNIGBACC");
modelStruct.modelPar_WNIGBACC=mod.WNIGBACC;
modelStruct.d_modelPar_WNIGBACC_dX=0.0;
modelStruct.modelPar_given_WNIGBACC=mod.given("WNIGBACC");
modelStruct.modelPar_P2NIGBACC=mod.P2NIGBACC;
modelStruct.d_modelPar_P2NIGBACC_dX=0.0;
modelStruct.modelPar_given_P2NIGBACC=mod.given("P2NIGBACC");
modelStruct.modelPar_AIGC=mod.AIGC;
modelStruct.d_modelPar_AIGC_dX=0.0;
modelStruct.modelPar_given_AIGC=mod.given("AIGC");
modelStruct.modelPar_LAIGC=mod.LAIGC;
modelStruct.d_modelPar_LAIGC_dX=0.0;
modelStruct.modelPar_given_LAIGC=mod.given("LAIGC");
modelStruct.modelPar_NAIGC=mod.NAIGC;
modelStruct.d_modelPar_NAIGC_dX=0.0;
modelStruct.modelPar_given_NAIGC=mod.given("NAIGC");
modelStruct.modelPar_PAIGC=mod.PAIGC;
modelStruct.d_modelPar_PAIGC_dX=0.0;
modelStruct.modelPar_given_PAIGC=mod.given("PAIGC");
modelStruct.modelPar_WAIGC=mod.WAIGC;
modelStruct.d_modelPar_WAIGC_dX=0.0;
modelStruct.modelPar_given_WAIGC=mod.given("WAIGC");
modelStruct.modelPar_P2AIGC=mod.P2AIGC;
modelStruct.d_modelPar_P2AIGC_dX=0.0;
modelStruct.modelPar_given_P2AIGC=mod.given("P2AIGC");
modelStruct.modelPar_AIGC1=mod.AIGC1;
modelStruct.d_modelPar_AIGC1_dX=0.0;
modelStruct.modelPar_given_AIGC1=mod.given("AIGC1");
modelStruct.modelPar_LAIGC1=mod.LAIGC1;
modelStruct.d_modelPar_LAIGC1_dX=0.0;
modelStruct.modelPar_given_LAIGC1=mod.given("LAIGC1");
modelStruct.modelPar_NAIGC1=mod.NAIGC1;
modelStruct.d_modelPar_NAIGC1_dX=0.0;
modelStruct.modelPar_given_NAIGC1=mod.given("NAIGC1");
modelStruct.modelPar_PAIGC1=mod.PAIGC1;
modelStruct.d_modelPar_PAIGC1_dX=0.0;
modelStruct.modelPar_given_PAIGC1=mod.given("PAIGC1");
modelStruct.modelPar_WAIGC1=mod.WAIGC1;
modelStruct.d_modelPar_WAIGC1_dX=0.0;
modelStruct.modelPar_given_WAIGC1=mod.given("WAIGC1");
modelStruct.modelPar_P2AIGC1=mod.P2AIGC1;
modelStruct.d_modelPar_P2AIGC1_dX=0.0;
modelStruct.modelPar_given_P2AIGC1=mod.given("P2AIGC1");
modelStruct.modelPar_BIGC=mod.BIGC;
modelStruct.d_modelPar_BIGC_dX=0.0;
modelStruct.modelPar_given_BIGC=mod.given("BIGC");
modelStruct.modelPar_LBIGC=mod.LBIGC;
modelStruct.d_modelPar_LBIGC_dX=0.0;
modelStruct.modelPar_given_LBIGC=mod.given("LBIGC");
modelStruct.modelPar_NBIGC=mod.NBIGC;
modelStruct.d_modelPar_NBIGC_dX=0.0;
modelStruct.modelPar_given_NBIGC=mod.given("NBIGC");
modelStruct.modelPar_PBIGC=mod.PBIGC;
modelStruct.d_modelPar_PBIGC_dX=0.0;
modelStruct.modelPar_given_PBIGC=mod.given("PBIGC");
modelStruct.modelPar_WBIGC=mod.WBIGC;
modelStruct.d_modelPar_WBIGC_dX=0.0;
modelStruct.modelPar_given_WBIGC=mod.given("WBIGC");
modelStruct.modelPar_P2BIGC=mod.P2BIGC;
modelStruct.d_modelPar_P2BIGC_dX=0.0;
modelStruct.modelPar_given_P2BIGC=mod.given("P2BIGC");
modelStruct.modelPar_CIGC=mod.CIGC;
modelStruct.d_modelPar_CIGC_dX=0.0;
modelStruct.modelPar_given_CIGC=mod.given("CIGC");
modelStruct.modelPar_LCIGC=mod.LCIGC;
modelStruct.d_modelPar_LCIGC_dX=0.0;
modelStruct.modelPar_given_LCIGC=mod.given("LCIGC");
modelStruct.modelPar_NCIGC=mod.NCIGC;
modelStruct.d_modelPar_NCIGC_dX=0.0;
modelStruct.modelPar_given_NCIGC=mod.given("NCIGC");
modelStruct.modelPar_PCIGC=mod.PCIGC;
modelStruct.d_modelPar_PCIGC_dX=0.0;
modelStruct.modelPar_given_PCIGC=mod.given("PCIGC");
modelStruct.modelPar_WCIGC=mod.WCIGC;
modelStruct.d_modelPar_WCIGC_dX=0.0;
modelStruct.modelPar_given_WCIGC=mod.given("WCIGC");
modelStruct.modelPar_P2CIGC=mod.P2CIGC;
modelStruct.d_modelPar_P2CIGC_dX=0.0;
modelStruct.modelPar_given_P2CIGC=mod.given("P2CIGC");
modelStruct.modelPar_PIGCD=mod.PIGCD;
modelStruct.d_modelPar_PIGCD_dX=0.0;
modelStruct.modelPar_given_PIGCD=mod.given("PIGCD");
modelStruct.modelPar_LPIGCD=mod.LPIGCD;
modelStruct.d_modelPar_LPIGCD_dX=0.0;
modelStruct.modelPar_given_LPIGCD=mod.given("LPIGCD");
modelStruct.modelPar_NPIGCD=mod.NPIGCD;
modelStruct.d_modelPar_NPIGCD_dX=0.0;
modelStruct.modelPar_given_NPIGCD=mod.given("NPIGCD");
modelStruct.modelPar_PPIGCD=mod.PPIGCD;
modelStruct.d_modelPar_PPIGCD_dX=0.0;
modelStruct.modelPar_given_PPIGCD=mod.given("PPIGCD");
modelStruct.modelPar_WPIGCD=mod.WPIGCD;
modelStruct.d_modelPar_WPIGCD_dX=0.0;
modelStruct.modelPar_given_WPIGCD=mod.given("WPIGCD");
modelStruct.modelPar_P2PIGCD=mod.P2PIGCD;
modelStruct.d_modelPar_P2PIGCD_dX=0.0;
modelStruct.modelPar_given_P2PIGCD=mod.given("P2PIGCD");
modelStruct.modelPar_AIGS=mod.AIGS;
modelStruct.d_modelPar_AIGS_dX=0.0;
modelStruct.modelPar_given_AIGS=mod.given("AIGS");
modelStruct.modelPar_LAIGS=mod.LAIGS;
modelStruct.d_modelPar_LAIGS_dX=0.0;
modelStruct.modelPar_given_LAIGS=mod.given("LAIGS");
modelStruct.modelPar_NAIGS=mod.NAIGS;
modelStruct.d_modelPar_NAIGS_dX=0.0;
modelStruct.modelPar_given_NAIGS=mod.given("NAIGS");
modelStruct.modelPar_PAIGS=mod.PAIGS;
modelStruct.d_modelPar_PAIGS_dX=0.0;
modelStruct.modelPar_given_PAIGS=mod.given("PAIGS");
modelStruct.modelPar_WAIGS=mod.WAIGS;
modelStruct.d_modelPar_WAIGS_dX=0.0;
modelStruct.modelPar_given_WAIGS=mod.given("WAIGS");
modelStruct.modelPar_P2AIGS=mod.P2AIGS;
modelStruct.d_modelPar_P2AIGS_dX=0.0;
modelStruct.modelPar_given_P2AIGS=mod.given("P2AIGS");
modelStruct.modelPar_AIGS1=mod.AIGS1;
modelStruct.d_modelPar_AIGS1_dX=0.0;
modelStruct.modelPar_given_AIGS1=mod.given("AIGS1");
modelStruct.modelPar_LAIGS1=mod.LAIGS1;
modelStruct.d_modelPar_LAIGS1_dX=0.0;
modelStruct.modelPar_given_LAIGS1=mod.given("LAIGS1");
modelStruct.modelPar_NAIGS1=mod.NAIGS1;
modelStruct.d_modelPar_NAIGS1_dX=0.0;
modelStruct.modelPar_given_NAIGS1=mod.given("NAIGS1");
modelStruct.modelPar_PAIGS1=mod.PAIGS1;
modelStruct.d_modelPar_PAIGS1_dX=0.0;
modelStruct.modelPar_given_PAIGS1=mod.given("PAIGS1");
modelStruct.modelPar_WAIGS1=mod.WAIGS1;
modelStruct.d_modelPar_WAIGS1_dX=0.0;
modelStruct.modelPar_given_WAIGS1=mod.given("WAIGS1");
modelStruct.modelPar_P2AIGS1=mod.P2AIGS1;
modelStruct.d_modelPar_P2AIGS1_dX=0.0;
modelStruct.modelPar_given_P2AIGS1=mod.given("P2AIGS1");
modelStruct.modelPar_BIGS=mod.BIGS;
modelStruct.d_modelPar_BIGS_dX=0.0;
modelStruct.modelPar_given_BIGS=mod.given("BIGS");
modelStruct.modelPar_LBIGS=mod.LBIGS;
modelStruct.d_modelPar_LBIGS_dX=0.0;
modelStruct.modelPar_given_LBIGS=mod.given("LBIGS");
modelStruct.modelPar_NBIGS=mod.NBIGS;
modelStruct.d_modelPar_NBIGS_dX=0.0;
modelStruct.modelPar_given_NBIGS=mod.given("NBIGS");
modelStruct.modelPar_PBIGS=mod.PBIGS;
modelStruct.d_modelPar_PBIGS_dX=0.0;
modelStruct.modelPar_given_PBIGS=mod.given("PBIGS");
modelStruct.modelPar_WBIGS=mod.WBIGS;
modelStruct.d_modelPar_WBIGS_dX=0.0;
modelStruct.modelPar_given_WBIGS=mod.given("WBIGS");
modelStruct.modelPar_P2BIGS=mod.P2BIGS;
modelStruct.d_modelPar_P2BIGS_dX=0.0;
modelStruct.modelPar_given_P2BIGS=mod.given("P2BIGS");
modelStruct.modelPar_CIGS=mod.CIGS;
modelStruct.d_modelPar_CIGS_dX=0.0;
modelStruct.modelPar_given_CIGS=mod.given("CIGS");
modelStruct.modelPar_LCIGS=mod.LCIGS;
modelStruct.d_modelPar_LCIGS_dX=0.0;
modelStruct.modelPar_given_LCIGS=mod.given("LCIGS");
modelStruct.modelPar_NCIGS=mod.NCIGS;
modelStruct.d_modelPar_NCIGS_dX=0.0;
modelStruct.modelPar_given_NCIGS=mod.given("NCIGS");
modelStruct.modelPar_PCIGS=mod.PCIGS;
modelStruct.d_modelPar_PCIGS_dX=0.0;
modelStruct.modelPar_given_PCIGS=mod.given("PCIGS");
modelStruct.modelPar_WCIGS=mod.WCIGS;
modelStruct.d_modelPar_WCIGS_dX=0.0;
modelStruct.modelPar_given_WCIGS=mod.given("WCIGS");
modelStruct.modelPar_P2CIGS=mod.P2CIGS;
modelStruct.d_modelPar_P2CIGS_dX=0.0;
modelStruct.modelPar_given_P2CIGS=mod.given("P2CIGS");
modelStruct.modelPar_AIGD=mod.AIGD;
modelStruct.d_modelPar_AIGD_dX=0.0;
modelStruct.modelPar_given_AIGD=mod.given("AIGD");
modelStruct.modelPar_LAIGD=mod.LAIGD;
modelStruct.d_modelPar_LAIGD_dX=0.0;
modelStruct.modelPar_given_LAIGD=mod.given("LAIGD");
modelStruct.modelPar_NAIGD=mod.NAIGD;
modelStruct.d_modelPar_NAIGD_dX=0.0;
modelStruct.modelPar_given_NAIGD=mod.given("NAIGD");
modelStruct.modelPar_PAIGD=mod.PAIGD;
modelStruct.d_modelPar_PAIGD_dX=0.0;
modelStruct.modelPar_given_PAIGD=mod.given("PAIGD");
modelStruct.modelPar_WAIGD=mod.WAIGD;
modelStruct.d_modelPar_WAIGD_dX=0.0;
modelStruct.modelPar_given_WAIGD=mod.given("WAIGD");
modelStruct.modelPar_P2AIGD=mod.P2AIGD;
modelStruct.d_modelPar_P2AIGD_dX=0.0;
modelStruct.modelPar_given_P2AIGD=mod.given("P2AIGD");
modelStruct.modelPar_AIGD1=mod.AIGD1;
modelStruct.d_modelPar_AIGD1_dX=0.0;
modelStruct.modelPar_given_AIGD1=mod.given("AIGD1");
modelStruct.modelPar_LAIGD1=mod.LAIGD1;
modelStruct.d_modelPar_LAIGD1_dX=0.0;
modelStruct.modelPar_given_LAIGD1=mod.given("LAIGD1");
modelStruct.modelPar_NAIGD1=mod.NAIGD1;
modelStruct.d_modelPar_NAIGD1_dX=0.0;
modelStruct.modelPar_given_NAIGD1=mod.given("NAIGD1");
modelStruct.modelPar_PAIGD1=mod.PAIGD1;
modelStruct.d_modelPar_PAIGD1_dX=0.0;
modelStruct.modelPar_given_PAIGD1=mod.given("PAIGD1");
modelStruct.modelPar_WAIGD1=mod.WAIGD1;
modelStruct.d_modelPar_WAIGD1_dX=0.0;
modelStruct.modelPar_given_WAIGD1=mod.given("WAIGD1");
modelStruct.modelPar_P2AIGD1=mod.P2AIGD1;
modelStruct.d_modelPar_P2AIGD1_dX=0.0;
modelStruct.modelPar_given_P2AIGD1=mod.given("P2AIGD1");
modelStruct.modelPar_BIGD=mod.BIGD;
modelStruct.d_modelPar_BIGD_dX=0.0;
modelStruct.modelPar_given_BIGD=mod.given("BIGD");
modelStruct.modelPar_LBIGD=mod.LBIGD;
modelStruct.d_modelPar_LBIGD_dX=0.0;
modelStruct.modelPar_given_LBIGD=mod.given("LBIGD");
modelStruct.modelPar_NBIGD=mod.NBIGD;
modelStruct.d_modelPar_NBIGD_dX=0.0;
modelStruct.modelPar_given_NBIGD=mod.given("NBIGD");
modelStruct.modelPar_PBIGD=mod.PBIGD;
modelStruct.d_modelPar_PBIGD_dX=0.0;
modelStruct.modelPar_given_PBIGD=mod.given("PBIGD");
modelStruct.modelPar_WBIGD=mod.WBIGD;
modelStruct.d_modelPar_WBIGD_dX=0.0;
modelStruct.modelPar_given_WBIGD=mod.given("WBIGD");
modelStruct.modelPar_P2BIGD=mod.P2BIGD;
modelStruct.d_modelPar_P2BIGD_dX=0.0;
modelStruct.modelPar_given_P2BIGD=mod.given("P2BIGD");
modelStruct.modelPar_CIGD=mod.CIGD;
modelStruct.d_modelPar_CIGD_dX=0.0;
modelStruct.modelPar_given_CIGD=mod.given("CIGD");
modelStruct.modelPar_LCIGD=mod.LCIGD;
modelStruct.d_modelPar_LCIGD_dX=0.0;
modelStruct.modelPar_given_LCIGD=mod.given("LCIGD");
modelStruct.modelPar_NCIGD=mod.NCIGD;
modelStruct.d_modelPar_NCIGD_dX=0.0;
modelStruct.modelPar_given_NCIGD=mod.given("NCIGD");
modelStruct.modelPar_PCIGD=mod.PCIGD;
modelStruct.d_modelPar_PCIGD_dX=0.0;
modelStruct.modelPar_given_PCIGD=mod.given("PCIGD");
modelStruct.modelPar_WCIGD=mod.WCIGD;
modelStruct.d_modelPar_WCIGD_dX=0.0;
modelStruct.modelPar_given_WCIGD=mod.given("WCIGD");
modelStruct.modelPar_P2CIGD=mod.P2CIGD;
modelStruct.d_modelPar_P2CIGD_dX=0.0;
modelStruct.modelPar_given_P2CIGD=mod.given("P2CIGD");
modelStruct.modelPar_POXEDGE=mod.POXEDGE;
modelStruct.d_modelPar_POXEDGE_dX=0.0;
modelStruct.modelPar_given_POXEDGE=mod.given("POXEDGE");
modelStruct.modelPar_LPOXEDGE=mod.LPOXEDGE;
modelStruct.d_modelPar_LPOXEDGE_dX=0.0;
modelStruct.modelPar_given_LPOXEDGE=mod.given("LPOXEDGE");
modelStruct.modelPar_NPOXEDGE=mod.NPOXEDGE;
modelStruct.d_modelPar_NPOXEDGE_dX=0.0;
modelStruct.modelPar_given_NPOXEDGE=mod.given("NPOXEDGE");
modelStruct.modelPar_PPOXEDGE=mod.PPOXEDGE;
modelStruct.d_modelPar_PPOXEDGE_dX=0.0;
modelStruct.modelPar_given_PPOXEDGE=mod.given("PPOXEDGE");
modelStruct.modelPar_WPOXEDGE=mod.WPOXEDGE;
modelStruct.d_modelPar_WPOXEDGE_dX=0.0;
modelStruct.modelPar_given_WPOXEDGE=mod.given("WPOXEDGE");
modelStruct.modelPar_P2POXEDGE=mod.P2POXEDGE;
modelStruct.d_modelPar_P2POXEDGE_dX=0.0;
modelStruct.modelPar_given_P2POXEDGE=mod.given("P2POXEDGE");
modelStruct.modelPar_AGIDL=mod.AGIDL;
modelStruct.d_modelPar_AGIDL_dX=0.0;
modelStruct.modelPar_given_AGIDL=mod.given("AGIDL");
modelStruct.modelPar_LAGIDL=mod.LAGIDL;
modelStruct.d_modelPar_LAGIDL_dX=0.0;
modelStruct.modelPar_given_LAGIDL=mod.given("LAGIDL");
modelStruct.modelPar_NAGIDL=mod.NAGIDL;
modelStruct.d_modelPar_NAGIDL_dX=0.0;
modelStruct.modelPar_given_NAGIDL=mod.given("NAGIDL");
modelStruct.modelPar_PAGIDL=mod.PAGIDL;
modelStruct.d_modelPar_PAGIDL_dX=0.0;
modelStruct.modelPar_given_PAGIDL=mod.given("PAGIDL");
modelStruct.modelPar_WAGIDL=mod.WAGIDL;
modelStruct.d_modelPar_WAGIDL_dX=0.0;
modelStruct.modelPar_given_WAGIDL=mod.given("WAGIDL");
modelStruct.modelPar_P2AGIDL=mod.P2AGIDL;
modelStruct.d_modelPar_P2AGIDL_dX=0.0;
modelStruct.modelPar_given_P2AGIDL=mod.given("P2AGIDL");
modelStruct.modelPar_BGIDL=mod.BGIDL;
modelStruct.d_modelPar_BGIDL_dX=0.0;
modelStruct.modelPar_given_BGIDL=mod.given("BGIDL");
modelStruct.modelPar_LBGIDL=mod.LBGIDL;
modelStruct.d_modelPar_LBGIDL_dX=0.0;
modelStruct.modelPar_given_LBGIDL=mod.given("LBGIDL");
modelStruct.modelPar_NBGIDL=mod.NBGIDL;
modelStruct.d_modelPar_NBGIDL_dX=0.0;
modelStruct.modelPar_given_NBGIDL=mod.given("NBGIDL");
modelStruct.modelPar_PBGIDL=mod.PBGIDL;
modelStruct.d_modelPar_PBGIDL_dX=0.0;
modelStruct.modelPar_given_PBGIDL=mod.given("PBGIDL");
modelStruct.modelPar_WBGIDL=mod.WBGIDL;
modelStruct.d_modelPar_WBGIDL_dX=0.0;
modelStruct.modelPar_given_WBGIDL=mod.given("WBGIDL");
modelStruct.modelPar_P2BGIDL=mod.P2BGIDL;
modelStruct.d_modelPar_P2BGIDL_dX=0.0;
modelStruct.modelPar_given_P2BGIDL=mod.given("P2BGIDL");
modelStruct.modelPar_CGIDL=mod.CGIDL;
modelStruct.d_modelPar_CGIDL_dX=0.0;
modelStruct.modelPar_given_CGIDL=mod.given("CGIDL");
modelStruct.modelPar_LCGIDL=mod.LCGIDL;
modelStruct.d_modelPar_LCGIDL_dX=0.0;
modelStruct.modelPar_given_LCGIDL=mod.given("LCGIDL");
modelStruct.modelPar_NCGIDL=mod.NCGIDL;
modelStruct.d_modelPar_NCGIDL_dX=0.0;
modelStruct.modelPar_given_NCGIDL=mod.given("NCGIDL");
modelStruct.modelPar_PCGIDL=mod.PCGIDL;
modelStruct.d_modelPar_PCGIDL_dX=0.0;
modelStruct.modelPar_given_PCGIDL=mod.given("PCGIDL");
modelStruct.modelPar_WCGIDL=mod.WCGIDL;
modelStruct.d_modelPar_WCGIDL_dX=0.0;
modelStruct.modelPar_given_WCGIDL=mod.given("WCGIDL");
modelStruct.modelPar_P2CGIDL=mod.P2CGIDL;
modelStruct.d_modelPar_P2CGIDL_dX=0.0;
modelStruct.modelPar_given_P2CGIDL=mod.given("P2CGIDL");
modelStruct.modelPar_EGIDL=mod.EGIDL;
modelStruct.d_modelPar_EGIDL_dX=0.0;
modelStruct.modelPar_given_EGIDL=mod.given("EGIDL");
modelStruct.modelPar_LEGIDL=mod.LEGIDL;
modelStruct.d_modelPar_LEGIDL_dX=0.0;
modelStruct.modelPar_given_LEGIDL=mod.given("LEGIDL");
modelStruct.modelPar_NEGIDL=mod.NEGIDL;
modelStruct.d_modelPar_NEGIDL_dX=0.0;
modelStruct.modelPar_given_NEGIDL=mod.given("NEGIDL");
modelStruct.modelPar_PEGIDL=mod.PEGIDL;
modelStruct.d_modelPar_PEGIDL_dX=0.0;
modelStruct.modelPar_given_PEGIDL=mod.given("PEGIDL");
modelStruct.modelPar_WEGIDL=mod.WEGIDL;
modelStruct.d_modelPar_WEGIDL_dX=0.0;
modelStruct.modelPar_given_WEGIDL=mod.given("WEGIDL");
modelStruct.modelPar_P2EGIDL=mod.P2EGIDL;
modelStruct.d_modelPar_P2EGIDL_dX=0.0;
modelStruct.modelPar_given_P2EGIDL=mod.given("P2EGIDL");
modelStruct.modelPar_PGIDL=mod.PGIDL;
modelStruct.d_modelPar_PGIDL_dX=0.0;
modelStruct.modelPar_given_PGIDL=mod.given("PGIDL");
modelStruct.modelPar_LPGIDL=mod.LPGIDL;
modelStruct.d_modelPar_LPGIDL_dX=0.0;
modelStruct.modelPar_given_LPGIDL=mod.given("LPGIDL");
modelStruct.modelPar_NPGIDL=mod.NPGIDL;
modelStruct.d_modelPar_NPGIDL_dX=0.0;
modelStruct.modelPar_given_NPGIDL=mod.given("NPGIDL");
modelStruct.modelPar_PPGIDL=mod.PPGIDL;
modelStruct.d_modelPar_PPGIDL_dX=0.0;
modelStruct.modelPar_given_PPGIDL=mod.given("PPGIDL");
modelStruct.modelPar_WPGIDL=mod.WPGIDL;
modelStruct.d_modelPar_WPGIDL_dX=0.0;
modelStruct.modelPar_given_WPGIDL=mod.given("WPGIDL");
modelStruct.modelPar_P2PGIDL=mod.P2PGIDL;
modelStruct.d_modelPar_P2PGIDL_dX=0.0;
modelStruct.modelPar_given_P2PGIDL=mod.given("P2PGIDL");
modelStruct.modelPar_AGISL=mod.AGISL;
modelStruct.d_modelPar_AGISL_dX=0.0;
modelStruct.modelPar_given_AGISL=mod.given("AGISL");
modelStruct.modelPar_LAGISL=mod.LAGISL;
modelStruct.d_modelPar_LAGISL_dX=0.0;
modelStruct.modelPar_given_LAGISL=mod.given("LAGISL");
modelStruct.modelPar_NAGISL=mod.NAGISL;
modelStruct.d_modelPar_NAGISL_dX=0.0;
modelStruct.modelPar_given_NAGISL=mod.given("NAGISL");
modelStruct.modelPar_PAGISL=mod.PAGISL;
modelStruct.d_modelPar_PAGISL_dX=0.0;
modelStruct.modelPar_given_PAGISL=mod.given("PAGISL");
modelStruct.modelPar_WAGISL=mod.WAGISL;
modelStruct.d_modelPar_WAGISL_dX=0.0;
modelStruct.modelPar_given_WAGISL=mod.given("WAGISL");
modelStruct.modelPar_P2AGISL=mod.P2AGISL;
modelStruct.d_modelPar_P2AGISL_dX=0.0;
modelStruct.modelPar_given_P2AGISL=mod.given("P2AGISL");
modelStruct.modelPar_BGISL=mod.BGISL;
modelStruct.d_modelPar_BGISL_dX=0.0;
modelStruct.modelPar_given_BGISL=mod.given("BGISL");
modelStruct.modelPar_LBGISL=mod.LBGISL;
modelStruct.d_modelPar_LBGISL_dX=0.0;
modelStruct.modelPar_given_LBGISL=mod.given("LBGISL");
modelStruct.modelPar_NBGISL=mod.NBGISL;
modelStruct.d_modelPar_NBGISL_dX=0.0;
modelStruct.modelPar_given_NBGISL=mod.given("NBGISL");
modelStruct.modelPar_PBGISL=mod.PBGISL;
modelStruct.d_modelPar_PBGISL_dX=0.0;
modelStruct.modelPar_given_PBGISL=mod.given("PBGISL");
modelStruct.modelPar_WBGISL=mod.WBGISL;
modelStruct.d_modelPar_WBGISL_dX=0.0;
modelStruct.modelPar_given_WBGISL=mod.given("WBGISL");
modelStruct.modelPar_P2BGISL=mod.P2BGISL;
modelStruct.d_modelPar_P2BGISL_dX=0.0;
modelStruct.modelPar_given_P2BGISL=mod.given("P2BGISL");
modelStruct.modelPar_CGISL=mod.CGISL;
modelStruct.d_modelPar_CGISL_dX=0.0;
modelStruct.modelPar_given_CGISL=mod.given("CGISL");
modelStruct.modelPar_LCGISL=mod.LCGISL;
modelStruct.d_modelPar_LCGISL_dX=0.0;
modelStruct.modelPar_given_LCGISL=mod.given("LCGISL");
modelStruct.modelPar_NCGISL=mod.NCGISL;
modelStruct.d_modelPar_NCGISL_dX=0.0;
modelStruct.modelPar_given_NCGISL=mod.given("NCGISL");
modelStruct.modelPar_PCGISL=mod.PCGISL;
modelStruct.d_modelPar_PCGISL_dX=0.0;
modelStruct.modelPar_given_PCGISL=mod.given("PCGISL");
modelStruct.modelPar_WCGISL=mod.WCGISL;
modelStruct.d_modelPar_WCGISL_dX=0.0;
modelStruct.modelPar_given_WCGISL=mod.given("WCGISL");
modelStruct.modelPar_P2CGISL=mod.P2CGISL;
modelStruct.d_modelPar_P2CGISL_dX=0.0;
modelStruct.modelPar_given_P2CGISL=mod.given("P2CGISL");
modelStruct.modelPar_EGISL=mod.EGISL;
modelStruct.d_modelPar_EGISL_dX=0.0;
modelStruct.modelPar_given_EGISL=mod.given("EGISL");
modelStruct.modelPar_LEGISL=mod.LEGISL;
modelStruct.d_modelPar_LEGISL_dX=0.0;
modelStruct.modelPar_given_LEGISL=mod.given("LEGISL");
modelStruct.modelPar_NEGISL=mod.NEGISL;
modelStruct.d_modelPar_NEGISL_dX=0.0;
modelStruct.modelPar_given_NEGISL=mod.given("NEGISL");
modelStruct.modelPar_PEGISL=mod.PEGISL;
modelStruct.d_modelPar_PEGISL_dX=0.0;
modelStruct.modelPar_given_PEGISL=mod.given("PEGISL");
modelStruct.modelPar_WEGISL=mod.WEGISL;
modelStruct.d_modelPar_WEGISL_dX=0.0;
modelStruct.modelPar_given_WEGISL=mod.given("WEGISL");
modelStruct.modelPar_P2EGISL=mod.P2EGISL;
modelStruct.d_modelPar_P2EGISL_dX=0.0;
modelStruct.modelPar_given_P2EGISL=mod.given("P2EGISL");
modelStruct.modelPar_PGISL=mod.PGISL;
modelStruct.d_modelPar_PGISL_dX=0.0;
modelStruct.modelPar_given_PGISL=mod.given("PGISL");
modelStruct.modelPar_LPGISL=mod.LPGISL;
modelStruct.d_modelPar_LPGISL_dX=0.0;
modelStruct.modelPar_given_LPGISL=mod.given("LPGISL");
modelStruct.modelPar_NPGISL=mod.NPGISL;
modelStruct.d_modelPar_NPGISL_dX=0.0;
modelStruct.modelPar_given_NPGISL=mod.given("NPGISL");
modelStruct.modelPar_PPGISL=mod.PPGISL;
modelStruct.d_modelPar_PPGISL_dX=0.0;
modelStruct.modelPar_given_PPGISL=mod.given("PPGISL");
modelStruct.modelPar_WPGISL=mod.WPGISL;
modelStruct.d_modelPar_WPGISL_dX=0.0;
modelStruct.modelPar_given_WPGISL=mod.given("WPGISL");
modelStruct.modelPar_P2PGISL=mod.P2PGISL;
modelStruct.d_modelPar_P2PGISL_dX=0.0;
modelStruct.modelPar_given_P2PGISL=mod.given("P2PGISL");
modelStruct.modelPar_AGIDLB=mod.AGIDLB;
modelStruct.d_modelPar_AGIDLB_dX=0.0;
modelStruct.modelPar_given_AGIDLB=mod.given("AGIDLB");
modelStruct.modelPar_LAGIDLB=mod.LAGIDLB;
modelStruct.d_modelPar_LAGIDLB_dX=0.0;
modelStruct.modelPar_given_LAGIDLB=mod.given("LAGIDLB");
modelStruct.modelPar_NAGIDLB=mod.NAGIDLB;
modelStruct.d_modelPar_NAGIDLB_dX=0.0;
modelStruct.modelPar_given_NAGIDLB=mod.given("NAGIDLB");
modelStruct.modelPar_PAGIDLB=mod.PAGIDLB;
modelStruct.d_modelPar_PAGIDLB_dX=0.0;
modelStruct.modelPar_given_PAGIDLB=mod.given("PAGIDLB");
modelStruct.modelPar_WAGIDLB=mod.WAGIDLB;
modelStruct.d_modelPar_WAGIDLB_dX=0.0;
modelStruct.modelPar_given_WAGIDLB=mod.given("WAGIDLB");
modelStruct.modelPar_P2AGIDLB=mod.P2AGIDLB;
modelStruct.d_modelPar_P2AGIDLB_dX=0.0;
modelStruct.modelPar_given_P2AGIDLB=mod.given("P2AGIDLB");
modelStruct.modelPar_BGIDLB=mod.BGIDLB;
modelStruct.d_modelPar_BGIDLB_dX=0.0;
modelStruct.modelPar_given_BGIDLB=mod.given("BGIDLB");
modelStruct.modelPar_LBGIDLB=mod.LBGIDLB;
modelStruct.d_modelPar_LBGIDLB_dX=0.0;
modelStruct.modelPar_given_LBGIDLB=mod.given("LBGIDLB");
modelStruct.modelPar_NBGIDLB=mod.NBGIDLB;
modelStruct.d_modelPar_NBGIDLB_dX=0.0;
modelStruct.modelPar_given_NBGIDLB=mod.given("NBGIDLB");
modelStruct.modelPar_PBGIDLB=mod.PBGIDLB;
modelStruct.d_modelPar_PBGIDLB_dX=0.0;
modelStruct.modelPar_given_PBGIDLB=mod.given("PBGIDLB");
modelStruct.modelPar_WBGIDLB=mod.WBGIDLB;
modelStruct.d_modelPar_WBGIDLB_dX=0.0;
modelStruct.modelPar_given_WBGIDLB=mod.given("WBGIDLB");
modelStruct.modelPar_P2BGIDLB=mod.P2BGIDLB;
modelStruct.d_modelPar_P2BGIDLB_dX=0.0;
modelStruct.modelPar_given_P2BGIDLB=mod.given("P2BGIDLB");
modelStruct.modelPar_CGIDLB=mod.CGIDLB;
modelStruct.d_modelPar_CGIDLB_dX=0.0;
modelStruct.modelPar_given_CGIDLB=mod.given("CGIDLB");
modelStruct.modelPar_LCGIDLB=mod.LCGIDLB;
modelStruct.d_modelPar_LCGIDLB_dX=0.0;
modelStruct.modelPar_given_LCGIDLB=mod.given("LCGIDLB");
modelStruct.modelPar_NCGIDLB=mod.NCGIDLB;
modelStruct.d_modelPar_NCGIDLB_dX=0.0;
modelStruct.modelPar_given_NCGIDLB=mod.given("NCGIDLB");
modelStruct.modelPar_PCGIDLB=mod.PCGIDLB;
modelStruct.d_modelPar_PCGIDLB_dX=0.0;
modelStruct.modelPar_given_PCGIDLB=mod.given("PCGIDLB");
modelStruct.modelPar_WCGIDLB=mod.WCGIDLB;
modelStruct.d_modelPar_WCGIDLB_dX=0.0;
modelStruct.modelPar_given_WCGIDLB=mod.given("WCGIDLB");
modelStruct.modelPar_P2CGIDLB=mod.P2CGIDLB;
modelStruct.d_modelPar_P2CGIDLB_dX=0.0;
modelStruct.modelPar_given_P2CGIDLB=mod.given("P2CGIDLB");
modelStruct.modelPar_EGIDLB=mod.EGIDLB;
modelStruct.d_modelPar_EGIDLB_dX=0.0;
modelStruct.modelPar_given_EGIDLB=mod.given("EGIDLB");
modelStruct.modelPar_LEGIDLB=mod.LEGIDLB;
modelStruct.d_modelPar_LEGIDLB_dX=0.0;
modelStruct.modelPar_given_LEGIDLB=mod.given("LEGIDLB");
modelStruct.modelPar_NEGIDLB=mod.NEGIDLB;
modelStruct.d_modelPar_NEGIDLB_dX=0.0;
modelStruct.modelPar_given_NEGIDLB=mod.given("NEGIDLB");
modelStruct.modelPar_PEGIDLB=mod.PEGIDLB;
modelStruct.d_modelPar_PEGIDLB_dX=0.0;
modelStruct.modelPar_given_PEGIDLB=mod.given("PEGIDLB");
modelStruct.modelPar_WEGIDLB=mod.WEGIDLB;
modelStruct.d_modelPar_WEGIDLB_dX=0.0;
modelStruct.modelPar_given_WEGIDLB=mod.given("WEGIDLB");
modelStruct.modelPar_P2EGIDLB=mod.P2EGIDLB;
modelStruct.d_modelPar_P2EGIDLB_dX=0.0;
modelStruct.modelPar_given_P2EGIDLB=mod.given("P2EGIDLB");
modelStruct.modelPar_PGIDLB=mod.PGIDLB;
modelStruct.d_modelPar_PGIDLB_dX=0.0;
modelStruct.modelPar_given_PGIDLB=mod.given("PGIDLB");
modelStruct.modelPar_LPGIDLB=mod.LPGIDLB;
modelStruct.d_modelPar_LPGIDLB_dX=0.0;
modelStruct.modelPar_given_LPGIDLB=mod.given("LPGIDLB");
modelStruct.modelPar_NPGIDLB=mod.NPGIDLB;
modelStruct.d_modelPar_NPGIDLB_dX=0.0;
modelStruct.modelPar_given_NPGIDLB=mod.given("NPGIDLB");
modelStruct.modelPar_PPGIDLB=mod.PPGIDLB;
modelStruct.d_modelPar_PPGIDLB_dX=0.0;
modelStruct.modelPar_given_PPGIDLB=mod.given("PPGIDLB");
modelStruct.modelPar_WPGIDLB=mod.WPGIDLB;
modelStruct.d_modelPar_WPGIDLB_dX=0.0;
modelStruct.modelPar_given_WPGIDLB=mod.given("WPGIDLB");
modelStruct.modelPar_P2PGIDLB=mod.P2PGIDLB;
modelStruct.d_modelPar_P2PGIDLB_dX=0.0;
modelStruct.modelPar_given_P2PGIDLB=mod.given("P2PGIDLB");
modelStruct.modelPar_AGISLB=mod.AGISLB;
modelStruct.d_modelPar_AGISLB_dX=0.0;
modelStruct.modelPar_given_AGISLB=mod.given("AGISLB");
modelStruct.modelPar_LAGISLB=mod.LAGISLB;
modelStruct.d_modelPar_LAGISLB_dX=0.0;
modelStruct.modelPar_given_LAGISLB=mod.given("LAGISLB");
modelStruct.modelPar_NAGISLB=mod.NAGISLB;
modelStruct.d_modelPar_NAGISLB_dX=0.0;
modelStruct.modelPar_given_NAGISLB=mod.given("NAGISLB");
modelStruct.modelPar_PAGISLB=mod.PAGISLB;
modelStruct.d_modelPar_PAGISLB_dX=0.0;
modelStruct.modelPar_given_PAGISLB=mod.given("PAGISLB");
modelStruct.modelPar_WAGISLB=mod.WAGISLB;
modelStruct.d_modelPar_WAGISLB_dX=0.0;
modelStruct.modelPar_given_WAGISLB=mod.given("WAGISLB");
modelStruct.modelPar_P2AGISLB=mod.P2AGISLB;
modelStruct.d_modelPar_P2AGISLB_dX=0.0;
modelStruct.modelPar_given_P2AGISLB=mod.given("P2AGISLB");
modelStruct.modelPar_BGISLB=mod.BGISLB;
modelStruct.d_modelPar_BGISLB_dX=0.0;
modelStruct.modelPar_given_BGISLB=mod.given("BGISLB");
modelStruct.modelPar_LBGISLB=mod.LBGISLB;
modelStruct.d_modelPar_LBGISLB_dX=0.0;
modelStruct.modelPar_given_LBGISLB=mod.given("LBGISLB");
modelStruct.modelPar_NBGISLB=mod.NBGISLB;
modelStruct.d_modelPar_NBGISLB_dX=0.0;
modelStruct.modelPar_given_NBGISLB=mod.given("NBGISLB");
modelStruct.modelPar_PBGISLB=mod.PBGISLB;
modelStruct.d_modelPar_PBGISLB_dX=0.0;
modelStruct.modelPar_given_PBGISLB=mod.given("PBGISLB");
modelStruct.modelPar_WBGISLB=mod.WBGISLB;
modelStruct.d_modelPar_WBGISLB_dX=0.0;
modelStruct.modelPar_given_WBGISLB=mod.given("WBGISLB");
modelStruct.modelPar_P2BGISLB=mod.P2BGISLB;
modelStruct.d_modelPar_P2BGISLB_dX=0.0;
modelStruct.modelPar_given_P2BGISLB=mod.given("P2BGISLB");
modelStruct.modelPar_CGISLB=mod.CGISLB;
modelStruct.d_modelPar_CGISLB_dX=0.0;
modelStruct.modelPar_given_CGISLB=mod.given("CGISLB");
modelStruct.modelPar_LCGISLB=mod.LCGISLB;
modelStruct.d_modelPar_LCGISLB_dX=0.0;
modelStruct.modelPar_given_LCGISLB=mod.given("LCGISLB");
modelStruct.modelPar_NCGISLB=mod.NCGISLB;
modelStruct.d_modelPar_NCGISLB_dX=0.0;
modelStruct.modelPar_given_NCGISLB=mod.given("NCGISLB");
modelStruct.modelPar_PCGISLB=mod.PCGISLB;
modelStruct.d_modelPar_PCGISLB_dX=0.0;
modelStruct.modelPar_given_PCGISLB=mod.given("PCGISLB");
modelStruct.modelPar_WCGISLB=mod.WCGISLB;
modelStruct.d_modelPar_WCGISLB_dX=0.0;
modelStruct.modelPar_given_WCGISLB=mod.given("WCGISLB");
modelStruct.modelPar_P2CGISLB=mod.P2CGISLB;
modelStruct.d_modelPar_P2CGISLB_dX=0.0;
modelStruct.modelPar_given_P2CGISLB=mod.given("P2CGISLB");
modelStruct.modelPar_EGISLB=mod.EGISLB;
modelStruct.d_modelPar_EGISLB_dX=0.0;
modelStruct.modelPar_given_EGISLB=mod.given("EGISLB");
modelStruct.modelPar_LEGISLB=mod.LEGISLB;
modelStruct.d_modelPar_LEGISLB_dX=0.0;
modelStruct.modelPar_given_LEGISLB=mod.given("LEGISLB");
modelStruct.modelPar_NEGISLB=mod.NEGISLB;
modelStruct.d_modelPar_NEGISLB_dX=0.0;
modelStruct.modelPar_given_NEGISLB=mod.given("NEGISLB");
modelStruct.modelPar_PEGISLB=mod.PEGISLB;
modelStruct.d_modelPar_PEGISLB_dX=0.0;
modelStruct.modelPar_given_PEGISLB=mod.given("PEGISLB");
modelStruct.modelPar_WEGISLB=mod.WEGISLB;
modelStruct.d_modelPar_WEGISLB_dX=0.0;
modelStruct.modelPar_given_WEGISLB=mod.given("WEGISLB");
modelStruct.modelPar_P2EGISLB=mod.P2EGISLB;
modelStruct.d_modelPar_P2EGISLB_dX=0.0;
modelStruct.modelPar_given_P2EGISLB=mod.given("P2EGISLB");
modelStruct.modelPar_PGISLB=mod.PGISLB;
modelStruct.d_modelPar_PGISLB_dX=0.0;
modelStruct.modelPar_given_PGISLB=mod.given("PGISLB");
modelStruct.modelPar_LPGISLB=mod.LPGISLB;
modelStruct.d_modelPar_LPGISLB_dX=0.0;
modelStruct.modelPar_given_LPGISLB=mod.given("LPGISLB");
modelStruct.modelPar_NPGISLB=mod.NPGISLB;
modelStruct.d_modelPar_NPGISLB_dX=0.0;
modelStruct.modelPar_given_NPGISLB=mod.given("NPGISLB");
modelStruct.modelPar_PPGISLB=mod.PPGISLB;
modelStruct.d_modelPar_PPGISLB_dX=0.0;
modelStruct.modelPar_given_PPGISLB=mod.given("PPGISLB");
modelStruct.modelPar_WPGISLB=mod.WPGISLB;
modelStruct.d_modelPar_WPGISLB_dX=0.0;
modelStruct.modelPar_given_WPGISLB=mod.given("WPGISLB");
modelStruct.modelPar_P2PGISLB=mod.P2PGISLB;
modelStruct.d_modelPar_P2PGISLB_dX=0.0;
modelStruct.modelPar_given_P2PGISLB=mod.given("P2PGISLB");
modelStruct.modelPar_ALPHA01=mod.ALPHA01;
modelStruct.d_modelPar_ALPHA01_dX=0.0;
modelStruct.modelPar_given_ALPHA01=mod.given("ALPHA01");
modelStruct.modelPar_ALPHA11=mod.ALPHA11;
modelStruct.d_modelPar_ALPHA11_dX=0.0;
modelStruct.modelPar_given_ALPHA11=mod.given("ALPHA11");
modelStruct.modelPar_ALPHAII01=mod.ALPHAII01;
modelStruct.d_modelPar_ALPHAII01_dX=0.0;
modelStruct.modelPar_given_ALPHAII01=mod.given("ALPHAII01");
modelStruct.modelPar_ALPHAII11=mod.ALPHAII11;
modelStruct.d_modelPar_ALPHAII11_dX=0.0;
modelStruct.modelPar_given_ALPHAII11=mod.given("ALPHAII11");
modelStruct.modelPar_IIMOD2CLAMP1=mod.IIMOD2CLAMP1;
modelStruct.d_modelPar_IIMOD2CLAMP1_dX=0.0;
modelStruct.modelPar_given_IIMOD2CLAMP1=mod.given("IIMOD2CLAMP1");
modelStruct.modelPar_IIMOD2CLAMP2=mod.IIMOD2CLAMP2;
modelStruct.d_modelPar_IIMOD2CLAMP2_dX=0.0;
modelStruct.modelPar_given_IIMOD2CLAMP2=mod.given("IIMOD2CLAMP2");
modelStruct.modelPar_IIMOD2CLAMP3=mod.IIMOD2CLAMP3;
modelStruct.d_modelPar_IIMOD2CLAMP3_dX=0.0;
modelStruct.modelPar_given_IIMOD2CLAMP3=mod.given("IIMOD2CLAMP3");
modelStruct.modelPar_ALPHA0=mod.ALPHA0;
modelStruct.d_modelPar_ALPHA0_dX=0.0;
modelStruct.modelPar_given_ALPHA0=mod.given("ALPHA0");
modelStruct.modelPar_LALPHA0=mod.LALPHA0;
modelStruct.d_modelPar_LALPHA0_dX=0.0;
modelStruct.modelPar_given_LALPHA0=mod.given("LALPHA0");
modelStruct.modelPar_NALPHA0=mod.NALPHA0;
modelStruct.d_modelPar_NALPHA0_dX=0.0;
modelStruct.modelPar_given_NALPHA0=mod.given("NALPHA0");
modelStruct.modelPar_PALPHA0=mod.PALPHA0;
modelStruct.d_modelPar_PALPHA0_dX=0.0;
modelStruct.modelPar_given_PALPHA0=mod.given("PALPHA0");
modelStruct.modelPar_WALPHA0=mod.WALPHA0;
modelStruct.d_modelPar_WALPHA0_dX=0.0;
modelStruct.modelPar_given_WALPHA0=mod.given("WALPHA0");
modelStruct.modelPar_P2ALPHA0=mod.P2ALPHA0;
modelStruct.d_modelPar_P2ALPHA0_dX=0.0;
modelStruct.modelPar_given_P2ALPHA0=mod.given("P2ALPHA0");
modelStruct.modelPar_ALPHA1=mod.ALPHA1;
modelStruct.d_modelPar_ALPHA1_dX=0.0;
modelStruct.modelPar_given_ALPHA1=mod.given("ALPHA1");
modelStruct.modelPar_LALPHA1=mod.LALPHA1;
modelStruct.d_modelPar_LALPHA1_dX=0.0;
modelStruct.modelPar_given_LALPHA1=mod.given("LALPHA1");
modelStruct.modelPar_NALPHA1=mod.NALPHA1;
modelStruct.d_modelPar_NALPHA1_dX=0.0;
modelStruct.modelPar_given_NALPHA1=mod.given("NALPHA1");
modelStruct.modelPar_PALPHA1=mod.PALPHA1;
modelStruct.d_modelPar_PALPHA1_dX=0.0;
modelStruct.modelPar_given_PALPHA1=mod.given("PALPHA1");
modelStruct.modelPar_WALPHA1=mod.WALPHA1;
modelStruct.d_modelPar_WALPHA1_dX=0.0;
modelStruct.modelPar_given_WALPHA1=mod.given("WALPHA1");
modelStruct.modelPar_P2ALPHA1=mod.P2ALPHA1;
modelStruct.d_modelPar_P2ALPHA1_dX=0.0;
modelStruct.modelPar_given_P2ALPHA1=mod.given("P2ALPHA1");
modelStruct.modelPar_BETA0=mod.BETA0;
modelStruct.d_modelPar_BETA0_dX=0.0;
modelStruct.modelPar_given_BETA0=mod.given("BETA0");
modelStruct.modelPar_LBETA0=mod.LBETA0;
modelStruct.d_modelPar_LBETA0_dX=0.0;
modelStruct.modelPar_given_LBETA0=mod.given("LBETA0");
modelStruct.modelPar_NBETA0=mod.NBETA0;
modelStruct.d_modelPar_NBETA0_dX=0.0;
modelStruct.modelPar_given_NBETA0=mod.given("NBETA0");
modelStruct.modelPar_PBETA0=mod.PBETA0;
modelStruct.d_modelPar_PBETA0_dX=0.0;
modelStruct.modelPar_given_PBETA0=mod.given("PBETA0");
modelStruct.modelPar_WBETA0=mod.WBETA0;
modelStruct.d_modelPar_WBETA0_dX=0.0;
modelStruct.modelPar_given_WBETA0=mod.given("WBETA0");
modelStruct.modelPar_P2BETA0=mod.P2BETA0;
modelStruct.d_modelPar_P2BETA0_dX=0.0;
modelStruct.modelPar_given_P2BETA0=mod.given("P2BETA0");
modelStruct.modelPar_ALPHAII0=mod.ALPHAII0;
modelStruct.d_modelPar_ALPHAII0_dX=0.0;
modelStruct.modelPar_given_ALPHAII0=mod.given("ALPHAII0");
modelStruct.modelPar_LALPHAII0=mod.LALPHAII0;
modelStruct.d_modelPar_LALPHAII0_dX=0.0;
modelStruct.modelPar_given_LALPHAII0=mod.given("LALPHAII0");
modelStruct.modelPar_NALPHAII0=mod.NALPHAII0;
modelStruct.d_modelPar_NALPHAII0_dX=0.0;
modelStruct.modelPar_given_NALPHAII0=mod.given("NALPHAII0");
modelStruct.modelPar_PALPHAII0=mod.PALPHAII0;
modelStruct.d_modelPar_PALPHAII0_dX=0.0;
modelStruct.modelPar_given_PALPHAII0=mod.given("PALPHAII0");
modelStruct.modelPar_WALPHAII0=mod.WALPHAII0;
modelStruct.d_modelPar_WALPHAII0_dX=0.0;
modelStruct.modelPar_given_WALPHAII0=mod.given("WALPHAII0");
modelStruct.modelPar_P2ALPHAII0=mod.P2ALPHAII0;
modelStruct.d_modelPar_P2ALPHAII0_dX=0.0;
modelStruct.modelPar_given_P2ALPHAII0=mod.given("P2ALPHAII0");
modelStruct.modelPar_ALPHAII1=mod.ALPHAII1;
modelStruct.d_modelPar_ALPHAII1_dX=0.0;
modelStruct.modelPar_given_ALPHAII1=mod.given("ALPHAII1");
modelStruct.modelPar_LALPHAII1=mod.LALPHAII1;
modelStruct.d_modelPar_LALPHAII1_dX=0.0;
modelStruct.modelPar_given_LALPHAII1=mod.given("LALPHAII1");
modelStruct.modelPar_NALPHAII1=mod.NALPHAII1;
modelStruct.d_modelPar_NALPHAII1_dX=0.0;
modelStruct.modelPar_given_NALPHAII1=mod.given("NALPHAII1");
modelStruct.modelPar_PALPHAII1=mod.PALPHAII1;
modelStruct.d_modelPar_PALPHAII1_dX=0.0;
modelStruct.modelPar_given_PALPHAII1=mod.given("PALPHAII1");
modelStruct.modelPar_WALPHAII1=mod.WALPHAII1;
modelStruct.d_modelPar_WALPHAII1_dX=0.0;
modelStruct.modelPar_given_WALPHAII1=mod.given("WALPHAII1");
modelStruct.modelPar_P2ALPHAII1=mod.P2ALPHAII1;
modelStruct.d_modelPar_P2ALPHAII1_dX=0.0;
modelStruct.modelPar_given_P2ALPHAII1=mod.given("P2ALPHAII1");
modelStruct.modelPar_BETAII0=mod.BETAII0;
modelStruct.d_modelPar_BETAII0_dX=0.0;
modelStruct.modelPar_given_BETAII0=mod.given("BETAII0");
modelStruct.modelPar_LBETAII0=mod.LBETAII0;
modelStruct.d_modelPar_LBETAII0_dX=0.0;
modelStruct.modelPar_given_LBETAII0=mod.given("LBETAII0");
modelStruct.modelPar_NBETAII0=mod.NBETAII0;
modelStruct.d_modelPar_NBETAII0_dX=0.0;
modelStruct.modelPar_given_NBETAII0=mod.given("NBETAII0");
modelStruct.modelPar_PBETAII0=mod.PBETAII0;
modelStruct.d_modelPar_PBETAII0_dX=0.0;
modelStruct.modelPar_given_PBETAII0=mod.given("PBETAII0");
modelStruct.modelPar_WBETAII0=mod.WBETAII0;
modelStruct.d_modelPar_WBETAII0_dX=0.0;
modelStruct.modelPar_given_WBETAII0=mod.given("WBETAII0");
modelStruct.modelPar_P2BETAII0=mod.P2BETAII0;
modelStruct.d_modelPar_P2BETAII0_dX=0.0;
modelStruct.modelPar_given_P2BETAII0=mod.given("P2BETAII0");
modelStruct.modelPar_BETAII1=mod.BETAII1;
modelStruct.d_modelPar_BETAII1_dX=0.0;
modelStruct.modelPar_given_BETAII1=mod.given("BETAII1");
modelStruct.modelPar_LBETAII1=mod.LBETAII1;
modelStruct.d_modelPar_LBETAII1_dX=0.0;
modelStruct.modelPar_given_LBETAII1=mod.given("LBETAII1");
modelStruct.modelPar_NBETAII1=mod.NBETAII1;
modelStruct.d_modelPar_NBETAII1_dX=0.0;
modelStruct.modelPar_given_NBETAII1=mod.given("NBETAII1");
modelStruct.modelPar_PBETAII1=mod.PBETAII1;
modelStruct.d_modelPar_PBETAII1_dX=0.0;
modelStruct.modelPar_given_PBETAII1=mod.given("PBETAII1");
modelStruct.modelPar_WBETAII1=mod.WBETAII1;
modelStruct.d_modelPar_WBETAII1_dX=0.0;
modelStruct.modelPar_given_WBETAII1=mod.given("WBETAII1");
modelStruct.modelPar_P2BETAII1=mod.P2BETAII1;
modelStruct.d_modelPar_P2BETAII1_dX=0.0;
modelStruct.modelPar_given_P2BETAII1=mod.given("P2BETAII1");
modelStruct.modelPar_BETAII2=mod.BETAII2;
modelStruct.d_modelPar_BETAII2_dX=0.0;
modelStruct.modelPar_given_BETAII2=mod.given("BETAII2");
modelStruct.modelPar_LBETAII2=mod.LBETAII2;
modelStruct.d_modelPar_LBETAII2_dX=0.0;
modelStruct.modelPar_given_LBETAII2=mod.given("LBETAII2");
modelStruct.modelPar_NBETAII2=mod.NBETAII2;
modelStruct.d_modelPar_NBETAII2_dX=0.0;
modelStruct.modelPar_given_NBETAII2=mod.given("NBETAII2");
modelStruct.modelPar_PBETAII2=mod.PBETAII2;
modelStruct.d_modelPar_PBETAII2_dX=0.0;
modelStruct.modelPar_given_PBETAII2=mod.given("PBETAII2");
modelStruct.modelPar_WBETAII2=mod.WBETAII2;
modelStruct.d_modelPar_WBETAII2_dX=0.0;
modelStruct.modelPar_given_WBETAII2=mod.given("WBETAII2");
modelStruct.modelPar_P2BETAII2=mod.P2BETAII2;
modelStruct.d_modelPar_P2BETAII2_dX=0.0;
modelStruct.modelPar_given_P2BETAII2=mod.given("P2BETAII2");
modelStruct.modelPar_ESATII=mod.ESATII;
modelStruct.d_modelPar_ESATII_dX=0.0;
modelStruct.modelPar_given_ESATII=mod.given("ESATII");
modelStruct.modelPar_LESATII=mod.LESATII;
modelStruct.d_modelPar_LESATII_dX=0.0;
modelStruct.modelPar_given_LESATII=mod.given("LESATII");
modelStruct.modelPar_NESATII=mod.NESATII;
modelStruct.d_modelPar_NESATII_dX=0.0;
modelStruct.modelPar_given_NESATII=mod.given("NESATII");
modelStruct.modelPar_PESATII=mod.PESATII;
modelStruct.d_modelPar_PESATII_dX=0.0;
modelStruct.modelPar_given_PESATII=mod.given("PESATII");
modelStruct.modelPar_WESATII=mod.WESATII;
modelStruct.d_modelPar_WESATII_dX=0.0;
modelStruct.modelPar_given_WESATII=mod.given("WESATII");
modelStruct.modelPar_P2ESATII=mod.P2ESATII;
modelStruct.d_modelPar_P2ESATII_dX=0.0;
modelStruct.modelPar_given_P2ESATII=mod.given("P2ESATII");
modelStruct.modelPar_LII=mod.LII;
modelStruct.d_modelPar_LII_dX=0.0;
modelStruct.modelPar_given_LII=mod.given("LII");
modelStruct.modelPar_LLII=mod.LLII;
modelStruct.d_modelPar_LLII_dX=0.0;
modelStruct.modelPar_given_LLII=mod.given("LLII");
modelStruct.modelPar_NLII=mod.NLII;
modelStruct.d_modelPar_NLII_dX=0.0;
modelStruct.modelPar_given_NLII=mod.given("NLII");
modelStruct.modelPar_PLII=mod.PLII;
modelStruct.d_modelPar_PLII_dX=0.0;
modelStruct.modelPar_given_PLII=mod.given("PLII");
modelStruct.modelPar_WLII=mod.WLII;
modelStruct.d_modelPar_WLII_dX=0.0;
modelStruct.modelPar_given_WLII=mod.given("WLII");
modelStruct.modelPar_P2LII=mod.P2LII;
modelStruct.d_modelPar_P2LII_dX=0.0;
modelStruct.modelPar_given_P2LII=mod.given("P2LII");
modelStruct.modelPar_SII0=mod.SII0;
modelStruct.d_modelPar_SII0_dX=0.0;
modelStruct.modelPar_given_SII0=mod.given("SII0");
modelStruct.modelPar_LSII0=mod.LSII0;
modelStruct.d_modelPar_LSII0_dX=0.0;
modelStruct.modelPar_given_LSII0=mod.given("LSII0");
modelStruct.modelPar_NSII0=mod.NSII0;
modelStruct.d_modelPar_NSII0_dX=0.0;
modelStruct.modelPar_given_NSII0=mod.given("NSII0");
modelStruct.modelPar_PSII0=mod.PSII0;
modelStruct.d_modelPar_PSII0_dX=0.0;
modelStruct.modelPar_given_PSII0=mod.given("PSII0");
modelStruct.modelPar_WSII0=mod.WSII0;
modelStruct.d_modelPar_WSII0_dX=0.0;
modelStruct.modelPar_given_WSII0=mod.given("WSII0");
modelStruct.modelPar_P2SII0=mod.P2SII0;
modelStruct.d_modelPar_P2SII0_dX=0.0;
modelStruct.modelPar_given_P2SII0=mod.given("P2SII0");
modelStruct.modelPar_SII1=mod.SII1;
modelStruct.d_modelPar_SII1_dX=0.0;
modelStruct.modelPar_given_SII1=mod.given("SII1");
modelStruct.modelPar_LSII1=mod.LSII1;
modelStruct.d_modelPar_LSII1_dX=0.0;
modelStruct.modelPar_given_LSII1=mod.given("LSII1");
modelStruct.modelPar_NSII1=mod.NSII1;
modelStruct.d_modelPar_NSII1_dX=0.0;
modelStruct.modelPar_given_NSII1=mod.given("NSII1");
modelStruct.modelPar_PSII1=mod.PSII1;
modelStruct.d_modelPar_PSII1_dX=0.0;
modelStruct.modelPar_given_PSII1=mod.given("PSII1");
modelStruct.modelPar_WSII1=mod.WSII1;
modelStruct.d_modelPar_WSII1_dX=0.0;
modelStruct.modelPar_given_WSII1=mod.given("WSII1");
modelStruct.modelPar_P2SII1=mod.P2SII1;
modelStruct.d_modelPar_P2SII1_dX=0.0;
modelStruct.modelPar_given_P2SII1=mod.given("P2SII1");
modelStruct.modelPar_SII2=mod.SII2;
modelStruct.d_modelPar_SII2_dX=0.0;
modelStruct.modelPar_given_SII2=mod.given("SII2");
modelStruct.modelPar_LSII2=mod.LSII2;
modelStruct.d_modelPar_LSII2_dX=0.0;
modelStruct.modelPar_given_LSII2=mod.given("LSII2");
modelStruct.modelPar_NSII2=mod.NSII2;
modelStruct.d_modelPar_NSII2_dX=0.0;
modelStruct.modelPar_given_NSII2=mod.given("NSII2");
modelStruct.modelPar_PSII2=mod.PSII2;
modelStruct.d_modelPar_PSII2_dX=0.0;
modelStruct.modelPar_given_PSII2=mod.given("PSII2");
modelStruct.modelPar_WSII2=mod.WSII2;
modelStruct.d_modelPar_WSII2_dX=0.0;
modelStruct.modelPar_given_WSII2=mod.given("WSII2");
modelStruct.modelPar_P2SII2=mod.P2SII2;
modelStruct.d_modelPar_P2SII2_dX=0.0;
modelStruct.modelPar_given_P2SII2=mod.given("P2SII2");
modelStruct.modelPar_SIID=mod.SIID;
modelStruct.d_modelPar_SIID_dX=0.0;
modelStruct.modelPar_given_SIID=mod.given("SIID");
modelStruct.modelPar_LSIID=mod.LSIID;
modelStruct.d_modelPar_LSIID_dX=0.0;
modelStruct.modelPar_given_LSIID=mod.given("LSIID");
modelStruct.modelPar_NSIID=mod.NSIID;
modelStruct.d_modelPar_NSIID_dX=0.0;
modelStruct.modelPar_given_NSIID=mod.given("NSIID");
modelStruct.modelPar_PSIID=mod.PSIID;
modelStruct.d_modelPar_PSIID_dX=0.0;
modelStruct.modelPar_given_PSIID=mod.given("PSIID");
modelStruct.modelPar_WSIID=mod.WSIID;
modelStruct.d_modelPar_WSIID_dX=0.0;
modelStruct.modelPar_given_WSIID=mod.given("WSIID");
modelStruct.modelPar_P2SIID=mod.P2SIID;
modelStruct.d_modelPar_P2SIID_dX=0.0;
modelStruct.modelPar_given_P2SIID=mod.given("P2SIID");
modelStruct.modelPar_EOTACC=mod.EOTACC;
modelStruct.d_modelPar_EOTACC_dX=0.0;
modelStruct.modelPar_given_EOTACC=mod.given("EOTACC");
modelStruct.modelPar_DELVFBACC=mod.DELVFBACC;
modelStruct.d_modelPar_DELVFBACC_dX=0.0;
modelStruct.modelPar_given_DELVFBACC=mod.given("DELVFBACC");
modelStruct.modelPar_CFS=mod.CFS;
modelStruct.d_modelPar_CFS_dX=0.0;
modelStruct.modelPar_given_CFS=mod.given("CFS");
modelStruct.modelPar_LCFS=mod.LCFS;
modelStruct.d_modelPar_LCFS_dX=0.0;
modelStruct.modelPar_given_LCFS=mod.given("LCFS");
modelStruct.modelPar_NCFS=mod.NCFS;
modelStruct.d_modelPar_NCFS_dX=0.0;
modelStruct.modelPar_given_NCFS=mod.given("NCFS");
modelStruct.modelPar_PCFS=mod.PCFS;
modelStruct.d_modelPar_PCFS_dX=0.0;
modelStruct.modelPar_given_PCFS=mod.given("PCFS");
modelStruct.modelPar_WCFS=mod.WCFS;
modelStruct.d_modelPar_WCFS_dX=0.0;
modelStruct.modelPar_given_WCFS=mod.given("WCFS");
modelStruct.modelPar_P2CFS=mod.P2CFS;
modelStruct.d_modelPar_P2CFS_dX=0.0;
modelStruct.modelPar_given_P2CFS=mod.given("P2CFS");
modelStruct.modelPar_CFD=mod.CFD;
modelStruct.d_modelPar_CFD_dX=0.0;
modelStruct.modelPar_given_CFD=mod.given("CFD");
modelStruct.modelPar_LCFD=mod.LCFD;
modelStruct.d_modelPar_LCFD_dX=0.0;
modelStruct.modelPar_given_LCFD=mod.given("LCFD");
modelStruct.modelPar_NCFD=mod.NCFD;
modelStruct.d_modelPar_NCFD_dX=0.0;
modelStruct.modelPar_given_NCFD=mod.given("NCFD");
modelStruct.modelPar_PCFD=mod.PCFD;
modelStruct.d_modelPar_PCFD_dX=0.0;
modelStruct.modelPar_given_PCFD=mod.given("PCFD");
modelStruct.modelPar_WCFD=mod.WCFD;
modelStruct.d_modelPar_WCFD_dX=0.0;
modelStruct.modelPar_given_WCFD=mod.given("WCFD");
modelStruct.modelPar_P2CFD=mod.P2CFD;
modelStruct.d_modelPar_P2CFD_dX=0.0;
modelStruct.modelPar_given_P2CFD=mod.given("P2CFD");
modelStruct.modelPar_CGSO=mod.CGSO;
modelStruct.d_modelPar_CGSO_dX=0.0;
modelStruct.modelPar_given_CGSO=mod.given("CGSO");
modelStruct.modelPar_CGDO=mod.CGDO;
modelStruct.d_modelPar_CGDO_dX=0.0;
modelStruct.modelPar_given_CGDO=mod.given("CGDO");
modelStruct.modelPar_CGBO=mod.CGBO;
modelStruct.d_modelPar_CGBO_dX=0.0;
modelStruct.modelPar_given_CGBO=mod.given("CGBO");
modelStruct.modelPar_CGBN=mod.CGBN;
modelStruct.d_modelPar_CGBN_dX=0.0;
modelStruct.modelPar_given_CGBN=mod.given("CGBN");
modelStruct.modelPar_CGBW=mod.CGBW;
modelStruct.d_modelPar_CGBW_dX=0.0;
modelStruct.modelPar_given_CGBW=mod.given("CGBW");
modelStruct.modelPar_CGSL=mod.CGSL;
modelStruct.d_modelPar_CGSL_dX=0.0;
modelStruct.modelPar_given_CGSL=mod.given("CGSL");
modelStruct.modelPar_LCGSL=mod.LCGSL;
modelStruct.d_modelPar_LCGSL_dX=0.0;
modelStruct.modelPar_given_LCGSL=mod.given("LCGSL");
modelStruct.modelPar_NCGSL=mod.NCGSL;
modelStruct.d_modelPar_NCGSL_dX=0.0;
modelStruct.modelPar_given_NCGSL=mod.given("NCGSL");
modelStruct.modelPar_PCGSL=mod.PCGSL;
modelStruct.d_modelPar_PCGSL_dX=0.0;
modelStruct.modelPar_given_PCGSL=mod.given("PCGSL");
modelStruct.modelPar_WCGSL=mod.WCGSL;
modelStruct.d_modelPar_WCGSL_dX=0.0;
modelStruct.modelPar_given_WCGSL=mod.given("WCGSL");
modelStruct.modelPar_P2CGSL=mod.P2CGSL;
modelStruct.d_modelPar_P2CGSL_dX=0.0;
modelStruct.modelPar_given_P2CGSL=mod.given("P2CGSL");
modelStruct.modelPar_CGDL=mod.CGDL;
modelStruct.d_modelPar_CGDL_dX=0.0;
modelStruct.modelPar_given_CGDL=mod.given("CGDL");
modelStruct.modelPar_LCGDL=mod.LCGDL;
modelStruct.d_modelPar_LCGDL_dX=0.0;
modelStruct.modelPar_given_LCGDL=mod.given("LCGDL");
modelStruct.modelPar_NCGDL=mod.NCGDL;
modelStruct.d_modelPar_NCGDL_dX=0.0;
modelStruct.modelPar_given_NCGDL=mod.given("NCGDL");
modelStruct.modelPar_PCGDL=mod.PCGDL;
modelStruct.d_modelPar_PCGDL_dX=0.0;
modelStruct.modelPar_given_PCGDL=mod.given("PCGDL");
modelStruct.modelPar_WCGDL=mod.WCGDL;
modelStruct.d_modelPar_WCGDL_dX=0.0;
modelStruct.modelPar_given_WCGDL=mod.given("WCGDL");
modelStruct.modelPar_P2CGDL=mod.P2CGDL;
modelStruct.d_modelPar_P2CGDL_dX=0.0;
modelStruct.modelPar_given_P2CGDL=mod.given("P2CGDL");
modelStruct.modelPar_CGBL=mod.CGBL;
modelStruct.d_modelPar_CGBL_dX=0.0;
modelStruct.modelPar_given_CGBL=mod.given("CGBL");
modelStruct.modelPar_LCGBL=mod.LCGBL;
modelStruct.d_modelPar_LCGBL_dX=0.0;
modelStruct.modelPar_given_LCGBL=mod.given("LCGBL");
modelStruct.modelPar_NCGBL=mod.NCGBL;
modelStruct.d_modelPar_NCGBL_dX=0.0;
modelStruct.modelPar_given_NCGBL=mod.given("NCGBL");
modelStruct.modelPar_PCGBL=mod.PCGBL;
modelStruct.d_modelPar_PCGBL_dX=0.0;
modelStruct.modelPar_given_PCGBL=mod.given("PCGBL");
modelStruct.modelPar_WCGBL=mod.WCGBL;
modelStruct.d_modelPar_WCGBL_dX=0.0;
modelStruct.modelPar_given_WCGBL=mod.given("WCGBL");
modelStruct.modelPar_P2CGBL=mod.P2CGBL;
modelStruct.d_modelPar_P2CGBL_dX=0.0;
modelStruct.modelPar_given_P2CGBL=mod.given("P2CGBL");
modelStruct.modelPar_CKAPPAS=mod.CKAPPAS;
modelStruct.d_modelPar_CKAPPAS_dX=0.0;
modelStruct.modelPar_given_CKAPPAS=mod.given("CKAPPAS");
modelStruct.modelPar_LCKAPPAS=mod.LCKAPPAS;
modelStruct.d_modelPar_LCKAPPAS_dX=0.0;
modelStruct.modelPar_given_LCKAPPAS=mod.given("LCKAPPAS");
modelStruct.modelPar_NCKAPPAS=mod.NCKAPPAS;
modelStruct.d_modelPar_NCKAPPAS_dX=0.0;
modelStruct.modelPar_given_NCKAPPAS=mod.given("NCKAPPAS");
modelStruct.modelPar_PCKAPPAS=mod.PCKAPPAS;
modelStruct.d_modelPar_PCKAPPAS_dX=0.0;
modelStruct.modelPar_given_PCKAPPAS=mod.given("PCKAPPAS");
modelStruct.modelPar_WCKAPPAS=mod.WCKAPPAS;
modelStruct.d_modelPar_WCKAPPAS_dX=0.0;
modelStruct.modelPar_given_WCKAPPAS=mod.given("WCKAPPAS");
modelStruct.modelPar_P2CKAPPAS=mod.P2CKAPPAS;
modelStruct.d_modelPar_P2CKAPPAS_dX=0.0;
modelStruct.modelPar_given_P2CKAPPAS=mod.given("P2CKAPPAS");
modelStruct.modelPar_CKAPPAD=mod.CKAPPAD;
modelStruct.d_modelPar_CKAPPAD_dX=0.0;
modelStruct.modelPar_given_CKAPPAD=mod.given("CKAPPAD");
modelStruct.modelPar_LCKAPPAD=mod.LCKAPPAD;
modelStruct.d_modelPar_LCKAPPAD_dX=0.0;
modelStruct.modelPar_given_LCKAPPAD=mod.given("LCKAPPAD");
modelStruct.modelPar_NCKAPPAD=mod.NCKAPPAD;
modelStruct.d_modelPar_NCKAPPAD_dX=0.0;
modelStruct.modelPar_given_NCKAPPAD=mod.given("NCKAPPAD");
modelStruct.modelPar_PCKAPPAD=mod.PCKAPPAD;
modelStruct.d_modelPar_PCKAPPAD_dX=0.0;
modelStruct.modelPar_given_PCKAPPAD=mod.given("PCKAPPAD");
modelStruct.modelPar_WCKAPPAD=mod.WCKAPPAD;
modelStruct.d_modelPar_WCKAPPAD_dX=0.0;
modelStruct.modelPar_given_WCKAPPAD=mod.given("WCKAPPAD");
modelStruct.modelPar_P2CKAPPAD=mod.P2CKAPPAD;
modelStruct.d_modelPar_P2CKAPPAD_dX=0.0;
modelStruct.modelPar_given_P2CKAPPAD=mod.given("P2CKAPPAD");
modelStruct.modelPar_CKAPPAB=mod.CKAPPAB;
modelStruct.d_modelPar_CKAPPAB_dX=0.0;
modelStruct.modelPar_given_CKAPPAB=mod.given("CKAPPAB");
modelStruct.modelPar_LCKAPPAB=mod.LCKAPPAB;
modelStruct.d_modelPar_LCKAPPAB_dX=0.0;
modelStruct.modelPar_given_LCKAPPAB=mod.given("LCKAPPAB");
modelStruct.modelPar_NCKAPPAB=mod.NCKAPPAB;
modelStruct.d_modelPar_NCKAPPAB_dX=0.0;
modelStruct.modelPar_given_NCKAPPAB=mod.given("NCKAPPAB");
modelStruct.modelPar_PCKAPPAB=mod.PCKAPPAB;
modelStruct.d_modelPar_PCKAPPAB_dX=0.0;
modelStruct.modelPar_given_PCKAPPAB=mod.given("PCKAPPAB");
modelStruct.modelPar_WCKAPPAB=mod.WCKAPPAB;
modelStruct.d_modelPar_WCKAPPAB_dX=0.0;
modelStruct.modelPar_given_WCKAPPAB=mod.given("WCKAPPAB");
modelStruct.modelPar_P2CKAPPAB=mod.P2CKAPPAB;
modelStruct.d_modelPar_P2CKAPPAB_dX=0.0;
modelStruct.modelPar_given_P2CKAPPAB=mod.given("P2CKAPPAB");
modelStruct.modelPar_CSDESW=mod.CSDESW;
modelStruct.d_modelPar_CSDESW_dX=0.0;
modelStruct.modelPar_given_CSDESW=mod.given("CSDESW");
modelStruct.modelPar_CJS=mod.CJS;
modelStruct.d_modelPar_CJS_dX=0.0;
modelStruct.modelPar_given_CJS=mod.given("CJS");
modelStruct.modelPar_CJD=mod.CJD;
modelStruct.d_modelPar_CJD_dX=0.0;
modelStruct.modelPar_given_CJD=mod.given("CJD");
modelStruct.modelPar_CJSWS=mod.CJSWS;
modelStruct.d_modelPar_CJSWS_dX=0.0;
modelStruct.modelPar_given_CJSWS=mod.given("CJSWS");
modelStruct.modelPar_CJSWD=mod.CJSWD;
modelStruct.d_modelPar_CJSWD_dX=0.0;
modelStruct.modelPar_given_CJSWD=mod.given("CJSWD");
modelStruct.modelPar_CJSWGS=mod.CJSWGS;
modelStruct.d_modelPar_CJSWGS_dX=0.0;
modelStruct.modelPar_given_CJSWGS=mod.given("CJSWGS");
modelStruct.modelPar_CJSWGD=mod.CJSWGD;
modelStruct.d_modelPar_CJSWGD_dX=0.0;
modelStruct.modelPar_given_CJSWGD=mod.given("CJSWGD");
modelStruct.modelPar_PBS=mod.PBS;
modelStruct.d_modelPar_PBS_dX=0.0;
modelStruct.modelPar_given_PBS=mod.given("PBS");
modelStruct.modelPar_PBD=mod.PBD;
modelStruct.d_modelPar_PBD_dX=0.0;
modelStruct.modelPar_given_PBD=mod.given("PBD");
modelStruct.modelPar_PBSWS=mod.PBSWS;
modelStruct.d_modelPar_PBSWS_dX=0.0;
modelStruct.modelPar_given_PBSWS=mod.given("PBSWS");
modelStruct.modelPar_PBSWD=mod.PBSWD;
modelStruct.d_modelPar_PBSWD_dX=0.0;
modelStruct.modelPar_given_PBSWD=mod.given("PBSWD");
modelStruct.modelPar_PBSWGS=mod.PBSWGS;
modelStruct.d_modelPar_PBSWGS_dX=0.0;
modelStruct.modelPar_given_PBSWGS=mod.given("PBSWGS");
modelStruct.modelPar_PBSWGD=mod.PBSWGD;
modelStruct.d_modelPar_PBSWGD_dX=0.0;
modelStruct.modelPar_given_PBSWGD=mod.given("PBSWGD");
modelStruct.modelPar_MJS=mod.MJS;
modelStruct.d_modelPar_MJS_dX=0.0;
modelStruct.modelPar_given_MJS=mod.given("MJS");
modelStruct.modelPar_MJD=mod.MJD;
modelStruct.d_modelPar_MJD_dX=0.0;
modelStruct.modelPar_given_MJD=mod.given("MJD");
modelStruct.modelPar_MJSWS=mod.MJSWS;
modelStruct.d_modelPar_MJSWS_dX=0.0;
modelStruct.modelPar_given_MJSWS=mod.given("MJSWS");
modelStruct.modelPar_MJSWD=mod.MJSWD;
modelStruct.d_modelPar_MJSWD_dX=0.0;
modelStruct.modelPar_given_MJSWD=mod.given("MJSWD");
modelStruct.modelPar_MJSWGS=mod.MJSWGS;
modelStruct.d_modelPar_MJSWGS_dX=0.0;
modelStruct.modelPar_given_MJSWGS=mod.given("MJSWGS");
modelStruct.modelPar_MJSWGD=mod.MJSWGD;
modelStruct.d_modelPar_MJSWGD_dX=0.0;
modelStruct.modelPar_given_MJSWGD=mod.given("MJSWGD");
modelStruct.modelPar_SJS=mod.SJS;
modelStruct.d_modelPar_SJS_dX=0.0;
modelStruct.modelPar_given_SJS=mod.given("SJS");
modelStruct.modelPar_SJD=mod.SJD;
modelStruct.d_modelPar_SJD_dX=0.0;
modelStruct.modelPar_given_SJD=mod.given("SJD");
modelStruct.modelPar_SJSWS=mod.SJSWS;
modelStruct.d_modelPar_SJSWS_dX=0.0;
modelStruct.modelPar_given_SJSWS=mod.given("SJSWS");
modelStruct.modelPar_SJSWD=mod.SJSWD;
modelStruct.d_modelPar_SJSWD_dX=0.0;
modelStruct.modelPar_given_SJSWD=mod.given("SJSWD");
modelStruct.modelPar_SJSWGS=mod.SJSWGS;
modelStruct.d_modelPar_SJSWGS_dX=0.0;
modelStruct.modelPar_given_SJSWGS=mod.given("SJSWGS");
modelStruct.modelPar_SJSWGD=mod.SJSWGD;
modelStruct.d_modelPar_SJSWGD_dX=0.0;
modelStruct.modelPar_given_SJSWGD=mod.given("SJSWGD");
modelStruct.modelPar_MJS2=mod.MJS2;
modelStruct.d_modelPar_MJS2_dX=0.0;
modelStruct.modelPar_given_MJS2=mod.given("MJS2");
modelStruct.modelPar_MJD2=mod.MJD2;
modelStruct.d_modelPar_MJD2_dX=0.0;
modelStruct.modelPar_given_MJD2=mod.given("MJD2");
modelStruct.modelPar_MJSWS2=mod.MJSWS2;
modelStruct.d_modelPar_MJSWS2_dX=0.0;
modelStruct.modelPar_given_MJSWS2=mod.given("MJSWS2");
modelStruct.modelPar_MJSWD2=mod.MJSWD2;
modelStruct.d_modelPar_MJSWD2_dX=0.0;
modelStruct.modelPar_given_MJSWD2=mod.given("MJSWD2");
modelStruct.modelPar_MJSWGS2=mod.MJSWGS2;
modelStruct.d_modelPar_MJSWGS2_dX=0.0;
modelStruct.modelPar_given_MJSWGS2=mod.given("MJSWGS2");
modelStruct.modelPar_MJSWGD2=mod.MJSWGD2;
modelStruct.d_modelPar_MJSWGD2_dX=0.0;
modelStruct.modelPar_given_MJSWGD2=mod.given("MJSWGD2");
modelStruct.modelPar_JSS=mod.JSS;
modelStruct.d_modelPar_JSS_dX=0.0;
modelStruct.modelPar_given_JSS=mod.given("JSS");
modelStruct.modelPar_JSD=mod.JSD;
modelStruct.d_modelPar_JSD_dX=0.0;
modelStruct.modelPar_given_JSD=mod.given("JSD");
modelStruct.modelPar_JSWS=mod.JSWS;
modelStruct.d_modelPar_JSWS_dX=0.0;
modelStruct.modelPar_given_JSWS=mod.given("JSWS");
modelStruct.modelPar_JSWD=mod.JSWD;
modelStruct.d_modelPar_JSWD_dX=0.0;
modelStruct.modelPar_given_JSWD=mod.given("JSWD");
modelStruct.modelPar_JSWGS=mod.JSWGS;
modelStruct.d_modelPar_JSWGS_dX=0.0;
modelStruct.modelPar_given_JSWGS=mod.given("JSWGS");
modelStruct.modelPar_JSWGD=mod.JSWGD;
modelStruct.d_modelPar_JSWGD_dX=0.0;
modelStruct.modelPar_given_JSWGD=mod.given("JSWGD");
modelStruct.modelPar_NJS=mod.NJS;
modelStruct.d_modelPar_NJS_dX=0.0;
modelStruct.modelPar_given_NJS=mod.given("NJS");
modelStruct.modelPar_NJD=mod.NJD;
modelStruct.d_modelPar_NJD_dX=0.0;
modelStruct.modelPar_given_NJD=mod.given("NJD");
modelStruct.modelPar_IJTHSFWD=mod.IJTHSFWD;
modelStruct.d_modelPar_IJTHSFWD_dX=0.0;
modelStruct.modelPar_given_IJTHSFWD=mod.given("IJTHSFWD");
modelStruct.modelPar_IJTHDFWD=mod.IJTHDFWD;
modelStruct.d_modelPar_IJTHDFWD_dX=0.0;
modelStruct.modelPar_given_IJTHDFWD=mod.given("IJTHDFWD");
modelStruct.modelPar_IJTHSREV=mod.IJTHSREV;
modelStruct.d_modelPar_IJTHSREV_dX=0.0;
modelStruct.modelPar_given_IJTHSREV=mod.given("IJTHSREV");
modelStruct.modelPar_IJTHDREV=mod.IJTHDREV;
modelStruct.d_modelPar_IJTHDREV_dX=0.0;
modelStruct.modelPar_given_IJTHDREV=mod.given("IJTHDREV");
modelStruct.modelPar_BVS=mod.BVS;
modelStruct.d_modelPar_BVS_dX=0.0;
modelStruct.modelPar_given_BVS=mod.given("BVS");
modelStruct.modelPar_BVD=mod.BVD;
modelStruct.d_modelPar_BVD_dX=0.0;
modelStruct.modelPar_given_BVD=mod.given("BVD");
modelStruct.modelPar_XJBVS=mod.XJBVS;
modelStruct.d_modelPar_XJBVS_dX=0.0;
modelStruct.modelPar_given_XJBVS=mod.given("XJBVS");
modelStruct.modelPar_XJBVD=mod.XJBVD;
modelStruct.d_modelPar_XJBVD_dX=0.0;
modelStruct.modelPar_given_XJBVD=mod.given("XJBVD");
modelStruct.modelPar_JTSS=mod.JTSS;
modelStruct.d_modelPar_JTSS_dX=0.0;
modelStruct.modelPar_given_JTSS=mod.given("JTSS");
modelStruct.modelPar_JTSD=mod.JTSD;
modelStruct.d_modelPar_JTSD_dX=0.0;
modelStruct.modelPar_given_JTSD=mod.given("JTSD");
modelStruct.modelPar_JTSSWS=mod.JTSSWS;
modelStruct.d_modelPar_JTSSWS_dX=0.0;
modelStruct.modelPar_given_JTSSWS=mod.given("JTSSWS");
modelStruct.modelPar_JTSSWD=mod.JTSSWD;
modelStruct.d_modelPar_JTSSWD_dX=0.0;
modelStruct.modelPar_given_JTSSWD=mod.given("JTSSWD");
modelStruct.modelPar_JTSSWGS=mod.JTSSWGS;
modelStruct.d_modelPar_JTSSWGS_dX=0.0;
modelStruct.modelPar_given_JTSSWGS=mod.given("JTSSWGS");
modelStruct.modelPar_JTSSWGD=mod.JTSSWGD;
modelStruct.d_modelPar_JTSSWGD_dX=0.0;
modelStruct.modelPar_given_JTSSWGD=mod.given("JTSSWGD");
modelStruct.modelPar_JTWEFF=mod.JTWEFF;
modelStruct.d_modelPar_JTWEFF_dX=0.0;
modelStruct.modelPar_given_JTWEFF=mod.given("JTWEFF");
modelStruct.modelPar_NJTS=mod.NJTS;
modelStruct.d_modelPar_NJTS_dX=0.0;
modelStruct.modelPar_given_NJTS=mod.given("NJTS");
modelStruct.modelPar_NJTSD=mod.NJTSD;
modelStruct.d_modelPar_NJTSD_dX=0.0;
modelStruct.modelPar_given_NJTSD=mod.given("NJTSD");
modelStruct.modelPar_NJTSSW=mod.NJTSSW;
modelStruct.d_modelPar_NJTSSW_dX=0.0;
modelStruct.modelPar_given_NJTSSW=mod.given("NJTSSW");
modelStruct.modelPar_NJTSSWD=mod.NJTSSWD;
modelStruct.d_modelPar_NJTSSWD_dX=0.0;
modelStruct.modelPar_given_NJTSSWD=mod.given("NJTSSWD");
modelStruct.modelPar_NJTSSWG=mod.NJTSSWG;
modelStruct.d_modelPar_NJTSSWG_dX=0.0;
modelStruct.modelPar_given_NJTSSWG=mod.given("NJTSSWG");
modelStruct.modelPar_NJTSSWGD=mod.NJTSSWGD;
modelStruct.d_modelPar_NJTSSWGD_dX=0.0;
modelStruct.modelPar_given_NJTSSWGD=mod.given("NJTSSWGD");
modelStruct.modelPar_VTSS=mod.VTSS;
modelStruct.d_modelPar_VTSS_dX=0.0;
modelStruct.modelPar_given_VTSS=mod.given("VTSS");
modelStruct.modelPar_VTSD=mod.VTSD;
modelStruct.d_modelPar_VTSD_dX=0.0;
modelStruct.modelPar_given_VTSD=mod.given("VTSD");
modelStruct.modelPar_VTSSWS=mod.VTSSWS;
modelStruct.d_modelPar_VTSSWS_dX=0.0;
modelStruct.modelPar_given_VTSSWS=mod.given("VTSSWS");
modelStruct.modelPar_VTSSWD=mod.VTSSWD;
modelStruct.d_modelPar_VTSSWD_dX=0.0;
modelStruct.modelPar_given_VTSSWD=mod.given("VTSSWD");
modelStruct.modelPar_VTSSWGS=mod.VTSSWGS;
modelStruct.d_modelPar_VTSSWGS_dX=0.0;
modelStruct.modelPar_given_VTSSWGS=mod.given("VTSSWGS");
modelStruct.modelPar_VTSSWGD=mod.VTSSWGD;
modelStruct.d_modelPar_VTSSWGD_dX=0.0;
modelStruct.modelPar_given_VTSSWGD=mod.given("VTSSWGD");
modelStruct.modelPar_LINTIGEN=mod.LINTIGEN;
modelStruct.d_modelPar_LINTIGEN_dX=0.0;
modelStruct.modelPar_given_LINTIGEN=mod.given("LINTIGEN");
modelStruct.modelPar_NTGEN=mod.NTGEN;
modelStruct.d_modelPar_NTGEN_dX=0.0;
modelStruct.modelPar_given_NTGEN=mod.given("NTGEN");
modelStruct.modelPar_LNTGEN=mod.LNTGEN;
modelStruct.d_modelPar_LNTGEN_dX=0.0;
modelStruct.modelPar_given_LNTGEN=mod.given("LNTGEN");
modelStruct.modelPar_NNTGEN=mod.NNTGEN;
modelStruct.d_modelPar_NNTGEN_dX=0.0;
modelStruct.modelPar_given_NNTGEN=mod.given("NNTGEN");
modelStruct.modelPar_PNTGEN=mod.PNTGEN;
modelStruct.d_modelPar_PNTGEN_dX=0.0;
modelStruct.modelPar_given_PNTGEN=mod.given("PNTGEN");
modelStruct.modelPar_WNTGEN=mod.WNTGEN;
modelStruct.d_modelPar_WNTGEN_dX=0.0;
modelStruct.modelPar_given_WNTGEN=mod.given("WNTGEN");
modelStruct.modelPar_P2NTGEN=mod.P2NTGEN;
modelStruct.d_modelPar_P2NTGEN_dX=0.0;
modelStruct.modelPar_given_P2NTGEN=mod.given("P2NTGEN");
modelStruct.modelPar_AIGEN=mod.AIGEN;
modelStruct.d_modelPar_AIGEN_dX=0.0;
modelStruct.modelPar_given_AIGEN=mod.given("AIGEN");
modelStruct.modelPar_LAIGEN=mod.LAIGEN;
modelStruct.d_modelPar_LAIGEN_dX=0.0;
modelStruct.modelPar_given_LAIGEN=mod.given("LAIGEN");
modelStruct.modelPar_NAIGEN=mod.NAIGEN;
modelStruct.d_modelPar_NAIGEN_dX=0.0;
modelStruct.modelPar_given_NAIGEN=mod.given("NAIGEN");
modelStruct.modelPar_PAIGEN=mod.PAIGEN;
modelStruct.d_modelPar_PAIGEN_dX=0.0;
modelStruct.modelPar_given_PAIGEN=mod.given("PAIGEN");
modelStruct.modelPar_WAIGEN=mod.WAIGEN;
modelStruct.d_modelPar_WAIGEN_dX=0.0;
modelStruct.modelPar_given_WAIGEN=mod.given("WAIGEN");
modelStruct.modelPar_P2AIGEN=mod.P2AIGEN;
modelStruct.d_modelPar_P2AIGEN_dX=0.0;
modelStruct.modelPar_given_P2AIGEN=mod.given("P2AIGEN");
modelStruct.modelPar_BIGEN=mod.BIGEN;
modelStruct.d_modelPar_BIGEN_dX=0.0;
modelStruct.modelPar_given_BIGEN=mod.given("BIGEN");
modelStruct.modelPar_LBIGEN=mod.LBIGEN;
modelStruct.d_modelPar_LBIGEN_dX=0.0;
modelStruct.modelPar_given_LBIGEN=mod.given("LBIGEN");
modelStruct.modelPar_NBIGEN=mod.NBIGEN;
modelStruct.d_modelPar_NBIGEN_dX=0.0;
modelStruct.modelPar_given_NBIGEN=mod.given("NBIGEN");
modelStruct.modelPar_PBIGEN=mod.PBIGEN;
modelStruct.d_modelPar_PBIGEN_dX=0.0;
modelStruct.modelPar_given_PBIGEN=mod.given("PBIGEN");
modelStruct.modelPar_WBIGEN=mod.WBIGEN;
modelStruct.d_modelPar_WBIGEN_dX=0.0;
modelStruct.modelPar_given_WBIGEN=mod.given("WBIGEN");
modelStruct.modelPar_P2BIGEN=mod.P2BIGEN;
modelStruct.d_modelPar_P2BIGEN_dX=0.0;
modelStruct.modelPar_given_P2BIGEN=mod.given("P2BIGEN");
modelStruct.modelPar_XRCRG1=mod.XRCRG1;
modelStruct.d_modelPar_XRCRG1_dX=0.0;
modelStruct.modelPar_given_XRCRG1=mod.given("XRCRG1");
modelStruct.modelPar_LXRCRG1=mod.LXRCRG1;
modelStruct.d_modelPar_LXRCRG1_dX=0.0;
modelStruct.modelPar_given_LXRCRG1=mod.given("LXRCRG1");
modelStruct.modelPar_NXRCRG1=mod.NXRCRG1;
modelStruct.d_modelPar_NXRCRG1_dX=0.0;
modelStruct.modelPar_given_NXRCRG1=mod.given("NXRCRG1");
modelStruct.modelPar_PXRCRG1=mod.PXRCRG1;
modelStruct.d_modelPar_PXRCRG1_dX=0.0;
modelStruct.modelPar_given_PXRCRG1=mod.given("PXRCRG1");
modelStruct.modelPar_WXRCRG1=mod.WXRCRG1;
modelStruct.d_modelPar_WXRCRG1_dX=0.0;
modelStruct.modelPar_given_WXRCRG1=mod.given("WXRCRG1");
modelStruct.modelPar_P2XRCRG1=mod.P2XRCRG1;
modelStruct.d_modelPar_P2XRCRG1_dX=0.0;
modelStruct.modelPar_given_P2XRCRG1=mod.given("P2XRCRG1");
modelStruct.modelPar_XRCRG2=mod.XRCRG2;
modelStruct.d_modelPar_XRCRG2_dX=0.0;
modelStruct.modelPar_given_XRCRG2=mod.given("XRCRG2");
modelStruct.modelPar_LXRCRG2=mod.LXRCRG2;
modelStruct.d_modelPar_LXRCRG2_dX=0.0;
modelStruct.modelPar_given_LXRCRG2=mod.given("LXRCRG2");
modelStruct.modelPar_NXRCRG2=mod.NXRCRG2;
modelStruct.d_modelPar_NXRCRG2_dX=0.0;
modelStruct.modelPar_given_NXRCRG2=mod.given("NXRCRG2");
modelStruct.modelPar_PXRCRG2=mod.PXRCRG2;
modelStruct.d_modelPar_PXRCRG2_dX=0.0;
modelStruct.modelPar_given_PXRCRG2=mod.given("PXRCRG2");
modelStruct.modelPar_WXRCRG2=mod.WXRCRG2;
modelStruct.d_modelPar_WXRCRG2_dX=0.0;
modelStruct.modelPar_given_WXRCRG2=mod.given("WXRCRG2");
modelStruct.modelPar_P2XRCRG2=mod.P2XRCRG2;
modelStruct.d_modelPar_P2XRCRG2_dX=0.0;
modelStruct.modelPar_given_P2XRCRG2=mod.given("P2XRCRG2");
modelStruct.modelPar_EF=mod.EF;
modelStruct.d_modelPar_EF_dX=0.0;
modelStruct.modelPar_given_EF=mod.given("EF");
modelStruct.modelPar_EM=mod.EM;
modelStruct.d_modelPar_EM_dX=0.0;
modelStruct.modelPar_given_EM=mod.given("EM");
modelStruct.modelPar_NOIA=mod.NOIA;
modelStruct.d_modelPar_NOIA_dX=0.0;
modelStruct.modelPar_given_NOIA=mod.given("NOIA");
modelStruct.modelPar_NOIB=mod.NOIB;
modelStruct.d_modelPar_NOIB_dX=0.0;
modelStruct.modelPar_given_NOIB=mod.given("NOIB");
modelStruct.modelPar_NOIC=mod.NOIC;
modelStruct.d_modelPar_NOIC_dX=0.0;
modelStruct.modelPar_given_NOIC=mod.given("NOIC");
modelStruct.modelPar_LINTNOI=mod.LINTNOI;
modelStruct.d_modelPar_LINTNOI_dX=0.0;
modelStruct.modelPar_given_LINTNOI=mod.given("LINTNOI");
modelStruct.modelPar_SMOOTH=mod.SMOOTH;
modelStruct.d_modelPar_SMOOTH_dX=0.0;
modelStruct.modelPar_given_SMOOTH=mod.given("SMOOTH");
modelStruct.modelPar_NOIA2=mod.NOIA2;
modelStruct.d_modelPar_NOIA2_dX=0.0;
modelStruct.modelPar_given_NOIA2=mod.given("NOIA2");
modelStruct.modelPar_LNOIA2=mod.LNOIA2;
modelStruct.d_modelPar_LNOIA2_dX=0.0;
modelStruct.modelPar_given_LNOIA2=mod.given("LNOIA2");
modelStruct.modelPar_NNOIA2=mod.NNOIA2;
modelStruct.d_modelPar_NNOIA2_dX=0.0;
modelStruct.modelPar_given_NNOIA2=mod.given("NNOIA2");
modelStruct.modelPar_PNOIA2=mod.PNOIA2;
modelStruct.d_modelPar_PNOIA2_dX=0.0;
modelStruct.modelPar_given_PNOIA2=mod.given("PNOIA2");
modelStruct.modelPar_WNOIA2=mod.WNOIA2;
modelStruct.d_modelPar_WNOIA2_dX=0.0;
modelStruct.modelPar_given_WNOIA2=mod.given("WNOIA2");
modelStruct.modelPar_P2NOIA2=mod.P2NOIA2;
modelStruct.d_modelPar_P2NOIA2_dX=0.0;
modelStruct.modelPar_given_P2NOIA2=mod.given("P2NOIA2");
modelStruct.modelPar_MPOWER=mod.MPOWER;
modelStruct.d_modelPar_MPOWER_dX=0.0;
modelStruct.modelPar_given_MPOWER=mod.given("MPOWER");
modelStruct.modelPar_LMPOWER=mod.LMPOWER;
modelStruct.d_modelPar_LMPOWER_dX=0.0;
modelStruct.modelPar_given_LMPOWER=mod.given("LMPOWER");
modelStruct.modelPar_NMPOWER=mod.NMPOWER;
modelStruct.d_modelPar_NMPOWER_dX=0.0;
modelStruct.modelPar_given_NMPOWER=mod.given("NMPOWER");
modelStruct.modelPar_PMPOWER=mod.PMPOWER;
modelStruct.d_modelPar_PMPOWER_dX=0.0;
modelStruct.modelPar_given_PMPOWER=mod.given("PMPOWER");
modelStruct.modelPar_WMPOWER=mod.WMPOWER;
modelStruct.d_modelPar_WMPOWER_dX=0.0;
modelStruct.modelPar_given_WMPOWER=mod.given("WMPOWER");
modelStruct.modelPar_P2MPOWER=mod.P2MPOWER;
modelStruct.d_modelPar_P2MPOWER_dX=0.0;
modelStruct.modelPar_given_P2MPOWER=mod.given("P2MPOWER");
modelStruct.modelPar_QSREF=mod.QSREF;
modelStruct.d_modelPar_QSREF_dX=0.0;
modelStruct.modelPar_given_QSREF=mod.given("QSREF");
modelStruct.modelPar_LQSREF=mod.LQSREF;
modelStruct.d_modelPar_LQSREF_dX=0.0;
modelStruct.modelPar_given_LQSREF=mod.given("LQSREF");
modelStruct.modelPar_NQSREF=mod.NQSREF;
modelStruct.d_modelPar_NQSREF_dX=0.0;
modelStruct.modelPar_given_NQSREF=mod.given("NQSREF");
modelStruct.modelPar_PQSREF=mod.PQSREF;
modelStruct.d_modelPar_PQSREF_dX=0.0;
modelStruct.modelPar_given_PQSREF=mod.given("PQSREF");
modelStruct.modelPar_WQSREF=mod.WQSREF;
modelStruct.d_modelPar_WQSREF_dX=0.0;
modelStruct.modelPar_given_WQSREF=mod.given("WQSREF");
modelStruct.modelPar_P2QSREF=mod.P2QSREF;
modelStruct.d_modelPar_P2QSREF_dX=0.0;
modelStruct.modelPar_given_P2QSREF=mod.given("P2QSREF");
modelStruct.modelPar_NTNOI=mod.NTNOI;
modelStruct.d_modelPar_NTNOI_dX=0.0;
modelStruct.modelPar_given_NTNOI=mod.given("NTNOI");
modelStruct.modelPar_RNOIA=mod.RNOIA;
modelStruct.d_modelPar_RNOIA_dX=0.0;
modelStruct.modelPar_given_RNOIA=mod.given("RNOIA");
modelStruct.modelPar_TNOIA=mod.TNOIA;
modelStruct.d_modelPar_TNOIA_dX=0.0;
modelStruct.modelPar_given_TNOIA=mod.given("TNOIA");
modelStruct.modelPar_RNOIB=mod.RNOIB;
modelStruct.d_modelPar_RNOIB_dX=0.0;
modelStruct.modelPar_given_RNOIB=mod.given("RNOIB");
modelStruct.modelPar_TNOIB=mod.TNOIB;
modelStruct.d_modelPar_TNOIB_dX=0.0;
modelStruct.modelPar_given_TNOIB=mod.given("TNOIB");
modelStruct.modelPar_RNOIC=mod.RNOIC;
modelStruct.d_modelPar_RNOIC_dX=0.0;
modelStruct.modelPar_given_RNOIC=mod.given("RNOIC");
modelStruct.modelPar_TNOIC=mod.TNOIC;
modelStruct.d_modelPar_TNOIC_dX=0.0;
modelStruct.modelPar_given_TNOIC=mod.given("TNOIC");
modelStruct.modelPar_RNOIK=mod.RNOIK;
modelStruct.d_modelPar_RNOIK_dX=0.0;
modelStruct.modelPar_given_RNOIK=mod.given("RNOIK");
modelStruct.modelPar_TNOIK=mod.TNOIK;
modelStruct.d_modelPar_TNOIK_dX=0.0;
modelStruct.modelPar_given_TNOIK=mod.given("TNOIK");
modelStruct.modelPar_TNOIK2=mod.TNOIK2;
modelStruct.d_modelPar_TNOIK2_dX=0.0;
modelStruct.modelPar_given_TNOIK2=mod.given("TNOIK2");
modelStruct.modelPar_TNOM=mod.TNOM;
modelStruct.d_modelPar_TNOM_dX=0.0;
modelStruct.modelPar_given_TNOM=mod.given("TNOM");
modelStruct.modelPar_TBGASUB=mod.TBGASUB;
modelStruct.d_modelPar_TBGASUB_dX=0.0;
modelStruct.modelPar_given_TBGASUB=mod.given("TBGASUB");
modelStruct.modelPar_TBGBSUB=mod.TBGBSUB;
modelStruct.d_modelPar_TBGBSUB_dX=0.0;
modelStruct.modelPar_given_TBGBSUB=mod.given("TBGBSUB");
modelStruct.modelPar_KT1L=mod.KT1L;
modelStruct.d_modelPar_KT1L_dX=0.0;
modelStruct.modelPar_given_KT1L=mod.given("KT1L");
modelStruct.modelPar_TCJ=mod.TCJ;
modelStruct.d_modelPar_TCJ_dX=0.0;
modelStruct.modelPar_given_TCJ=mod.given("TCJ");
modelStruct.modelPar_TCJSW=mod.TCJSW;
modelStruct.d_modelPar_TCJSW_dX=0.0;
modelStruct.modelPar_given_TCJSW=mod.given("TCJSW");
modelStruct.modelPar_TCJSWG=mod.TCJSWG;
modelStruct.d_modelPar_TCJSWG_dX=0.0;
modelStruct.modelPar_given_TCJSWG=mod.given("TCJSWG");
modelStruct.modelPar_TPB=mod.TPB;
modelStruct.d_modelPar_TPB_dX=0.0;
modelStruct.modelPar_given_TPB=mod.given("TPB");
modelStruct.modelPar_TPBSW=mod.TPBSW;
modelStruct.d_modelPar_TPBSW_dX=0.0;
modelStruct.modelPar_given_TPBSW=mod.given("TPBSW");
modelStruct.modelPar_TPBSWG=mod.TPBSWG;
modelStruct.d_modelPar_TPBSWG_dX=0.0;
modelStruct.modelPar_given_TPBSWG=mod.given("TPBSWG");
modelStruct.modelPar_XTIS=mod.XTIS;
modelStruct.d_modelPar_XTIS_dX=0.0;
modelStruct.modelPar_given_XTIS=mod.given("XTIS");
modelStruct.modelPar_XTID=mod.XTID;
modelStruct.d_modelPar_XTID_dX=0.0;
modelStruct.modelPar_given_XTID=mod.given("XTID");
modelStruct.modelPar_XTSS=mod.XTSS;
modelStruct.d_modelPar_XTSS_dX=0.0;
modelStruct.modelPar_given_XTSS=mod.given("XTSS");
modelStruct.modelPar_XTSD=mod.XTSD;
modelStruct.d_modelPar_XTSD_dX=0.0;
modelStruct.modelPar_given_XTSD=mod.given("XTSD");
modelStruct.modelPar_XTSSWS=mod.XTSSWS;
modelStruct.d_modelPar_XTSSWS_dX=0.0;
modelStruct.modelPar_given_XTSSWS=mod.given("XTSSWS");
modelStruct.modelPar_XTSSWD=mod.XTSSWD;
modelStruct.d_modelPar_XTSSWD_dX=0.0;
modelStruct.modelPar_given_XTSSWD=mod.given("XTSSWD");
modelStruct.modelPar_XTSSWGS=mod.XTSSWGS;
modelStruct.d_modelPar_XTSSWGS_dX=0.0;
modelStruct.modelPar_given_XTSSWGS=mod.given("XTSSWGS");
modelStruct.modelPar_XTSSWGD=mod.XTSSWGD;
modelStruct.d_modelPar_XTSSWGD_dX=0.0;
modelStruct.modelPar_given_XTSSWGD=mod.given("XTSSWGD");
modelStruct.modelPar_TNJTS=mod.TNJTS;
modelStruct.d_modelPar_TNJTS_dX=0.0;
modelStruct.modelPar_given_TNJTS=mod.given("TNJTS");
modelStruct.modelPar_TNJTSD=mod.TNJTSD;
modelStruct.d_modelPar_TNJTSD_dX=0.0;
modelStruct.modelPar_given_TNJTSD=mod.given("TNJTSD");
modelStruct.modelPar_TNJTSSW=mod.TNJTSSW;
modelStruct.d_modelPar_TNJTSSW_dX=0.0;
modelStruct.modelPar_given_TNJTSSW=mod.given("TNJTSSW");
modelStruct.modelPar_TNJTSSWD=mod.TNJTSSWD;
modelStruct.d_modelPar_TNJTSSWD_dX=0.0;
modelStruct.modelPar_given_TNJTSSWD=mod.given("TNJTSSWD");
modelStruct.modelPar_TNJTSSWG=mod.TNJTSSWG;
modelStruct.d_modelPar_TNJTSSWG_dX=0.0;
modelStruct.modelPar_given_TNJTSSWG=mod.given("TNJTSSWG");
modelStruct.modelPar_TNJTSSWGD=mod.TNJTSSWGD;
modelStruct.d_modelPar_TNJTSSWGD_dX=0.0;
modelStruct.modelPar_given_TNJTSSWGD=mod.given("TNJTSSWGD");
modelStruct.modelPar_KT1=mod.KT1;
modelStruct.d_modelPar_KT1_dX=0.0;
modelStruct.modelPar_given_KT1=mod.given("KT1");
modelStruct.modelPar_LKT1=mod.LKT1;
modelStruct.d_modelPar_LKT1_dX=0.0;
modelStruct.modelPar_given_LKT1=mod.given("LKT1");
modelStruct.modelPar_NKT1=mod.NKT1;
modelStruct.d_modelPar_NKT1_dX=0.0;
modelStruct.modelPar_given_NKT1=mod.given("NKT1");
modelStruct.modelPar_PKT1=mod.PKT1;
modelStruct.d_modelPar_PKT1_dX=0.0;
modelStruct.modelPar_given_PKT1=mod.given("PKT1");
modelStruct.modelPar_WKT1=mod.WKT1;
modelStruct.d_modelPar_WKT1_dX=0.0;
modelStruct.modelPar_given_WKT1=mod.given("WKT1");
modelStruct.modelPar_P2KT1=mod.P2KT1;
modelStruct.d_modelPar_P2KT1_dX=0.0;
modelStruct.modelPar_given_P2KT1=mod.given("P2KT1");
modelStruct.modelPar_KT11=mod.KT11;
modelStruct.d_modelPar_KT11_dX=0.0;
modelStruct.modelPar_given_KT11=mod.given("KT11");
modelStruct.modelPar_KT12=mod.KT12;
modelStruct.d_modelPar_KT12_dX=0.0;
modelStruct.modelPar_given_KT12=mod.given("KT12");
modelStruct.modelPar_TVTH=mod.TVTH;
modelStruct.d_modelPar_TVTH_dX=0.0;
modelStruct.modelPar_given_TVTH=mod.given("TVTH");
modelStruct.modelPar_TSS=mod.TSS;
modelStruct.d_modelPar_TSS_dX=0.0;
modelStruct.modelPar_given_TSS=mod.given("TSS");
modelStruct.modelPar_LTSS=mod.LTSS;
modelStruct.d_modelPar_LTSS_dX=0.0;
modelStruct.modelPar_given_LTSS=mod.given("LTSS");
modelStruct.modelPar_NTSS=mod.NTSS;
modelStruct.d_modelPar_NTSS_dX=0.0;
modelStruct.modelPar_given_NTSS=mod.given("NTSS");
modelStruct.modelPar_PTSS=mod.PTSS;
modelStruct.d_modelPar_PTSS_dX=0.0;
modelStruct.modelPar_given_PTSS=mod.given("PTSS");
modelStruct.modelPar_WTSS=mod.WTSS;
modelStruct.d_modelPar_WTSS_dX=0.0;
modelStruct.modelPar_given_WTSS=mod.given("WTSS");
modelStruct.modelPar_P2TSS=mod.P2TSS;
modelStruct.d_modelPar_P2TSS_dX=0.0;
modelStruct.modelPar_given_P2TSS=mod.given("P2TSS");
modelStruct.modelPar_IIT=mod.IIT;
modelStruct.d_modelPar_IIT_dX=0.0;
modelStruct.modelPar_given_IIT=mod.given("IIT");
modelStruct.modelPar_LIIT=mod.LIIT;
modelStruct.d_modelPar_LIIT_dX=0.0;
modelStruct.modelPar_given_LIIT=mod.given("LIIT");
modelStruct.modelPar_NIIT=mod.NIIT;
modelStruct.d_modelPar_NIIT_dX=0.0;
modelStruct.modelPar_given_NIIT=mod.given("NIIT");
modelStruct.modelPar_PIIT=mod.PIIT;
modelStruct.d_modelPar_PIIT_dX=0.0;
modelStruct.modelPar_given_PIIT=mod.given("PIIT");
modelStruct.modelPar_WIIT=mod.WIIT;
modelStruct.d_modelPar_WIIT_dX=0.0;
modelStruct.modelPar_given_WIIT=mod.given("WIIT");
modelStruct.modelPar_P2IIT=mod.P2IIT;
modelStruct.d_modelPar_P2IIT_dX=0.0;
modelStruct.modelPar_given_P2IIT=mod.given("P2IIT");
modelStruct.modelPar_TII=mod.TII;
modelStruct.d_modelPar_TII_dX=0.0;
modelStruct.modelPar_given_TII=mod.given("TII");
modelStruct.modelPar_LTII=mod.LTII;
modelStruct.d_modelPar_LTII_dX=0.0;
modelStruct.modelPar_given_LTII=mod.given("LTII");
modelStruct.modelPar_NTII=mod.NTII;
modelStruct.d_modelPar_NTII_dX=0.0;
modelStruct.modelPar_given_NTII=mod.given("NTII");
modelStruct.modelPar_PTII=mod.PTII;
modelStruct.d_modelPar_PTII_dX=0.0;
modelStruct.modelPar_given_PTII=mod.given("PTII");
modelStruct.modelPar_WTII=mod.WTII;
modelStruct.d_modelPar_WTII_dX=0.0;
modelStruct.modelPar_given_WTII=mod.given("WTII");
modelStruct.modelPar_P2TII=mod.P2TII;
modelStruct.d_modelPar_P2TII_dX=0.0;
modelStruct.modelPar_given_P2TII=mod.given("P2TII");
modelStruct.modelPar_TGIDL=mod.TGIDL;
modelStruct.d_modelPar_TGIDL_dX=0.0;
modelStruct.modelPar_given_TGIDL=mod.given("TGIDL");
modelStruct.modelPar_LTGIDL=mod.LTGIDL;
modelStruct.d_modelPar_LTGIDL_dX=0.0;
modelStruct.modelPar_given_LTGIDL=mod.given("LTGIDL");
modelStruct.modelPar_NTGIDL=mod.NTGIDL;
modelStruct.d_modelPar_NTGIDL_dX=0.0;
modelStruct.modelPar_given_NTGIDL=mod.given("NTGIDL");
modelStruct.modelPar_PTGIDL=mod.PTGIDL;
modelStruct.d_modelPar_PTGIDL_dX=0.0;
modelStruct.modelPar_given_PTGIDL=mod.given("PTGIDL");
modelStruct.modelPar_WTGIDL=mod.WTGIDL;
modelStruct.d_modelPar_WTGIDL_dX=0.0;
modelStruct.modelPar_given_WTGIDL=mod.given("WTGIDL");
modelStruct.modelPar_P2TGIDL=mod.P2TGIDL;
modelStruct.d_modelPar_P2TGIDL_dX=0.0;
modelStruct.modelPar_given_P2TGIDL=mod.given("P2TGIDL");
modelStruct.modelPar_IGT=mod.IGT;
modelStruct.d_modelPar_IGT_dX=0.0;
modelStruct.modelPar_given_IGT=mod.given("IGT");
modelStruct.modelPar_LIGT=mod.LIGT;
modelStruct.d_modelPar_LIGT_dX=0.0;
modelStruct.modelPar_given_LIGT=mod.given("LIGT");
modelStruct.modelPar_NIGT=mod.NIGT;
modelStruct.d_modelPar_NIGT_dX=0.0;
modelStruct.modelPar_given_NIGT=mod.given("NIGT");
modelStruct.modelPar_PIGT=mod.PIGT;
modelStruct.d_modelPar_PIGT_dX=0.0;
modelStruct.modelPar_given_PIGT=mod.given("PIGT");
modelStruct.modelPar_WIGT=mod.WIGT;
modelStruct.d_modelPar_WIGT_dX=0.0;
modelStruct.modelPar_given_WIGT=mod.given("WIGT");
modelStruct.modelPar_P2IGT=mod.P2IGT;
modelStruct.d_modelPar_P2IGT_dX=0.0;
modelStruct.modelPar_given_P2IGT=mod.given("P2IGT");
modelStruct.modelPar_TLOW=mod.TLOW;
modelStruct.d_modelPar_TLOW_dX=0.0;
modelStruct.modelPar_given_TLOW=mod.given("TLOW");
modelStruct.modelPar_TLOW1=mod.TLOW1;
modelStruct.d_modelPar_TLOW1_dX=0.0;
modelStruct.modelPar_given_TLOW1=mod.given("TLOW1");
modelStruct.modelPar_DTLOW=mod.DTLOW;
modelStruct.d_modelPar_DTLOW_dX=0.0;
modelStruct.modelPar_given_DTLOW=mod.given("DTLOW");
modelStruct.modelPar_DTLOW1=mod.DTLOW1;
modelStruct.d_modelPar_DTLOW1_dX=0.0;
modelStruct.modelPar_given_DTLOW1=mod.given("DTLOW1");
modelStruct.modelPar_KLOW1=mod.KLOW1;
modelStruct.d_modelPar_KLOW1_dX=0.0;
modelStruct.modelPar_given_KLOW1=mod.given("KLOW1");
modelStruct.modelPar_RTH0=mod.RTH0;
modelStruct.d_modelPar_RTH0_dX=0.0;
modelStruct.modelPar_given_RTH0=mod.given("RTH0");
modelStruct.modelPar_CTH0=mod.CTH0;
modelStruct.d_modelPar_CTH0_dX=0.0;
modelStruct.modelPar_given_CTH0=mod.given("CTH0");
modelStruct.modelPar_WTH0=mod.WTH0;
modelStruct.d_modelPar_WTH0_dX=0.0;
modelStruct.modelPar_given_WTH0=mod.given("WTH0");
modelStruct.modelPar_ASHEXP=mod.ASHEXP;
modelStruct.d_modelPar_ASHEXP_dX=0.0;
modelStruct.modelPar_given_ASHEXP=mod.given("ASHEXP");
modelStruct.modelPar_BSHEXP=mod.BSHEXP;
modelStruct.d_modelPar_BSHEXP_dX=0.0;
modelStruct.modelPar_given_BSHEXP=mod.given("BSHEXP");
modelStruct.modelPar_ACH_UFCM=mod.ACH_UFCM;
modelStruct.d_modelPar_ACH_UFCM_dX=0.0;
modelStruct.modelPar_given_ACH_UFCM=mod.given("ACH_UFCM");
modelStruct.modelPar_CINS_UFCM=mod.CINS_UFCM;
modelStruct.d_modelPar_CINS_UFCM_dX=0.0;
modelStruct.modelPar_given_CINS_UFCM=mod.given("CINS_UFCM");
modelStruct.modelPar_W_UFCM=mod.W_UFCM;
modelStruct.d_modelPar_W_UFCM_dX=0.0;
modelStruct.modelPar_given_W_UFCM=mod.given("W_UFCM");
modelStruct.modelPar_TFIN_TOP=mod.TFIN_TOP;
modelStruct.d_modelPar_TFIN_TOP_dX=0.0;
modelStruct.modelPar_given_TFIN_TOP=mod.given("TFIN_TOP");
modelStruct.modelPar_TFIN_BASE=mod.TFIN_BASE;
modelStruct.d_modelPar_TFIN_BASE_dX=0.0;
modelStruct.modelPar_given_TFIN_BASE=mod.given("TFIN_BASE");
modelStruct.modelPar_QMFACTORCV=mod.QMFACTORCV;
modelStruct.d_modelPar_QMFACTORCV_dX=0.0;
modelStruct.modelPar_given_QMFACTORCV=mod.given("QMFACTORCV");
modelStruct.modelPar_ALPHA_UFCM=mod.ALPHA_UFCM;
modelStruct.d_modelPar_ALPHA_UFCM_dX=0.0;
modelStruct.modelPar_given_ALPHA_UFCM=mod.given("ALPHA_UFCM");
modelStruct.modelPar_LMIN=mod.LMIN;
modelStruct.d_modelPar_LMIN_dX=0.0;
modelStruct.modelPar_given_LMIN=mod.given("LMIN");
modelStruct.modelPar_WMIN=mod.WMIN;
modelStruct.d_modelPar_WMIN_dX=0.0;
modelStruct.modelPar_given_WMIN=mod.given("WMIN");
modelStruct.modelPar_LMAX=mod.LMAX;
modelStruct.d_modelPar_LMAX_dX=0.0;
modelStruct.modelPar_given_LMAX=mod.given("LMAX");
modelStruct.modelPar_WMAX=mod.WMAX;
modelStruct.d_modelPar_WMAX_dX=0.0;
modelStruct.modelPar_given_WMAX=mod.given("WMAX");
modelStruct.modelPar_DIM1H=mod.DIM1H;
modelStruct.d_modelPar_DIM1H_dX=0.0;
modelStruct.modelPar_given_DIM1H=mod.given("DIM1H");
modelStruct.modelPar_DIMENSION1=mod.DIMENSION1;
modelStruct.d_modelPar_DIMENSION1_dX=0.0;
modelStruct.modelPar_given_DIMENSION1=mod.given("DIMENSION1");
modelStruct.modelPar_LDIMENSION1=mod.LDIMENSION1;
modelStruct.d_modelPar_LDIMENSION1_dX=0.0;
modelStruct.modelPar_given_LDIMENSION1=mod.given("LDIMENSION1");
modelStruct.modelPar_NDIMENSION1=mod.NDIMENSION1;
modelStruct.d_modelPar_NDIMENSION1_dX=0.0;
modelStruct.modelPar_given_NDIMENSION1=mod.given("NDIMENSION1");
modelStruct.modelPar_PDIMENSION1=mod.PDIMENSION1;
modelStruct.d_modelPar_PDIMENSION1_dX=0.0;
modelStruct.modelPar_given_PDIMENSION1=mod.given("PDIMENSION1");
modelStruct.modelPar_WDIMENSION1=mod.WDIMENSION1;
modelStruct.d_modelPar_WDIMENSION1_dX=0.0;
modelStruct.modelPar_given_WDIMENSION1=mod.given("WDIMENSION1");
modelStruct.modelPar_P2DIMENSION1=mod.P2DIMENSION1;
modelStruct.d_modelPar_P2DIMENSION1_dX=0.0;
modelStruct.modelPar_given_P2DIMENSION1=mod.given("P2DIMENSION1");
modelStruct.modelPar_DIM2H=mod.DIM2H;
modelStruct.d_modelPar_DIM2H_dX=0.0;
modelStruct.modelPar_given_DIM2H=mod.given("DIM2H");
modelStruct.modelPar_DIMENSION2=mod.DIMENSION2;
modelStruct.d_modelPar_DIMENSION2_dX=0.0;
modelStruct.modelPar_given_DIMENSION2=mod.given("DIMENSION2");
modelStruct.modelPar_LDIMENSION2=mod.LDIMENSION2;
modelStruct.d_modelPar_LDIMENSION2_dX=0.0;
modelStruct.modelPar_given_LDIMENSION2=mod.given("LDIMENSION2");
modelStruct.modelPar_NDIMENSION2=mod.NDIMENSION2;
modelStruct.d_modelPar_NDIMENSION2_dX=0.0;
modelStruct.modelPar_given_NDIMENSION2=mod.given("NDIMENSION2");
modelStruct.modelPar_PDIMENSION2=mod.PDIMENSION2;
modelStruct.d_modelPar_PDIMENSION2_dX=0.0;
modelStruct.modelPar_given_PDIMENSION2=mod.given("PDIMENSION2");
modelStruct.modelPar_WDIMENSION2=mod.WDIMENSION2;
modelStruct.d_modelPar_WDIMENSION2_dX=0.0;
modelStruct.modelPar_given_WDIMENSION2=mod.given("WDIMENSION2");
modelStruct.modelPar_P2DIMENSION2=mod.P2DIMENSION2;
modelStruct.d_modelPar_P2DIMENSION2_dX=0.0;
modelStruct.modelPar_given_P2DIMENSION2=mod.given("P2DIMENSION2");
modelStruct.modelPar_DIM3H=mod.DIM3H;
modelStruct.d_modelPar_DIM3H_dX=0.0;
modelStruct.modelPar_given_DIM3H=mod.given("DIM3H");
modelStruct.modelPar_DIMENSION3=mod.DIMENSION3;
modelStruct.d_modelPar_DIMENSION3_dX=0.0;
modelStruct.modelPar_given_DIMENSION3=mod.given("DIMENSION3");
modelStruct.modelPar_LDIMENSION3=mod.LDIMENSION3;
modelStruct.d_modelPar_LDIMENSION3_dX=0.0;
modelStruct.modelPar_given_LDIMENSION3=mod.given("LDIMENSION3");
modelStruct.modelPar_NDIMENSION3=mod.NDIMENSION3;
modelStruct.d_modelPar_NDIMENSION3_dX=0.0;
modelStruct.modelPar_given_NDIMENSION3=mod.given("NDIMENSION3");
modelStruct.modelPar_PDIMENSION3=mod.PDIMENSION3;
modelStruct.d_modelPar_PDIMENSION3_dX=0.0;
modelStruct.modelPar_given_PDIMENSION3=mod.given("PDIMENSION3");
modelStruct.modelPar_WDIMENSION3=mod.WDIMENSION3;
modelStruct.d_modelPar_WDIMENSION3_dX=0.0;
modelStruct.modelPar_given_WDIMENSION3=mod.given("WDIMENSION3");
modelStruct.modelPar_P2DIMENSION3=mod.P2DIMENSION3;
modelStruct.d_modelPar_P2DIMENSION3_dX=0.0;
modelStruct.modelPar_given_P2DIMENSION3=mod.given("P2DIMENSION3");
modelStruct.modelPar_WDIM0=mod.WDIM0;
modelStruct.d_modelPar_WDIM0_dX=0.0;
modelStruct.modelPar_given_WDIM0=mod.given("WDIM0");
modelStruct.modelPar_WDIMR=mod.WDIMR;
modelStruct.d_modelPar_WDIMR_dX=0.0;
modelStruct.modelPar_given_WDIMR=mod.given("WDIMR");
modelStruct.modelPar_SSP1=mod.SSP1;
modelStruct.d_modelPar_SSP1_dX=0.0;
modelStruct.modelPar_given_SSP1=mod.given("SSP1");
modelStruct.modelPar_LSSP1=mod.LSSP1;
modelStruct.d_modelPar_LSSP1_dX=0.0;
modelStruct.modelPar_given_LSSP1=mod.given("LSSP1");
modelStruct.modelPar_NSSP1=mod.NSSP1;
modelStruct.d_modelPar_NSSP1_dX=0.0;
modelStruct.modelPar_given_NSSP1=mod.given("NSSP1");
modelStruct.modelPar_PSSP1=mod.PSSP1;
modelStruct.d_modelPar_PSSP1_dX=0.0;
modelStruct.modelPar_given_PSSP1=mod.given("PSSP1");
modelStruct.modelPar_WSSP1=mod.WSSP1;
modelStruct.d_modelPar_WSSP1_dX=0.0;
modelStruct.modelPar_given_WSSP1=mod.given("WSSP1");
modelStruct.modelPar_P2SSP1=mod.P2SSP1;
modelStruct.d_modelPar_P2SSP1_dX=0.0;
modelStruct.modelPar_given_P2SSP1=mod.given("P2SSP1");
modelStruct.modelPar_SSP2=mod.SSP2;
modelStruct.d_modelPar_SSP2_dX=0.0;
modelStruct.modelPar_given_SSP2=mod.given("SSP2");
modelStruct.modelPar_LSSP2=mod.LSSP2;
modelStruct.d_modelPar_LSSP2_dX=0.0;
modelStruct.modelPar_given_LSSP2=mod.given("LSSP2");
modelStruct.modelPar_NSSP2=mod.NSSP2;
modelStruct.d_modelPar_NSSP2_dX=0.0;
modelStruct.modelPar_given_NSSP2=mod.given("NSSP2");
modelStruct.modelPar_PSSP2=mod.PSSP2;
modelStruct.d_modelPar_PSSP2_dX=0.0;
modelStruct.modelPar_given_PSSP2=mod.given("PSSP2");
modelStruct.modelPar_WSSP2=mod.WSSP2;
modelStruct.d_modelPar_WSSP2_dX=0.0;
modelStruct.modelPar_given_WSSP2=mod.given("WSSP2");
modelStruct.modelPar_P2SSP2=mod.P2SSP2;
modelStruct.d_modelPar_P2SSP2_dX=0.0;
modelStruct.modelPar_given_P2SSP2=mod.given("P2SSP2");
modelStruct.modelPar_SSP3=mod.SSP3;
modelStruct.d_modelPar_SSP3_dX=0.0;
modelStruct.modelPar_given_SSP3=mod.given("SSP3");
modelStruct.modelPar_LSSP3=mod.LSSP3;
modelStruct.d_modelPar_LSSP3_dX=0.0;
modelStruct.modelPar_given_LSSP3=mod.given("LSSP3");
modelStruct.modelPar_NSSP3=mod.NSSP3;
modelStruct.d_modelPar_NSSP3_dX=0.0;
modelStruct.modelPar_given_NSSP3=mod.given("NSSP3");
modelStruct.modelPar_PSSP3=mod.PSSP3;
modelStruct.d_modelPar_PSSP3_dX=0.0;
modelStruct.modelPar_given_PSSP3=mod.given("PSSP3");
modelStruct.modelPar_WSSP3=mod.WSSP3;
modelStruct.d_modelPar_WSSP3_dX=0.0;
modelStruct.modelPar_given_WSSP3=mod.given("WSSP3");
modelStruct.modelPar_P2SSP3=mod.P2SSP3;
modelStruct.d_modelPar_P2SSP3_dX=0.0;
modelStruct.modelPar_given_P2SSP3=mod.given("P2SSP3");
modelStruct.modelPar_DSSP1=mod.DSSP1;
modelStruct.d_modelPar_DSSP1_dX=0.0;
modelStruct.modelPar_given_DSSP1=mod.given("DSSP1");
modelStruct.modelPar_DSSP2=mod.DSSP2;
modelStruct.d_modelPar_DSSP2_dX=0.0;
modelStruct.modelPar_given_DSSP2=mod.given("DSSP2");
modelStruct.modelPar_DSSP3=mod.DSSP3;
modelStruct.d_modelPar_DSSP3_dX=0.0;
modelStruct.modelPar_given_DSSP3=mod.given("DSSP3");
modelStruct.modelPar_WSSP0=mod.WSSP0;
modelStruct.d_modelPar_WSSP0_dX=0.0;
modelStruct.modelPar_given_WSSP0=mod.given("WSSP0");
modelStruct.modelPar_WSSPR=mod.WSSPR;
modelStruct.d_modelPar_WSSPR_dX=0.0;
modelStruct.modelPar_given_WSSPR=mod.given("WSSPR");
modelStruct.modelPar_WGAANOM=mod.WGAANOM;
modelStruct.d_modelPar_WGAANOM_dX=0.0;
modelStruct.modelPar_given_WGAANOM=mod.given("WGAANOM");
modelStruct.modelPar_E2NOM=mod.E2NOM;
modelStruct.d_modelPar_E2NOM_dX=0.0;
modelStruct.modelPar_given_E2NOM=mod.given("E2NOM");
modelStruct.modelPar_LE2NOM=mod.LE2NOM;
modelStruct.d_modelPar_LE2NOM_dX=0.0;
modelStruct.modelPar_given_LE2NOM=mod.given("LE2NOM");
modelStruct.modelPar_NE2NOM=mod.NE2NOM;
modelStruct.d_modelPar_NE2NOM_dX=0.0;
modelStruct.modelPar_given_NE2NOM=mod.given("NE2NOM");
modelStruct.modelPar_PE2NOM=mod.PE2NOM;
modelStruct.d_modelPar_PE2NOM_dX=0.0;
modelStruct.modelPar_given_PE2NOM=mod.given("PE2NOM");
modelStruct.modelPar_WE2NOM=mod.WE2NOM;
modelStruct.d_modelPar_WE2NOM_dX=0.0;
modelStruct.modelPar_given_WE2NOM=mod.given("WE2NOM");
modelStruct.modelPar_P2E2NOM=mod.P2E2NOM;
modelStruct.d_modelPar_P2E2NOM_dX=0.0;
modelStruct.modelPar_given_P2E2NOM=mod.given("P2E2NOM");
modelStruct.modelPar_E3NOM=mod.E3NOM;
modelStruct.d_modelPar_E3NOM_dX=0.0;
modelStruct.modelPar_given_E3NOM=mod.given("E3NOM");
modelStruct.modelPar_LE3NOM=mod.LE3NOM;
modelStruct.d_modelPar_LE3NOM_dX=0.0;
modelStruct.modelPar_given_LE3NOM=mod.given("LE3NOM");
modelStruct.modelPar_NE3NOM=mod.NE3NOM;
modelStruct.d_modelPar_NE3NOM_dX=0.0;
modelStruct.modelPar_given_NE3NOM=mod.given("NE3NOM");
modelStruct.modelPar_PE3NOM=mod.PE3NOM;
modelStruct.d_modelPar_PE3NOM_dX=0.0;
modelStruct.modelPar_given_PE3NOM=mod.given("PE3NOM");
modelStruct.modelPar_WE3NOM=mod.WE3NOM;
modelStruct.d_modelPar_WE3NOM_dX=0.0;
modelStruct.modelPar_given_WE3NOM=mod.given("WE3NOM");
modelStruct.modelPar_P2E3NOM=mod.P2E3NOM;
modelStruct.d_modelPar_P2E3NOM_dX=0.0;
modelStruct.modelPar_given_P2E3NOM=mod.given("P2E3NOM");
modelStruct.modelPar_MFE2=mod.MFE2;
modelStruct.d_modelPar_MFE2_dX=0.0;
modelStruct.modelPar_given_MFE2=mod.given("MFE2");
modelStruct.modelPar_MFE3=mod.MFE3;
modelStruct.d_modelPar_MFE3_dX=0.0;
modelStruct.modelPar_given_MFE3=mod.given("MFE3");
modelStruct.modelPar_WSFE2=mod.WSFE2;
modelStruct.d_modelPar_WSFE2_dX=0.0;
modelStruct.modelPar_given_WSFE2=mod.given("WSFE2");
modelStruct.modelPar_WSFE3=mod.WSFE3;
modelStruct.d_modelPar_WSFE3_dX=0.0;
modelStruct.modelPar_given_WSFE3=mod.given("WSFE3");
modelStruct.modelPar_MFQ1NOM=mod.MFQ1NOM;
modelStruct.d_modelPar_MFQ1NOM_dX=0.0;
modelStruct.modelPar_given_MFQ1NOM=mod.given("MFQ1NOM");
modelStruct.modelPar_LMFQ1NOM=mod.LMFQ1NOM;
modelStruct.d_modelPar_LMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_LMFQ1NOM=mod.given("LMFQ1NOM");
modelStruct.modelPar_NMFQ1NOM=mod.NMFQ1NOM;
modelStruct.d_modelPar_NMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_NMFQ1NOM=mod.given("NMFQ1NOM");
modelStruct.modelPar_PMFQ1NOM=mod.PMFQ1NOM;
modelStruct.d_modelPar_PMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_PMFQ1NOM=mod.given("PMFQ1NOM");
modelStruct.modelPar_WMFQ1NOM=mod.WMFQ1NOM;
modelStruct.d_modelPar_WMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_WMFQ1NOM=mod.given("WMFQ1NOM");
modelStruct.modelPar_P2MFQ1NOM=mod.P2MFQ1NOM;
modelStruct.d_modelPar_P2MFQ1NOM_dX=0.0;
modelStruct.modelPar_given_P2MFQ1NOM=mod.given("P2MFQ1NOM");
modelStruct.modelPar_MFQ2NOM=mod.MFQ2NOM;
modelStruct.d_modelPar_MFQ2NOM_dX=0.0;
modelStruct.modelPar_given_MFQ2NOM=mod.given("MFQ2NOM");
modelStruct.modelPar_LMFQ2NOM=mod.LMFQ2NOM;
modelStruct.d_modelPar_LMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_LMFQ2NOM=mod.given("LMFQ2NOM");
modelStruct.modelPar_NMFQ2NOM=mod.NMFQ2NOM;
modelStruct.d_modelPar_NMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_NMFQ2NOM=mod.given("NMFQ2NOM");
modelStruct.modelPar_PMFQ2NOM=mod.PMFQ2NOM;
modelStruct.d_modelPar_PMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_PMFQ2NOM=mod.given("PMFQ2NOM");
modelStruct.modelPar_WMFQ2NOM=mod.WMFQ2NOM;
modelStruct.d_modelPar_WMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_WMFQ2NOM=mod.given("WMFQ2NOM");
modelStruct.modelPar_P2MFQ2NOM=mod.P2MFQ2NOM;
modelStruct.d_modelPar_P2MFQ2NOM_dX=0.0;
modelStruct.modelPar_given_P2MFQ2NOM=mod.given("P2MFQ2NOM");
modelStruct.modelPar_MFQ3NOM=mod.MFQ3NOM;
modelStruct.d_modelPar_MFQ3NOM_dX=0.0;
modelStruct.modelPar_given_MFQ3NOM=mod.given("MFQ3NOM");
modelStruct.modelPar_LMFQ3NOM=mod.LMFQ3NOM;
modelStruct.d_modelPar_LMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_LMFQ3NOM=mod.given("LMFQ3NOM");
modelStruct.modelPar_NMFQ3NOM=mod.NMFQ3NOM;
modelStruct.d_modelPar_NMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_NMFQ3NOM=mod.given("NMFQ3NOM");
modelStruct.modelPar_PMFQ3NOM=mod.PMFQ3NOM;
modelStruct.d_modelPar_PMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_PMFQ3NOM=mod.given("PMFQ3NOM");
modelStruct.modelPar_WMFQ3NOM=mod.WMFQ3NOM;
modelStruct.d_modelPar_WMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_WMFQ3NOM=mod.given("WMFQ3NOM");
modelStruct.modelPar_P2MFQ3NOM=mod.P2MFQ3NOM;
modelStruct.d_modelPar_P2MFQ3NOM_dX=0.0;
modelStruct.modelPar_given_P2MFQ3NOM=mod.given("P2MFQ3NOM");
modelStruct.modelPar_MFQ1=mod.MFQ1;
modelStruct.d_modelPar_MFQ1_dX=0.0;
modelStruct.modelPar_given_MFQ1=mod.given("MFQ1");
modelStruct.modelPar_MFQ2=mod.MFQ2;
modelStruct.d_modelPar_MFQ2_dX=0.0;
modelStruct.modelPar_given_MFQ2=mod.given("MFQ2");
modelStruct.modelPar_MFQ3=mod.MFQ3;
modelStruct.d_modelPar_MFQ3_dX=0.0;
modelStruct.modelPar_given_MFQ3=mod.given("MFQ3");
modelStruct.modelPar_WSFQ1=mod.WSFQ1;
modelStruct.d_modelPar_WSFQ1_dX=0.0;
modelStruct.modelPar_given_WSFQ1=mod.given("WSFQ1");
modelStruct.modelPar_WSFQ2=mod.WSFQ2;
modelStruct.d_modelPar_WSFQ2_dX=0.0;
modelStruct.modelPar_given_WSFQ2=mod.given("WSFQ2");
modelStruct.modelPar_WSFQ3=mod.WSFQ3;
modelStruct.d_modelPar_WSFQ3_dX=0.0;
modelStruct.modelPar_given_WSFQ3=mod.given("WSFQ3");
modelStruct.modelPar_TSRE2=mod.TSRE2;
modelStruct.d_modelPar_TSRE2_dX=0.0;
modelStruct.modelPar_given_TSRE2=mod.given("TSRE2");
modelStruct.modelPar_TDWSE2=mod.TDWSE2;
modelStruct.d_modelPar_TDWSE2_dX=0.0;
modelStruct.modelPar_given_TDWSE2=mod.given("TDWSE2");
modelStruct.modelPar_TSRE3=mod.TSRE3;
modelStruct.d_modelPar_TSRE3_dX=0.0;
modelStruct.modelPar_given_TSRE3=mod.given("TSRE3");
modelStruct.modelPar_TDWSE3=mod.TDWSE3;
modelStruct.d_modelPar_TDWSE3_dX=0.0;
modelStruct.modelPar_given_TDWSE3=mod.given("TDWSE3");
modelStruct.modelPar_TSRQ1=mod.TSRQ1;
modelStruct.d_modelPar_TSRQ1_dX=0.0;
modelStruct.modelPar_given_TSRQ1=mod.given("TSRQ1");
modelStruct.modelPar_TDWSQ1=mod.TDWSQ1;
modelStruct.d_modelPar_TDWSQ1_dX=0.0;
modelStruct.modelPar_given_TDWSQ1=mod.given("TDWSQ1");
modelStruct.modelPar_TSRQ2=mod.TSRQ2;
modelStruct.d_modelPar_TSRQ2_dX=0.0;
modelStruct.modelPar_given_TSRQ2=mod.given("TSRQ2");
modelStruct.modelPar_TDWSQ2=mod.TDWSQ2;
modelStruct.d_modelPar_TDWSQ2_dX=0.0;
modelStruct.modelPar_given_TDWSQ2=mod.given("TDWSQ2");
modelStruct.modelPar_TSRQ3=mod.TSRQ3;
modelStruct.d_modelPar_TSRQ3_dX=0.0;
modelStruct.modelPar_given_TSRQ3=mod.given("TSRQ3");
modelStruct.modelPar_TDWSQ3=mod.TDWSQ3;
modelStruct.d_modelPar_TDWSQ3_dX=0.0;
modelStruct.modelPar_given_TDWSQ3=mod.given("TDWSQ3");
modelStruct.modelPar_NVSRD=mod.NVSRD;
modelStruct.d_modelPar_NVSRD_dX=0.0;
modelStruct.modelPar_given_NVSRD=mod.given("NVSRD");
modelStruct.modelPar_VSATRSD=mod.VSATRSD;
modelStruct.d_modelPar_VSATRSD_dX=0.0;
modelStruct.modelPar_given_VSATRSD=mod.given("VSATRSD");
modelStruct.modelPar_PTWGVSRSD=mod.PTWGVSRSD;
modelStruct.d_modelPar_PTWGVSRSD_dX=0.0;
modelStruct.modelPar_given_PTWGVSRSD=mod.given("PTWGVSRSD");
modelStruct.modelPar_PTWG1VSRSD=mod.PTWG1VSRSD;
modelStruct.d_modelPar_PTWG1VSRSD_dX=0.0;
modelStruct.modelPar_given_PTWG1VSRSD=mod.given("PTWG1VSRSD");
modelStruct.modelPar_PSATXVSRSD=mod.PSATXVSRSD;
modelStruct.d_modelPar_PSATXVSRSD_dX=0.0;
modelStruct.modelPar_given_PSATXVSRSD=mod.given("PSATXVSRSD");
modelStruct.modelPar_MVSRSD=mod.MVSRSD;
modelStruct.d_modelPar_MVSRSD_dX=0.0;
modelStruct.modelPar_given_MVSRSD=mod.given("MVSRSD");
modelStruct.modelPar_NVSRS=mod.NVSRS;
modelStruct.d_modelPar_NVSRS_dX=0.0;
modelStruct.modelPar_given_NVSRS=mod.given("NVSRS");
modelStruct.modelPar_RDLCW=mod.RDLCW;
modelStruct.d_modelPar_RDLCW_dX=0.0;
modelStruct.modelPar_given_RDLCW=mod.given("RDLCW");
modelStruct.modelPar_RSLCW=mod.RSLCW;
modelStruct.d_modelPar_RSLCW_dX=0.0;
modelStruct.modelPar_given_RSLCW=mod.given("RSLCW");
modelStruct.modelPar_PRTVSRSD=mod.PRTVSRSD;
modelStruct.d_modelPar_PRTVSRSD_dX=0.0;
modelStruct.modelPar_given_PRTVSRSD=mod.given("PRTVSRSD");
modelStruct.modelPar_ATVSRSD=mod.ATVSRSD;
modelStruct.d_modelPar_ATVSRSD_dX=0.0;
modelStruct.modelPar_given_ATVSRSD=mod.given("ATVSRSD");
modelStruct.modelPar_VSRDFACTOR=mod.VSRDFACTOR;
modelStruct.d_modelPar_VSRDFACTOR_dX=0.0;
modelStruct.modelPar_given_VSRDFACTOR=mod.given("VSRDFACTOR");
modelStruct.modelPar_VSRSFACTOR=mod.VSRSFACTOR;
modelStruct.d_modelPar_VSRSFACTOR_dX=0.0;
modelStruct.modelPar_given_VSRSFACTOR=mod.given("VSRSFACTOR");
modelStruct.modelPar_RDVDS=mod.RDVDS;
modelStruct.d_modelPar_RDVDS_dX=0.0;
modelStruct.modelPar_given_RDVDS=mod.given("RDVDS");
modelStruct.modelPar_GAVSRD=mod.GAVSRD;
modelStruct.d_modelPar_GAVSRD_dX=0.0;
modelStruct.modelPar_given_GAVSRD=mod.given("GAVSRD");


// hidden reals


// non-reals (including hiddens)
modelStruct.modelPar_NGCON=mod.NGCON;
modelStruct.modelPar_given_NGCON=mod.given("NGCON");
modelStruct.modelPar_NGAA=mod.NGAA;
modelStruct.modelPar_given_NGAA=mod.given("NGAA");
modelStruct.modelPar_SUBBANDMOD=mod.SUBBANDMOD;
modelStruct.modelPar_given_SUBBANDMOD=mod.given("SUBBANDMOD");
modelStruct.modelPar_MOBSCMOD=mod.MOBSCMOD;
modelStruct.modelPar_given_MOBSCMOD=mod.given("MOBSCMOD");
modelStruct.modelPar_TYPE=mod.TYPE;
modelStruct.modelPar_given_TYPE=mod.given("TYPE");
modelStruct.modelPar_BULKMOD=mod.BULKMOD;
modelStruct.modelPar_given_BULKMOD=mod.given("BULKMOD");
modelStruct.modelPar_GEOMOD=mod.GEOMOD;
modelStruct.modelPar_given_GEOMOD=mod.given("GEOMOD");
modelStruct.modelPar_CGEO1SW=mod.CGEO1SW;
modelStruct.modelPar_given_CGEO1SW=mod.given("CGEO1SW");
modelStruct.modelPar_RDSMOD=mod.RDSMOD;
modelStruct.modelPar_given_RDSMOD=mod.given("RDSMOD");
modelStruct.modelPar_ASYMMOD=mod.ASYMMOD;
modelStruct.modelPar_given_ASYMMOD=mod.given("ASYMMOD");
modelStruct.modelPar_CVMOD=mod.CVMOD;
modelStruct.modelPar_given_CVMOD=mod.given("CVMOD");
modelStruct.modelPar_IGCMOD=mod.IGCMOD;
modelStruct.modelPar_given_IGCMOD=mod.given("IGCMOD");
modelStruct.modelPar_IGBMOD=mod.IGBMOD;
modelStruct.modelPar_given_IGBMOD=mod.given("IGBMOD");
modelStruct.modelPar_GIDLMOD=mod.GIDLMOD;
modelStruct.modelPar_given_GIDLMOD=mod.given("GIDLMOD");
modelStruct.modelPar_IIMOD=mod.IIMOD;
modelStruct.modelPar_given_IIMOD=mod.given("IIMOD");
modelStruct.modelPar_TNOIMOD=mod.TNOIMOD;
modelStruct.modelPar_given_TNOIMOD=mod.given("TNOIMOD");
modelStruct.modelPar_NQSMOD=mod.NQSMOD;
modelStruct.modelPar_given_NQSMOD=mod.given("NQSMOD");
modelStruct.modelPar_SHMOD=mod.SHMOD;
modelStruct.modelPar_given_SHMOD=mod.given("SHMOD");
modelStruct.modelPar_TEMPMOD=mod.TEMPMOD;
modelStruct.modelPar_given_TEMPMOD=mod.given("TEMPMOD");
modelStruct.modelPar_RGATEMOD=mod.RGATEMOD;
modelStruct.modelPar_given_RGATEMOD=mod.given("RGATEMOD");
modelStruct.modelPar_RGEOMOD=mod.RGEOMOD;
modelStruct.modelPar_given_RGEOMOD=mod.given("RGEOMOD");
modelStruct.modelPar_CGEOMOD=mod.CGEOMOD;
modelStruct.modelPar_given_CGEOMOD=mod.given("CGEOMOD");
modelStruct.modelPar_FNMOD=mod.FNMOD;
modelStruct.modelPar_given_FNMOD=mod.given("FNMOD");
modelStruct.modelPar_CRYOMOD=mod.CRYOMOD;
modelStruct.modelPar_given_CRYOMOD=mod.given("CRYOMOD");
modelStruct.modelPar_SH_WARN=mod.SH_WARN;
modelStruct.modelPar_given_SH_WARN=mod.given("SH_WARN");
modelStruct.modelPar_IGCLAMP=mod.IGCLAMP;
modelStruct.modelPar_given_IGCLAMP=mod.given("IGCLAMP");
modelStruct.modelPar_SDTERM=mod.SDTERM;
modelStruct.modelPar_given_SDTERM=mod.given("SDTERM");



// Copy out all the instance parameters (doubles) into local struct
// Keep a map so we can set the right one to the independent variable
// We do this solely to avoid a big ugly "if/else" block just to find the
// one parameter we're doing sensitivities on.
unordered_map <std::string,double*,HashNoCase,EqualNoCase> inParamMap;
instanceSensStruct instanceStruct;
// reals
instanceStruct.instancePar_L=in.L;
instanceStruct.d_instancePar_L_dX=0.0;
instanceStruct.instancePar_given_L=in.given("L");
inParamMap["L"] = &(instanceStruct.d_instancePar_L_dX);
instanceStruct.instancePar_D=in.D;
instanceStruct.d_instancePar_D_dX=0.0;
instanceStruct.instancePar_given_D=in.given("D");
inParamMap["D"] = &(instanceStruct.d_instancePar_D_dX);
instanceStruct.instancePar_TFIN=in.TFIN;
instanceStruct.d_instancePar_TFIN_dX=0.0;
instanceStruct.instancePar_given_TFIN=in.given("TFIN");
inParamMap["TFIN"] = &(instanceStruct.d_instancePar_TFIN_dX);
instanceStruct.instancePar_FPITCH=in.FPITCH;
instanceStruct.d_instancePar_FPITCH_dX=0.0;
instanceStruct.instancePar_given_FPITCH=in.given("FPITCH");
inParamMap["FPITCH"] = &(instanceStruct.d_instancePar_FPITCH_dX);
instanceStruct.instancePar_NFIN=in.NFIN;
instanceStruct.d_instancePar_NFIN_dX=0.0;
instanceStruct.instancePar_given_NFIN=in.given("NFIN");
inParamMap["NFIN"] = &(instanceStruct.d_instancePar_NFIN_dX);
instanceStruct.instancePar_ASEO=in.ASEO;
instanceStruct.d_instancePar_ASEO_dX=0.0;
instanceStruct.instancePar_given_ASEO=in.given("ASEO");
inParamMap["ASEO"] = &(instanceStruct.d_instancePar_ASEO_dX);
instanceStruct.instancePar_ADEO=in.ADEO;
instanceStruct.d_instancePar_ADEO_dX=0.0;
instanceStruct.instancePar_given_ADEO=in.given("ADEO");
inParamMap["ADEO"] = &(instanceStruct.d_instancePar_ADEO_dX);
instanceStruct.instancePar_PSEO=in.PSEO;
instanceStruct.d_instancePar_PSEO_dX=0.0;
instanceStruct.instancePar_given_PSEO=in.given("PSEO");
inParamMap["PSEO"] = &(instanceStruct.d_instancePar_PSEO_dX);
instanceStruct.instancePar_PDEO=in.PDEO;
instanceStruct.d_instancePar_PDEO_dX=0.0;
instanceStruct.instancePar_given_PDEO=in.given("PDEO");
inParamMap["PDEO"] = &(instanceStruct.d_instancePar_PDEO_dX);
instanceStruct.instancePar_ASEJ=in.ASEJ;
instanceStruct.d_instancePar_ASEJ_dX=0.0;
instanceStruct.instancePar_given_ASEJ=in.given("ASEJ");
inParamMap["ASEJ"] = &(instanceStruct.d_instancePar_ASEJ_dX);
instanceStruct.instancePar_ADEJ=in.ADEJ;
instanceStruct.d_instancePar_ADEJ_dX=0.0;
instanceStruct.instancePar_given_ADEJ=in.given("ADEJ");
inParamMap["ADEJ"] = &(instanceStruct.d_instancePar_ADEJ_dX);
instanceStruct.instancePar_PSEJ=in.PSEJ;
instanceStruct.d_instancePar_PSEJ_dX=0.0;
instanceStruct.instancePar_given_PSEJ=in.given("PSEJ");
inParamMap["PSEJ"] = &(instanceStruct.d_instancePar_PSEJ_dX);
instanceStruct.instancePar_PDEJ=in.PDEJ;
instanceStruct.d_instancePar_PDEJ_dX=0.0;
instanceStruct.instancePar_given_PDEJ=in.given("PDEJ");
inParamMap["PDEJ"] = &(instanceStruct.d_instancePar_PDEJ_dX);
instanceStruct.instancePar_CGSP=in.CGSP;
instanceStruct.d_instancePar_CGSP_dX=0.0;
instanceStruct.instancePar_given_CGSP=in.given("CGSP");
inParamMap["CGSP"] = &(instanceStruct.d_instancePar_CGSP_dX);
instanceStruct.instancePar_CGDP=in.CGDP;
instanceStruct.d_instancePar_CGDP_dX=0.0;
instanceStruct.instancePar_given_CGDP=in.given("CGDP");
inParamMap["CGDP"] = &(instanceStruct.d_instancePar_CGDP_dX);
instanceStruct.instancePar_CDSP=in.CDSP;
instanceStruct.d_instancePar_CDSP_dX=0.0;
instanceStruct.instancePar_given_CDSP=in.given("CDSP");
inParamMap["CDSP"] = &(instanceStruct.d_instancePar_CDSP_dX);
instanceStruct.instancePar_NRS=in.NRS;
instanceStruct.d_instancePar_NRS_dX=0.0;
instanceStruct.instancePar_given_NRS=in.given("NRS");
inParamMap["NRS"] = &(instanceStruct.d_instancePar_NRS_dX);
instanceStruct.instancePar_NRD=in.NRD;
instanceStruct.d_instancePar_NRD_dX=0.0;
instanceStruct.instancePar_given_NRD=in.given("NRD");
inParamMap["NRD"] = &(instanceStruct.d_instancePar_NRD_dX);
instanceStruct.instancePar_LRSD=in.LRSD;
instanceStruct.d_instancePar_LRSD_dX=0.0;
instanceStruct.instancePar_given_LRSD=in.given("LRSD");
inParamMap["LRSD"] = &(instanceStruct.d_instancePar_LRSD_dX);
instanceStruct.instancePar_NFINNOM=in.NFINNOM;
instanceStruct.d_instancePar_NFINNOM_dX=0.0;
instanceStruct.instancePar_given_NFINNOM=in.given("NFINNOM");
inParamMap["NFINNOM"] = &(instanceStruct.d_instancePar_NFINNOM_dX);
instanceStruct.instancePar_DTEMP=in.DTEMP;
instanceStruct.d_instancePar_DTEMP_dX=0.0;
instanceStruct.instancePar_given_DTEMP=in.given("DTEMP");
inParamMap["DTEMP"] = &(instanceStruct.d_instancePar_DTEMP_dX);
instanceStruct.instancePar_DELVTRAND=in.DELVTRAND;
instanceStruct.d_instancePar_DELVTRAND_dX=0.0;
instanceStruct.instancePar_given_DELVTRAND=in.given("DELVTRAND");
inParamMap["DELVTRAND"] = &(instanceStruct.d_instancePar_DELVTRAND_dX);
instanceStruct.instancePar_U0MULT=in.U0MULT;
instanceStruct.d_instancePar_U0MULT_dX=0.0;
instanceStruct.instancePar_given_U0MULT=in.given("U0MULT");
inParamMap["U0MULT"] = &(instanceStruct.d_instancePar_U0MULT_dX);
instanceStruct.instancePar_IDS0MULT=in.IDS0MULT;
instanceStruct.d_instancePar_IDS0MULT_dX=0.0;
instanceStruct.instancePar_given_IDS0MULT=in.given("IDS0MULT");
inParamMap["IDS0MULT"] = &(instanceStruct.d_instancePar_IDS0MULT_dX);
instanceStruct.instancePar_IGC0MULT=in.IGC0MULT;
instanceStruct.d_instancePar_IGC0MULT_dX=0.0;
instanceStruct.instancePar_given_IGC0MULT=in.given("IGC0MULT");
inParamMap["IGC0MULT"] = &(instanceStruct.d_instancePar_IGC0MULT_dX);
instanceStruct.instancePar_IGB0MULT=in.IGB0MULT;
instanceStruct.d_instancePar_IGB0MULT_dX=0.0;
instanceStruct.instancePar_given_IGB0MULT=in.given("IGB0MULT");
inParamMap["IGB0MULT"] = &(instanceStruct.d_instancePar_IGB0MULT_dX);
instanceStruct.instancePar_COVS=in.COVS;
instanceStruct.d_instancePar_COVS_dX=0.0;
instanceStruct.instancePar_given_COVS=in.given("COVS");
inParamMap["COVS"] = &(instanceStruct.d_instancePar_COVS_dX);
instanceStruct.instancePar_COVD=in.COVD;
instanceStruct.d_instancePar_COVD_dX=0.0;
instanceStruct.instancePar_given_COVD=in.given("COVD");
inParamMap["COVD"] = &(instanceStruct.d_instancePar_COVD_dX);
instanceStruct.instancePar_TGAA=in.TGAA;
instanceStruct.d_instancePar_TGAA_dX=0.0;
instanceStruct.instancePar_given_TGAA=in.given("TGAA");
inParamMap["TGAA"] = &(instanceStruct.d_instancePar_TGAA_dX);
instanceStruct.instancePar_TSUS=in.TSUS;
instanceStruct.d_instancePar_TSUS_dX=0.0;
instanceStruct.instancePar_given_TSUS=in.given("TSUS");
inParamMap["TSUS"] = &(instanceStruct.d_instancePar_TSUS_dX);
instanceStruct.instancePar_HPFF=in.HPFF;
instanceStruct.d_instancePar_HPFF_dX=0.0;
instanceStruct.instancePar_given_HPFF=in.given("HPFF");
inParamMap["HPFF"] = &(instanceStruct.d_instancePar_HPFF_dX);
instanceStruct.instancePar_WGAA=in.WGAA;
instanceStruct.d_instancePar_WGAA_dX=0.0;
instanceStruct.instancePar_given_WGAA=in.given("WGAA");
inParamMap["WGAA"] = &(instanceStruct.d_instancePar_WGAA_dX);
instanceStruct.instancePar_DWS1=in.DWS1;
instanceStruct.d_instancePar_DWS1_dX=0.0;
instanceStruct.instancePar_given_DWS1=in.given("DWS1");
inParamMap["DWS1"] = &(instanceStruct.d_instancePar_DWS1_dX);
instanceStruct.instancePar_DACH1=in.DACH1;
instanceStruct.d_instancePar_DACH1_dX=0.0;
instanceStruct.instancePar_given_DACH1=in.given("DACH1");
inParamMap["DACH1"] = &(instanceStruct.d_instancePar_DACH1_dX);
instanceStruct.instancePar_DWS2=in.DWS2;
instanceStruct.d_instancePar_DWS2_dX=0.0;
instanceStruct.instancePar_given_DWS2=in.given("DWS2");
inParamMap["DWS2"] = &(instanceStruct.d_instancePar_DWS2_dX);
instanceStruct.instancePar_DACH2=in.DACH2;
instanceStruct.d_instancePar_DACH2_dX=0.0;
instanceStruct.instancePar_given_DACH2=in.given("DACH2");
inParamMap["DACH2"] = &(instanceStruct.d_instancePar_DACH2_dX);
instanceStruct.instancePar_DWS3=in.DWS3;
instanceStruct.d_instancePar_DWS3_dX=0.0;
instanceStruct.instancePar_given_DWS3=in.given("DWS3");
inParamMap["DWS3"] = &(instanceStruct.d_instancePar_DWS3_dX);
instanceStruct.instancePar_DACH3=in.DACH3;
instanceStruct.d_instancePar_DACH3_dX=0.0;
instanceStruct.instancePar_given_DACH3=in.given("DACH3");
inParamMap["DACH3"] = &(instanceStruct.d_instancePar_DACH3_dX);
instanceStruct.instancePar_DWS4=in.DWS4;
instanceStruct.d_instancePar_DWS4_dX=0.0;
instanceStruct.instancePar_given_DWS4=in.given("DWS4");
inParamMap["DWS4"] = &(instanceStruct.d_instancePar_DWS4_dX);
instanceStruct.instancePar_DACH4=in.DACH4;
instanceStruct.d_instancePar_DACH4_dX=0.0;
instanceStruct.instancePar_given_DACH4=in.given("DACH4");
inParamMap["DACH4"] = &(instanceStruct.d_instancePar_DACH4_dX);
instanceStruct.instancePar_DWS5=in.DWS5;
instanceStruct.d_instancePar_DWS5_dX=0.0;
instanceStruct.instancePar_given_DWS5=in.given("DWS5");
inParamMap["DWS5"] = &(instanceStruct.d_instancePar_DWS5_dX);
instanceStruct.instancePar_DACH5=in.DACH5;
instanceStruct.d_instancePar_DACH5_dX=0.0;
instanceStruct.instancePar_given_DACH5=in.given("DACH5");
inParamMap["DACH5"] = &(instanceStruct.d_instancePar_DACH5_dX);
instanceStruct.instancePar_DWS6=in.DWS6;
instanceStruct.d_instancePar_DWS6_dX=0.0;
instanceStruct.instancePar_given_DWS6=in.given("DWS6");
inParamMap["DWS6"] = &(instanceStruct.d_instancePar_DWS6_dX);
instanceStruct.instancePar_DACH6=in.DACH6;
instanceStruct.d_instancePar_DACH6_dX=0.0;
instanceStruct.instancePar_given_DACH6=in.given("DACH6");
inParamMap["DACH6"] = &(instanceStruct.d_instancePar_DACH6_dX);
instanceStruct.instancePar_XL=in.XL;
instanceStruct.d_instancePar_XL_dX=0.0;
instanceStruct.instancePar_given_XL=in.given("XL");
inParamMap["XL"] = &(instanceStruct.d_instancePar_XL_dX);
instanceStruct.instancePar_XW=in.XW;
instanceStruct.d_instancePar_XW_dX=0.0;
instanceStruct.instancePar_given_XW=in.given("XW");
inParamMap["XW"] = &(instanceStruct.d_instancePar_XW_dX);
instanceStruct.instancePar_m=in.m;
instanceStruct.d_instancePar_m_dX=0.0;
instanceStruct.instancePar_given_m=in.given("m");
inParamMap["m"] = &(instanceStruct.d_instancePar_m_dX);


// Copy all the real hidden instance params into local struct



// Copy all the non-real instance params into vars of their appropriate type:
instanceStruct.instancePar_NGCON=in.NGCON;
instanceStruct.instancePar_given_NGCON=in.given("NGCON");
instanceStruct.instancePar_NGAA=in.NGAA;
instanceStruct.instancePar_given_NGAA=in.given("NGAA");
instanceStruct.instancePar_SUBBANDMOD=in.SUBBANDMOD;
instanceStruct.instancePar_given_SUBBANDMOD=in.given("SUBBANDMOD");
instanceStruct.instancePar_MOBSCMOD=in.MOBSCMOD;
instanceStruct.instancePar_given_MOBSCMOD=in.given("MOBSCMOD");
instanceStruct.instancePar_NF=in.NF;
instanceStruct.instancePar_given_NF=in.given("NF");


// Set the one parameter whose name was passed in to be the independent
// variable for differentiation purposes.  Since we stored variable pointers, this
// makes sure that that ONE variable gets set right.
// FIXME: make this check the name first, otherwise segfault on invalid name!
*(inParamMap[name])=1.0;

//make local copies of all instance vars
//reals
instanceStruct.instanceVar_NFINtotal=in.NFINtotal;
instanceStruct.d_instanceVar_NFINtotal_dX=0.0;
instanceStruct.instanceVar_TempLast=in.TempLast;
instanceStruct.d_instanceVar_TempLast_dX=0.0;
instanceStruct.instanceVar_DevTemp1=in.DevTemp1;
instanceStruct.d_instanceVar_DevTemp1_dX=0.0;
instanceStruct.instanceVar_DevTempeff=in.DevTempeff;
instanceStruct.d_instanceVar_DevTempeff_dX=0.0;
instanceStruct.instanceVar_DevTemplow0=in.DevTemplow0;
instanceStruct.d_instanceVar_DevTemplow0_dX=0.0;
instanceStruct.instanceVar_DevTemplow1=in.DevTemplow1;
instanceStruct.d_instanceVar_DevTemplow1_dX=0.0;
instanceStruct.instanceVar_ni=in.ni;
instanceStruct.d_instanceVar_ni_dX=0.0;
instanceStruct.instanceVar_niln=in.niln;
instanceStruct.d_instanceVar_niln_dX=0.0;
instanceStruct.instanceVar_epssub=in.epssub;
instanceStruct.d_instanceVar_epssub_dX=0.0;
instanceStruct.instanceVar_epsratio=in.epsratio;
instanceStruct.d_instanceVar_epsratio_dX=0.0;
instanceStruct.instanceVar_Eg=in.Eg;
instanceStruct.d_instanceVar_Eg_dX=0.0;
instanceStruct.instanceVar_Eg0=in.Eg0;
instanceStruct.d_instanceVar_Eg0_dX=0.0;
instanceStruct.instanceVar_Nc=in.Nc;
instanceStruct.d_instanceVar_Nc_dX=0.0;
instanceStruct.instanceVar_Lg=in.Lg;
instanceStruct.d_instanceVar_Lg_dX=0.0;
instanceStruct.instanceVar_Leff=in.Leff;
instanceStruct.d_instanceVar_Leff_dX=0.0;
instanceStruct.instanceVar_LeffCV=in.LeffCV;
instanceStruct.d_instanceVar_LeffCV_dX=0.0;
instanceStruct.instanceVar_LeffCV_acc=in.LeffCV_acc;
instanceStruct.d_instanceVar_LeffCV_acc_dX=0.0;
instanceStruct.instanceVar_Weff0=in.Weff0;
instanceStruct.d_instanceVar_Weff0_dX=0.0;
instanceStruct.instanceVar_WeffCV0=in.WeffCV0;
instanceStruct.d_instanceVar_WeffCV0_dX=0.0;
instanceStruct.instanceVar_WeffCV_acc=in.WeffCV_acc;
instanceStruct.d_instanceVar_WeffCV_acc_dX=0.0;
instanceStruct.instanceVar_cox=in.cox;
instanceStruct.d_instanceVar_cox_dX=0.0;
instanceStruct.instanceVar_phib=in.phib;
instanceStruct.d_instanceVar_phib_dX=0.0;
instanceStruct.instanceVar_deltaPhi=in.deltaPhi;
instanceStruct.d_instanceVar_deltaPhi_dX=0.0;
instanceStruct.instanceVar_T0=in.T0;
instanceStruct.d_instanceVar_T0_dX=0.0;
instanceStruct.instanceVar_T1=in.T1;
instanceStruct.d_instanceVar_T1_dX=0.0;
instanceStruct.instanceVar_T2=in.T2;
instanceStruct.d_instanceVar_T2_dX=0.0;
instanceStruct.instanceVar_T3=in.T3;
instanceStruct.d_instanceVar_T3_dX=0.0;
instanceStruct.instanceVar_Vtm=in.Vtm;
instanceStruct.d_instanceVar_Vtm_dX=0.0;
instanceStruct.instanceVar_Vtm0=in.Vtm0;
instanceStruct.d_instanceVar_Vtm0_dX=0.0;
instanceStruct.instanceVar_Vtmeff=in.Vtmeff;
instanceStruct.d_instanceVar_Vtmeff_dX=0.0;
instanceStruct.instanceVar_Dr=in.Dr;
instanceStruct.d_instanceVar_Dr_dX=0.0;
instanceStruct.instanceVar_WeffWRFactor=in.WeffWRFactor;
instanceStruct.d_instanceVar_WeffWRFactor_dX=0.0;
instanceStruct.instanceVar_RSourceGeo=in.RSourceGeo;
instanceStruct.d_instanceVar_RSourceGeo_dX=0.0;
instanceStruct.instanceVar_RDrainGeo=in.RDrainGeo;
instanceStruct.d_instanceVar_RDrainGeo_dX=0.0;
instanceStruct.instanceVar_Rdrain=in.Rdrain;
instanceStruct.d_instanceVar_Rdrain_dX=0.0;
instanceStruct.instanceVar_Rsource=in.Rsource;
instanceStruct.d_instanceVar_Rsource_dX=0.0;
instanceStruct.instanceVar_rdstemp=in.rdstemp;
instanceStruct.d_instanceVar_rdstemp_dX=0.0;
instanceStruct.instanceVar_Rdsi=in.Rdsi;
instanceStruct.d_instanceVar_Rdsi_dX=0.0;
instanceStruct.instanceVar_Tb=in.Tb;
instanceStruct.d_instanceVar_Tb_dX=0.0;
instanceStruct.instanceVar_Tnom=in.Tnom;
instanceStruct.d_instanceVar_Tnom_dX=0.0;
instanceStruct.instanceVar_TRatio=in.TRatio;
instanceStruct.d_instanceVar_TRatio_dX=0.0;
instanceStruct.instanceVar_TRatio_m1=in.TRatio_m1;
instanceStruct.d_instanceVar_TRatio_m1_dX=0.0;
instanceStruct.instanceVar_dvth_temp=in.dvth_temp;
instanceStruct.d_instanceVar_dvth_temp_dX=0.0;
instanceStruct.instanceVar_delTemp=in.delTemp;
instanceStruct.d_instanceVar_delTemp_dX=0.0;
instanceStruct.instanceVar_delTemp1=in.delTemp1;
instanceStruct.d_instanceVar_delTemp1_dX=0.0;
instanceStruct.instanceVar_delTRatio1=in.delTRatio1;
instanceStruct.d_instanceVar_delTRatio1_dX=0.0;
instanceStruct.instanceVar_ThetaSS=in.ThetaSS;
instanceStruct.d_instanceVar_ThetaSS_dX=0.0;
instanceStruct.instanceVar_K0_t=in.K0_t;
instanceStruct.d_instanceVar_K0_t_dX=0.0;
instanceStruct.instanceVar_K0SI_t=in.K0SI_t;
instanceStruct.d_instanceVar_K0SI_t_dX=0.0;
instanceStruct.instanceVar_K2SI_t=in.K2SI_t;
instanceStruct.d_instanceVar_K2SI_t_dX=0.0;
instanceStruct.instanceVar_K1_t=in.K1_t;
instanceStruct.d_instanceVar_K1_t_dX=0.0;
instanceStruct.instanceVar_K2SAT_t=in.K2SAT_t;
instanceStruct.d_instanceVar_K2SAT_t_dX=0.0;
instanceStruct.instanceVar_A1_t=in.A1_t;
instanceStruct.d_instanceVar_A1_t_dX=0.0;
instanceStruct.instanceVar_A2_t=in.A2_t;
instanceStruct.d_instanceVar_A2_t_dX=0.0;
instanceStruct.instanceVar_AIGBINV_t=in.AIGBINV_t;
instanceStruct.d_instanceVar_AIGBINV_t_dX=0.0;
instanceStruct.instanceVar_AIGBACC_t=in.AIGBACC_t;
instanceStruct.d_instanceVar_AIGBACC_t_dX=0.0;
instanceStruct.instanceVar_AIGC_t=in.AIGC_t;
instanceStruct.d_instanceVar_AIGC_t_dX=0.0;
instanceStruct.instanceVar_AIGS_t=in.AIGS_t;
instanceStruct.d_instanceVar_AIGS_t_dX=0.0;
instanceStruct.instanceVar_AIGD_t=in.AIGD_t;
instanceStruct.d_instanceVar_AIGD_t_dX=0.0;
instanceStruct.instanceVar_BETA0_t=in.BETA0_t;
instanceStruct.d_instanceVar_BETA0_t_dX=0.0;
instanceStruct.instanceVar_SII0_t=in.SII0_t;
instanceStruct.d_instanceVar_SII0_t_dX=0.0;
instanceStruct.instanceVar_BGISL_t=in.BGISL_t;
instanceStruct.d_instanceVar_BGISL_t_dX=0.0;
instanceStruct.instanceVar_BGISLB_t=in.BGISLB_t;
instanceStruct.d_instanceVar_BGISLB_t_dX=0.0;
instanceStruct.instanceVar_BGIDL_t=in.BGIDL_t;
instanceStruct.d_instanceVar_BGIDL_t_dX=0.0;
instanceStruct.instanceVar_BGIDLB_t=in.BGIDLB_t;
instanceStruct.d_instanceVar_BGIDLB_t_dX=0.0;
instanceStruct.instanceVar_igtemp=in.igtemp;
instanceStruct.d_instanceVar_igtemp_dX=0.0;
instanceStruct.instanceVar_PTWG_t=in.PTWG_t;
instanceStruct.d_instanceVar_PTWG_t_dX=0.0;
instanceStruct.instanceVar_PTWGR_t=in.PTWGR_t;
instanceStruct.d_instanceVar_PTWGR_t_dX=0.0;
instanceStruct.instanceVar_ALPHA0_t=in.ALPHA0_t;
instanceStruct.d_instanceVar_ALPHA0_t_dX=0.0;
instanceStruct.instanceVar_ALPHA1_t=in.ALPHA1_t;
instanceStruct.d_instanceVar_ALPHA1_t_dX=0.0;
instanceStruct.instanceVar_ALPHAII0_t=in.ALPHAII0_t;
instanceStruct.d_instanceVar_ALPHAII0_t_dX=0.0;
instanceStruct.instanceVar_ALPHAII1_t=in.ALPHAII1_t;
instanceStruct.d_instanceVar_ALPHAII1_t_dX=0.0;
instanceStruct.instanceVar_CJS_t=in.CJS_t;
instanceStruct.d_instanceVar_CJS_t_dX=0.0;
instanceStruct.instanceVar_CJSWS_t=in.CJSWS_t;
instanceStruct.d_instanceVar_CJSWS_t_dX=0.0;
instanceStruct.instanceVar_CJSWGD_t=in.CJSWGD_t;
instanceStruct.d_instanceVar_CJSWGD_t_dX=0.0;
instanceStruct.instanceVar_CJD_t=in.CJD_t;
instanceStruct.d_instanceVar_CJD_t_dX=0.0;
instanceStruct.instanceVar_CJSWD_t=in.CJSWD_t;
instanceStruct.d_instanceVar_CJSWD_t_dX=0.0;
instanceStruct.instanceVar_CJSWGS_t=in.CJSWGS_t;
instanceStruct.d_instanceVar_CJSWGS_t_dX=0.0;
instanceStruct.instanceVar_PBS_t=in.PBS_t;
instanceStruct.d_instanceVar_PBS_t_dX=0.0;
instanceStruct.instanceVar_PBSWS_t=in.PBSWS_t;
instanceStruct.d_instanceVar_PBSWS_t_dX=0.0;
instanceStruct.instanceVar_PBSWGS_t=in.PBSWGS_t;
instanceStruct.d_instanceVar_PBSWGS_t_dX=0.0;
instanceStruct.instanceVar_PBD_t=in.PBD_t;
instanceStruct.d_instanceVar_PBD_t_dX=0.0;
instanceStruct.instanceVar_PBSWD_t=in.PBSWD_t;
instanceStruct.d_instanceVar_PBSWD_t_dX=0.0;
instanceStruct.instanceVar_PBSWGD_t=in.PBSWGD_t;
instanceStruct.d_instanceVar_PBSWGD_t_dX=0.0;
instanceStruct.instanceVar_JSS_t=in.JSS_t;
instanceStruct.d_instanceVar_JSS_t_dX=0.0;
instanceStruct.instanceVar_JSWS_t=in.JSWS_t;
instanceStruct.d_instanceVar_JSWS_t_dX=0.0;
instanceStruct.instanceVar_JSWGS_t=in.JSWGS_t;
instanceStruct.d_instanceVar_JSWGS_t_dX=0.0;
instanceStruct.instanceVar_JSD_t=in.JSD_t;
instanceStruct.d_instanceVar_JSD_t_dX=0.0;
instanceStruct.instanceVar_JSWD_t=in.JSWD_t;
instanceStruct.d_instanceVar_JSWD_t_dX=0.0;
instanceStruct.instanceVar_JSWGD_t=in.JSWGD_t;
instanceStruct.d_instanceVar_JSWGD_t_dX=0.0;
instanceStruct.instanceVar_JTSS_t=in.JTSS_t;
instanceStruct.d_instanceVar_JTSS_t_dX=0.0;
instanceStruct.instanceVar_JTSD_t=in.JTSD_t;
instanceStruct.d_instanceVar_JTSD_t_dX=0.0;
instanceStruct.instanceVar_JTSSWS_t=in.JTSSWS_t;
instanceStruct.d_instanceVar_JTSSWS_t_dX=0.0;
instanceStruct.instanceVar_JTSSWD_t=in.JTSSWD_t;
instanceStruct.d_instanceVar_JTSSWD_t_dX=0.0;
instanceStruct.instanceVar_JTSSWGS_t=in.JTSSWGS_t;
instanceStruct.d_instanceVar_JTSSWGS_t_dX=0.0;
instanceStruct.instanceVar_JTSSWGD_t=in.JTSSWGD_t;
instanceStruct.d_instanceVar_JTSSWGD_t_dX=0.0;
instanceStruct.instanceVar_NJTS_t=in.NJTS_t;
instanceStruct.d_instanceVar_NJTS_t_dX=0.0;
instanceStruct.instanceVar_NJTSD_t=in.NJTSD_t;
instanceStruct.d_instanceVar_NJTSD_t_dX=0.0;
instanceStruct.instanceVar_NJTSSW_t=in.NJTSSW_t;
instanceStruct.d_instanceVar_NJTSSW_t_dX=0.0;
instanceStruct.instanceVar_NJTSSWD_t=in.NJTSSWD_t;
instanceStruct.d_instanceVar_NJTSSWD_t_dX=0.0;
instanceStruct.instanceVar_NJTSSWG_t=in.NJTSSWG_t;
instanceStruct.d_instanceVar_NJTSSWG_t_dX=0.0;
instanceStruct.instanceVar_NJTSSWGD_t=in.NJTSSWGD_t;
instanceStruct.d_instanceVar_NJTSSWGD_t_dX=0.0;
instanceStruct.instanceVar_K2_t=in.K2_t;
instanceStruct.d_instanceVar_K2_t_dX=0.0;
instanceStruct.instanceVar_K0SISAT_t=in.K0SISAT_t;
instanceStruct.d_instanceVar_K0SISAT_t_dX=0.0;
instanceStruct.instanceVar_K2SISAT_t=in.K2SISAT_t;
instanceStruct.d_instanceVar_K2SISAT_t_dX=0.0;
instanceStruct.instanceVar_ETA0_t=in.ETA0_t;
instanceStruct.d_instanceVar_ETA0_t_dX=0.0;
instanceStruct.instanceVar_ETA0CV_t=in.ETA0CV_t;
instanceStruct.d_instanceVar_ETA0CV_t_dX=0.0;
instanceStruct.instanceVar_ETA0R_t=in.ETA0R_t;
instanceStruct.d_instanceVar_ETA0R_t_dX=0.0;
instanceStruct.instanceVar_RSDR_t=in.RSDR_t;
instanceStruct.d_instanceVar_RSDR_t_dX=0.0;
instanceStruct.instanceVar_RSDRR_t=in.RSDRR_t;
instanceStruct.d_instanceVar_RSDRR_t_dX=0.0;
instanceStruct.instanceVar_RDDR_t=in.RDDR_t;
instanceStruct.d_instanceVar_RDDR_t_dX=0.0;
instanceStruct.instanceVar_RDDRR_t=in.RDDRR_t;
instanceStruct.d_instanceVar_RDDRR_t_dX=0.0;
instanceStruct.instanceVar_UA_t=in.UA_t;
instanceStruct.d_instanceVar_UA_t_dX=0.0;
instanceStruct.instanceVar_UACV_t=in.UACV_t;
instanceStruct.d_instanceVar_UACV_t_dX=0.0;
instanceStruct.instanceVar_UAR_t=in.UAR_t;
instanceStruct.d_instanceVar_UAR_t_dX=0.0;
instanceStruct.instanceVar_UA_tl=in.UA_tl;
instanceStruct.d_instanceVar_UA_tl_dX=0.0;
instanceStruct.instanceVar_UA_th=in.UA_th;
instanceStruct.d_instanceVar_UA_th_dX=0.0;
instanceStruct.instanceVar_UACV_tl=in.UACV_tl;
instanceStruct.d_instanceVar_UACV_tl_dX=0.0;
instanceStruct.instanceVar_UACV_th=in.UACV_th;
instanceStruct.d_instanceVar_UACV_th_dX=0.0;
instanceStruct.instanceVar_UAR_tl=in.UAR_tl;
instanceStruct.d_instanceVar_UAR_tl_dX=0.0;
instanceStruct.instanceVar_UAR_th=in.UAR_th;
instanceStruct.d_instanceVar_UAR_th_dX=0.0;
instanceStruct.instanceVar_wh=in.wh;
instanceStruct.d_instanceVar_wh_dX=0.0;
instanceStruct.instanceVar_wl=in.wl;
instanceStruct.d_instanceVar_wl_dX=0.0;
instanceStruct.instanceVar_UC_t=in.UC_t;
instanceStruct.d_instanceVar_UC_t_dX=0.0;
instanceStruct.instanceVar_UCCV_t=in.UCCV_t;
instanceStruct.d_instanceVar_UCCV_t_dX=0.0;
instanceStruct.instanceVar_UCR_t=in.UCR_t;
instanceStruct.d_instanceVar_UCR_t_dX=0.0;
instanceStruct.instanceVar_UCS_t=in.UCS_t;
instanceStruct.d_instanceVar_UCS_t_dX=0.0;
instanceStruct.instanceVar_UD_t=in.UD_t;
instanceStruct.d_instanceVar_UD_t_dX=0.0;
instanceStruct.instanceVar_UDCV_t=in.UDCV_t;
instanceStruct.d_instanceVar_UDCV_t_dX=0.0;
instanceStruct.instanceVar_UDR_t=in.UDR_t;
instanceStruct.d_instanceVar_UDR_t_dX=0.0;
instanceStruct.instanceVar_U0R_t=in.U0R_t;
instanceStruct.d_instanceVar_U0R_t_dX=0.0;
instanceStruct.instanceVar_ETAMOB_t=in.ETAMOB_t;
instanceStruct.d_instanceVar_ETAMOB_t_dX=0.0;
instanceStruct.instanceVar_EU_t=in.EU_t;
instanceStruct.d_instanceVar_EU_t_dX=0.0;
instanceStruct.instanceVar_UDS_t=in.UDS_t;
instanceStruct.d_instanceVar_UDS_t_dX=0.0;
instanceStruct.instanceVar_UDS_i=in.UDS_i;
instanceStruct.d_instanceVar_UDS_i_dX=0.0;
instanceStruct.instanceVar_UDS1_i=in.UDS1_i;
instanceStruct.d_instanceVar_UDS1_i_dX=0.0;
instanceStruct.instanceVar_UDD_t=in.UDD_t;
instanceStruct.d_instanceVar_UDD_t_dX=0.0;
instanceStruct.instanceVar_UDD_i=in.UDD_i;
instanceStruct.d_instanceVar_UDD_i_dX=0.0;
instanceStruct.instanceVar_UDD1_i=in.UDD1_i;
instanceStruct.d_instanceVar_UDD1_i_dX=0.0;
instanceStruct.instanceVar_UDSeff_t=in.UDSeff_t;
instanceStruct.d_instanceVar_UDSeff_t_dX=0.0;
instanceStruct.instanceVar_UDDeff_t=in.UDDeff_t;
instanceStruct.d_instanceVar_UDDeff_t_dX=0.0;
instanceStruct.instanceVar_VSAT_t=in.VSAT_t;
instanceStruct.d_instanceVar_VSAT_t_dX=0.0;
instanceStruct.instanceVar_VSATR_t=in.VSATR_t;
instanceStruct.d_instanceVar_VSATR_t_dX=0.0;
instanceStruct.instanceVar_VSAT1_t=in.VSAT1_t;
instanceStruct.d_instanceVar_VSAT1_t_dX=0.0;
instanceStruct.instanceVar_VSAT1R_t=in.VSAT1R_t;
instanceStruct.d_instanceVar_VSAT1R_t_dX=0.0;
instanceStruct.instanceVar_VSATCV_t=in.VSATCV_t;
instanceStruct.d_instanceVar_VSATCV_t_dX=0.0;
instanceStruct.instanceVar_MEXP_t=in.MEXP_t;
instanceStruct.d_instanceVar_MEXP_t_dX=0.0;
instanceStruct.instanceVar_MEXPR_t=in.MEXPR_t;
instanceStruct.d_instanceVar_MEXPR_t_dX=0.0;
instanceStruct.instanceVar_scl=in.scl;
instanceStruct.d_instanceVar_scl_dX=0.0;
instanceStruct.instanceVar_vbi=in.vbi;
instanceStruct.d_instanceVar_vbi_dX=0.0;
instanceStruct.instanceVar_tmp=in.tmp;
instanceStruct.d_instanceVar_tmp_dX=0.0;
instanceStruct.instanceVar_Theta_SCE=in.Theta_SCE;
instanceStruct.d_instanceVar_Theta_SCE_dX=0.0;
instanceStruct.instanceVar_Theta_SW=in.Theta_SW;
instanceStruct.d_instanceVar_Theta_SW_dX=0.0;
instanceStruct.instanceVar_Theta_DIBL=in.Theta_DIBL;
instanceStruct.d_instanceVar_Theta_DIBL_dX=0.0;
instanceStruct.instanceVar_Theta_RSCE=in.Theta_RSCE;
instanceStruct.d_instanceVar_Theta_RSCE_dX=0.0;
instanceStruct.instanceVar_Theta_DITS=in.Theta_DITS;
instanceStruct.d_instanceVar_Theta_DITS_dX=0.0;
instanceStruct.instanceVar_veseff=in.veseff;
instanceStruct.d_instanceVar_veseff_dX=0.0;
instanceStruct.instanceVar_Tcen0=in.Tcen0;
instanceStruct.d_instanceVar_Tcen0_dX=0.0;
instanceStruct.instanceVar_dvch_qm=in.dvch_qm;
instanceStruct.d_instanceVar_dvch_qm_dX=0.0;
instanceStruct.instanceVar_mx=in.mx;
instanceStruct.instanceVar_mxprime=in.mxprime;
instanceStruct.instanceVar_md=in.md;
instanceStruct.instanceVar_mdprime=in.mdprime;
instanceStruct.instanceVar_gprime=in.gprime;
instanceStruct.instanceVar_gfactor=in.gfactor;
instanceStruct.instanceVar_qbs=in.qbs;
instanceStruct.d_instanceVar_qbs_dX=0.0;
instanceStruct.instanceVar_qba=in.qba;
instanceStruct.d_instanceVar_qba_dX=0.0;
instanceStruct.instanceVar_eta_mu=in.eta_mu;
instanceStruct.d_instanceVar_eta_mu_dX=0.0;
instanceStruct.instanceVar_eta_mu_cv=in.eta_mu_cv;
instanceStruct.instanceVar_u0=in.u0;
instanceStruct.d_instanceVar_u0_dX=0.0;
instanceStruct.instanceVar_u0_cv=in.u0_cv;
instanceStruct.d_instanceVar_u0_cv_dX=0.0;
instanceStruct.instanceVar_u0r=in.u0r;
instanceStruct.d_instanceVar_u0r_dX=0.0;
instanceStruct.instanceVar_EeffFactor=in.EeffFactor;
instanceStruct.d_instanceVar_EeffFactor_dX=0.0;
instanceStruct.instanceVar_Cfr_geo=in.Cfr_geo;
instanceStruct.d_instanceVar_Cfr_geo_dX=0.0;
instanceStruct.instanceVar_ggeltd=in.ggeltd;
instanceStruct.d_instanceVar_ggeltd_dX=0.0;
instanceStruct.instanceVar_igbinv=in.igbinv;
instanceStruct.d_instanceVar_igbinv_dX=0.0;
instanceStruct.instanceVar_igsd_mult=in.igsd_mult;
instanceStruct.d_instanceVar_igsd_mult_dX=0.0;
instanceStruct.instanceVar_igsd_mult0=in.igsd_mult0;
instanceStruct.d_instanceVar_igsd_mult0_dX=0.0;
instanceStruct.instanceVar_igbs=in.igbs;
instanceStruct.d_instanceVar_igbs_dX=0.0;
instanceStruct.instanceVar_igbd=in.igbd;
instanceStruct.d_instanceVar_igbd_dX=0.0;
instanceStruct.instanceVar_igbacc=in.igbacc;
instanceStruct.d_instanceVar_igbacc_dX=0.0;
instanceStruct.instanceVar_igcs=in.igcs;
instanceStruct.d_instanceVar_igcs_dX=0.0;
instanceStruct.instanceVar_igcd=in.igcd;
instanceStruct.d_instanceVar_igcd_dX=0.0;
instanceStruct.instanceVar_igisl=in.igisl;
instanceStruct.d_instanceVar_igisl_dX=0.0;
instanceStruct.instanceVar_igidl=in.igidl;
instanceStruct.d_instanceVar_igidl_dX=0.0;
instanceStruct.instanceVar_igislb=in.igislb;
instanceStruct.d_instanceVar_igislb_dX=0.0;
instanceStruct.instanceVar_igidlb=in.igidlb;
instanceStruct.d_instanceVar_igidlb_dX=0.0;
instanceStruct.instanceVar_vfbsd=in.vfbsd;
instanceStruct.d_instanceVar_vfbsd_dX=0.0;
instanceStruct.instanceVar_igs=in.igs;
instanceStruct.d_instanceVar_igs_dX=0.0;
instanceStruct.instanceVar_igd=in.igd;
instanceStruct.d_instanceVar_igd_dX=0.0;
instanceStruct.instanceVar_Aechvb=in.Aechvb;
instanceStruct.instanceVar_Bechvb=in.Bechvb;
instanceStruct.instanceVar_Toxratio=in.Toxratio;
instanceStruct.d_instanceVar_Toxratio_dX=0.0;
instanceStruct.instanceVar_Iii=in.Iii;
instanceStruct.d_instanceVar_Iii_dX=0.0;
instanceStruct.instanceVar_cox_acc=in.cox_acc;
instanceStruct.d_instanceVar_cox_acc_dX=0.0;
instanceStruct.instanceVar_qg_acc=in.qg_acc;
instanceStruct.d_instanceVar_qg_acc_dX=0.0;
instanceStruct.instanceVar_qb_acc=in.qb_acc;
instanceStruct.d_instanceVar_qb_acc_dX=0.0;
instanceStruct.instanceVar_qgs_ov=in.qgs_ov;
instanceStruct.d_instanceVar_qgs_ov_dX=0.0;
instanceStruct.instanceVar_qgd_ov=in.qgd_ov;
instanceStruct.d_instanceVar_qgd_ov_dX=0.0;
instanceStruct.instanceVar_csbox=in.csbox;
instanceStruct.d_instanceVar_csbox_dX=0.0;
instanceStruct.instanceVar_cdbox=in.cdbox;
instanceStruct.d_instanceVar_cdbox_dX=0.0;
instanceStruct.instanceVar_cgbox=in.cgbox;
instanceStruct.d_instanceVar_cgbox_dX=0.0;
instanceStruct.instanceVar_vfbsdcv=in.vfbsdcv;
instanceStruct.d_instanceVar_vfbsdcv_dX=0.0;
instanceStruct.instanceVar_Ies=in.Ies;
instanceStruct.d_instanceVar_Ies_dX=0.0;
instanceStruct.instanceVar_Ied=in.Ied;
instanceStruct.d_instanceVar_Ied_dX=0.0;
instanceStruct.instanceVar_Czbs=in.Czbs;
instanceStruct.d_instanceVar_Czbs_dX=0.0;
instanceStruct.instanceVar_Czbssw=in.Czbssw;
instanceStruct.d_instanceVar_Czbssw_dX=0.0;
instanceStruct.instanceVar_Czbsswg=in.Czbsswg;
instanceStruct.d_instanceVar_Czbsswg_dX=0.0;
instanceStruct.instanceVar_Czbd=in.Czbd;
instanceStruct.d_instanceVar_Czbd_dX=0.0;
instanceStruct.instanceVar_Czbdsw=in.Czbdsw;
instanceStruct.d_instanceVar_Czbdsw_dX=0.0;
instanceStruct.instanceVar_Czbdswg=in.Czbdswg;
instanceStruct.d_instanceVar_Czbdswg_dX=0.0;
instanceStruct.instanceVar_Qesj=in.Qesj;
instanceStruct.d_instanceVar_Qesj_dX=0.0;
instanceStruct.instanceVar_Qedj=in.Qedj;
instanceStruct.d_instanceVar_Qedj_dX=0.0;
instanceStruct.instanceVar_Isbs=in.Isbs;
instanceStruct.d_instanceVar_Isbs_dX=0.0;
instanceStruct.instanceVar_Isbd=in.Isbd;
instanceStruct.d_instanceVar_Isbd_dX=0.0;
instanceStruct.instanceVar_Nvtms=in.Nvtms;
instanceStruct.d_instanceVar_Nvtms_dX=0.0;
instanceStruct.instanceVar_Nvtmd=in.Nvtmd;
instanceStruct.d_instanceVar_Nvtmd_dX=0.0;
instanceStruct.instanceVar_SslpRev=in.SslpRev;
instanceStruct.d_instanceVar_SslpRev_dX=0.0;
instanceStruct.instanceVar_IVjsmRev=in.IVjsmRev;
instanceStruct.d_instanceVar_IVjsmRev_dX=0.0;
instanceStruct.instanceVar_VjsmRev=in.VjsmRev;
instanceStruct.d_instanceVar_VjsmRev_dX=0.0;
instanceStruct.instanceVar_SslpFwd=in.SslpFwd;
instanceStruct.d_instanceVar_SslpFwd_dX=0.0;
instanceStruct.instanceVar_IVjsmFwd=in.IVjsmFwd;
instanceStruct.d_instanceVar_IVjsmFwd_dX=0.0;
instanceStruct.instanceVar_VjsmFwd=in.VjsmFwd;
instanceStruct.d_instanceVar_VjsmFwd_dX=0.0;
instanceStruct.instanceVar_XExpBVS=in.XExpBVS;
instanceStruct.d_instanceVar_XExpBVS_dX=0.0;
instanceStruct.instanceVar_DslpRev=in.DslpRev;
instanceStruct.d_instanceVar_DslpRev_dX=0.0;
instanceStruct.instanceVar_IVjdmRev=in.IVjdmRev;
instanceStruct.d_instanceVar_IVjdmRev_dX=0.0;
instanceStruct.instanceVar_VjdmRev=in.VjdmRev;
instanceStruct.d_instanceVar_VjdmRev_dX=0.0;
instanceStruct.instanceVar_DslpFwd=in.DslpFwd;
instanceStruct.d_instanceVar_DslpFwd_dX=0.0;
instanceStruct.instanceVar_IVjdmFwd=in.IVjdmFwd;
instanceStruct.d_instanceVar_IVjdmFwd_dX=0.0;
instanceStruct.instanceVar_VjdmFwd=in.VjdmFwd;
instanceStruct.d_instanceVar_VjdmFwd_dX=0.0;
instanceStruct.instanceVar_XExpBVD=in.XExpBVD;
instanceStruct.d_instanceVar_XExpBVD_dX=0.0;
instanceStruct.instanceVar_igentemp=in.igentemp;
instanceStruct.d_instanceVar_igentemp_dX=0.0;
instanceStruct.instanceVar_vec1s=in.vec1s;
instanceStruct.d_instanceVar_vec1s_dX=0.0;
instanceStruct.instanceVar_pb21s=in.pb21s;
instanceStruct.d_instanceVar_pb21s_dX=0.0;
instanceStruct.instanceVar_vec2s=in.vec2s;
instanceStruct.d_instanceVar_vec2s_dX=0.0;
instanceStruct.instanceVar_pb22s=in.pb22s;
instanceStruct.d_instanceVar_pb22s_dX=0.0;
instanceStruct.instanceVar_vec3s=in.vec3s;
instanceStruct.d_instanceVar_vec3s_dX=0.0;
instanceStruct.instanceVar_pb23s=in.pb23s;
instanceStruct.d_instanceVar_pb23s_dX=0.0;
instanceStruct.instanceVar_vec1d=in.vec1d;
instanceStruct.d_instanceVar_vec1d_dX=0.0;
instanceStruct.instanceVar_pb21d=in.pb21d;
instanceStruct.d_instanceVar_pb21d_dX=0.0;
instanceStruct.instanceVar_vec2d=in.vec2d;
instanceStruct.d_instanceVar_vec2d_dX=0.0;
instanceStruct.instanceVar_pb22d=in.pb22d;
instanceStruct.d_instanceVar_pb22d_dX=0.0;
instanceStruct.instanceVar_vec3d=in.vec3d;
instanceStruct.d_instanceVar_vec3d_dX=0.0;
instanceStruct.instanceVar_pb23d=in.pb23d;
instanceStruct.d_instanceVar_pb23d_dX=0.0;
instanceStruct.instanceVar_gcrg=in.gcrg;
instanceStruct.d_instanceVar_gcrg_dX=0.0;
instanceStruct.instanceVar_gtau=in.gtau;
instanceStruct.d_instanceVar_gtau_dX=0.0;
instanceStruct.instanceVar_NOIA2_i=in.NOIA2_i;
instanceStruct.d_instanceVar_NOIA2_i_dX=0.0;
instanceStruct.instanceVar_MPOWER_i=in.MPOWER_i;
instanceStruct.d_instanceVar_MPOWER_i_dX=0.0;
instanceStruct.instanceVar_QSREF_i=in.QSREF_i;
instanceStruct.d_instanceVar_QSREF_i_dX=0.0;
instanceStruct.instanceVar_litl=in.litl;
instanceStruct.d_instanceVar_litl_dX=0.0;
instanceStruct.instanceVar_sid=in.sid;
instanceStruct.d_instanceVar_sid_dX=0.0;
instanceStruct.instanceVar_gspr=in.gspr;
instanceStruct.d_instanceVar_gspr_dX=0.0;
instanceStruct.instanceVar_gdpr=in.gdpr;
instanceStruct.d_instanceVar_gdpr_dX=0.0;
instanceStruct.instanceVar_Dr0=in.Dr0;
instanceStruct.d_instanceVar_Dr0_dX=0.0;
instanceStruct.instanceVar_delta=in.delta;
instanceStruct.d_instanceVar_delta_dX=0.0;
instanceStruct.instanceVar_ctnoi=in.ctnoi;
instanceStruct.d_instanceVar_ctnoi_dX=0.0;
instanceStruct.instanceVar_sigrat=in.sigrat;
instanceStruct.d_instanceVar_sigrat_dX=0.0;
instanceStruct.instanceVar_gth=in.gth;
instanceStruct.d_instanceVar_gth_dX=0.0;
instanceStruct.instanceVar_cth=in.cth;
instanceStruct.d_instanceVar_cth_dX=0.0;
instanceStruct.instanceVar_NBODY_i=in.NBODY_i;
instanceStruct.d_instanceVar_NBODY_i_dX=0.0;
instanceStruct.instanceVar_PHIG_i=in.PHIG_i;
instanceStruct.d_instanceVar_PHIG_i_dX=0.0;
instanceStruct.instanceVar_CFD_i=in.CFD_i;
instanceStruct.d_instanceVar_CFD_i_dX=0.0;
instanceStruct.instanceVar_CFS_i=in.CFS_i;
instanceStruct.d_instanceVar_CFS_i_dX=0.0;
instanceStruct.instanceVar_COVS_i=in.COVS_i;
instanceStruct.d_instanceVar_COVS_i_dX=0.0;
instanceStruct.instanceVar_COVD_i=in.COVD_i;
instanceStruct.d_instanceVar_COVD_i_dX=0.0;
instanceStruct.instanceVar_CGSO_i=in.CGSO_i;
instanceStruct.d_instanceVar_CGSO_i_dX=0.0;
instanceStruct.instanceVar_CGDO_i=in.CGDO_i;
instanceStruct.d_instanceVar_CGDO_i_dX=0.0;
instanceStruct.instanceVar_CGSL_i=in.CGSL_i;
instanceStruct.d_instanceVar_CGSL_i_dX=0.0;
instanceStruct.instanceVar_CGDL_i=in.CGDL_i;
instanceStruct.d_instanceVar_CGDL_i_dX=0.0;
instanceStruct.instanceVar_CGBL_i=in.CGBL_i;
instanceStruct.d_instanceVar_CGBL_i_dX=0.0;
instanceStruct.instanceVar_CKAPPAS_i=in.CKAPPAS_i;
instanceStruct.d_instanceVar_CKAPPAS_i_dX=0.0;
instanceStruct.instanceVar_CKAPPAD_i=in.CKAPPAD_i;
instanceStruct.d_instanceVar_CKAPPAD_i_dX=0.0;
instanceStruct.instanceVar_CKAPPAB_i=in.CKAPPAB_i;
instanceStruct.d_instanceVar_CKAPPAB_i_dX=0.0;
instanceStruct.instanceVar_QMFACTOR_i=in.QMFACTOR_i;
instanceStruct.d_instanceVar_QMFACTOR_i_dX=0.0;
instanceStruct.instanceVar_QMTCENCV_i=in.QMTCENCV_i;
instanceStruct.d_instanceVar_QMTCENCV_i_dX=0.0;
instanceStruct.instanceVar_QMTCENCVA_i=in.QMTCENCVA_i;
instanceStruct.d_instanceVar_QMTCENCVA_i_dX=0.0;
instanceStruct.instanceVar_KSATIV_i=in.KSATIV_i;
instanceStruct.d_instanceVar_KSATIV_i_dX=0.0;
instanceStruct.instanceVar_KSATIVR_i=in.KSATIVR_i;
instanceStruct.d_instanceVar_KSATIVR_i_dX=0.0;
instanceStruct.instanceVar_KSATIV_t=in.KSATIV_t;
instanceStruct.d_instanceVar_KSATIV_t_dX=0.0;
instanceStruct.instanceVar_CDSC_i=in.CDSC_i;
instanceStruct.d_instanceVar_CDSC_i_dX=0.0;
instanceStruct.instanceVar_CDSCD_i=in.CDSCD_i;
instanceStruct.d_instanceVar_CDSCD_i_dX=0.0;
instanceStruct.instanceVar_CDSCDR_i=in.CDSCDR_i;
instanceStruct.d_instanceVar_CDSCDR_i_dX=0.0;
instanceStruct.instanceVar_CIT_i=in.CIT_i;
instanceStruct.d_instanceVar_CIT_i_dX=0.0;
instanceStruct.instanceVar_DVT0_i=in.DVT0_i;
instanceStruct.d_instanceVar_DVT0_i_dX=0.0;
instanceStruct.instanceVar_CITR_i=in.CITR_i;
instanceStruct.d_instanceVar_CITR_i_dX=0.0;
instanceStruct.instanceVar_PHIN_i=in.PHIN_i;
instanceStruct.d_instanceVar_PHIN_i_dX=0.0;
instanceStruct.instanceVar_ETA0_i=in.ETA0_i;
instanceStruct.d_instanceVar_ETA0_i_dX=0.0;
instanceStruct.instanceVar_ETA0CV_i=in.ETA0CV_i;
instanceStruct.d_instanceVar_ETA0CV_i_dX=0.0;
instanceStruct.instanceVar_ETA0R_i=in.ETA0R_i;
instanceStruct.d_instanceVar_ETA0R_i_dX=0.0;
instanceStruct.instanceVar_VSAT_i=in.VSAT_i;
instanceStruct.d_instanceVar_VSAT_i_dX=0.0;
instanceStruct.instanceVar_VSATR_i=in.VSATR_i;
instanceStruct.d_instanceVar_VSATR_i_dX=0.0;
instanceStruct.instanceVar_DVTP0_i=in.DVTP0_i;
instanceStruct.d_instanceVar_DVTP0_i_dX=0.0;
instanceStruct.instanceVar_DVTP1_i=in.DVTP1_i;
instanceStruct.d_instanceVar_DVTP1_i_dX=0.0;
instanceStruct.instanceVar_K0_i=in.K0_i;
instanceStruct.d_instanceVar_K0_i_dX=0.0;
instanceStruct.instanceVar_K01_i=in.K01_i;
instanceStruct.d_instanceVar_K01_i_dX=0.0;
instanceStruct.instanceVar_K0SI_i=in.K0SI_i;
instanceStruct.d_instanceVar_K0SI_i_dX=0.0;
instanceStruct.instanceVar_K0SI1_i=in.K0SI1_i;
instanceStruct.d_instanceVar_K0SI1_i_dX=0.0;
instanceStruct.instanceVar_K2SI_i=in.K2SI_i;
instanceStruct.d_instanceVar_K2SI_i_dX=0.0;
instanceStruct.instanceVar_K2SI1_i=in.K2SI1_i;
instanceStruct.d_instanceVar_K2SI1_i_dX=0.0;
instanceStruct.instanceVar_PHIBE_i=in.PHIBE_i;
instanceStruct.d_instanceVar_PHIBE_i_dX=0.0;
instanceStruct.instanceVar_K1_i=in.K1_i;
instanceStruct.d_instanceVar_K1_i_dX=0.0;
instanceStruct.instanceVar_K11_i=in.K11_i;
instanceStruct.d_instanceVar_K11_i_dX=0.0;
instanceStruct.instanceVar_K2SAT_i=in.K2SAT_i;
instanceStruct.d_instanceVar_K2SAT_i_dX=0.0;
instanceStruct.instanceVar_K2SAT1_i=in.K2SAT1_i;
instanceStruct.d_instanceVar_K2SAT1_i_dX=0.0;
instanceStruct.instanceVar_DELTAVSAT_i=in.DELTAVSAT_i;
instanceStruct.d_instanceVar_DELTAVSAT_i_dX=0.0;
instanceStruct.instanceVar_PSAT_i=in.PSAT_i;
instanceStruct.d_instanceVar_PSAT_i_dX=0.0;
instanceStruct.instanceVar_DELTAVSATCV_i=in.DELTAVSATCV_i;
instanceStruct.d_instanceVar_DELTAVSATCV_i_dX=0.0;
instanceStruct.instanceVar_PSATCV_i=in.PSATCV_i;
instanceStruct.d_instanceVar_PSATCV_i_dX=0.0;
instanceStruct.instanceVar_VSAT1_i=in.VSAT1_i;
instanceStruct.d_instanceVar_VSAT1_i_dX=0.0;
instanceStruct.instanceVar_VSAT1R_i=in.VSAT1R_i;
instanceStruct.d_instanceVar_VSAT1R_i_dX=0.0;
instanceStruct.instanceVar_PTWG_i=in.PTWG_i;
instanceStruct.d_instanceVar_PTWG_i_dX=0.0;
instanceStruct.instanceVar_PTWGR_i=in.PTWGR_i;
instanceStruct.d_instanceVar_PTWGR_i_dX=0.0;
instanceStruct.instanceVar_VSATCV_i=in.VSATCV_i;
instanceStruct.d_instanceVar_VSATCV_i_dX=0.0;
instanceStruct.instanceVar_U0_i=in.U0_i;
instanceStruct.d_instanceVar_U0_i_dX=0.0;
instanceStruct.instanceVar_U0CV_i=in.U0CV_i;
instanceStruct.d_instanceVar_U0CV_i_dX=0.0;
instanceStruct.instanceVar_U0R_i=in.U0R_i;
instanceStruct.d_instanceVar_U0R_i_dX=0.0;
instanceStruct.instanceVar_ETAMOB_i=in.ETAMOB_i;
instanceStruct.d_instanceVar_ETAMOB_i_dX=0.0;
instanceStruct.instanceVar_NGATE_i=in.NGATE_i;
instanceStruct.d_instanceVar_NGATE_i_dX=0.0;
instanceStruct.instanceVar_RDSW_i=in.RDSW_i;
instanceStruct.d_instanceVar_RDSW_i_dX=0.0;
instanceStruct.instanceVar_PRWGS_i=in.PRWGS_i;
instanceStruct.d_instanceVar_PRWGS_i_dX=0.0;
instanceStruct.instanceVar_PRWGD_i=in.PRWGD_i;
instanceStruct.d_instanceVar_PRWGD_i_dX=0.0;
instanceStruct.instanceVar_PDIBL1_i=in.PDIBL1_i;
instanceStruct.d_instanceVar_PDIBL1_i_dX=0.0;
instanceStruct.instanceVar_PDIBL1R_i=in.PDIBL1R_i;
instanceStruct.d_instanceVar_PDIBL1R_i_dX=0.0;
instanceStruct.instanceVar_PDIBL2_i=in.PDIBL2_i;
instanceStruct.d_instanceVar_PDIBL2_i_dX=0.0;
instanceStruct.instanceVar_PDIBL2R_i=in.PDIBL2R_i;
instanceStruct.d_instanceVar_PDIBL2R_i_dX=0.0;
instanceStruct.instanceVar_DROUT_i=in.DROUT_i;
instanceStruct.d_instanceVar_DROUT_i_dX=0.0;
instanceStruct.instanceVar_PVAG_i=in.PVAG_i;
instanceStruct.d_instanceVar_PVAG_i_dX=0.0;
instanceStruct.instanceVar_AIGBINV_i=in.AIGBINV_i;
instanceStruct.d_instanceVar_AIGBINV_i_dX=0.0;
instanceStruct.instanceVar_AIGBINV1_i=in.AIGBINV1_i;
instanceStruct.d_instanceVar_AIGBINV1_i_dX=0.0;
instanceStruct.instanceVar_BIGBINV_i=in.BIGBINV_i;
instanceStruct.d_instanceVar_BIGBINV_i_dX=0.0;
instanceStruct.instanceVar_CIGBINV_i=in.CIGBINV_i;
instanceStruct.d_instanceVar_CIGBINV_i_dX=0.0;
instanceStruct.instanceVar_EIGBINV_i=in.EIGBINV_i;
instanceStruct.d_instanceVar_EIGBINV_i_dX=0.0;
instanceStruct.instanceVar_NIGBINV_i=in.NIGBINV_i;
instanceStruct.d_instanceVar_NIGBINV_i_dX=0.0;
instanceStruct.instanceVar_AIGBACC_i=in.AIGBACC_i;
instanceStruct.d_instanceVar_AIGBACC_i_dX=0.0;
instanceStruct.instanceVar_AIGBACC1_i=in.AIGBACC1_i;
instanceStruct.d_instanceVar_AIGBACC1_i_dX=0.0;
instanceStruct.instanceVar_BIGBACC_i=in.BIGBACC_i;
instanceStruct.d_instanceVar_BIGBACC_i_dX=0.0;
instanceStruct.instanceVar_CIGBACC_i=in.CIGBACC_i;
instanceStruct.d_instanceVar_CIGBACC_i_dX=0.0;
instanceStruct.instanceVar_NIGBACC_i=in.NIGBACC_i;
instanceStruct.d_instanceVar_NIGBACC_i_dX=0.0;
instanceStruct.instanceVar_AIGC_i=in.AIGC_i;
instanceStruct.d_instanceVar_AIGC_i_dX=0.0;
instanceStruct.instanceVar_AIGC1_i=in.AIGC1_i;
instanceStruct.d_instanceVar_AIGC1_i_dX=0.0;
instanceStruct.instanceVar_BIGC_i=in.BIGC_i;
instanceStruct.d_instanceVar_BIGC_i_dX=0.0;
instanceStruct.instanceVar_CIGC_i=in.CIGC_i;
instanceStruct.d_instanceVar_CIGC_i_dX=0.0;
instanceStruct.instanceVar_PIGCD_i=in.PIGCD_i;
instanceStruct.d_instanceVar_PIGCD_i_dX=0.0;
instanceStruct.instanceVar_AIGS_i=in.AIGS_i;
instanceStruct.d_instanceVar_AIGS_i_dX=0.0;
instanceStruct.instanceVar_AIGS1_i=in.AIGS1_i;
instanceStruct.d_instanceVar_AIGS1_i_dX=0.0;
instanceStruct.instanceVar_BIGS_i=in.BIGS_i;
instanceStruct.d_instanceVar_BIGS_i_dX=0.0;
instanceStruct.instanceVar_CIGS_i=in.CIGS_i;
instanceStruct.d_instanceVar_CIGS_i_dX=0.0;
instanceStruct.instanceVar_POXEDGE_i=in.POXEDGE_i;
instanceStruct.d_instanceVar_POXEDGE_i_dX=0.0;
instanceStruct.instanceVar_AIGD_i=in.AIGD_i;
instanceStruct.d_instanceVar_AIGD_i_dX=0.0;
instanceStruct.instanceVar_AIGD1_i=in.AIGD1_i;
instanceStruct.d_instanceVar_AIGD1_i_dX=0.0;
instanceStruct.instanceVar_BIGD_i=in.BIGD_i;
instanceStruct.d_instanceVar_BIGD_i_dX=0.0;
instanceStruct.instanceVar_CIGD_i=in.CIGD_i;
instanceStruct.d_instanceVar_CIGD_i_dX=0.0;
instanceStruct.instanceVar_AGIDL_i=in.AGIDL_i;
instanceStruct.d_instanceVar_AGIDL_i_dX=0.0;
instanceStruct.instanceVar_BGIDL_i=in.BGIDL_i;
instanceStruct.d_instanceVar_BGIDL_i_dX=0.0;
instanceStruct.instanceVar_CGIDL_i=in.CGIDL_i;
instanceStruct.d_instanceVar_CGIDL_i_dX=0.0;
instanceStruct.instanceVar_EGIDL_i=in.EGIDL_i;
instanceStruct.d_instanceVar_EGIDL_i_dX=0.0;
instanceStruct.instanceVar_PGIDL_i=in.PGIDL_i;
instanceStruct.d_instanceVar_PGIDL_i_dX=0.0;
instanceStruct.instanceVar_AGISL_i=in.AGISL_i;
instanceStruct.d_instanceVar_AGISL_i_dX=0.0;
instanceStruct.instanceVar_BGISL_i=in.BGISL_i;
instanceStruct.d_instanceVar_BGISL_i_dX=0.0;
instanceStruct.instanceVar_CGISL_i=in.CGISL_i;
instanceStruct.d_instanceVar_CGISL_i_dX=0.0;
instanceStruct.instanceVar_EGISL_i=in.EGISL_i;
instanceStruct.d_instanceVar_EGISL_i_dX=0.0;
instanceStruct.instanceVar_PGISL_i=in.PGISL_i;
instanceStruct.d_instanceVar_PGISL_i_dX=0.0;
instanceStruct.instanceVar_AGIDLB_i=in.AGIDLB_i;
instanceStruct.d_instanceVar_AGIDLB_i_dX=0.0;
instanceStruct.instanceVar_BGIDLB_i=in.BGIDLB_i;
instanceStruct.d_instanceVar_BGIDLB_i_dX=0.0;
instanceStruct.instanceVar_CGIDLB_i=in.CGIDLB_i;
instanceStruct.d_instanceVar_CGIDLB_i_dX=0.0;
instanceStruct.instanceVar_EGIDLB_i=in.EGIDLB_i;
instanceStruct.d_instanceVar_EGIDLB_i_dX=0.0;
instanceStruct.instanceVar_PGIDLB_i=in.PGIDLB_i;
instanceStruct.d_instanceVar_PGIDLB_i_dX=0.0;
instanceStruct.instanceVar_AGISLB_i=in.AGISLB_i;
instanceStruct.d_instanceVar_AGISLB_i_dX=0.0;
instanceStruct.instanceVar_BGISLB_i=in.BGISLB_i;
instanceStruct.d_instanceVar_BGISLB_i_dX=0.0;
instanceStruct.instanceVar_CGISLB_i=in.CGISLB_i;
instanceStruct.d_instanceVar_CGISLB_i_dX=0.0;
instanceStruct.instanceVar_EGISLB_i=in.EGISLB_i;
instanceStruct.d_instanceVar_EGISLB_i_dX=0.0;
instanceStruct.instanceVar_PGISLB_i=in.PGISLB_i;
instanceStruct.d_instanceVar_PGISLB_i_dX=0.0;
instanceStruct.instanceVar_ALPHA0_i=in.ALPHA0_i;
instanceStruct.d_instanceVar_ALPHA0_i_dX=0.0;
instanceStruct.instanceVar_ALPHA1_i=in.ALPHA1_i;
instanceStruct.d_instanceVar_ALPHA1_i_dX=0.0;
instanceStruct.instanceVar_ALPHAII0_i=in.ALPHAII0_i;
instanceStruct.d_instanceVar_ALPHAII0_i_dX=0.0;
instanceStruct.instanceVar_ALPHAII1_i=in.ALPHAII1_i;
instanceStruct.d_instanceVar_ALPHAII1_i_dX=0.0;
instanceStruct.instanceVar_BETA0_i=in.BETA0_i;
instanceStruct.d_instanceVar_BETA0_i_dX=0.0;
instanceStruct.instanceVar_BETAII0_i=in.BETAII0_i;
instanceStruct.d_instanceVar_BETAII0_i_dX=0.0;
instanceStruct.instanceVar_BETAII1_i=in.BETAII1_i;
instanceStruct.d_instanceVar_BETAII1_i_dX=0.0;
instanceStruct.instanceVar_BETAII2_i=in.BETAII2_i;
instanceStruct.d_instanceVar_BETAII2_i_dX=0.0;
instanceStruct.instanceVar_ESATII_i=in.ESATII_i;
instanceStruct.d_instanceVar_ESATII_i_dX=0.0;
instanceStruct.instanceVar_LII_i=in.LII_i;
instanceStruct.d_instanceVar_LII_i_dX=0.0;
instanceStruct.instanceVar_SII0_i=in.SII0_i;
instanceStruct.d_instanceVar_SII0_i_dX=0.0;
instanceStruct.instanceVar_SII1_i=in.SII1_i;
instanceStruct.d_instanceVar_SII1_i_dX=0.0;
instanceStruct.instanceVar_SII2_i=in.SII2_i;
instanceStruct.d_instanceVar_SII2_i_dX=0.0;
instanceStruct.instanceVar_SIID_i=in.SIID_i;
instanceStruct.d_instanceVar_SIID_i_dX=0.0;
instanceStruct.instanceVar_TII_i=in.TII_i;
instanceStruct.d_instanceVar_TII_i_dX=0.0;
instanceStruct.instanceVar_MEXP_i=in.MEXP_i;
instanceStruct.d_instanceVar_MEXP_i_dX=0.0;
instanceStruct.instanceVar_MEXPR_i=in.MEXPR_i;
instanceStruct.d_instanceVar_MEXPR_i_dX=0.0;
instanceStruct.instanceVar_PCLM_i=in.PCLM_i;
instanceStruct.d_instanceVar_PCLM_i_dX=0.0;
instanceStruct.instanceVar_PCLMG_i=in.PCLMG_i;
instanceStruct.d_instanceVar_PCLMG_i_dX=0.0;
instanceStruct.instanceVar_PCLMCV_i=in.PCLMCV_i;
instanceStruct.d_instanceVar_PCLMCV_i_dX=0.0;
instanceStruct.instanceVar_PCLMR_i=in.PCLMR_i;
instanceStruct.d_instanceVar_PCLMR_i_dX=0.0;
instanceStruct.instanceVar_PCLM_t=in.PCLM_t;
instanceStruct.d_instanceVar_PCLM_t_dX=0.0;
instanceStruct.instanceVar_A1_i=in.A1_i;
instanceStruct.d_instanceVar_A1_i_dX=0.0;
instanceStruct.instanceVar_A2_i=in.A2_i;
instanceStruct.d_instanceVar_A2_i_dX=0.0;
instanceStruct.instanceVar_A11_i=in.A11_i;
instanceStruct.d_instanceVar_A11_i_dX=0.0;
instanceStruct.instanceVar_A21_i=in.A21_i;
instanceStruct.d_instanceVar_A21_i_dX=0.0;
instanceStruct.instanceVar_K1RSCE_i=in.K1RSCE_i;
instanceStruct.d_instanceVar_K1RSCE_i_dX=0.0;
instanceStruct.instanceVar_DVTSHIFT_i=in.DVTSHIFT_i;
instanceStruct.d_instanceVar_DVTSHIFT_i_dX=0.0;
instanceStruct.instanceVar_DVTSHIFTR_i=in.DVTSHIFTR_i;
instanceStruct.d_instanceVar_DVTSHIFTR_i_dX=0.0;
instanceStruct.instanceVar_UA_i=in.UA_i;
instanceStruct.d_instanceVar_UA_i_dX=0.0;
instanceStruct.instanceVar_UACV_i=in.UACV_i;
instanceStruct.d_instanceVar_UACV_i_dX=0.0;
instanceStruct.instanceVar_UC_i=in.UC_i;
instanceStruct.d_instanceVar_UC_i_dX=0.0;
instanceStruct.instanceVar_UCCV_i=in.UCCV_i;
instanceStruct.d_instanceVar_UCCV_i_dX=0.0;
instanceStruct.instanceVar_EU_i=in.EU_i;
instanceStruct.d_instanceVar_EU_i_dX=0.0;
instanceStruct.instanceVar_UD_i=in.UD_i;
instanceStruct.d_instanceVar_UD_i_dX=0.0;
instanceStruct.instanceVar_UDCV_i=in.UDCV_i;
instanceStruct.d_instanceVar_UDCV_i_dX=0.0;
instanceStruct.instanceVar_UCS_i=in.UCS_i;
instanceStruct.d_instanceVar_UCS_i_dX=0.0;
instanceStruct.instanceVar_UAR_i=in.UAR_i;
instanceStruct.d_instanceVar_UAR_i_dX=0.0;
instanceStruct.instanceVar_EUR_i=in.EUR_i;
instanceStruct.d_instanceVar_EUR_i_dX=0.0;
instanceStruct.instanceVar_UCR_i=in.UCR_i;
instanceStruct.d_instanceVar_UCR_i_dX=0.0;
instanceStruct.instanceVar_UDR_i=in.UDR_i;
instanceStruct.d_instanceVar_UDR_i_dX=0.0;
instanceStruct.instanceVar_UA1_i=in.UA1_i;
instanceStruct.d_instanceVar_UA1_i_dX=0.0;
instanceStruct.instanceVar_UA2_i=in.UA2_i;
instanceStruct.d_instanceVar_UA2_i_dX=0.0;
instanceStruct.instanceVar_UA1R_i=in.UA1R_i;
instanceStruct.d_instanceVar_UA1R_i_dX=0.0;
instanceStruct.instanceVar_UA1CV_i=in.UA1CV_i;
instanceStruct.d_instanceVar_UA1CV_i_dX=0.0;
instanceStruct.instanceVar_UA2CV_i=in.UA2CV_i;
instanceStruct.d_instanceVar_UA2CV_i_dX=0.0;
instanceStruct.instanceVar_UC1_i=in.UC1_i;
instanceStruct.d_instanceVar_UC1_i_dX=0.0;
instanceStruct.instanceVar_UC1CV_i=in.UC1CV_i;
instanceStruct.d_instanceVar_UC1CV_i_dX=0.0;
instanceStruct.instanceVar_UD1_i=in.UD1_i;
instanceStruct.d_instanceVar_UD1_i_dX=0.0;
instanceStruct.instanceVar_UD2_i=in.UD2_i;
instanceStruct.d_instanceVar_UD2_i_dX=0.0;
instanceStruct.instanceVar_UD1CV_i=in.UD1CV_i;
instanceStruct.d_instanceVar_UD1CV_i_dX=0.0;
instanceStruct.instanceVar_UD2CV_i=in.UD2CV_i;
instanceStruct.d_instanceVar_UD2CV_i_dX=0.0;
instanceStruct.instanceVar_UCSTE_i=in.UCSTE_i;
instanceStruct.d_instanceVar_UCSTE_i_dX=0.0;
instanceStruct.instanceVar_UCSTE1_i=in.UCSTE1_i;
instanceStruct.d_instanceVar_UCSTE1_i_dX=0.0;
instanceStruct.instanceVar_UTE_i=in.UTE_i;
instanceStruct.d_instanceVar_UTE_i_dX=0.0;
instanceStruct.instanceVar_UTE1_i=in.UTE1_i;
instanceStruct.d_instanceVar_UTE1_i_dX=0.0;
instanceStruct.instanceVar_UTL_i=in.UTL_i;
instanceStruct.d_instanceVar_UTL_i_dX=0.0;
instanceStruct.instanceVar_UTECV_i=in.UTECV_i;
instanceStruct.d_instanceVar_UTECV_i_dX=0.0;
instanceStruct.instanceVar_UTE1CV_i=in.UTE1CV_i;
instanceStruct.d_instanceVar_UTE1CV_i_dX=0.0;
instanceStruct.instanceVar_UTLCV_i=in.UTLCV_i;
instanceStruct.d_instanceVar_UTLCV_i_dX=0.0;
instanceStruct.instanceVar_EMOBT_i=in.EMOBT_i;
instanceStruct.d_instanceVar_EMOBT_i_dX=0.0;
instanceStruct.instanceVar_UC1R_i=in.UC1R_i;
instanceStruct.d_instanceVar_UC1R_i_dX=0.0;
instanceStruct.instanceVar_UD1R_i=in.UD1R_i;
instanceStruct.d_instanceVar_UD1R_i_dX=0.0;
instanceStruct.instanceVar_UTER_i=in.UTER_i;
instanceStruct.d_instanceVar_UTER_i_dX=0.0;
instanceStruct.instanceVar_UTLR_i=in.UTLR_i;
instanceStruct.d_instanceVar_UTLR_i_dX=0.0;
instanceStruct.instanceVar_EU1_i=in.EU1_i;
instanceStruct.d_instanceVar_EU1_i_dX=0.0;
instanceStruct.instanceVar_PTWGT_i=in.PTWGT_i;
instanceStruct.d_instanceVar_PTWGT_i_dX=0.0;
instanceStruct.instanceVar_AT_i=in.AT_i;
instanceStruct.d_instanceVar_AT_i_dX=0.0;
instanceStruct.instanceVar_ATCV_i=in.ATCV_i;
instanceStruct.d_instanceVar_ATCV_i_dX=0.0;
instanceStruct.instanceVar_ATR_i=in.ATR_i;
instanceStruct.d_instanceVar_ATR_i_dX=0.0;
instanceStruct.instanceVar_RDW_i=in.RDW_i;
instanceStruct.d_instanceVar_RDW_i_dX=0.0;
instanceStruct.instanceVar_RSW_i=in.RSW_i;
instanceStruct.d_instanceVar_RSW_i_dX=0.0;
instanceStruct.instanceVar_PRT_i=in.PRT_i;
instanceStruct.d_instanceVar_PRT_i_dX=0.0;
instanceStruct.instanceVar_PRT1_i=in.PRT1_i;
instanceStruct.d_instanceVar_PRT1_i_dX=0.0;
instanceStruct.instanceVar_TR0_i=in.TR0_i;
instanceStruct.d_instanceVar_TR0_i_dX=0.0;
instanceStruct.instanceVar_SPRT_i=in.SPRT_i;
instanceStruct.d_instanceVar_SPRT_i_dX=0.0;
instanceStruct.instanceVar_KT1_i=in.KT1_i;
instanceStruct.d_instanceVar_KT1_i_dX=0.0;
instanceStruct.instanceVar_TSS_i=in.TSS_i;
instanceStruct.d_instanceVar_TSS_i_dX=0.0;
instanceStruct.instanceVar_IIT_i=in.IIT_i;
instanceStruct.d_instanceVar_IIT_i_dX=0.0;
instanceStruct.instanceVar_IGT_i=in.IGT_i;
instanceStruct.d_instanceVar_IGT_i_dX=0.0;
instanceStruct.instanceVar_TGIDL_i=in.TGIDL_i;
instanceStruct.d_instanceVar_TGIDL_i_dX=0.0;
instanceStruct.instanceVar_NTGEN_i=in.NTGEN_i;
instanceStruct.d_instanceVar_NTGEN_i_dX=0.0;
instanceStruct.instanceVar_AIGEN_i=in.AIGEN_i;
instanceStruct.d_instanceVar_AIGEN_i_dX=0.0;
instanceStruct.instanceVar_BIGEN_i=in.BIGEN_i;
instanceStruct.d_instanceVar_BIGEN_i_dX=0.0;
instanceStruct.instanceVar_K0SISAT_i=in.K0SISAT_i;
instanceStruct.d_instanceVar_K0SISAT_i_dX=0.0;
instanceStruct.instanceVar_K0SISAT1_i=in.K0SISAT1_i;
instanceStruct.d_instanceVar_K0SISAT1_i_dX=0.0;
instanceStruct.instanceVar_K2SISAT_i=in.K2SISAT_i;
instanceStruct.d_instanceVar_K2SISAT_i_dX=0.0;
instanceStruct.instanceVar_K2SISAT1_i=in.K2SISAT1_i;
instanceStruct.d_instanceVar_K2SISAT1_i_dX=0.0;
instanceStruct.instanceVar_K2_i=in.K2_i;
instanceStruct.d_instanceVar_K2_i_dX=0.0;
instanceStruct.instanceVar_K21_i=in.K21_i;
instanceStruct.d_instanceVar_K21_i_dX=0.0;
instanceStruct.instanceVar_XRCRG1_i=in.XRCRG1_i;
instanceStruct.d_instanceVar_XRCRG1_i_dX=0.0;
instanceStruct.instanceVar_XRCRG2_i=in.XRCRG2_i;
instanceStruct.d_instanceVar_XRCRG2_i_dX=0.0;
instanceStruct.instanceVar_LINTIGEN_i=in.LINTIGEN_i;
instanceStruct.d_instanceVar_LINTIGEN_i_dX=0.0;
instanceStruct.instanceVar_Cins=in.Cins;
instanceStruct.d_instanceVar_Cins_dX=0.0;
instanceStruct.instanceVar_Ach=in.Ach;
instanceStruct.d_instanceVar_Ach_dX=0.0;
instanceStruct.instanceVar_Weff_UFCM=in.Weff_UFCM;
instanceStruct.d_instanceVar_Weff_UFCM_dX=0.0;
instanceStruct.instanceVar_WeffB=in.WeffB;
instanceStruct.d_instanceVar_WeffB_dX=0.0;
instanceStruct.instanceVar_rc=in.rc;
instanceStruct.d_instanceVar_rc_dX=0.0;
instanceStruct.instanceVar_Qdep_ov_Cins=in.Qdep_ov_Cins;
instanceStruct.d_instanceVar_Qdep_ov_Cins_dX=0.0;
instanceStruct.instanceVar_qi_acc_for_QM=in.qi_acc_for_QM;
instanceStruct.d_instanceVar_qi_acc_for_QM_dX=0.0;
instanceStruct.instanceVar_nq=in.nq;
instanceStruct.d_instanceVar_nq_dX=0.0;
instanceStruct.instanceVar_d1=in.d1;
instanceStruct.d_instanceVar_d1_dX=0.0;
instanceStruct.instanceVar_d2=in.d2;
instanceStruct.d_instanceVar_d2_dX=0.0;
instanceStruct.instanceVar_d3=in.d3;
instanceStruct.d_instanceVar_d3_dX=0.0;
instanceStruct.instanceVar_p1=in.p1;
instanceStruct.d_instanceVar_p1_dX=0.0;
instanceStruct.instanceVar_p2=in.p2;
instanceStruct.d_instanceVar_p2_dX=0.0;
instanceStruct.instanceVar_p3=in.p3;
instanceStruct.d_instanceVar_p3_dX=0.0;
instanceStruct.instanceVar_nc3d=in.nc3d;
instanceStruct.d_instanceVar_nc3d_dX=0.0;
instanceStruct.instanceVar_ncq=in.ncq;
instanceStruct.d_instanceVar_ncq_dX=0.0;
instanceStruct.instanceVar_qe2=in.qe2;
instanceStruct.d_instanceVar_qe2_dX=0.0;
instanceStruct.instanceVar_qe3=in.qe3;
instanceStruct.d_instanceVar_qe3_dX=0.0;
instanceStruct.instanceVar_qnds1=in.qnds1;
instanceStruct.d_instanceVar_qnds1_dX=0.0;
instanceStruct.instanceVar_qnds2=in.qnds2;
instanceStruct.d_instanceVar_qnds2_dX=0.0;
instanceStruct.instanceVar_qnds3=in.qnds3;
instanceStruct.d_instanceVar_qnds3_dX=0.0;
instanceStruct.instanceVar_qndd1=in.qndd1;
instanceStruct.d_instanceVar_qndd1_dX=0.0;
instanceStruct.instanceVar_qndd2=in.qndd2;
instanceStruct.d_instanceVar_qndd2_dX=0.0;
instanceStruct.instanceVar_qndd3=in.qndd3;
instanceStruct.d_instanceVar_qndd3_dX=0.0;
instanceStruct.instanceVar_qnd10=in.qnd10;
instanceStruct.d_instanceVar_qnd10_dX=0.0;
instanceStruct.instanceVar_qnd20=in.qnd20;
instanceStruct.d_instanceVar_qnd20_dX=0.0;
instanceStruct.instanceVar_qnd30=in.qnd30;
instanceStruct.d_instanceVar_qnd30_dX=0.0;
instanceStruct.instanceVar_rdstempvs=in.rdstempvs;
instanceStruct.d_instanceVar_rdstempvs_dX=0.0;
instanceStruct.instanceVar_Rvs_s=in.Rvs_s;
instanceStruct.d_instanceVar_Rvs_s_dX=0.0;
instanceStruct.instanceVar_Rvs_d=in.Rvs_d;
instanceStruct.d_instanceVar_Rvs_d_dX=0.0;
instanceStruct.instanceVar_gvs_d=in.gvs_d;
instanceStruct.d_instanceVar_gvs_d_dX=0.0;
instanceStruct.instanceVar_gvs_s=in.gvs_s;
instanceStruct.d_instanceVar_gvs_s_dX=0.0;
instanceStruct.instanceVar_gmin=in.gmin;


//non-reals
instanceStruct.instanceVar_devsign=in.devsign;


//make local copies of all model vars
//reals


// non-reals



Linear::Vector * solVectorPtr = in.extData.nextSolVectorPtr;

// extract solution variables
probeVars[in.admsProbeID_V_ge_GND] = (*solVectorPtr)[in.li_ge];
probeVars[in.admsProbeID_V_e_GND] = (*solVectorPtr)[in.li_e];
probeVars[in.admsProbeID_V_si_GND] = (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_di_GND] = (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_gi_GND] = (*solVectorPtr)[in.li_gi];
probeVars[in.admsProbeID_V_n_GND] = (in.collapseNode_n)?(0):((*solVectorPtr)[in.li_n]);
probeVars[in.admsProbeID_V_g_ge] = (*solVectorPtr)[in.li_g]- (*solVectorPtr)[in.li_ge];
probeVars[in.admsProbeID_V_ge_gi] = (*solVectorPtr)[in.li_ge]- (*solVectorPtr)[in.li_gi];
probeVars[in.admsProbeID_V_si1_si] = (*solVectorPtr)[in.li_si1]- (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_si_si1] = (*solVectorPtr)[in.li_si]- (*solVectorPtr)[in.li_si1];
probeVars[in.admsProbeID_V_di1_di] = (*solVectorPtr)[in.li_di1]- (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_q_GND] = (in.collapseNode_q)?(0):((*solVectorPtr)[in.li_q]);
probeVars[in.admsProbeID_V_ge_e] = (*solVectorPtr)[in.li_ge]- (*solVectorPtr)[in.li_e];
probeVars[in.admsProbeID_V_e_ge] = (*solVectorPtr)[in.li_e]- (*solVectorPtr)[in.li_ge];
probeVars[in.admsProbeID_V_ge_d] = (*solVectorPtr)[in.li_ge]- (*solVectorPtr)[in.li_d];
probeVars[in.admsProbeID_V_ge_s] = (*solVectorPtr)[in.li_ge]- (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_ge_di] = (*solVectorPtr)[in.li_ge]- (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_ge_si] = (*solVectorPtr)[in.li_ge]- (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_d_di1] = (*solVectorPtr)[in.li_d]- (*solVectorPtr)[in.li_di1];
probeVars[in.admsProbeID_V_gi_di1] = (*solVectorPtr)[in.li_gi]- (*solVectorPtr)[in.li_di1];
probeVars[in.admsProbeID_V_s_si1] = (*solVectorPtr)[in.li_s]- (*solVectorPtr)[in.li_si1];
probeVars[in.admsProbeID_V_gi_si1] = (*solVectorPtr)[in.li_gi]- (*solVectorPtr)[in.li_si1];
probeVars[in.admsProbeID_V_e_s] = (*solVectorPtr)[in.li_e]- (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_d_s] = (*solVectorPtr)[in.li_d]- (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_g_s] = (*solVectorPtr)[in.li_g]- (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_gi_e] = (*solVectorPtr)[in.li_gi]- (*solVectorPtr)[in.li_e];
probeVars[in.admsProbeID_V_e_di] = (*solVectorPtr)[in.li_e]- (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_e_si] = (*solVectorPtr)[in.li_e]- (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_gi_di] = (*solVectorPtr)[in.li_gi]- (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_di_si] = (*solVectorPtr)[in.li_di]- (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_gi_si] = (*solVectorPtr)[in.li_gi]- (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_Temp_t_GND] = (in.collapseNode_t)?(0):((*solVectorPtr)[in.li_t]);


evaluateInitialInstance(
instanceStruct,
modelStruct,
in.admsNodeID_d,
in.admsNodeID_g,
in.admsNodeID_s,
in.admsNodeID_e,
in.admsNodeID_t,
in.admsNodeID_di,
in.admsNodeID_si,
in.admsNodeID_di1,
in.admsNodeID_si1,
in.admsNodeID_ge,
in.admsNodeID_gi,
in.admsNodeID_q,
in.admsNodeID_n,
 in.portsConnected_,
in.admsTemperature,in.adms_vt_nom,in.getDeviceOptions().gmin,in);


// Now call  the function that does the heavy lifting.
evaluateModelEquations(
probeVars,
// probe constants
in.admsProbeID_V_ge_GND,
in.admsProbeID_V_e_GND,
in.admsProbeID_V_si_GND,
in.admsProbeID_V_di_GND,
in.admsProbeID_V_gi_GND,
in.admsProbeID_V_n_GND,
in.admsProbeID_V_g_ge,
in.admsProbeID_V_ge_gi,
in.admsProbeID_V_si1_si,
in.admsProbeID_V_si_si1,
in.admsProbeID_V_di1_di,
in.admsProbeID_V_q_GND,
in.admsProbeID_V_ge_e,
in.admsProbeID_V_e_ge,
in.admsProbeID_V_ge_d,
in.admsProbeID_V_ge_s,
in.admsProbeID_V_ge_di,
in.admsProbeID_V_ge_si,
in.admsProbeID_V_d_di1,
in.admsProbeID_V_gi_di1,
in.admsProbeID_V_s_si1,
in.admsProbeID_V_gi_si1,
in.admsProbeID_V_e_s,
in.admsProbeID_V_d_s,
in.admsProbeID_V_g_s,
in.admsProbeID_V_gi_e,
in.admsProbeID_V_e_di,
in.admsProbeID_V_e_si,
in.admsProbeID_V_gi_di,
in.admsProbeID_V_di_si,
in.admsProbeID_V_gi_si,
in.admsProbeID_Temp_t_GND,

// node constants
in.admsNodeID_d,
in.admsNodeID_g,
in.admsNodeID_s,
in.admsNodeID_e,
in.admsNodeID_t,
in.admsNodeID_di,
in.admsNodeID_si,
in.admsNodeID_di1,
in.admsNodeID_si1,
in.admsNodeID_ge,
in.admsNodeID_gi,
in.admsNodeID_q,
in.admsNodeID_n,
instanceStruct,
modelStruct,
in.portsConnected_,
 in.admsTemperature,
 in.adms_vt_nom,
 in.getDeviceOptions().gmin,
 d_staticContributions_dX,
 d_dynamicContributions_dX,
 in);


// We now have the F and Q vector stuff, populate the dependencies:

    dfdp[in.admsNodeID_d] += d_staticContributions_dX[in.admsNodeID_d];
    dqdp[in.admsNodeID_d] += d_dynamicContributions_dX[in.admsNodeID_d];
    Findices[in.admsNodeID_d] = in.li_d;
    Qindices[in.admsNodeID_d] = in.li_d;
    dfdp[in.admsNodeID_g] += d_staticContributions_dX[in.admsNodeID_g];
    dqdp[in.admsNodeID_g] += d_dynamicContributions_dX[in.admsNodeID_g];
    Findices[in.admsNodeID_g] = in.li_g;
    Qindices[in.admsNodeID_g] = in.li_g;
    dfdp[in.admsNodeID_s] += d_staticContributions_dX[in.admsNodeID_s];
    dqdp[in.admsNodeID_s] += d_dynamicContributions_dX[in.admsNodeID_s];
    Findices[in.admsNodeID_s] = in.li_s;
    Qindices[in.admsNodeID_s] = in.li_s;
    dfdp[in.admsNodeID_e] += d_staticContributions_dX[in.admsNodeID_e];
    dqdp[in.admsNodeID_e] += d_dynamicContributions_dX[in.admsNodeID_e];
    Findices[in.admsNodeID_e] = in.li_e;
    Qindices[in.admsNodeID_e] = in.li_e;
    dfdp[in.admsNodeID_t] += d_staticContributions_dX[in.admsNodeID_t];
    dqdp[in.admsNodeID_t] += d_dynamicContributions_dX[in.admsNodeID_t];
    Findices[in.admsNodeID_t] = in.li_t;
    Qindices[in.admsNodeID_t] = in.li_t;
    dfdp[in.admsNodeID_di] += d_staticContributions_dX[in.admsNodeID_di];
    dqdp[in.admsNodeID_di] += d_dynamicContributions_dX[in.admsNodeID_di];
    Findices[in.admsNodeID_di] = in.li_di;
    Qindices[in.admsNodeID_di] = in.li_di;
    dfdp[in.admsNodeID_si] += d_staticContributions_dX[in.admsNodeID_si];
    dqdp[in.admsNodeID_si] += d_dynamicContributions_dX[in.admsNodeID_si];
    Findices[in.admsNodeID_si] = in.li_si;
    Qindices[in.admsNodeID_si] = in.li_si;
    dfdp[in.admsNodeID_di1] += d_staticContributions_dX[in.admsNodeID_di1];
    dqdp[in.admsNodeID_di1] += d_dynamicContributions_dX[in.admsNodeID_di1];
    Findices[in.admsNodeID_di1] = in.li_di1;
    Qindices[in.admsNodeID_di1] = in.li_di1;
    dfdp[in.admsNodeID_si1] += d_staticContributions_dX[in.admsNodeID_si1];
    dqdp[in.admsNodeID_si1] += d_dynamicContributions_dX[in.admsNodeID_si1];
    Findices[in.admsNodeID_si1] = in.li_si1;
    Qindices[in.admsNodeID_si1] = in.li_si1;
    dfdp[in.admsNodeID_ge] += d_staticContributions_dX[in.admsNodeID_ge];
    dqdp[in.admsNodeID_ge] += d_dynamicContributions_dX[in.admsNodeID_ge];
    Findices[in.admsNodeID_ge] = in.li_ge;
    Qindices[in.admsNodeID_ge] = in.li_ge;
    dfdp[in.admsNodeID_gi] += d_staticContributions_dX[in.admsNodeID_gi];
    dqdp[in.admsNodeID_gi] += d_dynamicContributions_dX[in.admsNodeID_gi];
    Findices[in.admsNodeID_gi] = in.li_gi;
    Qindices[in.admsNodeID_gi] = in.li_gi;
    dfdp[in.admsNodeID_q] += d_staticContributions_dX[in.admsNodeID_q];
    dqdp[in.admsNodeID_q] += d_dynamicContributions_dX[in.admsNodeID_q];
    Findices[in.admsNodeID_q] = in.li_q;
    Qindices[in.admsNodeID_q] = in.li_q;
    dfdp[in.admsNodeID_n] += d_staticContributions_dX[in.admsNodeID_n];
    dqdp[in.admsNodeID_n] += d_dynamicContributions_dX[in.admsNodeID_n];
    Findices[in.admsNodeID_n] = in.li_n;
    Qindices[in.admsNodeID_n] = in.li_n;


}

//-----------------------------------------------------------------------------
// Function      : ModelSensitivity::operator()
// Purpose       : return sensitivity for a single model parameter
// Special Notes :
// Scope         : public
// Creator       : admsXml
// Creation Date :
//-----------------------------------------------------------------------------
/// Compute sensitivity to a specified model
/// parameter of all device instances of that model's outputs
///
///
/// @param[in] entity  The device entity that owns the parameter
/// @param[in] name    The unadorned parameter name specific to the entity
/// @param[out] dfdp   The derivative of the F vector with respect to the parameter
/// @param[out] dqdp   The derivative of the Q vector with respect to the parameter
/// @param[out] dbdp   The derivative of the B vector with respect to the parameter
/// @param[out] Findices   The indices into the F vector corresponding to the elements of dfdp
/// @param[out] Qindices   The indices into the Q vector corresponding to the elements of dfdp
/// @param[out] Bindices   The indices into the B vector corresponding to the elements of dfdp
///
///
void ModelSensitivity::operator()
(
const ParameterBase &entity,
const std::string &name,
std::vector<double> & dfdp,
std::vector<double> & dqdp,
std::vector<double> & dbdp,
std::vector<int> & Findices,
std::vector<int> & Qindices,
std::vector<int> & Bindices
) const
{
const ParameterBase * e1 = &entity;
const Model & mod = *(dynamic_cast<const Model *> (e1));
int sizeInstance = mod.instanceContainer.size();

dfdp.resize((13+0)*sizeInstance);
dqdp.resize((13+0)*sizeInstance);
Findices.resize((13+0)*sizeInstance);
Qindices.resize((13+0)*sizeInstance);

std::vector <double> probeVars(32);
std::vector <double> d_staticContributions_dX(13+0);
std::vector <double> d_dynamicContributions_dX(13+0);


// Copy out all the model parameters (doubles) into local structure
modelSensStruct modelStruct;

// Keep a map so we can set the right one to the independent variable
// We do this solely to avoid a big ugly "if/else" block just to find the
// one parameter we're doing sensitivities on.
unordered_map <std::string,double*,HashNoCase,EqualNoCase> modParamMap;

// reals
modelStruct.modelPar_L=mod.L;
modelStruct.d_modelPar_L_dX=0.0;
modelStruct.modelPar_given_L=mod.given("L");
modParamMap["L"] = &(modelStruct.d_modelPar_L_dX);
modelStruct.modelPar_D=mod.D;
modelStruct.d_modelPar_D_dX=0.0;
modelStruct.modelPar_given_D=mod.given("D");
modParamMap["D"] = &(modelStruct.d_modelPar_D_dX);
modelStruct.modelPar_TFIN=mod.TFIN;
modelStruct.d_modelPar_TFIN_dX=0.0;
modelStruct.modelPar_given_TFIN=mod.given("TFIN");
modParamMap["TFIN"] = &(modelStruct.d_modelPar_TFIN_dX);
modelStruct.modelPar_FPITCH=mod.FPITCH;
modelStruct.d_modelPar_FPITCH_dX=0.0;
modelStruct.modelPar_given_FPITCH=mod.given("FPITCH");
modParamMap["FPITCH"] = &(modelStruct.d_modelPar_FPITCH_dX);
modelStruct.modelPar_NFIN=mod.NFIN;
modelStruct.d_modelPar_NFIN_dX=0.0;
modelStruct.modelPar_given_NFIN=mod.given("NFIN");
modParamMap["NFIN"] = &(modelStruct.d_modelPar_NFIN_dX);
modelStruct.modelPar_ASEO=mod.ASEO;
modelStruct.d_modelPar_ASEO_dX=0.0;
modelStruct.modelPar_given_ASEO=mod.given("ASEO");
modParamMap["ASEO"] = &(modelStruct.d_modelPar_ASEO_dX);
modelStruct.modelPar_ADEO=mod.ADEO;
modelStruct.d_modelPar_ADEO_dX=0.0;
modelStruct.modelPar_given_ADEO=mod.given("ADEO");
modParamMap["ADEO"] = &(modelStruct.d_modelPar_ADEO_dX);
modelStruct.modelPar_PSEO=mod.PSEO;
modelStruct.d_modelPar_PSEO_dX=0.0;
modelStruct.modelPar_given_PSEO=mod.given("PSEO");
modParamMap["PSEO"] = &(modelStruct.d_modelPar_PSEO_dX);
modelStruct.modelPar_PDEO=mod.PDEO;
modelStruct.d_modelPar_PDEO_dX=0.0;
modelStruct.modelPar_given_PDEO=mod.given("PDEO");
modParamMap["PDEO"] = &(modelStruct.d_modelPar_PDEO_dX);
modelStruct.modelPar_ASEJ=mod.ASEJ;
modelStruct.d_modelPar_ASEJ_dX=0.0;
modelStruct.modelPar_given_ASEJ=mod.given("ASEJ");
modParamMap["ASEJ"] = &(modelStruct.d_modelPar_ASEJ_dX);
modelStruct.modelPar_ADEJ=mod.ADEJ;
modelStruct.d_modelPar_ADEJ_dX=0.0;
modelStruct.modelPar_given_ADEJ=mod.given("ADEJ");
modParamMap["ADEJ"] = &(modelStruct.d_modelPar_ADEJ_dX);
modelStruct.modelPar_PSEJ=mod.PSEJ;
modelStruct.d_modelPar_PSEJ_dX=0.0;
modelStruct.modelPar_given_PSEJ=mod.given("PSEJ");
modParamMap["PSEJ"] = &(modelStruct.d_modelPar_PSEJ_dX);
modelStruct.modelPar_PDEJ=mod.PDEJ;
modelStruct.d_modelPar_PDEJ_dX=0.0;
modelStruct.modelPar_given_PDEJ=mod.given("PDEJ");
modParamMap["PDEJ"] = &(modelStruct.d_modelPar_PDEJ_dX);
modelStruct.modelPar_CGSP=mod.CGSP;
modelStruct.d_modelPar_CGSP_dX=0.0;
modelStruct.modelPar_given_CGSP=mod.given("CGSP");
modParamMap["CGSP"] = &(modelStruct.d_modelPar_CGSP_dX);
modelStruct.modelPar_CGDP=mod.CGDP;
modelStruct.d_modelPar_CGDP_dX=0.0;
modelStruct.modelPar_given_CGDP=mod.given("CGDP");
modParamMap["CGDP"] = &(modelStruct.d_modelPar_CGDP_dX);
modelStruct.modelPar_CDSP=mod.CDSP;
modelStruct.d_modelPar_CDSP_dX=0.0;
modelStruct.modelPar_given_CDSP=mod.given("CDSP");
modParamMap["CDSP"] = &(modelStruct.d_modelPar_CDSP_dX);
modelStruct.modelPar_NRS=mod.NRS;
modelStruct.d_modelPar_NRS_dX=0.0;
modelStruct.modelPar_given_NRS=mod.given("NRS");
modParamMap["NRS"] = &(modelStruct.d_modelPar_NRS_dX);
modelStruct.modelPar_NRD=mod.NRD;
modelStruct.d_modelPar_NRD_dX=0.0;
modelStruct.modelPar_given_NRD=mod.given("NRD");
modParamMap["NRD"] = &(modelStruct.d_modelPar_NRD_dX);
modelStruct.modelPar_LRSD=mod.LRSD;
modelStruct.d_modelPar_LRSD_dX=0.0;
modelStruct.modelPar_given_LRSD=mod.given("LRSD");
modParamMap["LRSD"] = &(modelStruct.d_modelPar_LRSD_dX);
modelStruct.modelPar_NFINNOM=mod.NFINNOM;
modelStruct.d_modelPar_NFINNOM_dX=0.0;
modelStruct.modelPar_given_NFINNOM=mod.given("NFINNOM");
modParamMap["NFINNOM"] = &(modelStruct.d_modelPar_NFINNOM_dX);
modelStruct.modelPar_DTEMP=mod.DTEMP;
modelStruct.d_modelPar_DTEMP_dX=0.0;
modelStruct.modelPar_given_DTEMP=mod.given("DTEMP");
modParamMap["DTEMP"] = &(modelStruct.d_modelPar_DTEMP_dX);
modelStruct.modelPar_DELVTRAND=mod.DELVTRAND;
modelStruct.d_modelPar_DELVTRAND_dX=0.0;
modelStruct.modelPar_given_DELVTRAND=mod.given("DELVTRAND");
modParamMap["DELVTRAND"] = &(modelStruct.d_modelPar_DELVTRAND_dX);
modelStruct.modelPar_U0MULT=mod.U0MULT;
modelStruct.d_modelPar_U0MULT_dX=0.0;
modelStruct.modelPar_given_U0MULT=mod.given("U0MULT");
modParamMap["U0MULT"] = &(modelStruct.d_modelPar_U0MULT_dX);
modelStruct.modelPar_IDS0MULT=mod.IDS0MULT;
modelStruct.d_modelPar_IDS0MULT_dX=0.0;
modelStruct.modelPar_given_IDS0MULT=mod.given("IDS0MULT");
modParamMap["IDS0MULT"] = &(modelStruct.d_modelPar_IDS0MULT_dX);
modelStruct.modelPar_IGC0MULT=mod.IGC0MULT;
modelStruct.d_modelPar_IGC0MULT_dX=0.0;
modelStruct.modelPar_given_IGC0MULT=mod.given("IGC0MULT");
modParamMap["IGC0MULT"] = &(modelStruct.d_modelPar_IGC0MULT_dX);
modelStruct.modelPar_IGB0MULT=mod.IGB0MULT;
modelStruct.d_modelPar_IGB0MULT_dX=0.0;
modelStruct.modelPar_given_IGB0MULT=mod.given("IGB0MULT");
modParamMap["IGB0MULT"] = &(modelStruct.d_modelPar_IGB0MULT_dX);
modelStruct.modelPar_COVS=mod.COVS;
modelStruct.d_modelPar_COVS_dX=0.0;
modelStruct.modelPar_given_COVS=mod.given("COVS");
modParamMap["COVS"] = &(modelStruct.d_modelPar_COVS_dX);
modelStruct.modelPar_LCOVS=mod.LCOVS;
modelStruct.d_modelPar_LCOVS_dX=0.0;
modelStruct.modelPar_given_LCOVS=mod.given("LCOVS");
modParamMap["LCOVS"] = &(modelStruct.d_modelPar_LCOVS_dX);
modelStruct.modelPar_NCOVS=mod.NCOVS;
modelStruct.d_modelPar_NCOVS_dX=0.0;
modelStruct.modelPar_given_NCOVS=mod.given("NCOVS");
modParamMap["NCOVS"] = &(modelStruct.d_modelPar_NCOVS_dX);
modelStruct.modelPar_PCOVS=mod.PCOVS;
modelStruct.d_modelPar_PCOVS_dX=0.0;
modelStruct.modelPar_given_PCOVS=mod.given("PCOVS");
modParamMap["PCOVS"] = &(modelStruct.d_modelPar_PCOVS_dX);
modelStruct.modelPar_WCOVS=mod.WCOVS;
modelStruct.d_modelPar_WCOVS_dX=0.0;
modelStruct.modelPar_given_WCOVS=mod.given("WCOVS");
modParamMap["WCOVS"] = &(modelStruct.d_modelPar_WCOVS_dX);
modelStruct.modelPar_P2COVS=mod.P2COVS;
modelStruct.d_modelPar_P2COVS_dX=0.0;
modelStruct.modelPar_given_P2COVS=mod.given("P2COVS");
modParamMap["P2COVS"] = &(modelStruct.d_modelPar_P2COVS_dX);
modelStruct.modelPar_COVD=mod.COVD;
modelStruct.d_modelPar_COVD_dX=0.0;
modelStruct.modelPar_given_COVD=mod.given("COVD");
modParamMap["COVD"] = &(modelStruct.d_modelPar_COVD_dX);
modelStruct.modelPar_LCOVD=mod.LCOVD;
modelStruct.d_modelPar_LCOVD_dX=0.0;
modelStruct.modelPar_given_LCOVD=mod.given("LCOVD");
modParamMap["LCOVD"] = &(modelStruct.d_modelPar_LCOVD_dX);
modelStruct.modelPar_NCOVD=mod.NCOVD;
modelStruct.d_modelPar_NCOVD_dX=0.0;
modelStruct.modelPar_given_NCOVD=mod.given("NCOVD");
modParamMap["NCOVD"] = &(modelStruct.d_modelPar_NCOVD_dX);
modelStruct.modelPar_PCOVD=mod.PCOVD;
modelStruct.d_modelPar_PCOVD_dX=0.0;
modelStruct.modelPar_given_PCOVD=mod.given("PCOVD");
modParamMap["PCOVD"] = &(modelStruct.d_modelPar_PCOVD_dX);
modelStruct.modelPar_WCOVD=mod.WCOVD;
modelStruct.d_modelPar_WCOVD_dX=0.0;
modelStruct.modelPar_given_WCOVD=mod.given("WCOVD");
modParamMap["WCOVD"] = &(modelStruct.d_modelPar_WCOVD_dX);
modelStruct.modelPar_P2COVD=mod.P2COVD;
modelStruct.d_modelPar_P2COVD_dX=0.0;
modelStruct.modelPar_given_P2COVD=mod.given("P2COVD");
modParamMap["P2COVD"] = &(modelStruct.d_modelPar_P2COVD_dX);
modelStruct.modelPar_TGAA=mod.TGAA;
modelStruct.d_modelPar_TGAA_dX=0.0;
modelStruct.modelPar_given_TGAA=mod.given("TGAA");
modParamMap["TGAA"] = &(modelStruct.d_modelPar_TGAA_dX);
modelStruct.modelPar_TSUS=mod.TSUS;
modelStruct.d_modelPar_TSUS_dX=0.0;
modelStruct.modelPar_given_TSUS=mod.given("TSUS");
modParamMap["TSUS"] = &(modelStruct.d_modelPar_TSUS_dX);
modelStruct.modelPar_HPFF=mod.HPFF;
modelStruct.d_modelPar_HPFF_dX=0.0;
modelStruct.modelPar_given_HPFF=mod.given("HPFF");
modParamMap["HPFF"] = &(modelStruct.d_modelPar_HPFF_dX);
modelStruct.modelPar_WGAA=mod.WGAA;
modelStruct.d_modelPar_WGAA_dX=0.0;
modelStruct.modelPar_given_WGAA=mod.given("WGAA");
modParamMap["WGAA"] = &(modelStruct.d_modelPar_WGAA_dX);
modelStruct.modelPar_DWS1=mod.DWS1;
modelStruct.d_modelPar_DWS1_dX=0.0;
modelStruct.modelPar_given_DWS1=mod.given("DWS1");
modParamMap["DWS1"] = &(modelStruct.d_modelPar_DWS1_dX);
modelStruct.modelPar_DACH1=mod.DACH1;
modelStruct.d_modelPar_DACH1_dX=0.0;
modelStruct.modelPar_given_DACH1=mod.given("DACH1");
modParamMap["DACH1"] = &(modelStruct.d_modelPar_DACH1_dX);
modelStruct.modelPar_DWS2=mod.DWS2;
modelStruct.d_modelPar_DWS2_dX=0.0;
modelStruct.modelPar_given_DWS2=mod.given("DWS2");
modParamMap["DWS2"] = &(modelStruct.d_modelPar_DWS2_dX);
modelStruct.modelPar_DACH2=mod.DACH2;
modelStruct.d_modelPar_DACH2_dX=0.0;
modelStruct.modelPar_given_DACH2=mod.given("DACH2");
modParamMap["DACH2"] = &(modelStruct.d_modelPar_DACH2_dX);
modelStruct.modelPar_DWS3=mod.DWS3;
modelStruct.d_modelPar_DWS3_dX=0.0;
modelStruct.modelPar_given_DWS3=mod.given("DWS3");
modParamMap["DWS3"] = &(modelStruct.d_modelPar_DWS3_dX);
modelStruct.modelPar_DACH3=mod.DACH3;
modelStruct.d_modelPar_DACH3_dX=0.0;
modelStruct.modelPar_given_DACH3=mod.given("DACH3");
modParamMap["DACH3"] = &(modelStruct.d_modelPar_DACH3_dX);
modelStruct.modelPar_DWS4=mod.DWS4;
modelStruct.d_modelPar_DWS4_dX=0.0;
modelStruct.modelPar_given_DWS4=mod.given("DWS4");
modParamMap["DWS4"] = &(modelStruct.d_modelPar_DWS4_dX);
modelStruct.modelPar_DACH4=mod.DACH4;
modelStruct.d_modelPar_DACH4_dX=0.0;
modelStruct.modelPar_given_DACH4=mod.given("DACH4");
modParamMap["DACH4"] = &(modelStruct.d_modelPar_DACH4_dX);
modelStruct.modelPar_DWS5=mod.DWS5;
modelStruct.d_modelPar_DWS5_dX=0.0;
modelStruct.modelPar_given_DWS5=mod.given("DWS5");
modParamMap["DWS5"] = &(modelStruct.d_modelPar_DWS5_dX);
modelStruct.modelPar_DACH5=mod.DACH5;
modelStruct.d_modelPar_DACH5_dX=0.0;
modelStruct.modelPar_given_DACH5=mod.given("DACH5");
modParamMap["DACH5"] = &(modelStruct.d_modelPar_DACH5_dX);
modelStruct.modelPar_DWS6=mod.DWS6;
modelStruct.d_modelPar_DWS6_dX=0.0;
modelStruct.modelPar_given_DWS6=mod.given("DWS6");
modParamMap["DWS6"] = &(modelStruct.d_modelPar_DWS6_dX);
modelStruct.modelPar_DACH6=mod.DACH6;
modelStruct.d_modelPar_DACH6_dX=0.0;
modelStruct.modelPar_given_DACH6=mod.given("DACH6");
modParamMap["DACH6"] = &(modelStruct.d_modelPar_DACH6_dX);
modelStruct.modelPar_LL=mod.LL;
modelStruct.d_modelPar_LL_dX=0.0;
modelStruct.modelPar_given_LL=mod.given("LL");
modParamMap["LL"] = &(modelStruct.d_modelPar_LL_dX);
modelStruct.modelPar_LLN=mod.LLN;
modelStruct.d_modelPar_LLN_dX=0.0;
modelStruct.modelPar_given_LLN=mod.given("LLN");
modParamMap["LLN"] = &(modelStruct.d_modelPar_LLN_dX);
modelStruct.modelPar_DLC=mod.DLC;
modelStruct.d_modelPar_DLC_dX=0.0;
modelStruct.modelPar_given_DLC=mod.given("DLC");
modParamMap["DLC"] = &(modelStruct.d_modelPar_DLC_dX);
modelStruct.modelPar_DLCACC=mod.DLCACC;
modelStruct.d_modelPar_DLCACC_dX=0.0;
modelStruct.modelPar_given_DLCACC=mod.given("DLCACC");
modParamMap["DLCACC"] = &(modelStruct.d_modelPar_DLCACC_dX);
modelStruct.modelPar_DWCACC=mod.DWCACC;
modelStruct.d_modelPar_DWCACC_dX=0.0;
modelStruct.modelPar_given_DWCACC=mod.given("DWCACC");
modParamMap["DWCACC"] = &(modelStruct.d_modelPar_DWCACC_dX);
modelStruct.modelPar_LLC=mod.LLC;
modelStruct.d_modelPar_LLC_dX=0.0;
modelStruct.modelPar_given_LLC=mod.given("LLC");
modParamMap["LLC"] = &(modelStruct.d_modelPar_LLC_dX);
modelStruct.modelPar_EOT=mod.EOT;
modelStruct.d_modelPar_EOT_dX=0.0;
modelStruct.modelPar_given_EOT=mod.given("EOT");
modParamMap["EOT"] = &(modelStruct.d_modelPar_EOT_dX);
modelStruct.modelPar_TOXP=mod.TOXP;
modelStruct.d_modelPar_TOXP_dX=0.0;
modelStruct.modelPar_given_TOXP=mod.given("TOXP");
modParamMap["TOXP"] = &(modelStruct.d_modelPar_TOXP_dX);
modelStruct.modelPar_EOTBOX=mod.EOTBOX;
modelStruct.d_modelPar_EOTBOX_dX=0.0;
modelStruct.modelPar_given_EOTBOX=mod.given("EOTBOX");
modParamMap["EOTBOX"] = &(modelStruct.d_modelPar_EOTBOX_dX);
modelStruct.modelPar_HFIN=mod.HFIN;
modelStruct.d_modelPar_HFIN_dX=0.0;
modelStruct.modelPar_given_HFIN=mod.given("HFIN");
modParamMap["HFIN"] = &(modelStruct.d_modelPar_HFIN_dX);
modelStruct.modelPar_DELTAW=mod.DELTAW;
modelStruct.d_modelPar_DELTAW_dX=0.0;
modelStruct.modelPar_given_DELTAW=mod.given("DELTAW");
modParamMap["DELTAW"] = &(modelStruct.d_modelPar_DELTAW_dX);
modelStruct.modelPar_DELTAWCV=mod.DELTAWCV;
modelStruct.d_modelPar_DELTAWCV_dX=0.0;
modelStruct.modelPar_given_DELTAWCV=mod.given("DELTAWCV");
modParamMap["DELTAWCV"] = &(modelStruct.d_modelPar_DELTAWCV_dX);
modelStruct.modelPar_NBODYN1=mod.NBODYN1;
modelStruct.d_modelPar_NBODYN1_dX=0.0;
modelStruct.modelPar_given_NBODYN1=mod.given("NBODYN1");
modParamMap["NBODYN1"] = &(modelStruct.d_modelPar_NBODYN1_dX);
modelStruct.modelPar_NBODYN2=mod.NBODYN2;
modelStruct.d_modelPar_NBODYN2_dX=0.0;
modelStruct.modelPar_given_NBODYN2=mod.given("NBODYN2");
modParamMap["NBODYN2"] = &(modelStruct.d_modelPar_NBODYN2_dX);
modelStruct.modelPar_NSD=mod.NSD;
modelStruct.d_modelPar_NSD_dX=0.0;
modelStruct.modelPar_given_NSD=mod.given("NSD");
modParamMap["NSD"] = &(modelStruct.d_modelPar_NSD_dX);
modelStruct.modelPar_PHIGL=mod.PHIGL;
modelStruct.d_modelPar_PHIGL_dX=0.0;
modelStruct.modelPar_given_PHIGL=mod.given("PHIGL");
modParamMap["PHIGL"] = &(modelStruct.d_modelPar_PHIGL_dX);
modelStruct.modelPar_PHIGLT=mod.PHIGLT;
modelStruct.d_modelPar_PHIGLT_dX=0.0;
modelStruct.modelPar_given_PHIGLT=mod.given("PHIGLT");
modParamMap["PHIGLT"] = &(modelStruct.d_modelPar_PHIGLT_dX);
modelStruct.modelPar_PHIGN1=mod.PHIGN1;
modelStruct.d_modelPar_PHIGN1_dX=0.0;
modelStruct.modelPar_given_PHIGN1=mod.given("PHIGN1");
modParamMap["PHIGN1"] = &(modelStruct.d_modelPar_PHIGN1_dX);
modelStruct.modelPar_PHIGN2=mod.PHIGN2;
modelStruct.d_modelPar_PHIGN2_dX=0.0;
modelStruct.modelPar_given_PHIGN2=mod.given("PHIGN2");
modParamMap["PHIGN2"] = &(modelStruct.d_modelPar_PHIGN2_dX);
modelStruct.modelPar_EPSROX=mod.EPSROX;
modelStruct.d_modelPar_EPSROX_dX=0.0;
modelStruct.modelPar_given_EPSROX=mod.given("EPSROX");
modParamMap["EPSROX"] = &(modelStruct.d_modelPar_EPSROX_dX);
modelStruct.modelPar_EPSRSUB=mod.EPSRSUB;
modelStruct.d_modelPar_EPSRSUB_dX=0.0;
modelStruct.modelPar_given_EPSRSUB=mod.given("EPSRSUB");
modParamMap["EPSRSUB"] = &(modelStruct.d_modelPar_EPSRSUB_dX);
modelStruct.modelPar_EASUB=mod.EASUB;
modelStruct.d_modelPar_EASUB_dX=0.0;
modelStruct.modelPar_given_EASUB=mod.given("EASUB");
modParamMap["EASUB"] = &(modelStruct.d_modelPar_EASUB_dX);
modelStruct.modelPar_NI0SUB=mod.NI0SUB;
modelStruct.d_modelPar_NI0SUB_dX=0.0;
modelStruct.modelPar_given_NI0SUB=mod.given("NI0SUB");
modParamMap["NI0SUB"] = &(modelStruct.d_modelPar_NI0SUB_dX);
modelStruct.modelPar_BG0SUB=mod.BG0SUB;
modelStruct.d_modelPar_BG0SUB_dX=0.0;
modelStruct.modelPar_given_BG0SUB=mod.given("BG0SUB");
modParamMap["BG0SUB"] = &(modelStruct.d_modelPar_BG0SUB_dX);
modelStruct.modelPar_NC0SUB=mod.NC0SUB;
modelStruct.d_modelPar_NC0SUB_dX=0.0;
modelStruct.modelPar_given_NC0SUB=mod.given("NC0SUB");
modParamMap["NC0SUB"] = &(modelStruct.d_modelPar_NC0SUB_dX);
modelStruct.modelPar_IMIN=mod.IMIN;
modelStruct.d_modelPar_IMIN_dX=0.0;
modelStruct.modelPar_given_IMIN=mod.given("IMIN");
modParamMap["IMIN"] = &(modelStruct.d_modelPar_IMIN_dX);
modelStruct.modelPar_LXL=mod.LXL;
modelStruct.d_modelPar_LXL_dX=0.0;
modelStruct.modelPar_given_LXL=mod.given("LXL");
modParamMap["LXL"] = &(modelStruct.d_modelPar_LXL_dX);
modelStruct.modelPar_NXL=mod.NXL;
modelStruct.d_modelPar_NXL_dX=0.0;
modelStruct.modelPar_given_NXL=mod.given("NXL");
modParamMap["NXL"] = &(modelStruct.d_modelPar_NXL_dX);
modelStruct.modelPar_PXL=mod.PXL;
modelStruct.d_modelPar_PXL_dX=0.0;
modelStruct.modelPar_given_PXL=mod.given("PXL");
modParamMap["PXL"] = &(modelStruct.d_modelPar_PXL_dX);
modelStruct.modelPar_LINT=mod.LINT;
modelStruct.d_modelPar_LINT_dX=0.0;
modelStruct.modelPar_given_LINT=mod.given("LINT");
modParamMap["LINT"] = &(modelStruct.d_modelPar_LINT_dX);
modelStruct.modelPar_LLINT=mod.LLINT;
modelStruct.d_modelPar_LLINT_dX=0.0;
modelStruct.modelPar_given_LLINT=mod.given("LLINT");
modParamMap["LLINT"] = &(modelStruct.d_modelPar_LLINT_dX);
modelStruct.modelPar_NLINT=mod.NLINT;
modelStruct.d_modelPar_NLINT_dX=0.0;
modelStruct.modelPar_given_NLINT=mod.given("NLINT");
modParamMap["NLINT"] = &(modelStruct.d_modelPar_NLINT_dX);
modelStruct.modelPar_PLINT=mod.PLINT;
modelStruct.d_modelPar_PLINT_dX=0.0;
modelStruct.modelPar_given_PLINT=mod.given("PLINT");
modParamMap["PLINT"] = &(modelStruct.d_modelPar_PLINT_dX);
modelStruct.modelPar_DLBIN=mod.DLBIN;
modelStruct.d_modelPar_DLBIN_dX=0.0;
modelStruct.modelPar_given_DLBIN=mod.given("DLBIN");
modParamMap["DLBIN"] = &(modelStruct.d_modelPar_DLBIN_dX);
modelStruct.modelPar_LDLBIN=mod.LDLBIN;
modelStruct.d_modelPar_LDLBIN_dX=0.0;
modelStruct.modelPar_given_LDLBIN=mod.given("LDLBIN");
modParamMap["LDLBIN"] = &(modelStruct.d_modelPar_LDLBIN_dX);
modelStruct.modelPar_NDLBIN=mod.NDLBIN;
modelStruct.d_modelPar_NDLBIN_dX=0.0;
modelStruct.modelPar_given_NDLBIN=mod.given("NDLBIN");
modParamMap["NDLBIN"] = &(modelStruct.d_modelPar_NDLBIN_dX);
modelStruct.modelPar_PDLBIN=mod.PDLBIN;
modelStruct.d_modelPar_PDLBIN_dX=0.0;
modelStruct.modelPar_given_PDLBIN=mod.given("PDLBIN");
modParamMap["PDLBIN"] = &(modelStruct.d_modelPar_PDLBIN_dX);
modelStruct.modelPar_LXW=mod.LXW;
modelStruct.d_modelPar_LXW_dX=0.0;
modelStruct.modelPar_given_LXW=mod.given("LXW");
modParamMap["LXW"] = &(modelStruct.d_modelPar_LXW_dX);
modelStruct.modelPar_NXW=mod.NXW;
modelStruct.d_modelPar_NXW_dX=0.0;
modelStruct.modelPar_given_NXW=mod.given("NXW");
modParamMap["NXW"] = &(modelStruct.d_modelPar_NXW_dX);
modelStruct.modelPar_PXW=mod.PXW;
modelStruct.d_modelPar_PXW_dX=0.0;
modelStruct.modelPar_given_PXW=mod.given("PXW");
modParamMap["PXW"] = &(modelStruct.d_modelPar_PXW_dX);
modelStruct.modelPar_WXW=mod.WXW;
modelStruct.d_modelPar_WXW_dX=0.0;
modelStruct.modelPar_given_WXW=mod.given("WXW");
modParamMap["WXW"] = &(modelStruct.d_modelPar_WXW_dX);
modelStruct.modelPar_P2XW=mod.P2XW;
modelStruct.d_modelPar_P2XW_dX=0.0;
modelStruct.modelPar_given_P2XW=mod.given("P2XW");
modParamMap["P2XW"] = &(modelStruct.d_modelPar_P2XW_dX);
modelStruct.modelPar_DWBIN=mod.DWBIN;
modelStruct.d_modelPar_DWBIN_dX=0.0;
modelStruct.modelPar_given_DWBIN=mod.given("DWBIN");
modParamMap["DWBIN"] = &(modelStruct.d_modelPar_DWBIN_dX);
modelStruct.modelPar_LDWBIN=mod.LDWBIN;
modelStruct.d_modelPar_LDWBIN_dX=0.0;
modelStruct.modelPar_given_LDWBIN=mod.given("LDWBIN");
modParamMap["LDWBIN"] = &(modelStruct.d_modelPar_LDWBIN_dX);
modelStruct.modelPar_NDWBIN=mod.NDWBIN;
modelStruct.d_modelPar_NDWBIN_dX=0.0;
modelStruct.modelPar_given_NDWBIN=mod.given("NDWBIN");
modParamMap["NDWBIN"] = &(modelStruct.d_modelPar_NDWBIN_dX);
modelStruct.modelPar_PDWBIN=mod.PDWBIN;
modelStruct.d_modelPar_PDWBIN_dX=0.0;
modelStruct.modelPar_given_PDWBIN=mod.given("PDWBIN");
modParamMap["PDWBIN"] = &(modelStruct.d_modelPar_PDWBIN_dX);
modelStruct.modelPar_WDWBIN=mod.WDWBIN;
modelStruct.d_modelPar_WDWBIN_dX=0.0;
modelStruct.modelPar_given_WDWBIN=mod.given("WDWBIN");
modParamMap["WDWBIN"] = &(modelStruct.d_modelPar_WDWBIN_dX);
modelStruct.modelPar_P2DWBIN=mod.P2DWBIN;
modelStruct.d_modelPar_P2DWBIN_dX=0.0;
modelStruct.modelPar_given_P2DWBIN=mod.given("P2DWBIN");
modParamMap["P2DWBIN"] = &(modelStruct.d_modelPar_P2DWBIN_dX);
modelStruct.modelPar_NBODY=mod.NBODY;
modelStruct.d_modelPar_NBODY_dX=0.0;
modelStruct.modelPar_given_NBODY=mod.given("NBODY");
modParamMap["NBODY"] = &(modelStruct.d_modelPar_NBODY_dX);
modelStruct.modelPar_LNBODY=mod.LNBODY;
modelStruct.d_modelPar_LNBODY_dX=0.0;
modelStruct.modelPar_given_LNBODY=mod.given("LNBODY");
modParamMap["LNBODY"] = &(modelStruct.d_modelPar_LNBODY_dX);
modelStruct.modelPar_NNBODY=mod.NNBODY;
modelStruct.d_modelPar_NNBODY_dX=0.0;
modelStruct.modelPar_given_NNBODY=mod.given("NNBODY");
modParamMap["NNBODY"] = &(modelStruct.d_modelPar_NNBODY_dX);
modelStruct.modelPar_PNBODY=mod.PNBODY;
modelStruct.d_modelPar_PNBODY_dX=0.0;
modelStruct.modelPar_given_PNBODY=mod.given("PNBODY");
modParamMap["PNBODY"] = &(modelStruct.d_modelPar_PNBODY_dX);
modelStruct.modelPar_PHIG=mod.PHIG;
modelStruct.d_modelPar_PHIG_dX=0.0;
modelStruct.modelPar_given_PHIG=mod.given("PHIG");
modParamMap["PHIG"] = &(modelStruct.d_modelPar_PHIG_dX);
modelStruct.modelPar_LPHIG=mod.LPHIG;
modelStruct.d_modelPar_LPHIG_dX=0.0;
modelStruct.modelPar_given_LPHIG=mod.given("LPHIG");
modParamMap["LPHIG"] = &(modelStruct.d_modelPar_LPHIG_dX);
modelStruct.modelPar_NPHIG=mod.NPHIG;
modelStruct.d_modelPar_NPHIG_dX=0.0;
modelStruct.modelPar_given_NPHIG=mod.given("NPHIG");
modParamMap["NPHIG"] = &(modelStruct.d_modelPar_NPHIG_dX);
modelStruct.modelPar_PPHIG=mod.PPHIG;
modelStruct.d_modelPar_PPHIG_dX=0.0;
modelStruct.modelPar_given_PPHIG=mod.given("PPHIG");
modParamMap["PPHIG"] = &(modelStruct.d_modelPar_PPHIG_dX);
modelStruct.modelPar_WPHIG=mod.WPHIG;
modelStruct.d_modelPar_WPHIG_dX=0.0;
modelStruct.modelPar_given_WPHIG=mod.given("WPHIG");
modParamMap["WPHIG"] = &(modelStruct.d_modelPar_WPHIG_dX);
modelStruct.modelPar_P2PHIG=mod.P2PHIG;
modelStruct.d_modelPar_P2PHIG_dX=0.0;
modelStruct.modelPar_given_P2PHIG=mod.given("P2PHIG");
modParamMap["P2PHIG"] = &(modelStruct.d_modelPar_P2PHIG_dX);
modelStruct.modelPar_NGATE=mod.NGATE;
modelStruct.d_modelPar_NGATE_dX=0.0;
modelStruct.modelPar_given_NGATE=mod.given("NGATE");
modParamMap["NGATE"] = &(modelStruct.d_modelPar_NGATE_dX);
modelStruct.modelPar_LNGATE=mod.LNGATE;
modelStruct.d_modelPar_LNGATE_dX=0.0;
modelStruct.modelPar_given_LNGATE=mod.given("LNGATE");
modParamMap["LNGATE"] = &(modelStruct.d_modelPar_LNGATE_dX);
modelStruct.modelPar_NNGATE=mod.NNGATE;
modelStruct.d_modelPar_NNGATE_dX=0.0;
modelStruct.modelPar_given_NNGATE=mod.given("NNGATE");
modParamMap["NNGATE"] = &(modelStruct.d_modelPar_NNGATE_dX);
modelStruct.modelPar_PNGATE=mod.PNGATE;
modelStruct.d_modelPar_PNGATE_dX=0.0;
modelStruct.modelPar_given_PNGATE=mod.given("PNGATE");
modParamMap["PNGATE"] = &(modelStruct.d_modelPar_PNGATE_dX);
modelStruct.modelPar_WNGATE=mod.WNGATE;
modelStruct.d_modelPar_WNGATE_dX=0.0;
modelStruct.modelPar_given_WNGATE=mod.given("WNGATE");
modParamMap["WNGATE"] = &(modelStruct.d_modelPar_WNGATE_dX);
modelStruct.modelPar_P2NGATE=mod.P2NGATE;
modelStruct.d_modelPar_P2NGATE_dX=0.0;
modelStruct.modelPar_given_P2NGATE=mod.given("P2NGATE");
modParamMap["P2NGATE"] = &(modelStruct.d_modelPar_P2NGATE_dX);
modelStruct.modelPar_minr=mod.minr;
modelStruct.d_modelPar_minr_dX=0.0;
modelStruct.modelPar_given_minr=mod.given("minr");
modParamMap["minr"] = &(modelStruct.d_modelPar_minr_dX);
modelStruct.modelPar_CDSCN1=mod.CDSCN1;
modelStruct.d_modelPar_CDSCN1_dX=0.0;
modelStruct.modelPar_given_CDSCN1=mod.given("CDSCN1");
modParamMap["CDSCN1"] = &(modelStruct.d_modelPar_CDSCN1_dX);
modelStruct.modelPar_CDSCN2=mod.CDSCN2;
modelStruct.d_modelPar_CDSCN2_dX=0.0;
modelStruct.modelPar_given_CDSCN2=mod.given("CDSCN2");
modParamMap["CDSCN2"] = &(modelStruct.d_modelPar_CDSCN2_dX);
modelStruct.modelPar_CDSCDN1=mod.CDSCDN1;
modelStruct.d_modelPar_CDSCDN1_dX=0.0;
modelStruct.modelPar_given_CDSCDN1=mod.given("CDSCDN1");
modParamMap["CDSCDN1"] = &(modelStruct.d_modelPar_CDSCDN1_dX);
modelStruct.modelPar_CDSCDN2=mod.CDSCDN2;
modelStruct.d_modelPar_CDSCDN2_dX=0.0;
modelStruct.modelPar_given_CDSCDN2=mod.given("CDSCDN2");
modParamMap["CDSCDN2"] = &(modelStruct.d_modelPar_CDSCDN2_dX);
modelStruct.modelPar_CDSCDRN1=mod.CDSCDRN1;
modelStruct.d_modelPar_CDSCDRN1_dX=0.0;
modelStruct.modelPar_given_CDSCDRN1=mod.given("CDSCDRN1");
modParamMap["CDSCDRN1"] = &(modelStruct.d_modelPar_CDSCDRN1_dX);
modelStruct.modelPar_CDSCDRN2=mod.CDSCDRN2;
modelStruct.d_modelPar_CDSCDRN2_dX=0.0;
modelStruct.modelPar_given_CDSCDRN2=mod.given("CDSCDRN2");
modParamMap["CDSCDRN2"] = &(modelStruct.d_modelPar_CDSCDRN2_dX);
modelStruct.modelPar_ETA0N1=mod.ETA0N1;
modelStruct.d_modelPar_ETA0N1_dX=0.0;
modelStruct.modelPar_given_ETA0N1=mod.given("ETA0N1");
modParamMap["ETA0N1"] = &(modelStruct.d_modelPar_ETA0N1_dX);
modelStruct.modelPar_ETA0N2=mod.ETA0N2;
modelStruct.d_modelPar_ETA0N2_dX=0.0;
modelStruct.modelPar_given_ETA0N2=mod.given("ETA0N2");
modParamMap["ETA0N2"] = &(modelStruct.d_modelPar_ETA0N2_dX);
modelStruct.modelPar_ETA0LT=mod.ETA0LT;
modelStruct.d_modelPar_ETA0LT_dX=0.0;
modelStruct.modelPar_given_ETA0LT=mod.given("ETA0LT");
modParamMap["ETA0LT"] = &(modelStruct.d_modelPar_ETA0LT_dX);
modelStruct.modelPar_ETA0N1CV=mod.ETA0N1CV;
modelStruct.d_modelPar_ETA0N1CV_dX=0.0;
modelStruct.modelPar_given_ETA0N1CV=mod.given("ETA0N1CV");
modParamMap["ETA0N1CV"] = &(modelStruct.d_modelPar_ETA0N1CV_dX);
modelStruct.modelPar_ETA0N2CV=mod.ETA0N2CV;
modelStruct.d_modelPar_ETA0N2CV_dX=0.0;
modelStruct.modelPar_given_ETA0N2CV=mod.given("ETA0N2CV");
modParamMap["ETA0N2CV"] = &(modelStruct.d_modelPar_ETA0N2CV_dX);
modelStruct.modelPar_ETA0LTCV=mod.ETA0LTCV;
modelStruct.d_modelPar_ETA0LTCV_dX=0.0;
modelStruct.modelPar_given_ETA0LTCV=mod.given("ETA0LTCV");
modParamMap["ETA0LTCV"] = &(modelStruct.d_modelPar_ETA0LTCV_dX);
modelStruct.modelPar_TETA0=mod.TETA0;
modelStruct.d_modelPar_TETA0_dX=0.0;
modelStruct.modelPar_given_TETA0=mod.given("TETA0");
modParamMap["TETA0"] = &(modelStruct.d_modelPar_TETA0_dX);
modelStruct.modelPar_TETA0CV=mod.TETA0CV;
modelStruct.d_modelPar_TETA0CV_dX=0.0;
modelStruct.modelPar_given_TETA0CV=mod.given("TETA0CV");
modParamMap["TETA0CV"] = &(modelStruct.d_modelPar_TETA0CV_dX);
modelStruct.modelPar_TETA0R=mod.TETA0R;
modelStruct.d_modelPar_TETA0R_dX=0.0;
modelStruct.modelPar_given_TETA0R=mod.given("TETA0R");
modParamMap["TETA0R"] = &(modelStruct.d_modelPar_TETA0R_dX);
modelStruct.modelPar_ADVTP0=mod.ADVTP0;
modelStruct.d_modelPar_ADVTP0_dX=0.0;
modelStruct.modelPar_given_ADVTP0=mod.given("ADVTP0");
modParamMap["ADVTP0"] = &(modelStruct.d_modelPar_ADVTP0_dX);
modelStruct.modelPar_BDVTP0=mod.BDVTP0;
modelStruct.d_modelPar_BDVTP0_dX=0.0;
modelStruct.modelPar_given_BDVTP0=mod.given("BDVTP0");
modParamMap["BDVTP0"] = &(modelStruct.d_modelPar_BDVTP0_dX);
modelStruct.modelPar_ADVTP1=mod.ADVTP1;
modelStruct.d_modelPar_ADVTP1_dX=0.0;
modelStruct.modelPar_given_ADVTP1=mod.given("ADVTP1");
modParamMap["ADVTP1"] = &(modelStruct.d_modelPar_ADVTP1_dX);
modelStruct.modelPar_BDVTP1=mod.BDVTP1;
modelStruct.d_modelPar_BDVTP1_dX=0.0;
modelStruct.modelPar_given_BDVTP1=mod.given("BDVTP1");
modParamMap["BDVTP1"] = &(modelStruct.d_modelPar_BDVTP1_dX);
modelStruct.modelPar_DVTP2=mod.DVTP2;
modelStruct.d_modelPar_DVTP2_dX=0.0;
modelStruct.modelPar_given_DVTP2=mod.given("DVTP2");
modParamMap["DVTP2"] = &(modelStruct.d_modelPar_DVTP2_dX);
modelStruct.modelPar_THETASCE=mod.THETASCE;
modelStruct.d_modelPar_THETASCE_dX=0.0;
modelStruct.modelPar_given_THETASCE=mod.given("THETASCE");
modParamMap["THETASCE"] = &(modelStruct.d_modelPar_THETASCE_dX);
modelStruct.modelPar_THETADIBL=mod.THETADIBL;
modelStruct.d_modelPar_THETADIBL_dX=0.0;
modelStruct.modelPar_given_THETADIBL=mod.given("THETADIBL");
modParamMap["THETADIBL"] = &(modelStruct.d_modelPar_THETADIBL_dX);
modelStruct.modelPar_THETASW=mod.THETASW;
modelStruct.d_modelPar_THETASW_dX=0.0;
modelStruct.modelPar_given_THETASW=mod.given("THETASW");
modParamMap["THETASW"] = &(modelStruct.d_modelPar_THETASW_dX);
modelStruct.modelPar_NVTM=mod.NVTM;
modelStruct.d_modelPar_NVTM_dX=0.0;
modelStruct.modelPar_given_NVTM=mod.given("NVTM");
modParamMap["NVTM"] = &(modelStruct.d_modelPar_NVTM_dX);
modelStruct.modelPar_DVTP0=mod.DVTP0;
modelStruct.d_modelPar_DVTP0_dX=0.0;
modelStruct.modelPar_given_DVTP0=mod.given("DVTP0");
modParamMap["DVTP0"] = &(modelStruct.d_modelPar_DVTP0_dX);
modelStruct.modelPar_LDVTP0=mod.LDVTP0;
modelStruct.d_modelPar_LDVTP0_dX=0.0;
modelStruct.modelPar_given_LDVTP0=mod.given("LDVTP0");
modParamMap["LDVTP0"] = &(modelStruct.d_modelPar_LDVTP0_dX);
modelStruct.modelPar_NDVTP0=mod.NDVTP0;
modelStruct.d_modelPar_NDVTP0_dX=0.0;
modelStruct.modelPar_given_NDVTP0=mod.given("NDVTP0");
modParamMap["NDVTP0"] = &(modelStruct.d_modelPar_NDVTP0_dX);
modelStruct.modelPar_PDVTP0=mod.PDVTP0;
modelStruct.d_modelPar_PDVTP0_dX=0.0;
modelStruct.modelPar_given_PDVTP0=mod.given("PDVTP0");
modParamMap["PDVTP0"] = &(modelStruct.d_modelPar_PDVTP0_dX);
modelStruct.modelPar_WDVTP0=mod.WDVTP0;
modelStruct.d_modelPar_WDVTP0_dX=0.0;
modelStruct.modelPar_given_WDVTP0=mod.given("WDVTP0");
modParamMap["WDVTP0"] = &(modelStruct.d_modelPar_WDVTP0_dX);
modelStruct.modelPar_P2DVTP0=mod.P2DVTP0;
modelStruct.d_modelPar_P2DVTP0_dX=0.0;
modelStruct.modelPar_given_P2DVTP0=mod.given("P2DVTP0");
modParamMap["P2DVTP0"] = &(modelStruct.d_modelPar_P2DVTP0_dX);
modelStruct.modelPar_DVTP1=mod.DVTP1;
modelStruct.d_modelPar_DVTP1_dX=0.0;
modelStruct.modelPar_given_DVTP1=mod.given("DVTP1");
modParamMap["DVTP1"] = &(modelStruct.d_modelPar_DVTP1_dX);
modelStruct.modelPar_LDVTP1=mod.LDVTP1;
modelStruct.d_modelPar_LDVTP1_dX=0.0;
modelStruct.modelPar_given_LDVTP1=mod.given("LDVTP1");
modParamMap["LDVTP1"] = &(modelStruct.d_modelPar_LDVTP1_dX);
modelStruct.modelPar_NDVTP1=mod.NDVTP1;
modelStruct.d_modelPar_NDVTP1_dX=0.0;
modelStruct.modelPar_given_NDVTP1=mod.given("NDVTP1");
modParamMap["NDVTP1"] = &(modelStruct.d_modelPar_NDVTP1_dX);
modelStruct.modelPar_PDVTP1=mod.PDVTP1;
modelStruct.d_modelPar_PDVTP1_dX=0.0;
modelStruct.modelPar_given_PDVTP1=mod.given("PDVTP1");
modParamMap["PDVTP1"] = &(modelStruct.d_modelPar_PDVTP1_dX);
modelStruct.modelPar_WDVTP1=mod.WDVTP1;
modelStruct.d_modelPar_WDVTP1_dX=0.0;
modelStruct.modelPar_given_WDVTP1=mod.given("WDVTP1");
modParamMap["WDVTP1"] = &(modelStruct.d_modelPar_WDVTP1_dX);
modelStruct.modelPar_P2DVTP1=mod.P2DVTP1;
modelStruct.d_modelPar_P2DVTP1_dX=0.0;
modelStruct.modelPar_given_P2DVTP1=mod.given("P2DVTP1");
modParamMap["P2DVTP1"] = &(modelStruct.d_modelPar_P2DVTP1_dX);
modelStruct.modelPar_CIT=mod.CIT;
modelStruct.d_modelPar_CIT_dX=0.0;
modelStruct.modelPar_given_CIT=mod.given("CIT");
modParamMap["CIT"] = &(modelStruct.d_modelPar_CIT_dX);
modelStruct.modelPar_LCIT=mod.LCIT;
modelStruct.d_modelPar_LCIT_dX=0.0;
modelStruct.modelPar_given_LCIT=mod.given("LCIT");
modParamMap["LCIT"] = &(modelStruct.d_modelPar_LCIT_dX);
modelStruct.modelPar_NCIT=mod.NCIT;
modelStruct.d_modelPar_NCIT_dX=0.0;
modelStruct.modelPar_given_NCIT=mod.given("NCIT");
modParamMap["NCIT"] = &(modelStruct.d_modelPar_NCIT_dX);
modelStruct.modelPar_PCIT=mod.PCIT;
modelStruct.d_modelPar_PCIT_dX=0.0;
modelStruct.modelPar_given_PCIT=mod.given("PCIT");
modParamMap["PCIT"] = &(modelStruct.d_modelPar_PCIT_dX);
modelStruct.modelPar_WCIT=mod.WCIT;
modelStruct.d_modelPar_WCIT_dX=0.0;
modelStruct.modelPar_given_WCIT=mod.given("WCIT");
modParamMap["WCIT"] = &(modelStruct.d_modelPar_WCIT_dX);
modelStruct.modelPar_P2CIT=mod.P2CIT;
modelStruct.d_modelPar_P2CIT_dX=0.0;
modelStruct.modelPar_given_P2CIT=mod.given("P2CIT");
modParamMap["P2CIT"] = &(modelStruct.d_modelPar_P2CIT_dX);
modelStruct.modelPar_CITR=mod.CITR;
modelStruct.d_modelPar_CITR_dX=0.0;
modelStruct.modelPar_given_CITR=mod.given("CITR");
modParamMap["CITR"] = &(modelStruct.d_modelPar_CITR_dX);
modelStruct.modelPar_LCITR=mod.LCITR;
modelStruct.d_modelPar_LCITR_dX=0.0;
modelStruct.modelPar_given_LCITR=mod.given("LCITR");
modParamMap["LCITR"] = &(modelStruct.d_modelPar_LCITR_dX);
modelStruct.modelPar_NCITR=mod.NCITR;
modelStruct.d_modelPar_NCITR_dX=0.0;
modelStruct.modelPar_given_NCITR=mod.given("NCITR");
modParamMap["NCITR"] = &(modelStruct.d_modelPar_NCITR_dX);
modelStruct.modelPar_PCITR=mod.PCITR;
modelStruct.d_modelPar_PCITR_dX=0.0;
modelStruct.modelPar_given_PCITR=mod.given("PCITR");
modParamMap["PCITR"] = &(modelStruct.d_modelPar_PCITR_dX);
modelStruct.modelPar_WCITR=mod.WCITR;
modelStruct.d_modelPar_WCITR_dX=0.0;
modelStruct.modelPar_given_WCITR=mod.given("WCITR");
modParamMap["WCITR"] = &(modelStruct.d_modelPar_WCITR_dX);
modelStruct.modelPar_P2CITR=mod.P2CITR;
modelStruct.d_modelPar_P2CITR_dX=0.0;
modelStruct.modelPar_given_P2CITR=mod.given("P2CITR");
modParamMap["P2CITR"] = &(modelStruct.d_modelPar_P2CITR_dX);
modelStruct.modelPar_CDSC=mod.CDSC;
modelStruct.d_modelPar_CDSC_dX=0.0;
modelStruct.modelPar_given_CDSC=mod.given("CDSC");
modParamMap["CDSC"] = &(modelStruct.d_modelPar_CDSC_dX);
modelStruct.modelPar_LCDSC=mod.LCDSC;
modelStruct.d_modelPar_LCDSC_dX=0.0;
modelStruct.modelPar_given_LCDSC=mod.given("LCDSC");
modParamMap["LCDSC"] = &(modelStruct.d_modelPar_LCDSC_dX);
modelStruct.modelPar_NCDSC=mod.NCDSC;
modelStruct.d_modelPar_NCDSC_dX=0.0;
modelStruct.modelPar_given_NCDSC=mod.given("NCDSC");
modParamMap["NCDSC"] = &(modelStruct.d_modelPar_NCDSC_dX);
modelStruct.modelPar_PCDSC=mod.PCDSC;
modelStruct.d_modelPar_PCDSC_dX=0.0;
modelStruct.modelPar_given_PCDSC=mod.given("PCDSC");
modParamMap["PCDSC"] = &(modelStruct.d_modelPar_PCDSC_dX);
modelStruct.modelPar_WCDSC=mod.WCDSC;
modelStruct.d_modelPar_WCDSC_dX=0.0;
modelStruct.modelPar_given_WCDSC=mod.given("WCDSC");
modParamMap["WCDSC"] = &(modelStruct.d_modelPar_WCDSC_dX);
modelStruct.modelPar_P2CDSC=mod.P2CDSC;
modelStruct.d_modelPar_P2CDSC_dX=0.0;
modelStruct.modelPar_given_P2CDSC=mod.given("P2CDSC");
modParamMap["P2CDSC"] = &(modelStruct.d_modelPar_P2CDSC_dX);
modelStruct.modelPar_CDSCD=mod.CDSCD;
modelStruct.d_modelPar_CDSCD_dX=0.0;
modelStruct.modelPar_given_CDSCD=mod.given("CDSCD");
modParamMap["CDSCD"] = &(modelStruct.d_modelPar_CDSCD_dX);
modelStruct.modelPar_LCDSCD=mod.LCDSCD;
modelStruct.d_modelPar_LCDSCD_dX=0.0;
modelStruct.modelPar_given_LCDSCD=mod.given("LCDSCD");
modParamMap["LCDSCD"] = &(modelStruct.d_modelPar_LCDSCD_dX);
modelStruct.modelPar_NCDSCD=mod.NCDSCD;
modelStruct.d_modelPar_NCDSCD_dX=0.0;
modelStruct.modelPar_given_NCDSCD=mod.given("NCDSCD");
modParamMap["NCDSCD"] = &(modelStruct.d_modelPar_NCDSCD_dX);
modelStruct.modelPar_PCDSCD=mod.PCDSCD;
modelStruct.d_modelPar_PCDSCD_dX=0.0;
modelStruct.modelPar_given_PCDSCD=mod.given("PCDSCD");
modParamMap["PCDSCD"] = &(modelStruct.d_modelPar_PCDSCD_dX);
modelStruct.modelPar_WCDSCD=mod.WCDSCD;
modelStruct.d_modelPar_WCDSCD_dX=0.0;
modelStruct.modelPar_given_WCDSCD=mod.given("WCDSCD");
modParamMap["WCDSCD"] = &(modelStruct.d_modelPar_WCDSCD_dX);
modelStruct.modelPar_P2CDSCD=mod.P2CDSCD;
modelStruct.d_modelPar_P2CDSCD_dX=0.0;
modelStruct.modelPar_given_P2CDSCD=mod.given("P2CDSCD");
modParamMap["P2CDSCD"] = &(modelStruct.d_modelPar_P2CDSCD_dX);
modelStruct.modelPar_CDSCDR=mod.CDSCDR;
modelStruct.d_modelPar_CDSCDR_dX=0.0;
modelStruct.modelPar_given_CDSCDR=mod.given("CDSCDR");
modParamMap["CDSCDR"] = &(modelStruct.d_modelPar_CDSCDR_dX);
modelStruct.modelPar_LCDSCDR=mod.LCDSCDR;
modelStruct.d_modelPar_LCDSCDR_dX=0.0;
modelStruct.modelPar_given_LCDSCDR=mod.given("LCDSCDR");
modParamMap["LCDSCDR"] = &(modelStruct.d_modelPar_LCDSCDR_dX);
modelStruct.modelPar_NCDSCDR=mod.NCDSCDR;
modelStruct.d_modelPar_NCDSCDR_dX=0.0;
modelStruct.modelPar_given_NCDSCDR=mod.given("NCDSCDR");
modParamMap["NCDSCDR"] = &(modelStruct.d_modelPar_NCDSCDR_dX);
modelStruct.modelPar_PCDSCDR=mod.PCDSCDR;
modelStruct.d_modelPar_PCDSCDR_dX=0.0;
modelStruct.modelPar_given_PCDSCDR=mod.given("PCDSCDR");
modParamMap["PCDSCDR"] = &(modelStruct.d_modelPar_PCDSCDR_dX);
modelStruct.modelPar_WCDSCDR=mod.WCDSCDR;
modelStruct.d_modelPar_WCDSCDR_dX=0.0;
modelStruct.modelPar_given_WCDSCDR=mod.given("WCDSCDR");
modParamMap["WCDSCDR"] = &(modelStruct.d_modelPar_WCDSCDR_dX);
modelStruct.modelPar_P2CDSCDR=mod.P2CDSCDR;
modelStruct.d_modelPar_P2CDSCDR_dX=0.0;
modelStruct.modelPar_given_P2CDSCDR=mod.given("P2CDSCDR");
modParamMap["P2CDSCDR"] = &(modelStruct.d_modelPar_P2CDSCDR_dX);
modelStruct.modelPar_DVT0=mod.DVT0;
modelStruct.d_modelPar_DVT0_dX=0.0;
modelStruct.modelPar_given_DVT0=mod.given("DVT0");
modParamMap["DVT0"] = &(modelStruct.d_modelPar_DVT0_dX);
modelStruct.modelPar_LDVT0=mod.LDVT0;
modelStruct.d_modelPar_LDVT0_dX=0.0;
modelStruct.modelPar_given_LDVT0=mod.given("LDVT0");
modParamMap["LDVT0"] = &(modelStruct.d_modelPar_LDVT0_dX);
modelStruct.modelPar_NDVT0=mod.NDVT0;
modelStruct.d_modelPar_NDVT0_dX=0.0;
modelStruct.modelPar_given_NDVT0=mod.given("NDVT0");
modParamMap["NDVT0"] = &(modelStruct.d_modelPar_NDVT0_dX);
modelStruct.modelPar_PDVT0=mod.PDVT0;
modelStruct.d_modelPar_PDVT0_dX=0.0;
modelStruct.modelPar_given_PDVT0=mod.given("PDVT0");
modParamMap["PDVT0"] = &(modelStruct.d_modelPar_PDVT0_dX);
modelStruct.modelPar_WDVT0=mod.WDVT0;
modelStruct.d_modelPar_WDVT0_dX=0.0;
modelStruct.modelPar_given_WDVT0=mod.given("WDVT0");
modParamMap["WDVT0"] = &(modelStruct.d_modelPar_WDVT0_dX);
modelStruct.modelPar_P2DVT0=mod.P2DVT0;
modelStruct.d_modelPar_P2DVT0_dX=0.0;
modelStruct.modelPar_given_P2DVT0=mod.given("P2DVT0");
modParamMap["P2DVT0"] = &(modelStruct.d_modelPar_P2DVT0_dX);
modelStruct.modelPar_DVT1=mod.DVT1;
modelStruct.d_modelPar_DVT1_dX=0.0;
modelStruct.modelPar_given_DVT1=mod.given("DVT1");
modParamMap["DVT1"] = &(modelStruct.d_modelPar_DVT1_dX);
modelStruct.modelPar_LDVT1=mod.LDVT1;
modelStruct.d_modelPar_LDVT1_dX=0.0;
modelStruct.modelPar_given_LDVT1=mod.given("LDVT1");
modParamMap["LDVT1"] = &(modelStruct.d_modelPar_LDVT1_dX);
modelStruct.modelPar_NDVT1=mod.NDVT1;
modelStruct.d_modelPar_NDVT1_dX=0.0;
modelStruct.modelPar_given_NDVT1=mod.given("NDVT1");
modParamMap["NDVT1"] = &(modelStruct.d_modelPar_NDVT1_dX);
modelStruct.modelPar_PDVT1=mod.PDVT1;
modelStruct.d_modelPar_PDVT1_dX=0.0;
modelStruct.modelPar_given_PDVT1=mod.given("PDVT1");
modParamMap["PDVT1"] = &(modelStruct.d_modelPar_PDVT1_dX);
modelStruct.modelPar_WDVT1=mod.WDVT1;
modelStruct.d_modelPar_WDVT1_dX=0.0;
modelStruct.modelPar_given_WDVT1=mod.given("WDVT1");
modParamMap["WDVT1"] = &(modelStruct.d_modelPar_WDVT1_dX);
modelStruct.modelPar_P2DVT1=mod.P2DVT1;
modelStruct.d_modelPar_P2DVT1_dX=0.0;
modelStruct.modelPar_given_P2DVT1=mod.given("P2DVT1");
modParamMap["P2DVT1"] = &(modelStruct.d_modelPar_P2DVT1_dX);
modelStruct.modelPar_DVT1SS=mod.DVT1SS;
modelStruct.d_modelPar_DVT1SS_dX=0.0;
modelStruct.modelPar_given_DVT1SS=mod.given("DVT1SS");
modParamMap["DVT1SS"] = &(modelStruct.d_modelPar_DVT1SS_dX);
modelStruct.modelPar_LDVT1SS=mod.LDVT1SS;
modelStruct.d_modelPar_LDVT1SS_dX=0.0;
modelStruct.modelPar_given_LDVT1SS=mod.given("LDVT1SS");
modParamMap["LDVT1SS"] = &(modelStruct.d_modelPar_LDVT1SS_dX);
modelStruct.modelPar_NDVT1SS=mod.NDVT1SS;
modelStruct.d_modelPar_NDVT1SS_dX=0.0;
modelStruct.modelPar_given_NDVT1SS=mod.given("NDVT1SS");
modParamMap["NDVT1SS"] = &(modelStruct.d_modelPar_NDVT1SS_dX);
modelStruct.modelPar_PDVT1SS=mod.PDVT1SS;
modelStruct.d_modelPar_PDVT1SS_dX=0.0;
modelStruct.modelPar_given_PDVT1SS=mod.given("PDVT1SS");
modParamMap["PDVT1SS"] = &(modelStruct.d_modelPar_PDVT1SS_dX);
modelStruct.modelPar_WDVT1SS=mod.WDVT1SS;
modelStruct.d_modelPar_WDVT1SS_dX=0.0;
modelStruct.modelPar_given_WDVT1SS=mod.given("WDVT1SS");
modParamMap["WDVT1SS"] = &(modelStruct.d_modelPar_WDVT1SS_dX);
modelStruct.modelPar_P2DVT1SS=mod.P2DVT1SS;
modelStruct.d_modelPar_P2DVT1SS_dX=0.0;
modelStruct.modelPar_given_P2DVT1SS=mod.given("P2DVT1SS");
modParamMap["P2DVT1SS"] = &(modelStruct.d_modelPar_P2DVT1SS_dX);
modelStruct.modelPar_PHIN=mod.PHIN;
modelStruct.d_modelPar_PHIN_dX=0.0;
modelStruct.modelPar_given_PHIN=mod.given("PHIN");
modParamMap["PHIN"] = &(modelStruct.d_modelPar_PHIN_dX);
modelStruct.modelPar_LPHIN=mod.LPHIN;
modelStruct.d_modelPar_LPHIN_dX=0.0;
modelStruct.modelPar_given_LPHIN=mod.given("LPHIN");
modParamMap["LPHIN"] = &(modelStruct.d_modelPar_LPHIN_dX);
modelStruct.modelPar_NPHIN=mod.NPHIN;
modelStruct.d_modelPar_NPHIN_dX=0.0;
modelStruct.modelPar_given_NPHIN=mod.given("NPHIN");
modParamMap["NPHIN"] = &(modelStruct.d_modelPar_NPHIN_dX);
modelStruct.modelPar_PPHIN=mod.PPHIN;
modelStruct.d_modelPar_PPHIN_dX=0.0;
modelStruct.modelPar_given_PPHIN=mod.given("PPHIN");
modParamMap["PPHIN"] = &(modelStruct.d_modelPar_PPHIN_dX);
modelStruct.modelPar_WPHIN=mod.WPHIN;
modelStruct.d_modelPar_WPHIN_dX=0.0;
modelStruct.modelPar_given_WPHIN=mod.given("WPHIN");
modParamMap["WPHIN"] = &(modelStruct.d_modelPar_WPHIN_dX);
modelStruct.modelPar_P2PHIN=mod.P2PHIN;
modelStruct.d_modelPar_P2PHIN_dX=0.0;
modelStruct.modelPar_given_P2PHIN=mod.given("P2PHIN");
modParamMap["P2PHIN"] = &(modelStruct.d_modelPar_P2PHIN_dX);
modelStruct.modelPar_ETA0=mod.ETA0;
modelStruct.d_modelPar_ETA0_dX=0.0;
modelStruct.modelPar_given_ETA0=mod.given("ETA0");
modParamMap["ETA0"] = &(modelStruct.d_modelPar_ETA0_dX);
modelStruct.modelPar_LETA0=mod.LETA0;
modelStruct.d_modelPar_LETA0_dX=0.0;
modelStruct.modelPar_given_LETA0=mod.given("LETA0");
modParamMap["LETA0"] = &(modelStruct.d_modelPar_LETA0_dX);
modelStruct.modelPar_NETA0=mod.NETA0;
modelStruct.d_modelPar_NETA0_dX=0.0;
modelStruct.modelPar_given_NETA0=mod.given("NETA0");
modParamMap["NETA0"] = &(modelStruct.d_modelPar_NETA0_dX);
modelStruct.modelPar_PETA0=mod.PETA0;
modelStruct.d_modelPar_PETA0_dX=0.0;
modelStruct.modelPar_given_PETA0=mod.given("PETA0");
modParamMap["PETA0"] = &(modelStruct.d_modelPar_PETA0_dX);
modelStruct.modelPar_WETA0=mod.WETA0;
modelStruct.d_modelPar_WETA0_dX=0.0;
modelStruct.modelPar_given_WETA0=mod.given("WETA0");
modParamMap["WETA0"] = &(modelStruct.d_modelPar_WETA0_dX);
modelStruct.modelPar_P2ETA0=mod.P2ETA0;
modelStruct.d_modelPar_P2ETA0_dX=0.0;
modelStruct.modelPar_given_P2ETA0=mod.given("P2ETA0");
modParamMap["P2ETA0"] = &(modelStruct.d_modelPar_P2ETA0_dX);
modelStruct.modelPar_ETA0R=mod.ETA0R;
modelStruct.d_modelPar_ETA0R_dX=0.0;
modelStruct.modelPar_given_ETA0R=mod.given("ETA0R");
modParamMap["ETA0R"] = &(modelStruct.d_modelPar_ETA0R_dX);
modelStruct.modelPar_LETA0R=mod.LETA0R;
modelStruct.d_modelPar_LETA0R_dX=0.0;
modelStruct.modelPar_given_LETA0R=mod.given("LETA0R");
modParamMap["LETA0R"] = &(modelStruct.d_modelPar_LETA0R_dX);
modelStruct.modelPar_NETA0R=mod.NETA0R;
modelStruct.d_modelPar_NETA0R_dX=0.0;
modelStruct.modelPar_given_NETA0R=mod.given("NETA0R");
modParamMap["NETA0R"] = &(modelStruct.d_modelPar_NETA0R_dX);
modelStruct.modelPar_PETA0R=mod.PETA0R;
modelStruct.d_modelPar_PETA0R_dX=0.0;
modelStruct.modelPar_given_PETA0R=mod.given("PETA0R");
modParamMap["PETA0R"] = &(modelStruct.d_modelPar_PETA0R_dX);
modelStruct.modelPar_WETA0R=mod.WETA0R;
modelStruct.d_modelPar_WETA0R_dX=0.0;
modelStruct.modelPar_given_WETA0R=mod.given("WETA0R");
modParamMap["WETA0R"] = &(modelStruct.d_modelPar_WETA0R_dX);
modelStruct.modelPar_P2ETA0R=mod.P2ETA0R;
modelStruct.d_modelPar_P2ETA0R_dX=0.0;
modelStruct.modelPar_given_P2ETA0R=mod.given("P2ETA0R");
modParamMap["P2ETA0R"] = &(modelStruct.d_modelPar_P2ETA0R_dX);
modelStruct.modelPar_ETA0CV=mod.ETA0CV;
modelStruct.d_modelPar_ETA0CV_dX=0.0;
modelStruct.modelPar_given_ETA0CV=mod.given("ETA0CV");
modParamMap["ETA0CV"] = &(modelStruct.d_modelPar_ETA0CV_dX);
modelStruct.modelPar_LETA0CV=mod.LETA0CV;
modelStruct.d_modelPar_LETA0CV_dX=0.0;
modelStruct.modelPar_given_LETA0CV=mod.given("LETA0CV");
modParamMap["LETA0CV"] = &(modelStruct.d_modelPar_LETA0CV_dX);
modelStruct.modelPar_NETA0CV=mod.NETA0CV;
modelStruct.d_modelPar_NETA0CV_dX=0.0;
modelStruct.modelPar_given_NETA0CV=mod.given("NETA0CV");
modParamMap["NETA0CV"] = &(modelStruct.d_modelPar_NETA0CV_dX);
modelStruct.modelPar_PETA0CV=mod.PETA0CV;
modelStruct.d_modelPar_PETA0CV_dX=0.0;
modelStruct.modelPar_given_PETA0CV=mod.given("PETA0CV");
modParamMap["PETA0CV"] = &(modelStruct.d_modelPar_PETA0CV_dX);
modelStruct.modelPar_WETA0CV=mod.WETA0CV;
modelStruct.d_modelPar_WETA0CV_dX=0.0;
modelStruct.modelPar_given_WETA0CV=mod.given("WETA0CV");
modParamMap["WETA0CV"] = &(modelStruct.d_modelPar_WETA0CV_dX);
modelStruct.modelPar_P2ETA0CV=mod.P2ETA0CV;
modelStruct.d_modelPar_P2ETA0CV_dX=0.0;
modelStruct.modelPar_given_P2ETA0CV=mod.given("P2ETA0CV");
modParamMap["P2ETA0CV"] = &(modelStruct.d_modelPar_P2ETA0CV_dX);
modelStruct.modelPar_DSUB=mod.DSUB;
modelStruct.d_modelPar_DSUB_dX=0.0;
modelStruct.modelPar_given_DSUB=mod.given("DSUB");
modParamMap["DSUB"] = &(modelStruct.d_modelPar_DSUB_dX);
modelStruct.modelPar_LDSUB=mod.LDSUB;
modelStruct.d_modelPar_LDSUB_dX=0.0;
modelStruct.modelPar_given_LDSUB=mod.given("LDSUB");
modParamMap["LDSUB"] = &(modelStruct.d_modelPar_LDSUB_dX);
modelStruct.modelPar_NDSUB=mod.NDSUB;
modelStruct.d_modelPar_NDSUB_dX=0.0;
modelStruct.modelPar_given_NDSUB=mod.given("NDSUB");
modParamMap["NDSUB"] = &(modelStruct.d_modelPar_NDSUB_dX);
modelStruct.modelPar_PDSUB=mod.PDSUB;
modelStruct.d_modelPar_PDSUB_dX=0.0;
modelStruct.modelPar_given_PDSUB=mod.given("PDSUB");
modParamMap["PDSUB"] = &(modelStruct.d_modelPar_PDSUB_dX);
modelStruct.modelPar_WDSUB=mod.WDSUB;
modelStruct.d_modelPar_WDSUB_dX=0.0;
modelStruct.modelPar_given_WDSUB=mod.given("WDSUB");
modParamMap["WDSUB"] = &(modelStruct.d_modelPar_WDSUB_dX);
modelStruct.modelPar_P2DSUB=mod.P2DSUB;
modelStruct.d_modelPar_P2DSUB_dX=0.0;
modelStruct.modelPar_given_P2DSUB=mod.given("P2DSUB");
modParamMap["P2DSUB"] = &(modelStruct.d_modelPar_P2DSUB_dX);
modelStruct.modelPar_K1RSCE=mod.K1RSCE;
modelStruct.d_modelPar_K1RSCE_dX=0.0;
modelStruct.modelPar_given_K1RSCE=mod.given("K1RSCE");
modParamMap["K1RSCE"] = &(modelStruct.d_modelPar_K1RSCE_dX);
modelStruct.modelPar_LK1RSCE=mod.LK1RSCE;
modelStruct.d_modelPar_LK1RSCE_dX=0.0;
modelStruct.modelPar_given_LK1RSCE=mod.given("LK1RSCE");
modParamMap["LK1RSCE"] = &(modelStruct.d_modelPar_LK1RSCE_dX);
modelStruct.modelPar_NK1RSCE=mod.NK1RSCE;
modelStruct.d_modelPar_NK1RSCE_dX=0.0;
modelStruct.modelPar_given_NK1RSCE=mod.given("NK1RSCE");
modParamMap["NK1RSCE"] = &(modelStruct.d_modelPar_NK1RSCE_dX);
modelStruct.modelPar_PK1RSCE=mod.PK1RSCE;
modelStruct.d_modelPar_PK1RSCE_dX=0.0;
modelStruct.modelPar_given_PK1RSCE=mod.given("PK1RSCE");
modParamMap["PK1RSCE"] = &(modelStruct.d_modelPar_PK1RSCE_dX);
modelStruct.modelPar_WK1RSCE=mod.WK1RSCE;
modelStruct.d_modelPar_WK1RSCE_dX=0.0;
modelStruct.modelPar_given_WK1RSCE=mod.given("WK1RSCE");
modParamMap["WK1RSCE"] = &(modelStruct.d_modelPar_WK1RSCE_dX);
modelStruct.modelPar_P2K1RSCE=mod.P2K1RSCE;
modelStruct.d_modelPar_P2K1RSCE_dX=0.0;
modelStruct.modelPar_given_P2K1RSCE=mod.given("P2K1RSCE");
modParamMap["P2K1RSCE"] = &(modelStruct.d_modelPar_P2K1RSCE_dX);
modelStruct.modelPar_LPE0=mod.LPE0;
modelStruct.d_modelPar_LPE0_dX=0.0;
modelStruct.modelPar_given_LPE0=mod.given("LPE0");
modParamMap["LPE0"] = &(modelStruct.d_modelPar_LPE0_dX);
modelStruct.modelPar_LLPE0=mod.LLPE0;
modelStruct.d_modelPar_LLPE0_dX=0.0;
modelStruct.modelPar_given_LLPE0=mod.given("LLPE0");
modParamMap["LLPE0"] = &(modelStruct.d_modelPar_LLPE0_dX);
modelStruct.modelPar_NLPE0=mod.NLPE0;
modelStruct.d_modelPar_NLPE0_dX=0.0;
modelStruct.modelPar_given_NLPE0=mod.given("NLPE0");
modParamMap["NLPE0"] = &(modelStruct.d_modelPar_NLPE0_dX);
modelStruct.modelPar_PLPE0=mod.PLPE0;
modelStruct.d_modelPar_PLPE0_dX=0.0;
modelStruct.modelPar_given_PLPE0=mod.given("PLPE0");
modParamMap["PLPE0"] = &(modelStruct.d_modelPar_PLPE0_dX);
modelStruct.modelPar_WLPE0=mod.WLPE0;
modelStruct.d_modelPar_WLPE0_dX=0.0;
modelStruct.modelPar_given_WLPE0=mod.given("WLPE0");
modParamMap["WLPE0"] = &(modelStruct.d_modelPar_WLPE0_dX);
modelStruct.modelPar_P2LPE0=mod.P2LPE0;
modelStruct.d_modelPar_P2LPE0_dX=0.0;
modelStruct.modelPar_given_P2LPE0=mod.given("P2LPE0");
modParamMap["P2LPE0"] = &(modelStruct.d_modelPar_P2LPE0_dX);
modelStruct.modelPar_DVTSHIFT=mod.DVTSHIFT;
modelStruct.d_modelPar_DVTSHIFT_dX=0.0;
modelStruct.modelPar_given_DVTSHIFT=mod.given("DVTSHIFT");
modParamMap["DVTSHIFT"] = &(modelStruct.d_modelPar_DVTSHIFT_dX);
modelStruct.modelPar_LDVTSHIFT=mod.LDVTSHIFT;
modelStruct.d_modelPar_LDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_LDVTSHIFT=mod.given("LDVTSHIFT");
modParamMap["LDVTSHIFT"] = &(modelStruct.d_modelPar_LDVTSHIFT_dX);
modelStruct.modelPar_NDVTSHIFT=mod.NDVTSHIFT;
modelStruct.d_modelPar_NDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_NDVTSHIFT=mod.given("NDVTSHIFT");
modParamMap["NDVTSHIFT"] = &(modelStruct.d_modelPar_NDVTSHIFT_dX);
modelStruct.modelPar_PDVTSHIFT=mod.PDVTSHIFT;
modelStruct.d_modelPar_PDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_PDVTSHIFT=mod.given("PDVTSHIFT");
modParamMap["PDVTSHIFT"] = &(modelStruct.d_modelPar_PDVTSHIFT_dX);
modelStruct.modelPar_WDVTSHIFT=mod.WDVTSHIFT;
modelStruct.d_modelPar_WDVTSHIFT_dX=0.0;
modelStruct.modelPar_given_WDVTSHIFT=mod.given("WDVTSHIFT");
modParamMap["WDVTSHIFT"] = &(modelStruct.d_modelPar_WDVTSHIFT_dX);
modelStruct.modelPar_P2DVTSHIFT=mod.P2DVTSHIFT;
modelStruct.d_modelPar_P2DVTSHIFT_dX=0.0;
modelStruct.modelPar_given_P2DVTSHIFT=mod.given("P2DVTSHIFT");
modParamMap["P2DVTSHIFT"] = &(modelStruct.d_modelPar_P2DVTSHIFT_dX);
modelStruct.modelPar_DVTSHIFTR=mod.DVTSHIFTR;
modelStruct.d_modelPar_DVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_DVTSHIFTR=mod.given("DVTSHIFTR");
modParamMap["DVTSHIFTR"] = &(modelStruct.d_modelPar_DVTSHIFTR_dX);
modelStruct.modelPar_LDVTSHIFTR=mod.LDVTSHIFTR;
modelStruct.d_modelPar_LDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_LDVTSHIFTR=mod.given("LDVTSHIFTR");
modParamMap["LDVTSHIFTR"] = &(modelStruct.d_modelPar_LDVTSHIFTR_dX);
modelStruct.modelPar_NDVTSHIFTR=mod.NDVTSHIFTR;
modelStruct.d_modelPar_NDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_NDVTSHIFTR=mod.given("NDVTSHIFTR");
modParamMap["NDVTSHIFTR"] = &(modelStruct.d_modelPar_NDVTSHIFTR_dX);
modelStruct.modelPar_PDVTSHIFTR=mod.PDVTSHIFTR;
modelStruct.d_modelPar_PDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_PDVTSHIFTR=mod.given("PDVTSHIFTR");
modParamMap["PDVTSHIFTR"] = &(modelStruct.d_modelPar_PDVTSHIFTR_dX);
modelStruct.modelPar_WDVTSHIFTR=mod.WDVTSHIFTR;
modelStruct.d_modelPar_WDVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_WDVTSHIFTR=mod.given("WDVTSHIFTR");
modParamMap["WDVTSHIFTR"] = &(modelStruct.d_modelPar_WDVTSHIFTR_dX);
modelStruct.modelPar_P2DVTSHIFTR=mod.P2DVTSHIFTR;
modelStruct.d_modelPar_P2DVTSHIFTR_dX=0.0;
modelStruct.modelPar_given_P2DVTSHIFTR=mod.given("P2DVTSHIFTR");
modParamMap["P2DVTSHIFTR"] = &(modelStruct.d_modelPar_P2DVTSHIFTR_dX);
modelStruct.modelPar_K0=mod.K0;
modelStruct.d_modelPar_K0_dX=0.0;
modelStruct.modelPar_given_K0=mod.given("K0");
modParamMap["K0"] = &(modelStruct.d_modelPar_K0_dX);
modelStruct.modelPar_LK0=mod.LK0;
modelStruct.d_modelPar_LK0_dX=0.0;
modelStruct.modelPar_given_LK0=mod.given("LK0");
modParamMap["LK0"] = &(modelStruct.d_modelPar_LK0_dX);
modelStruct.modelPar_NK0=mod.NK0;
modelStruct.d_modelPar_NK0_dX=0.0;
modelStruct.modelPar_given_NK0=mod.given("NK0");
modParamMap["NK0"] = &(modelStruct.d_modelPar_NK0_dX);
modelStruct.modelPar_PK0=mod.PK0;
modelStruct.d_modelPar_PK0_dX=0.0;
modelStruct.modelPar_given_PK0=mod.given("PK0");
modParamMap["PK0"] = &(modelStruct.d_modelPar_PK0_dX);
modelStruct.modelPar_WK0=mod.WK0;
modelStruct.d_modelPar_WK0_dX=0.0;
modelStruct.modelPar_given_WK0=mod.given("WK0");
modParamMap["WK0"] = &(modelStruct.d_modelPar_WK0_dX);
modelStruct.modelPar_P2K0=mod.P2K0;
modelStruct.d_modelPar_P2K0_dX=0.0;
modelStruct.modelPar_given_P2K0=mod.given("P2K0");
modParamMap["P2K0"] = &(modelStruct.d_modelPar_P2K0_dX);
modelStruct.modelPar_K01=mod.K01;
modelStruct.d_modelPar_K01_dX=0.0;
modelStruct.modelPar_given_K01=mod.given("K01");
modParamMap["K01"] = &(modelStruct.d_modelPar_K01_dX);
modelStruct.modelPar_LK01=mod.LK01;
modelStruct.d_modelPar_LK01_dX=0.0;
modelStruct.modelPar_given_LK01=mod.given("LK01");
modParamMap["LK01"] = &(modelStruct.d_modelPar_LK01_dX);
modelStruct.modelPar_NK01=mod.NK01;
modelStruct.d_modelPar_NK01_dX=0.0;
modelStruct.modelPar_given_NK01=mod.given("NK01");
modParamMap["NK01"] = &(modelStruct.d_modelPar_NK01_dX);
modelStruct.modelPar_PK01=mod.PK01;
modelStruct.d_modelPar_PK01_dX=0.0;
modelStruct.modelPar_given_PK01=mod.given("PK01");
modParamMap["PK01"] = &(modelStruct.d_modelPar_PK01_dX);
modelStruct.modelPar_WK01=mod.WK01;
modelStruct.d_modelPar_WK01_dX=0.0;
modelStruct.modelPar_given_WK01=mod.given("WK01");
modParamMap["WK01"] = &(modelStruct.d_modelPar_WK01_dX);
modelStruct.modelPar_P2K01=mod.P2K01;
modelStruct.d_modelPar_P2K01_dX=0.0;
modelStruct.modelPar_given_P2K01=mod.given("P2K01");
modParamMap["P2K01"] = &(modelStruct.d_modelPar_P2K01_dX);
modelStruct.modelPar_K0SI=mod.K0SI;
modelStruct.d_modelPar_K0SI_dX=0.0;
modelStruct.modelPar_given_K0SI=mod.given("K0SI");
modParamMap["K0SI"] = &(modelStruct.d_modelPar_K0SI_dX);
modelStruct.modelPar_LK0SI=mod.LK0SI;
modelStruct.d_modelPar_LK0SI_dX=0.0;
modelStruct.modelPar_given_LK0SI=mod.given("LK0SI");
modParamMap["LK0SI"] = &(modelStruct.d_modelPar_LK0SI_dX);
modelStruct.modelPar_NK0SI=mod.NK0SI;
modelStruct.d_modelPar_NK0SI_dX=0.0;
modelStruct.modelPar_given_NK0SI=mod.given("NK0SI");
modParamMap["NK0SI"] = &(modelStruct.d_modelPar_NK0SI_dX);
modelStruct.modelPar_PK0SI=mod.PK0SI;
modelStruct.d_modelPar_PK0SI_dX=0.0;
modelStruct.modelPar_given_PK0SI=mod.given("PK0SI");
modParamMap["PK0SI"] = &(modelStruct.d_modelPar_PK0SI_dX);
modelStruct.modelPar_WK0SI=mod.WK0SI;
modelStruct.d_modelPar_WK0SI_dX=0.0;
modelStruct.modelPar_given_WK0SI=mod.given("WK0SI");
modParamMap["WK0SI"] = &(modelStruct.d_modelPar_WK0SI_dX);
modelStruct.modelPar_P2K0SI=mod.P2K0SI;
modelStruct.d_modelPar_P2K0SI_dX=0.0;
modelStruct.modelPar_given_P2K0SI=mod.given("P2K0SI");
modParamMap["P2K0SI"] = &(modelStruct.d_modelPar_P2K0SI_dX);
modelStruct.modelPar_K0SI1=mod.K0SI1;
modelStruct.d_modelPar_K0SI1_dX=0.0;
modelStruct.modelPar_given_K0SI1=mod.given("K0SI1");
modParamMap["K0SI1"] = &(modelStruct.d_modelPar_K0SI1_dX);
modelStruct.modelPar_LK0SI1=mod.LK0SI1;
modelStruct.d_modelPar_LK0SI1_dX=0.0;
modelStruct.modelPar_given_LK0SI1=mod.given("LK0SI1");
modParamMap["LK0SI1"] = &(modelStruct.d_modelPar_LK0SI1_dX);
modelStruct.modelPar_NK0SI1=mod.NK0SI1;
modelStruct.d_modelPar_NK0SI1_dX=0.0;
modelStruct.modelPar_given_NK0SI1=mod.given("NK0SI1");
modParamMap["NK0SI1"] = &(modelStruct.d_modelPar_NK0SI1_dX);
modelStruct.modelPar_PK0SI1=mod.PK0SI1;
modelStruct.d_modelPar_PK0SI1_dX=0.0;
modelStruct.modelPar_given_PK0SI1=mod.given("PK0SI1");
modParamMap["PK0SI1"] = &(modelStruct.d_modelPar_PK0SI1_dX);
modelStruct.modelPar_WK0SI1=mod.WK0SI1;
modelStruct.d_modelPar_WK0SI1_dX=0.0;
modelStruct.modelPar_given_WK0SI1=mod.given("WK0SI1");
modParamMap["WK0SI1"] = &(modelStruct.d_modelPar_WK0SI1_dX);
modelStruct.modelPar_P2K0SI1=mod.P2K0SI1;
modelStruct.d_modelPar_P2K0SI1_dX=0.0;
modelStruct.modelPar_given_P2K0SI1=mod.given("P2K0SI1");
modParamMap["P2K0SI1"] = &(modelStruct.d_modelPar_P2K0SI1_dX);
modelStruct.modelPar_K2SI=mod.K2SI;
modelStruct.d_modelPar_K2SI_dX=0.0;
modelStruct.modelPar_given_K2SI=mod.given("K2SI");
modParamMap["K2SI"] = &(modelStruct.d_modelPar_K2SI_dX);
modelStruct.modelPar_LK2SI=mod.LK2SI;
modelStruct.d_modelPar_LK2SI_dX=0.0;
modelStruct.modelPar_given_LK2SI=mod.given("LK2SI");
modParamMap["LK2SI"] = &(modelStruct.d_modelPar_LK2SI_dX);
modelStruct.modelPar_NK2SI=mod.NK2SI;
modelStruct.d_modelPar_NK2SI_dX=0.0;
modelStruct.modelPar_given_NK2SI=mod.given("NK2SI");
modParamMap["NK2SI"] = &(modelStruct.d_modelPar_NK2SI_dX);
modelStruct.modelPar_PK2SI=mod.PK2SI;
modelStruct.d_modelPar_PK2SI_dX=0.0;
modelStruct.modelPar_given_PK2SI=mod.given("PK2SI");
modParamMap["PK2SI"] = &(modelStruct.d_modelPar_PK2SI_dX);
modelStruct.modelPar_WK2SI=mod.WK2SI;
modelStruct.d_modelPar_WK2SI_dX=0.0;
modelStruct.modelPar_given_WK2SI=mod.given("WK2SI");
modParamMap["WK2SI"] = &(modelStruct.d_modelPar_WK2SI_dX);
modelStruct.modelPar_P2K2SI=mod.P2K2SI;
modelStruct.d_modelPar_P2K2SI_dX=0.0;
modelStruct.modelPar_given_P2K2SI=mod.given("P2K2SI");
modParamMap["P2K2SI"] = &(modelStruct.d_modelPar_P2K2SI_dX);
modelStruct.modelPar_K2SI1=mod.K2SI1;
modelStruct.d_modelPar_K2SI1_dX=0.0;
modelStruct.modelPar_given_K2SI1=mod.given("K2SI1");
modParamMap["K2SI1"] = &(modelStruct.d_modelPar_K2SI1_dX);
modelStruct.modelPar_LK2SI1=mod.LK2SI1;
modelStruct.d_modelPar_LK2SI1_dX=0.0;
modelStruct.modelPar_given_LK2SI1=mod.given("LK2SI1");
modParamMap["LK2SI1"] = &(modelStruct.d_modelPar_LK2SI1_dX);
modelStruct.modelPar_NK2SI1=mod.NK2SI1;
modelStruct.d_modelPar_NK2SI1_dX=0.0;
modelStruct.modelPar_given_NK2SI1=mod.given("NK2SI1");
modParamMap["NK2SI1"] = &(modelStruct.d_modelPar_NK2SI1_dX);
modelStruct.modelPar_PK2SI1=mod.PK2SI1;
modelStruct.d_modelPar_PK2SI1_dX=0.0;
modelStruct.modelPar_given_PK2SI1=mod.given("PK2SI1");
modParamMap["PK2SI1"] = &(modelStruct.d_modelPar_PK2SI1_dX);
modelStruct.modelPar_WK2SI1=mod.WK2SI1;
modelStruct.d_modelPar_WK2SI1_dX=0.0;
modelStruct.modelPar_given_WK2SI1=mod.given("WK2SI1");
modParamMap["WK2SI1"] = &(modelStruct.d_modelPar_WK2SI1_dX);
modelStruct.modelPar_P2K2SI1=mod.P2K2SI1;
modelStruct.d_modelPar_P2K2SI1_dX=0.0;
modelStruct.modelPar_given_P2K2SI1=mod.given("P2K2SI1");
modParamMap["P2K2SI1"] = &(modelStruct.d_modelPar_P2K2SI1_dX);
modelStruct.modelPar_K0SISAT=mod.K0SISAT;
modelStruct.d_modelPar_K0SISAT_dX=0.0;
modelStruct.modelPar_given_K0SISAT=mod.given("K0SISAT");
modParamMap["K0SISAT"] = &(modelStruct.d_modelPar_K0SISAT_dX);
modelStruct.modelPar_LK0SISAT=mod.LK0SISAT;
modelStruct.d_modelPar_LK0SISAT_dX=0.0;
modelStruct.modelPar_given_LK0SISAT=mod.given("LK0SISAT");
modParamMap["LK0SISAT"] = &(modelStruct.d_modelPar_LK0SISAT_dX);
modelStruct.modelPar_NK0SISAT=mod.NK0SISAT;
modelStruct.d_modelPar_NK0SISAT_dX=0.0;
modelStruct.modelPar_given_NK0SISAT=mod.given("NK0SISAT");
modParamMap["NK0SISAT"] = &(modelStruct.d_modelPar_NK0SISAT_dX);
modelStruct.modelPar_PK0SISAT=mod.PK0SISAT;
modelStruct.d_modelPar_PK0SISAT_dX=0.0;
modelStruct.modelPar_given_PK0SISAT=mod.given("PK0SISAT");
modParamMap["PK0SISAT"] = &(modelStruct.d_modelPar_PK0SISAT_dX);
modelStruct.modelPar_WK0SISAT=mod.WK0SISAT;
modelStruct.d_modelPar_WK0SISAT_dX=0.0;
modelStruct.modelPar_given_WK0SISAT=mod.given("WK0SISAT");
modParamMap["WK0SISAT"] = &(modelStruct.d_modelPar_WK0SISAT_dX);
modelStruct.modelPar_P2K0SISAT=mod.P2K0SISAT;
modelStruct.d_modelPar_P2K0SISAT_dX=0.0;
modelStruct.modelPar_given_P2K0SISAT=mod.given("P2K0SISAT");
modParamMap["P2K0SISAT"] = &(modelStruct.d_modelPar_P2K0SISAT_dX);
modelStruct.modelPar_K0SISAT1=mod.K0SISAT1;
modelStruct.d_modelPar_K0SISAT1_dX=0.0;
modelStruct.modelPar_given_K0SISAT1=mod.given("K0SISAT1");
modParamMap["K0SISAT1"] = &(modelStruct.d_modelPar_K0SISAT1_dX);
modelStruct.modelPar_LK0SISAT1=mod.LK0SISAT1;
modelStruct.d_modelPar_LK0SISAT1_dX=0.0;
modelStruct.modelPar_given_LK0SISAT1=mod.given("LK0SISAT1");
modParamMap["LK0SISAT1"] = &(modelStruct.d_modelPar_LK0SISAT1_dX);
modelStruct.modelPar_NK0SISAT1=mod.NK0SISAT1;
modelStruct.d_modelPar_NK0SISAT1_dX=0.0;
modelStruct.modelPar_given_NK0SISAT1=mod.given("NK0SISAT1");
modParamMap["NK0SISAT1"] = &(modelStruct.d_modelPar_NK0SISAT1_dX);
modelStruct.modelPar_PK0SISAT1=mod.PK0SISAT1;
modelStruct.d_modelPar_PK0SISAT1_dX=0.0;
modelStruct.modelPar_given_PK0SISAT1=mod.given("PK0SISAT1");
modParamMap["PK0SISAT1"] = &(modelStruct.d_modelPar_PK0SISAT1_dX);
modelStruct.modelPar_WK0SISAT1=mod.WK0SISAT1;
modelStruct.d_modelPar_WK0SISAT1_dX=0.0;
modelStruct.modelPar_given_WK0SISAT1=mod.given("WK0SISAT1");
modParamMap["WK0SISAT1"] = &(modelStruct.d_modelPar_WK0SISAT1_dX);
modelStruct.modelPar_P2K0SISAT1=mod.P2K0SISAT1;
modelStruct.d_modelPar_P2K0SISAT1_dX=0.0;
modelStruct.modelPar_given_P2K0SISAT1=mod.given("P2K0SISAT1");
modParamMap["P2K0SISAT1"] = &(modelStruct.d_modelPar_P2K0SISAT1_dX);
modelStruct.modelPar_K2SISAT=mod.K2SISAT;
modelStruct.d_modelPar_K2SISAT_dX=0.0;
modelStruct.modelPar_given_K2SISAT=mod.given("K2SISAT");
modParamMap["K2SISAT"] = &(modelStruct.d_modelPar_K2SISAT_dX);
modelStruct.modelPar_LK2SISAT=mod.LK2SISAT;
modelStruct.d_modelPar_LK2SISAT_dX=0.0;
modelStruct.modelPar_given_LK2SISAT=mod.given("LK2SISAT");
modParamMap["LK2SISAT"] = &(modelStruct.d_modelPar_LK2SISAT_dX);
modelStruct.modelPar_NK2SISAT=mod.NK2SISAT;
modelStruct.d_modelPar_NK2SISAT_dX=0.0;
modelStruct.modelPar_given_NK2SISAT=mod.given("NK2SISAT");
modParamMap["NK2SISAT"] = &(modelStruct.d_modelPar_NK2SISAT_dX);
modelStruct.modelPar_PK2SISAT=mod.PK2SISAT;
modelStruct.d_modelPar_PK2SISAT_dX=0.0;
modelStruct.modelPar_given_PK2SISAT=mod.given("PK2SISAT");
modParamMap["PK2SISAT"] = &(modelStruct.d_modelPar_PK2SISAT_dX);
modelStruct.modelPar_WK2SISAT=mod.WK2SISAT;
modelStruct.d_modelPar_WK2SISAT_dX=0.0;
modelStruct.modelPar_given_WK2SISAT=mod.given("WK2SISAT");
modParamMap["WK2SISAT"] = &(modelStruct.d_modelPar_WK2SISAT_dX);
modelStruct.modelPar_P2K2SISAT=mod.P2K2SISAT;
modelStruct.d_modelPar_P2K2SISAT_dX=0.0;
modelStruct.modelPar_given_P2K2SISAT=mod.given("P2K2SISAT");
modParamMap["P2K2SISAT"] = &(modelStruct.d_modelPar_P2K2SISAT_dX);
modelStruct.modelPar_K2SISAT1=mod.K2SISAT1;
modelStruct.d_modelPar_K2SISAT1_dX=0.0;
modelStruct.modelPar_given_K2SISAT1=mod.given("K2SISAT1");
modParamMap["K2SISAT1"] = &(modelStruct.d_modelPar_K2SISAT1_dX);
modelStruct.modelPar_LK2SISAT1=mod.LK2SISAT1;
modelStruct.d_modelPar_LK2SISAT1_dX=0.0;
modelStruct.modelPar_given_LK2SISAT1=mod.given("LK2SISAT1");
modParamMap["LK2SISAT1"] = &(modelStruct.d_modelPar_LK2SISAT1_dX);
modelStruct.modelPar_NK2SISAT1=mod.NK2SISAT1;
modelStruct.d_modelPar_NK2SISAT1_dX=0.0;
modelStruct.modelPar_given_NK2SISAT1=mod.given("NK2SISAT1");
modParamMap["NK2SISAT1"] = &(modelStruct.d_modelPar_NK2SISAT1_dX);
modelStruct.modelPar_PK2SISAT1=mod.PK2SISAT1;
modelStruct.d_modelPar_PK2SISAT1_dX=0.0;
modelStruct.modelPar_given_PK2SISAT1=mod.given("PK2SISAT1");
modParamMap["PK2SISAT1"] = &(modelStruct.d_modelPar_PK2SISAT1_dX);
modelStruct.modelPar_WK2SISAT1=mod.WK2SISAT1;
modelStruct.d_modelPar_WK2SISAT1_dX=0.0;
modelStruct.modelPar_given_WK2SISAT1=mod.given("WK2SISAT1");
modParamMap["WK2SISAT1"] = &(modelStruct.d_modelPar_WK2SISAT1_dX);
modelStruct.modelPar_P2K2SISAT1=mod.P2K2SISAT1;
modelStruct.d_modelPar_P2K2SISAT1_dX=0.0;
modelStruct.modelPar_given_P2K2SISAT1=mod.given("P2K2SISAT1");
modParamMap["P2K2SISAT1"] = &(modelStruct.d_modelPar_P2K2SISAT1_dX);
modelStruct.modelPar_PHIBE=mod.PHIBE;
modelStruct.d_modelPar_PHIBE_dX=0.0;
modelStruct.modelPar_given_PHIBE=mod.given("PHIBE");
modParamMap["PHIBE"] = &(modelStruct.d_modelPar_PHIBE_dX);
modelStruct.modelPar_LPHIBE=mod.LPHIBE;
modelStruct.d_modelPar_LPHIBE_dX=0.0;
modelStruct.modelPar_given_LPHIBE=mod.given("LPHIBE");
modParamMap["LPHIBE"] = &(modelStruct.d_modelPar_LPHIBE_dX);
modelStruct.modelPar_NPHIBE=mod.NPHIBE;
modelStruct.d_modelPar_NPHIBE_dX=0.0;
modelStruct.modelPar_given_NPHIBE=mod.given("NPHIBE");
modParamMap["NPHIBE"] = &(modelStruct.d_modelPar_NPHIBE_dX);
modelStruct.modelPar_PPHIBE=mod.PPHIBE;
modelStruct.d_modelPar_PPHIBE_dX=0.0;
modelStruct.modelPar_given_PPHIBE=mod.given("PPHIBE");
modParamMap["PPHIBE"] = &(modelStruct.d_modelPar_PPHIBE_dX);
modelStruct.modelPar_WPHIBE=mod.WPHIBE;
modelStruct.d_modelPar_WPHIBE_dX=0.0;
modelStruct.modelPar_given_WPHIBE=mod.given("WPHIBE");
modParamMap["WPHIBE"] = &(modelStruct.d_modelPar_WPHIBE_dX);
modelStruct.modelPar_P2PHIBE=mod.P2PHIBE;
modelStruct.d_modelPar_P2PHIBE_dX=0.0;
modelStruct.modelPar_given_P2PHIBE=mod.given("P2PHIBE");
modParamMap["P2PHIBE"] = &(modelStruct.d_modelPar_P2PHIBE_dX);
modelStruct.modelPar_K1=mod.K1;
modelStruct.d_modelPar_K1_dX=0.0;
modelStruct.modelPar_given_K1=mod.given("K1");
modParamMap["K1"] = &(modelStruct.d_modelPar_K1_dX);
modelStruct.modelPar_LK1=mod.LK1;
modelStruct.d_modelPar_LK1_dX=0.0;
modelStruct.modelPar_given_LK1=mod.given("LK1");
modParamMap["LK1"] = &(modelStruct.d_modelPar_LK1_dX);
modelStruct.modelPar_NK1=mod.NK1;
modelStruct.d_modelPar_NK1_dX=0.0;
modelStruct.modelPar_given_NK1=mod.given("NK1");
modParamMap["NK1"] = &(modelStruct.d_modelPar_NK1_dX);
modelStruct.modelPar_PK1=mod.PK1;
modelStruct.d_modelPar_PK1_dX=0.0;
modelStruct.modelPar_given_PK1=mod.given("PK1");
modParamMap["PK1"] = &(modelStruct.d_modelPar_PK1_dX);
modelStruct.modelPar_WK1=mod.WK1;
modelStruct.d_modelPar_WK1_dX=0.0;
modelStruct.modelPar_given_WK1=mod.given("WK1");
modParamMap["WK1"] = &(modelStruct.d_modelPar_WK1_dX);
modelStruct.modelPar_P2K1=mod.P2K1;
modelStruct.d_modelPar_P2K1_dX=0.0;
modelStruct.modelPar_given_P2K1=mod.given("P2K1");
modParamMap["P2K1"] = &(modelStruct.d_modelPar_P2K1_dX);
modelStruct.modelPar_K11=mod.K11;
modelStruct.d_modelPar_K11_dX=0.0;
modelStruct.modelPar_given_K11=mod.given("K11");
modParamMap["K11"] = &(modelStruct.d_modelPar_K11_dX);
modelStruct.modelPar_LK11=mod.LK11;
modelStruct.d_modelPar_LK11_dX=0.0;
modelStruct.modelPar_given_LK11=mod.given("LK11");
modParamMap["LK11"] = &(modelStruct.d_modelPar_LK11_dX);
modelStruct.modelPar_NK11=mod.NK11;
modelStruct.d_modelPar_NK11_dX=0.0;
modelStruct.modelPar_given_NK11=mod.given("NK11");
modParamMap["NK11"] = &(modelStruct.d_modelPar_NK11_dX);
modelStruct.modelPar_PK11=mod.PK11;
modelStruct.d_modelPar_PK11_dX=0.0;
modelStruct.modelPar_given_PK11=mod.given("PK11");
modParamMap["PK11"] = &(modelStruct.d_modelPar_PK11_dX);
modelStruct.modelPar_WK11=mod.WK11;
modelStruct.d_modelPar_WK11_dX=0.0;
modelStruct.modelPar_given_WK11=mod.given("WK11");
modParamMap["WK11"] = &(modelStruct.d_modelPar_WK11_dX);
modelStruct.modelPar_P2K11=mod.P2K11;
modelStruct.d_modelPar_P2K11_dX=0.0;
modelStruct.modelPar_given_P2K11=mod.given("P2K11");
modParamMap["P2K11"] = &(modelStruct.d_modelPar_P2K11_dX);
modelStruct.modelPar_K2SAT=mod.K2SAT;
modelStruct.d_modelPar_K2SAT_dX=0.0;
modelStruct.modelPar_given_K2SAT=mod.given("K2SAT");
modParamMap["K2SAT"] = &(modelStruct.d_modelPar_K2SAT_dX);
modelStruct.modelPar_LK2SAT=mod.LK2SAT;
modelStruct.d_modelPar_LK2SAT_dX=0.0;
modelStruct.modelPar_given_LK2SAT=mod.given("LK2SAT");
modParamMap["LK2SAT"] = &(modelStruct.d_modelPar_LK2SAT_dX);
modelStruct.modelPar_NK2SAT=mod.NK2SAT;
modelStruct.d_modelPar_NK2SAT_dX=0.0;
modelStruct.modelPar_given_NK2SAT=mod.given("NK2SAT");
modParamMap["NK2SAT"] = &(modelStruct.d_modelPar_NK2SAT_dX);
modelStruct.modelPar_PK2SAT=mod.PK2SAT;
modelStruct.d_modelPar_PK2SAT_dX=0.0;
modelStruct.modelPar_given_PK2SAT=mod.given("PK2SAT");
modParamMap["PK2SAT"] = &(modelStruct.d_modelPar_PK2SAT_dX);
modelStruct.modelPar_WK2SAT=mod.WK2SAT;
modelStruct.d_modelPar_WK2SAT_dX=0.0;
modelStruct.modelPar_given_WK2SAT=mod.given("WK2SAT");
modParamMap["WK2SAT"] = &(modelStruct.d_modelPar_WK2SAT_dX);
modelStruct.modelPar_P2K2SAT=mod.P2K2SAT;
modelStruct.d_modelPar_P2K2SAT_dX=0.0;
modelStruct.modelPar_given_P2K2SAT=mod.given("P2K2SAT");
modParamMap["P2K2SAT"] = &(modelStruct.d_modelPar_P2K2SAT_dX);
modelStruct.modelPar_K2SAT1=mod.K2SAT1;
modelStruct.d_modelPar_K2SAT1_dX=0.0;
modelStruct.modelPar_given_K2SAT1=mod.given("K2SAT1");
modParamMap["K2SAT1"] = &(modelStruct.d_modelPar_K2SAT1_dX);
modelStruct.modelPar_LK2SAT1=mod.LK2SAT1;
modelStruct.d_modelPar_LK2SAT1_dX=0.0;
modelStruct.modelPar_given_LK2SAT1=mod.given("LK2SAT1");
modParamMap["LK2SAT1"] = &(modelStruct.d_modelPar_LK2SAT1_dX);
modelStruct.modelPar_NK2SAT1=mod.NK2SAT1;
modelStruct.d_modelPar_NK2SAT1_dX=0.0;
modelStruct.modelPar_given_NK2SAT1=mod.given("NK2SAT1");
modParamMap["NK2SAT1"] = &(modelStruct.d_modelPar_NK2SAT1_dX);
modelStruct.modelPar_PK2SAT1=mod.PK2SAT1;
modelStruct.d_modelPar_PK2SAT1_dX=0.0;
modelStruct.modelPar_given_PK2SAT1=mod.given("PK2SAT1");
modParamMap["PK2SAT1"] = &(modelStruct.d_modelPar_PK2SAT1_dX);
modelStruct.modelPar_WK2SAT1=mod.WK2SAT1;
modelStruct.d_modelPar_WK2SAT1_dX=0.0;
modelStruct.modelPar_given_WK2SAT1=mod.given("WK2SAT1");
modParamMap["WK2SAT1"] = &(modelStruct.d_modelPar_WK2SAT1_dX);
modelStruct.modelPar_P2K2SAT1=mod.P2K2SAT1;
modelStruct.d_modelPar_P2K2SAT1_dX=0.0;
modelStruct.modelPar_given_P2K2SAT1=mod.given("P2K2SAT1");
modParamMap["P2K2SAT1"] = &(modelStruct.d_modelPar_P2K2SAT1_dX);
modelStruct.modelPar_K2=mod.K2;
modelStruct.d_modelPar_K2_dX=0.0;
modelStruct.modelPar_given_K2=mod.given("K2");
modParamMap["K2"] = &(modelStruct.d_modelPar_K2_dX);
modelStruct.modelPar_LK2=mod.LK2;
modelStruct.d_modelPar_LK2_dX=0.0;
modelStruct.modelPar_given_LK2=mod.given("LK2");
modParamMap["LK2"] = &(modelStruct.d_modelPar_LK2_dX);
modelStruct.modelPar_NK2=mod.NK2;
modelStruct.d_modelPar_NK2_dX=0.0;
modelStruct.modelPar_given_NK2=mod.given("NK2");
modParamMap["NK2"] = &(modelStruct.d_modelPar_NK2_dX);
modelStruct.modelPar_PK2=mod.PK2;
modelStruct.d_modelPar_PK2_dX=0.0;
modelStruct.modelPar_given_PK2=mod.given("PK2");
modParamMap["PK2"] = &(modelStruct.d_modelPar_PK2_dX);
modelStruct.modelPar_WK2=mod.WK2;
modelStruct.d_modelPar_WK2_dX=0.0;
modelStruct.modelPar_given_WK2=mod.given("WK2");
modParamMap["WK2"] = &(modelStruct.d_modelPar_WK2_dX);
modelStruct.modelPar_P2K2=mod.P2K2;
modelStruct.d_modelPar_P2K2_dX=0.0;
modelStruct.modelPar_given_P2K2=mod.given("P2K2");
modParamMap["P2K2"] = &(modelStruct.d_modelPar_P2K2_dX);
modelStruct.modelPar_K21=mod.K21;
modelStruct.d_modelPar_K21_dX=0.0;
modelStruct.modelPar_given_K21=mod.given("K21");
modParamMap["K21"] = &(modelStruct.d_modelPar_K21_dX);
modelStruct.modelPar_LK21=mod.LK21;
modelStruct.d_modelPar_LK21_dX=0.0;
modelStruct.modelPar_given_LK21=mod.given("LK21");
modParamMap["LK21"] = &(modelStruct.d_modelPar_LK21_dX);
modelStruct.modelPar_NK21=mod.NK21;
modelStruct.d_modelPar_NK21_dX=0.0;
modelStruct.modelPar_given_NK21=mod.given("NK21");
modParamMap["NK21"] = &(modelStruct.d_modelPar_NK21_dX);
modelStruct.modelPar_PK21=mod.PK21;
modelStruct.d_modelPar_PK21_dX=0.0;
modelStruct.modelPar_given_PK21=mod.given("PK21");
modParamMap["PK21"] = &(modelStruct.d_modelPar_PK21_dX);
modelStruct.modelPar_WK21=mod.WK21;
modelStruct.d_modelPar_WK21_dX=0.0;
modelStruct.modelPar_given_WK21=mod.given("WK21");
modParamMap["WK21"] = &(modelStruct.d_modelPar_WK21_dX);
modelStruct.modelPar_P2K21=mod.P2K21;
modelStruct.d_modelPar_P2K21_dX=0.0;
modelStruct.modelPar_given_P2K21=mod.given("P2K21");
modParamMap["P2K21"] = &(modelStruct.d_modelPar_P2K21_dX);
modelStruct.modelPar_AQMTCEN=mod.AQMTCEN;
modelStruct.d_modelPar_AQMTCEN_dX=0.0;
modelStruct.modelPar_given_AQMTCEN=mod.given("AQMTCEN");
modParamMap["AQMTCEN"] = &(modelStruct.d_modelPar_AQMTCEN_dX);
modelStruct.modelPar_BQMTCEN=mod.BQMTCEN;
modelStruct.d_modelPar_BQMTCEN_dX=0.0;
modelStruct.modelPar_given_BQMTCEN=mod.given("BQMTCEN");
modParamMap["BQMTCEN"] = &(modelStruct.d_modelPar_BQMTCEN_dX);
modelStruct.modelPar_QM0=mod.QM0;
modelStruct.d_modelPar_QM0_dX=0.0;
modelStruct.modelPar_given_QM0=mod.given("QM0");
modParamMap["QM0"] = &(modelStruct.d_modelPar_QM0_dX);
modelStruct.modelPar_PQM=mod.PQM;
modelStruct.d_modelPar_PQM_dX=0.0;
modelStruct.modelPar_given_PQM=mod.given("PQM");
modParamMap["PQM"] = &(modelStruct.d_modelPar_PQM_dX);
modelStruct.modelPar_QM0ACC=mod.QM0ACC;
modelStruct.d_modelPar_QM0ACC_dX=0.0;
modelStruct.modelPar_given_QM0ACC=mod.given("QM0ACC");
modParamMap["QM0ACC"] = &(modelStruct.d_modelPar_QM0ACC_dX);
modelStruct.modelPar_PQMACC=mod.PQMACC;
modelStruct.d_modelPar_PQMACC_dX=0.0;
modelStruct.modelPar_given_PQMACC=mod.given("PQMACC");
modParamMap["PQMACC"] = &(modelStruct.d_modelPar_PQMACC_dX);
modelStruct.modelPar_QMFACTOR=mod.QMFACTOR;
modelStruct.d_modelPar_QMFACTOR_dX=0.0;
modelStruct.modelPar_given_QMFACTOR=mod.given("QMFACTOR");
modParamMap["QMFACTOR"] = &(modelStruct.d_modelPar_QMFACTOR_dX);
modelStruct.modelPar_LQMFACTOR=mod.LQMFACTOR;
modelStruct.d_modelPar_LQMFACTOR_dX=0.0;
modelStruct.modelPar_given_LQMFACTOR=mod.given("LQMFACTOR");
modParamMap["LQMFACTOR"] = &(modelStruct.d_modelPar_LQMFACTOR_dX);
modelStruct.modelPar_NQMFACTOR=mod.NQMFACTOR;
modelStruct.d_modelPar_NQMFACTOR_dX=0.0;
modelStruct.modelPar_given_NQMFACTOR=mod.given("NQMFACTOR");
modParamMap["NQMFACTOR"] = &(modelStruct.d_modelPar_NQMFACTOR_dX);
modelStruct.modelPar_PQMFACTOR=mod.PQMFACTOR;
modelStruct.d_modelPar_PQMFACTOR_dX=0.0;
modelStruct.modelPar_given_PQMFACTOR=mod.given("PQMFACTOR");
modParamMap["PQMFACTOR"] = &(modelStruct.d_modelPar_PQMFACTOR_dX);
modelStruct.modelPar_WQMFACTOR=mod.WQMFACTOR;
modelStruct.d_modelPar_WQMFACTOR_dX=0.0;
modelStruct.modelPar_given_WQMFACTOR=mod.given("WQMFACTOR");
modParamMap["WQMFACTOR"] = &(modelStruct.d_modelPar_WQMFACTOR_dX);
modelStruct.modelPar_P2QMFACTOR=mod.P2QMFACTOR;
modelStruct.d_modelPar_P2QMFACTOR_dX=0.0;
modelStruct.modelPar_given_P2QMFACTOR=mod.given("P2QMFACTOR");
modParamMap["P2QMFACTOR"] = &(modelStruct.d_modelPar_P2QMFACTOR_dX);
modelStruct.modelPar_QMTCENCV=mod.QMTCENCV;
modelStruct.d_modelPar_QMTCENCV_dX=0.0;
modelStruct.modelPar_given_QMTCENCV=mod.given("QMTCENCV");
modParamMap["QMTCENCV"] = &(modelStruct.d_modelPar_QMTCENCV_dX);
modelStruct.modelPar_LQMTCENCV=mod.LQMTCENCV;
modelStruct.d_modelPar_LQMTCENCV_dX=0.0;
modelStruct.modelPar_given_LQMTCENCV=mod.given("LQMTCENCV");
modParamMap["LQMTCENCV"] = &(modelStruct.d_modelPar_LQMTCENCV_dX);
modelStruct.modelPar_NQMTCENCV=mod.NQMTCENCV;
modelStruct.d_modelPar_NQMTCENCV_dX=0.0;
modelStruct.modelPar_given_NQMTCENCV=mod.given("NQMTCENCV");
modParamMap["NQMTCENCV"] = &(modelStruct.d_modelPar_NQMTCENCV_dX);
modelStruct.modelPar_PQMTCENCV=mod.PQMTCENCV;
modelStruct.d_modelPar_PQMTCENCV_dX=0.0;
modelStruct.modelPar_given_PQMTCENCV=mod.given("PQMTCENCV");
modParamMap["PQMTCENCV"] = &(modelStruct.d_modelPar_PQMTCENCV_dX);
modelStruct.modelPar_WQMTCENCV=mod.WQMTCENCV;
modelStruct.d_modelPar_WQMTCENCV_dX=0.0;
modelStruct.modelPar_given_WQMTCENCV=mod.given("WQMTCENCV");
modParamMap["WQMTCENCV"] = &(modelStruct.d_modelPar_WQMTCENCV_dX);
modelStruct.modelPar_P2QMTCENCV=mod.P2QMTCENCV;
modelStruct.d_modelPar_P2QMTCENCV_dX=0.0;
modelStruct.modelPar_given_P2QMTCENCV=mod.given("P2QMTCENCV");
modParamMap["P2QMTCENCV"] = &(modelStruct.d_modelPar_P2QMTCENCV_dX);
modelStruct.modelPar_QMTCENCVA=mod.QMTCENCVA;
modelStruct.d_modelPar_QMTCENCVA_dX=0.0;
modelStruct.modelPar_given_QMTCENCVA=mod.given("QMTCENCVA");
modParamMap["QMTCENCVA"] = &(modelStruct.d_modelPar_QMTCENCVA_dX);
modelStruct.modelPar_LQMTCENCVA=mod.LQMTCENCVA;
modelStruct.d_modelPar_LQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_LQMTCENCVA=mod.given("LQMTCENCVA");
modParamMap["LQMTCENCVA"] = &(modelStruct.d_modelPar_LQMTCENCVA_dX);
modelStruct.modelPar_NQMTCENCVA=mod.NQMTCENCVA;
modelStruct.d_modelPar_NQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_NQMTCENCVA=mod.given("NQMTCENCVA");
modParamMap["NQMTCENCVA"] = &(modelStruct.d_modelPar_NQMTCENCVA_dX);
modelStruct.modelPar_PQMTCENCVA=mod.PQMTCENCVA;
modelStruct.d_modelPar_PQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_PQMTCENCVA=mod.given("PQMTCENCVA");
modParamMap["PQMTCENCVA"] = &(modelStruct.d_modelPar_PQMTCENCVA_dX);
modelStruct.modelPar_WQMTCENCVA=mod.WQMTCENCVA;
modelStruct.d_modelPar_WQMTCENCVA_dX=0.0;
modelStruct.modelPar_given_WQMTCENCVA=mod.given("WQMTCENCVA");
modParamMap["WQMTCENCVA"] = &(modelStruct.d_modelPar_WQMTCENCVA_dX);
modelStruct.modelPar_P2QMTCENCVA=mod.P2QMTCENCVA;
modelStruct.d_modelPar_P2QMTCENCVA_dX=0.0;
modelStruct.modelPar_given_P2QMTCENCVA=mod.given("P2QMTCENCVA");
modParamMap["P2QMTCENCVA"] = &(modelStruct.d_modelPar_P2QMTCENCVA_dX);
modelStruct.modelPar_VSATN1=mod.VSATN1;
modelStruct.d_modelPar_VSATN1_dX=0.0;
modelStruct.modelPar_given_VSATN1=mod.given("VSATN1");
modParamMap["VSATN1"] = &(modelStruct.d_modelPar_VSATN1_dX);
modelStruct.modelPar_VSATN2=mod.VSATN2;
modelStruct.d_modelPar_VSATN2_dX=0.0;
modelStruct.modelPar_given_VSATN2=mod.given("VSATN2");
modParamMap["VSATN2"] = &(modelStruct.d_modelPar_VSATN2_dX);
modelStruct.modelPar_AVSAT=mod.AVSAT;
modelStruct.d_modelPar_AVSAT_dX=0.0;
modelStruct.modelPar_given_AVSAT=mod.given("AVSAT");
modParamMap["AVSAT"] = &(modelStruct.d_modelPar_AVSAT_dX);
modelStruct.modelPar_BVSAT=mod.BVSAT;
modelStruct.d_modelPar_BVSAT_dX=0.0;
modelStruct.modelPar_given_BVSAT=mod.given("BVSAT");
modParamMap["BVSAT"] = &(modelStruct.d_modelPar_BVSAT_dX);
modelStruct.modelPar_VSAT1N1=mod.VSAT1N1;
modelStruct.d_modelPar_VSAT1N1_dX=0.0;
modelStruct.modelPar_given_VSAT1N1=mod.given("VSAT1N1");
modParamMap["VSAT1N1"] = &(modelStruct.d_modelPar_VSAT1N1_dX);
modelStruct.modelPar_VSAT1N2=mod.VSAT1N2;
modelStruct.d_modelPar_VSAT1N2_dX=0.0;
modelStruct.modelPar_given_VSAT1N2=mod.given("VSAT1N2");
modParamMap["VSAT1N2"] = &(modelStruct.d_modelPar_VSAT1N2_dX);
modelStruct.modelPar_VSAT1RN1=mod.VSAT1RN1;
modelStruct.d_modelPar_VSAT1RN1_dX=0.0;
modelStruct.modelPar_given_VSAT1RN1=mod.given("VSAT1RN1");
modParamMap["VSAT1RN1"] = &(modelStruct.d_modelPar_VSAT1RN1_dX);
modelStruct.modelPar_VSAT1RN2=mod.VSAT1RN2;
modelStruct.d_modelPar_VSAT1RN2_dX=0.0;
modelStruct.modelPar_given_VSAT1RN2=mod.given("VSAT1RN2");
modParamMap["VSAT1RN2"] = &(modelStruct.d_modelPar_VSAT1RN2_dX);
modelStruct.modelPar_AVSAT1=mod.AVSAT1;
modelStruct.d_modelPar_AVSAT1_dX=0.0;
modelStruct.modelPar_given_AVSAT1=mod.given("AVSAT1");
modParamMap["AVSAT1"] = &(modelStruct.d_modelPar_AVSAT1_dX);
modelStruct.modelPar_BVSAT1=mod.BVSAT1;
modelStruct.d_modelPar_BVSAT1_dX=0.0;
modelStruct.modelPar_given_BVSAT1=mod.given("BVSAT1");
modParamMap["BVSAT1"] = &(modelStruct.d_modelPar_BVSAT1_dX);
modelStruct.modelPar_APSAT=mod.APSAT;
modelStruct.d_modelPar_APSAT_dX=0.0;
modelStruct.modelPar_given_APSAT=mod.given("APSAT");
modParamMap["APSAT"] = &(modelStruct.d_modelPar_APSAT_dX);
modelStruct.modelPar_BPSAT=mod.BPSAT;
modelStruct.d_modelPar_BPSAT_dX=0.0;
modelStruct.modelPar_given_BPSAT=mod.given("BPSAT");
modParamMap["BPSAT"] = &(modelStruct.d_modelPar_BPSAT_dX);
modelStruct.modelPar_AVSATCV=mod.AVSATCV;
modelStruct.d_modelPar_AVSATCV_dX=0.0;
modelStruct.modelPar_given_AVSATCV=mod.given("AVSATCV");
modParamMap["AVSATCV"] = &(modelStruct.d_modelPar_AVSATCV_dX);
modelStruct.modelPar_BVSATCV=mod.BVSATCV;
modelStruct.d_modelPar_BVSATCV_dX=0.0;
modelStruct.modelPar_given_BVSATCV=mod.given("BVSATCV");
modParamMap["BVSATCV"] = &(modelStruct.d_modelPar_BVSATCV_dX);
modelStruct.modelPar_APSATCV=mod.APSATCV;
modelStruct.d_modelPar_APSATCV_dX=0.0;
modelStruct.modelPar_given_APSATCV=mod.given("APSATCV");
modParamMap["APSATCV"] = &(modelStruct.d_modelPar_APSATCV_dX);
modelStruct.modelPar_BPSATCV=mod.BPSATCV;
modelStruct.d_modelPar_BPSATCV_dX=0.0;
modelStruct.modelPar_given_BPSATCV=mod.given("BPSATCV");
modParamMap["BPSATCV"] = &(modelStruct.d_modelPar_BPSATCV_dX);
modelStruct.modelPar_AMEXP=mod.AMEXP;
modelStruct.d_modelPar_AMEXP_dX=0.0;
modelStruct.modelPar_given_AMEXP=mod.given("AMEXP");
modParamMap["AMEXP"] = &(modelStruct.d_modelPar_AMEXP_dX);
modelStruct.modelPar_BMEXP=mod.BMEXP;
modelStruct.d_modelPar_BMEXP_dX=0.0;
modelStruct.modelPar_given_BMEXP=mod.given("BMEXP");
modParamMap["BMEXP"] = &(modelStruct.d_modelPar_BMEXP_dX);
modelStruct.modelPar_AMEXPR=mod.AMEXPR;
modelStruct.d_modelPar_AMEXPR_dX=0.0;
modelStruct.modelPar_given_AMEXPR=mod.given("AMEXPR");
modParamMap["AMEXPR"] = &(modelStruct.d_modelPar_AMEXPR_dX);
modelStruct.modelPar_BMEXPR=mod.BMEXPR;
modelStruct.d_modelPar_BMEXPR_dX=0.0;
modelStruct.modelPar_given_BMEXPR=mod.given("BMEXPR");
modParamMap["BMEXPR"] = &(modelStruct.d_modelPar_BMEXPR_dX);
modelStruct.modelPar_APTWG=mod.APTWG;
modelStruct.d_modelPar_APTWG_dX=0.0;
modelStruct.modelPar_given_APTWG=mod.given("APTWG");
modParamMap["APTWG"] = &(modelStruct.d_modelPar_APTWG_dX);
modelStruct.modelPar_BPTWG=mod.BPTWG;
modelStruct.d_modelPar_BPTWG_dX=0.0;
modelStruct.modelPar_given_BPTWG=mod.given("BPTWG");
modParamMap["BPTWG"] = &(modelStruct.d_modelPar_BPTWG_dX);
modelStruct.modelPar_TMEXP=mod.TMEXP;
modelStruct.d_modelPar_TMEXP_dX=0.0;
modelStruct.modelPar_given_TMEXP=mod.given("TMEXP");
modParamMap["TMEXP"] = &(modelStruct.d_modelPar_TMEXP_dX);
modelStruct.modelPar_TMEXP2=mod.TMEXP2;
modelStruct.d_modelPar_TMEXP2_dX=0.0;
modelStruct.modelPar_given_TMEXP2=mod.given("TMEXP2");
modParamMap["TMEXP2"] = &(modelStruct.d_modelPar_TMEXP2_dX);
modelStruct.modelPar_TMEXPR=mod.TMEXPR;
modelStruct.d_modelPar_TMEXPR_dX=0.0;
modelStruct.modelPar_given_TMEXPR=mod.given("TMEXPR");
modParamMap["TMEXPR"] = &(modelStruct.d_modelPar_TMEXPR_dX);
modelStruct.modelPar_DVSATCLAMP=mod.DVSATCLAMP;
modelStruct.d_modelPar_DVSATCLAMP_dX=0.0;
modelStruct.modelPar_given_DVSATCLAMP=mod.given("DVSATCLAMP");
modParamMap["DVSATCLAMP"] = &(modelStruct.d_modelPar_DVSATCLAMP_dX);
modelStruct.modelPar_VSAT=mod.VSAT;
modelStruct.d_modelPar_VSAT_dX=0.0;
modelStruct.modelPar_given_VSAT=mod.given("VSAT");
modParamMap["VSAT"] = &(modelStruct.d_modelPar_VSAT_dX);
modelStruct.modelPar_LVSAT=mod.LVSAT;
modelStruct.d_modelPar_LVSAT_dX=0.0;
modelStruct.modelPar_given_LVSAT=mod.given("LVSAT");
modParamMap["LVSAT"] = &(modelStruct.d_modelPar_LVSAT_dX);
modelStruct.modelPar_NVSAT=mod.NVSAT;
modelStruct.d_modelPar_NVSAT_dX=0.0;
modelStruct.modelPar_given_NVSAT=mod.given("NVSAT");
modParamMap["NVSAT"] = &(modelStruct.d_modelPar_NVSAT_dX);
modelStruct.modelPar_PVSAT=mod.PVSAT;
modelStruct.d_modelPar_PVSAT_dX=0.0;
modelStruct.modelPar_given_PVSAT=mod.given("PVSAT");
modParamMap["PVSAT"] = &(modelStruct.d_modelPar_PVSAT_dX);
modelStruct.modelPar_WVSAT=mod.WVSAT;
modelStruct.d_modelPar_WVSAT_dX=0.0;
modelStruct.modelPar_given_WVSAT=mod.given("WVSAT");
modParamMap["WVSAT"] = &(modelStruct.d_modelPar_WVSAT_dX);
modelStruct.modelPar_P2VSAT=mod.P2VSAT;
modelStruct.d_modelPar_P2VSAT_dX=0.0;
modelStruct.modelPar_given_P2VSAT=mod.given("P2VSAT");
modParamMap["P2VSAT"] = &(modelStruct.d_modelPar_P2VSAT_dX);
modelStruct.modelPar_VSATR=mod.VSATR;
modelStruct.d_modelPar_VSATR_dX=0.0;
modelStruct.modelPar_given_VSATR=mod.given("VSATR");
modParamMap["VSATR"] = &(modelStruct.d_modelPar_VSATR_dX);
modelStruct.modelPar_LVSATR=mod.LVSATR;
modelStruct.d_modelPar_LVSATR_dX=0.0;
modelStruct.modelPar_given_LVSATR=mod.given("LVSATR");
modParamMap["LVSATR"] = &(modelStruct.d_modelPar_LVSATR_dX);
modelStruct.modelPar_NVSATR=mod.NVSATR;
modelStruct.d_modelPar_NVSATR_dX=0.0;
modelStruct.modelPar_given_NVSATR=mod.given("NVSATR");
modParamMap["NVSATR"] = &(modelStruct.d_modelPar_NVSATR_dX);
modelStruct.modelPar_PVSATR=mod.PVSATR;
modelStruct.d_modelPar_PVSATR_dX=0.0;
modelStruct.modelPar_given_PVSATR=mod.given("PVSATR");
modParamMap["PVSATR"] = &(modelStruct.d_modelPar_PVSATR_dX);
modelStruct.modelPar_WVSATR=mod.WVSATR;
modelStruct.d_modelPar_WVSATR_dX=0.0;
modelStruct.modelPar_given_WVSATR=mod.given("WVSATR");
modParamMap["WVSATR"] = &(modelStruct.d_modelPar_WVSATR_dX);
modelStruct.modelPar_P2VSATR=mod.P2VSATR;
modelStruct.d_modelPar_P2VSATR_dX=0.0;
modelStruct.modelPar_given_P2VSATR=mod.given("P2VSATR");
modParamMap["P2VSATR"] = &(modelStruct.d_modelPar_P2VSATR_dX);
modelStruct.modelPar_VSAT1=mod.VSAT1;
modelStruct.d_modelPar_VSAT1_dX=0.0;
modelStruct.modelPar_given_VSAT1=mod.given("VSAT1");
modParamMap["VSAT1"] = &(modelStruct.d_modelPar_VSAT1_dX);
modelStruct.modelPar_LVSAT1=mod.LVSAT1;
modelStruct.d_modelPar_LVSAT1_dX=0.0;
modelStruct.modelPar_given_LVSAT1=mod.given("LVSAT1");
modParamMap["LVSAT1"] = &(modelStruct.d_modelPar_LVSAT1_dX);
modelStruct.modelPar_NVSAT1=mod.NVSAT1;
modelStruct.d_modelPar_NVSAT1_dX=0.0;
modelStruct.modelPar_given_NVSAT1=mod.given("NVSAT1");
modParamMap["NVSAT1"] = &(modelStruct.d_modelPar_NVSAT1_dX);
modelStruct.modelPar_PVSAT1=mod.PVSAT1;
modelStruct.d_modelPar_PVSAT1_dX=0.0;
modelStruct.modelPar_given_PVSAT1=mod.given("PVSAT1");
modParamMap["PVSAT1"] = &(modelStruct.d_modelPar_PVSAT1_dX);
modelStruct.modelPar_WVSAT1=mod.WVSAT1;
modelStruct.d_modelPar_WVSAT1_dX=0.0;
modelStruct.modelPar_given_WVSAT1=mod.given("WVSAT1");
modParamMap["WVSAT1"] = &(modelStruct.d_modelPar_WVSAT1_dX);
modelStruct.modelPar_P2VSAT1=mod.P2VSAT1;
modelStruct.d_modelPar_P2VSAT1_dX=0.0;
modelStruct.modelPar_given_P2VSAT1=mod.given("P2VSAT1");
modParamMap["P2VSAT1"] = &(modelStruct.d_modelPar_P2VSAT1_dX);
modelStruct.modelPar_VSAT1R=mod.VSAT1R;
modelStruct.d_modelPar_VSAT1R_dX=0.0;
modelStruct.modelPar_given_VSAT1R=mod.given("VSAT1R");
modParamMap["VSAT1R"] = &(modelStruct.d_modelPar_VSAT1R_dX);
modelStruct.modelPar_LVSAT1R=mod.LVSAT1R;
modelStruct.d_modelPar_LVSAT1R_dX=0.0;
modelStruct.modelPar_given_LVSAT1R=mod.given("LVSAT1R");
modParamMap["LVSAT1R"] = &(modelStruct.d_modelPar_LVSAT1R_dX);
modelStruct.modelPar_NVSAT1R=mod.NVSAT1R;
modelStruct.d_modelPar_NVSAT1R_dX=0.0;
modelStruct.modelPar_given_NVSAT1R=mod.given("NVSAT1R");
modParamMap["NVSAT1R"] = &(modelStruct.d_modelPar_NVSAT1R_dX);
modelStruct.modelPar_PVSAT1R=mod.PVSAT1R;
modelStruct.d_modelPar_PVSAT1R_dX=0.0;
modelStruct.modelPar_given_PVSAT1R=mod.given("PVSAT1R");
modParamMap["PVSAT1R"] = &(modelStruct.d_modelPar_PVSAT1R_dX);
modelStruct.modelPar_WVSAT1R=mod.WVSAT1R;
modelStruct.d_modelPar_WVSAT1R_dX=0.0;
modelStruct.modelPar_given_WVSAT1R=mod.given("WVSAT1R");
modParamMap["WVSAT1R"] = &(modelStruct.d_modelPar_WVSAT1R_dX);
modelStruct.modelPar_P2VSAT1R=mod.P2VSAT1R;
modelStruct.d_modelPar_P2VSAT1R_dX=0.0;
modelStruct.modelPar_given_P2VSAT1R=mod.given("P2VSAT1R");
modParamMap["P2VSAT1R"] = &(modelStruct.d_modelPar_P2VSAT1R_dX);
modelStruct.modelPar_DELTAVSAT=mod.DELTAVSAT;
modelStruct.d_modelPar_DELTAVSAT_dX=0.0;
modelStruct.modelPar_given_DELTAVSAT=mod.given("DELTAVSAT");
modParamMap["DELTAVSAT"] = &(modelStruct.d_modelPar_DELTAVSAT_dX);
modelStruct.modelPar_LDELTAVSAT=mod.LDELTAVSAT;
modelStruct.d_modelPar_LDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_LDELTAVSAT=mod.given("LDELTAVSAT");
modParamMap["LDELTAVSAT"] = &(modelStruct.d_modelPar_LDELTAVSAT_dX);
modelStruct.modelPar_NDELTAVSAT=mod.NDELTAVSAT;
modelStruct.d_modelPar_NDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_NDELTAVSAT=mod.given("NDELTAVSAT");
modParamMap["NDELTAVSAT"] = &(modelStruct.d_modelPar_NDELTAVSAT_dX);
modelStruct.modelPar_PDELTAVSAT=mod.PDELTAVSAT;
modelStruct.d_modelPar_PDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_PDELTAVSAT=mod.given("PDELTAVSAT");
modParamMap["PDELTAVSAT"] = &(modelStruct.d_modelPar_PDELTAVSAT_dX);
modelStruct.modelPar_WDELTAVSAT=mod.WDELTAVSAT;
modelStruct.d_modelPar_WDELTAVSAT_dX=0.0;
modelStruct.modelPar_given_WDELTAVSAT=mod.given("WDELTAVSAT");
modParamMap["WDELTAVSAT"] = &(modelStruct.d_modelPar_WDELTAVSAT_dX);
modelStruct.modelPar_P2DELTAVSAT=mod.P2DELTAVSAT;
modelStruct.d_modelPar_P2DELTAVSAT_dX=0.0;
modelStruct.modelPar_given_P2DELTAVSAT=mod.given("P2DELTAVSAT");
modParamMap["P2DELTAVSAT"] = &(modelStruct.d_modelPar_P2DELTAVSAT_dX);
modelStruct.modelPar_PSAT=mod.PSAT;
modelStruct.d_modelPar_PSAT_dX=0.0;
modelStruct.modelPar_given_PSAT=mod.given("PSAT");
modParamMap["PSAT"] = &(modelStruct.d_modelPar_PSAT_dX);
modelStruct.modelPar_LPSAT=mod.LPSAT;
modelStruct.d_modelPar_LPSAT_dX=0.0;
modelStruct.modelPar_given_LPSAT=mod.given("LPSAT");
modParamMap["LPSAT"] = &(modelStruct.d_modelPar_LPSAT_dX);
modelStruct.modelPar_NPSAT=mod.NPSAT;
modelStruct.d_modelPar_NPSAT_dX=0.0;
modelStruct.modelPar_given_NPSAT=mod.given("NPSAT");
modParamMap["NPSAT"] = &(modelStruct.d_modelPar_NPSAT_dX);
modelStruct.modelPar_PPSAT=mod.PPSAT;
modelStruct.d_modelPar_PPSAT_dX=0.0;
modelStruct.modelPar_given_PPSAT=mod.given("PPSAT");
modParamMap["PPSAT"] = &(modelStruct.d_modelPar_PPSAT_dX);
modelStruct.modelPar_WPSAT=mod.WPSAT;
modelStruct.d_modelPar_WPSAT_dX=0.0;
modelStruct.modelPar_given_WPSAT=mod.given("WPSAT");
modParamMap["WPSAT"] = &(modelStruct.d_modelPar_WPSAT_dX);
modelStruct.modelPar_P2PSAT=mod.P2PSAT;
modelStruct.d_modelPar_P2PSAT_dX=0.0;
modelStruct.modelPar_given_P2PSAT=mod.given("P2PSAT");
modParamMap["P2PSAT"] = &(modelStruct.d_modelPar_P2PSAT_dX);
modelStruct.modelPar_KSATIV=mod.KSATIV;
modelStruct.d_modelPar_KSATIV_dX=0.0;
modelStruct.modelPar_given_KSATIV=mod.given("KSATIV");
modParamMap["KSATIV"] = &(modelStruct.d_modelPar_KSATIV_dX);
modelStruct.modelPar_LKSATIV=mod.LKSATIV;
modelStruct.d_modelPar_LKSATIV_dX=0.0;
modelStruct.modelPar_given_LKSATIV=mod.given("LKSATIV");
modParamMap["LKSATIV"] = &(modelStruct.d_modelPar_LKSATIV_dX);
modelStruct.modelPar_NKSATIV=mod.NKSATIV;
modelStruct.d_modelPar_NKSATIV_dX=0.0;
modelStruct.modelPar_given_NKSATIV=mod.given("NKSATIV");
modParamMap["NKSATIV"] = &(modelStruct.d_modelPar_NKSATIV_dX);
modelStruct.modelPar_PKSATIV=mod.PKSATIV;
modelStruct.d_modelPar_PKSATIV_dX=0.0;
modelStruct.modelPar_given_PKSATIV=mod.given("PKSATIV");
modParamMap["PKSATIV"] = &(modelStruct.d_modelPar_PKSATIV_dX);
modelStruct.modelPar_WKSATIV=mod.WKSATIV;
modelStruct.d_modelPar_WKSATIV_dX=0.0;
modelStruct.modelPar_given_WKSATIV=mod.given("WKSATIV");
modParamMap["WKSATIV"] = &(modelStruct.d_modelPar_WKSATIV_dX);
modelStruct.modelPar_P2KSATIV=mod.P2KSATIV;
modelStruct.d_modelPar_P2KSATIV_dX=0.0;
modelStruct.modelPar_given_P2KSATIV=mod.given("P2KSATIV");
modParamMap["P2KSATIV"] = &(modelStruct.d_modelPar_P2KSATIV_dX);
modelStruct.modelPar_KSATIVT1=mod.KSATIVT1;
modelStruct.d_modelPar_KSATIVT1_dX=0.0;
modelStruct.modelPar_given_KSATIVT1=mod.given("KSATIVT1");
modParamMap["KSATIVT1"] = &(modelStruct.d_modelPar_KSATIVT1_dX);
modelStruct.modelPar_KSATIVT2=mod.KSATIVT2;
modelStruct.d_modelPar_KSATIVT2_dX=0.0;
modelStruct.modelPar_given_KSATIVT2=mod.given("KSATIVT2");
modParamMap["KSATIVT2"] = &(modelStruct.d_modelPar_KSATIVT2_dX);
modelStruct.modelPar_KSATIVR=mod.KSATIVR;
modelStruct.d_modelPar_KSATIVR_dX=0.0;
modelStruct.modelPar_given_KSATIVR=mod.given("KSATIVR");
modParamMap["KSATIVR"] = &(modelStruct.d_modelPar_KSATIVR_dX);
modelStruct.modelPar_LKSATIVR=mod.LKSATIVR;
modelStruct.d_modelPar_LKSATIVR_dX=0.0;
modelStruct.modelPar_given_LKSATIVR=mod.given("LKSATIVR");
modParamMap["LKSATIVR"] = &(modelStruct.d_modelPar_LKSATIVR_dX);
modelStruct.modelPar_NKSATIVR=mod.NKSATIVR;
modelStruct.d_modelPar_NKSATIVR_dX=0.0;
modelStruct.modelPar_given_NKSATIVR=mod.given("NKSATIVR");
modParamMap["NKSATIVR"] = &(modelStruct.d_modelPar_NKSATIVR_dX);
modelStruct.modelPar_PKSATIVR=mod.PKSATIVR;
modelStruct.d_modelPar_PKSATIVR_dX=0.0;
modelStruct.modelPar_given_PKSATIVR=mod.given("PKSATIVR");
modParamMap["PKSATIVR"] = &(modelStruct.d_modelPar_PKSATIVR_dX);
modelStruct.modelPar_WKSATIVR=mod.WKSATIVR;
modelStruct.d_modelPar_WKSATIVR_dX=0.0;
modelStruct.modelPar_given_WKSATIVR=mod.given("WKSATIVR");
modParamMap["WKSATIVR"] = &(modelStruct.d_modelPar_WKSATIVR_dX);
modelStruct.modelPar_P2KSATIVR=mod.P2KSATIVR;
modelStruct.d_modelPar_P2KSATIVR_dX=0.0;
modelStruct.modelPar_given_P2KSATIVR=mod.given("P2KSATIVR");
modParamMap["P2KSATIVR"] = &(modelStruct.d_modelPar_P2KSATIVR_dX);
modelStruct.modelPar_VSATCV=mod.VSATCV;
modelStruct.d_modelPar_VSATCV_dX=0.0;
modelStruct.modelPar_given_VSATCV=mod.given("VSATCV");
modParamMap["VSATCV"] = &(modelStruct.d_modelPar_VSATCV_dX);
modelStruct.modelPar_LVSATCV=mod.LVSATCV;
modelStruct.d_modelPar_LVSATCV_dX=0.0;
modelStruct.modelPar_given_LVSATCV=mod.given("LVSATCV");
modParamMap["LVSATCV"] = &(modelStruct.d_modelPar_LVSATCV_dX);
modelStruct.modelPar_NVSATCV=mod.NVSATCV;
modelStruct.d_modelPar_NVSATCV_dX=0.0;
modelStruct.modelPar_given_NVSATCV=mod.given("NVSATCV");
modParamMap["NVSATCV"] = &(modelStruct.d_modelPar_NVSATCV_dX);
modelStruct.modelPar_PVSATCV=mod.PVSATCV;
modelStruct.d_modelPar_PVSATCV_dX=0.0;
modelStruct.modelPar_given_PVSATCV=mod.given("PVSATCV");
modParamMap["PVSATCV"] = &(modelStruct.d_modelPar_PVSATCV_dX);
modelStruct.modelPar_WVSATCV=mod.WVSATCV;
modelStruct.d_modelPar_WVSATCV_dX=0.0;
modelStruct.modelPar_given_WVSATCV=mod.given("WVSATCV");
modParamMap["WVSATCV"] = &(modelStruct.d_modelPar_WVSATCV_dX);
modelStruct.modelPar_P2VSATCV=mod.P2VSATCV;
modelStruct.d_modelPar_P2VSATCV_dX=0.0;
modelStruct.modelPar_given_P2VSATCV=mod.given("P2VSATCV");
modParamMap["P2VSATCV"] = &(modelStruct.d_modelPar_P2VSATCV_dX);
modelStruct.modelPar_DELTAVSATCV=mod.DELTAVSATCV;
modelStruct.d_modelPar_DELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_DELTAVSATCV=mod.given("DELTAVSATCV");
modParamMap["DELTAVSATCV"] = &(modelStruct.d_modelPar_DELTAVSATCV_dX);
modelStruct.modelPar_LDELTAVSATCV=mod.LDELTAVSATCV;
modelStruct.d_modelPar_LDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_LDELTAVSATCV=mod.given("LDELTAVSATCV");
modParamMap["LDELTAVSATCV"] = &(modelStruct.d_modelPar_LDELTAVSATCV_dX);
modelStruct.modelPar_NDELTAVSATCV=mod.NDELTAVSATCV;
modelStruct.d_modelPar_NDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_NDELTAVSATCV=mod.given("NDELTAVSATCV");
modParamMap["NDELTAVSATCV"] = &(modelStruct.d_modelPar_NDELTAVSATCV_dX);
modelStruct.modelPar_PDELTAVSATCV=mod.PDELTAVSATCV;
modelStruct.d_modelPar_PDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_PDELTAVSATCV=mod.given("PDELTAVSATCV");
modParamMap["PDELTAVSATCV"] = &(modelStruct.d_modelPar_PDELTAVSATCV_dX);
modelStruct.modelPar_WDELTAVSATCV=mod.WDELTAVSATCV;
modelStruct.d_modelPar_WDELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_WDELTAVSATCV=mod.given("WDELTAVSATCV");
modParamMap["WDELTAVSATCV"] = &(modelStruct.d_modelPar_WDELTAVSATCV_dX);
modelStruct.modelPar_P2DELTAVSATCV=mod.P2DELTAVSATCV;
modelStruct.d_modelPar_P2DELTAVSATCV_dX=0.0;
modelStruct.modelPar_given_P2DELTAVSATCV=mod.given("P2DELTAVSATCV");
modParamMap["P2DELTAVSATCV"] = &(modelStruct.d_modelPar_P2DELTAVSATCV_dX);
modelStruct.modelPar_PSATCV=mod.PSATCV;
modelStruct.d_modelPar_PSATCV_dX=0.0;
modelStruct.modelPar_given_PSATCV=mod.given("PSATCV");
modParamMap["PSATCV"] = &(modelStruct.d_modelPar_PSATCV_dX);
modelStruct.modelPar_LPSATCV=mod.LPSATCV;
modelStruct.d_modelPar_LPSATCV_dX=0.0;
modelStruct.modelPar_given_LPSATCV=mod.given("LPSATCV");
modParamMap["LPSATCV"] = &(modelStruct.d_modelPar_LPSATCV_dX);
modelStruct.modelPar_NPSATCV=mod.NPSATCV;
modelStruct.d_modelPar_NPSATCV_dX=0.0;
modelStruct.modelPar_given_NPSATCV=mod.given("NPSATCV");
modParamMap["NPSATCV"] = &(modelStruct.d_modelPar_NPSATCV_dX);
modelStruct.modelPar_PPSATCV=mod.PPSATCV;
modelStruct.d_modelPar_PPSATCV_dX=0.0;
modelStruct.modelPar_given_PPSATCV=mod.given("PPSATCV");
modParamMap["PPSATCV"] = &(modelStruct.d_modelPar_PPSATCV_dX);
modelStruct.modelPar_WPSATCV=mod.WPSATCV;
modelStruct.d_modelPar_WPSATCV_dX=0.0;
modelStruct.modelPar_given_WPSATCV=mod.given("WPSATCV");
modParamMap["WPSATCV"] = &(modelStruct.d_modelPar_WPSATCV_dX);
modelStruct.modelPar_P2PSATCV=mod.P2PSATCV;
modelStruct.d_modelPar_P2PSATCV_dX=0.0;
modelStruct.modelPar_given_P2PSATCV=mod.given("P2PSATCV");
modParamMap["P2PSATCV"] = &(modelStruct.d_modelPar_P2PSATCV_dX);
modelStruct.modelPar_MEXP=mod.MEXP;
modelStruct.d_modelPar_MEXP_dX=0.0;
modelStruct.modelPar_given_MEXP=mod.given("MEXP");
modParamMap["MEXP"] = &(modelStruct.d_modelPar_MEXP_dX);
modelStruct.modelPar_LMEXP=mod.LMEXP;
modelStruct.d_modelPar_LMEXP_dX=0.0;
modelStruct.modelPar_given_LMEXP=mod.given("LMEXP");
modParamMap["LMEXP"] = &(modelStruct.d_modelPar_LMEXP_dX);
modelStruct.modelPar_NMEXP=mod.NMEXP;
modelStruct.d_modelPar_NMEXP_dX=0.0;
modelStruct.modelPar_given_NMEXP=mod.given("NMEXP");
modParamMap["NMEXP"] = &(modelStruct.d_modelPar_NMEXP_dX);
modelStruct.modelPar_PMEXP=mod.PMEXP;
modelStruct.d_modelPar_PMEXP_dX=0.0;
modelStruct.modelPar_given_PMEXP=mod.given("PMEXP");
modParamMap["PMEXP"] = &(modelStruct.d_modelPar_PMEXP_dX);
modelStruct.modelPar_WMEXP=mod.WMEXP;
modelStruct.d_modelPar_WMEXP_dX=0.0;
modelStruct.modelPar_given_WMEXP=mod.given("WMEXP");
modParamMap["WMEXP"] = &(modelStruct.d_modelPar_WMEXP_dX);
modelStruct.modelPar_P2MEXP=mod.P2MEXP;
modelStruct.d_modelPar_P2MEXP_dX=0.0;
modelStruct.modelPar_given_P2MEXP=mod.given("P2MEXP");
modParamMap["P2MEXP"] = &(modelStruct.d_modelPar_P2MEXP_dX);
modelStruct.modelPar_MEXPR=mod.MEXPR;
modelStruct.d_modelPar_MEXPR_dX=0.0;
modelStruct.modelPar_given_MEXPR=mod.given("MEXPR");
modParamMap["MEXPR"] = &(modelStruct.d_modelPar_MEXPR_dX);
modelStruct.modelPar_LMEXPR=mod.LMEXPR;
modelStruct.d_modelPar_LMEXPR_dX=0.0;
modelStruct.modelPar_given_LMEXPR=mod.given("LMEXPR");
modParamMap["LMEXPR"] = &(modelStruct.d_modelPar_LMEXPR_dX);
modelStruct.modelPar_NMEXPR=mod.NMEXPR;
modelStruct.d_modelPar_NMEXPR_dX=0.0;
modelStruct.modelPar_given_NMEXPR=mod.given("NMEXPR");
modParamMap["NMEXPR"] = &(modelStruct.d_modelPar_NMEXPR_dX);
modelStruct.modelPar_PMEXPR=mod.PMEXPR;
modelStruct.d_modelPar_PMEXPR_dX=0.0;
modelStruct.modelPar_given_PMEXPR=mod.given("PMEXPR");
modParamMap["PMEXPR"] = &(modelStruct.d_modelPar_PMEXPR_dX);
modelStruct.modelPar_WMEXPR=mod.WMEXPR;
modelStruct.d_modelPar_WMEXPR_dX=0.0;
modelStruct.modelPar_given_WMEXPR=mod.given("WMEXPR");
modParamMap["WMEXPR"] = &(modelStruct.d_modelPar_WMEXPR_dX);
modelStruct.modelPar_P2MEXPR=mod.P2MEXPR;
modelStruct.d_modelPar_P2MEXPR_dX=0.0;
modelStruct.modelPar_given_P2MEXPR=mod.given("P2MEXPR");
modParamMap["P2MEXPR"] = &(modelStruct.d_modelPar_P2MEXPR_dX);
modelStruct.modelPar_PTWG=mod.PTWG;
modelStruct.d_modelPar_PTWG_dX=0.0;
modelStruct.modelPar_given_PTWG=mod.given("PTWG");
modParamMap["PTWG"] = &(modelStruct.d_modelPar_PTWG_dX);
modelStruct.modelPar_LPTWG=mod.LPTWG;
modelStruct.d_modelPar_LPTWG_dX=0.0;
modelStruct.modelPar_given_LPTWG=mod.given("LPTWG");
modParamMap["LPTWG"] = &(modelStruct.d_modelPar_LPTWG_dX);
modelStruct.modelPar_NPTWG=mod.NPTWG;
modelStruct.d_modelPar_NPTWG_dX=0.0;
modelStruct.modelPar_given_NPTWG=mod.given("NPTWG");
modParamMap["NPTWG"] = &(modelStruct.d_modelPar_NPTWG_dX);
modelStruct.modelPar_PPTWG=mod.PPTWG;
modelStruct.d_modelPar_PPTWG_dX=0.0;
modelStruct.modelPar_given_PPTWG=mod.given("PPTWG");
modParamMap["PPTWG"] = &(modelStruct.d_modelPar_PPTWG_dX);
modelStruct.modelPar_WPTWG=mod.WPTWG;
modelStruct.d_modelPar_WPTWG_dX=0.0;
modelStruct.modelPar_given_WPTWG=mod.given("WPTWG");
modParamMap["WPTWG"] = &(modelStruct.d_modelPar_WPTWG_dX);
modelStruct.modelPar_P2PTWG=mod.P2PTWG;
modelStruct.d_modelPar_P2PTWG_dX=0.0;
modelStruct.modelPar_given_P2PTWG=mod.given("P2PTWG");
modParamMap["P2PTWG"] = &(modelStruct.d_modelPar_P2PTWG_dX);
modelStruct.modelPar_PTWGR=mod.PTWGR;
modelStruct.d_modelPar_PTWGR_dX=0.0;
modelStruct.modelPar_given_PTWGR=mod.given("PTWGR");
modParamMap["PTWGR"] = &(modelStruct.d_modelPar_PTWGR_dX);
modelStruct.modelPar_LPTWGR=mod.LPTWGR;
modelStruct.d_modelPar_LPTWGR_dX=0.0;
modelStruct.modelPar_given_LPTWGR=mod.given("LPTWGR");
modParamMap["LPTWGR"] = &(modelStruct.d_modelPar_LPTWGR_dX);
modelStruct.modelPar_NPTWGR=mod.NPTWGR;
modelStruct.d_modelPar_NPTWGR_dX=0.0;
modelStruct.modelPar_given_NPTWGR=mod.given("NPTWGR");
modParamMap["NPTWGR"] = &(modelStruct.d_modelPar_NPTWGR_dX);
modelStruct.modelPar_PPTWGR=mod.PPTWGR;
modelStruct.d_modelPar_PPTWGR_dX=0.0;
modelStruct.modelPar_given_PPTWGR=mod.given("PPTWGR");
modParamMap["PPTWGR"] = &(modelStruct.d_modelPar_PPTWGR_dX);
modelStruct.modelPar_WPTWGR=mod.WPTWGR;
modelStruct.d_modelPar_WPTWGR_dX=0.0;
modelStruct.modelPar_given_WPTWGR=mod.given("WPTWGR");
modParamMap["WPTWGR"] = &(modelStruct.d_modelPar_WPTWGR_dX);
modelStruct.modelPar_P2PTWGR=mod.P2PTWGR;
modelStruct.d_modelPar_P2PTWGR_dX=0.0;
modelStruct.modelPar_given_P2PTWGR=mod.given("P2PTWGR");
modParamMap["P2PTWGR"] = &(modelStruct.d_modelPar_P2PTWGR_dX);
modelStruct.modelPar_AT=mod.AT;
modelStruct.d_modelPar_AT_dX=0.0;
modelStruct.modelPar_given_AT=mod.given("AT");
modParamMap["AT"] = &(modelStruct.d_modelPar_AT_dX);
modelStruct.modelPar_LAT=mod.LAT;
modelStruct.d_modelPar_LAT_dX=0.0;
modelStruct.modelPar_given_LAT=mod.given("LAT");
modParamMap["LAT"] = &(modelStruct.d_modelPar_LAT_dX);
modelStruct.modelPar_NAT=mod.NAT;
modelStruct.d_modelPar_NAT_dX=0.0;
modelStruct.modelPar_given_NAT=mod.given("NAT");
modParamMap["NAT"] = &(modelStruct.d_modelPar_NAT_dX);
modelStruct.modelPar_PAT=mod.PAT;
modelStruct.d_modelPar_PAT_dX=0.0;
modelStruct.modelPar_given_PAT=mod.given("PAT");
modParamMap["PAT"] = &(modelStruct.d_modelPar_PAT_dX);
modelStruct.modelPar_WAT=mod.WAT;
modelStruct.d_modelPar_WAT_dX=0.0;
modelStruct.modelPar_given_WAT=mod.given("WAT");
modParamMap["WAT"] = &(modelStruct.d_modelPar_WAT_dX);
modelStruct.modelPar_P2AT=mod.P2AT;
modelStruct.d_modelPar_P2AT_dX=0.0;
modelStruct.modelPar_given_P2AT=mod.given("P2AT");
modParamMap["P2AT"] = &(modelStruct.d_modelPar_P2AT_dX);
modelStruct.modelPar_AT2=mod.AT2;
modelStruct.d_modelPar_AT2_dX=0.0;
modelStruct.modelPar_given_AT2=mod.given("AT2");
modParamMap["AT2"] = &(modelStruct.d_modelPar_AT2_dX);
modelStruct.modelPar_ATR=mod.ATR;
modelStruct.d_modelPar_ATR_dX=0.0;
modelStruct.modelPar_given_ATR=mod.given("ATR");
modParamMap["ATR"] = &(modelStruct.d_modelPar_ATR_dX);
modelStruct.modelPar_LATR=mod.LATR;
modelStruct.d_modelPar_LATR_dX=0.0;
modelStruct.modelPar_given_LATR=mod.given("LATR");
modParamMap["LATR"] = &(modelStruct.d_modelPar_LATR_dX);
modelStruct.modelPar_NATR=mod.NATR;
modelStruct.d_modelPar_NATR_dX=0.0;
modelStruct.modelPar_given_NATR=mod.given("NATR");
modParamMap["NATR"] = &(modelStruct.d_modelPar_NATR_dX);
modelStruct.modelPar_PATR=mod.PATR;
modelStruct.d_modelPar_PATR_dX=0.0;
modelStruct.modelPar_given_PATR=mod.given("PATR");
modParamMap["PATR"] = &(modelStruct.d_modelPar_PATR_dX);
modelStruct.modelPar_WATR=mod.WATR;
modelStruct.d_modelPar_WATR_dX=0.0;
modelStruct.modelPar_given_WATR=mod.given("WATR");
modParamMap["WATR"] = &(modelStruct.d_modelPar_WATR_dX);
modelStruct.modelPar_P2ATR=mod.P2ATR;
modelStruct.d_modelPar_P2ATR_dX=0.0;
modelStruct.modelPar_given_P2ATR=mod.given("P2ATR");
modParamMap["P2ATR"] = &(modelStruct.d_modelPar_P2ATR_dX);
modelStruct.modelPar_ATCV=mod.ATCV;
modelStruct.d_modelPar_ATCV_dX=0.0;
modelStruct.modelPar_given_ATCV=mod.given("ATCV");
modParamMap["ATCV"] = &(modelStruct.d_modelPar_ATCV_dX);
modelStruct.modelPar_LATCV=mod.LATCV;
modelStruct.d_modelPar_LATCV_dX=0.0;
modelStruct.modelPar_given_LATCV=mod.given("LATCV");
modParamMap["LATCV"] = &(modelStruct.d_modelPar_LATCV_dX);
modelStruct.modelPar_NATCV=mod.NATCV;
modelStruct.d_modelPar_NATCV_dX=0.0;
modelStruct.modelPar_given_NATCV=mod.given("NATCV");
modParamMap["NATCV"] = &(modelStruct.d_modelPar_NATCV_dX);
modelStruct.modelPar_PATCV=mod.PATCV;
modelStruct.d_modelPar_PATCV_dX=0.0;
modelStruct.modelPar_given_PATCV=mod.given("PATCV");
modParamMap["PATCV"] = &(modelStruct.d_modelPar_PATCV_dX);
modelStruct.modelPar_WATCV=mod.WATCV;
modelStruct.d_modelPar_WATCV_dX=0.0;
modelStruct.modelPar_given_WATCV=mod.given("WATCV");
modParamMap["WATCV"] = &(modelStruct.d_modelPar_WATCV_dX);
modelStruct.modelPar_P2ATCV=mod.P2ATCV;
modelStruct.d_modelPar_P2ATCV_dX=0.0;
modelStruct.modelPar_given_P2ATCV=mod.given("P2ATCV");
modParamMap["P2ATCV"] = &(modelStruct.d_modelPar_P2ATCV_dX);
modelStruct.modelPar_AT2CV=mod.AT2CV;
modelStruct.d_modelPar_AT2CV_dX=0.0;
modelStruct.modelPar_given_AT2CV=mod.given("AT2CV");
modParamMap["AT2CV"] = &(modelStruct.d_modelPar_AT2CV_dX);
modelStruct.modelPar_PTWGT=mod.PTWGT;
modelStruct.d_modelPar_PTWGT_dX=0.0;
modelStruct.modelPar_given_PTWGT=mod.given("PTWGT");
modParamMap["PTWGT"] = &(modelStruct.d_modelPar_PTWGT_dX);
modelStruct.modelPar_LPTWGT=mod.LPTWGT;
modelStruct.d_modelPar_LPTWGT_dX=0.0;
modelStruct.modelPar_given_LPTWGT=mod.given("LPTWGT");
modParamMap["LPTWGT"] = &(modelStruct.d_modelPar_LPTWGT_dX);
modelStruct.modelPar_NPTWGT=mod.NPTWGT;
modelStruct.d_modelPar_NPTWGT_dX=0.0;
modelStruct.modelPar_given_NPTWGT=mod.given("NPTWGT");
modParamMap["NPTWGT"] = &(modelStruct.d_modelPar_NPTWGT_dX);
modelStruct.modelPar_PPTWGT=mod.PPTWGT;
modelStruct.d_modelPar_PPTWGT_dX=0.0;
modelStruct.modelPar_given_PPTWGT=mod.given("PPTWGT");
modParamMap["PPTWGT"] = &(modelStruct.d_modelPar_PPTWGT_dX);
modelStruct.modelPar_WPTWGT=mod.WPTWGT;
modelStruct.d_modelPar_WPTWGT_dX=0.0;
modelStruct.modelPar_given_WPTWGT=mod.given("WPTWGT");
modParamMap["WPTWGT"] = &(modelStruct.d_modelPar_WPTWGT_dX);
modelStruct.modelPar_P2PTWGT=mod.P2PTWGT;
modelStruct.d_modelPar_P2PTWGT_dX=0.0;
modelStruct.modelPar_given_P2PTWGT=mod.given("P2PTWGT");
modParamMap["P2PTWGT"] = &(modelStruct.d_modelPar_P2PTWGT_dX);
modelStruct.modelPar_U0N1=mod.U0N1;
modelStruct.d_modelPar_U0N1_dX=0.0;
modelStruct.modelPar_given_U0N1=mod.given("U0N1");
modParamMap["U0N1"] = &(modelStruct.d_modelPar_U0N1_dX);
modelStruct.modelPar_U0N1CV=mod.U0N1CV;
modelStruct.d_modelPar_U0N1CV_dX=0.0;
modelStruct.modelPar_given_U0N1CV=mod.given("U0N1CV");
modParamMap["U0N1CV"] = &(modelStruct.d_modelPar_U0N1CV_dX);
modelStruct.modelPar_U0N1R=mod.U0N1R;
modelStruct.d_modelPar_U0N1R_dX=0.0;
modelStruct.modelPar_given_U0N1R=mod.given("U0N1R");
modParamMap["U0N1R"] = &(modelStruct.d_modelPar_U0N1R_dX);
modelStruct.modelPar_U0N2=mod.U0N2;
modelStruct.d_modelPar_U0N2_dX=0.0;
modelStruct.modelPar_given_U0N2=mod.given("U0N2");
modParamMap["U0N2"] = &(modelStruct.d_modelPar_U0N2_dX);
modelStruct.modelPar_U0N2CV=mod.U0N2CV;
modelStruct.d_modelPar_U0N2CV_dX=0.0;
modelStruct.modelPar_given_U0N2CV=mod.given("U0N2CV");
modParamMap["U0N2CV"] = &(modelStruct.d_modelPar_U0N2CV_dX);
modelStruct.modelPar_U0N2R=mod.U0N2R;
modelStruct.d_modelPar_U0N2R_dX=0.0;
modelStruct.modelPar_given_U0N2R=mod.given("U0N2R");
modParamMap["U0N2R"] = &(modelStruct.d_modelPar_U0N2R_dX);
modelStruct.modelPar_U0LT=mod.U0LT;
modelStruct.d_modelPar_U0LT_dX=0.0;
modelStruct.modelPar_given_U0LT=mod.given("U0LT");
modParamMap["U0LT"] = &(modelStruct.d_modelPar_U0LT_dX);
modelStruct.modelPar_U0LTCV=mod.U0LTCV;
modelStruct.d_modelPar_U0LTCV_dX=0.0;
modelStruct.modelPar_given_U0LTCV=mod.given("U0LTCV");
modParamMap["U0LTCV"] = &(modelStruct.d_modelPar_U0LTCV_dX);
modelStruct.modelPar_LPA=mod.LPA;
modelStruct.d_modelPar_LPA_dX=0.0;
modelStruct.modelPar_given_LPA=mod.given("LPA");
modParamMap["LPA"] = &(modelStruct.d_modelPar_LPA_dX);
modelStruct.modelPar_LPAR=mod.LPAR;
modelStruct.d_modelPar_LPAR_dX=0.0;
modelStruct.modelPar_given_LPAR=mod.given("LPAR");
modParamMap["LPAR"] = &(modelStruct.d_modelPar_LPAR_dX);
modelStruct.modelPar_AUA=mod.AUA;
modelStruct.d_modelPar_AUA_dX=0.0;
modelStruct.modelPar_given_AUA=mod.given("AUA");
modParamMap["AUA"] = &(modelStruct.d_modelPar_AUA_dX);
modelStruct.modelPar_AUAR=mod.AUAR;
modelStruct.d_modelPar_AUAR_dX=0.0;
modelStruct.modelPar_given_AUAR=mod.given("AUAR");
modParamMap["AUAR"] = &(modelStruct.d_modelPar_AUAR_dX);
modelStruct.modelPar_BUA=mod.BUA;
modelStruct.d_modelPar_BUA_dX=0.0;
modelStruct.modelPar_given_BUA=mod.given("BUA");
modParamMap["BUA"] = &(modelStruct.d_modelPar_BUA_dX);
modelStruct.modelPar_BUAR=mod.BUAR;
modelStruct.d_modelPar_BUAR_dX=0.0;
modelStruct.modelPar_given_BUAR=mod.given("BUAR");
modParamMap["BUAR"] = &(modelStruct.d_modelPar_BUAR_dX);
modelStruct.modelPar_AEU=mod.AEU;
modelStruct.d_modelPar_AEU_dX=0.0;
modelStruct.modelPar_given_AEU=mod.given("AEU");
modParamMap["AEU"] = &(modelStruct.d_modelPar_AEU_dX);
modelStruct.modelPar_AEUR=mod.AEUR;
modelStruct.d_modelPar_AEUR_dX=0.0;
modelStruct.modelPar_given_AEUR=mod.given("AEUR");
modParamMap["AEUR"] = &(modelStruct.d_modelPar_AEUR_dX);
modelStruct.modelPar_BEU=mod.BEU;
modelStruct.d_modelPar_BEU_dX=0.0;
modelStruct.modelPar_given_BEU=mod.given("BEU");
modParamMap["BEU"] = &(modelStruct.d_modelPar_BEU_dX);
modelStruct.modelPar_BEUR=mod.BEUR;
modelStruct.d_modelPar_BEUR_dX=0.0;
modelStruct.modelPar_given_BEUR=mod.given("BEUR");
modParamMap["BEUR"] = &(modelStruct.d_modelPar_BEUR_dX);
modelStruct.modelPar_AUD=mod.AUD;
modelStruct.d_modelPar_AUD_dX=0.0;
modelStruct.modelPar_given_AUD=mod.given("AUD");
modParamMap["AUD"] = &(modelStruct.d_modelPar_AUD_dX);
modelStruct.modelPar_AUDR=mod.AUDR;
modelStruct.d_modelPar_AUDR_dX=0.0;
modelStruct.modelPar_given_AUDR=mod.given("AUDR");
modParamMap["AUDR"] = &(modelStruct.d_modelPar_AUDR_dX);
modelStruct.modelPar_BUD=mod.BUD;
modelStruct.d_modelPar_BUD_dX=0.0;
modelStruct.modelPar_given_BUD=mod.given("BUD");
modParamMap["BUD"] = &(modelStruct.d_modelPar_BUD_dX);
modelStruct.modelPar_BUDR=mod.BUDR;
modelStruct.d_modelPar_BUDR_dX=0.0;
modelStruct.modelPar_given_BUDR=mod.given("BUDR");
modParamMap["BUDR"] = &(modelStruct.d_modelPar_BUDR_dX);
modelStruct.modelPar_CHARGEWF=mod.CHARGEWF;
modelStruct.d_modelPar_CHARGEWF_dX=0.0;
modelStruct.modelPar_given_CHARGEWF=mod.given("CHARGEWF");
modParamMap["CHARGEWF"] = &(modelStruct.d_modelPar_CHARGEWF_dX);
modelStruct.modelPar_DMOBCLAMP=mod.DMOBCLAMP;
modelStruct.d_modelPar_DMOBCLAMP_dX=0.0;
modelStruct.modelPar_given_DMOBCLAMP=mod.given("DMOBCLAMP");
modParamMap["DMOBCLAMP"] = &(modelStruct.d_modelPar_DMOBCLAMP_dX);
modelStruct.modelPar_U0=mod.U0;
modelStruct.d_modelPar_U0_dX=0.0;
modelStruct.modelPar_given_U0=mod.given("U0");
modParamMap["U0"] = &(modelStruct.d_modelPar_U0_dX);
modelStruct.modelPar_LU0=mod.LU0;
modelStruct.d_modelPar_LU0_dX=0.0;
modelStruct.modelPar_given_LU0=mod.given("LU0");
modParamMap["LU0"] = &(modelStruct.d_modelPar_LU0_dX);
modelStruct.modelPar_NU0=mod.NU0;
modelStruct.d_modelPar_NU0_dX=0.0;
modelStruct.modelPar_given_NU0=mod.given("NU0");
modParamMap["NU0"] = &(modelStruct.d_modelPar_NU0_dX);
modelStruct.modelPar_PU0=mod.PU0;
modelStruct.d_modelPar_PU0_dX=0.0;
modelStruct.modelPar_given_PU0=mod.given("PU0");
modParamMap["PU0"] = &(modelStruct.d_modelPar_PU0_dX);
modelStruct.modelPar_WU0=mod.WU0;
modelStruct.d_modelPar_WU0_dX=0.0;
modelStruct.modelPar_given_WU0=mod.given("WU0");
modParamMap["WU0"] = &(modelStruct.d_modelPar_WU0_dX);
modelStruct.modelPar_P2U0=mod.P2U0;
modelStruct.d_modelPar_P2U0_dX=0.0;
modelStruct.modelPar_given_P2U0=mod.given("P2U0");
modParamMap["P2U0"] = &(modelStruct.d_modelPar_P2U0_dX);
modelStruct.modelPar_U0R=mod.U0R;
modelStruct.d_modelPar_U0R_dX=0.0;
modelStruct.modelPar_given_U0R=mod.given("U0R");
modParamMap["U0R"] = &(modelStruct.d_modelPar_U0R_dX);
modelStruct.modelPar_LU0R=mod.LU0R;
modelStruct.d_modelPar_LU0R_dX=0.0;
modelStruct.modelPar_given_LU0R=mod.given("LU0R");
modParamMap["LU0R"] = &(modelStruct.d_modelPar_LU0R_dX);
modelStruct.modelPar_NU0R=mod.NU0R;
modelStruct.d_modelPar_NU0R_dX=0.0;
modelStruct.modelPar_given_NU0R=mod.given("NU0R");
modParamMap["NU0R"] = &(modelStruct.d_modelPar_NU0R_dX);
modelStruct.modelPar_PU0R=mod.PU0R;
modelStruct.d_modelPar_PU0R_dX=0.0;
modelStruct.modelPar_given_PU0R=mod.given("PU0R");
modParamMap["PU0R"] = &(modelStruct.d_modelPar_PU0R_dX);
modelStruct.modelPar_WU0R=mod.WU0R;
modelStruct.d_modelPar_WU0R_dX=0.0;
modelStruct.modelPar_given_WU0R=mod.given("WU0R");
modParamMap["WU0R"] = &(modelStruct.d_modelPar_WU0R_dX);
modelStruct.modelPar_P2U0R=mod.P2U0R;
modelStruct.d_modelPar_P2U0R_dX=0.0;
modelStruct.modelPar_given_P2U0R=mod.given("P2U0R");
modParamMap["P2U0R"] = &(modelStruct.d_modelPar_P2U0R_dX);
modelStruct.modelPar_U0CV=mod.U0CV;
modelStruct.d_modelPar_U0CV_dX=0.0;
modelStruct.modelPar_given_U0CV=mod.given("U0CV");
modParamMap["U0CV"] = &(modelStruct.d_modelPar_U0CV_dX);
modelStruct.modelPar_LU0CV=mod.LU0CV;
modelStruct.d_modelPar_LU0CV_dX=0.0;
modelStruct.modelPar_given_LU0CV=mod.given("LU0CV");
modParamMap["LU0CV"] = &(modelStruct.d_modelPar_LU0CV_dX);
modelStruct.modelPar_NU0CV=mod.NU0CV;
modelStruct.d_modelPar_NU0CV_dX=0.0;
modelStruct.modelPar_given_NU0CV=mod.given("NU0CV");
modParamMap["NU0CV"] = &(modelStruct.d_modelPar_NU0CV_dX);
modelStruct.modelPar_PU0CV=mod.PU0CV;
modelStruct.d_modelPar_PU0CV_dX=0.0;
modelStruct.modelPar_given_PU0CV=mod.given("PU0CV");
modParamMap["PU0CV"] = &(modelStruct.d_modelPar_PU0CV_dX);
modelStruct.modelPar_WU0CV=mod.WU0CV;
modelStruct.d_modelPar_WU0CV_dX=0.0;
modelStruct.modelPar_given_WU0CV=mod.given("WU0CV");
modParamMap["WU0CV"] = &(modelStruct.d_modelPar_WU0CV_dX);
modelStruct.modelPar_P2U0CV=mod.P2U0CV;
modelStruct.d_modelPar_P2U0CV_dX=0.0;
modelStruct.modelPar_given_P2U0CV=mod.given("P2U0CV");
modParamMap["P2U0CV"] = &(modelStruct.d_modelPar_P2U0CV_dX);
modelStruct.modelPar_ETAMOB=mod.ETAMOB;
modelStruct.d_modelPar_ETAMOB_dX=0.0;
modelStruct.modelPar_given_ETAMOB=mod.given("ETAMOB");
modParamMap["ETAMOB"] = &(modelStruct.d_modelPar_ETAMOB_dX);
modelStruct.modelPar_LETAMOB=mod.LETAMOB;
modelStruct.d_modelPar_LETAMOB_dX=0.0;
modelStruct.modelPar_given_LETAMOB=mod.given("LETAMOB");
modParamMap["LETAMOB"] = &(modelStruct.d_modelPar_LETAMOB_dX);
modelStruct.modelPar_NETAMOB=mod.NETAMOB;
modelStruct.d_modelPar_NETAMOB_dX=0.0;
modelStruct.modelPar_given_NETAMOB=mod.given("NETAMOB");
modParamMap["NETAMOB"] = &(modelStruct.d_modelPar_NETAMOB_dX);
modelStruct.modelPar_PETAMOB=mod.PETAMOB;
modelStruct.d_modelPar_PETAMOB_dX=0.0;
modelStruct.modelPar_given_PETAMOB=mod.given("PETAMOB");
modParamMap["PETAMOB"] = &(modelStruct.d_modelPar_PETAMOB_dX);
modelStruct.modelPar_WETAMOB=mod.WETAMOB;
modelStruct.d_modelPar_WETAMOB_dX=0.0;
modelStruct.modelPar_given_WETAMOB=mod.given("WETAMOB");
modParamMap["WETAMOB"] = &(modelStruct.d_modelPar_WETAMOB_dX);
modelStruct.modelPar_P2ETAMOB=mod.P2ETAMOB;
modelStruct.d_modelPar_P2ETAMOB_dX=0.0;
modelStruct.modelPar_given_P2ETAMOB=mod.given("P2ETAMOB");
modParamMap["P2ETAMOB"] = &(modelStruct.d_modelPar_P2ETAMOB_dX);
modelStruct.modelPar_UP=mod.UP;
modelStruct.d_modelPar_UP_dX=0.0;
modelStruct.modelPar_given_UP=mod.given("UP");
modParamMap["UP"] = &(modelStruct.d_modelPar_UP_dX);
modelStruct.modelPar_LUP=mod.LUP;
modelStruct.d_modelPar_LUP_dX=0.0;
modelStruct.modelPar_given_LUP=mod.given("LUP");
modParamMap["LUP"] = &(modelStruct.d_modelPar_LUP_dX);
modelStruct.modelPar_NUP=mod.NUP;
modelStruct.d_modelPar_NUP_dX=0.0;
modelStruct.modelPar_given_NUP=mod.given("NUP");
modParamMap["NUP"] = &(modelStruct.d_modelPar_NUP_dX);
modelStruct.modelPar_PUP=mod.PUP;
modelStruct.d_modelPar_PUP_dX=0.0;
modelStruct.modelPar_given_PUP=mod.given("PUP");
modParamMap["PUP"] = &(modelStruct.d_modelPar_PUP_dX);
modelStruct.modelPar_WUP=mod.WUP;
modelStruct.d_modelPar_WUP_dX=0.0;
modelStruct.modelPar_given_WUP=mod.given("WUP");
modParamMap["WUP"] = &(modelStruct.d_modelPar_WUP_dX);
modelStruct.modelPar_P2UP=mod.P2UP;
modelStruct.d_modelPar_P2UP_dX=0.0;
modelStruct.modelPar_given_P2UP=mod.given("P2UP");
modParamMap["P2UP"] = &(modelStruct.d_modelPar_P2UP_dX);
modelStruct.modelPar_UPR=mod.UPR;
modelStruct.d_modelPar_UPR_dX=0.0;
modelStruct.modelPar_given_UPR=mod.given("UPR");
modParamMap["UPR"] = &(modelStruct.d_modelPar_UPR_dX);
modelStruct.modelPar_LUPR=mod.LUPR;
modelStruct.d_modelPar_LUPR_dX=0.0;
modelStruct.modelPar_given_LUPR=mod.given("LUPR");
modParamMap["LUPR"] = &(modelStruct.d_modelPar_LUPR_dX);
modelStruct.modelPar_NUPR=mod.NUPR;
modelStruct.d_modelPar_NUPR_dX=0.0;
modelStruct.modelPar_given_NUPR=mod.given("NUPR");
modParamMap["NUPR"] = &(modelStruct.d_modelPar_NUPR_dX);
modelStruct.modelPar_PUPR=mod.PUPR;
modelStruct.d_modelPar_PUPR_dX=0.0;
modelStruct.modelPar_given_PUPR=mod.given("PUPR");
modParamMap["PUPR"] = &(modelStruct.d_modelPar_PUPR_dX);
modelStruct.modelPar_WUPR=mod.WUPR;
modelStruct.d_modelPar_WUPR_dX=0.0;
modelStruct.modelPar_given_WUPR=mod.given("WUPR");
modParamMap["WUPR"] = &(modelStruct.d_modelPar_WUPR_dX);
modelStruct.modelPar_P2UPR=mod.P2UPR;
modelStruct.d_modelPar_P2UPR_dX=0.0;
modelStruct.modelPar_given_P2UPR=mod.given("P2UPR");
modParamMap["P2UPR"] = &(modelStruct.d_modelPar_P2UPR_dX);
modelStruct.modelPar_UA=mod.UA;
modelStruct.d_modelPar_UA_dX=0.0;
modelStruct.modelPar_given_UA=mod.given("UA");
modParamMap["UA"] = &(modelStruct.d_modelPar_UA_dX);
modelStruct.modelPar_LUA=mod.LUA;
modelStruct.d_modelPar_LUA_dX=0.0;
modelStruct.modelPar_given_LUA=mod.given("LUA");
modParamMap["LUA"] = &(modelStruct.d_modelPar_LUA_dX);
modelStruct.modelPar_NUA=mod.NUA;
modelStruct.d_modelPar_NUA_dX=0.0;
modelStruct.modelPar_given_NUA=mod.given("NUA");
modParamMap["NUA"] = &(modelStruct.d_modelPar_NUA_dX);
modelStruct.modelPar_PUA=mod.PUA;
modelStruct.d_modelPar_PUA_dX=0.0;
modelStruct.modelPar_given_PUA=mod.given("PUA");
modParamMap["PUA"] = &(modelStruct.d_modelPar_PUA_dX);
modelStruct.modelPar_WUA=mod.WUA;
modelStruct.d_modelPar_WUA_dX=0.0;
modelStruct.modelPar_given_WUA=mod.given("WUA");
modParamMap["WUA"] = &(modelStruct.d_modelPar_WUA_dX);
modelStruct.modelPar_P2UA=mod.P2UA;
modelStruct.d_modelPar_P2UA_dX=0.0;
modelStruct.modelPar_given_P2UA=mod.given("P2UA");
modParamMap["P2UA"] = &(modelStruct.d_modelPar_P2UA_dX);
modelStruct.modelPar_UAR=mod.UAR;
modelStruct.d_modelPar_UAR_dX=0.0;
modelStruct.modelPar_given_UAR=mod.given("UAR");
modParamMap["UAR"] = &(modelStruct.d_modelPar_UAR_dX);
modelStruct.modelPar_LUAR=mod.LUAR;
modelStruct.d_modelPar_LUAR_dX=0.0;
modelStruct.modelPar_given_LUAR=mod.given("LUAR");
modParamMap["LUAR"] = &(modelStruct.d_modelPar_LUAR_dX);
modelStruct.modelPar_NUAR=mod.NUAR;
modelStruct.d_modelPar_NUAR_dX=0.0;
modelStruct.modelPar_given_NUAR=mod.given("NUAR");
modParamMap["NUAR"] = &(modelStruct.d_modelPar_NUAR_dX);
modelStruct.modelPar_PUAR=mod.PUAR;
modelStruct.d_modelPar_PUAR_dX=0.0;
modelStruct.modelPar_given_PUAR=mod.given("PUAR");
modParamMap["PUAR"] = &(modelStruct.d_modelPar_PUAR_dX);
modelStruct.modelPar_WUAR=mod.WUAR;
modelStruct.d_modelPar_WUAR_dX=0.0;
modelStruct.modelPar_given_WUAR=mod.given("WUAR");
modParamMap["WUAR"] = &(modelStruct.d_modelPar_WUAR_dX);
modelStruct.modelPar_P2UAR=mod.P2UAR;
modelStruct.d_modelPar_P2UAR_dX=0.0;
modelStruct.modelPar_given_P2UAR=mod.given("P2UAR");
modParamMap["P2UAR"] = &(modelStruct.d_modelPar_P2UAR_dX);
modelStruct.modelPar_UACV=mod.UACV;
modelStruct.d_modelPar_UACV_dX=0.0;
modelStruct.modelPar_given_UACV=mod.given("UACV");
modParamMap["UACV"] = &(modelStruct.d_modelPar_UACV_dX);
modelStruct.modelPar_LUACV=mod.LUACV;
modelStruct.d_modelPar_LUACV_dX=0.0;
modelStruct.modelPar_given_LUACV=mod.given("LUACV");
modParamMap["LUACV"] = &(modelStruct.d_modelPar_LUACV_dX);
modelStruct.modelPar_NUACV=mod.NUACV;
modelStruct.d_modelPar_NUACV_dX=0.0;
modelStruct.modelPar_given_NUACV=mod.given("NUACV");
modParamMap["NUACV"] = &(modelStruct.d_modelPar_NUACV_dX);
modelStruct.modelPar_PUACV=mod.PUACV;
modelStruct.d_modelPar_PUACV_dX=0.0;
modelStruct.modelPar_given_PUACV=mod.given("PUACV");
modParamMap["PUACV"] = &(modelStruct.d_modelPar_PUACV_dX);
modelStruct.modelPar_WUACV=mod.WUACV;
modelStruct.d_modelPar_WUACV_dX=0.0;
modelStruct.modelPar_given_WUACV=mod.given("WUACV");
modParamMap["WUACV"] = &(modelStruct.d_modelPar_WUACV_dX);
modelStruct.modelPar_P2UACV=mod.P2UACV;
modelStruct.d_modelPar_P2UACV_dX=0.0;
modelStruct.modelPar_given_P2UACV=mod.given("P2UACV");
modParamMap["P2UACV"] = &(modelStruct.d_modelPar_P2UACV_dX);
modelStruct.modelPar_UC=mod.UC;
modelStruct.d_modelPar_UC_dX=0.0;
modelStruct.modelPar_given_UC=mod.given("UC");
modParamMap["UC"] = &(modelStruct.d_modelPar_UC_dX);
modelStruct.modelPar_LUC=mod.LUC;
modelStruct.d_modelPar_LUC_dX=0.0;
modelStruct.modelPar_given_LUC=mod.given("LUC");
modParamMap["LUC"] = &(modelStruct.d_modelPar_LUC_dX);
modelStruct.modelPar_NUC=mod.NUC;
modelStruct.d_modelPar_NUC_dX=0.0;
modelStruct.modelPar_given_NUC=mod.given("NUC");
modParamMap["NUC"] = &(modelStruct.d_modelPar_NUC_dX);
modelStruct.modelPar_PUC=mod.PUC;
modelStruct.d_modelPar_PUC_dX=0.0;
modelStruct.modelPar_given_PUC=mod.given("PUC");
modParamMap["PUC"] = &(modelStruct.d_modelPar_PUC_dX);
modelStruct.modelPar_WUC=mod.WUC;
modelStruct.d_modelPar_WUC_dX=0.0;
modelStruct.modelPar_given_WUC=mod.given("WUC");
modParamMap["WUC"] = &(modelStruct.d_modelPar_WUC_dX);
modelStruct.modelPar_P2UC=mod.P2UC;
modelStruct.d_modelPar_P2UC_dX=0.0;
modelStruct.modelPar_given_P2UC=mod.given("P2UC");
modParamMap["P2UC"] = &(modelStruct.d_modelPar_P2UC_dX);
modelStruct.modelPar_UCR=mod.UCR;
modelStruct.d_modelPar_UCR_dX=0.0;
modelStruct.modelPar_given_UCR=mod.given("UCR");
modParamMap["UCR"] = &(modelStruct.d_modelPar_UCR_dX);
modelStruct.modelPar_LUCR=mod.LUCR;
modelStruct.d_modelPar_LUCR_dX=0.0;
modelStruct.modelPar_given_LUCR=mod.given("LUCR");
modParamMap["LUCR"] = &(modelStruct.d_modelPar_LUCR_dX);
modelStruct.modelPar_NUCR=mod.NUCR;
modelStruct.d_modelPar_NUCR_dX=0.0;
modelStruct.modelPar_given_NUCR=mod.given("NUCR");
modParamMap["NUCR"] = &(modelStruct.d_modelPar_NUCR_dX);
modelStruct.modelPar_PUCR=mod.PUCR;
modelStruct.d_modelPar_PUCR_dX=0.0;
modelStruct.modelPar_given_PUCR=mod.given("PUCR");
modParamMap["PUCR"] = &(modelStruct.d_modelPar_PUCR_dX);
modelStruct.modelPar_WUCR=mod.WUCR;
modelStruct.d_modelPar_WUCR_dX=0.0;
modelStruct.modelPar_given_WUCR=mod.given("WUCR");
modParamMap["WUCR"] = &(modelStruct.d_modelPar_WUCR_dX);
modelStruct.modelPar_P2UCR=mod.P2UCR;
modelStruct.d_modelPar_P2UCR_dX=0.0;
modelStruct.modelPar_given_P2UCR=mod.given("P2UCR");
modParamMap["P2UCR"] = &(modelStruct.d_modelPar_P2UCR_dX);
modelStruct.modelPar_UCCV=mod.UCCV;
modelStruct.d_modelPar_UCCV_dX=0.0;
modelStruct.modelPar_given_UCCV=mod.given("UCCV");
modParamMap["UCCV"] = &(modelStruct.d_modelPar_UCCV_dX);
modelStruct.modelPar_LUCCV=mod.LUCCV;
modelStruct.d_modelPar_LUCCV_dX=0.0;
modelStruct.modelPar_given_LUCCV=mod.given("LUCCV");
modParamMap["LUCCV"] = &(modelStruct.d_modelPar_LUCCV_dX);
modelStruct.modelPar_NUCCV=mod.NUCCV;
modelStruct.d_modelPar_NUCCV_dX=0.0;
modelStruct.modelPar_given_NUCCV=mod.given("NUCCV");
modParamMap["NUCCV"] = &(modelStruct.d_modelPar_NUCCV_dX);
modelStruct.modelPar_PUCCV=mod.PUCCV;
modelStruct.d_modelPar_PUCCV_dX=0.0;
modelStruct.modelPar_given_PUCCV=mod.given("PUCCV");
modParamMap["PUCCV"] = &(modelStruct.d_modelPar_PUCCV_dX);
modelStruct.modelPar_WUCCV=mod.WUCCV;
modelStruct.d_modelPar_WUCCV_dX=0.0;
modelStruct.modelPar_given_WUCCV=mod.given("WUCCV");
modParamMap["WUCCV"] = &(modelStruct.d_modelPar_WUCCV_dX);
modelStruct.modelPar_P2UCCV=mod.P2UCCV;
modelStruct.d_modelPar_P2UCCV_dX=0.0;
modelStruct.modelPar_given_P2UCCV=mod.given("P2UCCV");
modParamMap["P2UCCV"] = &(modelStruct.d_modelPar_P2UCCV_dX);
modelStruct.modelPar_EU=mod.EU;
modelStruct.d_modelPar_EU_dX=0.0;
modelStruct.modelPar_given_EU=mod.given("EU");
modParamMap["EU"] = &(modelStruct.d_modelPar_EU_dX);
modelStruct.modelPar_LEU=mod.LEU;
modelStruct.d_modelPar_LEU_dX=0.0;
modelStruct.modelPar_given_LEU=mod.given("LEU");
modParamMap["LEU"] = &(modelStruct.d_modelPar_LEU_dX);
modelStruct.modelPar_NEU=mod.NEU;
modelStruct.d_modelPar_NEU_dX=0.0;
modelStruct.modelPar_given_NEU=mod.given("NEU");
modParamMap["NEU"] = &(modelStruct.d_modelPar_NEU_dX);
modelStruct.modelPar_PEU=mod.PEU;
modelStruct.d_modelPar_PEU_dX=0.0;
modelStruct.modelPar_given_PEU=mod.given("PEU");
modParamMap["PEU"] = &(modelStruct.d_modelPar_PEU_dX);
modelStruct.modelPar_WEU=mod.WEU;
modelStruct.d_modelPar_WEU_dX=0.0;
modelStruct.modelPar_given_WEU=mod.given("WEU");
modParamMap["WEU"] = &(modelStruct.d_modelPar_WEU_dX);
modelStruct.modelPar_P2EU=mod.P2EU;
modelStruct.d_modelPar_P2EU_dX=0.0;
modelStruct.modelPar_given_P2EU=mod.given("P2EU");
modParamMap["P2EU"] = &(modelStruct.d_modelPar_P2EU_dX);
modelStruct.modelPar_EUR=mod.EUR;
modelStruct.d_modelPar_EUR_dX=0.0;
modelStruct.modelPar_given_EUR=mod.given("EUR");
modParamMap["EUR"] = &(modelStruct.d_modelPar_EUR_dX);
modelStruct.modelPar_LEUR=mod.LEUR;
modelStruct.d_modelPar_LEUR_dX=0.0;
modelStruct.modelPar_given_LEUR=mod.given("LEUR");
modParamMap["LEUR"] = &(modelStruct.d_modelPar_LEUR_dX);
modelStruct.modelPar_NEUR=mod.NEUR;
modelStruct.d_modelPar_NEUR_dX=0.0;
modelStruct.modelPar_given_NEUR=mod.given("NEUR");
modParamMap["NEUR"] = &(modelStruct.d_modelPar_NEUR_dX);
modelStruct.modelPar_PEUR=mod.PEUR;
modelStruct.d_modelPar_PEUR_dX=0.0;
modelStruct.modelPar_given_PEUR=mod.given("PEUR");
modParamMap["PEUR"] = &(modelStruct.d_modelPar_PEUR_dX);
modelStruct.modelPar_WEUR=mod.WEUR;
modelStruct.d_modelPar_WEUR_dX=0.0;
modelStruct.modelPar_given_WEUR=mod.given("WEUR");
modParamMap["WEUR"] = &(modelStruct.d_modelPar_WEUR_dX);
modelStruct.modelPar_P2EUR=mod.P2EUR;
modelStruct.d_modelPar_P2EUR_dX=0.0;
modelStruct.modelPar_given_P2EUR=mod.given("P2EUR");
modParamMap["P2EUR"] = &(modelStruct.d_modelPar_P2EUR_dX);
modelStruct.modelPar_UD=mod.UD;
modelStruct.d_modelPar_UD_dX=0.0;
modelStruct.modelPar_given_UD=mod.given("UD");
modParamMap["UD"] = &(modelStruct.d_modelPar_UD_dX);
modelStruct.modelPar_LUD=mod.LUD;
modelStruct.d_modelPar_LUD_dX=0.0;
modelStruct.modelPar_given_LUD=mod.given("LUD");
modParamMap["LUD"] = &(modelStruct.d_modelPar_LUD_dX);
modelStruct.modelPar_NUD=mod.NUD;
modelStruct.d_modelPar_NUD_dX=0.0;
modelStruct.modelPar_given_NUD=mod.given("NUD");
modParamMap["NUD"] = &(modelStruct.d_modelPar_NUD_dX);
modelStruct.modelPar_PUD=mod.PUD;
modelStruct.d_modelPar_PUD_dX=0.0;
modelStruct.modelPar_given_PUD=mod.given("PUD");
modParamMap["PUD"] = &(modelStruct.d_modelPar_PUD_dX);
modelStruct.modelPar_WUD=mod.WUD;
modelStruct.d_modelPar_WUD_dX=0.0;
modelStruct.modelPar_given_WUD=mod.given("WUD");
modParamMap["WUD"] = &(modelStruct.d_modelPar_WUD_dX);
modelStruct.modelPar_P2UD=mod.P2UD;
modelStruct.d_modelPar_P2UD_dX=0.0;
modelStruct.modelPar_given_P2UD=mod.given("P2UD");
modParamMap["P2UD"] = &(modelStruct.d_modelPar_P2UD_dX);
modelStruct.modelPar_UDR=mod.UDR;
modelStruct.d_modelPar_UDR_dX=0.0;
modelStruct.modelPar_given_UDR=mod.given("UDR");
modParamMap["UDR"] = &(modelStruct.d_modelPar_UDR_dX);
modelStruct.modelPar_LUDR=mod.LUDR;
modelStruct.d_modelPar_LUDR_dX=0.0;
modelStruct.modelPar_given_LUDR=mod.given("LUDR");
modParamMap["LUDR"] = &(modelStruct.d_modelPar_LUDR_dX);
modelStruct.modelPar_NUDR=mod.NUDR;
modelStruct.d_modelPar_NUDR_dX=0.0;
modelStruct.modelPar_given_NUDR=mod.given("NUDR");
modParamMap["NUDR"] = &(modelStruct.d_modelPar_NUDR_dX);
modelStruct.modelPar_PUDR=mod.PUDR;
modelStruct.d_modelPar_PUDR_dX=0.0;
modelStruct.modelPar_given_PUDR=mod.given("PUDR");
modParamMap["PUDR"] = &(modelStruct.d_modelPar_PUDR_dX);
modelStruct.modelPar_WUDR=mod.WUDR;
modelStruct.d_modelPar_WUDR_dX=0.0;
modelStruct.modelPar_given_WUDR=mod.given("WUDR");
modParamMap["WUDR"] = &(modelStruct.d_modelPar_WUDR_dX);
modelStruct.modelPar_P2UDR=mod.P2UDR;
modelStruct.d_modelPar_P2UDR_dX=0.0;
modelStruct.modelPar_given_P2UDR=mod.given("P2UDR");
modParamMap["P2UDR"] = &(modelStruct.d_modelPar_P2UDR_dX);
modelStruct.modelPar_UDCV=mod.UDCV;
modelStruct.d_modelPar_UDCV_dX=0.0;
modelStruct.modelPar_given_UDCV=mod.given("UDCV");
modParamMap["UDCV"] = &(modelStruct.d_modelPar_UDCV_dX);
modelStruct.modelPar_LUDCV=mod.LUDCV;
modelStruct.d_modelPar_LUDCV_dX=0.0;
modelStruct.modelPar_given_LUDCV=mod.given("LUDCV");
modParamMap["LUDCV"] = &(modelStruct.d_modelPar_LUDCV_dX);
modelStruct.modelPar_NUDCV=mod.NUDCV;
modelStruct.d_modelPar_NUDCV_dX=0.0;
modelStruct.modelPar_given_NUDCV=mod.given("NUDCV");
modParamMap["NUDCV"] = &(modelStruct.d_modelPar_NUDCV_dX);
modelStruct.modelPar_PUDCV=mod.PUDCV;
modelStruct.d_modelPar_PUDCV_dX=0.0;
modelStruct.modelPar_given_PUDCV=mod.given("PUDCV");
modParamMap["PUDCV"] = &(modelStruct.d_modelPar_PUDCV_dX);
modelStruct.modelPar_WUDCV=mod.WUDCV;
modelStruct.d_modelPar_WUDCV_dX=0.0;
modelStruct.modelPar_given_WUDCV=mod.given("WUDCV");
modParamMap["WUDCV"] = &(modelStruct.d_modelPar_WUDCV_dX);
modelStruct.modelPar_P2UDCV=mod.P2UDCV;
modelStruct.d_modelPar_P2UDCV_dX=0.0;
modelStruct.modelPar_given_P2UDCV=mod.given("P2UDCV");
modParamMap["P2UDCV"] = &(modelStruct.d_modelPar_P2UDCV_dX);
modelStruct.modelPar_UCS=mod.UCS;
modelStruct.d_modelPar_UCS_dX=0.0;
modelStruct.modelPar_given_UCS=mod.given("UCS");
modParamMap["UCS"] = &(modelStruct.d_modelPar_UCS_dX);
modelStruct.modelPar_LUCS=mod.LUCS;
modelStruct.d_modelPar_LUCS_dX=0.0;
modelStruct.modelPar_given_LUCS=mod.given("LUCS");
modParamMap["LUCS"] = &(modelStruct.d_modelPar_LUCS_dX);
modelStruct.modelPar_NUCS=mod.NUCS;
modelStruct.d_modelPar_NUCS_dX=0.0;
modelStruct.modelPar_given_NUCS=mod.given("NUCS");
modParamMap["NUCS"] = &(modelStruct.d_modelPar_NUCS_dX);
modelStruct.modelPar_PUCS=mod.PUCS;
modelStruct.d_modelPar_PUCS_dX=0.0;
modelStruct.modelPar_given_PUCS=mod.given("PUCS");
modParamMap["PUCS"] = &(modelStruct.d_modelPar_PUCS_dX);
modelStruct.modelPar_WUCS=mod.WUCS;
modelStruct.d_modelPar_WUCS_dX=0.0;
modelStruct.modelPar_given_WUCS=mod.given("WUCS");
modParamMap["WUCS"] = &(modelStruct.d_modelPar_WUCS_dX);
modelStruct.modelPar_P2UCS=mod.P2UCS;
modelStruct.d_modelPar_P2UCS_dX=0.0;
modelStruct.modelPar_given_P2UCS=mod.given("P2UCS");
modParamMap["P2UCS"] = &(modelStruct.d_modelPar_P2UCS_dX);
modelStruct.modelPar_UDS=mod.UDS;
modelStruct.d_modelPar_UDS_dX=0.0;
modelStruct.modelPar_given_UDS=mod.given("UDS");
modParamMap["UDS"] = &(modelStruct.d_modelPar_UDS_dX);
modelStruct.modelPar_LUDS=mod.LUDS;
modelStruct.d_modelPar_LUDS_dX=0.0;
modelStruct.modelPar_given_LUDS=mod.given("LUDS");
modParamMap["LUDS"] = &(modelStruct.d_modelPar_LUDS_dX);
modelStruct.modelPar_NUDS=mod.NUDS;
modelStruct.d_modelPar_NUDS_dX=0.0;
modelStruct.modelPar_given_NUDS=mod.given("NUDS");
modParamMap["NUDS"] = &(modelStruct.d_modelPar_NUDS_dX);
modelStruct.modelPar_PUDS=mod.PUDS;
modelStruct.d_modelPar_PUDS_dX=0.0;
modelStruct.modelPar_given_PUDS=mod.given("PUDS");
modParamMap["PUDS"] = &(modelStruct.d_modelPar_PUDS_dX);
modelStruct.modelPar_WUDS=mod.WUDS;
modelStruct.d_modelPar_WUDS_dX=0.0;
modelStruct.modelPar_given_WUDS=mod.given("WUDS");
modParamMap["WUDS"] = &(modelStruct.d_modelPar_WUDS_dX);
modelStruct.modelPar_P2UDS=mod.P2UDS;
modelStruct.d_modelPar_P2UDS_dX=0.0;
modelStruct.modelPar_given_P2UDS=mod.given("P2UDS");
modParamMap["P2UDS"] = &(modelStruct.d_modelPar_P2UDS_dX);
modelStruct.modelPar_UDS1=mod.UDS1;
modelStruct.d_modelPar_UDS1_dX=0.0;
modelStruct.modelPar_given_UDS1=mod.given("UDS1");
modParamMap["UDS1"] = &(modelStruct.d_modelPar_UDS1_dX);
modelStruct.modelPar_LUDS1=mod.LUDS1;
modelStruct.d_modelPar_LUDS1_dX=0.0;
modelStruct.modelPar_given_LUDS1=mod.given("LUDS1");
modParamMap["LUDS1"] = &(modelStruct.d_modelPar_LUDS1_dX);
modelStruct.modelPar_NUDS1=mod.NUDS1;
modelStruct.d_modelPar_NUDS1_dX=0.0;
modelStruct.modelPar_given_NUDS1=mod.given("NUDS1");
modParamMap["NUDS1"] = &(modelStruct.d_modelPar_NUDS1_dX);
modelStruct.modelPar_PUDS1=mod.PUDS1;
modelStruct.d_modelPar_PUDS1_dX=0.0;
modelStruct.modelPar_given_PUDS1=mod.given("PUDS1");
modParamMap["PUDS1"] = &(modelStruct.d_modelPar_PUDS1_dX);
modelStruct.modelPar_WUDS1=mod.WUDS1;
modelStruct.d_modelPar_WUDS1_dX=0.0;
modelStruct.modelPar_given_WUDS1=mod.given("WUDS1");
modParamMap["WUDS1"] = &(modelStruct.d_modelPar_WUDS1_dX);
modelStruct.modelPar_P2UDS1=mod.P2UDS1;
modelStruct.d_modelPar_P2UDS1_dX=0.0;
modelStruct.modelPar_given_P2UDS1=mod.given("P2UDS1");
modParamMap["P2UDS1"] = &(modelStruct.d_modelPar_P2UDS1_dX);
modelStruct.modelPar_UDD=mod.UDD;
modelStruct.d_modelPar_UDD_dX=0.0;
modelStruct.modelPar_given_UDD=mod.given("UDD");
modParamMap["UDD"] = &(modelStruct.d_modelPar_UDD_dX);
modelStruct.modelPar_LUDD=mod.LUDD;
modelStruct.d_modelPar_LUDD_dX=0.0;
modelStruct.modelPar_given_LUDD=mod.given("LUDD");
modParamMap["LUDD"] = &(modelStruct.d_modelPar_LUDD_dX);
modelStruct.modelPar_NUDD=mod.NUDD;
modelStruct.d_modelPar_NUDD_dX=0.0;
modelStruct.modelPar_given_NUDD=mod.given("NUDD");
modParamMap["NUDD"] = &(modelStruct.d_modelPar_NUDD_dX);
modelStruct.modelPar_PUDD=mod.PUDD;
modelStruct.d_modelPar_PUDD_dX=0.0;
modelStruct.modelPar_given_PUDD=mod.given("PUDD");
modParamMap["PUDD"] = &(modelStruct.d_modelPar_PUDD_dX);
modelStruct.modelPar_WUDD=mod.WUDD;
modelStruct.d_modelPar_WUDD_dX=0.0;
modelStruct.modelPar_given_WUDD=mod.given("WUDD");
modParamMap["WUDD"] = &(modelStruct.d_modelPar_WUDD_dX);
modelStruct.modelPar_P2UDD=mod.P2UDD;
modelStruct.d_modelPar_P2UDD_dX=0.0;
modelStruct.modelPar_given_P2UDD=mod.given("P2UDD");
modParamMap["P2UDD"] = &(modelStruct.d_modelPar_P2UDD_dX);
modelStruct.modelPar_UDD1=mod.UDD1;
modelStruct.d_modelPar_UDD1_dX=0.0;
modelStruct.modelPar_given_UDD1=mod.given("UDD1");
modParamMap["UDD1"] = &(modelStruct.d_modelPar_UDD1_dX);
modelStruct.modelPar_LUDD1=mod.LUDD1;
modelStruct.d_modelPar_LUDD1_dX=0.0;
modelStruct.modelPar_given_LUDD1=mod.given("LUDD1");
modParamMap["LUDD1"] = &(modelStruct.d_modelPar_LUDD1_dX);
modelStruct.modelPar_NUDD1=mod.NUDD1;
modelStruct.d_modelPar_NUDD1_dX=0.0;
modelStruct.modelPar_given_NUDD1=mod.given("NUDD1");
modParamMap["NUDD1"] = &(modelStruct.d_modelPar_NUDD1_dX);
modelStruct.modelPar_PUDD1=mod.PUDD1;
modelStruct.d_modelPar_PUDD1_dX=0.0;
modelStruct.modelPar_given_PUDD1=mod.given("PUDD1");
modParamMap["PUDD1"] = &(modelStruct.d_modelPar_PUDD1_dX);
modelStruct.modelPar_WUDD1=mod.WUDD1;
modelStruct.d_modelPar_WUDD1_dX=0.0;
modelStruct.modelPar_given_WUDD1=mod.given("WUDD1");
modParamMap["WUDD1"] = &(modelStruct.d_modelPar_WUDD1_dX);
modelStruct.modelPar_P2UDD1=mod.P2UDD1;
modelStruct.d_modelPar_P2UDD1_dX=0.0;
modelStruct.modelPar_given_P2UDD1=mod.given("P2UDD1");
modParamMap["P2UDD1"] = &(modelStruct.d_modelPar_P2UDD1_dX);
modelStruct.modelPar_UTE=mod.UTE;
modelStruct.d_modelPar_UTE_dX=0.0;
modelStruct.modelPar_given_UTE=mod.given("UTE");
modParamMap["UTE"] = &(modelStruct.d_modelPar_UTE_dX);
modelStruct.modelPar_LUTE=mod.LUTE;
modelStruct.d_modelPar_LUTE_dX=0.0;
modelStruct.modelPar_given_LUTE=mod.given("LUTE");
modParamMap["LUTE"] = &(modelStruct.d_modelPar_LUTE_dX);
modelStruct.modelPar_NUTE=mod.NUTE;
modelStruct.d_modelPar_NUTE_dX=0.0;
modelStruct.modelPar_given_NUTE=mod.given("NUTE");
modParamMap["NUTE"] = &(modelStruct.d_modelPar_NUTE_dX);
modelStruct.modelPar_PUTE=mod.PUTE;
modelStruct.d_modelPar_PUTE_dX=0.0;
modelStruct.modelPar_given_PUTE=mod.given("PUTE");
modParamMap["PUTE"] = &(modelStruct.d_modelPar_PUTE_dX);
modelStruct.modelPar_WUTE=mod.WUTE;
modelStruct.d_modelPar_WUTE_dX=0.0;
modelStruct.modelPar_given_WUTE=mod.given("WUTE");
modParamMap["WUTE"] = &(modelStruct.d_modelPar_WUTE_dX);
modelStruct.modelPar_P2UTE=mod.P2UTE;
modelStruct.d_modelPar_P2UTE_dX=0.0;
modelStruct.modelPar_given_P2UTE=mod.given("P2UTE");
modParamMap["P2UTE"] = &(modelStruct.d_modelPar_P2UTE_dX);
modelStruct.modelPar_UTER=mod.UTER;
modelStruct.d_modelPar_UTER_dX=0.0;
modelStruct.modelPar_given_UTER=mod.given("UTER");
modParamMap["UTER"] = &(modelStruct.d_modelPar_UTER_dX);
modelStruct.modelPar_LUTER=mod.LUTER;
modelStruct.d_modelPar_LUTER_dX=0.0;
modelStruct.modelPar_given_LUTER=mod.given("LUTER");
modParamMap["LUTER"] = &(modelStruct.d_modelPar_LUTER_dX);
modelStruct.modelPar_NUTER=mod.NUTER;
modelStruct.d_modelPar_NUTER_dX=0.0;
modelStruct.modelPar_given_NUTER=mod.given("NUTER");
modParamMap["NUTER"] = &(modelStruct.d_modelPar_NUTER_dX);
modelStruct.modelPar_PUTER=mod.PUTER;
modelStruct.d_modelPar_PUTER_dX=0.0;
modelStruct.modelPar_given_PUTER=mod.given("PUTER");
modParamMap["PUTER"] = &(modelStruct.d_modelPar_PUTER_dX);
modelStruct.modelPar_WUTER=mod.WUTER;
modelStruct.d_modelPar_WUTER_dX=0.0;
modelStruct.modelPar_given_WUTER=mod.given("WUTER");
modParamMap["WUTER"] = &(modelStruct.d_modelPar_WUTER_dX);
modelStruct.modelPar_P2UTER=mod.P2UTER;
modelStruct.d_modelPar_P2UTER_dX=0.0;
modelStruct.modelPar_given_P2UTER=mod.given("P2UTER");
modParamMap["P2UTER"] = &(modelStruct.d_modelPar_P2UTER_dX);
modelStruct.modelPar_UTECV=mod.UTECV;
modelStruct.d_modelPar_UTECV_dX=0.0;
modelStruct.modelPar_given_UTECV=mod.given("UTECV");
modParamMap["UTECV"] = &(modelStruct.d_modelPar_UTECV_dX);
modelStruct.modelPar_LUTECV=mod.LUTECV;
modelStruct.d_modelPar_LUTECV_dX=0.0;
modelStruct.modelPar_given_LUTECV=mod.given("LUTECV");
modParamMap["LUTECV"] = &(modelStruct.d_modelPar_LUTECV_dX);
modelStruct.modelPar_NUTECV=mod.NUTECV;
modelStruct.d_modelPar_NUTECV_dX=0.0;
modelStruct.modelPar_given_NUTECV=mod.given("NUTECV");
modParamMap["NUTECV"] = &(modelStruct.d_modelPar_NUTECV_dX);
modelStruct.modelPar_PUTECV=mod.PUTECV;
modelStruct.d_modelPar_PUTECV_dX=0.0;
modelStruct.modelPar_given_PUTECV=mod.given("PUTECV");
modParamMap["PUTECV"] = &(modelStruct.d_modelPar_PUTECV_dX);
modelStruct.modelPar_WUTECV=mod.WUTECV;
modelStruct.d_modelPar_WUTECV_dX=0.0;
modelStruct.modelPar_given_WUTECV=mod.given("WUTECV");
modParamMap["WUTECV"] = &(modelStruct.d_modelPar_WUTECV_dX);
modelStruct.modelPar_P2UTECV=mod.P2UTECV;
modelStruct.d_modelPar_P2UTECV_dX=0.0;
modelStruct.modelPar_given_P2UTECV=mod.given("P2UTECV");
modParamMap["P2UTECV"] = &(modelStruct.d_modelPar_P2UTECV_dX);
modelStruct.modelPar_UTE1=mod.UTE1;
modelStruct.d_modelPar_UTE1_dX=0.0;
modelStruct.modelPar_given_UTE1=mod.given("UTE1");
modParamMap["UTE1"] = &(modelStruct.d_modelPar_UTE1_dX);
modelStruct.modelPar_LUTE1=mod.LUTE1;
modelStruct.d_modelPar_LUTE1_dX=0.0;
modelStruct.modelPar_given_LUTE1=mod.given("LUTE1");
modParamMap["LUTE1"] = &(modelStruct.d_modelPar_LUTE1_dX);
modelStruct.modelPar_NUTE1=mod.NUTE1;
modelStruct.d_modelPar_NUTE1_dX=0.0;
modelStruct.modelPar_given_NUTE1=mod.given("NUTE1");
modParamMap["NUTE1"] = &(modelStruct.d_modelPar_NUTE1_dX);
modelStruct.modelPar_PUTE1=mod.PUTE1;
modelStruct.d_modelPar_PUTE1_dX=0.0;
modelStruct.modelPar_given_PUTE1=mod.given("PUTE1");
modParamMap["PUTE1"] = &(modelStruct.d_modelPar_PUTE1_dX);
modelStruct.modelPar_WUTE1=mod.WUTE1;
modelStruct.d_modelPar_WUTE1_dX=0.0;
modelStruct.modelPar_given_WUTE1=mod.given("WUTE1");
modParamMap["WUTE1"] = &(modelStruct.d_modelPar_WUTE1_dX);
modelStruct.modelPar_P2UTE1=mod.P2UTE1;
modelStruct.d_modelPar_P2UTE1_dX=0.0;
modelStruct.modelPar_given_P2UTE1=mod.given("P2UTE1");
modParamMap["P2UTE1"] = &(modelStruct.d_modelPar_P2UTE1_dX);
modelStruct.modelPar_UTE1CV=mod.UTE1CV;
modelStruct.d_modelPar_UTE1CV_dX=0.0;
modelStruct.modelPar_given_UTE1CV=mod.given("UTE1CV");
modParamMap["UTE1CV"] = &(modelStruct.d_modelPar_UTE1CV_dX);
modelStruct.modelPar_LUTE1CV=mod.LUTE1CV;
modelStruct.d_modelPar_LUTE1CV_dX=0.0;
modelStruct.modelPar_given_LUTE1CV=mod.given("LUTE1CV");
modParamMap["LUTE1CV"] = &(modelStruct.d_modelPar_LUTE1CV_dX);
modelStruct.modelPar_NUTE1CV=mod.NUTE1CV;
modelStruct.d_modelPar_NUTE1CV_dX=0.0;
modelStruct.modelPar_given_NUTE1CV=mod.given("NUTE1CV");
modParamMap["NUTE1CV"] = &(modelStruct.d_modelPar_NUTE1CV_dX);
modelStruct.modelPar_PUTE1CV=mod.PUTE1CV;
modelStruct.d_modelPar_PUTE1CV_dX=0.0;
modelStruct.modelPar_given_PUTE1CV=mod.given("PUTE1CV");
modParamMap["PUTE1CV"] = &(modelStruct.d_modelPar_PUTE1CV_dX);
modelStruct.modelPar_WUTE1CV=mod.WUTE1CV;
modelStruct.d_modelPar_WUTE1CV_dX=0.0;
modelStruct.modelPar_given_WUTE1CV=mod.given("WUTE1CV");
modParamMap["WUTE1CV"] = &(modelStruct.d_modelPar_WUTE1CV_dX);
modelStruct.modelPar_P2UTE1CV=mod.P2UTE1CV;
modelStruct.d_modelPar_P2UTE1CV_dX=0.0;
modelStruct.modelPar_given_P2UTE1CV=mod.given("P2UTE1CV");
modParamMap["P2UTE1CV"] = &(modelStruct.d_modelPar_P2UTE1CV_dX);
modelStruct.modelPar_UTL=mod.UTL;
modelStruct.d_modelPar_UTL_dX=0.0;
modelStruct.modelPar_given_UTL=mod.given("UTL");
modParamMap["UTL"] = &(modelStruct.d_modelPar_UTL_dX);
modelStruct.modelPar_LUTL=mod.LUTL;
modelStruct.d_modelPar_LUTL_dX=0.0;
modelStruct.modelPar_given_LUTL=mod.given("LUTL");
modParamMap["LUTL"] = &(modelStruct.d_modelPar_LUTL_dX);
modelStruct.modelPar_NUTL=mod.NUTL;
modelStruct.d_modelPar_NUTL_dX=0.0;
modelStruct.modelPar_given_NUTL=mod.given("NUTL");
modParamMap["NUTL"] = &(modelStruct.d_modelPar_NUTL_dX);
modelStruct.modelPar_PUTL=mod.PUTL;
modelStruct.d_modelPar_PUTL_dX=0.0;
modelStruct.modelPar_given_PUTL=mod.given("PUTL");
modParamMap["PUTL"] = &(modelStruct.d_modelPar_PUTL_dX);
modelStruct.modelPar_WUTL=mod.WUTL;
modelStruct.d_modelPar_WUTL_dX=0.0;
modelStruct.modelPar_given_WUTL=mod.given("WUTL");
modParamMap["WUTL"] = &(modelStruct.d_modelPar_WUTL_dX);
modelStruct.modelPar_P2UTL=mod.P2UTL;
modelStruct.d_modelPar_P2UTL_dX=0.0;
modelStruct.modelPar_given_P2UTL=mod.given("P2UTL");
modParamMap["P2UTL"] = &(modelStruct.d_modelPar_P2UTL_dX);
modelStruct.modelPar_UTLR=mod.UTLR;
modelStruct.d_modelPar_UTLR_dX=0.0;
modelStruct.modelPar_given_UTLR=mod.given("UTLR");
modParamMap["UTLR"] = &(modelStruct.d_modelPar_UTLR_dX);
modelStruct.modelPar_LUTLR=mod.LUTLR;
modelStruct.d_modelPar_LUTLR_dX=0.0;
modelStruct.modelPar_given_LUTLR=mod.given("LUTLR");
modParamMap["LUTLR"] = &(modelStruct.d_modelPar_LUTLR_dX);
modelStruct.modelPar_NUTLR=mod.NUTLR;
modelStruct.d_modelPar_NUTLR_dX=0.0;
modelStruct.modelPar_given_NUTLR=mod.given("NUTLR");
modParamMap["NUTLR"] = &(modelStruct.d_modelPar_NUTLR_dX);
modelStruct.modelPar_PUTLR=mod.PUTLR;
modelStruct.d_modelPar_PUTLR_dX=0.0;
modelStruct.modelPar_given_PUTLR=mod.given("PUTLR");
modParamMap["PUTLR"] = &(modelStruct.d_modelPar_PUTLR_dX);
modelStruct.modelPar_WUTLR=mod.WUTLR;
modelStruct.d_modelPar_WUTLR_dX=0.0;
modelStruct.modelPar_given_WUTLR=mod.given("WUTLR");
modParamMap["WUTLR"] = &(modelStruct.d_modelPar_WUTLR_dX);
modelStruct.modelPar_P2UTLR=mod.P2UTLR;
modelStruct.d_modelPar_P2UTLR_dX=0.0;
modelStruct.modelPar_given_P2UTLR=mod.given("P2UTLR");
modParamMap["P2UTLR"] = &(modelStruct.d_modelPar_P2UTLR_dX);
modelStruct.modelPar_UTLCV=mod.UTLCV;
modelStruct.d_modelPar_UTLCV_dX=0.0;
modelStruct.modelPar_given_UTLCV=mod.given("UTLCV");
modParamMap["UTLCV"] = &(modelStruct.d_modelPar_UTLCV_dX);
modelStruct.modelPar_LUTLCV=mod.LUTLCV;
modelStruct.d_modelPar_LUTLCV_dX=0.0;
modelStruct.modelPar_given_LUTLCV=mod.given("LUTLCV");
modParamMap["LUTLCV"] = &(modelStruct.d_modelPar_LUTLCV_dX);
modelStruct.modelPar_NUTLCV=mod.NUTLCV;
modelStruct.d_modelPar_NUTLCV_dX=0.0;
modelStruct.modelPar_given_NUTLCV=mod.given("NUTLCV");
modParamMap["NUTLCV"] = &(modelStruct.d_modelPar_NUTLCV_dX);
modelStruct.modelPar_PUTLCV=mod.PUTLCV;
modelStruct.d_modelPar_PUTLCV_dX=0.0;
modelStruct.modelPar_given_PUTLCV=mod.given("PUTLCV");
modParamMap["PUTLCV"] = &(modelStruct.d_modelPar_PUTLCV_dX);
modelStruct.modelPar_WUTLCV=mod.WUTLCV;
modelStruct.d_modelPar_WUTLCV_dX=0.0;
modelStruct.modelPar_given_WUTLCV=mod.given("WUTLCV");
modParamMap["WUTLCV"] = &(modelStruct.d_modelPar_WUTLCV_dX);
modelStruct.modelPar_P2UTLCV=mod.P2UTLCV;
modelStruct.d_modelPar_P2UTLCV_dX=0.0;
modelStruct.modelPar_given_P2UTLCV=mod.given("P2UTLCV");
modParamMap["P2UTLCV"] = &(modelStruct.d_modelPar_P2UTLCV_dX);
modelStruct.modelPar_EMOBT=mod.EMOBT;
modelStruct.d_modelPar_EMOBT_dX=0.0;
modelStruct.modelPar_given_EMOBT=mod.given("EMOBT");
modParamMap["EMOBT"] = &(modelStruct.d_modelPar_EMOBT_dX);
modelStruct.modelPar_LEMOBT=mod.LEMOBT;
modelStruct.d_modelPar_LEMOBT_dX=0.0;
modelStruct.modelPar_given_LEMOBT=mod.given("LEMOBT");
modParamMap["LEMOBT"] = &(modelStruct.d_modelPar_LEMOBT_dX);
modelStruct.modelPar_NEMOBT=mod.NEMOBT;
modelStruct.d_modelPar_NEMOBT_dX=0.0;
modelStruct.modelPar_given_NEMOBT=mod.given("NEMOBT");
modParamMap["NEMOBT"] = &(modelStruct.d_modelPar_NEMOBT_dX);
modelStruct.modelPar_PEMOBT=mod.PEMOBT;
modelStruct.d_modelPar_PEMOBT_dX=0.0;
modelStruct.modelPar_given_PEMOBT=mod.given("PEMOBT");
modParamMap["PEMOBT"] = &(modelStruct.d_modelPar_PEMOBT_dX);
modelStruct.modelPar_WEMOBT=mod.WEMOBT;
modelStruct.d_modelPar_WEMOBT_dX=0.0;
modelStruct.modelPar_given_WEMOBT=mod.given("WEMOBT");
modParamMap["WEMOBT"] = &(modelStruct.d_modelPar_WEMOBT_dX);
modelStruct.modelPar_P2EMOBT=mod.P2EMOBT;
modelStruct.d_modelPar_P2EMOBT_dX=0.0;
modelStruct.modelPar_given_P2EMOBT=mod.given("P2EMOBT");
modParamMap["P2EMOBT"] = &(modelStruct.d_modelPar_P2EMOBT_dX);
modelStruct.modelPar_UA1=mod.UA1;
modelStruct.d_modelPar_UA1_dX=0.0;
modelStruct.modelPar_given_UA1=mod.given("UA1");
modParamMap["UA1"] = &(modelStruct.d_modelPar_UA1_dX);
modelStruct.modelPar_LUA1=mod.LUA1;
modelStruct.d_modelPar_LUA1_dX=0.0;
modelStruct.modelPar_given_LUA1=mod.given("LUA1");
modParamMap["LUA1"] = &(modelStruct.d_modelPar_LUA1_dX);
modelStruct.modelPar_NUA1=mod.NUA1;
modelStruct.d_modelPar_NUA1_dX=0.0;
modelStruct.modelPar_given_NUA1=mod.given("NUA1");
modParamMap["NUA1"] = &(modelStruct.d_modelPar_NUA1_dX);
modelStruct.modelPar_PUA1=mod.PUA1;
modelStruct.d_modelPar_PUA1_dX=0.0;
modelStruct.modelPar_given_PUA1=mod.given("PUA1");
modParamMap["PUA1"] = &(modelStruct.d_modelPar_PUA1_dX);
modelStruct.modelPar_WUA1=mod.WUA1;
modelStruct.d_modelPar_WUA1_dX=0.0;
modelStruct.modelPar_given_WUA1=mod.given("WUA1");
modParamMap["WUA1"] = &(modelStruct.d_modelPar_WUA1_dX);
modelStruct.modelPar_P2UA1=mod.P2UA1;
modelStruct.d_modelPar_P2UA1_dX=0.0;
modelStruct.modelPar_given_P2UA1=mod.given("P2UA1");
modParamMap["P2UA1"] = &(modelStruct.d_modelPar_P2UA1_dX);
modelStruct.modelPar_UA1R=mod.UA1R;
modelStruct.d_modelPar_UA1R_dX=0.0;
modelStruct.modelPar_given_UA1R=mod.given("UA1R");
modParamMap["UA1R"] = &(modelStruct.d_modelPar_UA1R_dX);
modelStruct.modelPar_LUA1R=mod.LUA1R;
modelStruct.d_modelPar_LUA1R_dX=0.0;
modelStruct.modelPar_given_LUA1R=mod.given("LUA1R");
modParamMap["LUA1R"] = &(modelStruct.d_modelPar_LUA1R_dX);
modelStruct.modelPar_NUA1R=mod.NUA1R;
modelStruct.d_modelPar_NUA1R_dX=0.0;
modelStruct.modelPar_given_NUA1R=mod.given("NUA1R");
modParamMap["NUA1R"] = &(modelStruct.d_modelPar_NUA1R_dX);
modelStruct.modelPar_PUA1R=mod.PUA1R;
modelStruct.d_modelPar_PUA1R_dX=0.0;
modelStruct.modelPar_given_PUA1R=mod.given("PUA1R");
modParamMap["PUA1R"] = &(modelStruct.d_modelPar_PUA1R_dX);
modelStruct.modelPar_WUA1R=mod.WUA1R;
modelStruct.d_modelPar_WUA1R_dX=0.0;
modelStruct.modelPar_given_WUA1R=mod.given("WUA1R");
modParamMap["WUA1R"] = &(modelStruct.d_modelPar_WUA1R_dX);
modelStruct.modelPar_P2UA1R=mod.P2UA1R;
modelStruct.d_modelPar_P2UA1R_dX=0.0;
modelStruct.modelPar_given_P2UA1R=mod.given("P2UA1R");
modParamMap["P2UA1R"] = &(modelStruct.d_modelPar_P2UA1R_dX);
modelStruct.modelPar_UA1CV=mod.UA1CV;
modelStruct.d_modelPar_UA1CV_dX=0.0;
modelStruct.modelPar_given_UA1CV=mod.given("UA1CV");
modParamMap["UA1CV"] = &(modelStruct.d_modelPar_UA1CV_dX);
modelStruct.modelPar_LUA1CV=mod.LUA1CV;
modelStruct.d_modelPar_LUA1CV_dX=0.0;
modelStruct.modelPar_given_LUA1CV=mod.given("LUA1CV");
modParamMap["LUA1CV"] = &(modelStruct.d_modelPar_LUA1CV_dX);
modelStruct.modelPar_NUA1CV=mod.NUA1CV;
modelStruct.d_modelPar_NUA1CV_dX=0.0;
modelStruct.modelPar_given_NUA1CV=mod.given("NUA1CV");
modParamMap["NUA1CV"] = &(modelStruct.d_modelPar_NUA1CV_dX);
modelStruct.modelPar_PUA1CV=mod.PUA1CV;
modelStruct.d_modelPar_PUA1CV_dX=0.0;
modelStruct.modelPar_given_PUA1CV=mod.given("PUA1CV");
modParamMap["PUA1CV"] = &(modelStruct.d_modelPar_PUA1CV_dX);
modelStruct.modelPar_WUA1CV=mod.WUA1CV;
modelStruct.d_modelPar_WUA1CV_dX=0.0;
modelStruct.modelPar_given_WUA1CV=mod.given("WUA1CV");
modParamMap["WUA1CV"] = &(modelStruct.d_modelPar_WUA1CV_dX);
modelStruct.modelPar_P2UA1CV=mod.P2UA1CV;
modelStruct.d_modelPar_P2UA1CV_dX=0.0;
modelStruct.modelPar_given_P2UA1CV=mod.given("P2UA1CV");
modParamMap["P2UA1CV"] = &(modelStruct.d_modelPar_P2UA1CV_dX);
modelStruct.modelPar_UA2=mod.UA2;
modelStruct.d_modelPar_UA2_dX=0.0;
modelStruct.modelPar_given_UA2=mod.given("UA2");
modParamMap["UA2"] = &(modelStruct.d_modelPar_UA2_dX);
modelStruct.modelPar_LUA2=mod.LUA2;
modelStruct.d_modelPar_LUA2_dX=0.0;
modelStruct.modelPar_given_LUA2=mod.given("LUA2");
modParamMap["LUA2"] = &(modelStruct.d_modelPar_LUA2_dX);
modelStruct.modelPar_NUA2=mod.NUA2;
modelStruct.d_modelPar_NUA2_dX=0.0;
modelStruct.modelPar_given_NUA2=mod.given("NUA2");
modParamMap["NUA2"] = &(modelStruct.d_modelPar_NUA2_dX);
modelStruct.modelPar_PUA2=mod.PUA2;
modelStruct.d_modelPar_PUA2_dX=0.0;
modelStruct.modelPar_given_PUA2=mod.given("PUA2");
modParamMap["PUA2"] = &(modelStruct.d_modelPar_PUA2_dX);
modelStruct.modelPar_WUA2=mod.WUA2;
modelStruct.d_modelPar_WUA2_dX=0.0;
modelStruct.modelPar_given_WUA2=mod.given("WUA2");
modParamMap["WUA2"] = &(modelStruct.d_modelPar_WUA2_dX);
modelStruct.modelPar_P2UA2=mod.P2UA2;
modelStruct.d_modelPar_P2UA2_dX=0.0;
modelStruct.modelPar_given_P2UA2=mod.given("P2UA2");
modParamMap["P2UA2"] = &(modelStruct.d_modelPar_P2UA2_dX);
modelStruct.modelPar_UA2CV=mod.UA2CV;
modelStruct.d_modelPar_UA2CV_dX=0.0;
modelStruct.modelPar_given_UA2CV=mod.given("UA2CV");
modParamMap["UA2CV"] = &(modelStruct.d_modelPar_UA2CV_dX);
modelStruct.modelPar_LUA2CV=mod.LUA2CV;
modelStruct.d_modelPar_LUA2CV_dX=0.0;
modelStruct.modelPar_given_LUA2CV=mod.given("LUA2CV");
modParamMap["LUA2CV"] = &(modelStruct.d_modelPar_LUA2CV_dX);
modelStruct.modelPar_NUA2CV=mod.NUA2CV;
modelStruct.d_modelPar_NUA2CV_dX=0.0;
modelStruct.modelPar_given_NUA2CV=mod.given("NUA2CV");
modParamMap["NUA2CV"] = &(modelStruct.d_modelPar_NUA2CV_dX);
modelStruct.modelPar_PUA2CV=mod.PUA2CV;
modelStruct.d_modelPar_PUA2CV_dX=0.0;
modelStruct.modelPar_given_PUA2CV=mod.given("PUA2CV");
modParamMap["PUA2CV"] = &(modelStruct.d_modelPar_PUA2CV_dX);
modelStruct.modelPar_WUA2CV=mod.WUA2CV;
modelStruct.d_modelPar_WUA2CV_dX=0.0;
modelStruct.modelPar_given_WUA2CV=mod.given("WUA2CV");
modParamMap["WUA2CV"] = &(modelStruct.d_modelPar_WUA2CV_dX);
modelStruct.modelPar_P2UA2CV=mod.P2UA2CV;
modelStruct.d_modelPar_P2UA2CV_dX=0.0;
modelStruct.modelPar_given_P2UA2CV=mod.given("P2UA2CV");
modParamMap["P2UA2CV"] = &(modelStruct.d_modelPar_P2UA2CV_dX);
modelStruct.modelPar_EU1=mod.EU1;
modelStruct.d_modelPar_EU1_dX=0.0;
modelStruct.modelPar_given_EU1=mod.given("EU1");
modParamMap["EU1"] = &(modelStruct.d_modelPar_EU1_dX);
modelStruct.modelPar_LEU1=mod.LEU1;
modelStruct.d_modelPar_LEU1_dX=0.0;
modelStruct.modelPar_given_LEU1=mod.given("LEU1");
modParamMap["LEU1"] = &(modelStruct.d_modelPar_LEU1_dX);
modelStruct.modelPar_NEU1=mod.NEU1;
modelStruct.d_modelPar_NEU1_dX=0.0;
modelStruct.modelPar_given_NEU1=mod.given("NEU1");
modParamMap["NEU1"] = &(modelStruct.d_modelPar_NEU1_dX);
modelStruct.modelPar_PEU1=mod.PEU1;
modelStruct.d_modelPar_PEU1_dX=0.0;
modelStruct.modelPar_given_PEU1=mod.given("PEU1");
modParamMap["PEU1"] = &(modelStruct.d_modelPar_PEU1_dX);
modelStruct.modelPar_WEU1=mod.WEU1;
modelStruct.d_modelPar_WEU1_dX=0.0;
modelStruct.modelPar_given_WEU1=mod.given("WEU1");
modParamMap["WEU1"] = &(modelStruct.d_modelPar_WEU1_dX);
modelStruct.modelPar_P2EU1=mod.P2EU1;
modelStruct.d_modelPar_P2EU1_dX=0.0;
modelStruct.modelPar_given_P2EU1=mod.given("P2EU1");
modParamMap["P2EU1"] = &(modelStruct.d_modelPar_P2EU1_dX);
modelStruct.modelPar_UC1=mod.UC1;
modelStruct.d_modelPar_UC1_dX=0.0;
modelStruct.modelPar_given_UC1=mod.given("UC1");
modParamMap["UC1"] = &(modelStruct.d_modelPar_UC1_dX);
modelStruct.modelPar_LUC1=mod.LUC1;
modelStruct.d_modelPar_LUC1_dX=0.0;
modelStruct.modelPar_given_LUC1=mod.given("LUC1");
modParamMap["LUC1"] = &(modelStruct.d_modelPar_LUC1_dX);
modelStruct.modelPar_NUC1=mod.NUC1;
modelStruct.d_modelPar_NUC1_dX=0.0;
modelStruct.modelPar_given_NUC1=mod.given("NUC1");
modParamMap["NUC1"] = &(modelStruct.d_modelPar_NUC1_dX);
modelStruct.modelPar_PUC1=mod.PUC1;
modelStruct.d_modelPar_PUC1_dX=0.0;
modelStruct.modelPar_given_PUC1=mod.given("PUC1");
modParamMap["PUC1"] = &(modelStruct.d_modelPar_PUC1_dX);
modelStruct.modelPar_WUC1=mod.WUC1;
modelStruct.d_modelPar_WUC1_dX=0.0;
modelStruct.modelPar_given_WUC1=mod.given("WUC1");
modParamMap["WUC1"] = &(modelStruct.d_modelPar_WUC1_dX);
modelStruct.modelPar_P2UC1=mod.P2UC1;
modelStruct.d_modelPar_P2UC1_dX=0.0;
modelStruct.modelPar_given_P2UC1=mod.given("P2UC1");
modParamMap["P2UC1"] = &(modelStruct.d_modelPar_P2UC1_dX);
modelStruct.modelPar_UC1R=mod.UC1R;
modelStruct.d_modelPar_UC1R_dX=0.0;
modelStruct.modelPar_given_UC1R=mod.given("UC1R");
modParamMap["UC1R"] = &(modelStruct.d_modelPar_UC1R_dX);
modelStruct.modelPar_LUC1R=mod.LUC1R;
modelStruct.d_modelPar_LUC1R_dX=0.0;
modelStruct.modelPar_given_LUC1R=mod.given("LUC1R");
modParamMap["LUC1R"] = &(modelStruct.d_modelPar_LUC1R_dX);
modelStruct.modelPar_NUC1R=mod.NUC1R;
modelStruct.d_modelPar_NUC1R_dX=0.0;
modelStruct.modelPar_given_NUC1R=mod.given("NUC1R");
modParamMap["NUC1R"] = &(modelStruct.d_modelPar_NUC1R_dX);
modelStruct.modelPar_PUC1R=mod.PUC1R;
modelStruct.d_modelPar_PUC1R_dX=0.0;
modelStruct.modelPar_given_PUC1R=mod.given("PUC1R");
modParamMap["PUC1R"] = &(modelStruct.d_modelPar_PUC1R_dX);
modelStruct.modelPar_WUC1R=mod.WUC1R;
modelStruct.d_modelPar_WUC1R_dX=0.0;
modelStruct.modelPar_given_WUC1R=mod.given("WUC1R");
modParamMap["WUC1R"] = &(modelStruct.d_modelPar_WUC1R_dX);
modelStruct.modelPar_P2UC1R=mod.P2UC1R;
modelStruct.d_modelPar_P2UC1R_dX=0.0;
modelStruct.modelPar_given_P2UC1R=mod.given("P2UC1R");
modParamMap["P2UC1R"] = &(modelStruct.d_modelPar_P2UC1R_dX);
modelStruct.modelPar_UC1CV=mod.UC1CV;
modelStruct.d_modelPar_UC1CV_dX=0.0;
modelStruct.modelPar_given_UC1CV=mod.given("UC1CV");
modParamMap["UC1CV"] = &(modelStruct.d_modelPar_UC1CV_dX);
modelStruct.modelPar_LUC1CV=mod.LUC1CV;
modelStruct.d_modelPar_LUC1CV_dX=0.0;
modelStruct.modelPar_given_LUC1CV=mod.given("LUC1CV");
modParamMap["LUC1CV"] = &(modelStruct.d_modelPar_LUC1CV_dX);
modelStruct.modelPar_NUC1CV=mod.NUC1CV;
modelStruct.d_modelPar_NUC1CV_dX=0.0;
modelStruct.modelPar_given_NUC1CV=mod.given("NUC1CV");
modParamMap["NUC1CV"] = &(modelStruct.d_modelPar_NUC1CV_dX);
modelStruct.modelPar_PUC1CV=mod.PUC1CV;
modelStruct.d_modelPar_PUC1CV_dX=0.0;
modelStruct.modelPar_given_PUC1CV=mod.given("PUC1CV");
modParamMap["PUC1CV"] = &(modelStruct.d_modelPar_PUC1CV_dX);
modelStruct.modelPar_WUC1CV=mod.WUC1CV;
modelStruct.d_modelPar_WUC1CV_dX=0.0;
modelStruct.modelPar_given_WUC1CV=mod.given("WUC1CV");
modParamMap["WUC1CV"] = &(modelStruct.d_modelPar_WUC1CV_dX);
modelStruct.modelPar_P2UC1CV=mod.P2UC1CV;
modelStruct.d_modelPar_P2UC1CV_dX=0.0;
modelStruct.modelPar_given_P2UC1CV=mod.given("P2UC1CV");
modParamMap["P2UC1CV"] = &(modelStruct.d_modelPar_P2UC1CV_dX);
modelStruct.modelPar_UD1=mod.UD1;
modelStruct.d_modelPar_UD1_dX=0.0;
modelStruct.modelPar_given_UD1=mod.given("UD1");
modParamMap["UD1"] = &(modelStruct.d_modelPar_UD1_dX);
modelStruct.modelPar_LUD1=mod.LUD1;
modelStruct.d_modelPar_LUD1_dX=0.0;
modelStruct.modelPar_given_LUD1=mod.given("LUD1");
modParamMap["LUD1"] = &(modelStruct.d_modelPar_LUD1_dX);
modelStruct.modelPar_NUD1=mod.NUD1;
modelStruct.d_modelPar_NUD1_dX=0.0;
modelStruct.modelPar_given_NUD1=mod.given("NUD1");
modParamMap["NUD1"] = &(modelStruct.d_modelPar_NUD1_dX);
modelStruct.modelPar_PUD1=mod.PUD1;
modelStruct.d_modelPar_PUD1_dX=0.0;
modelStruct.modelPar_given_PUD1=mod.given("PUD1");
modParamMap["PUD1"] = &(modelStruct.d_modelPar_PUD1_dX);
modelStruct.modelPar_WUD1=mod.WUD1;
modelStruct.d_modelPar_WUD1_dX=0.0;
modelStruct.modelPar_given_WUD1=mod.given("WUD1");
modParamMap["WUD1"] = &(modelStruct.d_modelPar_WUD1_dX);
modelStruct.modelPar_P2UD1=mod.P2UD1;
modelStruct.d_modelPar_P2UD1_dX=0.0;
modelStruct.modelPar_given_P2UD1=mod.given("P2UD1");
modParamMap["P2UD1"] = &(modelStruct.d_modelPar_P2UD1_dX);
modelStruct.modelPar_UD1R=mod.UD1R;
modelStruct.d_modelPar_UD1R_dX=0.0;
modelStruct.modelPar_given_UD1R=mod.given("UD1R");
modParamMap["UD1R"] = &(modelStruct.d_modelPar_UD1R_dX);
modelStruct.modelPar_LUD1R=mod.LUD1R;
modelStruct.d_modelPar_LUD1R_dX=0.0;
modelStruct.modelPar_given_LUD1R=mod.given("LUD1R");
modParamMap["LUD1R"] = &(modelStruct.d_modelPar_LUD1R_dX);
modelStruct.modelPar_NUD1R=mod.NUD1R;
modelStruct.d_modelPar_NUD1R_dX=0.0;
modelStruct.modelPar_given_NUD1R=mod.given("NUD1R");
modParamMap["NUD1R"] = &(modelStruct.d_modelPar_NUD1R_dX);
modelStruct.modelPar_PUD1R=mod.PUD1R;
modelStruct.d_modelPar_PUD1R_dX=0.0;
modelStruct.modelPar_given_PUD1R=mod.given("PUD1R");
modParamMap["PUD1R"] = &(modelStruct.d_modelPar_PUD1R_dX);
modelStruct.modelPar_WUD1R=mod.WUD1R;
modelStruct.d_modelPar_WUD1R_dX=0.0;
modelStruct.modelPar_given_WUD1R=mod.given("WUD1R");
modParamMap["WUD1R"] = &(modelStruct.d_modelPar_WUD1R_dX);
modelStruct.modelPar_P2UD1R=mod.P2UD1R;
modelStruct.d_modelPar_P2UD1R_dX=0.0;
modelStruct.modelPar_given_P2UD1R=mod.given("P2UD1R");
modParamMap["P2UD1R"] = &(modelStruct.d_modelPar_P2UD1R_dX);
modelStruct.modelPar_UD1CV=mod.UD1CV;
modelStruct.d_modelPar_UD1CV_dX=0.0;
modelStruct.modelPar_given_UD1CV=mod.given("UD1CV");
modParamMap["UD1CV"] = &(modelStruct.d_modelPar_UD1CV_dX);
modelStruct.modelPar_LUD1CV=mod.LUD1CV;
modelStruct.d_modelPar_LUD1CV_dX=0.0;
modelStruct.modelPar_given_LUD1CV=mod.given("LUD1CV");
modParamMap["LUD1CV"] = &(modelStruct.d_modelPar_LUD1CV_dX);
modelStruct.modelPar_NUD1CV=mod.NUD1CV;
modelStruct.d_modelPar_NUD1CV_dX=0.0;
modelStruct.modelPar_given_NUD1CV=mod.given("NUD1CV");
modParamMap["NUD1CV"] = &(modelStruct.d_modelPar_NUD1CV_dX);
modelStruct.modelPar_PUD1CV=mod.PUD1CV;
modelStruct.d_modelPar_PUD1CV_dX=0.0;
modelStruct.modelPar_given_PUD1CV=mod.given("PUD1CV");
modParamMap["PUD1CV"] = &(modelStruct.d_modelPar_PUD1CV_dX);
modelStruct.modelPar_WUD1CV=mod.WUD1CV;
modelStruct.d_modelPar_WUD1CV_dX=0.0;
modelStruct.modelPar_given_WUD1CV=mod.given("WUD1CV");
modParamMap["WUD1CV"] = &(modelStruct.d_modelPar_WUD1CV_dX);
modelStruct.modelPar_P2UD1CV=mod.P2UD1CV;
modelStruct.d_modelPar_P2UD1CV_dX=0.0;
modelStruct.modelPar_given_P2UD1CV=mod.given("P2UD1CV");
modParamMap["P2UD1CV"] = &(modelStruct.d_modelPar_P2UD1CV_dX);
modelStruct.modelPar_UD2=mod.UD2;
modelStruct.d_modelPar_UD2_dX=0.0;
modelStruct.modelPar_given_UD2=mod.given("UD2");
modParamMap["UD2"] = &(modelStruct.d_modelPar_UD2_dX);
modelStruct.modelPar_LUD2=mod.LUD2;
modelStruct.d_modelPar_LUD2_dX=0.0;
modelStruct.modelPar_given_LUD2=mod.given("LUD2");
modParamMap["LUD2"] = &(modelStruct.d_modelPar_LUD2_dX);
modelStruct.modelPar_NUD2=mod.NUD2;
modelStruct.d_modelPar_NUD2_dX=0.0;
modelStruct.modelPar_given_NUD2=mod.given("NUD2");
modParamMap["NUD2"] = &(modelStruct.d_modelPar_NUD2_dX);
modelStruct.modelPar_PUD2=mod.PUD2;
modelStruct.d_modelPar_PUD2_dX=0.0;
modelStruct.modelPar_given_PUD2=mod.given("PUD2");
modParamMap["PUD2"] = &(modelStruct.d_modelPar_PUD2_dX);
modelStruct.modelPar_WUD2=mod.WUD2;
modelStruct.d_modelPar_WUD2_dX=0.0;
modelStruct.modelPar_given_WUD2=mod.given("WUD2");
modParamMap["WUD2"] = &(modelStruct.d_modelPar_WUD2_dX);
modelStruct.modelPar_P2UD2=mod.P2UD2;
modelStruct.d_modelPar_P2UD2_dX=0.0;
modelStruct.modelPar_given_P2UD2=mod.given("P2UD2");
modParamMap["P2UD2"] = &(modelStruct.d_modelPar_P2UD2_dX);
modelStruct.modelPar_UD2CV=mod.UD2CV;
modelStruct.d_modelPar_UD2CV_dX=0.0;
modelStruct.modelPar_given_UD2CV=mod.given("UD2CV");
modParamMap["UD2CV"] = &(modelStruct.d_modelPar_UD2CV_dX);
modelStruct.modelPar_LUD2CV=mod.LUD2CV;
modelStruct.d_modelPar_LUD2CV_dX=0.0;
modelStruct.modelPar_given_LUD2CV=mod.given("LUD2CV");
modParamMap["LUD2CV"] = &(modelStruct.d_modelPar_LUD2CV_dX);
modelStruct.modelPar_NUD2CV=mod.NUD2CV;
modelStruct.d_modelPar_NUD2CV_dX=0.0;
modelStruct.modelPar_given_NUD2CV=mod.given("NUD2CV");
modParamMap["NUD2CV"] = &(modelStruct.d_modelPar_NUD2CV_dX);
modelStruct.modelPar_PUD2CV=mod.PUD2CV;
modelStruct.d_modelPar_PUD2CV_dX=0.0;
modelStruct.modelPar_given_PUD2CV=mod.given("PUD2CV");
modParamMap["PUD2CV"] = &(modelStruct.d_modelPar_PUD2CV_dX);
modelStruct.modelPar_WUD2CV=mod.WUD2CV;
modelStruct.d_modelPar_WUD2CV_dX=0.0;
modelStruct.modelPar_given_WUD2CV=mod.given("WUD2CV");
modParamMap["WUD2CV"] = &(modelStruct.d_modelPar_WUD2CV_dX);
modelStruct.modelPar_P2UD2CV=mod.P2UD2CV;
modelStruct.d_modelPar_P2UD2CV_dX=0.0;
modelStruct.modelPar_given_P2UD2CV=mod.given("P2UD2CV");
modParamMap["P2UD2CV"] = &(modelStruct.d_modelPar_P2UD2CV_dX);
modelStruct.modelPar_UCSTE=mod.UCSTE;
modelStruct.d_modelPar_UCSTE_dX=0.0;
modelStruct.modelPar_given_UCSTE=mod.given("UCSTE");
modParamMap["UCSTE"] = &(modelStruct.d_modelPar_UCSTE_dX);
modelStruct.modelPar_LUCSTE=mod.LUCSTE;
modelStruct.d_modelPar_LUCSTE_dX=0.0;
modelStruct.modelPar_given_LUCSTE=mod.given("LUCSTE");
modParamMap["LUCSTE"] = &(modelStruct.d_modelPar_LUCSTE_dX);
modelStruct.modelPar_NUCSTE=mod.NUCSTE;
modelStruct.d_modelPar_NUCSTE_dX=0.0;
modelStruct.modelPar_given_NUCSTE=mod.given("NUCSTE");
modParamMap["NUCSTE"] = &(modelStruct.d_modelPar_NUCSTE_dX);
modelStruct.modelPar_PUCSTE=mod.PUCSTE;
modelStruct.d_modelPar_PUCSTE_dX=0.0;
modelStruct.modelPar_given_PUCSTE=mod.given("PUCSTE");
modParamMap["PUCSTE"] = &(modelStruct.d_modelPar_PUCSTE_dX);
modelStruct.modelPar_WUCSTE=mod.WUCSTE;
modelStruct.d_modelPar_WUCSTE_dX=0.0;
modelStruct.modelPar_given_WUCSTE=mod.given("WUCSTE");
modParamMap["WUCSTE"] = &(modelStruct.d_modelPar_WUCSTE_dX);
modelStruct.modelPar_P2UCSTE=mod.P2UCSTE;
modelStruct.d_modelPar_P2UCSTE_dX=0.0;
modelStruct.modelPar_given_P2UCSTE=mod.given("P2UCSTE");
modParamMap["P2UCSTE"] = &(modelStruct.d_modelPar_P2UCSTE_dX);
modelStruct.modelPar_UCSTE1=mod.UCSTE1;
modelStruct.d_modelPar_UCSTE1_dX=0.0;
modelStruct.modelPar_given_UCSTE1=mod.given("UCSTE1");
modParamMap["UCSTE1"] = &(modelStruct.d_modelPar_UCSTE1_dX);
modelStruct.modelPar_LUCSTE1=mod.LUCSTE1;
modelStruct.d_modelPar_LUCSTE1_dX=0.0;
modelStruct.modelPar_given_LUCSTE1=mod.given("LUCSTE1");
modParamMap["LUCSTE1"] = &(modelStruct.d_modelPar_LUCSTE1_dX);
modelStruct.modelPar_NUCSTE1=mod.NUCSTE1;
modelStruct.d_modelPar_NUCSTE1_dX=0.0;
modelStruct.modelPar_given_NUCSTE1=mod.given("NUCSTE1");
modParamMap["NUCSTE1"] = &(modelStruct.d_modelPar_NUCSTE1_dX);
modelStruct.modelPar_PUCSTE1=mod.PUCSTE1;
modelStruct.d_modelPar_PUCSTE1_dX=0.0;
modelStruct.modelPar_given_PUCSTE1=mod.given("PUCSTE1");
modParamMap["PUCSTE1"] = &(modelStruct.d_modelPar_PUCSTE1_dX);
modelStruct.modelPar_WUCSTE1=mod.WUCSTE1;
modelStruct.d_modelPar_WUCSTE1_dX=0.0;
modelStruct.modelPar_given_WUCSTE1=mod.given("WUCSTE1");
modParamMap["WUCSTE1"] = &(modelStruct.d_modelPar_WUCSTE1_dX);
modelStruct.modelPar_P2UCSTE1=mod.P2UCSTE1;
modelStruct.d_modelPar_P2UCSTE1_dX=0.0;
modelStruct.modelPar_given_P2UCSTE1=mod.given("P2UCSTE1");
modParamMap["P2UCSTE1"] = &(modelStruct.d_modelPar_P2UCSTE1_dX);
modelStruct.modelPar_ETAMOBTHIN=mod.ETAMOBTHIN;
modelStruct.d_modelPar_ETAMOBTHIN_dX=0.0;
modelStruct.modelPar_given_ETAMOBTHIN=mod.given("ETAMOBTHIN");
modParamMap["ETAMOBTHIN"] = &(modelStruct.d_modelPar_ETAMOBTHIN_dX);
modelStruct.modelPar_ETAMOBTNI=mod.ETAMOBTNI;
modelStruct.d_modelPar_ETAMOBTNI_dX=0.0;
modelStruct.modelPar_given_ETAMOBTNI=mod.given("ETAMOBTNI");
modParamMap["ETAMOBTNI"] = &(modelStruct.d_modelPar_ETAMOBTNI_dX);
modelStruct.modelPar_ETAMOBIR=mod.ETAMOBIR;
modelStruct.d_modelPar_ETAMOBIR_dX=0.0;
modelStruct.modelPar_given_ETAMOBIR=mod.given("ETAMOBIR");
modParamMap["ETAMOBIR"] = &(modelStruct.d_modelPar_ETAMOBIR_dX);
modelStruct.modelPar_UATHIN=mod.UATHIN;
modelStruct.d_modelPar_UATHIN_dX=0.0;
modelStruct.modelPar_given_UATHIN=mod.given("UATHIN");
modParamMap["UATHIN"] = &(modelStruct.d_modelPar_UATHIN_dX);
modelStruct.modelPar_UATSAT=mod.UATSAT;
modelStruct.d_modelPar_UATSAT_dX=0.0;
modelStruct.modelPar_given_UATSAT=mod.given("UATSAT");
modParamMap["UATSAT"] = &(modelStruct.d_modelPar_UATSAT_dX);
modelStruct.modelPar_UARTSC=mod.UARTSC;
modelStruct.d_modelPar_UARTSC_dX=0.0;
modelStruct.modelPar_given_UARTSC=mod.given("UARTSC");
modParamMap["UARTSC"] = &(modelStruct.d_modelPar_UARTSC_dX);
modelStruct.modelPar_UATNI=mod.UATNI;
modelStruct.d_modelPar_UATNI_dX=0.0;
modelStruct.modelPar_given_UATNI=mod.given("UATNI");
modParamMap["UATNI"] = &(modelStruct.d_modelPar_UATNI_dX);
modelStruct.modelPar_UAIR=mod.UAIR;
modelStruct.d_modelPar_UAIR_dX=0.0;
modelStruct.modelPar_given_UAIR=mod.given("UAIR");
modParamMap["UAIR"] = &(modelStruct.d_modelPar_UAIR_dX);
modelStruct.modelPar_EUTHIN=mod.EUTHIN;
modelStruct.d_modelPar_EUTHIN_dX=0.0;
modelStruct.modelPar_given_EUTHIN=mod.given("EUTHIN");
modParamMap["EUTHIN"] = &(modelStruct.d_modelPar_EUTHIN_dX);
modelStruct.modelPar_EUPTSC=mod.EUPTSC;
modelStruct.d_modelPar_EUPTSC_dX=0.0;
modelStruct.modelPar_given_EUPTSC=mod.given("EUPTSC");
modParamMap["EUPTSC"] = &(modelStruct.d_modelPar_EUPTSC_dX);
modelStruct.modelPar_EUTNI=mod.EUTNI;
modelStruct.d_modelPar_EUTNI_dX=0.0;
modelStruct.modelPar_given_EUTNI=mod.given("EUTNI");
modParamMap["EUTNI"] = &(modelStruct.d_modelPar_EUTNI_dX);
modelStruct.modelPar_EUIR=mod.EUIR;
modelStruct.d_modelPar_EUIR_dX=0.0;
modelStruct.modelPar_given_EUIR=mod.given("EUIR");
modParamMap["EUIR"] = &(modelStruct.d_modelPar_EUIR_dX);
modelStruct.modelPar_UDTHIN=mod.UDTHIN;
modelStruct.d_modelPar_UDTHIN_dX=0.0;
modelStruct.modelPar_given_UDTHIN=mod.given("UDTHIN");
modParamMap["UDTHIN"] = &(modelStruct.d_modelPar_UDTHIN_dX);
modelStruct.modelPar_UDTSAT=mod.UDTSAT;
modelStruct.d_modelPar_UDTSAT_dX=0.0;
modelStruct.modelPar_given_UDTSAT=mod.given("UDTSAT");
modParamMap["UDTSAT"] = &(modelStruct.d_modelPar_UDTSAT_dX);
modelStruct.modelPar_UDPTSC=mod.UDPTSC;
modelStruct.d_modelPar_UDPTSC_dX=0.0;
modelStruct.modelPar_given_UDPTSC=mod.given("UDPTSC");
modParamMap["UDPTSC"] = &(modelStruct.d_modelPar_UDPTSC_dX);
modelStruct.modelPar_U0ETAWSC=mod.U0ETAWSC;
modelStruct.d_modelPar_U0ETAWSC_dX=0.0;
modelStruct.modelPar_given_U0ETAWSC=mod.given("U0ETAWSC");
modParamMap["U0ETAWSC"] = &(modelStruct.d_modelPar_U0ETAWSC_dX);
modelStruct.modelPar_EGBULK=mod.EGBULK;
modelStruct.d_modelPar_EGBULK_dX=0.0;
modelStruct.modelPar_given_EGBULK=mod.given("EGBULK");
modParamMap["EGBULK"] = &(modelStruct.d_modelPar_EGBULK_dX);
modelStruct.modelPar_U0EMSM1=mod.U0EMSM1;
modelStruct.d_modelPar_U0EMSM1_dX=0.0;
modelStruct.modelPar_given_U0EMSM1=mod.given("U0EMSM1");
modParamMap["U0EMSM1"] = &(modelStruct.d_modelPar_U0EMSM1_dX);
modelStruct.modelPar_U0EMSM2=mod.U0EMSM2;
modelStruct.d_modelPar_U0EMSM2_dX=0.0;
modelStruct.modelPar_given_U0EMSM2=mod.given("U0EMSM2");
modParamMap["U0EMSM2"] = &(modelStruct.d_modelPar_U0EMSM2_dX);
modelStruct.modelPar_RDSWMIN=mod.RDSWMIN;
modelStruct.d_modelPar_RDSWMIN_dX=0.0;
modelStruct.modelPar_given_RDSWMIN=mod.given("RDSWMIN");
modParamMap["RDSWMIN"] = &(modelStruct.d_modelPar_RDSWMIN_dX);
modelStruct.modelPar_ARDSW=mod.ARDSW;
modelStruct.d_modelPar_ARDSW_dX=0.0;
modelStruct.modelPar_given_ARDSW=mod.given("ARDSW");
modParamMap["ARDSW"] = &(modelStruct.d_modelPar_ARDSW_dX);
modelStruct.modelPar_BRDSW=mod.BRDSW;
modelStruct.d_modelPar_BRDSW_dX=0.0;
modelStruct.modelPar_given_BRDSW=mod.given("BRDSW");
modParamMap["BRDSW"] = &(modelStruct.d_modelPar_BRDSW_dX);
modelStruct.modelPar_RSWMIN=mod.RSWMIN;
modelStruct.d_modelPar_RSWMIN_dX=0.0;
modelStruct.modelPar_given_RSWMIN=mod.given("RSWMIN");
modParamMap["RSWMIN"] = &(modelStruct.d_modelPar_RSWMIN_dX);
modelStruct.modelPar_ARSW=mod.ARSW;
modelStruct.d_modelPar_ARSW_dX=0.0;
modelStruct.modelPar_given_ARSW=mod.given("ARSW");
modParamMap["ARSW"] = &(modelStruct.d_modelPar_ARSW_dX);
modelStruct.modelPar_BRSW=mod.BRSW;
modelStruct.d_modelPar_BRSW_dX=0.0;
modelStruct.modelPar_given_BRSW=mod.given("BRSW");
modParamMap["BRSW"] = &(modelStruct.d_modelPar_BRSW_dX);
modelStruct.modelPar_RDWMIN=mod.RDWMIN;
modelStruct.d_modelPar_RDWMIN_dX=0.0;
modelStruct.modelPar_given_RDWMIN=mod.given("RDWMIN");
modParamMap["RDWMIN"] = &(modelStruct.d_modelPar_RDWMIN_dX);
modelStruct.modelPar_ARDW=mod.ARDW;
modelStruct.d_modelPar_ARDW_dX=0.0;
modelStruct.modelPar_given_ARDW=mod.given("ARDW");
modParamMap["ARDW"] = &(modelStruct.d_modelPar_ARDW_dX);
modelStruct.modelPar_BRDW=mod.BRDW;
modelStruct.d_modelPar_BRDW_dX=0.0;
modelStruct.modelPar_given_BRDW=mod.given("BRDW");
modParamMap["BRDW"] = &(modelStruct.d_modelPar_BRDW_dX);
modelStruct.modelPar_RSDR=mod.RSDR;
modelStruct.d_modelPar_RSDR_dX=0.0;
modelStruct.modelPar_given_RSDR=mod.given("RSDR");
modParamMap["RSDR"] = &(modelStruct.d_modelPar_RSDR_dX);
modelStruct.modelPar_RSDRR=mod.RSDRR;
modelStruct.d_modelPar_RSDRR_dX=0.0;
modelStruct.modelPar_given_RSDRR=mod.given("RSDRR");
modParamMap["RSDRR"] = &(modelStruct.d_modelPar_RSDRR_dX);
modelStruct.modelPar_RDDR=mod.RDDR;
modelStruct.d_modelPar_RDDR_dX=0.0;
modelStruct.modelPar_given_RDDR=mod.given("RDDR");
modParamMap["RDDR"] = &(modelStruct.d_modelPar_RDDR_dX);
modelStruct.modelPar_RDDRR=mod.RDDRR;
modelStruct.d_modelPar_RDDRR_dX=0.0;
modelStruct.modelPar_given_RDDRR=mod.given("RDDRR");
modParamMap["RDDRR"] = &(modelStruct.d_modelPar_RDDRR_dX);
modelStruct.modelPar_PRSDR=mod.PRSDR;
modelStruct.d_modelPar_PRSDR_dX=0.0;
modelStruct.modelPar_given_PRSDR=mod.given("PRSDR");
modParamMap["PRSDR"] = &(modelStruct.d_modelPar_PRSDR_dX);
modelStruct.modelPar_PRDDR=mod.PRDDR;
modelStruct.d_modelPar_PRDDR_dX=0.0;
modelStruct.modelPar_given_PRDDR=mod.given("PRDDR");
modParamMap["PRDDR"] = &(modelStruct.d_modelPar_PRDDR_dX);
modelStruct.modelPar_TRSDR=mod.TRSDR;
modelStruct.d_modelPar_TRSDR_dX=0.0;
modelStruct.modelPar_given_TRSDR=mod.given("TRSDR");
modParamMap["TRSDR"] = &(modelStruct.d_modelPar_TRSDR_dX);
modelStruct.modelPar_TRDDR=mod.TRDDR;
modelStruct.d_modelPar_TRDDR_dX=0.0;
modelStruct.modelPar_given_TRDDR=mod.given("TRDDR");
modParamMap["TRDDR"] = &(modelStruct.d_modelPar_TRDDR_dX);
modelStruct.modelPar_RDSW=mod.RDSW;
modelStruct.d_modelPar_RDSW_dX=0.0;
modelStruct.modelPar_given_RDSW=mod.given("RDSW");
modParamMap["RDSW"] = &(modelStruct.d_modelPar_RDSW_dX);
modelStruct.modelPar_LRDSW=mod.LRDSW;
modelStruct.d_modelPar_LRDSW_dX=0.0;
modelStruct.modelPar_given_LRDSW=mod.given("LRDSW");
modParamMap["LRDSW"] = &(modelStruct.d_modelPar_LRDSW_dX);
modelStruct.modelPar_NRDSW=mod.NRDSW;
modelStruct.d_modelPar_NRDSW_dX=0.0;
modelStruct.modelPar_given_NRDSW=mod.given("NRDSW");
modParamMap["NRDSW"] = &(modelStruct.d_modelPar_NRDSW_dX);
modelStruct.modelPar_PRDSW=mod.PRDSW;
modelStruct.d_modelPar_PRDSW_dX=0.0;
modelStruct.modelPar_given_PRDSW=mod.given("PRDSW");
modParamMap["PRDSW"] = &(modelStruct.d_modelPar_PRDSW_dX);
modelStruct.modelPar_WRDSW=mod.WRDSW;
modelStruct.d_modelPar_WRDSW_dX=0.0;
modelStruct.modelPar_given_WRDSW=mod.given("WRDSW");
modParamMap["WRDSW"] = &(modelStruct.d_modelPar_WRDSW_dX);
modelStruct.modelPar_P2RDSW=mod.P2RDSW;
modelStruct.d_modelPar_P2RDSW_dX=0.0;
modelStruct.modelPar_given_P2RDSW=mod.given("P2RDSW");
modParamMap["P2RDSW"] = &(modelStruct.d_modelPar_P2RDSW_dX);
modelStruct.modelPar_RSW=mod.RSW;
modelStruct.d_modelPar_RSW_dX=0.0;
modelStruct.modelPar_given_RSW=mod.given("RSW");
modParamMap["RSW"] = &(modelStruct.d_modelPar_RSW_dX);
modelStruct.modelPar_LRSW=mod.LRSW;
modelStruct.d_modelPar_LRSW_dX=0.0;
modelStruct.modelPar_given_LRSW=mod.given("LRSW");
modParamMap["LRSW"] = &(modelStruct.d_modelPar_LRSW_dX);
modelStruct.modelPar_NRSW=mod.NRSW;
modelStruct.d_modelPar_NRSW_dX=0.0;
modelStruct.modelPar_given_NRSW=mod.given("NRSW");
modParamMap["NRSW"] = &(modelStruct.d_modelPar_NRSW_dX);
modelStruct.modelPar_PRSW=mod.PRSW;
modelStruct.d_modelPar_PRSW_dX=0.0;
modelStruct.modelPar_given_PRSW=mod.given("PRSW");
modParamMap["PRSW"] = &(modelStruct.d_modelPar_PRSW_dX);
modelStruct.modelPar_WRSW=mod.WRSW;
modelStruct.d_modelPar_WRSW_dX=0.0;
modelStruct.modelPar_given_WRSW=mod.given("WRSW");
modParamMap["WRSW"] = &(modelStruct.d_modelPar_WRSW_dX);
modelStruct.modelPar_P2RSW=mod.P2RSW;
modelStruct.d_modelPar_P2RSW_dX=0.0;
modelStruct.modelPar_given_P2RSW=mod.given("P2RSW");
modParamMap["P2RSW"] = &(modelStruct.d_modelPar_P2RSW_dX);
modelStruct.modelPar_RDW=mod.RDW;
modelStruct.d_modelPar_RDW_dX=0.0;
modelStruct.modelPar_given_RDW=mod.given("RDW");
modParamMap["RDW"] = &(modelStruct.d_modelPar_RDW_dX);
modelStruct.modelPar_LRDW=mod.LRDW;
modelStruct.d_modelPar_LRDW_dX=0.0;
modelStruct.modelPar_given_LRDW=mod.given("LRDW");
modParamMap["LRDW"] = &(modelStruct.d_modelPar_LRDW_dX);
modelStruct.modelPar_NRDW=mod.NRDW;
modelStruct.d_modelPar_NRDW_dX=0.0;
modelStruct.modelPar_given_NRDW=mod.given("NRDW");
modParamMap["NRDW"] = &(modelStruct.d_modelPar_NRDW_dX);
modelStruct.modelPar_PRDW=mod.PRDW;
modelStruct.d_modelPar_PRDW_dX=0.0;
modelStruct.modelPar_given_PRDW=mod.given("PRDW");
modParamMap["PRDW"] = &(modelStruct.d_modelPar_PRDW_dX);
modelStruct.modelPar_WRDW=mod.WRDW;
modelStruct.d_modelPar_WRDW_dX=0.0;
modelStruct.modelPar_given_WRDW=mod.given("WRDW");
modParamMap["WRDW"] = &(modelStruct.d_modelPar_WRDW_dX);
modelStruct.modelPar_P2RDW=mod.P2RDW;
modelStruct.d_modelPar_P2RDW_dX=0.0;
modelStruct.modelPar_given_P2RDW=mod.given("P2RDW");
modParamMap["P2RDW"] = &(modelStruct.d_modelPar_P2RDW_dX);
modelStruct.modelPar_PRWGS=mod.PRWGS;
modelStruct.d_modelPar_PRWGS_dX=0.0;
modelStruct.modelPar_given_PRWGS=mod.given("PRWGS");
modParamMap["PRWGS"] = &(modelStruct.d_modelPar_PRWGS_dX);
modelStruct.modelPar_LPRWGS=mod.LPRWGS;
modelStruct.d_modelPar_LPRWGS_dX=0.0;
modelStruct.modelPar_given_LPRWGS=mod.given("LPRWGS");
modParamMap["LPRWGS"] = &(modelStruct.d_modelPar_LPRWGS_dX);
modelStruct.modelPar_NPRWGS=mod.NPRWGS;
modelStruct.d_modelPar_NPRWGS_dX=0.0;
modelStruct.modelPar_given_NPRWGS=mod.given("NPRWGS");
modParamMap["NPRWGS"] = &(modelStruct.d_modelPar_NPRWGS_dX);
modelStruct.modelPar_PPRWGS=mod.PPRWGS;
modelStruct.d_modelPar_PPRWGS_dX=0.0;
modelStruct.modelPar_given_PPRWGS=mod.given("PPRWGS");
modParamMap["PPRWGS"] = &(modelStruct.d_modelPar_PPRWGS_dX);
modelStruct.modelPar_WPRWGS=mod.WPRWGS;
modelStruct.d_modelPar_WPRWGS_dX=0.0;
modelStruct.modelPar_given_WPRWGS=mod.given("WPRWGS");
modParamMap["WPRWGS"] = &(modelStruct.d_modelPar_WPRWGS_dX);
modelStruct.modelPar_P2PRWGS=mod.P2PRWGS;
modelStruct.d_modelPar_P2PRWGS_dX=0.0;
modelStruct.modelPar_given_P2PRWGS=mod.given("P2PRWGS");
modParamMap["P2PRWGS"] = &(modelStruct.d_modelPar_P2PRWGS_dX);
modelStruct.modelPar_PRWGD=mod.PRWGD;
modelStruct.d_modelPar_PRWGD_dX=0.0;
modelStruct.modelPar_given_PRWGD=mod.given("PRWGD");
modParamMap["PRWGD"] = &(modelStruct.d_modelPar_PRWGD_dX);
modelStruct.modelPar_LPRWGD=mod.LPRWGD;
modelStruct.d_modelPar_LPRWGD_dX=0.0;
modelStruct.modelPar_given_LPRWGD=mod.given("LPRWGD");
modParamMap["LPRWGD"] = &(modelStruct.d_modelPar_LPRWGD_dX);
modelStruct.modelPar_NPRWGD=mod.NPRWGD;
modelStruct.d_modelPar_NPRWGD_dX=0.0;
modelStruct.modelPar_given_NPRWGD=mod.given("NPRWGD");
modParamMap["NPRWGD"] = &(modelStruct.d_modelPar_NPRWGD_dX);
modelStruct.modelPar_PPRWGD=mod.PPRWGD;
modelStruct.d_modelPar_PPRWGD_dX=0.0;
modelStruct.modelPar_given_PPRWGD=mod.given("PPRWGD");
modParamMap["PPRWGD"] = &(modelStruct.d_modelPar_PPRWGD_dX);
modelStruct.modelPar_WPRWGD=mod.WPRWGD;
modelStruct.d_modelPar_WPRWGD_dX=0.0;
modelStruct.modelPar_given_WPRWGD=mod.given("WPRWGD");
modParamMap["WPRWGD"] = &(modelStruct.d_modelPar_WPRWGD_dX);
modelStruct.modelPar_P2PRWGD=mod.P2PRWGD;
modelStruct.d_modelPar_P2PRWGD_dX=0.0;
modelStruct.modelPar_given_P2PRWGD=mod.given("P2PRWGD");
modParamMap["P2PRWGD"] = &(modelStruct.d_modelPar_P2PRWGD_dX);
modelStruct.modelPar_WR=mod.WR;
modelStruct.d_modelPar_WR_dX=0.0;
modelStruct.modelPar_given_WR=mod.given("WR");
modParamMap["WR"] = &(modelStruct.d_modelPar_WR_dX);
modelStruct.modelPar_LWR=mod.LWR;
modelStruct.d_modelPar_LWR_dX=0.0;
modelStruct.modelPar_given_LWR=mod.given("LWR");
modParamMap["LWR"] = &(modelStruct.d_modelPar_LWR_dX);
modelStruct.modelPar_NWR=mod.NWR;
modelStruct.d_modelPar_NWR_dX=0.0;
modelStruct.modelPar_given_NWR=mod.given("NWR");
modParamMap["NWR"] = &(modelStruct.d_modelPar_NWR_dX);
modelStruct.modelPar_PWR=mod.PWR;
modelStruct.d_modelPar_PWR_dX=0.0;
modelStruct.modelPar_given_PWR=mod.given("PWR");
modParamMap["PWR"] = &(modelStruct.d_modelPar_PWR_dX);
modelStruct.modelPar_WWR=mod.WWR;
modelStruct.d_modelPar_WWR_dX=0.0;
modelStruct.modelPar_given_WWR=mod.given("WWR");
modParamMap["WWR"] = &(modelStruct.d_modelPar_WWR_dX);
modelStruct.modelPar_P2WR=mod.P2WR;
modelStruct.d_modelPar_P2WR_dX=0.0;
modelStruct.modelPar_given_P2WR=mod.given("P2WR");
modParamMap["P2WR"] = &(modelStruct.d_modelPar_P2WR_dX);
modelStruct.modelPar_PRT=mod.PRT;
modelStruct.d_modelPar_PRT_dX=0.0;
modelStruct.modelPar_given_PRT=mod.given("PRT");
modParamMap["PRT"] = &(modelStruct.d_modelPar_PRT_dX);
modelStruct.modelPar_LPRT=mod.LPRT;
modelStruct.d_modelPar_LPRT_dX=0.0;
modelStruct.modelPar_given_LPRT=mod.given("LPRT");
modParamMap["LPRT"] = &(modelStruct.d_modelPar_LPRT_dX);
modelStruct.modelPar_NPRT=mod.NPRT;
modelStruct.d_modelPar_NPRT_dX=0.0;
modelStruct.modelPar_given_NPRT=mod.given("NPRT");
modParamMap["NPRT"] = &(modelStruct.d_modelPar_NPRT_dX);
modelStruct.modelPar_PPRT=mod.PPRT;
modelStruct.d_modelPar_PPRT_dX=0.0;
modelStruct.modelPar_given_PPRT=mod.given("PPRT");
modParamMap["PPRT"] = &(modelStruct.d_modelPar_PPRT_dX);
modelStruct.modelPar_WPRT=mod.WPRT;
modelStruct.d_modelPar_WPRT_dX=0.0;
modelStruct.modelPar_given_WPRT=mod.given("WPRT");
modParamMap["WPRT"] = &(modelStruct.d_modelPar_WPRT_dX);
modelStruct.modelPar_P2PRT=mod.P2PRT;
modelStruct.d_modelPar_P2PRT_dX=0.0;
modelStruct.modelPar_given_P2PRT=mod.given("P2PRT");
modParamMap["P2PRT"] = &(modelStruct.d_modelPar_P2PRT_dX);
modelStruct.modelPar_PRT1=mod.PRT1;
modelStruct.d_modelPar_PRT1_dX=0.0;
modelStruct.modelPar_given_PRT1=mod.given("PRT1");
modParamMap["PRT1"] = &(modelStruct.d_modelPar_PRT1_dX);
modelStruct.modelPar_LPRT1=mod.LPRT1;
modelStruct.d_modelPar_LPRT1_dX=0.0;
modelStruct.modelPar_given_LPRT1=mod.given("LPRT1");
modParamMap["LPRT1"] = &(modelStruct.d_modelPar_LPRT1_dX);
modelStruct.modelPar_NPRT1=mod.NPRT1;
modelStruct.d_modelPar_NPRT1_dX=0.0;
modelStruct.modelPar_given_NPRT1=mod.given("NPRT1");
modParamMap["NPRT1"] = &(modelStruct.d_modelPar_NPRT1_dX);
modelStruct.modelPar_PPRT1=mod.PPRT1;
modelStruct.d_modelPar_PPRT1_dX=0.0;
modelStruct.modelPar_given_PPRT1=mod.given("PPRT1");
modParamMap["PPRT1"] = &(modelStruct.d_modelPar_PPRT1_dX);
modelStruct.modelPar_WPRT1=mod.WPRT1;
modelStruct.d_modelPar_WPRT1_dX=0.0;
modelStruct.modelPar_given_WPRT1=mod.given("WPRT1");
modParamMap["WPRT1"] = &(modelStruct.d_modelPar_WPRT1_dX);
modelStruct.modelPar_P2PRT1=mod.P2PRT1;
modelStruct.d_modelPar_P2PRT1_dX=0.0;
modelStruct.modelPar_given_P2PRT1=mod.given("P2PRT1");
modParamMap["P2PRT1"] = &(modelStruct.d_modelPar_P2PRT1_dX);
modelStruct.modelPar_TR0=mod.TR0;
modelStruct.d_modelPar_TR0_dX=0.0;
modelStruct.modelPar_given_TR0=mod.given("TR0");
modParamMap["TR0"] = &(modelStruct.d_modelPar_TR0_dX);
modelStruct.modelPar_LTR0=mod.LTR0;
modelStruct.d_modelPar_LTR0_dX=0.0;
modelStruct.modelPar_given_LTR0=mod.given("LTR0");
modParamMap["LTR0"] = &(modelStruct.d_modelPar_LTR0_dX);
modelStruct.modelPar_NTR0=mod.NTR0;
modelStruct.d_modelPar_NTR0_dX=0.0;
modelStruct.modelPar_given_NTR0=mod.given("NTR0");
modParamMap["NTR0"] = &(modelStruct.d_modelPar_NTR0_dX);
modelStruct.modelPar_PTR0=mod.PTR0;
modelStruct.d_modelPar_PTR0_dX=0.0;
modelStruct.modelPar_given_PTR0=mod.given("PTR0");
modParamMap["PTR0"] = &(modelStruct.d_modelPar_PTR0_dX);
modelStruct.modelPar_WTR0=mod.WTR0;
modelStruct.d_modelPar_WTR0_dX=0.0;
modelStruct.modelPar_given_WTR0=mod.given("WTR0");
modParamMap["WTR0"] = &(modelStruct.d_modelPar_WTR0_dX);
modelStruct.modelPar_P2TR0=mod.P2TR0;
modelStruct.d_modelPar_P2TR0_dX=0.0;
modelStruct.modelPar_given_P2TR0=mod.given("P2TR0");
modParamMap["P2TR0"] = &(modelStruct.d_modelPar_P2TR0_dX);
modelStruct.modelPar_SPRT=mod.SPRT;
modelStruct.d_modelPar_SPRT_dX=0.0;
modelStruct.modelPar_given_SPRT=mod.given("SPRT");
modParamMap["SPRT"] = &(modelStruct.d_modelPar_SPRT_dX);
modelStruct.modelPar_LSPRT=mod.LSPRT;
modelStruct.d_modelPar_LSPRT_dX=0.0;
modelStruct.modelPar_given_LSPRT=mod.given("LSPRT");
modParamMap["LSPRT"] = &(modelStruct.d_modelPar_LSPRT_dX);
modelStruct.modelPar_NSPRT=mod.NSPRT;
modelStruct.d_modelPar_NSPRT_dX=0.0;
modelStruct.modelPar_given_NSPRT=mod.given("NSPRT");
modParamMap["NSPRT"] = &(modelStruct.d_modelPar_NSPRT_dX);
modelStruct.modelPar_PSPRT=mod.PSPRT;
modelStruct.d_modelPar_PSPRT_dX=0.0;
modelStruct.modelPar_given_PSPRT=mod.given("PSPRT");
modParamMap["PSPRT"] = &(modelStruct.d_modelPar_PSPRT_dX);
modelStruct.modelPar_WSPRT=mod.WSPRT;
modelStruct.d_modelPar_WSPRT_dX=0.0;
modelStruct.modelPar_given_WSPRT=mod.given("WSPRT");
modParamMap["WSPRT"] = &(modelStruct.d_modelPar_WSPRT_dX);
modelStruct.modelPar_P2SPRT=mod.P2SPRT;
modelStruct.d_modelPar_P2SPRT_dX=0.0;
modelStruct.modelPar_given_P2SPRT=mod.given("P2SPRT");
modParamMap["P2SPRT"] = &(modelStruct.d_modelPar_P2SPRT_dX);
modelStruct.modelPar_PDIBL1=mod.PDIBL1;
modelStruct.d_modelPar_PDIBL1_dX=0.0;
modelStruct.modelPar_given_PDIBL1=mod.given("PDIBL1");
modParamMap["PDIBL1"] = &(modelStruct.d_modelPar_PDIBL1_dX);
modelStruct.modelPar_LPDIBL1=mod.LPDIBL1;
modelStruct.d_modelPar_LPDIBL1_dX=0.0;
modelStruct.modelPar_given_LPDIBL1=mod.given("LPDIBL1");
modParamMap["LPDIBL1"] = &(modelStruct.d_modelPar_LPDIBL1_dX);
modelStruct.modelPar_NPDIBL1=mod.NPDIBL1;
modelStruct.d_modelPar_NPDIBL1_dX=0.0;
modelStruct.modelPar_given_NPDIBL1=mod.given("NPDIBL1");
modParamMap["NPDIBL1"] = &(modelStruct.d_modelPar_NPDIBL1_dX);
modelStruct.modelPar_PPDIBL1=mod.PPDIBL1;
modelStruct.d_modelPar_PPDIBL1_dX=0.0;
modelStruct.modelPar_given_PPDIBL1=mod.given("PPDIBL1");
modParamMap["PPDIBL1"] = &(modelStruct.d_modelPar_PPDIBL1_dX);
modelStruct.modelPar_WPDIBL1=mod.WPDIBL1;
modelStruct.d_modelPar_WPDIBL1_dX=0.0;
modelStruct.modelPar_given_WPDIBL1=mod.given("WPDIBL1");
modParamMap["WPDIBL1"] = &(modelStruct.d_modelPar_WPDIBL1_dX);
modelStruct.modelPar_P2PDIBL1=mod.P2PDIBL1;
modelStruct.d_modelPar_P2PDIBL1_dX=0.0;
modelStruct.modelPar_given_P2PDIBL1=mod.given("P2PDIBL1");
modParamMap["P2PDIBL1"] = &(modelStruct.d_modelPar_P2PDIBL1_dX);
modelStruct.modelPar_PDIBL2=mod.PDIBL2;
modelStruct.d_modelPar_PDIBL2_dX=0.0;
modelStruct.modelPar_given_PDIBL2=mod.given("PDIBL2");
modParamMap["PDIBL2"] = &(modelStruct.d_modelPar_PDIBL2_dX);
modelStruct.modelPar_LPDIBL2=mod.LPDIBL2;
modelStruct.d_modelPar_LPDIBL2_dX=0.0;
modelStruct.modelPar_given_LPDIBL2=mod.given("LPDIBL2");
modParamMap["LPDIBL2"] = &(modelStruct.d_modelPar_LPDIBL2_dX);
modelStruct.modelPar_NPDIBL2=mod.NPDIBL2;
modelStruct.d_modelPar_NPDIBL2_dX=0.0;
modelStruct.modelPar_given_NPDIBL2=mod.given("NPDIBL2");
modParamMap["NPDIBL2"] = &(modelStruct.d_modelPar_NPDIBL2_dX);
modelStruct.modelPar_PPDIBL2=mod.PPDIBL2;
modelStruct.d_modelPar_PPDIBL2_dX=0.0;
modelStruct.modelPar_given_PPDIBL2=mod.given("PPDIBL2");
modParamMap["PPDIBL2"] = &(modelStruct.d_modelPar_PPDIBL2_dX);
modelStruct.modelPar_WPDIBL2=mod.WPDIBL2;
modelStruct.d_modelPar_WPDIBL2_dX=0.0;
modelStruct.modelPar_given_WPDIBL2=mod.given("WPDIBL2");
modParamMap["WPDIBL2"] = &(modelStruct.d_modelPar_WPDIBL2_dX);
modelStruct.modelPar_P2PDIBL2=mod.P2PDIBL2;
modelStruct.d_modelPar_P2PDIBL2_dX=0.0;
modelStruct.modelPar_given_P2PDIBL2=mod.given("P2PDIBL2");
modParamMap["P2PDIBL2"] = &(modelStruct.d_modelPar_P2PDIBL2_dX);
modelStruct.modelPar_PDIBL1R=mod.PDIBL1R;
modelStruct.d_modelPar_PDIBL1R_dX=0.0;
modelStruct.modelPar_given_PDIBL1R=mod.given("PDIBL1R");
modParamMap["PDIBL1R"] = &(modelStruct.d_modelPar_PDIBL1R_dX);
modelStruct.modelPar_LPDIBL1R=mod.LPDIBL1R;
modelStruct.d_modelPar_LPDIBL1R_dX=0.0;
modelStruct.modelPar_given_LPDIBL1R=mod.given("LPDIBL1R");
modParamMap["LPDIBL1R"] = &(modelStruct.d_modelPar_LPDIBL1R_dX);
modelStruct.modelPar_NPDIBL1R=mod.NPDIBL1R;
modelStruct.d_modelPar_NPDIBL1R_dX=0.0;
modelStruct.modelPar_given_NPDIBL1R=mod.given("NPDIBL1R");
modParamMap["NPDIBL1R"] = &(modelStruct.d_modelPar_NPDIBL1R_dX);
modelStruct.modelPar_PPDIBL1R=mod.PPDIBL1R;
modelStruct.d_modelPar_PPDIBL1R_dX=0.0;
modelStruct.modelPar_given_PPDIBL1R=mod.given("PPDIBL1R");
modParamMap["PPDIBL1R"] = &(modelStruct.d_modelPar_PPDIBL1R_dX);
modelStruct.modelPar_WPDIBL1R=mod.WPDIBL1R;
modelStruct.d_modelPar_WPDIBL1R_dX=0.0;
modelStruct.modelPar_given_WPDIBL1R=mod.given("WPDIBL1R");
modParamMap["WPDIBL1R"] = &(modelStruct.d_modelPar_WPDIBL1R_dX);
modelStruct.modelPar_P2PDIBL1R=mod.P2PDIBL1R;
modelStruct.d_modelPar_P2PDIBL1R_dX=0.0;
modelStruct.modelPar_given_P2PDIBL1R=mod.given("P2PDIBL1R");
modParamMap["P2PDIBL1R"] = &(modelStruct.d_modelPar_P2PDIBL1R_dX);
modelStruct.modelPar_PDIBL2R=mod.PDIBL2R;
modelStruct.d_modelPar_PDIBL2R_dX=0.0;
modelStruct.modelPar_given_PDIBL2R=mod.given("PDIBL2R");
modParamMap["PDIBL2R"] = &(modelStruct.d_modelPar_PDIBL2R_dX);
modelStruct.modelPar_LPDIBL2R=mod.LPDIBL2R;
modelStruct.d_modelPar_LPDIBL2R_dX=0.0;
modelStruct.modelPar_given_LPDIBL2R=mod.given("LPDIBL2R");
modParamMap["LPDIBL2R"] = &(modelStruct.d_modelPar_LPDIBL2R_dX);
modelStruct.modelPar_NPDIBL2R=mod.NPDIBL2R;
modelStruct.d_modelPar_NPDIBL2R_dX=0.0;
modelStruct.modelPar_given_NPDIBL2R=mod.given("NPDIBL2R");
modParamMap["NPDIBL2R"] = &(modelStruct.d_modelPar_NPDIBL2R_dX);
modelStruct.modelPar_PPDIBL2R=mod.PPDIBL2R;
modelStruct.d_modelPar_PPDIBL2R_dX=0.0;
modelStruct.modelPar_given_PPDIBL2R=mod.given("PPDIBL2R");
modParamMap["PPDIBL2R"] = &(modelStruct.d_modelPar_PPDIBL2R_dX);
modelStruct.modelPar_WPDIBL2R=mod.WPDIBL2R;
modelStruct.d_modelPar_WPDIBL2R_dX=0.0;
modelStruct.modelPar_given_WPDIBL2R=mod.given("WPDIBL2R");
modParamMap["WPDIBL2R"] = &(modelStruct.d_modelPar_WPDIBL2R_dX);
modelStruct.modelPar_P2PDIBL2R=mod.P2PDIBL2R;
modelStruct.d_modelPar_P2PDIBL2R_dX=0.0;
modelStruct.modelPar_given_P2PDIBL2R=mod.given("P2PDIBL2R");
modParamMap["P2PDIBL2R"] = &(modelStruct.d_modelPar_P2PDIBL2R_dX);
modelStruct.modelPar_DROUT=mod.DROUT;
modelStruct.d_modelPar_DROUT_dX=0.0;
modelStruct.modelPar_given_DROUT=mod.given("DROUT");
modParamMap["DROUT"] = &(modelStruct.d_modelPar_DROUT_dX);
modelStruct.modelPar_LDROUT=mod.LDROUT;
modelStruct.d_modelPar_LDROUT_dX=0.0;
modelStruct.modelPar_given_LDROUT=mod.given("LDROUT");
modParamMap["LDROUT"] = &(modelStruct.d_modelPar_LDROUT_dX);
modelStruct.modelPar_NDROUT=mod.NDROUT;
modelStruct.d_modelPar_NDROUT_dX=0.0;
modelStruct.modelPar_given_NDROUT=mod.given("NDROUT");
modParamMap["NDROUT"] = &(modelStruct.d_modelPar_NDROUT_dX);
modelStruct.modelPar_PDROUT=mod.PDROUT;
modelStruct.d_modelPar_PDROUT_dX=0.0;
modelStruct.modelPar_given_PDROUT=mod.given("PDROUT");
modParamMap["PDROUT"] = &(modelStruct.d_modelPar_PDROUT_dX);
modelStruct.modelPar_WDROUT=mod.WDROUT;
modelStruct.d_modelPar_WDROUT_dX=0.0;
modelStruct.modelPar_given_WDROUT=mod.given("WDROUT");
modParamMap["WDROUT"] = &(modelStruct.d_modelPar_WDROUT_dX);
modelStruct.modelPar_P2DROUT=mod.P2DROUT;
modelStruct.d_modelPar_P2DROUT_dX=0.0;
modelStruct.modelPar_given_P2DROUT=mod.given("P2DROUT");
modParamMap["P2DROUT"] = &(modelStruct.d_modelPar_P2DROUT_dX);
modelStruct.modelPar_PVAG=mod.PVAG;
modelStruct.d_modelPar_PVAG_dX=0.0;
modelStruct.modelPar_given_PVAG=mod.given("PVAG");
modParamMap["PVAG"] = &(modelStruct.d_modelPar_PVAG_dX);
modelStruct.modelPar_LPVAG=mod.LPVAG;
modelStruct.d_modelPar_LPVAG_dX=0.0;
modelStruct.modelPar_given_LPVAG=mod.given("LPVAG");
modParamMap["LPVAG"] = &(modelStruct.d_modelPar_LPVAG_dX);
modelStruct.modelPar_NPVAG=mod.NPVAG;
modelStruct.d_modelPar_NPVAG_dX=0.0;
modelStruct.modelPar_given_NPVAG=mod.given("NPVAG");
modParamMap["NPVAG"] = &(modelStruct.d_modelPar_NPVAG_dX);
modelStruct.modelPar_PPVAG=mod.PPVAG;
modelStruct.d_modelPar_PPVAG_dX=0.0;
modelStruct.modelPar_given_PPVAG=mod.given("PPVAG");
modParamMap["PPVAG"] = &(modelStruct.d_modelPar_PPVAG_dX);
modelStruct.modelPar_WPVAG=mod.WPVAG;
modelStruct.d_modelPar_WPVAG_dX=0.0;
modelStruct.modelPar_given_WPVAG=mod.given("WPVAG");
modParamMap["WPVAG"] = &(modelStruct.d_modelPar_WPVAG_dX);
modelStruct.modelPar_P2PVAG=mod.P2PVAG;
modelStruct.d_modelPar_P2PVAG_dX=0.0;
modelStruct.modelPar_given_P2PVAG=mod.given("P2PVAG");
modParamMap["P2PVAG"] = &(modelStruct.d_modelPar_P2PVAG_dX);
modelStruct.modelPar_APCLM=mod.APCLM;
modelStruct.d_modelPar_APCLM_dX=0.0;
modelStruct.modelPar_given_APCLM=mod.given("APCLM");
modParamMap["APCLM"] = &(modelStruct.d_modelPar_APCLM_dX);
modelStruct.modelPar_APCLMR=mod.APCLMR;
modelStruct.d_modelPar_APCLMR_dX=0.0;
modelStruct.modelPar_given_APCLMR=mod.given("APCLMR");
modParamMap["APCLMR"] = &(modelStruct.d_modelPar_APCLMR_dX);
modelStruct.modelPar_BPCLM=mod.BPCLM;
modelStruct.d_modelPar_BPCLM_dX=0.0;
modelStruct.modelPar_given_BPCLM=mod.given("BPCLM");
modParamMap["BPCLM"] = &(modelStruct.d_modelPar_BPCLM_dX);
modelStruct.modelPar_BPCLMR=mod.BPCLMR;
modelStruct.d_modelPar_BPCLMR_dX=0.0;
modelStruct.modelPar_given_BPCLMR=mod.given("BPCLMR");
modParamMap["BPCLMR"] = &(modelStruct.d_modelPar_BPCLMR_dX);
modelStruct.modelPar_PCLM=mod.PCLM;
modelStruct.d_modelPar_PCLM_dX=0.0;
modelStruct.modelPar_given_PCLM=mod.given("PCLM");
modParamMap["PCLM"] = &(modelStruct.d_modelPar_PCLM_dX);
modelStruct.modelPar_PCLMT=mod.PCLMT;
modelStruct.d_modelPar_PCLMT_dX=0.0;
modelStruct.modelPar_given_PCLMT=mod.given("PCLMT");
modParamMap["PCLMT"] = &(modelStruct.d_modelPar_PCLMT_dX);
modelStruct.modelPar_LPCLM=mod.LPCLM;
modelStruct.d_modelPar_LPCLM_dX=0.0;
modelStruct.modelPar_given_LPCLM=mod.given("LPCLM");
modParamMap["LPCLM"] = &(modelStruct.d_modelPar_LPCLM_dX);
modelStruct.modelPar_NPCLM=mod.NPCLM;
modelStruct.d_modelPar_NPCLM_dX=0.0;
modelStruct.modelPar_given_NPCLM=mod.given("NPCLM");
modParamMap["NPCLM"] = &(modelStruct.d_modelPar_NPCLM_dX);
modelStruct.modelPar_PPCLM=mod.PPCLM;
modelStruct.d_modelPar_PPCLM_dX=0.0;
modelStruct.modelPar_given_PPCLM=mod.given("PPCLM");
modParamMap["PPCLM"] = &(modelStruct.d_modelPar_PPCLM_dX);
modelStruct.modelPar_WPCLM=mod.WPCLM;
modelStruct.d_modelPar_WPCLM_dX=0.0;
modelStruct.modelPar_given_WPCLM=mod.given("WPCLM");
modParamMap["WPCLM"] = &(modelStruct.d_modelPar_WPCLM_dX);
modelStruct.modelPar_P2PCLM=mod.P2PCLM;
modelStruct.d_modelPar_P2PCLM_dX=0.0;
modelStruct.modelPar_given_P2PCLM=mod.given("P2PCLM");
modParamMap["P2PCLM"] = &(modelStruct.d_modelPar_P2PCLM_dX);
modelStruct.modelPar_PCLMR=mod.PCLMR;
modelStruct.d_modelPar_PCLMR_dX=0.0;
modelStruct.modelPar_given_PCLMR=mod.given("PCLMR");
modParamMap["PCLMR"] = &(modelStruct.d_modelPar_PCLMR_dX);
modelStruct.modelPar_LPCLMR=mod.LPCLMR;
modelStruct.d_modelPar_LPCLMR_dX=0.0;
modelStruct.modelPar_given_LPCLMR=mod.given("LPCLMR");
modParamMap["LPCLMR"] = &(modelStruct.d_modelPar_LPCLMR_dX);
modelStruct.modelPar_NPCLMR=mod.NPCLMR;
modelStruct.d_modelPar_NPCLMR_dX=0.0;
modelStruct.modelPar_given_NPCLMR=mod.given("NPCLMR");
modParamMap["NPCLMR"] = &(modelStruct.d_modelPar_NPCLMR_dX);
modelStruct.modelPar_PPCLMR=mod.PPCLMR;
modelStruct.d_modelPar_PPCLMR_dX=0.0;
modelStruct.modelPar_given_PPCLMR=mod.given("PPCLMR");
modParamMap["PPCLMR"] = &(modelStruct.d_modelPar_PPCLMR_dX);
modelStruct.modelPar_WPCLMR=mod.WPCLMR;
modelStruct.d_modelPar_WPCLMR_dX=0.0;
modelStruct.modelPar_given_WPCLMR=mod.given("WPCLMR");
modParamMap["WPCLMR"] = &(modelStruct.d_modelPar_WPCLMR_dX);
modelStruct.modelPar_P2PCLMR=mod.P2PCLMR;
modelStruct.d_modelPar_P2PCLMR_dX=0.0;
modelStruct.modelPar_given_P2PCLMR=mod.given("P2PCLMR");
modParamMap["P2PCLMR"] = &(modelStruct.d_modelPar_P2PCLMR_dX);
modelStruct.modelPar_PCLMG=mod.PCLMG;
modelStruct.d_modelPar_PCLMG_dX=0.0;
modelStruct.modelPar_given_PCLMG=mod.given("PCLMG");
modParamMap["PCLMG"] = &(modelStruct.d_modelPar_PCLMG_dX);
modelStruct.modelPar_LPCLMG=mod.LPCLMG;
modelStruct.d_modelPar_LPCLMG_dX=0.0;
modelStruct.modelPar_given_LPCLMG=mod.given("LPCLMG");
modParamMap["LPCLMG"] = &(modelStruct.d_modelPar_LPCLMG_dX);
modelStruct.modelPar_NPCLMG=mod.NPCLMG;
modelStruct.d_modelPar_NPCLMG_dX=0.0;
modelStruct.modelPar_given_NPCLMG=mod.given("NPCLMG");
modParamMap["NPCLMG"] = &(modelStruct.d_modelPar_NPCLMG_dX);
modelStruct.modelPar_PPCLMG=mod.PPCLMG;
modelStruct.d_modelPar_PPCLMG_dX=0.0;
modelStruct.modelPar_given_PPCLMG=mod.given("PPCLMG");
modParamMap["PPCLMG"] = &(modelStruct.d_modelPar_PPCLMG_dX);
modelStruct.modelPar_WPCLMG=mod.WPCLMG;
modelStruct.d_modelPar_WPCLMG_dX=0.0;
modelStruct.modelPar_given_WPCLMG=mod.given("WPCLMG");
modParamMap["WPCLMG"] = &(modelStruct.d_modelPar_WPCLMG_dX);
modelStruct.modelPar_P2PCLMG=mod.P2PCLMG;
modelStruct.d_modelPar_P2PCLMG_dX=0.0;
modelStruct.modelPar_given_P2PCLMG=mod.given("P2PCLMG");
modParamMap["P2PCLMG"] = &(modelStruct.d_modelPar_P2PCLMG_dX);
modelStruct.modelPar_PCLMCV=mod.PCLMCV;
modelStruct.d_modelPar_PCLMCV_dX=0.0;
modelStruct.modelPar_given_PCLMCV=mod.given("PCLMCV");
modParamMap["PCLMCV"] = &(modelStruct.d_modelPar_PCLMCV_dX);
modelStruct.modelPar_LPCLMCV=mod.LPCLMCV;
modelStruct.d_modelPar_LPCLMCV_dX=0.0;
modelStruct.modelPar_given_LPCLMCV=mod.given("LPCLMCV");
modParamMap["LPCLMCV"] = &(modelStruct.d_modelPar_LPCLMCV_dX);
modelStruct.modelPar_NPCLMCV=mod.NPCLMCV;
modelStruct.d_modelPar_NPCLMCV_dX=0.0;
modelStruct.modelPar_given_NPCLMCV=mod.given("NPCLMCV");
modParamMap["NPCLMCV"] = &(modelStruct.d_modelPar_NPCLMCV_dX);
modelStruct.modelPar_PPCLMCV=mod.PPCLMCV;
modelStruct.d_modelPar_PPCLMCV_dX=0.0;
modelStruct.modelPar_given_PPCLMCV=mod.given("PPCLMCV");
modParamMap["PPCLMCV"] = &(modelStruct.d_modelPar_PPCLMCV_dX);
modelStruct.modelPar_WPCLMCV=mod.WPCLMCV;
modelStruct.d_modelPar_WPCLMCV_dX=0.0;
modelStruct.modelPar_given_WPCLMCV=mod.given("WPCLMCV");
modParamMap["WPCLMCV"] = &(modelStruct.d_modelPar_WPCLMCV_dX);
modelStruct.modelPar_P2PCLMCV=mod.P2PCLMCV;
modelStruct.d_modelPar_P2PCLMCV_dX=0.0;
modelStruct.modelPar_given_P2PCLMCV=mod.given("P2PCLMCV");
modParamMap["P2PCLMCV"] = &(modelStruct.d_modelPar_P2PCLMCV_dX);
modelStruct.modelPar_A1=mod.A1;
modelStruct.d_modelPar_A1_dX=0.0;
modelStruct.modelPar_given_A1=mod.given("A1");
modParamMap["A1"] = &(modelStruct.d_modelPar_A1_dX);
modelStruct.modelPar_LA1=mod.LA1;
modelStruct.d_modelPar_LA1_dX=0.0;
modelStruct.modelPar_given_LA1=mod.given("LA1");
modParamMap["LA1"] = &(modelStruct.d_modelPar_LA1_dX);
modelStruct.modelPar_NA1=mod.NA1;
modelStruct.d_modelPar_NA1_dX=0.0;
modelStruct.modelPar_given_NA1=mod.given("NA1");
modParamMap["NA1"] = &(modelStruct.d_modelPar_NA1_dX);
modelStruct.modelPar_PA1=mod.PA1;
modelStruct.d_modelPar_PA1_dX=0.0;
modelStruct.modelPar_given_PA1=mod.given("PA1");
modParamMap["PA1"] = &(modelStruct.d_modelPar_PA1_dX);
modelStruct.modelPar_WA1=mod.WA1;
modelStruct.d_modelPar_WA1_dX=0.0;
modelStruct.modelPar_given_WA1=mod.given("WA1");
modParamMap["WA1"] = &(modelStruct.d_modelPar_WA1_dX);
modelStruct.modelPar_P2A1=mod.P2A1;
modelStruct.d_modelPar_P2A1_dX=0.0;
modelStruct.modelPar_given_P2A1=mod.given("P2A1");
modParamMap["P2A1"] = &(modelStruct.d_modelPar_P2A1_dX);
modelStruct.modelPar_A11=mod.A11;
modelStruct.d_modelPar_A11_dX=0.0;
modelStruct.modelPar_given_A11=mod.given("A11");
modParamMap["A11"] = &(modelStruct.d_modelPar_A11_dX);
modelStruct.modelPar_LA11=mod.LA11;
modelStruct.d_modelPar_LA11_dX=0.0;
modelStruct.modelPar_given_LA11=mod.given("LA11");
modParamMap["LA11"] = &(modelStruct.d_modelPar_LA11_dX);
modelStruct.modelPar_NA11=mod.NA11;
modelStruct.d_modelPar_NA11_dX=0.0;
modelStruct.modelPar_given_NA11=mod.given("NA11");
modParamMap["NA11"] = &(modelStruct.d_modelPar_NA11_dX);
modelStruct.modelPar_PA11=mod.PA11;
modelStruct.d_modelPar_PA11_dX=0.0;
modelStruct.modelPar_given_PA11=mod.given("PA11");
modParamMap["PA11"] = &(modelStruct.d_modelPar_PA11_dX);
modelStruct.modelPar_WA11=mod.WA11;
modelStruct.d_modelPar_WA11_dX=0.0;
modelStruct.modelPar_given_WA11=mod.given("WA11");
modParamMap["WA11"] = &(modelStruct.d_modelPar_WA11_dX);
modelStruct.modelPar_P2A11=mod.P2A11;
modelStruct.d_modelPar_P2A11_dX=0.0;
modelStruct.modelPar_given_P2A11=mod.given("P2A11");
modParamMap["P2A11"] = &(modelStruct.d_modelPar_P2A11_dX);
modelStruct.modelPar_A2=mod.A2;
modelStruct.d_modelPar_A2_dX=0.0;
modelStruct.modelPar_given_A2=mod.given("A2");
modParamMap["A2"] = &(modelStruct.d_modelPar_A2_dX);
modelStruct.modelPar_LA2=mod.LA2;
modelStruct.d_modelPar_LA2_dX=0.0;
modelStruct.modelPar_given_LA2=mod.given("LA2");
modParamMap["LA2"] = &(modelStruct.d_modelPar_LA2_dX);
modelStruct.modelPar_NA2=mod.NA2;
modelStruct.d_modelPar_NA2_dX=0.0;
modelStruct.modelPar_given_NA2=mod.given("NA2");
modParamMap["NA2"] = &(modelStruct.d_modelPar_NA2_dX);
modelStruct.modelPar_PA2=mod.PA2;
modelStruct.d_modelPar_PA2_dX=0.0;
modelStruct.modelPar_given_PA2=mod.given("PA2");
modParamMap["PA2"] = &(modelStruct.d_modelPar_PA2_dX);
modelStruct.modelPar_WA2=mod.WA2;
modelStruct.d_modelPar_WA2_dX=0.0;
modelStruct.modelPar_given_WA2=mod.given("WA2");
modParamMap["WA2"] = &(modelStruct.d_modelPar_WA2_dX);
modelStruct.modelPar_P2A2=mod.P2A2;
modelStruct.d_modelPar_P2A2_dX=0.0;
modelStruct.modelPar_given_P2A2=mod.given("P2A2");
modParamMap["P2A2"] = &(modelStruct.d_modelPar_P2A2_dX);
modelStruct.modelPar_A21=mod.A21;
modelStruct.d_modelPar_A21_dX=0.0;
modelStruct.modelPar_given_A21=mod.given("A21");
modParamMap["A21"] = &(modelStruct.d_modelPar_A21_dX);
modelStruct.modelPar_LA21=mod.LA21;
modelStruct.d_modelPar_LA21_dX=0.0;
modelStruct.modelPar_given_LA21=mod.given("LA21");
modParamMap["LA21"] = &(modelStruct.d_modelPar_LA21_dX);
modelStruct.modelPar_NA21=mod.NA21;
modelStruct.d_modelPar_NA21_dX=0.0;
modelStruct.modelPar_given_NA21=mod.given("NA21");
modParamMap["NA21"] = &(modelStruct.d_modelPar_NA21_dX);
modelStruct.modelPar_PA21=mod.PA21;
modelStruct.d_modelPar_PA21_dX=0.0;
modelStruct.modelPar_given_PA21=mod.given("PA21");
modParamMap["PA21"] = &(modelStruct.d_modelPar_PA21_dX);
modelStruct.modelPar_WA21=mod.WA21;
modelStruct.d_modelPar_WA21_dX=0.0;
modelStruct.modelPar_given_WA21=mod.given("WA21");
modParamMap["WA21"] = &(modelStruct.d_modelPar_WA21_dX);
modelStruct.modelPar_P2A21=mod.P2A21;
modelStruct.d_modelPar_P2A21_dX=0.0;
modelStruct.modelPar_given_P2A21=mod.given("P2A21");
modParamMap["P2A21"] = &(modelStruct.d_modelPar_P2A21_dX);
modelStruct.modelPar_RGEXT=mod.RGEXT;
modelStruct.d_modelPar_RGEXT_dX=0.0;
modelStruct.modelPar_given_RGEXT=mod.given("RGEXT");
modParamMap["RGEXT"] = &(modelStruct.d_modelPar_RGEXT_dX);
modelStruct.modelPar_RGFIN=mod.RGFIN;
modelStruct.d_modelPar_RGFIN_dX=0.0;
modelStruct.modelPar_given_RGFIN=mod.given("RGFIN");
modParamMap["RGFIN"] = &(modelStruct.d_modelPar_RGFIN_dX);
modelStruct.modelPar_RSHS=mod.RSHS;
modelStruct.d_modelPar_RSHS_dX=0.0;
modelStruct.modelPar_given_RSHS=mod.given("RSHS");
modParamMap["RSHS"] = &(modelStruct.d_modelPar_RSHS_dX);
modelStruct.modelPar_RSHD=mod.RSHD;
modelStruct.d_modelPar_RSHD_dX=0.0;
modelStruct.modelPar_given_RSHD=mod.given("RSHD");
modParamMap["RSHD"] = &(modelStruct.d_modelPar_RSHD_dX);
modelStruct.modelPar_HEPI=mod.HEPI;
modelStruct.d_modelPar_HEPI_dX=0.0;
modelStruct.modelPar_given_HEPI=mod.given("HEPI");
modParamMap["HEPI"] = &(modelStruct.d_modelPar_HEPI_dX);
modelStruct.modelPar_TSILI=mod.TSILI;
modelStruct.d_modelPar_TSILI_dX=0.0;
modelStruct.modelPar_given_TSILI=mod.given("TSILI");
modParamMap["TSILI"] = &(modelStruct.d_modelPar_TSILI_dX);
modelStruct.modelPar_RHOC=mod.RHOC;
modelStruct.d_modelPar_RHOC_dX=0.0;
modelStruct.modelPar_given_RHOC=mod.given("RHOC");
modParamMap["RHOC"] = &(modelStruct.d_modelPar_RHOC_dX);
modelStruct.modelPar_RHORSD=mod.RHORSD;
modelStruct.d_modelPar_RHORSD_dX=0.0;
modelStruct.modelPar_given_RHORSD=mod.given("RHORSD");
modParamMap["RHORSD"] = &(modelStruct.d_modelPar_RHORSD_dX);
modelStruct.modelPar_CRATIO=mod.CRATIO;
modelStruct.d_modelPar_CRATIO_dX=0.0;
modelStruct.modelPar_given_CRATIO=mod.given("CRATIO");
modParamMap["CRATIO"] = &(modelStruct.d_modelPar_CRATIO_dX);
modelStruct.modelPar_DELTAPRSD=mod.DELTAPRSD;
modelStruct.d_modelPar_DELTAPRSD_dX=0.0;
modelStruct.modelPar_given_DELTAPRSD=mod.given("DELTAPRSD");
modParamMap["DELTAPRSD"] = &(modelStruct.d_modelPar_DELTAPRSD_dX);
modelStruct.modelPar_LSP=mod.LSP;
modelStruct.d_modelPar_LSP_dX=0.0;
modelStruct.modelPar_given_LSP=mod.given("LSP");
modParamMap["LSP"] = &(modelStruct.d_modelPar_LSP_dX);
modelStruct.modelPar_EPSRSP=mod.EPSRSP;
modelStruct.d_modelPar_EPSRSP_dX=0.0;
modelStruct.modelPar_given_EPSRSP=mod.given("EPSRSP");
modParamMap["EPSRSP"] = &(modelStruct.d_modelPar_EPSRSP_dX);
modelStruct.modelPar_TGATE=mod.TGATE;
modelStruct.d_modelPar_TGATE_dX=0.0;
modelStruct.modelPar_given_TGATE=mod.given("TGATE");
modParamMap["TGATE"] = &(modelStruct.d_modelPar_TGATE_dX);
modelStruct.modelPar_TMASK=mod.TMASK;
modelStruct.d_modelPar_TMASK_dX=0.0;
modelStruct.modelPar_given_TMASK=mod.given("TMASK");
modParamMap["TMASK"] = &(modelStruct.d_modelPar_TMASK_dX);
modelStruct.modelPar_ASILIEND=mod.ASILIEND;
modelStruct.d_modelPar_ASILIEND_dX=0.0;
modelStruct.modelPar_given_ASILIEND=mod.given("ASILIEND");
modParamMap["ASILIEND"] = &(modelStruct.d_modelPar_ASILIEND_dX);
modelStruct.modelPar_ARSDEND=mod.ARSDEND;
modelStruct.d_modelPar_ARSDEND_dX=0.0;
modelStruct.modelPar_given_ARSDEND=mod.given("ARSDEND");
modParamMap["ARSDEND"] = &(modelStruct.d_modelPar_ARSDEND_dX);
modelStruct.modelPar_PRSDEND=mod.PRSDEND;
modelStruct.d_modelPar_PRSDEND_dX=0.0;
modelStruct.modelPar_given_PRSDEND=mod.given("PRSDEND");
modParamMap["PRSDEND"] = &(modelStruct.d_modelPar_PRSDEND_dX);
modelStruct.modelPar_RGEOA=mod.RGEOA;
modelStruct.d_modelPar_RGEOA_dX=0.0;
modelStruct.modelPar_given_RGEOA=mod.given("RGEOA");
modParamMap["RGEOA"] = &(modelStruct.d_modelPar_RGEOA_dX);
modelStruct.modelPar_RGEOB=mod.RGEOB;
modelStruct.d_modelPar_RGEOB_dX=0.0;
modelStruct.modelPar_given_RGEOB=mod.given("RGEOB");
modParamMap["RGEOB"] = &(modelStruct.d_modelPar_RGEOB_dX);
modelStruct.modelPar_RGEOC=mod.RGEOC;
modelStruct.d_modelPar_RGEOC_dX=0.0;
modelStruct.modelPar_given_RGEOC=mod.given("RGEOC");
modParamMap["RGEOC"] = &(modelStruct.d_modelPar_RGEOC_dX);
modelStruct.modelPar_RGEOD=mod.RGEOD;
modelStruct.d_modelPar_RGEOD_dX=0.0;
modelStruct.modelPar_given_RGEOD=mod.given("RGEOD");
modParamMap["RGEOD"] = &(modelStruct.d_modelPar_RGEOD_dX);
modelStruct.modelPar_RGEOE=mod.RGEOE;
modelStruct.d_modelPar_RGEOE_dX=0.0;
modelStruct.modelPar_given_RGEOE=mod.given("RGEOE");
modParamMap["RGEOE"] = &(modelStruct.d_modelPar_RGEOE_dX);
modelStruct.modelPar_CGEOA=mod.CGEOA;
modelStruct.d_modelPar_CGEOA_dX=0.0;
modelStruct.modelPar_given_CGEOA=mod.given("CGEOA");
modParamMap["CGEOA"] = &(modelStruct.d_modelPar_CGEOA_dX);
modelStruct.modelPar_CGEOB=mod.CGEOB;
modelStruct.d_modelPar_CGEOB_dX=0.0;
modelStruct.modelPar_given_CGEOB=mod.given("CGEOB");
modParamMap["CGEOB"] = &(modelStruct.d_modelPar_CGEOB_dX);
modelStruct.modelPar_CGEOC=mod.CGEOC;
modelStruct.d_modelPar_CGEOC_dX=0.0;
modelStruct.modelPar_given_CGEOC=mod.given("CGEOC");
modParamMap["CGEOC"] = &(modelStruct.d_modelPar_CGEOC_dX);
modelStruct.modelPar_CGEOD=mod.CGEOD;
modelStruct.d_modelPar_CGEOD_dX=0.0;
modelStruct.modelPar_given_CGEOD=mod.given("CGEOD");
modParamMap["CGEOD"] = &(modelStruct.d_modelPar_CGEOD_dX);
modelStruct.modelPar_CGEOE=mod.CGEOE;
modelStruct.d_modelPar_CGEOE_dX=0.0;
modelStruct.modelPar_given_CGEOE=mod.given("CGEOE");
modParamMap["CGEOE"] = &(modelStruct.d_modelPar_CGEOE_dX);
modelStruct.modelPar_DLCIGS=mod.DLCIGS;
modelStruct.d_modelPar_DLCIGS_dX=0.0;
modelStruct.modelPar_given_DLCIGS=mod.given("DLCIGS");
modParamMap["DLCIGS"] = &(modelStruct.d_modelPar_DLCIGS_dX);
modelStruct.modelPar_DLCIGD=mod.DLCIGD;
modelStruct.d_modelPar_DLCIGD_dX=0.0;
modelStruct.modelPar_given_DLCIGD=mod.given("DLCIGD");
modParamMap["DLCIGD"] = &(modelStruct.d_modelPar_DLCIGD_dX);
modelStruct.modelPar_VFBSD=mod.VFBSD;
modelStruct.d_modelPar_VFBSD_dX=0.0;
modelStruct.modelPar_given_VFBSD=mod.given("VFBSD");
modParamMap["VFBSD"] = &(modelStruct.d_modelPar_VFBSD_dX);
modelStruct.modelPar_VFBSDCV=mod.VFBSDCV;
modelStruct.d_modelPar_VFBSDCV_dX=0.0;
modelStruct.modelPar_given_VFBSDCV=mod.given("VFBSDCV");
modParamMap["VFBSDCV"] = &(modelStruct.d_modelPar_VFBSDCV_dX);
modelStruct.modelPar_TOXREF=mod.TOXREF;
modelStruct.d_modelPar_TOXREF_dX=0.0;
modelStruct.modelPar_given_TOXREF=mod.given("TOXREF");
modParamMap["TOXREF"] = &(modelStruct.d_modelPar_TOXREF_dX);
modelStruct.modelPar_TOXG=mod.TOXG;
modelStruct.d_modelPar_TOXG_dX=0.0;
modelStruct.modelPar_given_TOXG=mod.given("TOXG");
modParamMap["TOXG"] = &(modelStruct.d_modelPar_TOXG_dX);
modelStruct.modelPar_IGBINVCLAMP=mod.IGBINVCLAMP;
modelStruct.d_modelPar_IGBINVCLAMP_dX=0.0;
modelStruct.modelPar_given_IGBINVCLAMP=mod.given("IGBINVCLAMP");
modParamMap["IGBINVCLAMP"] = &(modelStruct.d_modelPar_IGBINVCLAMP_dX);
modelStruct.modelPar_IGBACCCLAMP=mod.IGBACCCLAMP;
modelStruct.d_modelPar_IGBACCCLAMP_dX=0.0;
modelStruct.modelPar_given_IGBACCCLAMP=mod.given("IGBACCCLAMP");
modParamMap["IGBACCCLAMP"] = &(modelStruct.d_modelPar_IGBACCCLAMP_dX);
modelStruct.modelPar_IGCINVCLAMP=mod.IGCINVCLAMP;
modelStruct.d_modelPar_IGCINVCLAMP_dX=0.0;
modelStruct.modelPar_given_IGCINVCLAMP=mod.given("IGCINVCLAMP");
modParamMap["IGCINVCLAMP"] = &(modelStruct.d_modelPar_IGCINVCLAMP_dX);
modelStruct.modelPar_NTOX=mod.NTOX;
modelStruct.d_modelPar_NTOX_dX=0.0;
modelStruct.modelPar_given_NTOX=mod.given("NTOX");
modParamMap["NTOX"] = &(modelStruct.d_modelPar_NTOX_dX);
modelStruct.modelPar_LNTOX=mod.LNTOX;
modelStruct.d_modelPar_LNTOX_dX=0.0;
modelStruct.modelPar_given_LNTOX=mod.given("LNTOX");
modParamMap["LNTOX"] = &(modelStruct.d_modelPar_LNTOX_dX);
modelStruct.modelPar_NNTOX=mod.NNTOX;
modelStruct.d_modelPar_NNTOX_dX=0.0;
modelStruct.modelPar_given_NNTOX=mod.given("NNTOX");
modParamMap["NNTOX"] = &(modelStruct.d_modelPar_NNTOX_dX);
modelStruct.modelPar_PNTOX=mod.PNTOX;
modelStruct.d_modelPar_PNTOX_dX=0.0;
modelStruct.modelPar_given_PNTOX=mod.given("PNTOX");
modParamMap["PNTOX"] = &(modelStruct.d_modelPar_PNTOX_dX);
modelStruct.modelPar_WNTOX=mod.WNTOX;
modelStruct.d_modelPar_WNTOX_dX=0.0;
modelStruct.modelPar_given_WNTOX=mod.given("WNTOX");
modParamMap["WNTOX"] = &(modelStruct.d_modelPar_WNTOX_dX);
modelStruct.modelPar_P2NTOX=mod.P2NTOX;
modelStruct.d_modelPar_P2NTOX_dX=0.0;
modelStruct.modelPar_given_P2NTOX=mod.given("P2NTOX");
modParamMap["P2NTOX"] = &(modelStruct.d_modelPar_P2NTOX_dX);
modelStruct.modelPar_AIGBINV=mod.AIGBINV;
modelStruct.d_modelPar_AIGBINV_dX=0.0;
modelStruct.modelPar_given_AIGBINV=mod.given("AIGBINV");
modParamMap["AIGBINV"] = &(modelStruct.d_modelPar_AIGBINV_dX);
modelStruct.modelPar_LAIGBINV=mod.LAIGBINV;
modelStruct.d_modelPar_LAIGBINV_dX=0.0;
modelStruct.modelPar_given_LAIGBINV=mod.given("LAIGBINV");
modParamMap["LAIGBINV"] = &(modelStruct.d_modelPar_LAIGBINV_dX);
modelStruct.modelPar_NAIGBINV=mod.NAIGBINV;
modelStruct.d_modelPar_NAIGBINV_dX=0.0;
modelStruct.modelPar_given_NAIGBINV=mod.given("NAIGBINV");
modParamMap["NAIGBINV"] = &(modelStruct.d_modelPar_NAIGBINV_dX);
modelStruct.modelPar_PAIGBINV=mod.PAIGBINV;
modelStruct.d_modelPar_PAIGBINV_dX=0.0;
modelStruct.modelPar_given_PAIGBINV=mod.given("PAIGBINV");
modParamMap["PAIGBINV"] = &(modelStruct.d_modelPar_PAIGBINV_dX);
modelStruct.modelPar_WAIGBINV=mod.WAIGBINV;
modelStruct.d_modelPar_WAIGBINV_dX=0.0;
modelStruct.modelPar_given_WAIGBINV=mod.given("WAIGBINV");
modParamMap["WAIGBINV"] = &(modelStruct.d_modelPar_WAIGBINV_dX);
modelStruct.modelPar_P2AIGBINV=mod.P2AIGBINV;
modelStruct.d_modelPar_P2AIGBINV_dX=0.0;
modelStruct.modelPar_given_P2AIGBINV=mod.given("P2AIGBINV");
modParamMap["P2AIGBINV"] = &(modelStruct.d_modelPar_P2AIGBINV_dX);
modelStruct.modelPar_AIGBINV1=mod.AIGBINV1;
modelStruct.d_modelPar_AIGBINV1_dX=0.0;
modelStruct.modelPar_given_AIGBINV1=mod.given("AIGBINV1");
modParamMap["AIGBINV1"] = &(modelStruct.d_modelPar_AIGBINV1_dX);
modelStruct.modelPar_LAIGBINV1=mod.LAIGBINV1;
modelStruct.d_modelPar_LAIGBINV1_dX=0.0;
modelStruct.modelPar_given_LAIGBINV1=mod.given("LAIGBINV1");
modParamMap["LAIGBINV1"] = &(modelStruct.d_modelPar_LAIGBINV1_dX);
modelStruct.modelPar_NAIGBINV1=mod.NAIGBINV1;
modelStruct.d_modelPar_NAIGBINV1_dX=0.0;
modelStruct.modelPar_given_NAIGBINV1=mod.given("NAIGBINV1");
modParamMap["NAIGBINV1"] = &(modelStruct.d_modelPar_NAIGBINV1_dX);
modelStruct.modelPar_PAIGBINV1=mod.PAIGBINV1;
modelStruct.d_modelPar_PAIGBINV1_dX=0.0;
modelStruct.modelPar_given_PAIGBINV1=mod.given("PAIGBINV1");
modParamMap["PAIGBINV1"] = &(modelStruct.d_modelPar_PAIGBINV1_dX);
modelStruct.modelPar_WAIGBINV1=mod.WAIGBINV1;
modelStruct.d_modelPar_WAIGBINV1_dX=0.0;
modelStruct.modelPar_given_WAIGBINV1=mod.given("WAIGBINV1");
modParamMap["WAIGBINV1"] = &(modelStruct.d_modelPar_WAIGBINV1_dX);
modelStruct.modelPar_P2AIGBINV1=mod.P2AIGBINV1;
modelStruct.d_modelPar_P2AIGBINV1_dX=0.0;
modelStruct.modelPar_given_P2AIGBINV1=mod.given("P2AIGBINV1");
modParamMap["P2AIGBINV1"] = &(modelStruct.d_modelPar_P2AIGBINV1_dX);
modelStruct.modelPar_BIGBINV=mod.BIGBINV;
modelStruct.d_modelPar_BIGBINV_dX=0.0;
modelStruct.modelPar_given_BIGBINV=mod.given("BIGBINV");
modParamMap["BIGBINV"] = &(modelStruct.d_modelPar_BIGBINV_dX);
modelStruct.modelPar_LBIGBINV=mod.LBIGBINV;
modelStruct.d_modelPar_LBIGBINV_dX=0.0;
modelStruct.modelPar_given_LBIGBINV=mod.given("LBIGBINV");
modParamMap["LBIGBINV"] = &(modelStruct.d_modelPar_LBIGBINV_dX);
modelStruct.modelPar_NBIGBINV=mod.NBIGBINV;
modelStruct.d_modelPar_NBIGBINV_dX=0.0;
modelStruct.modelPar_given_NBIGBINV=mod.given("NBIGBINV");
modParamMap["NBIGBINV"] = &(modelStruct.d_modelPar_NBIGBINV_dX);
modelStruct.modelPar_PBIGBINV=mod.PBIGBINV;
modelStruct.d_modelPar_PBIGBINV_dX=0.0;
modelStruct.modelPar_given_PBIGBINV=mod.given("PBIGBINV");
modParamMap["PBIGBINV"] = &(modelStruct.d_modelPar_PBIGBINV_dX);
modelStruct.modelPar_WBIGBINV=mod.WBIGBINV;
modelStruct.d_modelPar_WBIGBINV_dX=0.0;
modelStruct.modelPar_given_WBIGBINV=mod.given("WBIGBINV");
modParamMap["WBIGBINV"] = &(modelStruct.d_modelPar_WBIGBINV_dX);
modelStruct.modelPar_P2BIGBINV=mod.P2BIGBINV;
modelStruct.d_modelPar_P2BIGBINV_dX=0.0;
modelStruct.modelPar_given_P2BIGBINV=mod.given("P2BIGBINV");
modParamMap["P2BIGBINV"] = &(modelStruct.d_modelPar_P2BIGBINV_dX);
modelStruct.modelPar_CIGBINV=mod.CIGBINV;
modelStruct.d_modelPar_CIGBINV_dX=0.0;
modelStruct.modelPar_given_CIGBINV=mod.given("CIGBINV");
modParamMap["CIGBINV"] = &(modelStruct.d_modelPar_CIGBINV_dX);
modelStruct.modelPar_LCIGBINV=mod.LCIGBINV;
modelStruct.d_modelPar_LCIGBINV_dX=0.0;
modelStruct.modelPar_given_LCIGBINV=mod.given("LCIGBINV");
modParamMap["LCIGBINV"] = &(modelStruct.d_modelPar_LCIGBINV_dX);
modelStruct.modelPar_NCIGBINV=mod.NCIGBINV;
modelStruct.d_modelPar_NCIGBINV_dX=0.0;
modelStruct.modelPar_given_NCIGBINV=mod.given("NCIGBINV");
modParamMap["NCIGBINV"] = &(modelStruct.d_modelPar_NCIGBINV_dX);
modelStruct.modelPar_PCIGBINV=mod.PCIGBINV;
modelStruct.d_modelPar_PCIGBINV_dX=0.0;
modelStruct.modelPar_given_PCIGBINV=mod.given("PCIGBINV");
modParamMap["PCIGBINV"] = &(modelStruct.d_modelPar_PCIGBINV_dX);
modelStruct.modelPar_WCIGBINV=mod.WCIGBINV;
modelStruct.d_modelPar_WCIGBINV_dX=0.0;
modelStruct.modelPar_given_WCIGBINV=mod.given("WCIGBINV");
modParamMap["WCIGBINV"] = &(modelStruct.d_modelPar_WCIGBINV_dX);
modelStruct.modelPar_P2CIGBINV=mod.P2CIGBINV;
modelStruct.d_modelPar_P2CIGBINV_dX=0.0;
modelStruct.modelPar_given_P2CIGBINV=mod.given("P2CIGBINV");
modParamMap["P2CIGBINV"] = &(modelStruct.d_modelPar_P2CIGBINV_dX);
modelStruct.modelPar_EIGBINV=mod.EIGBINV;
modelStruct.d_modelPar_EIGBINV_dX=0.0;
modelStruct.modelPar_given_EIGBINV=mod.given("EIGBINV");
modParamMap["EIGBINV"] = &(modelStruct.d_modelPar_EIGBINV_dX);
modelStruct.modelPar_LEIGBINV=mod.LEIGBINV;
modelStruct.d_modelPar_LEIGBINV_dX=0.0;
modelStruct.modelPar_given_LEIGBINV=mod.given("LEIGBINV");
modParamMap["LEIGBINV"] = &(modelStruct.d_modelPar_LEIGBINV_dX);
modelStruct.modelPar_NEIGBINV=mod.NEIGBINV;
modelStruct.d_modelPar_NEIGBINV_dX=0.0;
modelStruct.modelPar_given_NEIGBINV=mod.given("NEIGBINV");
modParamMap["NEIGBINV"] = &(modelStruct.d_modelPar_NEIGBINV_dX);
modelStruct.modelPar_PEIGBINV=mod.PEIGBINV;
modelStruct.d_modelPar_PEIGBINV_dX=0.0;
modelStruct.modelPar_given_PEIGBINV=mod.given("PEIGBINV");
modParamMap["PEIGBINV"] = &(modelStruct.d_modelPar_PEIGBINV_dX);
modelStruct.modelPar_WEIGBINV=mod.WEIGBINV;
modelStruct.d_modelPar_WEIGBINV_dX=0.0;
modelStruct.modelPar_given_WEIGBINV=mod.given("WEIGBINV");
modParamMap["WEIGBINV"] = &(modelStruct.d_modelPar_WEIGBINV_dX);
modelStruct.modelPar_P2EIGBINV=mod.P2EIGBINV;
modelStruct.d_modelPar_P2EIGBINV_dX=0.0;
modelStruct.modelPar_given_P2EIGBINV=mod.given("P2EIGBINV");
modParamMap["P2EIGBINV"] = &(modelStruct.d_modelPar_P2EIGBINV_dX);
modelStruct.modelPar_NIGBINV=mod.NIGBINV;
modelStruct.d_modelPar_NIGBINV_dX=0.0;
modelStruct.modelPar_given_NIGBINV=mod.given("NIGBINV");
modParamMap["NIGBINV"] = &(modelStruct.d_modelPar_NIGBINV_dX);
modelStruct.modelPar_LNIGBINV=mod.LNIGBINV;
modelStruct.d_modelPar_LNIGBINV_dX=0.0;
modelStruct.modelPar_given_LNIGBINV=mod.given("LNIGBINV");
modParamMap["LNIGBINV"] = &(modelStruct.d_modelPar_LNIGBINV_dX);
modelStruct.modelPar_NNIGBINV=mod.NNIGBINV;
modelStruct.d_modelPar_NNIGBINV_dX=0.0;
modelStruct.modelPar_given_NNIGBINV=mod.given("NNIGBINV");
modParamMap["NNIGBINV"] = &(modelStruct.d_modelPar_NNIGBINV_dX);
modelStruct.modelPar_PNIGBINV=mod.PNIGBINV;
modelStruct.d_modelPar_PNIGBINV_dX=0.0;
modelStruct.modelPar_given_PNIGBINV=mod.given("PNIGBINV");
modParamMap["PNIGBINV"] = &(modelStruct.d_modelPar_PNIGBINV_dX);
modelStruct.modelPar_WNIGBINV=mod.WNIGBINV;
modelStruct.d_modelPar_WNIGBINV_dX=0.0;
modelStruct.modelPar_given_WNIGBINV=mod.given("WNIGBINV");
modParamMap["WNIGBINV"] = &(modelStruct.d_modelPar_WNIGBINV_dX);
modelStruct.modelPar_P2NIGBINV=mod.P2NIGBINV;
modelStruct.d_modelPar_P2NIGBINV_dX=0.0;
modelStruct.modelPar_given_P2NIGBINV=mod.given("P2NIGBINV");
modParamMap["P2NIGBINV"] = &(modelStruct.d_modelPar_P2NIGBINV_dX);
modelStruct.modelPar_AIGBACC=mod.AIGBACC;
modelStruct.d_modelPar_AIGBACC_dX=0.0;
modelStruct.modelPar_given_AIGBACC=mod.given("AIGBACC");
modParamMap["AIGBACC"] = &(modelStruct.d_modelPar_AIGBACC_dX);
modelStruct.modelPar_LAIGBACC=mod.LAIGBACC;
modelStruct.d_modelPar_LAIGBACC_dX=0.0;
modelStruct.modelPar_given_LAIGBACC=mod.given("LAIGBACC");
modParamMap["LAIGBACC"] = &(modelStruct.d_modelPar_LAIGBACC_dX);
modelStruct.modelPar_NAIGBACC=mod.NAIGBACC;
modelStruct.d_modelPar_NAIGBACC_dX=0.0;
modelStruct.modelPar_given_NAIGBACC=mod.given("NAIGBACC");
modParamMap["NAIGBACC"] = &(modelStruct.d_modelPar_NAIGBACC_dX);
modelStruct.modelPar_PAIGBACC=mod.PAIGBACC;
modelStruct.d_modelPar_PAIGBACC_dX=0.0;
modelStruct.modelPar_given_PAIGBACC=mod.given("PAIGBACC");
modParamMap["PAIGBACC"] = &(modelStruct.d_modelPar_PAIGBACC_dX);
modelStruct.modelPar_WAIGBACC=mod.WAIGBACC;
modelStruct.d_modelPar_WAIGBACC_dX=0.0;
modelStruct.modelPar_given_WAIGBACC=mod.given("WAIGBACC");
modParamMap["WAIGBACC"] = &(modelStruct.d_modelPar_WAIGBACC_dX);
modelStruct.modelPar_P2AIGBACC=mod.P2AIGBACC;
modelStruct.d_modelPar_P2AIGBACC_dX=0.0;
modelStruct.modelPar_given_P2AIGBACC=mod.given("P2AIGBACC");
modParamMap["P2AIGBACC"] = &(modelStruct.d_modelPar_P2AIGBACC_dX);
modelStruct.modelPar_AIGBACC1=mod.AIGBACC1;
modelStruct.d_modelPar_AIGBACC1_dX=0.0;
modelStruct.modelPar_given_AIGBACC1=mod.given("AIGBACC1");
modParamMap["AIGBACC1"] = &(modelStruct.d_modelPar_AIGBACC1_dX);
modelStruct.modelPar_LAIGBACC1=mod.LAIGBACC1;
modelStruct.d_modelPar_LAIGBACC1_dX=0.0;
modelStruct.modelPar_given_LAIGBACC1=mod.given("LAIGBACC1");
modParamMap["LAIGBACC1"] = &(modelStruct.d_modelPar_LAIGBACC1_dX);
modelStruct.modelPar_NAIGBACC1=mod.NAIGBACC1;
modelStruct.d_modelPar_NAIGBACC1_dX=0.0;
modelStruct.modelPar_given_NAIGBACC1=mod.given("NAIGBACC1");
modParamMap["NAIGBACC1"] = &(modelStruct.d_modelPar_NAIGBACC1_dX);
modelStruct.modelPar_PAIGBACC1=mod.PAIGBACC1;
modelStruct.d_modelPar_PAIGBACC1_dX=0.0;
modelStruct.modelPar_given_PAIGBACC1=mod.given("PAIGBACC1");
modParamMap["PAIGBACC1"] = &(modelStruct.d_modelPar_PAIGBACC1_dX);
modelStruct.modelPar_WAIGBACC1=mod.WAIGBACC1;
modelStruct.d_modelPar_WAIGBACC1_dX=0.0;
modelStruct.modelPar_given_WAIGBACC1=mod.given("WAIGBACC1");
modParamMap["WAIGBACC1"] = &(modelStruct.d_modelPar_WAIGBACC1_dX);
modelStruct.modelPar_P2AIGBACC1=mod.P2AIGBACC1;
modelStruct.d_modelPar_P2AIGBACC1_dX=0.0;
modelStruct.modelPar_given_P2AIGBACC1=mod.given("P2AIGBACC1");
modParamMap["P2AIGBACC1"] = &(modelStruct.d_modelPar_P2AIGBACC1_dX);
modelStruct.modelPar_BIGBACC=mod.BIGBACC;
modelStruct.d_modelPar_BIGBACC_dX=0.0;
modelStruct.modelPar_given_BIGBACC=mod.given("BIGBACC");
modParamMap["BIGBACC"] = &(modelStruct.d_modelPar_BIGBACC_dX);
modelStruct.modelPar_LBIGBACC=mod.LBIGBACC;
modelStruct.d_modelPar_LBIGBACC_dX=0.0;
modelStruct.modelPar_given_LBIGBACC=mod.given("LBIGBACC");
modParamMap["LBIGBACC"] = &(modelStruct.d_modelPar_LBIGBACC_dX);
modelStruct.modelPar_NBIGBACC=mod.NBIGBACC;
modelStruct.d_modelPar_NBIGBACC_dX=0.0;
modelStruct.modelPar_given_NBIGBACC=mod.given("NBIGBACC");
modParamMap["NBIGBACC"] = &(modelStruct.d_modelPar_NBIGBACC_dX);
modelStruct.modelPar_PBIGBACC=mod.PBIGBACC;
modelStruct.d_modelPar_PBIGBACC_dX=0.0;
modelStruct.modelPar_given_PBIGBACC=mod.given("PBIGBACC");
modParamMap["PBIGBACC"] = &(modelStruct.d_modelPar_PBIGBACC_dX);
modelStruct.modelPar_WBIGBACC=mod.WBIGBACC;
modelStruct.d_modelPar_WBIGBACC_dX=0.0;
modelStruct.modelPar_given_WBIGBACC=mod.given("WBIGBACC");
modParamMap["WBIGBACC"] = &(modelStruct.d_modelPar_WBIGBACC_dX);
modelStruct.modelPar_P2BIGBACC=mod.P2BIGBACC;
modelStruct.d_modelPar_P2BIGBACC_dX=0.0;
modelStruct.modelPar_given_P2BIGBACC=mod.given("P2BIGBACC");
modParamMap["P2BIGBACC"] = &(modelStruct.d_modelPar_P2BIGBACC_dX);
modelStruct.modelPar_CIGBACC=mod.CIGBACC;
modelStruct.d_modelPar_CIGBACC_dX=0.0;
modelStruct.modelPar_given_CIGBACC=mod.given("CIGBACC");
modParamMap["CIGBACC"] = &(modelStruct.d_modelPar_CIGBACC_dX);
modelStruct.modelPar_LCIGBACC=mod.LCIGBACC;
modelStruct.d_modelPar_LCIGBACC_dX=0.0;
modelStruct.modelPar_given_LCIGBACC=mod.given("LCIGBACC");
modParamMap["LCIGBACC"] = &(modelStruct.d_modelPar_LCIGBACC_dX);
modelStruct.modelPar_NCIGBACC=mod.NCIGBACC;
modelStruct.d_modelPar_NCIGBACC_dX=0.0;
modelStruct.modelPar_given_NCIGBACC=mod.given("NCIGBACC");
modParamMap["NCIGBACC"] = &(modelStruct.d_modelPar_NCIGBACC_dX);
modelStruct.modelPar_PCIGBACC=mod.PCIGBACC;
modelStruct.d_modelPar_PCIGBACC_dX=0.0;
modelStruct.modelPar_given_PCIGBACC=mod.given("PCIGBACC");
modParamMap["PCIGBACC"] = &(modelStruct.d_modelPar_PCIGBACC_dX);
modelStruct.modelPar_WCIGBACC=mod.WCIGBACC;
modelStruct.d_modelPar_WCIGBACC_dX=0.0;
modelStruct.modelPar_given_WCIGBACC=mod.given("WCIGBACC");
modParamMap["WCIGBACC"] = &(modelStruct.d_modelPar_WCIGBACC_dX);
modelStruct.modelPar_P2CIGBACC=mod.P2CIGBACC;
modelStruct.d_modelPar_P2CIGBACC_dX=0.0;
modelStruct.modelPar_given_P2CIGBACC=mod.given("P2CIGBACC");
modParamMap["P2CIGBACC"] = &(modelStruct.d_modelPar_P2CIGBACC_dX);
modelStruct.modelPar_NIGBACC=mod.NIGBACC;
modelStruct.d_modelPar_NIGBACC_dX=0.0;
modelStruct.modelPar_given_NIGBACC=mod.given("NIGBACC");
modParamMap["NIGBACC"] = &(modelStruct.d_modelPar_NIGBACC_dX);
modelStruct.modelPar_LNIGBACC=mod.LNIGBACC;
modelStruct.d_modelPar_LNIGBACC_dX=0.0;
modelStruct.modelPar_given_LNIGBACC=mod.given("LNIGBACC");
modParamMap["LNIGBACC"] = &(modelStruct.d_modelPar_LNIGBACC_dX);
modelStruct.modelPar_NNIGBACC=mod.NNIGBACC;
modelStruct.d_modelPar_NNIGBACC_dX=0.0;
modelStruct.modelPar_given_NNIGBACC=mod.given("NNIGBACC");
modParamMap["NNIGBACC"] = &(modelStruct.d_modelPar_NNIGBACC_dX);
modelStruct.modelPar_PNIGBACC=mod.PNIGBACC;
modelStruct.d_modelPar_PNIGBACC_dX=0.0;
modelStruct.modelPar_given_PNIGBACC=mod.given("PNIGBACC");
modParamMap["PNIGBACC"] = &(modelStruct.d_modelPar_PNIGBACC_dX);
modelStruct.modelPar_WNIGBACC=mod.WNIGBACC;
modelStruct.d_modelPar_WNIGBACC_dX=0.0;
modelStruct.modelPar_given_WNIGBACC=mod.given("WNIGBACC");
modParamMap["WNIGBACC"] = &(modelStruct.d_modelPar_WNIGBACC_dX);
modelStruct.modelPar_P2NIGBACC=mod.P2NIGBACC;
modelStruct.d_modelPar_P2NIGBACC_dX=0.0;
modelStruct.modelPar_given_P2NIGBACC=mod.given("P2NIGBACC");
modParamMap["P2NIGBACC"] = &(modelStruct.d_modelPar_P2NIGBACC_dX);
modelStruct.modelPar_AIGC=mod.AIGC;
modelStruct.d_modelPar_AIGC_dX=0.0;
modelStruct.modelPar_given_AIGC=mod.given("AIGC");
modParamMap["AIGC"] = &(modelStruct.d_modelPar_AIGC_dX);
modelStruct.modelPar_LAIGC=mod.LAIGC;
modelStruct.d_modelPar_LAIGC_dX=0.0;
modelStruct.modelPar_given_LAIGC=mod.given("LAIGC");
modParamMap["LAIGC"] = &(modelStruct.d_modelPar_LAIGC_dX);
modelStruct.modelPar_NAIGC=mod.NAIGC;
modelStruct.d_modelPar_NAIGC_dX=0.0;
modelStruct.modelPar_given_NAIGC=mod.given("NAIGC");
modParamMap["NAIGC"] = &(modelStruct.d_modelPar_NAIGC_dX);
modelStruct.modelPar_PAIGC=mod.PAIGC;
modelStruct.d_modelPar_PAIGC_dX=0.0;
modelStruct.modelPar_given_PAIGC=mod.given("PAIGC");
modParamMap["PAIGC"] = &(modelStruct.d_modelPar_PAIGC_dX);
modelStruct.modelPar_WAIGC=mod.WAIGC;
modelStruct.d_modelPar_WAIGC_dX=0.0;
modelStruct.modelPar_given_WAIGC=mod.given("WAIGC");
modParamMap["WAIGC"] = &(modelStruct.d_modelPar_WAIGC_dX);
modelStruct.modelPar_P2AIGC=mod.P2AIGC;
modelStruct.d_modelPar_P2AIGC_dX=0.0;
modelStruct.modelPar_given_P2AIGC=mod.given("P2AIGC");
modParamMap["P2AIGC"] = &(modelStruct.d_modelPar_P2AIGC_dX);
modelStruct.modelPar_AIGC1=mod.AIGC1;
modelStruct.d_modelPar_AIGC1_dX=0.0;
modelStruct.modelPar_given_AIGC1=mod.given("AIGC1");
modParamMap["AIGC1"] = &(modelStruct.d_modelPar_AIGC1_dX);
modelStruct.modelPar_LAIGC1=mod.LAIGC1;
modelStruct.d_modelPar_LAIGC1_dX=0.0;
modelStruct.modelPar_given_LAIGC1=mod.given("LAIGC1");
modParamMap["LAIGC1"] = &(modelStruct.d_modelPar_LAIGC1_dX);
modelStruct.modelPar_NAIGC1=mod.NAIGC1;
modelStruct.d_modelPar_NAIGC1_dX=0.0;
modelStruct.modelPar_given_NAIGC1=mod.given("NAIGC1");
modParamMap["NAIGC1"] = &(modelStruct.d_modelPar_NAIGC1_dX);
modelStruct.modelPar_PAIGC1=mod.PAIGC1;
modelStruct.d_modelPar_PAIGC1_dX=0.0;
modelStruct.modelPar_given_PAIGC1=mod.given("PAIGC1");
modParamMap["PAIGC1"] = &(modelStruct.d_modelPar_PAIGC1_dX);
modelStruct.modelPar_WAIGC1=mod.WAIGC1;
modelStruct.d_modelPar_WAIGC1_dX=0.0;
modelStruct.modelPar_given_WAIGC1=mod.given("WAIGC1");
modParamMap["WAIGC1"] = &(modelStruct.d_modelPar_WAIGC1_dX);
modelStruct.modelPar_P2AIGC1=mod.P2AIGC1;
modelStruct.d_modelPar_P2AIGC1_dX=0.0;
modelStruct.modelPar_given_P2AIGC1=mod.given("P2AIGC1");
modParamMap["P2AIGC1"] = &(modelStruct.d_modelPar_P2AIGC1_dX);
modelStruct.modelPar_BIGC=mod.BIGC;
modelStruct.d_modelPar_BIGC_dX=0.0;
modelStruct.modelPar_given_BIGC=mod.given("BIGC");
modParamMap["BIGC"] = &(modelStruct.d_modelPar_BIGC_dX);
modelStruct.modelPar_LBIGC=mod.LBIGC;
modelStruct.d_modelPar_LBIGC_dX=0.0;
modelStruct.modelPar_given_LBIGC=mod.given("LBIGC");
modParamMap["LBIGC"] = &(modelStruct.d_modelPar_LBIGC_dX);
modelStruct.modelPar_NBIGC=mod.NBIGC;
modelStruct.d_modelPar_NBIGC_dX=0.0;
modelStruct.modelPar_given_NBIGC=mod.given("NBIGC");
modParamMap["NBIGC"] = &(modelStruct.d_modelPar_NBIGC_dX);
modelStruct.modelPar_PBIGC=mod.PBIGC;
modelStruct.d_modelPar_PBIGC_dX=0.0;
modelStruct.modelPar_given_PBIGC=mod.given("PBIGC");
modParamMap["PBIGC"] = &(modelStruct.d_modelPar_PBIGC_dX);
modelStruct.modelPar_WBIGC=mod.WBIGC;
modelStruct.d_modelPar_WBIGC_dX=0.0;
modelStruct.modelPar_given_WBIGC=mod.given("WBIGC");
modParamMap["WBIGC"] = &(modelStruct.d_modelPar_WBIGC_dX);
modelStruct.modelPar_P2BIGC=mod.P2BIGC;
modelStruct.d_modelPar_P2BIGC_dX=0.0;
modelStruct.modelPar_given_P2BIGC=mod.given("P2BIGC");
modParamMap["P2BIGC"] = &(modelStruct.d_modelPar_P2BIGC_dX);
modelStruct.modelPar_CIGC=mod.CIGC;
modelStruct.d_modelPar_CIGC_dX=0.0;
modelStruct.modelPar_given_CIGC=mod.given("CIGC");
modParamMap["CIGC"] = &(modelStruct.d_modelPar_CIGC_dX);
modelStruct.modelPar_LCIGC=mod.LCIGC;
modelStruct.d_modelPar_LCIGC_dX=0.0;
modelStruct.modelPar_given_LCIGC=mod.given("LCIGC");
modParamMap["LCIGC"] = &(modelStruct.d_modelPar_LCIGC_dX);
modelStruct.modelPar_NCIGC=mod.NCIGC;
modelStruct.d_modelPar_NCIGC_dX=0.0;
modelStruct.modelPar_given_NCIGC=mod.given("NCIGC");
modParamMap["NCIGC"] = &(modelStruct.d_modelPar_NCIGC_dX);
modelStruct.modelPar_PCIGC=mod.PCIGC;
modelStruct.d_modelPar_PCIGC_dX=0.0;
modelStruct.modelPar_given_PCIGC=mod.given("PCIGC");
modParamMap["PCIGC"] = &(modelStruct.d_modelPar_PCIGC_dX);
modelStruct.modelPar_WCIGC=mod.WCIGC;
modelStruct.d_modelPar_WCIGC_dX=0.0;
modelStruct.modelPar_given_WCIGC=mod.given("WCIGC");
modParamMap["WCIGC"] = &(modelStruct.d_modelPar_WCIGC_dX);
modelStruct.modelPar_P2CIGC=mod.P2CIGC;
modelStruct.d_modelPar_P2CIGC_dX=0.0;
modelStruct.modelPar_given_P2CIGC=mod.given("P2CIGC");
modParamMap["P2CIGC"] = &(modelStruct.d_modelPar_P2CIGC_dX);
modelStruct.modelPar_PIGCD=mod.PIGCD;
modelStruct.d_modelPar_PIGCD_dX=0.0;
modelStruct.modelPar_given_PIGCD=mod.given("PIGCD");
modParamMap["PIGCD"] = &(modelStruct.d_modelPar_PIGCD_dX);
modelStruct.modelPar_LPIGCD=mod.LPIGCD;
modelStruct.d_modelPar_LPIGCD_dX=0.0;
modelStruct.modelPar_given_LPIGCD=mod.given("LPIGCD");
modParamMap["LPIGCD"] = &(modelStruct.d_modelPar_LPIGCD_dX);
modelStruct.modelPar_NPIGCD=mod.NPIGCD;
modelStruct.d_modelPar_NPIGCD_dX=0.0;
modelStruct.modelPar_given_NPIGCD=mod.given("NPIGCD");
modParamMap["NPIGCD"] = &(modelStruct.d_modelPar_NPIGCD_dX);
modelStruct.modelPar_PPIGCD=mod.PPIGCD;
modelStruct.d_modelPar_PPIGCD_dX=0.0;
modelStruct.modelPar_given_PPIGCD=mod.given("PPIGCD");
modParamMap["PPIGCD"] = &(modelStruct.d_modelPar_PPIGCD_dX);
modelStruct.modelPar_WPIGCD=mod.WPIGCD;
modelStruct.d_modelPar_WPIGCD_dX=0.0;
modelStruct.modelPar_given_WPIGCD=mod.given("WPIGCD");
modParamMap["WPIGCD"] = &(modelStruct.d_modelPar_WPIGCD_dX);
modelStruct.modelPar_P2PIGCD=mod.P2PIGCD;
modelStruct.d_modelPar_P2PIGCD_dX=0.0;
modelStruct.modelPar_given_P2PIGCD=mod.given("P2PIGCD");
modParamMap["P2PIGCD"] = &(modelStruct.d_modelPar_P2PIGCD_dX);
modelStruct.modelPar_AIGS=mod.AIGS;
modelStruct.d_modelPar_AIGS_dX=0.0;
modelStruct.modelPar_given_AIGS=mod.given("AIGS");
modParamMap["AIGS"] = &(modelStruct.d_modelPar_AIGS_dX);
modelStruct.modelPar_LAIGS=mod.LAIGS;
modelStruct.d_modelPar_LAIGS_dX=0.0;
modelStruct.modelPar_given_LAIGS=mod.given("LAIGS");
modParamMap["LAIGS"] = &(modelStruct.d_modelPar_LAIGS_dX);
modelStruct.modelPar_NAIGS=mod.NAIGS;
modelStruct.d_modelPar_NAIGS_dX=0.0;
modelStruct.modelPar_given_NAIGS=mod.given("NAIGS");
modParamMap["NAIGS"] = &(modelStruct.d_modelPar_NAIGS_dX);
modelStruct.modelPar_PAIGS=mod.PAIGS;
modelStruct.d_modelPar_PAIGS_dX=0.0;
modelStruct.modelPar_given_PAIGS=mod.given("PAIGS");
modParamMap["PAIGS"] = &(modelStruct.d_modelPar_PAIGS_dX);
modelStruct.modelPar_WAIGS=mod.WAIGS;
modelStruct.d_modelPar_WAIGS_dX=0.0;
modelStruct.modelPar_given_WAIGS=mod.given("WAIGS");
modParamMap["WAIGS"] = &(modelStruct.d_modelPar_WAIGS_dX);
modelStruct.modelPar_P2AIGS=mod.P2AIGS;
modelStruct.d_modelPar_P2AIGS_dX=0.0;
modelStruct.modelPar_given_P2AIGS=mod.given("P2AIGS");
modParamMap["P2AIGS"] = &(modelStruct.d_modelPar_P2AIGS_dX);
modelStruct.modelPar_AIGS1=mod.AIGS1;
modelStruct.d_modelPar_AIGS1_dX=0.0;
modelStruct.modelPar_given_AIGS1=mod.given("AIGS1");
modParamMap["AIGS1"] = &(modelStruct.d_modelPar_AIGS1_dX);
modelStruct.modelPar_LAIGS1=mod.LAIGS1;
modelStruct.d_modelPar_LAIGS1_dX=0.0;
modelStruct.modelPar_given_LAIGS1=mod.given("LAIGS1");
modParamMap["LAIGS1"] = &(modelStruct.d_modelPar_LAIGS1_dX);
modelStruct.modelPar_NAIGS1=mod.NAIGS1;
modelStruct.d_modelPar_NAIGS1_dX=0.0;
modelStruct.modelPar_given_NAIGS1=mod.given("NAIGS1");
modParamMap["NAIGS1"] = &(modelStruct.d_modelPar_NAIGS1_dX);
modelStruct.modelPar_PAIGS1=mod.PAIGS1;
modelStruct.d_modelPar_PAIGS1_dX=0.0;
modelStruct.modelPar_given_PAIGS1=mod.given("PAIGS1");
modParamMap["PAIGS1"] = &(modelStruct.d_modelPar_PAIGS1_dX);
modelStruct.modelPar_WAIGS1=mod.WAIGS1;
modelStruct.d_modelPar_WAIGS1_dX=0.0;
modelStruct.modelPar_given_WAIGS1=mod.given("WAIGS1");
modParamMap["WAIGS1"] = &(modelStruct.d_modelPar_WAIGS1_dX);
modelStruct.modelPar_P2AIGS1=mod.P2AIGS1;
modelStruct.d_modelPar_P2AIGS1_dX=0.0;
modelStruct.modelPar_given_P2AIGS1=mod.given("P2AIGS1");
modParamMap["P2AIGS1"] = &(modelStruct.d_modelPar_P2AIGS1_dX);
modelStruct.modelPar_BIGS=mod.BIGS;
modelStruct.d_modelPar_BIGS_dX=0.0;
modelStruct.modelPar_given_BIGS=mod.given("BIGS");
modParamMap["BIGS"] = &(modelStruct.d_modelPar_BIGS_dX);
modelStruct.modelPar_LBIGS=mod.LBIGS;
modelStruct.d_modelPar_LBIGS_dX=0.0;
modelStruct.modelPar_given_LBIGS=mod.given("LBIGS");
modParamMap["LBIGS"] = &(modelStruct.d_modelPar_LBIGS_dX);
modelStruct.modelPar_NBIGS=mod.NBIGS;
modelStruct.d_modelPar_NBIGS_dX=0.0;
modelStruct.modelPar_given_NBIGS=mod.given("NBIGS");
modParamMap["NBIGS"] = &(modelStruct.d_modelPar_NBIGS_dX);
modelStruct.modelPar_PBIGS=mod.PBIGS;
modelStruct.d_modelPar_PBIGS_dX=0.0;
modelStruct.modelPar_given_PBIGS=mod.given("PBIGS");
modParamMap["PBIGS"] = &(modelStruct.d_modelPar_PBIGS_dX);
modelStruct.modelPar_WBIGS=mod.WBIGS;
modelStruct.d_modelPar_WBIGS_dX=0.0;
modelStruct.modelPar_given_WBIGS=mod.given("WBIGS");
modParamMap["WBIGS"] = &(modelStruct.d_modelPar_WBIGS_dX);
modelStruct.modelPar_P2BIGS=mod.P2BIGS;
modelStruct.d_modelPar_P2BIGS_dX=0.0;
modelStruct.modelPar_given_P2BIGS=mod.given("P2BIGS");
modParamMap["P2BIGS"] = &(modelStruct.d_modelPar_P2BIGS_dX);
modelStruct.modelPar_CIGS=mod.CIGS;
modelStruct.d_modelPar_CIGS_dX=0.0;
modelStruct.modelPar_given_CIGS=mod.given("CIGS");
modParamMap["CIGS"] = &(modelStruct.d_modelPar_CIGS_dX);
modelStruct.modelPar_LCIGS=mod.LCIGS;
modelStruct.d_modelPar_LCIGS_dX=0.0;
modelStruct.modelPar_given_LCIGS=mod.given("LCIGS");
modParamMap["LCIGS"] = &(modelStruct.d_modelPar_LCIGS_dX);
modelStruct.modelPar_NCIGS=mod.NCIGS;
modelStruct.d_modelPar_NCIGS_dX=0.0;
modelStruct.modelPar_given_NCIGS=mod.given("NCIGS");
modParamMap["NCIGS"] = &(modelStruct.d_modelPar_NCIGS_dX);
modelStruct.modelPar_PCIGS=mod.PCIGS;
modelStruct.d_modelPar_PCIGS_dX=0.0;
modelStruct.modelPar_given_PCIGS=mod.given("PCIGS");
modParamMap["PCIGS"] = &(modelStruct.d_modelPar_PCIGS_dX);
modelStruct.modelPar_WCIGS=mod.WCIGS;
modelStruct.d_modelPar_WCIGS_dX=0.0;
modelStruct.modelPar_given_WCIGS=mod.given("WCIGS");
modParamMap["WCIGS"] = &(modelStruct.d_modelPar_WCIGS_dX);
modelStruct.modelPar_P2CIGS=mod.P2CIGS;
modelStruct.d_modelPar_P2CIGS_dX=0.0;
modelStruct.modelPar_given_P2CIGS=mod.given("P2CIGS");
modParamMap["P2CIGS"] = &(modelStruct.d_modelPar_P2CIGS_dX);
modelStruct.modelPar_AIGD=mod.AIGD;
modelStruct.d_modelPar_AIGD_dX=0.0;
modelStruct.modelPar_given_AIGD=mod.given("AIGD");
modParamMap["AIGD"] = &(modelStruct.d_modelPar_AIGD_dX);
modelStruct.modelPar_LAIGD=mod.LAIGD;
modelStruct.d_modelPar_LAIGD_dX=0.0;
modelStruct.modelPar_given_LAIGD=mod.given("LAIGD");
modParamMap["LAIGD"] = &(modelStruct.d_modelPar_LAIGD_dX);
modelStruct.modelPar_NAIGD=mod.NAIGD;
modelStruct.d_modelPar_NAIGD_dX=0.0;
modelStruct.modelPar_given_NAIGD=mod.given("NAIGD");
modParamMap["NAIGD"] = &(modelStruct.d_modelPar_NAIGD_dX);
modelStruct.modelPar_PAIGD=mod.PAIGD;
modelStruct.d_modelPar_PAIGD_dX=0.0;
modelStruct.modelPar_given_PAIGD=mod.given("PAIGD");
modParamMap["PAIGD"] = &(modelStruct.d_modelPar_PAIGD_dX);
modelStruct.modelPar_WAIGD=mod.WAIGD;
modelStruct.d_modelPar_WAIGD_dX=0.0;
modelStruct.modelPar_given_WAIGD=mod.given("WAIGD");
modParamMap["WAIGD"] = &(modelStruct.d_modelPar_WAIGD_dX);
modelStruct.modelPar_P2AIGD=mod.P2AIGD;
modelStruct.d_modelPar_P2AIGD_dX=0.0;
modelStruct.modelPar_given_P2AIGD=mod.given("P2AIGD");
modParamMap["P2AIGD"] = &(modelStruct.d_modelPar_P2AIGD_dX);
modelStruct.modelPar_AIGD1=mod.AIGD1;
modelStruct.d_modelPar_AIGD1_dX=0.0;
modelStruct.modelPar_given_AIGD1=mod.given("AIGD1");
modParamMap["AIGD1"] = &(modelStruct.d_modelPar_AIGD1_dX);
modelStruct.modelPar_LAIGD1=mod.LAIGD1;
modelStruct.d_modelPar_LAIGD1_dX=0.0;
modelStruct.modelPar_given_LAIGD1=mod.given("LAIGD1");
modParamMap["LAIGD1"] = &(modelStruct.d_modelPar_LAIGD1_dX);
modelStruct.modelPar_NAIGD1=mod.NAIGD1;
modelStruct.d_modelPar_NAIGD1_dX=0.0;
modelStruct.modelPar_given_NAIGD1=mod.given("NAIGD1");
modParamMap["NAIGD1"] = &(modelStruct.d_modelPar_NAIGD1_dX);
modelStruct.modelPar_PAIGD1=mod.PAIGD1;
modelStruct.d_modelPar_PAIGD1_dX=0.0;
modelStruct.modelPar_given_PAIGD1=mod.given("PAIGD1");
modParamMap["PAIGD1"] = &(modelStruct.d_modelPar_PAIGD1_dX);
modelStruct.modelPar_WAIGD1=mod.WAIGD1;
modelStruct.d_modelPar_WAIGD1_dX=0.0;
modelStruct.modelPar_given_WAIGD1=mod.given("WAIGD1");
modParamMap["WAIGD1"] = &(modelStruct.d_modelPar_WAIGD1_dX);
modelStruct.modelPar_P2AIGD1=mod.P2AIGD1;
modelStruct.d_modelPar_P2AIGD1_dX=0.0;
modelStruct.modelPar_given_P2AIGD1=mod.given("P2AIGD1");
modParamMap["P2AIGD1"] = &(modelStruct.d_modelPar_P2AIGD1_dX);
modelStruct.modelPar_BIGD=mod.BIGD;
modelStruct.d_modelPar_BIGD_dX=0.0;
modelStruct.modelPar_given_BIGD=mod.given("BIGD");
modParamMap["BIGD"] = &(modelStruct.d_modelPar_BIGD_dX);
modelStruct.modelPar_LBIGD=mod.LBIGD;
modelStruct.d_modelPar_LBIGD_dX=0.0;
modelStruct.modelPar_given_LBIGD=mod.given("LBIGD");
modParamMap["LBIGD"] = &(modelStruct.d_modelPar_LBIGD_dX);
modelStruct.modelPar_NBIGD=mod.NBIGD;
modelStruct.d_modelPar_NBIGD_dX=0.0;
modelStruct.modelPar_given_NBIGD=mod.given("NBIGD");
modParamMap["NBIGD"] = &(modelStruct.d_modelPar_NBIGD_dX);
modelStruct.modelPar_PBIGD=mod.PBIGD;
modelStruct.d_modelPar_PBIGD_dX=0.0;
modelStruct.modelPar_given_PBIGD=mod.given("PBIGD");
modParamMap["PBIGD"] = &(modelStruct.d_modelPar_PBIGD_dX);
modelStruct.modelPar_WBIGD=mod.WBIGD;
modelStruct.d_modelPar_WBIGD_dX=0.0;
modelStruct.modelPar_given_WBIGD=mod.given("WBIGD");
modParamMap["WBIGD"] = &(modelStruct.d_modelPar_WBIGD_dX);
modelStruct.modelPar_P2BIGD=mod.P2BIGD;
modelStruct.d_modelPar_P2BIGD_dX=0.0;
modelStruct.modelPar_given_P2BIGD=mod.given("P2BIGD");
modParamMap["P2BIGD"] = &(modelStruct.d_modelPar_P2BIGD_dX);
modelStruct.modelPar_CIGD=mod.CIGD;
modelStruct.d_modelPar_CIGD_dX=0.0;
modelStruct.modelPar_given_CIGD=mod.given("CIGD");
modParamMap["CIGD"] = &(modelStruct.d_modelPar_CIGD_dX);
modelStruct.modelPar_LCIGD=mod.LCIGD;
modelStruct.d_modelPar_LCIGD_dX=0.0;
modelStruct.modelPar_given_LCIGD=mod.given("LCIGD");
modParamMap["LCIGD"] = &(modelStruct.d_modelPar_LCIGD_dX);
modelStruct.modelPar_NCIGD=mod.NCIGD;
modelStruct.d_modelPar_NCIGD_dX=0.0;
modelStruct.modelPar_given_NCIGD=mod.given("NCIGD");
modParamMap["NCIGD"] = &(modelStruct.d_modelPar_NCIGD_dX);
modelStruct.modelPar_PCIGD=mod.PCIGD;
modelStruct.d_modelPar_PCIGD_dX=0.0;
modelStruct.modelPar_given_PCIGD=mod.given("PCIGD");
modParamMap["PCIGD"] = &(modelStruct.d_modelPar_PCIGD_dX);
modelStruct.modelPar_WCIGD=mod.WCIGD;
modelStruct.d_modelPar_WCIGD_dX=0.0;
modelStruct.modelPar_given_WCIGD=mod.given("WCIGD");
modParamMap["WCIGD"] = &(modelStruct.d_modelPar_WCIGD_dX);
modelStruct.modelPar_P2CIGD=mod.P2CIGD;
modelStruct.d_modelPar_P2CIGD_dX=0.0;
modelStruct.modelPar_given_P2CIGD=mod.given("P2CIGD");
modParamMap["P2CIGD"] = &(modelStruct.d_modelPar_P2CIGD_dX);
modelStruct.modelPar_POXEDGE=mod.POXEDGE;
modelStruct.d_modelPar_POXEDGE_dX=0.0;
modelStruct.modelPar_given_POXEDGE=mod.given("POXEDGE");
modParamMap["POXEDGE"] = &(modelStruct.d_modelPar_POXEDGE_dX);
modelStruct.modelPar_LPOXEDGE=mod.LPOXEDGE;
modelStruct.d_modelPar_LPOXEDGE_dX=0.0;
modelStruct.modelPar_given_LPOXEDGE=mod.given("LPOXEDGE");
modParamMap["LPOXEDGE"] = &(modelStruct.d_modelPar_LPOXEDGE_dX);
modelStruct.modelPar_NPOXEDGE=mod.NPOXEDGE;
modelStruct.d_modelPar_NPOXEDGE_dX=0.0;
modelStruct.modelPar_given_NPOXEDGE=mod.given("NPOXEDGE");
modParamMap["NPOXEDGE"] = &(modelStruct.d_modelPar_NPOXEDGE_dX);
modelStruct.modelPar_PPOXEDGE=mod.PPOXEDGE;
modelStruct.d_modelPar_PPOXEDGE_dX=0.0;
modelStruct.modelPar_given_PPOXEDGE=mod.given("PPOXEDGE");
modParamMap["PPOXEDGE"] = &(modelStruct.d_modelPar_PPOXEDGE_dX);
modelStruct.modelPar_WPOXEDGE=mod.WPOXEDGE;
modelStruct.d_modelPar_WPOXEDGE_dX=0.0;
modelStruct.modelPar_given_WPOXEDGE=mod.given("WPOXEDGE");
modParamMap["WPOXEDGE"] = &(modelStruct.d_modelPar_WPOXEDGE_dX);
modelStruct.modelPar_P2POXEDGE=mod.P2POXEDGE;
modelStruct.d_modelPar_P2POXEDGE_dX=0.0;
modelStruct.modelPar_given_P2POXEDGE=mod.given("P2POXEDGE");
modParamMap["P2POXEDGE"] = &(modelStruct.d_modelPar_P2POXEDGE_dX);
modelStruct.modelPar_AGIDL=mod.AGIDL;
modelStruct.d_modelPar_AGIDL_dX=0.0;
modelStruct.modelPar_given_AGIDL=mod.given("AGIDL");
modParamMap["AGIDL"] = &(modelStruct.d_modelPar_AGIDL_dX);
modelStruct.modelPar_LAGIDL=mod.LAGIDL;
modelStruct.d_modelPar_LAGIDL_dX=0.0;
modelStruct.modelPar_given_LAGIDL=mod.given("LAGIDL");
modParamMap["LAGIDL"] = &(modelStruct.d_modelPar_LAGIDL_dX);
modelStruct.modelPar_NAGIDL=mod.NAGIDL;
modelStruct.d_modelPar_NAGIDL_dX=0.0;
modelStruct.modelPar_given_NAGIDL=mod.given("NAGIDL");
modParamMap["NAGIDL"] = &(modelStruct.d_modelPar_NAGIDL_dX);
modelStruct.modelPar_PAGIDL=mod.PAGIDL;
modelStruct.d_modelPar_PAGIDL_dX=0.0;
modelStruct.modelPar_given_PAGIDL=mod.given("PAGIDL");
modParamMap["PAGIDL"] = &(modelStruct.d_modelPar_PAGIDL_dX);
modelStruct.modelPar_WAGIDL=mod.WAGIDL;
modelStruct.d_modelPar_WAGIDL_dX=0.0;
modelStruct.modelPar_given_WAGIDL=mod.given("WAGIDL");
modParamMap["WAGIDL"] = &(modelStruct.d_modelPar_WAGIDL_dX);
modelStruct.modelPar_P2AGIDL=mod.P2AGIDL;
modelStruct.d_modelPar_P2AGIDL_dX=0.0;
modelStruct.modelPar_given_P2AGIDL=mod.given("P2AGIDL");
modParamMap["P2AGIDL"] = &(modelStruct.d_modelPar_P2AGIDL_dX);
modelStruct.modelPar_BGIDL=mod.BGIDL;
modelStruct.d_modelPar_BGIDL_dX=0.0;
modelStruct.modelPar_given_BGIDL=mod.given("BGIDL");
modParamMap["BGIDL"] = &(modelStruct.d_modelPar_BGIDL_dX);
modelStruct.modelPar_LBGIDL=mod.LBGIDL;
modelStruct.d_modelPar_LBGIDL_dX=0.0;
modelStruct.modelPar_given_LBGIDL=mod.given("LBGIDL");
modParamMap["LBGIDL"] = &(modelStruct.d_modelPar_LBGIDL_dX);
modelStruct.modelPar_NBGIDL=mod.NBGIDL;
modelStruct.d_modelPar_NBGIDL_dX=0.0;
modelStruct.modelPar_given_NBGIDL=mod.given("NBGIDL");
modParamMap["NBGIDL"] = &(modelStruct.d_modelPar_NBGIDL_dX);
modelStruct.modelPar_PBGIDL=mod.PBGIDL;
modelStruct.d_modelPar_PBGIDL_dX=0.0;
modelStruct.modelPar_given_PBGIDL=mod.given("PBGIDL");
modParamMap["PBGIDL"] = &(modelStruct.d_modelPar_PBGIDL_dX);
modelStruct.modelPar_WBGIDL=mod.WBGIDL;
modelStruct.d_modelPar_WBGIDL_dX=0.0;
modelStruct.modelPar_given_WBGIDL=mod.given("WBGIDL");
modParamMap["WBGIDL"] = &(modelStruct.d_modelPar_WBGIDL_dX);
modelStruct.modelPar_P2BGIDL=mod.P2BGIDL;
modelStruct.d_modelPar_P2BGIDL_dX=0.0;
modelStruct.modelPar_given_P2BGIDL=mod.given("P2BGIDL");
modParamMap["P2BGIDL"] = &(modelStruct.d_modelPar_P2BGIDL_dX);
modelStruct.modelPar_CGIDL=mod.CGIDL;
modelStruct.d_modelPar_CGIDL_dX=0.0;
modelStruct.modelPar_given_CGIDL=mod.given("CGIDL");
modParamMap["CGIDL"] = &(modelStruct.d_modelPar_CGIDL_dX);
modelStruct.modelPar_LCGIDL=mod.LCGIDL;
modelStruct.d_modelPar_LCGIDL_dX=0.0;
modelStruct.modelPar_given_LCGIDL=mod.given("LCGIDL");
modParamMap["LCGIDL"] = &(modelStruct.d_modelPar_LCGIDL_dX);
modelStruct.modelPar_NCGIDL=mod.NCGIDL;
modelStruct.d_modelPar_NCGIDL_dX=0.0;
modelStruct.modelPar_given_NCGIDL=mod.given("NCGIDL");
modParamMap["NCGIDL"] = &(modelStruct.d_modelPar_NCGIDL_dX);
modelStruct.modelPar_PCGIDL=mod.PCGIDL;
modelStruct.d_modelPar_PCGIDL_dX=0.0;
modelStruct.modelPar_given_PCGIDL=mod.given("PCGIDL");
modParamMap["PCGIDL"] = &(modelStruct.d_modelPar_PCGIDL_dX);
modelStruct.modelPar_WCGIDL=mod.WCGIDL;
modelStruct.d_modelPar_WCGIDL_dX=0.0;
modelStruct.modelPar_given_WCGIDL=mod.given("WCGIDL");
modParamMap["WCGIDL"] = &(modelStruct.d_modelPar_WCGIDL_dX);
modelStruct.modelPar_P2CGIDL=mod.P2CGIDL;
modelStruct.d_modelPar_P2CGIDL_dX=0.0;
modelStruct.modelPar_given_P2CGIDL=mod.given("P2CGIDL");
modParamMap["P2CGIDL"] = &(modelStruct.d_modelPar_P2CGIDL_dX);
modelStruct.modelPar_EGIDL=mod.EGIDL;
modelStruct.d_modelPar_EGIDL_dX=0.0;
modelStruct.modelPar_given_EGIDL=mod.given("EGIDL");
modParamMap["EGIDL"] = &(modelStruct.d_modelPar_EGIDL_dX);
modelStruct.modelPar_LEGIDL=mod.LEGIDL;
modelStruct.d_modelPar_LEGIDL_dX=0.0;
modelStruct.modelPar_given_LEGIDL=mod.given("LEGIDL");
modParamMap["LEGIDL"] = &(modelStruct.d_modelPar_LEGIDL_dX);
modelStruct.modelPar_NEGIDL=mod.NEGIDL;
modelStruct.d_modelPar_NEGIDL_dX=0.0;
modelStruct.modelPar_given_NEGIDL=mod.given("NEGIDL");
modParamMap["NEGIDL"] = &(modelStruct.d_modelPar_NEGIDL_dX);
modelStruct.modelPar_PEGIDL=mod.PEGIDL;
modelStruct.d_modelPar_PEGIDL_dX=0.0;
modelStruct.modelPar_given_PEGIDL=mod.given("PEGIDL");
modParamMap["PEGIDL"] = &(modelStruct.d_modelPar_PEGIDL_dX);
modelStruct.modelPar_WEGIDL=mod.WEGIDL;
modelStruct.d_modelPar_WEGIDL_dX=0.0;
modelStruct.modelPar_given_WEGIDL=mod.given("WEGIDL");
modParamMap["WEGIDL"] = &(modelStruct.d_modelPar_WEGIDL_dX);
modelStruct.modelPar_P2EGIDL=mod.P2EGIDL;
modelStruct.d_modelPar_P2EGIDL_dX=0.0;
modelStruct.modelPar_given_P2EGIDL=mod.given("P2EGIDL");
modParamMap["P2EGIDL"] = &(modelStruct.d_modelPar_P2EGIDL_dX);
modelStruct.modelPar_PGIDL=mod.PGIDL;
modelStruct.d_modelPar_PGIDL_dX=0.0;
modelStruct.modelPar_given_PGIDL=mod.given("PGIDL");
modParamMap["PGIDL"] = &(modelStruct.d_modelPar_PGIDL_dX);
modelStruct.modelPar_LPGIDL=mod.LPGIDL;
modelStruct.d_modelPar_LPGIDL_dX=0.0;
modelStruct.modelPar_given_LPGIDL=mod.given("LPGIDL");
modParamMap["LPGIDL"] = &(modelStruct.d_modelPar_LPGIDL_dX);
modelStruct.modelPar_NPGIDL=mod.NPGIDL;
modelStruct.d_modelPar_NPGIDL_dX=0.0;
modelStruct.modelPar_given_NPGIDL=mod.given("NPGIDL");
modParamMap["NPGIDL"] = &(modelStruct.d_modelPar_NPGIDL_dX);
modelStruct.modelPar_PPGIDL=mod.PPGIDL;
modelStruct.d_modelPar_PPGIDL_dX=0.0;
modelStruct.modelPar_given_PPGIDL=mod.given("PPGIDL");
modParamMap["PPGIDL"] = &(modelStruct.d_modelPar_PPGIDL_dX);
modelStruct.modelPar_WPGIDL=mod.WPGIDL;
modelStruct.d_modelPar_WPGIDL_dX=0.0;
modelStruct.modelPar_given_WPGIDL=mod.given("WPGIDL");
modParamMap["WPGIDL"] = &(modelStruct.d_modelPar_WPGIDL_dX);
modelStruct.modelPar_P2PGIDL=mod.P2PGIDL;
modelStruct.d_modelPar_P2PGIDL_dX=0.0;
modelStruct.modelPar_given_P2PGIDL=mod.given("P2PGIDL");
modParamMap["P2PGIDL"] = &(modelStruct.d_modelPar_P2PGIDL_dX);
modelStruct.modelPar_AGISL=mod.AGISL;
modelStruct.d_modelPar_AGISL_dX=0.0;
modelStruct.modelPar_given_AGISL=mod.given("AGISL");
modParamMap["AGISL"] = &(modelStruct.d_modelPar_AGISL_dX);
modelStruct.modelPar_LAGISL=mod.LAGISL;
modelStruct.d_modelPar_LAGISL_dX=0.0;
modelStruct.modelPar_given_LAGISL=mod.given("LAGISL");
modParamMap["LAGISL"] = &(modelStruct.d_modelPar_LAGISL_dX);
modelStruct.modelPar_NAGISL=mod.NAGISL;
modelStruct.d_modelPar_NAGISL_dX=0.0;
modelStruct.modelPar_given_NAGISL=mod.given("NAGISL");
modParamMap["NAGISL"] = &(modelStruct.d_modelPar_NAGISL_dX);
modelStruct.modelPar_PAGISL=mod.PAGISL;
modelStruct.d_modelPar_PAGISL_dX=0.0;
modelStruct.modelPar_given_PAGISL=mod.given("PAGISL");
modParamMap["PAGISL"] = &(modelStruct.d_modelPar_PAGISL_dX);
modelStruct.modelPar_WAGISL=mod.WAGISL;
modelStruct.d_modelPar_WAGISL_dX=0.0;
modelStruct.modelPar_given_WAGISL=mod.given("WAGISL");
modParamMap["WAGISL"] = &(modelStruct.d_modelPar_WAGISL_dX);
modelStruct.modelPar_P2AGISL=mod.P2AGISL;
modelStruct.d_modelPar_P2AGISL_dX=0.0;
modelStruct.modelPar_given_P2AGISL=mod.given("P2AGISL");
modParamMap["P2AGISL"] = &(modelStruct.d_modelPar_P2AGISL_dX);
modelStruct.modelPar_BGISL=mod.BGISL;
modelStruct.d_modelPar_BGISL_dX=0.0;
modelStruct.modelPar_given_BGISL=mod.given("BGISL");
modParamMap["BGISL"] = &(modelStruct.d_modelPar_BGISL_dX);
modelStruct.modelPar_LBGISL=mod.LBGISL;
modelStruct.d_modelPar_LBGISL_dX=0.0;
modelStruct.modelPar_given_LBGISL=mod.given("LBGISL");
modParamMap["LBGISL"] = &(modelStruct.d_modelPar_LBGISL_dX);
modelStruct.modelPar_NBGISL=mod.NBGISL;
modelStruct.d_modelPar_NBGISL_dX=0.0;
modelStruct.modelPar_given_NBGISL=mod.given("NBGISL");
modParamMap["NBGISL"] = &(modelStruct.d_modelPar_NBGISL_dX);
modelStruct.modelPar_PBGISL=mod.PBGISL;
modelStruct.d_modelPar_PBGISL_dX=0.0;
modelStruct.modelPar_given_PBGISL=mod.given("PBGISL");
modParamMap["PBGISL"] = &(modelStruct.d_modelPar_PBGISL_dX);
modelStruct.modelPar_WBGISL=mod.WBGISL;
modelStruct.d_modelPar_WBGISL_dX=0.0;
modelStruct.modelPar_given_WBGISL=mod.given("WBGISL");
modParamMap["WBGISL"] = &(modelStruct.d_modelPar_WBGISL_dX);
modelStruct.modelPar_P2BGISL=mod.P2BGISL;
modelStruct.d_modelPar_P2BGISL_dX=0.0;
modelStruct.modelPar_given_P2BGISL=mod.given("P2BGISL");
modParamMap["P2BGISL"] = &(modelStruct.d_modelPar_P2BGISL_dX);
modelStruct.modelPar_CGISL=mod.CGISL;
modelStruct.d_modelPar_CGISL_dX=0.0;
modelStruct.modelPar_given_CGISL=mod.given("CGISL");
modParamMap["CGISL"] = &(modelStruct.d_modelPar_CGISL_dX);
modelStruct.modelPar_LCGISL=mod.LCGISL;
modelStruct.d_modelPar_LCGISL_dX=0.0;
modelStruct.modelPar_given_LCGISL=mod.given("LCGISL");
modParamMap["LCGISL"] = &(modelStruct.d_modelPar_LCGISL_dX);
modelStruct.modelPar_NCGISL=mod.NCGISL;
modelStruct.d_modelPar_NCGISL_dX=0.0;
modelStruct.modelPar_given_NCGISL=mod.given("NCGISL");
modParamMap["NCGISL"] = &(modelStruct.d_modelPar_NCGISL_dX);
modelStruct.modelPar_PCGISL=mod.PCGISL;
modelStruct.d_modelPar_PCGISL_dX=0.0;
modelStruct.modelPar_given_PCGISL=mod.given("PCGISL");
modParamMap["PCGISL"] = &(modelStruct.d_modelPar_PCGISL_dX);
modelStruct.modelPar_WCGISL=mod.WCGISL;
modelStruct.d_modelPar_WCGISL_dX=0.0;
modelStruct.modelPar_given_WCGISL=mod.given("WCGISL");
modParamMap["WCGISL"] = &(modelStruct.d_modelPar_WCGISL_dX);
modelStruct.modelPar_P2CGISL=mod.P2CGISL;
modelStruct.d_modelPar_P2CGISL_dX=0.0;
modelStruct.modelPar_given_P2CGISL=mod.given("P2CGISL");
modParamMap["P2CGISL"] = &(modelStruct.d_modelPar_P2CGISL_dX);
modelStruct.modelPar_EGISL=mod.EGISL;
modelStruct.d_modelPar_EGISL_dX=0.0;
modelStruct.modelPar_given_EGISL=mod.given("EGISL");
modParamMap["EGISL"] = &(modelStruct.d_modelPar_EGISL_dX);
modelStruct.modelPar_LEGISL=mod.LEGISL;
modelStruct.d_modelPar_LEGISL_dX=0.0;
modelStruct.modelPar_given_LEGISL=mod.given("LEGISL");
modParamMap["LEGISL"] = &(modelStruct.d_modelPar_LEGISL_dX);
modelStruct.modelPar_NEGISL=mod.NEGISL;
modelStruct.d_modelPar_NEGISL_dX=0.0;
modelStruct.modelPar_given_NEGISL=mod.given("NEGISL");
modParamMap["NEGISL"] = &(modelStruct.d_modelPar_NEGISL_dX);
modelStruct.modelPar_PEGISL=mod.PEGISL;
modelStruct.d_modelPar_PEGISL_dX=0.0;
modelStruct.modelPar_given_PEGISL=mod.given("PEGISL");
modParamMap["PEGISL"] = &(modelStruct.d_modelPar_PEGISL_dX);
modelStruct.modelPar_WEGISL=mod.WEGISL;
modelStruct.d_modelPar_WEGISL_dX=0.0;
modelStruct.modelPar_given_WEGISL=mod.given("WEGISL");
modParamMap["WEGISL"] = &(modelStruct.d_modelPar_WEGISL_dX);
modelStruct.modelPar_P2EGISL=mod.P2EGISL;
modelStruct.d_modelPar_P2EGISL_dX=0.0;
modelStruct.modelPar_given_P2EGISL=mod.given("P2EGISL");
modParamMap["P2EGISL"] = &(modelStruct.d_modelPar_P2EGISL_dX);
modelStruct.modelPar_PGISL=mod.PGISL;
modelStruct.d_modelPar_PGISL_dX=0.0;
modelStruct.modelPar_given_PGISL=mod.given("PGISL");
modParamMap["PGISL"] = &(modelStruct.d_modelPar_PGISL_dX);
modelStruct.modelPar_LPGISL=mod.LPGISL;
modelStruct.d_modelPar_LPGISL_dX=0.0;
modelStruct.modelPar_given_LPGISL=mod.given("LPGISL");
modParamMap["LPGISL"] = &(modelStruct.d_modelPar_LPGISL_dX);
modelStruct.modelPar_NPGISL=mod.NPGISL;
modelStruct.d_modelPar_NPGISL_dX=0.0;
modelStruct.modelPar_given_NPGISL=mod.given("NPGISL");
modParamMap["NPGISL"] = &(modelStruct.d_modelPar_NPGISL_dX);
modelStruct.modelPar_PPGISL=mod.PPGISL;
modelStruct.d_modelPar_PPGISL_dX=0.0;
modelStruct.modelPar_given_PPGISL=mod.given("PPGISL");
modParamMap["PPGISL"] = &(modelStruct.d_modelPar_PPGISL_dX);
modelStruct.modelPar_WPGISL=mod.WPGISL;
modelStruct.d_modelPar_WPGISL_dX=0.0;
modelStruct.modelPar_given_WPGISL=mod.given("WPGISL");
modParamMap["WPGISL"] = &(modelStruct.d_modelPar_WPGISL_dX);
modelStruct.modelPar_P2PGISL=mod.P2PGISL;
modelStruct.d_modelPar_P2PGISL_dX=0.0;
modelStruct.modelPar_given_P2PGISL=mod.given("P2PGISL");
modParamMap["P2PGISL"] = &(modelStruct.d_modelPar_P2PGISL_dX);
modelStruct.modelPar_AGIDLB=mod.AGIDLB;
modelStruct.d_modelPar_AGIDLB_dX=0.0;
modelStruct.modelPar_given_AGIDLB=mod.given("AGIDLB");
modParamMap["AGIDLB"] = &(modelStruct.d_modelPar_AGIDLB_dX);
modelStruct.modelPar_LAGIDLB=mod.LAGIDLB;
modelStruct.d_modelPar_LAGIDLB_dX=0.0;
modelStruct.modelPar_given_LAGIDLB=mod.given("LAGIDLB");
modParamMap["LAGIDLB"] = &(modelStruct.d_modelPar_LAGIDLB_dX);
modelStruct.modelPar_NAGIDLB=mod.NAGIDLB;
modelStruct.d_modelPar_NAGIDLB_dX=0.0;
modelStruct.modelPar_given_NAGIDLB=mod.given("NAGIDLB");
modParamMap["NAGIDLB"] = &(modelStruct.d_modelPar_NAGIDLB_dX);
modelStruct.modelPar_PAGIDLB=mod.PAGIDLB;
modelStruct.d_modelPar_PAGIDLB_dX=0.0;
modelStruct.modelPar_given_PAGIDLB=mod.given("PAGIDLB");
modParamMap["PAGIDLB"] = &(modelStruct.d_modelPar_PAGIDLB_dX);
modelStruct.modelPar_WAGIDLB=mod.WAGIDLB;
modelStruct.d_modelPar_WAGIDLB_dX=0.0;
modelStruct.modelPar_given_WAGIDLB=mod.given("WAGIDLB");
modParamMap["WAGIDLB"] = &(modelStruct.d_modelPar_WAGIDLB_dX);
modelStruct.modelPar_P2AGIDLB=mod.P2AGIDLB;
modelStruct.d_modelPar_P2AGIDLB_dX=0.0;
modelStruct.modelPar_given_P2AGIDLB=mod.given("P2AGIDLB");
modParamMap["P2AGIDLB"] = &(modelStruct.d_modelPar_P2AGIDLB_dX);
modelStruct.modelPar_BGIDLB=mod.BGIDLB;
modelStruct.d_modelPar_BGIDLB_dX=0.0;
modelStruct.modelPar_given_BGIDLB=mod.given("BGIDLB");
modParamMap["BGIDLB"] = &(modelStruct.d_modelPar_BGIDLB_dX);
modelStruct.modelPar_LBGIDLB=mod.LBGIDLB;
modelStruct.d_modelPar_LBGIDLB_dX=0.0;
modelStruct.modelPar_given_LBGIDLB=mod.given("LBGIDLB");
modParamMap["LBGIDLB"] = &(modelStruct.d_modelPar_LBGIDLB_dX);
modelStruct.modelPar_NBGIDLB=mod.NBGIDLB;
modelStruct.d_modelPar_NBGIDLB_dX=0.0;
modelStruct.modelPar_given_NBGIDLB=mod.given("NBGIDLB");
modParamMap["NBGIDLB"] = &(modelStruct.d_modelPar_NBGIDLB_dX);
modelStruct.modelPar_PBGIDLB=mod.PBGIDLB;
modelStruct.d_modelPar_PBGIDLB_dX=0.0;
modelStruct.modelPar_given_PBGIDLB=mod.given("PBGIDLB");
modParamMap["PBGIDLB"] = &(modelStruct.d_modelPar_PBGIDLB_dX);
modelStruct.modelPar_WBGIDLB=mod.WBGIDLB;
modelStruct.d_modelPar_WBGIDLB_dX=0.0;
modelStruct.modelPar_given_WBGIDLB=mod.given("WBGIDLB");
modParamMap["WBGIDLB"] = &(modelStruct.d_modelPar_WBGIDLB_dX);
modelStruct.modelPar_P2BGIDLB=mod.P2BGIDLB;
modelStruct.d_modelPar_P2BGIDLB_dX=0.0;
modelStruct.modelPar_given_P2BGIDLB=mod.given("P2BGIDLB");
modParamMap["P2BGIDLB"] = &(modelStruct.d_modelPar_P2BGIDLB_dX);
modelStruct.modelPar_CGIDLB=mod.CGIDLB;
modelStruct.d_modelPar_CGIDLB_dX=0.0;
modelStruct.modelPar_given_CGIDLB=mod.given("CGIDLB");
modParamMap["CGIDLB"] = &(modelStruct.d_modelPar_CGIDLB_dX);
modelStruct.modelPar_LCGIDLB=mod.LCGIDLB;
modelStruct.d_modelPar_LCGIDLB_dX=0.0;
modelStruct.modelPar_given_LCGIDLB=mod.given("LCGIDLB");
modParamMap["LCGIDLB"] = &(modelStruct.d_modelPar_LCGIDLB_dX);
modelStruct.modelPar_NCGIDLB=mod.NCGIDLB;
modelStruct.d_modelPar_NCGIDLB_dX=0.0;
modelStruct.modelPar_given_NCGIDLB=mod.given("NCGIDLB");
modParamMap["NCGIDLB"] = &(modelStruct.d_modelPar_NCGIDLB_dX);
modelStruct.modelPar_PCGIDLB=mod.PCGIDLB;
modelStruct.d_modelPar_PCGIDLB_dX=0.0;
modelStruct.modelPar_given_PCGIDLB=mod.given("PCGIDLB");
modParamMap["PCGIDLB"] = &(modelStruct.d_modelPar_PCGIDLB_dX);
modelStruct.modelPar_WCGIDLB=mod.WCGIDLB;
modelStruct.d_modelPar_WCGIDLB_dX=0.0;
modelStruct.modelPar_given_WCGIDLB=mod.given("WCGIDLB");
modParamMap["WCGIDLB"] = &(modelStruct.d_modelPar_WCGIDLB_dX);
modelStruct.modelPar_P2CGIDLB=mod.P2CGIDLB;
modelStruct.d_modelPar_P2CGIDLB_dX=0.0;
modelStruct.modelPar_given_P2CGIDLB=mod.given("P2CGIDLB");
modParamMap["P2CGIDLB"] = &(modelStruct.d_modelPar_P2CGIDLB_dX);
modelStruct.modelPar_EGIDLB=mod.EGIDLB;
modelStruct.d_modelPar_EGIDLB_dX=0.0;
modelStruct.modelPar_given_EGIDLB=mod.given("EGIDLB");
modParamMap["EGIDLB"] = &(modelStruct.d_modelPar_EGIDLB_dX);
modelStruct.modelPar_LEGIDLB=mod.LEGIDLB;
modelStruct.d_modelPar_LEGIDLB_dX=0.0;
modelStruct.modelPar_given_LEGIDLB=mod.given("LEGIDLB");
modParamMap["LEGIDLB"] = &(modelStruct.d_modelPar_LEGIDLB_dX);
modelStruct.modelPar_NEGIDLB=mod.NEGIDLB;
modelStruct.d_modelPar_NEGIDLB_dX=0.0;
modelStruct.modelPar_given_NEGIDLB=mod.given("NEGIDLB");
modParamMap["NEGIDLB"] = &(modelStruct.d_modelPar_NEGIDLB_dX);
modelStruct.modelPar_PEGIDLB=mod.PEGIDLB;
modelStruct.d_modelPar_PEGIDLB_dX=0.0;
modelStruct.modelPar_given_PEGIDLB=mod.given("PEGIDLB");
modParamMap["PEGIDLB"] = &(modelStruct.d_modelPar_PEGIDLB_dX);
modelStruct.modelPar_WEGIDLB=mod.WEGIDLB;
modelStruct.d_modelPar_WEGIDLB_dX=0.0;
modelStruct.modelPar_given_WEGIDLB=mod.given("WEGIDLB");
modParamMap["WEGIDLB"] = &(modelStruct.d_modelPar_WEGIDLB_dX);
modelStruct.modelPar_P2EGIDLB=mod.P2EGIDLB;
modelStruct.d_modelPar_P2EGIDLB_dX=0.0;
modelStruct.modelPar_given_P2EGIDLB=mod.given("P2EGIDLB");
modParamMap["P2EGIDLB"] = &(modelStruct.d_modelPar_P2EGIDLB_dX);
modelStruct.modelPar_PGIDLB=mod.PGIDLB;
modelStruct.d_modelPar_PGIDLB_dX=0.0;
modelStruct.modelPar_given_PGIDLB=mod.given("PGIDLB");
modParamMap["PGIDLB"] = &(modelStruct.d_modelPar_PGIDLB_dX);
modelStruct.modelPar_LPGIDLB=mod.LPGIDLB;
modelStruct.d_modelPar_LPGIDLB_dX=0.0;
modelStruct.modelPar_given_LPGIDLB=mod.given("LPGIDLB");
modParamMap["LPGIDLB"] = &(modelStruct.d_modelPar_LPGIDLB_dX);
modelStruct.modelPar_NPGIDLB=mod.NPGIDLB;
modelStruct.d_modelPar_NPGIDLB_dX=0.0;
modelStruct.modelPar_given_NPGIDLB=mod.given("NPGIDLB");
modParamMap["NPGIDLB"] = &(modelStruct.d_modelPar_NPGIDLB_dX);
modelStruct.modelPar_PPGIDLB=mod.PPGIDLB;
modelStruct.d_modelPar_PPGIDLB_dX=0.0;
modelStruct.modelPar_given_PPGIDLB=mod.given("PPGIDLB");
modParamMap["PPGIDLB"] = &(modelStruct.d_modelPar_PPGIDLB_dX);
modelStruct.modelPar_WPGIDLB=mod.WPGIDLB;
modelStruct.d_modelPar_WPGIDLB_dX=0.0;
modelStruct.modelPar_given_WPGIDLB=mod.given("WPGIDLB");
modParamMap["WPGIDLB"] = &(modelStruct.d_modelPar_WPGIDLB_dX);
modelStruct.modelPar_P2PGIDLB=mod.P2PGIDLB;
modelStruct.d_modelPar_P2PGIDLB_dX=0.0;
modelStruct.modelPar_given_P2PGIDLB=mod.given("P2PGIDLB");
modParamMap["P2PGIDLB"] = &(modelStruct.d_modelPar_P2PGIDLB_dX);
modelStruct.modelPar_AGISLB=mod.AGISLB;
modelStruct.d_modelPar_AGISLB_dX=0.0;
modelStruct.modelPar_given_AGISLB=mod.given("AGISLB");
modParamMap["AGISLB"] = &(modelStruct.d_modelPar_AGISLB_dX);
modelStruct.modelPar_LAGISLB=mod.LAGISLB;
modelStruct.d_modelPar_LAGISLB_dX=0.0;
modelStruct.modelPar_given_LAGISLB=mod.given("LAGISLB");
modParamMap["LAGISLB"] = &(modelStruct.d_modelPar_LAGISLB_dX);
modelStruct.modelPar_NAGISLB=mod.NAGISLB;
modelStruct.d_modelPar_NAGISLB_dX=0.0;
modelStruct.modelPar_given_NAGISLB=mod.given("NAGISLB");
modParamMap["NAGISLB"] = &(modelStruct.d_modelPar_NAGISLB_dX);
modelStruct.modelPar_PAGISLB=mod.PAGISLB;
modelStruct.d_modelPar_PAGISLB_dX=0.0;
modelStruct.modelPar_given_PAGISLB=mod.given("PAGISLB");
modParamMap["PAGISLB"] = &(modelStruct.d_modelPar_PAGISLB_dX);
modelStruct.modelPar_WAGISLB=mod.WAGISLB;
modelStruct.d_modelPar_WAGISLB_dX=0.0;
modelStruct.modelPar_given_WAGISLB=mod.given("WAGISLB");
modParamMap["WAGISLB"] = &(modelStruct.d_modelPar_WAGISLB_dX);
modelStruct.modelPar_P2AGISLB=mod.P2AGISLB;
modelStruct.d_modelPar_P2AGISLB_dX=0.0;
modelStruct.modelPar_given_P2AGISLB=mod.given("P2AGISLB");
modParamMap["P2AGISLB"] = &(modelStruct.d_modelPar_P2AGISLB_dX);
modelStruct.modelPar_BGISLB=mod.BGISLB;
modelStruct.d_modelPar_BGISLB_dX=0.0;
modelStruct.modelPar_given_BGISLB=mod.given("BGISLB");
modParamMap["BGISLB"] = &(modelStruct.d_modelPar_BGISLB_dX);
modelStruct.modelPar_LBGISLB=mod.LBGISLB;
modelStruct.d_modelPar_LBGISLB_dX=0.0;
modelStruct.modelPar_given_LBGISLB=mod.given("LBGISLB");
modParamMap["LBGISLB"] = &(modelStruct.d_modelPar_LBGISLB_dX);
modelStruct.modelPar_NBGISLB=mod.NBGISLB;
modelStruct.d_modelPar_NBGISLB_dX=0.0;
modelStruct.modelPar_given_NBGISLB=mod.given("NBGISLB");
modParamMap["NBGISLB"] = &(modelStruct.d_modelPar_NBGISLB_dX);
modelStruct.modelPar_PBGISLB=mod.PBGISLB;
modelStruct.d_modelPar_PBGISLB_dX=0.0;
modelStruct.modelPar_given_PBGISLB=mod.given("PBGISLB");
modParamMap["PBGISLB"] = &(modelStruct.d_modelPar_PBGISLB_dX);
modelStruct.modelPar_WBGISLB=mod.WBGISLB;
modelStruct.d_modelPar_WBGISLB_dX=0.0;
modelStruct.modelPar_given_WBGISLB=mod.given("WBGISLB");
modParamMap["WBGISLB"] = &(modelStruct.d_modelPar_WBGISLB_dX);
modelStruct.modelPar_P2BGISLB=mod.P2BGISLB;
modelStruct.d_modelPar_P2BGISLB_dX=0.0;
modelStruct.modelPar_given_P2BGISLB=mod.given("P2BGISLB");
modParamMap["P2BGISLB"] = &(modelStruct.d_modelPar_P2BGISLB_dX);
modelStruct.modelPar_CGISLB=mod.CGISLB;
modelStruct.d_modelPar_CGISLB_dX=0.0;
modelStruct.modelPar_given_CGISLB=mod.given("CGISLB");
modParamMap["CGISLB"] = &(modelStruct.d_modelPar_CGISLB_dX);
modelStruct.modelPar_LCGISLB=mod.LCGISLB;
modelStruct.d_modelPar_LCGISLB_dX=0.0;
modelStruct.modelPar_given_LCGISLB=mod.given("LCGISLB");
modParamMap["LCGISLB"] = &(modelStruct.d_modelPar_LCGISLB_dX);
modelStruct.modelPar_NCGISLB=mod.NCGISLB;
modelStruct.d_modelPar_NCGISLB_dX=0.0;
modelStruct.modelPar_given_NCGISLB=mod.given("NCGISLB");
modParamMap["NCGISLB"] = &(modelStruct.d_modelPar_NCGISLB_dX);
modelStruct.modelPar_PCGISLB=mod.PCGISLB;
modelStruct.d_modelPar_PCGISLB_dX=0.0;
modelStruct.modelPar_given_PCGISLB=mod.given("PCGISLB");
modParamMap["PCGISLB"] = &(modelStruct.d_modelPar_PCGISLB_dX);
modelStruct.modelPar_WCGISLB=mod.WCGISLB;
modelStruct.d_modelPar_WCGISLB_dX=0.0;
modelStruct.modelPar_given_WCGISLB=mod.given("WCGISLB");
modParamMap["WCGISLB"] = &(modelStruct.d_modelPar_WCGISLB_dX);
modelStruct.modelPar_P2CGISLB=mod.P2CGISLB;
modelStruct.d_modelPar_P2CGISLB_dX=0.0;
modelStruct.modelPar_given_P2CGISLB=mod.given("P2CGISLB");
modParamMap["P2CGISLB"] = &(modelStruct.d_modelPar_P2CGISLB_dX);
modelStruct.modelPar_EGISLB=mod.EGISLB;
modelStruct.d_modelPar_EGISLB_dX=0.0;
modelStruct.modelPar_given_EGISLB=mod.given("EGISLB");
modParamMap["EGISLB"] = &(modelStruct.d_modelPar_EGISLB_dX);
modelStruct.modelPar_LEGISLB=mod.LEGISLB;
modelStruct.d_modelPar_LEGISLB_dX=0.0;
modelStruct.modelPar_given_LEGISLB=mod.given("LEGISLB");
modParamMap["LEGISLB"] = &(modelStruct.d_modelPar_LEGISLB_dX);
modelStruct.modelPar_NEGISLB=mod.NEGISLB;
modelStruct.d_modelPar_NEGISLB_dX=0.0;
modelStruct.modelPar_given_NEGISLB=mod.given("NEGISLB");
modParamMap["NEGISLB"] = &(modelStruct.d_modelPar_NEGISLB_dX);
modelStruct.modelPar_PEGISLB=mod.PEGISLB;
modelStruct.d_modelPar_PEGISLB_dX=0.0;
modelStruct.modelPar_given_PEGISLB=mod.given("PEGISLB");
modParamMap["PEGISLB"] = &(modelStruct.d_modelPar_PEGISLB_dX);
modelStruct.modelPar_WEGISLB=mod.WEGISLB;
modelStruct.d_modelPar_WEGISLB_dX=0.0;
modelStruct.modelPar_given_WEGISLB=mod.given("WEGISLB");
modParamMap["WEGISLB"] = &(modelStruct.d_modelPar_WEGISLB_dX);
modelStruct.modelPar_P2EGISLB=mod.P2EGISLB;
modelStruct.d_modelPar_P2EGISLB_dX=0.0;
modelStruct.modelPar_given_P2EGISLB=mod.given("P2EGISLB");
modParamMap["P2EGISLB"] = &(modelStruct.d_modelPar_P2EGISLB_dX);
modelStruct.modelPar_PGISLB=mod.PGISLB;
modelStruct.d_modelPar_PGISLB_dX=0.0;
modelStruct.modelPar_given_PGISLB=mod.given("PGISLB");
modParamMap["PGISLB"] = &(modelStruct.d_modelPar_PGISLB_dX);
modelStruct.modelPar_LPGISLB=mod.LPGISLB;
modelStruct.d_modelPar_LPGISLB_dX=0.0;
modelStruct.modelPar_given_LPGISLB=mod.given("LPGISLB");
modParamMap["LPGISLB"] = &(modelStruct.d_modelPar_LPGISLB_dX);
modelStruct.modelPar_NPGISLB=mod.NPGISLB;
modelStruct.d_modelPar_NPGISLB_dX=0.0;
modelStruct.modelPar_given_NPGISLB=mod.given("NPGISLB");
modParamMap["NPGISLB"] = &(modelStruct.d_modelPar_NPGISLB_dX);
modelStruct.modelPar_PPGISLB=mod.PPGISLB;
modelStruct.d_modelPar_PPGISLB_dX=0.0;
modelStruct.modelPar_given_PPGISLB=mod.given("PPGISLB");
modParamMap["PPGISLB"] = &(modelStruct.d_modelPar_PPGISLB_dX);
modelStruct.modelPar_WPGISLB=mod.WPGISLB;
modelStruct.d_modelPar_WPGISLB_dX=0.0;
modelStruct.modelPar_given_WPGISLB=mod.given("WPGISLB");
modParamMap["WPGISLB"] = &(modelStruct.d_modelPar_WPGISLB_dX);
modelStruct.modelPar_P2PGISLB=mod.P2PGISLB;
modelStruct.d_modelPar_P2PGISLB_dX=0.0;
modelStruct.modelPar_given_P2PGISLB=mod.given("P2PGISLB");
modParamMap["P2PGISLB"] = &(modelStruct.d_modelPar_P2PGISLB_dX);
modelStruct.modelPar_ALPHA01=mod.ALPHA01;
modelStruct.d_modelPar_ALPHA01_dX=0.0;
modelStruct.modelPar_given_ALPHA01=mod.given("ALPHA01");
modParamMap["ALPHA01"] = &(modelStruct.d_modelPar_ALPHA01_dX);
modelStruct.modelPar_ALPHA11=mod.ALPHA11;
modelStruct.d_modelPar_ALPHA11_dX=0.0;
modelStruct.modelPar_given_ALPHA11=mod.given("ALPHA11");
modParamMap["ALPHA11"] = &(modelStruct.d_modelPar_ALPHA11_dX);
modelStruct.modelPar_ALPHAII01=mod.ALPHAII01;
modelStruct.d_modelPar_ALPHAII01_dX=0.0;
modelStruct.modelPar_given_ALPHAII01=mod.given("ALPHAII01");
modParamMap["ALPHAII01"] = &(modelStruct.d_modelPar_ALPHAII01_dX);
modelStruct.modelPar_ALPHAII11=mod.ALPHAII11;
modelStruct.d_modelPar_ALPHAII11_dX=0.0;
modelStruct.modelPar_given_ALPHAII11=mod.given("ALPHAII11");
modParamMap["ALPHAII11"] = &(modelStruct.d_modelPar_ALPHAII11_dX);
modelStruct.modelPar_IIMOD2CLAMP1=mod.IIMOD2CLAMP1;
modelStruct.d_modelPar_IIMOD2CLAMP1_dX=0.0;
modelStruct.modelPar_given_IIMOD2CLAMP1=mod.given("IIMOD2CLAMP1");
modParamMap["IIMOD2CLAMP1"] = &(modelStruct.d_modelPar_IIMOD2CLAMP1_dX);
modelStruct.modelPar_IIMOD2CLAMP2=mod.IIMOD2CLAMP2;
modelStruct.d_modelPar_IIMOD2CLAMP2_dX=0.0;
modelStruct.modelPar_given_IIMOD2CLAMP2=mod.given("IIMOD2CLAMP2");
modParamMap["IIMOD2CLAMP2"] = &(modelStruct.d_modelPar_IIMOD2CLAMP2_dX);
modelStruct.modelPar_IIMOD2CLAMP3=mod.IIMOD2CLAMP3;
modelStruct.d_modelPar_IIMOD2CLAMP3_dX=0.0;
modelStruct.modelPar_given_IIMOD2CLAMP3=mod.given("IIMOD2CLAMP3");
modParamMap["IIMOD2CLAMP3"] = &(modelStruct.d_modelPar_IIMOD2CLAMP3_dX);
modelStruct.modelPar_ALPHA0=mod.ALPHA0;
modelStruct.d_modelPar_ALPHA0_dX=0.0;
modelStruct.modelPar_given_ALPHA0=mod.given("ALPHA0");
modParamMap["ALPHA0"] = &(modelStruct.d_modelPar_ALPHA0_dX);
modelStruct.modelPar_LALPHA0=mod.LALPHA0;
modelStruct.d_modelPar_LALPHA0_dX=0.0;
modelStruct.modelPar_given_LALPHA0=mod.given("LALPHA0");
modParamMap["LALPHA0"] = &(modelStruct.d_modelPar_LALPHA0_dX);
modelStruct.modelPar_NALPHA0=mod.NALPHA0;
modelStruct.d_modelPar_NALPHA0_dX=0.0;
modelStruct.modelPar_given_NALPHA0=mod.given("NALPHA0");
modParamMap["NALPHA0"] = &(modelStruct.d_modelPar_NALPHA0_dX);
modelStruct.modelPar_PALPHA0=mod.PALPHA0;
modelStruct.d_modelPar_PALPHA0_dX=0.0;
modelStruct.modelPar_given_PALPHA0=mod.given("PALPHA0");
modParamMap["PALPHA0"] = &(modelStruct.d_modelPar_PALPHA0_dX);
modelStruct.modelPar_WALPHA0=mod.WALPHA0;
modelStruct.d_modelPar_WALPHA0_dX=0.0;
modelStruct.modelPar_given_WALPHA0=mod.given("WALPHA0");
modParamMap["WALPHA0"] = &(modelStruct.d_modelPar_WALPHA0_dX);
modelStruct.modelPar_P2ALPHA0=mod.P2ALPHA0;
modelStruct.d_modelPar_P2ALPHA0_dX=0.0;
modelStruct.modelPar_given_P2ALPHA0=mod.given("P2ALPHA0");
modParamMap["P2ALPHA0"] = &(modelStruct.d_modelPar_P2ALPHA0_dX);
modelStruct.modelPar_ALPHA1=mod.ALPHA1;
modelStruct.d_modelPar_ALPHA1_dX=0.0;
modelStruct.modelPar_given_ALPHA1=mod.given("ALPHA1");
modParamMap["ALPHA1"] = &(modelStruct.d_modelPar_ALPHA1_dX);
modelStruct.modelPar_LALPHA1=mod.LALPHA1;
modelStruct.d_modelPar_LALPHA1_dX=0.0;
modelStruct.modelPar_given_LALPHA1=mod.given("LALPHA1");
modParamMap["LALPHA1"] = &(modelStruct.d_modelPar_LALPHA1_dX);
modelStruct.modelPar_NALPHA1=mod.NALPHA1;
modelStruct.d_modelPar_NALPHA1_dX=0.0;
modelStruct.modelPar_given_NALPHA1=mod.given("NALPHA1");
modParamMap["NALPHA1"] = &(modelStruct.d_modelPar_NALPHA1_dX);
modelStruct.modelPar_PALPHA1=mod.PALPHA1;
modelStruct.d_modelPar_PALPHA1_dX=0.0;
modelStruct.modelPar_given_PALPHA1=mod.given("PALPHA1");
modParamMap["PALPHA1"] = &(modelStruct.d_modelPar_PALPHA1_dX);
modelStruct.modelPar_WALPHA1=mod.WALPHA1;
modelStruct.d_modelPar_WALPHA1_dX=0.0;
modelStruct.modelPar_given_WALPHA1=mod.given("WALPHA1");
modParamMap["WALPHA1"] = &(modelStruct.d_modelPar_WALPHA1_dX);
modelStruct.modelPar_P2ALPHA1=mod.P2ALPHA1;
modelStruct.d_modelPar_P2ALPHA1_dX=0.0;
modelStruct.modelPar_given_P2ALPHA1=mod.given("P2ALPHA1");
modParamMap["P2ALPHA1"] = &(modelStruct.d_modelPar_P2ALPHA1_dX);
modelStruct.modelPar_BETA0=mod.BETA0;
modelStruct.d_modelPar_BETA0_dX=0.0;
modelStruct.modelPar_given_BETA0=mod.given("BETA0");
modParamMap["BETA0"] = &(modelStruct.d_modelPar_BETA0_dX);
modelStruct.modelPar_LBETA0=mod.LBETA0;
modelStruct.d_modelPar_LBETA0_dX=0.0;
modelStruct.modelPar_given_LBETA0=mod.given("LBETA0");
modParamMap["LBETA0"] = &(modelStruct.d_modelPar_LBETA0_dX);
modelStruct.modelPar_NBETA0=mod.NBETA0;
modelStruct.d_modelPar_NBETA0_dX=0.0;
modelStruct.modelPar_given_NBETA0=mod.given("NBETA0");
modParamMap["NBETA0"] = &(modelStruct.d_modelPar_NBETA0_dX);
modelStruct.modelPar_PBETA0=mod.PBETA0;
modelStruct.d_modelPar_PBETA0_dX=0.0;
modelStruct.modelPar_given_PBETA0=mod.given("PBETA0");
modParamMap["PBETA0"] = &(modelStruct.d_modelPar_PBETA0_dX);
modelStruct.modelPar_WBETA0=mod.WBETA0;
modelStruct.d_modelPar_WBETA0_dX=0.0;
modelStruct.modelPar_given_WBETA0=mod.given("WBETA0");
modParamMap["WBETA0"] = &(modelStruct.d_modelPar_WBETA0_dX);
modelStruct.modelPar_P2BETA0=mod.P2BETA0;
modelStruct.d_modelPar_P2BETA0_dX=0.0;
modelStruct.modelPar_given_P2BETA0=mod.given("P2BETA0");
modParamMap["P2BETA0"] = &(modelStruct.d_modelPar_P2BETA0_dX);
modelStruct.modelPar_ALPHAII0=mod.ALPHAII0;
modelStruct.d_modelPar_ALPHAII0_dX=0.0;
modelStruct.modelPar_given_ALPHAII0=mod.given("ALPHAII0");
modParamMap["ALPHAII0"] = &(modelStruct.d_modelPar_ALPHAII0_dX);
modelStruct.modelPar_LALPHAII0=mod.LALPHAII0;
modelStruct.d_modelPar_LALPHAII0_dX=0.0;
modelStruct.modelPar_given_LALPHAII0=mod.given("LALPHAII0");
modParamMap["LALPHAII0"] = &(modelStruct.d_modelPar_LALPHAII0_dX);
modelStruct.modelPar_NALPHAII0=mod.NALPHAII0;
modelStruct.d_modelPar_NALPHAII0_dX=0.0;
modelStruct.modelPar_given_NALPHAII0=mod.given("NALPHAII0");
modParamMap["NALPHAII0"] = &(modelStruct.d_modelPar_NALPHAII0_dX);
modelStruct.modelPar_PALPHAII0=mod.PALPHAII0;
modelStruct.d_modelPar_PALPHAII0_dX=0.0;
modelStruct.modelPar_given_PALPHAII0=mod.given("PALPHAII0");
modParamMap["PALPHAII0"] = &(modelStruct.d_modelPar_PALPHAII0_dX);
modelStruct.modelPar_WALPHAII0=mod.WALPHAII0;
modelStruct.d_modelPar_WALPHAII0_dX=0.0;
modelStruct.modelPar_given_WALPHAII0=mod.given("WALPHAII0");
modParamMap["WALPHAII0"] = &(modelStruct.d_modelPar_WALPHAII0_dX);
modelStruct.modelPar_P2ALPHAII0=mod.P2ALPHAII0;
modelStruct.d_modelPar_P2ALPHAII0_dX=0.0;
modelStruct.modelPar_given_P2ALPHAII0=mod.given("P2ALPHAII0");
modParamMap["P2ALPHAII0"] = &(modelStruct.d_modelPar_P2ALPHAII0_dX);
modelStruct.modelPar_ALPHAII1=mod.ALPHAII1;
modelStruct.d_modelPar_ALPHAII1_dX=0.0;
modelStruct.modelPar_given_ALPHAII1=mod.given("ALPHAII1");
modParamMap["ALPHAII1"] = &(modelStruct.d_modelPar_ALPHAII1_dX);
modelStruct.modelPar_LALPHAII1=mod.LALPHAII1;
modelStruct.d_modelPar_LALPHAII1_dX=0.0;
modelStruct.modelPar_given_LALPHAII1=mod.given("LALPHAII1");
modParamMap["LALPHAII1"] = &(modelStruct.d_modelPar_LALPHAII1_dX);
modelStruct.modelPar_NALPHAII1=mod.NALPHAII1;
modelStruct.d_modelPar_NALPHAII1_dX=0.0;
modelStruct.modelPar_given_NALPHAII1=mod.given("NALPHAII1");
modParamMap["NALPHAII1"] = &(modelStruct.d_modelPar_NALPHAII1_dX);
modelStruct.modelPar_PALPHAII1=mod.PALPHAII1;
modelStruct.d_modelPar_PALPHAII1_dX=0.0;
modelStruct.modelPar_given_PALPHAII1=mod.given("PALPHAII1");
modParamMap["PALPHAII1"] = &(modelStruct.d_modelPar_PALPHAII1_dX);
modelStruct.modelPar_WALPHAII1=mod.WALPHAII1;
modelStruct.d_modelPar_WALPHAII1_dX=0.0;
modelStruct.modelPar_given_WALPHAII1=mod.given("WALPHAII1");
modParamMap["WALPHAII1"] = &(modelStruct.d_modelPar_WALPHAII1_dX);
modelStruct.modelPar_P2ALPHAII1=mod.P2ALPHAII1;
modelStruct.d_modelPar_P2ALPHAII1_dX=0.0;
modelStruct.modelPar_given_P2ALPHAII1=mod.given("P2ALPHAII1");
modParamMap["P2ALPHAII1"] = &(modelStruct.d_modelPar_P2ALPHAII1_dX);
modelStruct.modelPar_BETAII0=mod.BETAII0;
modelStruct.d_modelPar_BETAII0_dX=0.0;
modelStruct.modelPar_given_BETAII0=mod.given("BETAII0");
modParamMap["BETAII0"] = &(modelStruct.d_modelPar_BETAII0_dX);
modelStruct.modelPar_LBETAII0=mod.LBETAII0;
modelStruct.d_modelPar_LBETAII0_dX=0.0;
modelStruct.modelPar_given_LBETAII0=mod.given("LBETAII0");
modParamMap["LBETAII0"] = &(modelStruct.d_modelPar_LBETAII0_dX);
modelStruct.modelPar_NBETAII0=mod.NBETAII0;
modelStruct.d_modelPar_NBETAII0_dX=0.0;
modelStruct.modelPar_given_NBETAII0=mod.given("NBETAII0");
modParamMap["NBETAII0"] = &(modelStruct.d_modelPar_NBETAII0_dX);
modelStruct.modelPar_PBETAII0=mod.PBETAII0;
modelStruct.d_modelPar_PBETAII0_dX=0.0;
modelStruct.modelPar_given_PBETAII0=mod.given("PBETAII0");
modParamMap["PBETAII0"] = &(modelStruct.d_modelPar_PBETAII0_dX);
modelStruct.modelPar_WBETAII0=mod.WBETAII0;
modelStruct.d_modelPar_WBETAII0_dX=0.0;
modelStruct.modelPar_given_WBETAII0=mod.given("WBETAII0");
modParamMap["WBETAII0"] = &(modelStruct.d_modelPar_WBETAII0_dX);
modelStruct.modelPar_P2BETAII0=mod.P2BETAII0;
modelStruct.d_modelPar_P2BETAII0_dX=0.0;
modelStruct.modelPar_given_P2BETAII0=mod.given("P2BETAII0");
modParamMap["P2BETAII0"] = &(modelStruct.d_modelPar_P2BETAII0_dX);
modelStruct.modelPar_BETAII1=mod.BETAII1;
modelStruct.d_modelPar_BETAII1_dX=0.0;
modelStruct.modelPar_given_BETAII1=mod.given("BETAII1");
modParamMap["BETAII1"] = &(modelStruct.d_modelPar_BETAII1_dX);
modelStruct.modelPar_LBETAII1=mod.LBETAII1;
modelStruct.d_modelPar_LBETAII1_dX=0.0;
modelStruct.modelPar_given_LBETAII1=mod.given("LBETAII1");
modParamMap["LBETAII1"] = &(modelStruct.d_modelPar_LBETAII1_dX);
modelStruct.modelPar_NBETAII1=mod.NBETAII1;
modelStruct.d_modelPar_NBETAII1_dX=0.0;
modelStruct.modelPar_given_NBETAII1=mod.given("NBETAII1");
modParamMap["NBETAII1"] = &(modelStruct.d_modelPar_NBETAII1_dX);
modelStruct.modelPar_PBETAII1=mod.PBETAII1;
modelStruct.d_modelPar_PBETAII1_dX=0.0;
modelStruct.modelPar_given_PBETAII1=mod.given("PBETAII1");
modParamMap["PBETAII1"] = &(modelStruct.d_modelPar_PBETAII1_dX);
modelStruct.modelPar_WBETAII1=mod.WBETAII1;
modelStruct.d_modelPar_WBETAII1_dX=0.0;
modelStruct.modelPar_given_WBETAII1=mod.given("WBETAII1");
modParamMap["WBETAII1"] = &(modelStruct.d_modelPar_WBETAII1_dX);
modelStruct.modelPar_P2BETAII1=mod.P2BETAII1;
modelStruct.d_modelPar_P2BETAII1_dX=0.0;
modelStruct.modelPar_given_P2BETAII1=mod.given("P2BETAII1");
modParamMap["P2BETAII1"] = &(modelStruct.d_modelPar_P2BETAII1_dX);
modelStruct.modelPar_BETAII2=mod.BETAII2;
modelStruct.d_modelPar_BETAII2_dX=0.0;
modelStruct.modelPar_given_BETAII2=mod.given("BETAII2");
modParamMap["BETAII2"] = &(modelStruct.d_modelPar_BETAII2_dX);
modelStruct.modelPar_LBETAII2=mod.LBETAII2;
modelStruct.d_modelPar_LBETAII2_dX=0.0;
modelStruct.modelPar_given_LBETAII2=mod.given("LBETAII2");
modParamMap["LBETAII2"] = &(modelStruct.d_modelPar_LBETAII2_dX);
modelStruct.modelPar_NBETAII2=mod.NBETAII2;
modelStruct.d_modelPar_NBETAII2_dX=0.0;
modelStruct.modelPar_given_NBETAII2=mod.given("NBETAII2");
modParamMap["NBETAII2"] = &(modelStruct.d_modelPar_NBETAII2_dX);
modelStruct.modelPar_PBETAII2=mod.PBETAII2;
modelStruct.d_modelPar_PBETAII2_dX=0.0;
modelStruct.modelPar_given_PBETAII2=mod.given("PBETAII2");
modParamMap["PBETAII2"] = &(modelStruct.d_modelPar_PBETAII2_dX);
modelStruct.modelPar_WBETAII2=mod.WBETAII2;
modelStruct.d_modelPar_WBETAII2_dX=0.0;
modelStruct.modelPar_given_WBETAII2=mod.given("WBETAII2");
modParamMap["WBETAII2"] = &(modelStruct.d_modelPar_WBETAII2_dX);
modelStruct.modelPar_P2BETAII2=mod.P2BETAII2;
modelStruct.d_modelPar_P2BETAII2_dX=0.0;
modelStruct.modelPar_given_P2BETAII2=mod.given("P2BETAII2");
modParamMap["P2BETAII2"] = &(modelStruct.d_modelPar_P2BETAII2_dX);
modelStruct.modelPar_ESATII=mod.ESATII;
modelStruct.d_modelPar_ESATII_dX=0.0;
modelStruct.modelPar_given_ESATII=mod.given("ESATII");
modParamMap["ESATII"] = &(modelStruct.d_modelPar_ESATII_dX);
modelStruct.modelPar_LESATII=mod.LESATII;
modelStruct.d_modelPar_LESATII_dX=0.0;
modelStruct.modelPar_given_LESATII=mod.given("LESATII");
modParamMap["LESATII"] = &(modelStruct.d_modelPar_LESATII_dX);
modelStruct.modelPar_NESATII=mod.NESATII;
modelStruct.d_modelPar_NESATII_dX=0.0;
modelStruct.modelPar_given_NESATII=mod.given("NESATII");
modParamMap["NESATII"] = &(modelStruct.d_modelPar_NESATII_dX);
modelStruct.modelPar_PESATII=mod.PESATII;
modelStruct.d_modelPar_PESATII_dX=0.0;
modelStruct.modelPar_given_PESATII=mod.given("PESATII");
modParamMap["PESATII"] = &(modelStruct.d_modelPar_PESATII_dX);
modelStruct.modelPar_WESATII=mod.WESATII;
modelStruct.d_modelPar_WESATII_dX=0.0;
modelStruct.modelPar_given_WESATII=mod.given("WESATII");
modParamMap["WESATII"] = &(modelStruct.d_modelPar_WESATII_dX);
modelStruct.modelPar_P2ESATII=mod.P2ESATII;
modelStruct.d_modelPar_P2ESATII_dX=0.0;
modelStruct.modelPar_given_P2ESATII=mod.given("P2ESATII");
modParamMap["P2ESATII"] = &(modelStruct.d_modelPar_P2ESATII_dX);
modelStruct.modelPar_LII=mod.LII;
modelStruct.d_modelPar_LII_dX=0.0;
modelStruct.modelPar_given_LII=mod.given("LII");
modParamMap["LII"] = &(modelStruct.d_modelPar_LII_dX);
modelStruct.modelPar_LLII=mod.LLII;
modelStruct.d_modelPar_LLII_dX=0.0;
modelStruct.modelPar_given_LLII=mod.given("LLII");
modParamMap["LLII"] = &(modelStruct.d_modelPar_LLII_dX);
modelStruct.modelPar_NLII=mod.NLII;
modelStruct.d_modelPar_NLII_dX=0.0;
modelStruct.modelPar_given_NLII=mod.given("NLII");
modParamMap["NLII"] = &(modelStruct.d_modelPar_NLII_dX);
modelStruct.modelPar_PLII=mod.PLII;
modelStruct.d_modelPar_PLII_dX=0.0;
modelStruct.modelPar_given_PLII=mod.given("PLII");
modParamMap["PLII"] = &(modelStruct.d_modelPar_PLII_dX);
modelStruct.modelPar_WLII=mod.WLII;
modelStruct.d_modelPar_WLII_dX=0.0;
modelStruct.modelPar_given_WLII=mod.given("WLII");
modParamMap["WLII"] = &(modelStruct.d_modelPar_WLII_dX);
modelStruct.modelPar_P2LII=mod.P2LII;
modelStruct.d_modelPar_P2LII_dX=0.0;
modelStruct.modelPar_given_P2LII=mod.given("P2LII");
modParamMap["P2LII"] = &(modelStruct.d_modelPar_P2LII_dX);
modelStruct.modelPar_SII0=mod.SII0;
modelStruct.d_modelPar_SII0_dX=0.0;
modelStruct.modelPar_given_SII0=mod.given("SII0");
modParamMap["SII0"] = &(modelStruct.d_modelPar_SII0_dX);
modelStruct.modelPar_LSII0=mod.LSII0;
modelStruct.d_modelPar_LSII0_dX=0.0;
modelStruct.modelPar_given_LSII0=mod.given("LSII0");
modParamMap["LSII0"] = &(modelStruct.d_modelPar_LSII0_dX);
modelStruct.modelPar_NSII0=mod.NSII0;
modelStruct.d_modelPar_NSII0_dX=0.0;
modelStruct.modelPar_given_NSII0=mod.given("NSII0");
modParamMap["NSII0"] = &(modelStruct.d_modelPar_NSII0_dX);
modelStruct.modelPar_PSII0=mod.PSII0;
modelStruct.d_modelPar_PSII0_dX=0.0;
modelStruct.modelPar_given_PSII0=mod.given("PSII0");
modParamMap["PSII0"] = &(modelStruct.d_modelPar_PSII0_dX);
modelStruct.modelPar_WSII0=mod.WSII0;
modelStruct.d_modelPar_WSII0_dX=0.0;
modelStruct.modelPar_given_WSII0=mod.given("WSII0");
modParamMap["WSII0"] = &(modelStruct.d_modelPar_WSII0_dX);
modelStruct.modelPar_P2SII0=mod.P2SII0;
modelStruct.d_modelPar_P2SII0_dX=0.0;
modelStruct.modelPar_given_P2SII0=mod.given("P2SII0");
modParamMap["P2SII0"] = &(modelStruct.d_modelPar_P2SII0_dX);
modelStruct.modelPar_SII1=mod.SII1;
modelStruct.d_modelPar_SII1_dX=0.0;
modelStruct.modelPar_given_SII1=mod.given("SII1");
modParamMap["SII1"] = &(modelStruct.d_modelPar_SII1_dX);
modelStruct.modelPar_LSII1=mod.LSII1;
modelStruct.d_modelPar_LSII1_dX=0.0;
modelStruct.modelPar_given_LSII1=mod.given("LSII1");
modParamMap["LSII1"] = &(modelStruct.d_modelPar_LSII1_dX);
modelStruct.modelPar_NSII1=mod.NSII1;
modelStruct.d_modelPar_NSII1_dX=0.0;
modelStruct.modelPar_given_NSII1=mod.given("NSII1");
modParamMap["NSII1"] = &(modelStruct.d_modelPar_NSII1_dX);
modelStruct.modelPar_PSII1=mod.PSII1;
modelStruct.d_modelPar_PSII1_dX=0.0;
modelStruct.modelPar_given_PSII1=mod.given("PSII1");
modParamMap["PSII1"] = &(modelStruct.d_modelPar_PSII1_dX);
modelStruct.modelPar_WSII1=mod.WSII1;
modelStruct.d_modelPar_WSII1_dX=0.0;
modelStruct.modelPar_given_WSII1=mod.given("WSII1");
modParamMap["WSII1"] = &(modelStruct.d_modelPar_WSII1_dX);
modelStruct.modelPar_P2SII1=mod.P2SII1;
modelStruct.d_modelPar_P2SII1_dX=0.0;
modelStruct.modelPar_given_P2SII1=mod.given("P2SII1");
modParamMap["P2SII1"] = &(modelStruct.d_modelPar_P2SII1_dX);
modelStruct.modelPar_SII2=mod.SII2;
modelStruct.d_modelPar_SII2_dX=0.0;
modelStruct.modelPar_given_SII2=mod.given("SII2");
modParamMap["SII2"] = &(modelStruct.d_modelPar_SII2_dX);
modelStruct.modelPar_LSII2=mod.LSII2;
modelStruct.d_modelPar_LSII2_dX=0.0;
modelStruct.modelPar_given_LSII2=mod.given("LSII2");
modParamMap["LSII2"] = &(modelStruct.d_modelPar_LSII2_dX);
modelStruct.modelPar_NSII2=mod.NSII2;
modelStruct.d_modelPar_NSII2_dX=0.0;
modelStruct.modelPar_given_NSII2=mod.given("NSII2");
modParamMap["NSII2"] = &(modelStruct.d_modelPar_NSII2_dX);
modelStruct.modelPar_PSII2=mod.PSII2;
modelStruct.d_modelPar_PSII2_dX=0.0;
modelStruct.modelPar_given_PSII2=mod.given("PSII2");
modParamMap["PSII2"] = &(modelStruct.d_modelPar_PSII2_dX);
modelStruct.modelPar_WSII2=mod.WSII2;
modelStruct.d_modelPar_WSII2_dX=0.0;
modelStruct.modelPar_given_WSII2=mod.given("WSII2");
modParamMap["WSII2"] = &(modelStruct.d_modelPar_WSII2_dX);
modelStruct.modelPar_P2SII2=mod.P2SII2;
modelStruct.d_modelPar_P2SII2_dX=0.0;
modelStruct.modelPar_given_P2SII2=mod.given("P2SII2");
modParamMap["P2SII2"] = &(modelStruct.d_modelPar_P2SII2_dX);
modelStruct.modelPar_SIID=mod.SIID;
modelStruct.d_modelPar_SIID_dX=0.0;
modelStruct.modelPar_given_SIID=mod.given("SIID");
modParamMap["SIID"] = &(modelStruct.d_modelPar_SIID_dX);
modelStruct.modelPar_LSIID=mod.LSIID;
modelStruct.d_modelPar_LSIID_dX=0.0;
modelStruct.modelPar_given_LSIID=mod.given("LSIID");
modParamMap["LSIID"] = &(modelStruct.d_modelPar_LSIID_dX);
modelStruct.modelPar_NSIID=mod.NSIID;
modelStruct.d_modelPar_NSIID_dX=0.0;
modelStruct.modelPar_given_NSIID=mod.given("NSIID");
modParamMap["NSIID"] = &(modelStruct.d_modelPar_NSIID_dX);
modelStruct.modelPar_PSIID=mod.PSIID;
modelStruct.d_modelPar_PSIID_dX=0.0;
modelStruct.modelPar_given_PSIID=mod.given("PSIID");
modParamMap["PSIID"] = &(modelStruct.d_modelPar_PSIID_dX);
modelStruct.modelPar_WSIID=mod.WSIID;
modelStruct.d_modelPar_WSIID_dX=0.0;
modelStruct.modelPar_given_WSIID=mod.given("WSIID");
modParamMap["WSIID"] = &(modelStruct.d_modelPar_WSIID_dX);
modelStruct.modelPar_P2SIID=mod.P2SIID;
modelStruct.d_modelPar_P2SIID_dX=0.0;
modelStruct.modelPar_given_P2SIID=mod.given("P2SIID");
modParamMap["P2SIID"] = &(modelStruct.d_modelPar_P2SIID_dX);
modelStruct.modelPar_EOTACC=mod.EOTACC;
modelStruct.d_modelPar_EOTACC_dX=0.0;
modelStruct.modelPar_given_EOTACC=mod.given("EOTACC");
modParamMap["EOTACC"] = &(modelStruct.d_modelPar_EOTACC_dX);
modelStruct.modelPar_DELVFBACC=mod.DELVFBACC;
modelStruct.d_modelPar_DELVFBACC_dX=0.0;
modelStruct.modelPar_given_DELVFBACC=mod.given("DELVFBACC");
modParamMap["DELVFBACC"] = &(modelStruct.d_modelPar_DELVFBACC_dX);
modelStruct.modelPar_CFS=mod.CFS;
modelStruct.d_modelPar_CFS_dX=0.0;
modelStruct.modelPar_given_CFS=mod.given("CFS");
modParamMap["CFS"] = &(modelStruct.d_modelPar_CFS_dX);
modelStruct.modelPar_LCFS=mod.LCFS;
modelStruct.d_modelPar_LCFS_dX=0.0;
modelStruct.modelPar_given_LCFS=mod.given("LCFS");
modParamMap["LCFS"] = &(modelStruct.d_modelPar_LCFS_dX);
modelStruct.modelPar_NCFS=mod.NCFS;
modelStruct.d_modelPar_NCFS_dX=0.0;
modelStruct.modelPar_given_NCFS=mod.given("NCFS");
modParamMap["NCFS"] = &(modelStruct.d_modelPar_NCFS_dX);
modelStruct.modelPar_PCFS=mod.PCFS;
modelStruct.d_modelPar_PCFS_dX=0.0;
modelStruct.modelPar_given_PCFS=mod.given("PCFS");
modParamMap["PCFS"] = &(modelStruct.d_modelPar_PCFS_dX);
modelStruct.modelPar_WCFS=mod.WCFS;
modelStruct.d_modelPar_WCFS_dX=0.0;
modelStruct.modelPar_given_WCFS=mod.given("WCFS");
modParamMap["WCFS"] = &(modelStruct.d_modelPar_WCFS_dX);
modelStruct.modelPar_P2CFS=mod.P2CFS;
modelStruct.d_modelPar_P2CFS_dX=0.0;
modelStruct.modelPar_given_P2CFS=mod.given("P2CFS");
modParamMap["P2CFS"] = &(modelStruct.d_modelPar_P2CFS_dX);
modelStruct.modelPar_CFD=mod.CFD;
modelStruct.d_modelPar_CFD_dX=0.0;
modelStruct.modelPar_given_CFD=mod.given("CFD");
modParamMap["CFD"] = &(modelStruct.d_modelPar_CFD_dX);
modelStruct.modelPar_LCFD=mod.LCFD;
modelStruct.d_modelPar_LCFD_dX=0.0;
modelStruct.modelPar_given_LCFD=mod.given("LCFD");
modParamMap["LCFD"] = &(modelStruct.d_modelPar_LCFD_dX);
modelStruct.modelPar_NCFD=mod.NCFD;
modelStruct.d_modelPar_NCFD_dX=0.0;
modelStruct.modelPar_given_NCFD=mod.given("NCFD");
modParamMap["NCFD"] = &(modelStruct.d_modelPar_NCFD_dX);
modelStruct.modelPar_PCFD=mod.PCFD;
modelStruct.d_modelPar_PCFD_dX=0.0;
modelStruct.modelPar_given_PCFD=mod.given("PCFD");
modParamMap["PCFD"] = &(modelStruct.d_modelPar_PCFD_dX);
modelStruct.modelPar_WCFD=mod.WCFD;
modelStruct.d_modelPar_WCFD_dX=0.0;
modelStruct.modelPar_given_WCFD=mod.given("WCFD");
modParamMap["WCFD"] = &(modelStruct.d_modelPar_WCFD_dX);
modelStruct.modelPar_P2CFD=mod.P2CFD;
modelStruct.d_modelPar_P2CFD_dX=0.0;
modelStruct.modelPar_given_P2CFD=mod.given("P2CFD");
modParamMap["P2CFD"] = &(modelStruct.d_modelPar_P2CFD_dX);
modelStruct.modelPar_CGSO=mod.CGSO;
modelStruct.d_modelPar_CGSO_dX=0.0;
modelStruct.modelPar_given_CGSO=mod.given("CGSO");
modParamMap["CGSO"] = &(modelStruct.d_modelPar_CGSO_dX);
modelStruct.modelPar_CGDO=mod.CGDO;
modelStruct.d_modelPar_CGDO_dX=0.0;
modelStruct.modelPar_given_CGDO=mod.given("CGDO");
modParamMap["CGDO"] = &(modelStruct.d_modelPar_CGDO_dX);
modelStruct.modelPar_CGBO=mod.CGBO;
modelStruct.d_modelPar_CGBO_dX=0.0;
modelStruct.modelPar_given_CGBO=mod.given("CGBO");
modParamMap["CGBO"] = &(modelStruct.d_modelPar_CGBO_dX);
modelStruct.modelPar_CGBN=mod.CGBN;
modelStruct.d_modelPar_CGBN_dX=0.0;
modelStruct.modelPar_given_CGBN=mod.given("CGBN");
modParamMap["CGBN"] = &(modelStruct.d_modelPar_CGBN_dX);
modelStruct.modelPar_CGBW=mod.CGBW;
modelStruct.d_modelPar_CGBW_dX=0.0;
modelStruct.modelPar_given_CGBW=mod.given("CGBW");
modParamMap["CGBW"] = &(modelStruct.d_modelPar_CGBW_dX);
modelStruct.modelPar_CGSL=mod.CGSL;
modelStruct.d_modelPar_CGSL_dX=0.0;
modelStruct.modelPar_given_CGSL=mod.given("CGSL");
modParamMap["CGSL"] = &(modelStruct.d_modelPar_CGSL_dX);
modelStruct.modelPar_LCGSL=mod.LCGSL;
modelStruct.d_modelPar_LCGSL_dX=0.0;
modelStruct.modelPar_given_LCGSL=mod.given("LCGSL");
modParamMap["LCGSL"] = &(modelStruct.d_modelPar_LCGSL_dX);
modelStruct.modelPar_NCGSL=mod.NCGSL;
modelStruct.d_modelPar_NCGSL_dX=0.0;
modelStruct.modelPar_given_NCGSL=mod.given("NCGSL");
modParamMap["NCGSL"] = &(modelStruct.d_modelPar_NCGSL_dX);
modelStruct.modelPar_PCGSL=mod.PCGSL;
modelStruct.d_modelPar_PCGSL_dX=0.0;
modelStruct.modelPar_given_PCGSL=mod.given("PCGSL");
modParamMap["PCGSL"] = &(modelStruct.d_modelPar_PCGSL_dX);
modelStruct.modelPar_WCGSL=mod.WCGSL;
modelStruct.d_modelPar_WCGSL_dX=0.0;
modelStruct.modelPar_given_WCGSL=mod.given("WCGSL");
modParamMap["WCGSL"] = &(modelStruct.d_modelPar_WCGSL_dX);
modelStruct.modelPar_P2CGSL=mod.P2CGSL;
modelStruct.d_modelPar_P2CGSL_dX=0.0;
modelStruct.modelPar_given_P2CGSL=mod.given("P2CGSL");
modParamMap["P2CGSL"] = &(modelStruct.d_modelPar_P2CGSL_dX);
modelStruct.modelPar_CGDL=mod.CGDL;
modelStruct.d_modelPar_CGDL_dX=0.0;
modelStruct.modelPar_given_CGDL=mod.given("CGDL");
modParamMap["CGDL"] = &(modelStruct.d_modelPar_CGDL_dX);
modelStruct.modelPar_LCGDL=mod.LCGDL;
modelStruct.d_modelPar_LCGDL_dX=0.0;
modelStruct.modelPar_given_LCGDL=mod.given("LCGDL");
modParamMap["LCGDL"] = &(modelStruct.d_modelPar_LCGDL_dX);
modelStruct.modelPar_NCGDL=mod.NCGDL;
modelStruct.d_modelPar_NCGDL_dX=0.0;
modelStruct.modelPar_given_NCGDL=mod.given("NCGDL");
modParamMap["NCGDL"] = &(modelStruct.d_modelPar_NCGDL_dX);
modelStruct.modelPar_PCGDL=mod.PCGDL;
modelStruct.d_modelPar_PCGDL_dX=0.0;
modelStruct.modelPar_given_PCGDL=mod.given("PCGDL");
modParamMap["PCGDL"] = &(modelStruct.d_modelPar_PCGDL_dX);
modelStruct.modelPar_WCGDL=mod.WCGDL;
modelStruct.d_modelPar_WCGDL_dX=0.0;
modelStruct.modelPar_given_WCGDL=mod.given("WCGDL");
modParamMap["WCGDL"] = &(modelStruct.d_modelPar_WCGDL_dX);
modelStruct.modelPar_P2CGDL=mod.P2CGDL;
modelStruct.d_modelPar_P2CGDL_dX=0.0;
modelStruct.modelPar_given_P2CGDL=mod.given("P2CGDL");
modParamMap["P2CGDL"] = &(modelStruct.d_modelPar_P2CGDL_dX);
modelStruct.modelPar_CGBL=mod.CGBL;
modelStruct.d_modelPar_CGBL_dX=0.0;
modelStruct.modelPar_given_CGBL=mod.given("CGBL");
modParamMap["CGBL"] = &(modelStruct.d_modelPar_CGBL_dX);
modelStruct.modelPar_LCGBL=mod.LCGBL;
modelStruct.d_modelPar_LCGBL_dX=0.0;
modelStruct.modelPar_given_LCGBL=mod.given("LCGBL");
modParamMap["LCGBL"] = &(modelStruct.d_modelPar_LCGBL_dX);
modelStruct.modelPar_NCGBL=mod.NCGBL;
modelStruct.d_modelPar_NCGBL_dX=0.0;
modelStruct.modelPar_given_NCGBL=mod.given("NCGBL");
modParamMap["NCGBL"] = &(modelStruct.d_modelPar_NCGBL_dX);
modelStruct.modelPar_PCGBL=mod.PCGBL;
modelStruct.d_modelPar_PCGBL_dX=0.0;
modelStruct.modelPar_given_PCGBL=mod.given("PCGBL");
modParamMap["PCGBL"] = &(modelStruct.d_modelPar_PCGBL_dX);
modelStruct.modelPar_WCGBL=mod.WCGBL;
modelStruct.d_modelPar_WCGBL_dX=0.0;
modelStruct.modelPar_given_WCGBL=mod.given("WCGBL");
modParamMap["WCGBL"] = &(modelStruct.d_modelPar_WCGBL_dX);
modelStruct.modelPar_P2CGBL=mod.P2CGBL;
modelStruct.d_modelPar_P2CGBL_dX=0.0;
modelStruct.modelPar_given_P2CGBL=mod.given("P2CGBL");
modParamMap["P2CGBL"] = &(modelStruct.d_modelPar_P2CGBL_dX);
modelStruct.modelPar_CKAPPAS=mod.CKAPPAS;
modelStruct.d_modelPar_CKAPPAS_dX=0.0;
modelStruct.modelPar_given_CKAPPAS=mod.given("CKAPPAS");
modParamMap["CKAPPAS"] = &(modelStruct.d_modelPar_CKAPPAS_dX);
modelStruct.modelPar_LCKAPPAS=mod.LCKAPPAS;
modelStruct.d_modelPar_LCKAPPAS_dX=0.0;
modelStruct.modelPar_given_LCKAPPAS=mod.given("LCKAPPAS");
modParamMap["LCKAPPAS"] = &(modelStruct.d_modelPar_LCKAPPAS_dX);
modelStruct.modelPar_NCKAPPAS=mod.NCKAPPAS;
modelStruct.d_modelPar_NCKAPPAS_dX=0.0;
modelStruct.modelPar_given_NCKAPPAS=mod.given("NCKAPPAS");
modParamMap["NCKAPPAS"] = &(modelStruct.d_modelPar_NCKAPPAS_dX);
modelStruct.modelPar_PCKAPPAS=mod.PCKAPPAS;
modelStruct.d_modelPar_PCKAPPAS_dX=0.0;
modelStruct.modelPar_given_PCKAPPAS=mod.given("PCKAPPAS");
modParamMap["PCKAPPAS"] = &(modelStruct.d_modelPar_PCKAPPAS_dX);
modelStruct.modelPar_WCKAPPAS=mod.WCKAPPAS;
modelStruct.d_modelPar_WCKAPPAS_dX=0.0;
modelStruct.modelPar_given_WCKAPPAS=mod.given("WCKAPPAS");
modParamMap["WCKAPPAS"] = &(modelStruct.d_modelPar_WCKAPPAS_dX);
modelStruct.modelPar_P2CKAPPAS=mod.P2CKAPPAS;
modelStruct.d_modelPar_P2CKAPPAS_dX=0.0;
modelStruct.modelPar_given_P2CKAPPAS=mod.given("P2CKAPPAS");
modParamMap["P2CKAPPAS"] = &(modelStruct.d_modelPar_P2CKAPPAS_dX);
modelStruct.modelPar_CKAPPAD=mod.CKAPPAD;
modelStruct.d_modelPar_CKAPPAD_dX=0.0;
modelStruct.modelPar_given_CKAPPAD=mod.given("CKAPPAD");
modParamMap["CKAPPAD"] = &(modelStruct.d_modelPar_CKAPPAD_dX);
modelStruct.modelPar_LCKAPPAD=mod.LCKAPPAD;
modelStruct.d_modelPar_LCKAPPAD_dX=0.0;
modelStruct.modelPar_given_LCKAPPAD=mod.given("LCKAPPAD");
modParamMap["LCKAPPAD"] = &(modelStruct.d_modelPar_LCKAPPAD_dX);
modelStruct.modelPar_NCKAPPAD=mod.NCKAPPAD;
modelStruct.d_modelPar_NCKAPPAD_dX=0.0;
modelStruct.modelPar_given_NCKAPPAD=mod.given("NCKAPPAD");
modParamMap["NCKAPPAD"] = &(modelStruct.d_modelPar_NCKAPPAD_dX);
modelStruct.modelPar_PCKAPPAD=mod.PCKAPPAD;
modelStruct.d_modelPar_PCKAPPAD_dX=0.0;
modelStruct.modelPar_given_PCKAPPAD=mod.given("PCKAPPAD");
modParamMap["PCKAPPAD"] = &(modelStruct.d_modelPar_PCKAPPAD_dX);
modelStruct.modelPar_WCKAPPAD=mod.WCKAPPAD;
modelStruct.d_modelPar_WCKAPPAD_dX=0.0;
modelStruct.modelPar_given_WCKAPPAD=mod.given("WCKAPPAD");
modParamMap["WCKAPPAD"] = &(modelStruct.d_modelPar_WCKAPPAD_dX);
modelStruct.modelPar_P2CKAPPAD=mod.P2CKAPPAD;
modelStruct.d_modelPar_P2CKAPPAD_dX=0.0;
modelStruct.modelPar_given_P2CKAPPAD=mod.given("P2CKAPPAD");
modParamMap["P2CKAPPAD"] = &(modelStruct.d_modelPar_P2CKAPPAD_dX);
modelStruct.modelPar_CKAPPAB=mod.CKAPPAB;
modelStruct.d_modelPar_CKAPPAB_dX=0.0;
modelStruct.modelPar_given_CKAPPAB=mod.given("CKAPPAB");
modParamMap["CKAPPAB"] = &(modelStruct.d_modelPar_CKAPPAB_dX);
modelStruct.modelPar_LCKAPPAB=mod.LCKAPPAB;
modelStruct.d_modelPar_LCKAPPAB_dX=0.0;
modelStruct.modelPar_given_LCKAPPAB=mod.given("LCKAPPAB");
modParamMap["LCKAPPAB"] = &(modelStruct.d_modelPar_LCKAPPAB_dX);
modelStruct.modelPar_NCKAPPAB=mod.NCKAPPAB;
modelStruct.d_modelPar_NCKAPPAB_dX=0.0;
modelStruct.modelPar_given_NCKAPPAB=mod.given("NCKAPPAB");
modParamMap["NCKAPPAB"] = &(modelStruct.d_modelPar_NCKAPPAB_dX);
modelStruct.modelPar_PCKAPPAB=mod.PCKAPPAB;
modelStruct.d_modelPar_PCKAPPAB_dX=0.0;
modelStruct.modelPar_given_PCKAPPAB=mod.given("PCKAPPAB");
modParamMap["PCKAPPAB"] = &(modelStruct.d_modelPar_PCKAPPAB_dX);
modelStruct.modelPar_WCKAPPAB=mod.WCKAPPAB;
modelStruct.d_modelPar_WCKAPPAB_dX=0.0;
modelStruct.modelPar_given_WCKAPPAB=mod.given("WCKAPPAB");
modParamMap["WCKAPPAB"] = &(modelStruct.d_modelPar_WCKAPPAB_dX);
modelStruct.modelPar_P2CKAPPAB=mod.P2CKAPPAB;
modelStruct.d_modelPar_P2CKAPPAB_dX=0.0;
modelStruct.modelPar_given_P2CKAPPAB=mod.given("P2CKAPPAB");
modParamMap["P2CKAPPAB"] = &(modelStruct.d_modelPar_P2CKAPPAB_dX);
modelStruct.modelPar_CSDESW=mod.CSDESW;
modelStruct.d_modelPar_CSDESW_dX=0.0;
modelStruct.modelPar_given_CSDESW=mod.given("CSDESW");
modParamMap["CSDESW"] = &(modelStruct.d_modelPar_CSDESW_dX);
modelStruct.modelPar_CJS=mod.CJS;
modelStruct.d_modelPar_CJS_dX=0.0;
modelStruct.modelPar_given_CJS=mod.given("CJS");
modParamMap["CJS"] = &(modelStruct.d_modelPar_CJS_dX);
modelStruct.modelPar_CJD=mod.CJD;
modelStruct.d_modelPar_CJD_dX=0.0;
modelStruct.modelPar_given_CJD=mod.given("CJD");
modParamMap["CJD"] = &(modelStruct.d_modelPar_CJD_dX);
modelStruct.modelPar_CJSWS=mod.CJSWS;
modelStruct.d_modelPar_CJSWS_dX=0.0;
modelStruct.modelPar_given_CJSWS=mod.given("CJSWS");
modParamMap["CJSWS"] = &(modelStruct.d_modelPar_CJSWS_dX);
modelStruct.modelPar_CJSWD=mod.CJSWD;
modelStruct.d_modelPar_CJSWD_dX=0.0;
modelStruct.modelPar_given_CJSWD=mod.given("CJSWD");
modParamMap["CJSWD"] = &(modelStruct.d_modelPar_CJSWD_dX);
modelStruct.modelPar_CJSWGS=mod.CJSWGS;
modelStruct.d_modelPar_CJSWGS_dX=0.0;
modelStruct.modelPar_given_CJSWGS=mod.given("CJSWGS");
modParamMap["CJSWGS"] = &(modelStruct.d_modelPar_CJSWGS_dX);
modelStruct.modelPar_CJSWGD=mod.CJSWGD;
modelStruct.d_modelPar_CJSWGD_dX=0.0;
modelStruct.modelPar_given_CJSWGD=mod.given("CJSWGD");
modParamMap["CJSWGD"] = &(modelStruct.d_modelPar_CJSWGD_dX);
modelStruct.modelPar_PBS=mod.PBS;
modelStruct.d_modelPar_PBS_dX=0.0;
modelStruct.modelPar_given_PBS=mod.given("PBS");
modParamMap["PBS"] = &(modelStruct.d_modelPar_PBS_dX);
modelStruct.modelPar_PBD=mod.PBD;
modelStruct.d_modelPar_PBD_dX=0.0;
modelStruct.modelPar_given_PBD=mod.given("PBD");
modParamMap["PBD"] = &(modelStruct.d_modelPar_PBD_dX);
modelStruct.modelPar_PBSWS=mod.PBSWS;
modelStruct.d_modelPar_PBSWS_dX=0.0;
modelStruct.modelPar_given_PBSWS=mod.given("PBSWS");
modParamMap["PBSWS"] = &(modelStruct.d_modelPar_PBSWS_dX);
modelStruct.modelPar_PBSWD=mod.PBSWD;
modelStruct.d_modelPar_PBSWD_dX=0.0;
modelStruct.modelPar_given_PBSWD=mod.given("PBSWD");
modParamMap["PBSWD"] = &(modelStruct.d_modelPar_PBSWD_dX);
modelStruct.modelPar_PBSWGS=mod.PBSWGS;
modelStruct.d_modelPar_PBSWGS_dX=0.0;
modelStruct.modelPar_given_PBSWGS=mod.given("PBSWGS");
modParamMap["PBSWGS"] = &(modelStruct.d_modelPar_PBSWGS_dX);
modelStruct.modelPar_PBSWGD=mod.PBSWGD;
modelStruct.d_modelPar_PBSWGD_dX=0.0;
modelStruct.modelPar_given_PBSWGD=mod.given("PBSWGD");
modParamMap["PBSWGD"] = &(modelStruct.d_modelPar_PBSWGD_dX);
modelStruct.modelPar_MJS=mod.MJS;
modelStruct.d_modelPar_MJS_dX=0.0;
modelStruct.modelPar_given_MJS=mod.given("MJS");
modParamMap["MJS"] = &(modelStruct.d_modelPar_MJS_dX);
modelStruct.modelPar_MJD=mod.MJD;
modelStruct.d_modelPar_MJD_dX=0.0;
modelStruct.modelPar_given_MJD=mod.given("MJD");
modParamMap["MJD"] = &(modelStruct.d_modelPar_MJD_dX);
modelStruct.modelPar_MJSWS=mod.MJSWS;
modelStruct.d_modelPar_MJSWS_dX=0.0;
modelStruct.modelPar_given_MJSWS=mod.given("MJSWS");
modParamMap["MJSWS"] = &(modelStruct.d_modelPar_MJSWS_dX);
modelStruct.modelPar_MJSWD=mod.MJSWD;
modelStruct.d_modelPar_MJSWD_dX=0.0;
modelStruct.modelPar_given_MJSWD=mod.given("MJSWD");
modParamMap["MJSWD"] = &(modelStruct.d_modelPar_MJSWD_dX);
modelStruct.modelPar_MJSWGS=mod.MJSWGS;
modelStruct.d_modelPar_MJSWGS_dX=0.0;
modelStruct.modelPar_given_MJSWGS=mod.given("MJSWGS");
modParamMap["MJSWGS"] = &(modelStruct.d_modelPar_MJSWGS_dX);
modelStruct.modelPar_MJSWGD=mod.MJSWGD;
modelStruct.d_modelPar_MJSWGD_dX=0.0;
modelStruct.modelPar_given_MJSWGD=mod.given("MJSWGD");
modParamMap["MJSWGD"] = &(modelStruct.d_modelPar_MJSWGD_dX);
modelStruct.modelPar_SJS=mod.SJS;
modelStruct.d_modelPar_SJS_dX=0.0;
modelStruct.modelPar_given_SJS=mod.given("SJS");
modParamMap["SJS"] = &(modelStruct.d_modelPar_SJS_dX);
modelStruct.modelPar_SJD=mod.SJD;
modelStruct.d_modelPar_SJD_dX=0.0;
modelStruct.modelPar_given_SJD=mod.given("SJD");
modParamMap["SJD"] = &(modelStruct.d_modelPar_SJD_dX);
modelStruct.modelPar_SJSWS=mod.SJSWS;
modelStruct.d_modelPar_SJSWS_dX=0.0;
modelStruct.modelPar_given_SJSWS=mod.given("SJSWS");
modParamMap["SJSWS"] = &(modelStruct.d_modelPar_SJSWS_dX);
modelStruct.modelPar_SJSWD=mod.SJSWD;
modelStruct.d_modelPar_SJSWD_dX=0.0;
modelStruct.modelPar_given_SJSWD=mod.given("SJSWD");
modParamMap["SJSWD"] = &(modelStruct.d_modelPar_SJSWD_dX);
modelStruct.modelPar_SJSWGS=mod.SJSWGS;
modelStruct.d_modelPar_SJSWGS_dX=0.0;
modelStruct.modelPar_given_SJSWGS=mod.given("SJSWGS");
modParamMap["SJSWGS"] = &(modelStruct.d_modelPar_SJSWGS_dX);
modelStruct.modelPar_SJSWGD=mod.SJSWGD;
modelStruct.d_modelPar_SJSWGD_dX=0.0;
modelStruct.modelPar_given_SJSWGD=mod.given("SJSWGD");
modParamMap["SJSWGD"] = &(modelStruct.d_modelPar_SJSWGD_dX);
modelStruct.modelPar_MJS2=mod.MJS2;
modelStruct.d_modelPar_MJS2_dX=0.0;
modelStruct.modelPar_given_MJS2=mod.given("MJS2");
modParamMap["MJS2"] = &(modelStruct.d_modelPar_MJS2_dX);
modelStruct.modelPar_MJD2=mod.MJD2;
modelStruct.d_modelPar_MJD2_dX=0.0;
modelStruct.modelPar_given_MJD2=mod.given("MJD2");
modParamMap["MJD2"] = &(modelStruct.d_modelPar_MJD2_dX);
modelStruct.modelPar_MJSWS2=mod.MJSWS2;
modelStruct.d_modelPar_MJSWS2_dX=0.0;
modelStruct.modelPar_given_MJSWS2=mod.given("MJSWS2");
modParamMap["MJSWS2"] = &(modelStruct.d_modelPar_MJSWS2_dX);
modelStruct.modelPar_MJSWD2=mod.MJSWD2;
modelStruct.d_modelPar_MJSWD2_dX=0.0;
modelStruct.modelPar_given_MJSWD2=mod.given("MJSWD2");
modParamMap["MJSWD2"] = &(modelStruct.d_modelPar_MJSWD2_dX);
modelStruct.modelPar_MJSWGS2=mod.MJSWGS2;
modelStruct.d_modelPar_MJSWGS2_dX=0.0;
modelStruct.modelPar_given_MJSWGS2=mod.given("MJSWGS2");
modParamMap["MJSWGS2"] = &(modelStruct.d_modelPar_MJSWGS2_dX);
modelStruct.modelPar_MJSWGD2=mod.MJSWGD2;
modelStruct.d_modelPar_MJSWGD2_dX=0.0;
modelStruct.modelPar_given_MJSWGD2=mod.given("MJSWGD2");
modParamMap["MJSWGD2"] = &(modelStruct.d_modelPar_MJSWGD2_dX);
modelStruct.modelPar_JSS=mod.JSS;
modelStruct.d_modelPar_JSS_dX=0.0;
modelStruct.modelPar_given_JSS=mod.given("JSS");
modParamMap["JSS"] = &(modelStruct.d_modelPar_JSS_dX);
modelStruct.modelPar_JSD=mod.JSD;
modelStruct.d_modelPar_JSD_dX=0.0;
modelStruct.modelPar_given_JSD=mod.given("JSD");
modParamMap["JSD"] = &(modelStruct.d_modelPar_JSD_dX);
modelStruct.modelPar_JSWS=mod.JSWS;
modelStruct.d_modelPar_JSWS_dX=0.0;
modelStruct.modelPar_given_JSWS=mod.given("JSWS");
modParamMap["JSWS"] = &(modelStruct.d_modelPar_JSWS_dX);
modelStruct.modelPar_JSWD=mod.JSWD;
modelStruct.d_modelPar_JSWD_dX=0.0;
modelStruct.modelPar_given_JSWD=mod.given("JSWD");
modParamMap["JSWD"] = &(modelStruct.d_modelPar_JSWD_dX);
modelStruct.modelPar_JSWGS=mod.JSWGS;
modelStruct.d_modelPar_JSWGS_dX=0.0;
modelStruct.modelPar_given_JSWGS=mod.given("JSWGS");
modParamMap["JSWGS"] = &(modelStruct.d_modelPar_JSWGS_dX);
modelStruct.modelPar_JSWGD=mod.JSWGD;
modelStruct.d_modelPar_JSWGD_dX=0.0;
modelStruct.modelPar_given_JSWGD=mod.given("JSWGD");
modParamMap["JSWGD"] = &(modelStruct.d_modelPar_JSWGD_dX);
modelStruct.modelPar_NJS=mod.NJS;
modelStruct.d_modelPar_NJS_dX=0.0;
modelStruct.modelPar_given_NJS=mod.given("NJS");
modParamMap["NJS"] = &(modelStruct.d_modelPar_NJS_dX);
modelStruct.modelPar_NJD=mod.NJD;
modelStruct.d_modelPar_NJD_dX=0.0;
modelStruct.modelPar_given_NJD=mod.given("NJD");
modParamMap["NJD"] = &(modelStruct.d_modelPar_NJD_dX);
modelStruct.modelPar_IJTHSFWD=mod.IJTHSFWD;
modelStruct.d_modelPar_IJTHSFWD_dX=0.0;
modelStruct.modelPar_given_IJTHSFWD=mod.given("IJTHSFWD");
modParamMap["IJTHSFWD"] = &(modelStruct.d_modelPar_IJTHSFWD_dX);
modelStruct.modelPar_IJTHDFWD=mod.IJTHDFWD;
modelStruct.d_modelPar_IJTHDFWD_dX=0.0;
modelStruct.modelPar_given_IJTHDFWD=mod.given("IJTHDFWD");
modParamMap["IJTHDFWD"] = &(modelStruct.d_modelPar_IJTHDFWD_dX);
modelStruct.modelPar_IJTHSREV=mod.IJTHSREV;
modelStruct.d_modelPar_IJTHSREV_dX=0.0;
modelStruct.modelPar_given_IJTHSREV=mod.given("IJTHSREV");
modParamMap["IJTHSREV"] = &(modelStruct.d_modelPar_IJTHSREV_dX);
modelStruct.modelPar_IJTHDREV=mod.IJTHDREV;
modelStruct.d_modelPar_IJTHDREV_dX=0.0;
modelStruct.modelPar_given_IJTHDREV=mod.given("IJTHDREV");
modParamMap["IJTHDREV"] = &(modelStruct.d_modelPar_IJTHDREV_dX);
modelStruct.modelPar_BVS=mod.BVS;
modelStruct.d_modelPar_BVS_dX=0.0;
modelStruct.modelPar_given_BVS=mod.given("BVS");
modParamMap["BVS"] = &(modelStruct.d_modelPar_BVS_dX);
modelStruct.modelPar_BVD=mod.BVD;
modelStruct.d_modelPar_BVD_dX=0.0;
modelStruct.modelPar_given_BVD=mod.given("BVD");
modParamMap["BVD"] = &(modelStruct.d_modelPar_BVD_dX);
modelStruct.modelPar_XJBVS=mod.XJBVS;
modelStruct.d_modelPar_XJBVS_dX=0.0;
modelStruct.modelPar_given_XJBVS=mod.given("XJBVS");
modParamMap["XJBVS"] = &(modelStruct.d_modelPar_XJBVS_dX);
modelStruct.modelPar_XJBVD=mod.XJBVD;
modelStruct.d_modelPar_XJBVD_dX=0.0;
modelStruct.modelPar_given_XJBVD=mod.given("XJBVD");
modParamMap["XJBVD"] = &(modelStruct.d_modelPar_XJBVD_dX);
modelStruct.modelPar_JTSS=mod.JTSS;
modelStruct.d_modelPar_JTSS_dX=0.0;
modelStruct.modelPar_given_JTSS=mod.given("JTSS");
modParamMap["JTSS"] = &(modelStruct.d_modelPar_JTSS_dX);
modelStruct.modelPar_JTSD=mod.JTSD;
modelStruct.d_modelPar_JTSD_dX=0.0;
modelStruct.modelPar_given_JTSD=mod.given("JTSD");
modParamMap["JTSD"] = &(modelStruct.d_modelPar_JTSD_dX);
modelStruct.modelPar_JTSSWS=mod.JTSSWS;
modelStruct.d_modelPar_JTSSWS_dX=0.0;
modelStruct.modelPar_given_JTSSWS=mod.given("JTSSWS");
modParamMap["JTSSWS"] = &(modelStruct.d_modelPar_JTSSWS_dX);
modelStruct.modelPar_JTSSWD=mod.JTSSWD;
modelStruct.d_modelPar_JTSSWD_dX=0.0;
modelStruct.modelPar_given_JTSSWD=mod.given("JTSSWD");
modParamMap["JTSSWD"] = &(modelStruct.d_modelPar_JTSSWD_dX);
modelStruct.modelPar_JTSSWGS=mod.JTSSWGS;
modelStruct.d_modelPar_JTSSWGS_dX=0.0;
modelStruct.modelPar_given_JTSSWGS=mod.given("JTSSWGS");
modParamMap["JTSSWGS"] = &(modelStruct.d_modelPar_JTSSWGS_dX);
modelStruct.modelPar_JTSSWGD=mod.JTSSWGD;
modelStruct.d_modelPar_JTSSWGD_dX=0.0;
modelStruct.modelPar_given_JTSSWGD=mod.given("JTSSWGD");
modParamMap["JTSSWGD"] = &(modelStruct.d_modelPar_JTSSWGD_dX);
modelStruct.modelPar_JTWEFF=mod.JTWEFF;
modelStruct.d_modelPar_JTWEFF_dX=0.0;
modelStruct.modelPar_given_JTWEFF=mod.given("JTWEFF");
modParamMap["JTWEFF"] = &(modelStruct.d_modelPar_JTWEFF_dX);
modelStruct.modelPar_NJTS=mod.NJTS;
modelStruct.d_modelPar_NJTS_dX=0.0;
modelStruct.modelPar_given_NJTS=mod.given("NJTS");
modParamMap["NJTS"] = &(modelStruct.d_modelPar_NJTS_dX);
modelStruct.modelPar_NJTSD=mod.NJTSD;
modelStruct.d_modelPar_NJTSD_dX=0.0;
modelStruct.modelPar_given_NJTSD=mod.given("NJTSD");
modParamMap["NJTSD"] = &(modelStruct.d_modelPar_NJTSD_dX);
modelStruct.modelPar_NJTSSW=mod.NJTSSW;
modelStruct.d_modelPar_NJTSSW_dX=0.0;
modelStruct.modelPar_given_NJTSSW=mod.given("NJTSSW");
modParamMap["NJTSSW"] = &(modelStruct.d_modelPar_NJTSSW_dX);
modelStruct.modelPar_NJTSSWD=mod.NJTSSWD;
modelStruct.d_modelPar_NJTSSWD_dX=0.0;
modelStruct.modelPar_given_NJTSSWD=mod.given("NJTSSWD");
modParamMap["NJTSSWD"] = &(modelStruct.d_modelPar_NJTSSWD_dX);
modelStruct.modelPar_NJTSSWG=mod.NJTSSWG;
modelStruct.d_modelPar_NJTSSWG_dX=0.0;
modelStruct.modelPar_given_NJTSSWG=mod.given("NJTSSWG");
modParamMap["NJTSSWG"] = &(modelStruct.d_modelPar_NJTSSWG_dX);
modelStruct.modelPar_NJTSSWGD=mod.NJTSSWGD;
modelStruct.d_modelPar_NJTSSWGD_dX=0.0;
modelStruct.modelPar_given_NJTSSWGD=mod.given("NJTSSWGD");
modParamMap["NJTSSWGD"] = &(modelStruct.d_modelPar_NJTSSWGD_dX);
modelStruct.modelPar_VTSS=mod.VTSS;
modelStruct.d_modelPar_VTSS_dX=0.0;
modelStruct.modelPar_given_VTSS=mod.given("VTSS");
modParamMap["VTSS"] = &(modelStruct.d_modelPar_VTSS_dX);
modelStruct.modelPar_VTSD=mod.VTSD;
modelStruct.d_modelPar_VTSD_dX=0.0;
modelStruct.modelPar_given_VTSD=mod.given("VTSD");
modParamMap["VTSD"] = &(modelStruct.d_modelPar_VTSD_dX);
modelStruct.modelPar_VTSSWS=mod.VTSSWS;
modelStruct.d_modelPar_VTSSWS_dX=0.0;
modelStruct.modelPar_given_VTSSWS=mod.given("VTSSWS");
modParamMap["VTSSWS"] = &(modelStruct.d_modelPar_VTSSWS_dX);
modelStruct.modelPar_VTSSWD=mod.VTSSWD;
modelStruct.d_modelPar_VTSSWD_dX=0.0;
modelStruct.modelPar_given_VTSSWD=mod.given("VTSSWD");
modParamMap["VTSSWD"] = &(modelStruct.d_modelPar_VTSSWD_dX);
modelStruct.modelPar_VTSSWGS=mod.VTSSWGS;
modelStruct.d_modelPar_VTSSWGS_dX=0.0;
modelStruct.modelPar_given_VTSSWGS=mod.given("VTSSWGS");
modParamMap["VTSSWGS"] = &(modelStruct.d_modelPar_VTSSWGS_dX);
modelStruct.modelPar_VTSSWGD=mod.VTSSWGD;
modelStruct.d_modelPar_VTSSWGD_dX=0.0;
modelStruct.modelPar_given_VTSSWGD=mod.given("VTSSWGD");
modParamMap["VTSSWGD"] = &(modelStruct.d_modelPar_VTSSWGD_dX);
modelStruct.modelPar_LINTIGEN=mod.LINTIGEN;
modelStruct.d_modelPar_LINTIGEN_dX=0.0;
modelStruct.modelPar_given_LINTIGEN=mod.given("LINTIGEN");
modParamMap["LINTIGEN"] = &(modelStruct.d_modelPar_LINTIGEN_dX);
modelStruct.modelPar_NTGEN=mod.NTGEN;
modelStruct.d_modelPar_NTGEN_dX=0.0;
modelStruct.modelPar_given_NTGEN=mod.given("NTGEN");
modParamMap["NTGEN"] = &(modelStruct.d_modelPar_NTGEN_dX);
modelStruct.modelPar_LNTGEN=mod.LNTGEN;
modelStruct.d_modelPar_LNTGEN_dX=0.0;
modelStruct.modelPar_given_LNTGEN=mod.given("LNTGEN");
modParamMap["LNTGEN"] = &(modelStruct.d_modelPar_LNTGEN_dX);
modelStruct.modelPar_NNTGEN=mod.NNTGEN;
modelStruct.d_modelPar_NNTGEN_dX=0.0;
modelStruct.modelPar_given_NNTGEN=mod.given("NNTGEN");
modParamMap["NNTGEN"] = &(modelStruct.d_modelPar_NNTGEN_dX);
modelStruct.modelPar_PNTGEN=mod.PNTGEN;
modelStruct.d_modelPar_PNTGEN_dX=0.0;
modelStruct.modelPar_given_PNTGEN=mod.given("PNTGEN");
modParamMap["PNTGEN"] = &(modelStruct.d_modelPar_PNTGEN_dX);
modelStruct.modelPar_WNTGEN=mod.WNTGEN;
modelStruct.d_modelPar_WNTGEN_dX=0.0;
modelStruct.modelPar_given_WNTGEN=mod.given("WNTGEN");
modParamMap["WNTGEN"] = &(modelStruct.d_modelPar_WNTGEN_dX);
modelStruct.modelPar_P2NTGEN=mod.P2NTGEN;
modelStruct.d_modelPar_P2NTGEN_dX=0.0;
modelStruct.modelPar_given_P2NTGEN=mod.given("P2NTGEN");
modParamMap["P2NTGEN"] = &(modelStruct.d_modelPar_P2NTGEN_dX);
modelStruct.modelPar_AIGEN=mod.AIGEN;
modelStruct.d_modelPar_AIGEN_dX=0.0;
modelStruct.modelPar_given_AIGEN=mod.given("AIGEN");
modParamMap["AIGEN"] = &(modelStruct.d_modelPar_AIGEN_dX);
modelStruct.modelPar_LAIGEN=mod.LAIGEN;
modelStruct.d_modelPar_LAIGEN_dX=0.0;
modelStruct.modelPar_given_LAIGEN=mod.given("LAIGEN");
modParamMap["LAIGEN"] = &(modelStruct.d_modelPar_LAIGEN_dX);
modelStruct.modelPar_NAIGEN=mod.NAIGEN;
modelStruct.d_modelPar_NAIGEN_dX=0.0;
modelStruct.modelPar_given_NAIGEN=mod.given("NAIGEN");
modParamMap["NAIGEN"] = &(modelStruct.d_modelPar_NAIGEN_dX);
modelStruct.modelPar_PAIGEN=mod.PAIGEN;
modelStruct.d_modelPar_PAIGEN_dX=0.0;
modelStruct.modelPar_given_PAIGEN=mod.given("PAIGEN");
modParamMap["PAIGEN"] = &(modelStruct.d_modelPar_PAIGEN_dX);
modelStruct.modelPar_WAIGEN=mod.WAIGEN;
modelStruct.d_modelPar_WAIGEN_dX=0.0;
modelStruct.modelPar_given_WAIGEN=mod.given("WAIGEN");
modParamMap["WAIGEN"] = &(modelStruct.d_modelPar_WAIGEN_dX);
modelStruct.modelPar_P2AIGEN=mod.P2AIGEN;
modelStruct.d_modelPar_P2AIGEN_dX=0.0;
modelStruct.modelPar_given_P2AIGEN=mod.given("P2AIGEN");
modParamMap["P2AIGEN"] = &(modelStruct.d_modelPar_P2AIGEN_dX);
modelStruct.modelPar_BIGEN=mod.BIGEN;
modelStruct.d_modelPar_BIGEN_dX=0.0;
modelStruct.modelPar_given_BIGEN=mod.given("BIGEN");
modParamMap["BIGEN"] = &(modelStruct.d_modelPar_BIGEN_dX);
modelStruct.modelPar_LBIGEN=mod.LBIGEN;
modelStruct.d_modelPar_LBIGEN_dX=0.0;
modelStruct.modelPar_given_LBIGEN=mod.given("LBIGEN");
modParamMap["LBIGEN"] = &(modelStruct.d_modelPar_LBIGEN_dX);
modelStruct.modelPar_NBIGEN=mod.NBIGEN;
modelStruct.d_modelPar_NBIGEN_dX=0.0;
modelStruct.modelPar_given_NBIGEN=mod.given("NBIGEN");
modParamMap["NBIGEN"] = &(modelStruct.d_modelPar_NBIGEN_dX);
modelStruct.modelPar_PBIGEN=mod.PBIGEN;
modelStruct.d_modelPar_PBIGEN_dX=0.0;
modelStruct.modelPar_given_PBIGEN=mod.given("PBIGEN");
modParamMap["PBIGEN"] = &(modelStruct.d_modelPar_PBIGEN_dX);
modelStruct.modelPar_WBIGEN=mod.WBIGEN;
modelStruct.d_modelPar_WBIGEN_dX=0.0;
modelStruct.modelPar_given_WBIGEN=mod.given("WBIGEN");
modParamMap["WBIGEN"] = &(modelStruct.d_modelPar_WBIGEN_dX);
modelStruct.modelPar_P2BIGEN=mod.P2BIGEN;
modelStruct.d_modelPar_P2BIGEN_dX=0.0;
modelStruct.modelPar_given_P2BIGEN=mod.given("P2BIGEN");
modParamMap["P2BIGEN"] = &(modelStruct.d_modelPar_P2BIGEN_dX);
modelStruct.modelPar_XRCRG1=mod.XRCRG1;
modelStruct.d_modelPar_XRCRG1_dX=0.0;
modelStruct.modelPar_given_XRCRG1=mod.given("XRCRG1");
modParamMap["XRCRG1"] = &(modelStruct.d_modelPar_XRCRG1_dX);
modelStruct.modelPar_LXRCRG1=mod.LXRCRG1;
modelStruct.d_modelPar_LXRCRG1_dX=0.0;
modelStruct.modelPar_given_LXRCRG1=mod.given("LXRCRG1");
modParamMap["LXRCRG1"] = &(modelStruct.d_modelPar_LXRCRG1_dX);
modelStruct.modelPar_NXRCRG1=mod.NXRCRG1;
modelStruct.d_modelPar_NXRCRG1_dX=0.0;
modelStruct.modelPar_given_NXRCRG1=mod.given("NXRCRG1");
modParamMap["NXRCRG1"] = &(modelStruct.d_modelPar_NXRCRG1_dX);
modelStruct.modelPar_PXRCRG1=mod.PXRCRG1;
modelStruct.d_modelPar_PXRCRG1_dX=0.0;
modelStruct.modelPar_given_PXRCRG1=mod.given("PXRCRG1");
modParamMap["PXRCRG1"] = &(modelStruct.d_modelPar_PXRCRG1_dX);
modelStruct.modelPar_WXRCRG1=mod.WXRCRG1;
modelStruct.d_modelPar_WXRCRG1_dX=0.0;
modelStruct.modelPar_given_WXRCRG1=mod.given("WXRCRG1");
modParamMap["WXRCRG1"] = &(modelStruct.d_modelPar_WXRCRG1_dX);
modelStruct.modelPar_P2XRCRG1=mod.P2XRCRG1;
modelStruct.d_modelPar_P2XRCRG1_dX=0.0;
modelStruct.modelPar_given_P2XRCRG1=mod.given("P2XRCRG1");
modParamMap["P2XRCRG1"] = &(modelStruct.d_modelPar_P2XRCRG1_dX);
modelStruct.modelPar_XRCRG2=mod.XRCRG2;
modelStruct.d_modelPar_XRCRG2_dX=0.0;
modelStruct.modelPar_given_XRCRG2=mod.given("XRCRG2");
modParamMap["XRCRG2"] = &(modelStruct.d_modelPar_XRCRG2_dX);
modelStruct.modelPar_LXRCRG2=mod.LXRCRG2;
modelStruct.d_modelPar_LXRCRG2_dX=0.0;
modelStruct.modelPar_given_LXRCRG2=mod.given("LXRCRG2");
modParamMap["LXRCRG2"] = &(modelStruct.d_modelPar_LXRCRG2_dX);
modelStruct.modelPar_NXRCRG2=mod.NXRCRG2;
modelStruct.d_modelPar_NXRCRG2_dX=0.0;
modelStruct.modelPar_given_NXRCRG2=mod.given("NXRCRG2");
modParamMap["NXRCRG2"] = &(modelStruct.d_modelPar_NXRCRG2_dX);
modelStruct.modelPar_PXRCRG2=mod.PXRCRG2;
modelStruct.d_modelPar_PXRCRG2_dX=0.0;
modelStruct.modelPar_given_PXRCRG2=mod.given("PXRCRG2");
modParamMap["PXRCRG2"] = &(modelStruct.d_modelPar_PXRCRG2_dX);
modelStruct.modelPar_WXRCRG2=mod.WXRCRG2;
modelStruct.d_modelPar_WXRCRG2_dX=0.0;
modelStruct.modelPar_given_WXRCRG2=mod.given("WXRCRG2");
modParamMap["WXRCRG2"] = &(modelStruct.d_modelPar_WXRCRG2_dX);
modelStruct.modelPar_P2XRCRG2=mod.P2XRCRG2;
modelStruct.d_modelPar_P2XRCRG2_dX=0.0;
modelStruct.modelPar_given_P2XRCRG2=mod.given("P2XRCRG2");
modParamMap["P2XRCRG2"] = &(modelStruct.d_modelPar_P2XRCRG2_dX);
modelStruct.modelPar_EF=mod.EF;
modelStruct.d_modelPar_EF_dX=0.0;
modelStruct.modelPar_given_EF=mod.given("EF");
modParamMap["EF"] = &(modelStruct.d_modelPar_EF_dX);
modelStruct.modelPar_EM=mod.EM;
modelStruct.d_modelPar_EM_dX=0.0;
modelStruct.modelPar_given_EM=mod.given("EM");
modParamMap["EM"] = &(modelStruct.d_modelPar_EM_dX);
modelStruct.modelPar_NOIA=mod.NOIA;
modelStruct.d_modelPar_NOIA_dX=0.0;
modelStruct.modelPar_given_NOIA=mod.given("NOIA");
modParamMap["NOIA"] = &(modelStruct.d_modelPar_NOIA_dX);
modelStruct.modelPar_NOIB=mod.NOIB;
modelStruct.d_modelPar_NOIB_dX=0.0;
modelStruct.modelPar_given_NOIB=mod.given("NOIB");
modParamMap["NOIB"] = &(modelStruct.d_modelPar_NOIB_dX);
modelStruct.modelPar_NOIC=mod.NOIC;
modelStruct.d_modelPar_NOIC_dX=0.0;
modelStruct.modelPar_given_NOIC=mod.given("NOIC");
modParamMap["NOIC"] = &(modelStruct.d_modelPar_NOIC_dX);
modelStruct.modelPar_LINTNOI=mod.LINTNOI;
modelStruct.d_modelPar_LINTNOI_dX=0.0;
modelStruct.modelPar_given_LINTNOI=mod.given("LINTNOI");
modParamMap["LINTNOI"] = &(modelStruct.d_modelPar_LINTNOI_dX);
modelStruct.modelPar_SMOOTH=mod.SMOOTH;
modelStruct.d_modelPar_SMOOTH_dX=0.0;
modelStruct.modelPar_given_SMOOTH=mod.given("SMOOTH");
modParamMap["SMOOTH"] = &(modelStruct.d_modelPar_SMOOTH_dX);
modelStruct.modelPar_NOIA2=mod.NOIA2;
modelStruct.d_modelPar_NOIA2_dX=0.0;
modelStruct.modelPar_given_NOIA2=mod.given("NOIA2");
modParamMap["NOIA2"] = &(modelStruct.d_modelPar_NOIA2_dX);
modelStruct.modelPar_LNOIA2=mod.LNOIA2;
modelStruct.d_modelPar_LNOIA2_dX=0.0;
modelStruct.modelPar_given_LNOIA2=mod.given("LNOIA2");
modParamMap["LNOIA2"] = &(modelStruct.d_modelPar_LNOIA2_dX);
modelStruct.modelPar_NNOIA2=mod.NNOIA2;
modelStruct.d_modelPar_NNOIA2_dX=0.0;
modelStruct.modelPar_given_NNOIA2=mod.given("NNOIA2");
modParamMap["NNOIA2"] = &(modelStruct.d_modelPar_NNOIA2_dX);
modelStruct.modelPar_PNOIA2=mod.PNOIA2;
modelStruct.d_modelPar_PNOIA2_dX=0.0;
modelStruct.modelPar_given_PNOIA2=mod.given("PNOIA2");
modParamMap["PNOIA2"] = &(modelStruct.d_modelPar_PNOIA2_dX);
modelStruct.modelPar_WNOIA2=mod.WNOIA2;
modelStruct.d_modelPar_WNOIA2_dX=0.0;
modelStruct.modelPar_given_WNOIA2=mod.given("WNOIA2");
modParamMap["WNOIA2"] = &(modelStruct.d_modelPar_WNOIA2_dX);
modelStruct.modelPar_P2NOIA2=mod.P2NOIA2;
modelStruct.d_modelPar_P2NOIA2_dX=0.0;
modelStruct.modelPar_given_P2NOIA2=mod.given("P2NOIA2");
modParamMap["P2NOIA2"] = &(modelStruct.d_modelPar_P2NOIA2_dX);
modelStruct.modelPar_MPOWER=mod.MPOWER;
modelStruct.d_modelPar_MPOWER_dX=0.0;
modelStruct.modelPar_given_MPOWER=mod.given("MPOWER");
modParamMap["MPOWER"] = &(modelStruct.d_modelPar_MPOWER_dX);
modelStruct.modelPar_LMPOWER=mod.LMPOWER;
modelStruct.d_modelPar_LMPOWER_dX=0.0;
modelStruct.modelPar_given_LMPOWER=mod.given("LMPOWER");
modParamMap["LMPOWER"] = &(modelStruct.d_modelPar_LMPOWER_dX);
modelStruct.modelPar_NMPOWER=mod.NMPOWER;
modelStruct.d_modelPar_NMPOWER_dX=0.0;
modelStruct.modelPar_given_NMPOWER=mod.given("NMPOWER");
modParamMap["NMPOWER"] = &(modelStruct.d_modelPar_NMPOWER_dX);
modelStruct.modelPar_PMPOWER=mod.PMPOWER;
modelStruct.d_modelPar_PMPOWER_dX=0.0;
modelStruct.modelPar_given_PMPOWER=mod.given("PMPOWER");
modParamMap["PMPOWER"] = &(modelStruct.d_modelPar_PMPOWER_dX);
modelStruct.modelPar_WMPOWER=mod.WMPOWER;
modelStruct.d_modelPar_WMPOWER_dX=0.0;
modelStruct.modelPar_given_WMPOWER=mod.given("WMPOWER");
modParamMap["WMPOWER"] = &(modelStruct.d_modelPar_WMPOWER_dX);
modelStruct.modelPar_P2MPOWER=mod.P2MPOWER;
modelStruct.d_modelPar_P2MPOWER_dX=0.0;
modelStruct.modelPar_given_P2MPOWER=mod.given("P2MPOWER");
modParamMap["P2MPOWER"] = &(modelStruct.d_modelPar_P2MPOWER_dX);
modelStruct.modelPar_QSREF=mod.QSREF;
modelStruct.d_modelPar_QSREF_dX=0.0;
modelStruct.modelPar_given_QSREF=mod.given("QSREF");
modParamMap["QSREF"] = &(modelStruct.d_modelPar_QSREF_dX);
modelStruct.modelPar_LQSREF=mod.LQSREF;
modelStruct.d_modelPar_LQSREF_dX=0.0;
modelStruct.modelPar_given_LQSREF=mod.given("LQSREF");
modParamMap["LQSREF"] = &(modelStruct.d_modelPar_LQSREF_dX);
modelStruct.modelPar_NQSREF=mod.NQSREF;
modelStruct.d_modelPar_NQSREF_dX=0.0;
modelStruct.modelPar_given_NQSREF=mod.given("NQSREF");
modParamMap["NQSREF"] = &(modelStruct.d_modelPar_NQSREF_dX);
modelStruct.modelPar_PQSREF=mod.PQSREF;
modelStruct.d_modelPar_PQSREF_dX=0.0;
modelStruct.modelPar_given_PQSREF=mod.given("PQSREF");
modParamMap["PQSREF"] = &(modelStruct.d_modelPar_PQSREF_dX);
modelStruct.modelPar_WQSREF=mod.WQSREF;
modelStruct.d_modelPar_WQSREF_dX=0.0;
modelStruct.modelPar_given_WQSREF=mod.given("WQSREF");
modParamMap["WQSREF"] = &(modelStruct.d_modelPar_WQSREF_dX);
modelStruct.modelPar_P2QSREF=mod.P2QSREF;
modelStruct.d_modelPar_P2QSREF_dX=0.0;
modelStruct.modelPar_given_P2QSREF=mod.given("P2QSREF");
modParamMap["P2QSREF"] = &(modelStruct.d_modelPar_P2QSREF_dX);
modelStruct.modelPar_NTNOI=mod.NTNOI;
modelStruct.d_modelPar_NTNOI_dX=0.0;
modelStruct.modelPar_given_NTNOI=mod.given("NTNOI");
modParamMap["NTNOI"] = &(modelStruct.d_modelPar_NTNOI_dX);
modelStruct.modelPar_RNOIA=mod.RNOIA;
modelStruct.d_modelPar_RNOIA_dX=0.0;
modelStruct.modelPar_given_RNOIA=mod.given("RNOIA");
modParamMap["RNOIA"] = &(modelStruct.d_modelPar_RNOIA_dX);
modelStruct.modelPar_TNOIA=mod.TNOIA;
modelStruct.d_modelPar_TNOIA_dX=0.0;
modelStruct.modelPar_given_TNOIA=mod.given("TNOIA");
modParamMap["TNOIA"] = &(modelStruct.d_modelPar_TNOIA_dX);
modelStruct.modelPar_RNOIB=mod.RNOIB;
modelStruct.d_modelPar_RNOIB_dX=0.0;
modelStruct.modelPar_given_RNOIB=mod.given("RNOIB");
modParamMap["RNOIB"] = &(modelStruct.d_modelPar_RNOIB_dX);
modelStruct.modelPar_TNOIB=mod.TNOIB;
modelStruct.d_modelPar_TNOIB_dX=0.0;
modelStruct.modelPar_given_TNOIB=mod.given("TNOIB");
modParamMap["TNOIB"] = &(modelStruct.d_modelPar_TNOIB_dX);
modelStruct.modelPar_RNOIC=mod.RNOIC;
modelStruct.d_modelPar_RNOIC_dX=0.0;
modelStruct.modelPar_given_RNOIC=mod.given("RNOIC");
modParamMap["RNOIC"] = &(modelStruct.d_modelPar_RNOIC_dX);
modelStruct.modelPar_TNOIC=mod.TNOIC;
modelStruct.d_modelPar_TNOIC_dX=0.0;
modelStruct.modelPar_given_TNOIC=mod.given("TNOIC");
modParamMap["TNOIC"] = &(modelStruct.d_modelPar_TNOIC_dX);
modelStruct.modelPar_RNOIK=mod.RNOIK;
modelStruct.d_modelPar_RNOIK_dX=0.0;
modelStruct.modelPar_given_RNOIK=mod.given("RNOIK");
modParamMap["RNOIK"] = &(modelStruct.d_modelPar_RNOIK_dX);
modelStruct.modelPar_TNOIK=mod.TNOIK;
modelStruct.d_modelPar_TNOIK_dX=0.0;
modelStruct.modelPar_given_TNOIK=mod.given("TNOIK");
modParamMap["TNOIK"] = &(modelStruct.d_modelPar_TNOIK_dX);
modelStruct.modelPar_TNOIK2=mod.TNOIK2;
modelStruct.d_modelPar_TNOIK2_dX=0.0;
modelStruct.modelPar_given_TNOIK2=mod.given("TNOIK2");
modParamMap["TNOIK2"] = &(modelStruct.d_modelPar_TNOIK2_dX);
modelStruct.modelPar_TNOM=mod.TNOM;
modelStruct.d_modelPar_TNOM_dX=0.0;
modelStruct.modelPar_given_TNOM=mod.given("TNOM");
modParamMap["TNOM"] = &(modelStruct.d_modelPar_TNOM_dX);
modelStruct.modelPar_TBGASUB=mod.TBGASUB;
modelStruct.d_modelPar_TBGASUB_dX=0.0;
modelStruct.modelPar_given_TBGASUB=mod.given("TBGASUB");
modParamMap["TBGASUB"] = &(modelStruct.d_modelPar_TBGASUB_dX);
modelStruct.modelPar_TBGBSUB=mod.TBGBSUB;
modelStruct.d_modelPar_TBGBSUB_dX=0.0;
modelStruct.modelPar_given_TBGBSUB=mod.given("TBGBSUB");
modParamMap["TBGBSUB"] = &(modelStruct.d_modelPar_TBGBSUB_dX);
modelStruct.modelPar_KT1L=mod.KT1L;
modelStruct.d_modelPar_KT1L_dX=0.0;
modelStruct.modelPar_given_KT1L=mod.given("KT1L");
modParamMap["KT1L"] = &(modelStruct.d_modelPar_KT1L_dX);
modelStruct.modelPar_TCJ=mod.TCJ;
modelStruct.d_modelPar_TCJ_dX=0.0;
modelStruct.modelPar_given_TCJ=mod.given("TCJ");
modParamMap["TCJ"] = &(modelStruct.d_modelPar_TCJ_dX);
modelStruct.modelPar_TCJSW=mod.TCJSW;
modelStruct.d_modelPar_TCJSW_dX=0.0;
modelStruct.modelPar_given_TCJSW=mod.given("TCJSW");
modParamMap["TCJSW"] = &(modelStruct.d_modelPar_TCJSW_dX);
modelStruct.modelPar_TCJSWG=mod.TCJSWG;
modelStruct.d_modelPar_TCJSWG_dX=0.0;
modelStruct.modelPar_given_TCJSWG=mod.given("TCJSWG");
modParamMap["TCJSWG"] = &(modelStruct.d_modelPar_TCJSWG_dX);
modelStruct.modelPar_TPB=mod.TPB;
modelStruct.d_modelPar_TPB_dX=0.0;
modelStruct.modelPar_given_TPB=mod.given("TPB");
modParamMap["TPB"] = &(modelStruct.d_modelPar_TPB_dX);
modelStruct.modelPar_TPBSW=mod.TPBSW;
modelStruct.d_modelPar_TPBSW_dX=0.0;
modelStruct.modelPar_given_TPBSW=mod.given("TPBSW");
modParamMap["TPBSW"] = &(modelStruct.d_modelPar_TPBSW_dX);
modelStruct.modelPar_TPBSWG=mod.TPBSWG;
modelStruct.d_modelPar_TPBSWG_dX=0.0;
modelStruct.modelPar_given_TPBSWG=mod.given("TPBSWG");
modParamMap["TPBSWG"] = &(modelStruct.d_modelPar_TPBSWG_dX);
modelStruct.modelPar_XTIS=mod.XTIS;
modelStruct.d_modelPar_XTIS_dX=0.0;
modelStruct.modelPar_given_XTIS=mod.given("XTIS");
modParamMap["XTIS"] = &(modelStruct.d_modelPar_XTIS_dX);
modelStruct.modelPar_XTID=mod.XTID;
modelStruct.d_modelPar_XTID_dX=0.0;
modelStruct.modelPar_given_XTID=mod.given("XTID");
modParamMap["XTID"] = &(modelStruct.d_modelPar_XTID_dX);
modelStruct.modelPar_XTSS=mod.XTSS;
modelStruct.d_modelPar_XTSS_dX=0.0;
modelStruct.modelPar_given_XTSS=mod.given("XTSS");
modParamMap["XTSS"] = &(modelStruct.d_modelPar_XTSS_dX);
modelStruct.modelPar_XTSD=mod.XTSD;
modelStruct.d_modelPar_XTSD_dX=0.0;
modelStruct.modelPar_given_XTSD=mod.given("XTSD");
modParamMap["XTSD"] = &(modelStruct.d_modelPar_XTSD_dX);
modelStruct.modelPar_XTSSWS=mod.XTSSWS;
modelStruct.d_modelPar_XTSSWS_dX=0.0;
modelStruct.modelPar_given_XTSSWS=mod.given("XTSSWS");
modParamMap["XTSSWS"] = &(modelStruct.d_modelPar_XTSSWS_dX);
modelStruct.modelPar_XTSSWD=mod.XTSSWD;
modelStruct.d_modelPar_XTSSWD_dX=0.0;
modelStruct.modelPar_given_XTSSWD=mod.given("XTSSWD");
modParamMap["XTSSWD"] = &(modelStruct.d_modelPar_XTSSWD_dX);
modelStruct.modelPar_XTSSWGS=mod.XTSSWGS;
modelStruct.d_modelPar_XTSSWGS_dX=0.0;
modelStruct.modelPar_given_XTSSWGS=mod.given("XTSSWGS");
modParamMap["XTSSWGS"] = &(modelStruct.d_modelPar_XTSSWGS_dX);
modelStruct.modelPar_XTSSWGD=mod.XTSSWGD;
modelStruct.d_modelPar_XTSSWGD_dX=0.0;
modelStruct.modelPar_given_XTSSWGD=mod.given("XTSSWGD");
modParamMap["XTSSWGD"] = &(modelStruct.d_modelPar_XTSSWGD_dX);
modelStruct.modelPar_TNJTS=mod.TNJTS;
modelStruct.d_modelPar_TNJTS_dX=0.0;
modelStruct.modelPar_given_TNJTS=mod.given("TNJTS");
modParamMap["TNJTS"] = &(modelStruct.d_modelPar_TNJTS_dX);
modelStruct.modelPar_TNJTSD=mod.TNJTSD;
modelStruct.d_modelPar_TNJTSD_dX=0.0;
modelStruct.modelPar_given_TNJTSD=mod.given("TNJTSD");
modParamMap["TNJTSD"] = &(modelStruct.d_modelPar_TNJTSD_dX);
modelStruct.modelPar_TNJTSSW=mod.TNJTSSW;
modelStruct.d_modelPar_TNJTSSW_dX=0.0;
modelStruct.modelPar_given_TNJTSSW=mod.given("TNJTSSW");
modParamMap["TNJTSSW"] = &(modelStruct.d_modelPar_TNJTSSW_dX);
modelStruct.modelPar_TNJTSSWD=mod.TNJTSSWD;
modelStruct.d_modelPar_TNJTSSWD_dX=0.0;
modelStruct.modelPar_given_TNJTSSWD=mod.given("TNJTSSWD");
modParamMap["TNJTSSWD"] = &(modelStruct.d_modelPar_TNJTSSWD_dX);
modelStruct.modelPar_TNJTSSWG=mod.TNJTSSWG;
modelStruct.d_modelPar_TNJTSSWG_dX=0.0;
modelStruct.modelPar_given_TNJTSSWG=mod.given("TNJTSSWG");
modParamMap["TNJTSSWG"] = &(modelStruct.d_modelPar_TNJTSSWG_dX);
modelStruct.modelPar_TNJTSSWGD=mod.TNJTSSWGD;
modelStruct.d_modelPar_TNJTSSWGD_dX=0.0;
modelStruct.modelPar_given_TNJTSSWGD=mod.given("TNJTSSWGD");
modParamMap["TNJTSSWGD"] = &(modelStruct.d_modelPar_TNJTSSWGD_dX);
modelStruct.modelPar_KT1=mod.KT1;
modelStruct.d_modelPar_KT1_dX=0.0;
modelStruct.modelPar_given_KT1=mod.given("KT1");
modParamMap["KT1"] = &(modelStruct.d_modelPar_KT1_dX);
modelStruct.modelPar_LKT1=mod.LKT1;
modelStruct.d_modelPar_LKT1_dX=0.0;
modelStruct.modelPar_given_LKT1=mod.given("LKT1");
modParamMap["LKT1"] = &(modelStruct.d_modelPar_LKT1_dX);
modelStruct.modelPar_NKT1=mod.NKT1;
modelStruct.d_modelPar_NKT1_dX=0.0;
modelStruct.modelPar_given_NKT1=mod.given("NKT1");
modParamMap["NKT1"] = &(modelStruct.d_modelPar_NKT1_dX);
modelStruct.modelPar_PKT1=mod.PKT1;
modelStruct.d_modelPar_PKT1_dX=0.0;
modelStruct.modelPar_given_PKT1=mod.given("PKT1");
modParamMap["PKT1"] = &(modelStruct.d_modelPar_PKT1_dX);
modelStruct.modelPar_WKT1=mod.WKT1;
modelStruct.d_modelPar_WKT1_dX=0.0;
modelStruct.modelPar_given_WKT1=mod.given("WKT1");
modParamMap["WKT1"] = &(modelStruct.d_modelPar_WKT1_dX);
modelStruct.modelPar_P2KT1=mod.P2KT1;
modelStruct.d_modelPar_P2KT1_dX=0.0;
modelStruct.modelPar_given_P2KT1=mod.given("P2KT1");
modParamMap["P2KT1"] = &(modelStruct.d_modelPar_P2KT1_dX);
modelStruct.modelPar_KT11=mod.KT11;
modelStruct.d_modelPar_KT11_dX=0.0;
modelStruct.modelPar_given_KT11=mod.given("KT11");
modParamMap["KT11"] = &(modelStruct.d_modelPar_KT11_dX);
modelStruct.modelPar_KT12=mod.KT12;
modelStruct.d_modelPar_KT12_dX=0.0;
modelStruct.modelPar_given_KT12=mod.given("KT12");
modParamMap["KT12"] = &(modelStruct.d_modelPar_KT12_dX);
modelStruct.modelPar_TVTH=mod.TVTH;
modelStruct.d_modelPar_TVTH_dX=0.0;
modelStruct.modelPar_given_TVTH=mod.given("TVTH");
modParamMap["TVTH"] = &(modelStruct.d_modelPar_TVTH_dX);
modelStruct.modelPar_TSS=mod.TSS;
modelStruct.d_modelPar_TSS_dX=0.0;
modelStruct.modelPar_given_TSS=mod.given("TSS");
modParamMap["TSS"] = &(modelStruct.d_modelPar_TSS_dX);
modelStruct.modelPar_LTSS=mod.LTSS;
modelStruct.d_modelPar_LTSS_dX=0.0;
modelStruct.modelPar_given_LTSS=mod.given("LTSS");
modParamMap["LTSS"] = &(modelStruct.d_modelPar_LTSS_dX);
modelStruct.modelPar_NTSS=mod.NTSS;
modelStruct.d_modelPar_NTSS_dX=0.0;
modelStruct.modelPar_given_NTSS=mod.given("NTSS");
modParamMap["NTSS"] = &(modelStruct.d_modelPar_NTSS_dX);
modelStruct.modelPar_PTSS=mod.PTSS;
modelStruct.d_modelPar_PTSS_dX=0.0;
modelStruct.modelPar_given_PTSS=mod.given("PTSS");
modParamMap["PTSS"] = &(modelStruct.d_modelPar_PTSS_dX);
modelStruct.modelPar_WTSS=mod.WTSS;
modelStruct.d_modelPar_WTSS_dX=0.0;
modelStruct.modelPar_given_WTSS=mod.given("WTSS");
modParamMap["WTSS"] = &(modelStruct.d_modelPar_WTSS_dX);
modelStruct.modelPar_P2TSS=mod.P2TSS;
modelStruct.d_modelPar_P2TSS_dX=0.0;
modelStruct.modelPar_given_P2TSS=mod.given("P2TSS");
modParamMap["P2TSS"] = &(modelStruct.d_modelPar_P2TSS_dX);
modelStruct.modelPar_IIT=mod.IIT;
modelStruct.d_modelPar_IIT_dX=0.0;
modelStruct.modelPar_given_IIT=mod.given("IIT");
modParamMap["IIT"] = &(modelStruct.d_modelPar_IIT_dX);
modelStruct.modelPar_LIIT=mod.LIIT;
modelStruct.d_modelPar_LIIT_dX=0.0;
modelStruct.modelPar_given_LIIT=mod.given("LIIT");
modParamMap["LIIT"] = &(modelStruct.d_modelPar_LIIT_dX);
modelStruct.modelPar_NIIT=mod.NIIT;
modelStruct.d_modelPar_NIIT_dX=0.0;
modelStruct.modelPar_given_NIIT=mod.given("NIIT");
modParamMap["NIIT"] = &(modelStruct.d_modelPar_NIIT_dX);
modelStruct.modelPar_PIIT=mod.PIIT;
modelStruct.d_modelPar_PIIT_dX=0.0;
modelStruct.modelPar_given_PIIT=mod.given("PIIT");
modParamMap["PIIT"] = &(modelStruct.d_modelPar_PIIT_dX);
modelStruct.modelPar_WIIT=mod.WIIT;
modelStruct.d_modelPar_WIIT_dX=0.0;
modelStruct.modelPar_given_WIIT=mod.given("WIIT");
modParamMap["WIIT"] = &(modelStruct.d_modelPar_WIIT_dX);
modelStruct.modelPar_P2IIT=mod.P2IIT;
modelStruct.d_modelPar_P2IIT_dX=0.0;
modelStruct.modelPar_given_P2IIT=mod.given("P2IIT");
modParamMap["P2IIT"] = &(modelStruct.d_modelPar_P2IIT_dX);
modelStruct.modelPar_TII=mod.TII;
modelStruct.d_modelPar_TII_dX=0.0;
modelStruct.modelPar_given_TII=mod.given("TII");
modParamMap["TII"] = &(modelStruct.d_modelPar_TII_dX);
modelStruct.modelPar_LTII=mod.LTII;
modelStruct.d_modelPar_LTII_dX=0.0;
modelStruct.modelPar_given_LTII=mod.given("LTII");
modParamMap["LTII"] = &(modelStruct.d_modelPar_LTII_dX);
modelStruct.modelPar_NTII=mod.NTII;
modelStruct.d_modelPar_NTII_dX=0.0;
modelStruct.modelPar_given_NTII=mod.given("NTII");
modParamMap["NTII"] = &(modelStruct.d_modelPar_NTII_dX);
modelStruct.modelPar_PTII=mod.PTII;
modelStruct.d_modelPar_PTII_dX=0.0;
modelStruct.modelPar_given_PTII=mod.given("PTII");
modParamMap["PTII"] = &(modelStruct.d_modelPar_PTII_dX);
modelStruct.modelPar_WTII=mod.WTII;
modelStruct.d_modelPar_WTII_dX=0.0;
modelStruct.modelPar_given_WTII=mod.given("WTII");
modParamMap["WTII"] = &(modelStruct.d_modelPar_WTII_dX);
modelStruct.modelPar_P2TII=mod.P2TII;
modelStruct.d_modelPar_P2TII_dX=0.0;
modelStruct.modelPar_given_P2TII=mod.given("P2TII");
modParamMap["P2TII"] = &(modelStruct.d_modelPar_P2TII_dX);
modelStruct.modelPar_TGIDL=mod.TGIDL;
modelStruct.d_modelPar_TGIDL_dX=0.0;
modelStruct.modelPar_given_TGIDL=mod.given("TGIDL");
modParamMap["TGIDL"] = &(modelStruct.d_modelPar_TGIDL_dX);
modelStruct.modelPar_LTGIDL=mod.LTGIDL;
modelStruct.d_modelPar_LTGIDL_dX=0.0;
modelStruct.modelPar_given_LTGIDL=mod.given("LTGIDL");
modParamMap["LTGIDL"] = &(modelStruct.d_modelPar_LTGIDL_dX);
modelStruct.modelPar_NTGIDL=mod.NTGIDL;
modelStruct.d_modelPar_NTGIDL_dX=0.0;
modelStruct.modelPar_given_NTGIDL=mod.given("NTGIDL");
modParamMap["NTGIDL"] = &(modelStruct.d_modelPar_NTGIDL_dX);
modelStruct.modelPar_PTGIDL=mod.PTGIDL;
modelStruct.d_modelPar_PTGIDL_dX=0.0;
modelStruct.modelPar_given_PTGIDL=mod.given("PTGIDL");
modParamMap["PTGIDL"] = &(modelStruct.d_modelPar_PTGIDL_dX);
modelStruct.modelPar_WTGIDL=mod.WTGIDL;
modelStruct.d_modelPar_WTGIDL_dX=0.0;
modelStruct.modelPar_given_WTGIDL=mod.given("WTGIDL");
modParamMap["WTGIDL"] = &(modelStruct.d_modelPar_WTGIDL_dX);
modelStruct.modelPar_P2TGIDL=mod.P2TGIDL;
modelStruct.d_modelPar_P2TGIDL_dX=0.0;
modelStruct.modelPar_given_P2TGIDL=mod.given("P2TGIDL");
modParamMap["P2TGIDL"] = &(modelStruct.d_modelPar_P2TGIDL_dX);
modelStruct.modelPar_IGT=mod.IGT;
modelStruct.d_modelPar_IGT_dX=0.0;
modelStruct.modelPar_given_IGT=mod.given("IGT");
modParamMap["IGT"] = &(modelStruct.d_modelPar_IGT_dX);
modelStruct.modelPar_LIGT=mod.LIGT;
modelStruct.d_modelPar_LIGT_dX=0.0;
modelStruct.modelPar_given_LIGT=mod.given("LIGT");
modParamMap["LIGT"] = &(modelStruct.d_modelPar_LIGT_dX);
modelStruct.modelPar_NIGT=mod.NIGT;
modelStruct.d_modelPar_NIGT_dX=0.0;
modelStruct.modelPar_given_NIGT=mod.given("NIGT");
modParamMap["NIGT"] = &(modelStruct.d_modelPar_NIGT_dX);
modelStruct.modelPar_PIGT=mod.PIGT;
modelStruct.d_modelPar_PIGT_dX=0.0;
modelStruct.modelPar_given_PIGT=mod.given("PIGT");
modParamMap["PIGT"] = &(modelStruct.d_modelPar_PIGT_dX);
modelStruct.modelPar_WIGT=mod.WIGT;
modelStruct.d_modelPar_WIGT_dX=0.0;
modelStruct.modelPar_given_WIGT=mod.given("WIGT");
modParamMap["WIGT"] = &(modelStruct.d_modelPar_WIGT_dX);
modelStruct.modelPar_P2IGT=mod.P2IGT;
modelStruct.d_modelPar_P2IGT_dX=0.0;
modelStruct.modelPar_given_P2IGT=mod.given("P2IGT");
modParamMap["P2IGT"] = &(modelStruct.d_modelPar_P2IGT_dX);
modelStruct.modelPar_TLOW=mod.TLOW;
modelStruct.d_modelPar_TLOW_dX=0.0;
modelStruct.modelPar_given_TLOW=mod.given("TLOW");
modParamMap["TLOW"] = &(modelStruct.d_modelPar_TLOW_dX);
modelStruct.modelPar_TLOW1=mod.TLOW1;
modelStruct.d_modelPar_TLOW1_dX=0.0;
modelStruct.modelPar_given_TLOW1=mod.given("TLOW1");
modParamMap["TLOW1"] = &(modelStruct.d_modelPar_TLOW1_dX);
modelStruct.modelPar_DTLOW=mod.DTLOW;
modelStruct.d_modelPar_DTLOW_dX=0.0;
modelStruct.modelPar_given_DTLOW=mod.given("DTLOW");
modParamMap["DTLOW"] = &(modelStruct.d_modelPar_DTLOW_dX);
modelStruct.modelPar_DTLOW1=mod.DTLOW1;
modelStruct.d_modelPar_DTLOW1_dX=0.0;
modelStruct.modelPar_given_DTLOW1=mod.given("DTLOW1");
modParamMap["DTLOW1"] = &(modelStruct.d_modelPar_DTLOW1_dX);
modelStruct.modelPar_KLOW1=mod.KLOW1;
modelStruct.d_modelPar_KLOW1_dX=0.0;
modelStruct.modelPar_given_KLOW1=mod.given("KLOW1");
modParamMap["KLOW1"] = &(modelStruct.d_modelPar_KLOW1_dX);
modelStruct.modelPar_RTH0=mod.RTH0;
modelStruct.d_modelPar_RTH0_dX=0.0;
modelStruct.modelPar_given_RTH0=mod.given("RTH0");
modParamMap["RTH0"] = &(modelStruct.d_modelPar_RTH0_dX);
modelStruct.modelPar_CTH0=mod.CTH0;
modelStruct.d_modelPar_CTH0_dX=0.0;
modelStruct.modelPar_given_CTH0=mod.given("CTH0");
modParamMap["CTH0"] = &(modelStruct.d_modelPar_CTH0_dX);
modelStruct.modelPar_WTH0=mod.WTH0;
modelStruct.d_modelPar_WTH0_dX=0.0;
modelStruct.modelPar_given_WTH0=mod.given("WTH0");
modParamMap["WTH0"] = &(modelStruct.d_modelPar_WTH0_dX);
modelStruct.modelPar_ASHEXP=mod.ASHEXP;
modelStruct.d_modelPar_ASHEXP_dX=0.0;
modelStruct.modelPar_given_ASHEXP=mod.given("ASHEXP");
modParamMap["ASHEXP"] = &(modelStruct.d_modelPar_ASHEXP_dX);
modelStruct.modelPar_BSHEXP=mod.BSHEXP;
modelStruct.d_modelPar_BSHEXP_dX=0.0;
modelStruct.modelPar_given_BSHEXP=mod.given("BSHEXP");
modParamMap["BSHEXP"] = &(modelStruct.d_modelPar_BSHEXP_dX);
modelStruct.modelPar_ACH_UFCM=mod.ACH_UFCM;
modelStruct.d_modelPar_ACH_UFCM_dX=0.0;
modelStruct.modelPar_given_ACH_UFCM=mod.given("ACH_UFCM");
modParamMap["ACH_UFCM"] = &(modelStruct.d_modelPar_ACH_UFCM_dX);
modelStruct.modelPar_CINS_UFCM=mod.CINS_UFCM;
modelStruct.d_modelPar_CINS_UFCM_dX=0.0;
modelStruct.modelPar_given_CINS_UFCM=mod.given("CINS_UFCM");
modParamMap["CINS_UFCM"] = &(modelStruct.d_modelPar_CINS_UFCM_dX);
modelStruct.modelPar_W_UFCM=mod.W_UFCM;
modelStruct.d_modelPar_W_UFCM_dX=0.0;
modelStruct.modelPar_given_W_UFCM=mod.given("W_UFCM");
modParamMap["W_UFCM"] = &(modelStruct.d_modelPar_W_UFCM_dX);
modelStruct.modelPar_TFIN_TOP=mod.TFIN_TOP;
modelStruct.d_modelPar_TFIN_TOP_dX=0.0;
modelStruct.modelPar_given_TFIN_TOP=mod.given("TFIN_TOP");
modParamMap["TFIN_TOP"] = &(modelStruct.d_modelPar_TFIN_TOP_dX);
modelStruct.modelPar_TFIN_BASE=mod.TFIN_BASE;
modelStruct.d_modelPar_TFIN_BASE_dX=0.0;
modelStruct.modelPar_given_TFIN_BASE=mod.given("TFIN_BASE");
modParamMap["TFIN_BASE"] = &(modelStruct.d_modelPar_TFIN_BASE_dX);
modelStruct.modelPar_QMFACTORCV=mod.QMFACTORCV;
modelStruct.d_modelPar_QMFACTORCV_dX=0.0;
modelStruct.modelPar_given_QMFACTORCV=mod.given("QMFACTORCV");
modParamMap["QMFACTORCV"] = &(modelStruct.d_modelPar_QMFACTORCV_dX);
modelStruct.modelPar_ALPHA_UFCM=mod.ALPHA_UFCM;
modelStruct.d_modelPar_ALPHA_UFCM_dX=0.0;
modelStruct.modelPar_given_ALPHA_UFCM=mod.given("ALPHA_UFCM");
modParamMap["ALPHA_UFCM"] = &(modelStruct.d_modelPar_ALPHA_UFCM_dX);
modelStruct.modelPar_LMIN=mod.LMIN;
modelStruct.d_modelPar_LMIN_dX=0.0;
modelStruct.modelPar_given_LMIN=mod.given("LMIN");
modParamMap["LMIN"] = &(modelStruct.d_modelPar_LMIN_dX);
modelStruct.modelPar_WMIN=mod.WMIN;
modelStruct.d_modelPar_WMIN_dX=0.0;
modelStruct.modelPar_given_WMIN=mod.given("WMIN");
modParamMap["WMIN"] = &(modelStruct.d_modelPar_WMIN_dX);
modelStruct.modelPar_LMAX=mod.LMAX;
modelStruct.d_modelPar_LMAX_dX=0.0;
modelStruct.modelPar_given_LMAX=mod.given("LMAX");
modParamMap["LMAX"] = &(modelStruct.d_modelPar_LMAX_dX);
modelStruct.modelPar_WMAX=mod.WMAX;
modelStruct.d_modelPar_WMAX_dX=0.0;
modelStruct.modelPar_given_WMAX=mod.given("WMAX");
modParamMap["WMAX"] = &(modelStruct.d_modelPar_WMAX_dX);
modelStruct.modelPar_DIM1H=mod.DIM1H;
modelStruct.d_modelPar_DIM1H_dX=0.0;
modelStruct.modelPar_given_DIM1H=mod.given("DIM1H");
modParamMap["DIM1H"] = &(modelStruct.d_modelPar_DIM1H_dX);
modelStruct.modelPar_DIMENSION1=mod.DIMENSION1;
modelStruct.d_modelPar_DIMENSION1_dX=0.0;
modelStruct.modelPar_given_DIMENSION1=mod.given("DIMENSION1");
modParamMap["DIMENSION1"] = &(modelStruct.d_modelPar_DIMENSION1_dX);
modelStruct.modelPar_LDIMENSION1=mod.LDIMENSION1;
modelStruct.d_modelPar_LDIMENSION1_dX=0.0;
modelStruct.modelPar_given_LDIMENSION1=mod.given("LDIMENSION1");
modParamMap["LDIMENSION1"] = &(modelStruct.d_modelPar_LDIMENSION1_dX);
modelStruct.modelPar_NDIMENSION1=mod.NDIMENSION1;
modelStruct.d_modelPar_NDIMENSION1_dX=0.0;
modelStruct.modelPar_given_NDIMENSION1=mod.given("NDIMENSION1");
modParamMap["NDIMENSION1"] = &(modelStruct.d_modelPar_NDIMENSION1_dX);
modelStruct.modelPar_PDIMENSION1=mod.PDIMENSION1;
modelStruct.d_modelPar_PDIMENSION1_dX=0.0;
modelStruct.modelPar_given_PDIMENSION1=mod.given("PDIMENSION1");
modParamMap["PDIMENSION1"] = &(modelStruct.d_modelPar_PDIMENSION1_dX);
modelStruct.modelPar_WDIMENSION1=mod.WDIMENSION1;
modelStruct.d_modelPar_WDIMENSION1_dX=0.0;
modelStruct.modelPar_given_WDIMENSION1=mod.given("WDIMENSION1");
modParamMap["WDIMENSION1"] = &(modelStruct.d_modelPar_WDIMENSION1_dX);
modelStruct.modelPar_P2DIMENSION1=mod.P2DIMENSION1;
modelStruct.d_modelPar_P2DIMENSION1_dX=0.0;
modelStruct.modelPar_given_P2DIMENSION1=mod.given("P2DIMENSION1");
modParamMap["P2DIMENSION1"] = &(modelStruct.d_modelPar_P2DIMENSION1_dX);
modelStruct.modelPar_DIM2H=mod.DIM2H;
modelStruct.d_modelPar_DIM2H_dX=0.0;
modelStruct.modelPar_given_DIM2H=mod.given("DIM2H");
modParamMap["DIM2H"] = &(modelStruct.d_modelPar_DIM2H_dX);
modelStruct.modelPar_DIMENSION2=mod.DIMENSION2;
modelStruct.d_modelPar_DIMENSION2_dX=0.0;
modelStruct.modelPar_given_DIMENSION2=mod.given("DIMENSION2");
modParamMap["DIMENSION2"] = &(modelStruct.d_modelPar_DIMENSION2_dX);
modelStruct.modelPar_LDIMENSION2=mod.LDIMENSION2;
modelStruct.d_modelPar_LDIMENSION2_dX=0.0;
modelStruct.modelPar_given_LDIMENSION2=mod.given("LDIMENSION2");
modParamMap["LDIMENSION2"] = &(modelStruct.d_modelPar_LDIMENSION2_dX);
modelStruct.modelPar_NDIMENSION2=mod.NDIMENSION2;
modelStruct.d_modelPar_NDIMENSION2_dX=0.0;
modelStruct.modelPar_given_NDIMENSION2=mod.given("NDIMENSION2");
modParamMap["NDIMENSION2"] = &(modelStruct.d_modelPar_NDIMENSION2_dX);
modelStruct.modelPar_PDIMENSION2=mod.PDIMENSION2;
modelStruct.d_modelPar_PDIMENSION2_dX=0.0;
modelStruct.modelPar_given_PDIMENSION2=mod.given("PDIMENSION2");
modParamMap["PDIMENSION2"] = &(modelStruct.d_modelPar_PDIMENSION2_dX);
modelStruct.modelPar_WDIMENSION2=mod.WDIMENSION2;
modelStruct.d_modelPar_WDIMENSION2_dX=0.0;
modelStruct.modelPar_given_WDIMENSION2=mod.given("WDIMENSION2");
modParamMap["WDIMENSION2"] = &(modelStruct.d_modelPar_WDIMENSION2_dX);
modelStruct.modelPar_P2DIMENSION2=mod.P2DIMENSION2;
modelStruct.d_modelPar_P2DIMENSION2_dX=0.0;
modelStruct.modelPar_given_P2DIMENSION2=mod.given("P2DIMENSION2");
modParamMap["P2DIMENSION2"] = &(modelStruct.d_modelPar_P2DIMENSION2_dX);
modelStruct.modelPar_DIM3H=mod.DIM3H;
modelStruct.d_modelPar_DIM3H_dX=0.0;
modelStruct.modelPar_given_DIM3H=mod.given("DIM3H");
modParamMap["DIM3H"] = &(modelStruct.d_modelPar_DIM3H_dX);
modelStruct.modelPar_DIMENSION3=mod.DIMENSION3;
modelStruct.d_modelPar_DIMENSION3_dX=0.0;
modelStruct.modelPar_given_DIMENSION3=mod.given("DIMENSION3");
modParamMap["DIMENSION3"] = &(modelStruct.d_modelPar_DIMENSION3_dX);
modelStruct.modelPar_LDIMENSION3=mod.LDIMENSION3;
modelStruct.d_modelPar_LDIMENSION3_dX=0.0;
modelStruct.modelPar_given_LDIMENSION3=mod.given("LDIMENSION3");
modParamMap["LDIMENSION3"] = &(modelStruct.d_modelPar_LDIMENSION3_dX);
modelStruct.modelPar_NDIMENSION3=mod.NDIMENSION3;
modelStruct.d_modelPar_NDIMENSION3_dX=0.0;
modelStruct.modelPar_given_NDIMENSION3=mod.given("NDIMENSION3");
modParamMap["NDIMENSION3"] = &(modelStruct.d_modelPar_NDIMENSION3_dX);
modelStruct.modelPar_PDIMENSION3=mod.PDIMENSION3;
modelStruct.d_modelPar_PDIMENSION3_dX=0.0;
modelStruct.modelPar_given_PDIMENSION3=mod.given("PDIMENSION3");
modParamMap["PDIMENSION3"] = &(modelStruct.d_modelPar_PDIMENSION3_dX);
modelStruct.modelPar_WDIMENSION3=mod.WDIMENSION3;
modelStruct.d_modelPar_WDIMENSION3_dX=0.0;
modelStruct.modelPar_given_WDIMENSION3=mod.given("WDIMENSION3");
modParamMap["WDIMENSION3"] = &(modelStruct.d_modelPar_WDIMENSION3_dX);
modelStruct.modelPar_P2DIMENSION3=mod.P2DIMENSION3;
modelStruct.d_modelPar_P2DIMENSION3_dX=0.0;
modelStruct.modelPar_given_P2DIMENSION3=mod.given("P2DIMENSION3");
modParamMap["P2DIMENSION3"] = &(modelStruct.d_modelPar_P2DIMENSION3_dX);
modelStruct.modelPar_WDIM0=mod.WDIM0;
modelStruct.d_modelPar_WDIM0_dX=0.0;
modelStruct.modelPar_given_WDIM0=mod.given("WDIM0");
modParamMap["WDIM0"] = &(modelStruct.d_modelPar_WDIM0_dX);
modelStruct.modelPar_WDIMR=mod.WDIMR;
modelStruct.d_modelPar_WDIMR_dX=0.0;
modelStruct.modelPar_given_WDIMR=mod.given("WDIMR");
modParamMap["WDIMR"] = &(modelStruct.d_modelPar_WDIMR_dX);
modelStruct.modelPar_SSP1=mod.SSP1;
modelStruct.d_modelPar_SSP1_dX=0.0;
modelStruct.modelPar_given_SSP1=mod.given("SSP1");
modParamMap["SSP1"] = &(modelStruct.d_modelPar_SSP1_dX);
modelStruct.modelPar_LSSP1=mod.LSSP1;
modelStruct.d_modelPar_LSSP1_dX=0.0;
modelStruct.modelPar_given_LSSP1=mod.given("LSSP1");
modParamMap["LSSP1"] = &(modelStruct.d_modelPar_LSSP1_dX);
modelStruct.modelPar_NSSP1=mod.NSSP1;
modelStruct.d_modelPar_NSSP1_dX=0.0;
modelStruct.modelPar_given_NSSP1=mod.given("NSSP1");
modParamMap["NSSP1"] = &(modelStruct.d_modelPar_NSSP1_dX);
modelStruct.modelPar_PSSP1=mod.PSSP1;
modelStruct.d_modelPar_PSSP1_dX=0.0;
modelStruct.modelPar_given_PSSP1=mod.given("PSSP1");
modParamMap["PSSP1"] = &(modelStruct.d_modelPar_PSSP1_dX);
modelStruct.modelPar_WSSP1=mod.WSSP1;
modelStruct.d_modelPar_WSSP1_dX=0.0;
modelStruct.modelPar_given_WSSP1=mod.given("WSSP1");
modParamMap["WSSP1"] = &(modelStruct.d_modelPar_WSSP1_dX);
modelStruct.modelPar_P2SSP1=mod.P2SSP1;
modelStruct.d_modelPar_P2SSP1_dX=0.0;
modelStruct.modelPar_given_P2SSP1=mod.given("P2SSP1");
modParamMap["P2SSP1"] = &(modelStruct.d_modelPar_P2SSP1_dX);
modelStruct.modelPar_SSP2=mod.SSP2;
modelStruct.d_modelPar_SSP2_dX=0.0;
modelStruct.modelPar_given_SSP2=mod.given("SSP2");
modParamMap["SSP2"] = &(modelStruct.d_modelPar_SSP2_dX);
modelStruct.modelPar_LSSP2=mod.LSSP2;
modelStruct.d_modelPar_LSSP2_dX=0.0;
modelStruct.modelPar_given_LSSP2=mod.given("LSSP2");
modParamMap["LSSP2"] = &(modelStruct.d_modelPar_LSSP2_dX);
modelStruct.modelPar_NSSP2=mod.NSSP2;
modelStruct.d_modelPar_NSSP2_dX=0.0;
modelStruct.modelPar_given_NSSP2=mod.given("NSSP2");
modParamMap["NSSP2"] = &(modelStruct.d_modelPar_NSSP2_dX);
modelStruct.modelPar_PSSP2=mod.PSSP2;
modelStruct.d_modelPar_PSSP2_dX=0.0;
modelStruct.modelPar_given_PSSP2=mod.given("PSSP2");
modParamMap["PSSP2"] = &(modelStruct.d_modelPar_PSSP2_dX);
modelStruct.modelPar_WSSP2=mod.WSSP2;
modelStruct.d_modelPar_WSSP2_dX=0.0;
modelStruct.modelPar_given_WSSP2=mod.given("WSSP2");
modParamMap["WSSP2"] = &(modelStruct.d_modelPar_WSSP2_dX);
modelStruct.modelPar_P2SSP2=mod.P2SSP2;
modelStruct.d_modelPar_P2SSP2_dX=0.0;
modelStruct.modelPar_given_P2SSP2=mod.given("P2SSP2");
modParamMap["P2SSP2"] = &(modelStruct.d_modelPar_P2SSP2_dX);
modelStruct.modelPar_SSP3=mod.SSP3;
modelStruct.d_modelPar_SSP3_dX=0.0;
modelStruct.modelPar_given_SSP3=mod.given("SSP3");
modParamMap["SSP3"] = &(modelStruct.d_modelPar_SSP3_dX);
modelStruct.modelPar_LSSP3=mod.LSSP3;
modelStruct.d_modelPar_LSSP3_dX=0.0;
modelStruct.modelPar_given_LSSP3=mod.given("LSSP3");
modParamMap["LSSP3"] = &(modelStruct.d_modelPar_LSSP3_dX);
modelStruct.modelPar_NSSP3=mod.NSSP3;
modelStruct.d_modelPar_NSSP3_dX=0.0;
modelStruct.modelPar_given_NSSP3=mod.given("NSSP3");
modParamMap["NSSP3"] = &(modelStruct.d_modelPar_NSSP3_dX);
modelStruct.modelPar_PSSP3=mod.PSSP3;
modelStruct.d_modelPar_PSSP3_dX=0.0;
modelStruct.modelPar_given_PSSP3=mod.given("PSSP3");
modParamMap["PSSP3"] = &(modelStruct.d_modelPar_PSSP3_dX);
modelStruct.modelPar_WSSP3=mod.WSSP3;
modelStruct.d_modelPar_WSSP3_dX=0.0;
modelStruct.modelPar_given_WSSP3=mod.given("WSSP3");
modParamMap["WSSP3"] = &(modelStruct.d_modelPar_WSSP3_dX);
modelStruct.modelPar_P2SSP3=mod.P2SSP3;
modelStruct.d_modelPar_P2SSP3_dX=0.0;
modelStruct.modelPar_given_P2SSP3=mod.given("P2SSP3");
modParamMap["P2SSP3"] = &(modelStruct.d_modelPar_P2SSP3_dX);
modelStruct.modelPar_DSSP1=mod.DSSP1;
modelStruct.d_modelPar_DSSP1_dX=0.0;
modelStruct.modelPar_given_DSSP1=mod.given("DSSP1");
modParamMap["DSSP1"] = &(modelStruct.d_modelPar_DSSP1_dX);
modelStruct.modelPar_DSSP2=mod.DSSP2;
modelStruct.d_modelPar_DSSP2_dX=0.0;
modelStruct.modelPar_given_DSSP2=mod.given("DSSP2");
modParamMap["DSSP2"] = &(modelStruct.d_modelPar_DSSP2_dX);
modelStruct.modelPar_DSSP3=mod.DSSP3;
modelStruct.d_modelPar_DSSP3_dX=0.0;
modelStruct.modelPar_given_DSSP3=mod.given("DSSP3");
modParamMap["DSSP3"] = &(modelStruct.d_modelPar_DSSP3_dX);
modelStruct.modelPar_WSSP0=mod.WSSP0;
modelStruct.d_modelPar_WSSP0_dX=0.0;
modelStruct.modelPar_given_WSSP0=mod.given("WSSP0");
modParamMap["WSSP0"] = &(modelStruct.d_modelPar_WSSP0_dX);
modelStruct.modelPar_WSSPR=mod.WSSPR;
modelStruct.d_modelPar_WSSPR_dX=0.0;
modelStruct.modelPar_given_WSSPR=mod.given("WSSPR");
modParamMap["WSSPR"] = &(modelStruct.d_modelPar_WSSPR_dX);
modelStruct.modelPar_WGAANOM=mod.WGAANOM;
modelStruct.d_modelPar_WGAANOM_dX=0.0;
modelStruct.modelPar_given_WGAANOM=mod.given("WGAANOM");
modParamMap["WGAANOM"] = &(modelStruct.d_modelPar_WGAANOM_dX);
modelStruct.modelPar_E2NOM=mod.E2NOM;
modelStruct.d_modelPar_E2NOM_dX=0.0;
modelStruct.modelPar_given_E2NOM=mod.given("E2NOM");
modParamMap["E2NOM"] = &(modelStruct.d_modelPar_E2NOM_dX);
modelStruct.modelPar_LE2NOM=mod.LE2NOM;
modelStruct.d_modelPar_LE2NOM_dX=0.0;
modelStruct.modelPar_given_LE2NOM=mod.given("LE2NOM");
modParamMap["LE2NOM"] = &(modelStruct.d_modelPar_LE2NOM_dX);
modelStruct.modelPar_NE2NOM=mod.NE2NOM;
modelStruct.d_modelPar_NE2NOM_dX=0.0;
modelStruct.modelPar_given_NE2NOM=mod.given("NE2NOM");
modParamMap["NE2NOM"] = &(modelStruct.d_modelPar_NE2NOM_dX);
modelStruct.modelPar_PE2NOM=mod.PE2NOM;
modelStruct.d_modelPar_PE2NOM_dX=0.0;
modelStruct.modelPar_given_PE2NOM=mod.given("PE2NOM");
modParamMap["PE2NOM"] = &(modelStruct.d_modelPar_PE2NOM_dX);
modelStruct.modelPar_WE2NOM=mod.WE2NOM;
modelStruct.d_modelPar_WE2NOM_dX=0.0;
modelStruct.modelPar_given_WE2NOM=mod.given("WE2NOM");
modParamMap["WE2NOM"] = &(modelStruct.d_modelPar_WE2NOM_dX);
modelStruct.modelPar_P2E2NOM=mod.P2E2NOM;
modelStruct.d_modelPar_P2E2NOM_dX=0.0;
modelStruct.modelPar_given_P2E2NOM=mod.given("P2E2NOM");
modParamMap["P2E2NOM"] = &(modelStruct.d_modelPar_P2E2NOM_dX);
modelStruct.modelPar_E3NOM=mod.E3NOM;
modelStruct.d_modelPar_E3NOM_dX=0.0;
modelStruct.modelPar_given_E3NOM=mod.given("E3NOM");
modParamMap["E3NOM"] = &(modelStruct.d_modelPar_E3NOM_dX);
modelStruct.modelPar_LE3NOM=mod.LE3NOM;
modelStruct.d_modelPar_LE3NOM_dX=0.0;
modelStruct.modelPar_given_LE3NOM=mod.given("LE3NOM");
modParamMap["LE3NOM"] = &(modelStruct.d_modelPar_LE3NOM_dX);
modelStruct.modelPar_NE3NOM=mod.NE3NOM;
modelStruct.d_modelPar_NE3NOM_dX=0.0;
modelStruct.modelPar_given_NE3NOM=mod.given("NE3NOM");
modParamMap["NE3NOM"] = &(modelStruct.d_modelPar_NE3NOM_dX);
modelStruct.modelPar_PE3NOM=mod.PE3NOM;
modelStruct.d_modelPar_PE3NOM_dX=0.0;
modelStruct.modelPar_given_PE3NOM=mod.given("PE3NOM");
modParamMap["PE3NOM"] = &(modelStruct.d_modelPar_PE3NOM_dX);
modelStruct.modelPar_WE3NOM=mod.WE3NOM;
modelStruct.d_modelPar_WE3NOM_dX=0.0;
modelStruct.modelPar_given_WE3NOM=mod.given("WE3NOM");
modParamMap["WE3NOM"] = &(modelStruct.d_modelPar_WE3NOM_dX);
modelStruct.modelPar_P2E3NOM=mod.P2E3NOM;
modelStruct.d_modelPar_P2E3NOM_dX=0.0;
modelStruct.modelPar_given_P2E3NOM=mod.given("P2E3NOM");
modParamMap["P2E3NOM"] = &(modelStruct.d_modelPar_P2E3NOM_dX);
modelStruct.modelPar_MFE2=mod.MFE2;
modelStruct.d_modelPar_MFE2_dX=0.0;
modelStruct.modelPar_given_MFE2=mod.given("MFE2");
modParamMap["MFE2"] = &(modelStruct.d_modelPar_MFE2_dX);
modelStruct.modelPar_MFE3=mod.MFE3;
modelStruct.d_modelPar_MFE3_dX=0.0;
modelStruct.modelPar_given_MFE3=mod.given("MFE3");
modParamMap["MFE3"] = &(modelStruct.d_modelPar_MFE3_dX);
modelStruct.modelPar_WSFE2=mod.WSFE2;
modelStruct.d_modelPar_WSFE2_dX=0.0;
modelStruct.modelPar_given_WSFE2=mod.given("WSFE2");
modParamMap["WSFE2"] = &(modelStruct.d_modelPar_WSFE2_dX);
modelStruct.modelPar_WSFE3=mod.WSFE3;
modelStruct.d_modelPar_WSFE3_dX=0.0;
modelStruct.modelPar_given_WSFE3=mod.given("WSFE3");
modParamMap["WSFE3"] = &(modelStruct.d_modelPar_WSFE3_dX);
modelStruct.modelPar_MFQ1NOM=mod.MFQ1NOM;
modelStruct.d_modelPar_MFQ1NOM_dX=0.0;
modelStruct.modelPar_given_MFQ1NOM=mod.given("MFQ1NOM");
modParamMap["MFQ1NOM"] = &(modelStruct.d_modelPar_MFQ1NOM_dX);
modelStruct.modelPar_LMFQ1NOM=mod.LMFQ1NOM;
modelStruct.d_modelPar_LMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_LMFQ1NOM=mod.given("LMFQ1NOM");
modParamMap["LMFQ1NOM"] = &(modelStruct.d_modelPar_LMFQ1NOM_dX);
modelStruct.modelPar_NMFQ1NOM=mod.NMFQ1NOM;
modelStruct.d_modelPar_NMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_NMFQ1NOM=mod.given("NMFQ1NOM");
modParamMap["NMFQ1NOM"] = &(modelStruct.d_modelPar_NMFQ1NOM_dX);
modelStruct.modelPar_PMFQ1NOM=mod.PMFQ1NOM;
modelStruct.d_modelPar_PMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_PMFQ1NOM=mod.given("PMFQ1NOM");
modParamMap["PMFQ1NOM"] = &(modelStruct.d_modelPar_PMFQ1NOM_dX);
modelStruct.modelPar_WMFQ1NOM=mod.WMFQ1NOM;
modelStruct.d_modelPar_WMFQ1NOM_dX=0.0;
modelStruct.modelPar_given_WMFQ1NOM=mod.given("WMFQ1NOM");
modParamMap["WMFQ1NOM"] = &(modelStruct.d_modelPar_WMFQ1NOM_dX);
modelStruct.modelPar_P2MFQ1NOM=mod.P2MFQ1NOM;
modelStruct.d_modelPar_P2MFQ1NOM_dX=0.0;
modelStruct.modelPar_given_P2MFQ1NOM=mod.given("P2MFQ1NOM");
modParamMap["P2MFQ1NOM"] = &(modelStruct.d_modelPar_P2MFQ1NOM_dX);
modelStruct.modelPar_MFQ2NOM=mod.MFQ2NOM;
modelStruct.d_modelPar_MFQ2NOM_dX=0.0;
modelStruct.modelPar_given_MFQ2NOM=mod.given("MFQ2NOM");
modParamMap["MFQ2NOM"] = &(modelStruct.d_modelPar_MFQ2NOM_dX);
modelStruct.modelPar_LMFQ2NOM=mod.LMFQ2NOM;
modelStruct.d_modelPar_LMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_LMFQ2NOM=mod.given("LMFQ2NOM");
modParamMap["LMFQ2NOM"] = &(modelStruct.d_modelPar_LMFQ2NOM_dX);
modelStruct.modelPar_NMFQ2NOM=mod.NMFQ2NOM;
modelStruct.d_modelPar_NMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_NMFQ2NOM=mod.given("NMFQ2NOM");
modParamMap["NMFQ2NOM"] = &(modelStruct.d_modelPar_NMFQ2NOM_dX);
modelStruct.modelPar_PMFQ2NOM=mod.PMFQ2NOM;
modelStruct.d_modelPar_PMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_PMFQ2NOM=mod.given("PMFQ2NOM");
modParamMap["PMFQ2NOM"] = &(modelStruct.d_modelPar_PMFQ2NOM_dX);
modelStruct.modelPar_WMFQ2NOM=mod.WMFQ2NOM;
modelStruct.d_modelPar_WMFQ2NOM_dX=0.0;
modelStruct.modelPar_given_WMFQ2NOM=mod.given("WMFQ2NOM");
modParamMap["WMFQ2NOM"] = &(modelStruct.d_modelPar_WMFQ2NOM_dX);
modelStruct.modelPar_P2MFQ2NOM=mod.P2MFQ2NOM;
modelStruct.d_modelPar_P2MFQ2NOM_dX=0.0;
modelStruct.modelPar_given_P2MFQ2NOM=mod.given("P2MFQ2NOM");
modParamMap["P2MFQ2NOM"] = &(modelStruct.d_modelPar_P2MFQ2NOM_dX);
modelStruct.modelPar_MFQ3NOM=mod.MFQ3NOM;
modelStruct.d_modelPar_MFQ3NOM_dX=0.0;
modelStruct.modelPar_given_MFQ3NOM=mod.given("MFQ3NOM");
modParamMap["MFQ3NOM"] = &(modelStruct.d_modelPar_MFQ3NOM_dX);
modelStruct.modelPar_LMFQ3NOM=mod.LMFQ3NOM;
modelStruct.d_modelPar_LMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_LMFQ3NOM=mod.given("LMFQ3NOM");
modParamMap["LMFQ3NOM"] = &(modelStruct.d_modelPar_LMFQ3NOM_dX);
modelStruct.modelPar_NMFQ3NOM=mod.NMFQ3NOM;
modelStruct.d_modelPar_NMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_NMFQ3NOM=mod.given("NMFQ3NOM");
modParamMap["NMFQ3NOM"] = &(modelStruct.d_modelPar_NMFQ3NOM_dX);
modelStruct.modelPar_PMFQ3NOM=mod.PMFQ3NOM;
modelStruct.d_modelPar_PMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_PMFQ3NOM=mod.given("PMFQ3NOM");
modParamMap["PMFQ3NOM"] = &(modelStruct.d_modelPar_PMFQ3NOM_dX);
modelStruct.modelPar_WMFQ3NOM=mod.WMFQ3NOM;
modelStruct.d_modelPar_WMFQ3NOM_dX=0.0;
modelStruct.modelPar_given_WMFQ3NOM=mod.given("WMFQ3NOM");
modParamMap["WMFQ3NOM"] = &(modelStruct.d_modelPar_WMFQ3NOM_dX);
modelStruct.modelPar_P2MFQ3NOM=mod.P2MFQ3NOM;
modelStruct.d_modelPar_P2MFQ3NOM_dX=0.0;
modelStruct.modelPar_given_P2MFQ3NOM=mod.given("P2MFQ3NOM");
modParamMap["P2MFQ3NOM"] = &(modelStruct.d_modelPar_P2MFQ3NOM_dX);
modelStruct.modelPar_MFQ1=mod.MFQ1;
modelStruct.d_modelPar_MFQ1_dX=0.0;
modelStruct.modelPar_given_MFQ1=mod.given("MFQ1");
modParamMap["MFQ1"] = &(modelStruct.d_modelPar_MFQ1_dX);
modelStruct.modelPar_MFQ2=mod.MFQ2;
modelStruct.d_modelPar_MFQ2_dX=0.0;
modelStruct.modelPar_given_MFQ2=mod.given("MFQ2");
modParamMap["MFQ2"] = &(modelStruct.d_modelPar_MFQ2_dX);
modelStruct.modelPar_MFQ3=mod.MFQ3;
modelStruct.d_modelPar_MFQ3_dX=0.0;
modelStruct.modelPar_given_MFQ3=mod.given("MFQ3");
modParamMap["MFQ3"] = &(modelStruct.d_modelPar_MFQ3_dX);
modelStruct.modelPar_WSFQ1=mod.WSFQ1;
modelStruct.d_modelPar_WSFQ1_dX=0.0;
modelStruct.modelPar_given_WSFQ1=mod.given("WSFQ1");
modParamMap["WSFQ1"] = &(modelStruct.d_modelPar_WSFQ1_dX);
modelStruct.modelPar_WSFQ2=mod.WSFQ2;
modelStruct.d_modelPar_WSFQ2_dX=0.0;
modelStruct.modelPar_given_WSFQ2=mod.given("WSFQ2");
modParamMap["WSFQ2"] = &(modelStruct.d_modelPar_WSFQ2_dX);
modelStruct.modelPar_WSFQ3=mod.WSFQ3;
modelStruct.d_modelPar_WSFQ3_dX=0.0;
modelStruct.modelPar_given_WSFQ3=mod.given("WSFQ3");
modParamMap["WSFQ3"] = &(modelStruct.d_modelPar_WSFQ3_dX);
modelStruct.modelPar_TSRE2=mod.TSRE2;
modelStruct.d_modelPar_TSRE2_dX=0.0;
modelStruct.modelPar_given_TSRE2=mod.given("TSRE2");
modParamMap["TSRE2"] = &(modelStruct.d_modelPar_TSRE2_dX);
modelStruct.modelPar_TDWSE2=mod.TDWSE2;
modelStruct.d_modelPar_TDWSE2_dX=0.0;
modelStruct.modelPar_given_TDWSE2=mod.given("TDWSE2");
modParamMap["TDWSE2"] = &(modelStruct.d_modelPar_TDWSE2_dX);
modelStruct.modelPar_TSRE3=mod.TSRE3;
modelStruct.d_modelPar_TSRE3_dX=0.0;
modelStruct.modelPar_given_TSRE3=mod.given("TSRE3");
modParamMap["TSRE3"] = &(modelStruct.d_modelPar_TSRE3_dX);
modelStruct.modelPar_TDWSE3=mod.TDWSE3;
modelStruct.d_modelPar_TDWSE3_dX=0.0;
modelStruct.modelPar_given_TDWSE3=mod.given("TDWSE3");
modParamMap["TDWSE3"] = &(modelStruct.d_modelPar_TDWSE3_dX);
modelStruct.modelPar_TSRQ1=mod.TSRQ1;
modelStruct.d_modelPar_TSRQ1_dX=0.0;
modelStruct.modelPar_given_TSRQ1=mod.given("TSRQ1");
modParamMap["TSRQ1"] = &(modelStruct.d_modelPar_TSRQ1_dX);
modelStruct.modelPar_TDWSQ1=mod.TDWSQ1;
modelStruct.d_modelPar_TDWSQ1_dX=0.0;
modelStruct.modelPar_given_TDWSQ1=mod.given("TDWSQ1");
modParamMap["TDWSQ1"] = &(modelStruct.d_modelPar_TDWSQ1_dX);
modelStruct.modelPar_TSRQ2=mod.TSRQ2;
modelStruct.d_modelPar_TSRQ2_dX=0.0;
modelStruct.modelPar_given_TSRQ2=mod.given("TSRQ2");
modParamMap["TSRQ2"] = &(modelStruct.d_modelPar_TSRQ2_dX);
modelStruct.modelPar_TDWSQ2=mod.TDWSQ2;
modelStruct.d_modelPar_TDWSQ2_dX=0.0;
modelStruct.modelPar_given_TDWSQ2=mod.given("TDWSQ2");
modParamMap["TDWSQ2"] = &(modelStruct.d_modelPar_TDWSQ2_dX);
modelStruct.modelPar_TSRQ3=mod.TSRQ3;
modelStruct.d_modelPar_TSRQ3_dX=0.0;
modelStruct.modelPar_given_TSRQ3=mod.given("TSRQ3");
modParamMap["TSRQ3"] = &(modelStruct.d_modelPar_TSRQ3_dX);
modelStruct.modelPar_TDWSQ3=mod.TDWSQ3;
modelStruct.d_modelPar_TDWSQ3_dX=0.0;
modelStruct.modelPar_given_TDWSQ3=mod.given("TDWSQ3");
modParamMap["TDWSQ3"] = &(modelStruct.d_modelPar_TDWSQ3_dX);
modelStruct.modelPar_NVSRD=mod.NVSRD;
modelStruct.d_modelPar_NVSRD_dX=0.0;
modelStruct.modelPar_given_NVSRD=mod.given("NVSRD");
modParamMap["NVSRD"] = &(modelStruct.d_modelPar_NVSRD_dX);
modelStruct.modelPar_VSATRSD=mod.VSATRSD;
modelStruct.d_modelPar_VSATRSD_dX=0.0;
modelStruct.modelPar_given_VSATRSD=mod.given("VSATRSD");
modParamMap["VSATRSD"] = &(modelStruct.d_modelPar_VSATRSD_dX);
modelStruct.modelPar_PTWGVSRSD=mod.PTWGVSRSD;
modelStruct.d_modelPar_PTWGVSRSD_dX=0.0;
modelStruct.modelPar_given_PTWGVSRSD=mod.given("PTWGVSRSD");
modParamMap["PTWGVSRSD"] = &(modelStruct.d_modelPar_PTWGVSRSD_dX);
modelStruct.modelPar_PTWG1VSRSD=mod.PTWG1VSRSD;
modelStruct.d_modelPar_PTWG1VSRSD_dX=0.0;
modelStruct.modelPar_given_PTWG1VSRSD=mod.given("PTWG1VSRSD");
modParamMap["PTWG1VSRSD"] = &(modelStruct.d_modelPar_PTWG1VSRSD_dX);
modelStruct.modelPar_PSATXVSRSD=mod.PSATXVSRSD;
modelStruct.d_modelPar_PSATXVSRSD_dX=0.0;
modelStruct.modelPar_given_PSATXVSRSD=mod.given("PSATXVSRSD");
modParamMap["PSATXVSRSD"] = &(modelStruct.d_modelPar_PSATXVSRSD_dX);
modelStruct.modelPar_MVSRSD=mod.MVSRSD;
modelStruct.d_modelPar_MVSRSD_dX=0.0;
modelStruct.modelPar_given_MVSRSD=mod.given("MVSRSD");
modParamMap["MVSRSD"] = &(modelStruct.d_modelPar_MVSRSD_dX);
modelStruct.modelPar_NVSRS=mod.NVSRS;
modelStruct.d_modelPar_NVSRS_dX=0.0;
modelStruct.modelPar_given_NVSRS=mod.given("NVSRS");
modParamMap["NVSRS"] = &(modelStruct.d_modelPar_NVSRS_dX);
modelStruct.modelPar_RDLCW=mod.RDLCW;
modelStruct.d_modelPar_RDLCW_dX=0.0;
modelStruct.modelPar_given_RDLCW=mod.given("RDLCW");
modParamMap["RDLCW"] = &(modelStruct.d_modelPar_RDLCW_dX);
modelStruct.modelPar_RSLCW=mod.RSLCW;
modelStruct.d_modelPar_RSLCW_dX=0.0;
modelStruct.modelPar_given_RSLCW=mod.given("RSLCW");
modParamMap["RSLCW"] = &(modelStruct.d_modelPar_RSLCW_dX);
modelStruct.modelPar_PRTVSRSD=mod.PRTVSRSD;
modelStruct.d_modelPar_PRTVSRSD_dX=0.0;
modelStruct.modelPar_given_PRTVSRSD=mod.given("PRTVSRSD");
modParamMap["PRTVSRSD"] = &(modelStruct.d_modelPar_PRTVSRSD_dX);
modelStruct.modelPar_ATVSRSD=mod.ATVSRSD;
modelStruct.d_modelPar_ATVSRSD_dX=0.0;
modelStruct.modelPar_given_ATVSRSD=mod.given("ATVSRSD");
modParamMap["ATVSRSD"] = &(modelStruct.d_modelPar_ATVSRSD_dX);
modelStruct.modelPar_VSRDFACTOR=mod.VSRDFACTOR;
modelStruct.d_modelPar_VSRDFACTOR_dX=0.0;
modelStruct.modelPar_given_VSRDFACTOR=mod.given("VSRDFACTOR");
modParamMap["VSRDFACTOR"] = &(modelStruct.d_modelPar_VSRDFACTOR_dX);
modelStruct.modelPar_VSRSFACTOR=mod.VSRSFACTOR;
modelStruct.d_modelPar_VSRSFACTOR_dX=0.0;
modelStruct.modelPar_given_VSRSFACTOR=mod.given("VSRSFACTOR");
modParamMap["VSRSFACTOR"] = &(modelStruct.d_modelPar_VSRSFACTOR_dX);
modelStruct.modelPar_RDVDS=mod.RDVDS;
modelStruct.d_modelPar_RDVDS_dX=0.0;
modelStruct.modelPar_given_RDVDS=mod.given("RDVDS");
modParamMap["RDVDS"] = &(modelStruct.d_modelPar_RDVDS_dX);
modelStruct.modelPar_GAVSRD=mod.GAVSRD;
modelStruct.d_modelPar_GAVSRD_dX=0.0;
modelStruct.modelPar_given_GAVSRD=mod.given("GAVSRD");
modParamMap["GAVSRD"] = &(modelStruct.d_modelPar_GAVSRD_dX);


// hidden reals


// non-reals (including hiddens)
modelStruct.modelPar_NGCON=mod.NGCON;
modelStruct.modelPar_given_NGCON=mod.given("NGCON");
modelStruct.modelPar_NGAA=mod.NGAA;
modelStruct.modelPar_given_NGAA=mod.given("NGAA");
modelStruct.modelPar_SUBBANDMOD=mod.SUBBANDMOD;
modelStruct.modelPar_given_SUBBANDMOD=mod.given("SUBBANDMOD");
modelStruct.modelPar_MOBSCMOD=mod.MOBSCMOD;
modelStruct.modelPar_given_MOBSCMOD=mod.given("MOBSCMOD");
modelStruct.modelPar_TYPE=mod.TYPE;
modelStruct.modelPar_given_TYPE=mod.given("TYPE");
modelStruct.modelPar_BULKMOD=mod.BULKMOD;
modelStruct.modelPar_given_BULKMOD=mod.given("BULKMOD");
modelStruct.modelPar_GEOMOD=mod.GEOMOD;
modelStruct.modelPar_given_GEOMOD=mod.given("GEOMOD");
modelStruct.modelPar_CGEO1SW=mod.CGEO1SW;
modelStruct.modelPar_given_CGEO1SW=mod.given("CGEO1SW");
modelStruct.modelPar_RDSMOD=mod.RDSMOD;
modelStruct.modelPar_given_RDSMOD=mod.given("RDSMOD");
modelStruct.modelPar_ASYMMOD=mod.ASYMMOD;
modelStruct.modelPar_given_ASYMMOD=mod.given("ASYMMOD");
modelStruct.modelPar_CVMOD=mod.CVMOD;
modelStruct.modelPar_given_CVMOD=mod.given("CVMOD");
modelStruct.modelPar_IGCMOD=mod.IGCMOD;
modelStruct.modelPar_given_IGCMOD=mod.given("IGCMOD");
modelStruct.modelPar_IGBMOD=mod.IGBMOD;
modelStruct.modelPar_given_IGBMOD=mod.given("IGBMOD");
modelStruct.modelPar_GIDLMOD=mod.GIDLMOD;
modelStruct.modelPar_given_GIDLMOD=mod.given("GIDLMOD");
modelStruct.modelPar_IIMOD=mod.IIMOD;
modelStruct.modelPar_given_IIMOD=mod.given("IIMOD");
modelStruct.modelPar_TNOIMOD=mod.TNOIMOD;
modelStruct.modelPar_given_TNOIMOD=mod.given("TNOIMOD");
modelStruct.modelPar_NQSMOD=mod.NQSMOD;
modelStruct.modelPar_given_NQSMOD=mod.given("NQSMOD");
modelStruct.modelPar_SHMOD=mod.SHMOD;
modelStruct.modelPar_given_SHMOD=mod.given("SHMOD");
modelStruct.modelPar_TEMPMOD=mod.TEMPMOD;
modelStruct.modelPar_given_TEMPMOD=mod.given("TEMPMOD");
modelStruct.modelPar_RGATEMOD=mod.RGATEMOD;
modelStruct.modelPar_given_RGATEMOD=mod.given("RGATEMOD");
modelStruct.modelPar_RGEOMOD=mod.RGEOMOD;
modelStruct.modelPar_given_RGEOMOD=mod.given("RGEOMOD");
modelStruct.modelPar_CGEOMOD=mod.CGEOMOD;
modelStruct.modelPar_given_CGEOMOD=mod.given("CGEOMOD");
modelStruct.modelPar_FNMOD=mod.FNMOD;
modelStruct.modelPar_given_FNMOD=mod.given("FNMOD");
modelStruct.modelPar_CRYOMOD=mod.CRYOMOD;
modelStruct.modelPar_given_CRYOMOD=mod.given("CRYOMOD");
modelStruct.modelPar_SH_WARN=mod.SH_WARN;
modelStruct.modelPar_given_SH_WARN=mod.given("SH_WARN");
modelStruct.modelPar_IGCLAMP=mod.IGCLAMP;
modelStruct.modelPar_given_IGCLAMP=mod.given("IGCLAMP");
modelStruct.modelPar_SDTERM=mod.SDTERM;
modelStruct.modelPar_given_SDTERM=mod.given("SDTERM");


// Set the one parameter whose name was passed in to be the independent
// variable for differentiation purposes.  Since we stored variable pointers, this
// makes sure that that ONE variable gets set right.
// FIXME: make this check name for presence first!  Segfault on invalid.
*(modParamMap[name])=1.0;

//make local copies of all model vars
//reals


// non-reals



// Now loop over all instances and do the deed
int inst=0;
for (std::vector<Instance*>::const_iterator in_it=mod.instanceContainer.begin(); in_it != mod.instanceContainer.end(); ++in_it,++inst)
{

  Instance & in=*(*in_it);
  // initialize contributions to zero (automatically sets derivatives to zero)
  for (int i=0; i < 13+0 ; ++i)
  {
  d_staticContributions_dX[i]=0;
  d_dynamicContributions_dX[i]=0;
  }



  // Copy out all the instance parameters (doubles) into local struct
 instanceSensStruct instanceStruct;

 // reals
instanceStruct.instancePar_L=in.L;
instanceStruct.d_instancePar_L_dX=0.0;
instanceStruct.instancePar_given_L=in.given("L");
instanceStruct.instancePar_D=in.D;
instanceStruct.d_instancePar_D_dX=0.0;
instanceStruct.instancePar_given_D=in.given("D");
instanceStruct.instancePar_TFIN=in.TFIN;
instanceStruct.d_instancePar_TFIN_dX=0.0;
instanceStruct.instancePar_given_TFIN=in.given("TFIN");
instanceStruct.instancePar_FPITCH=in.FPITCH;
instanceStruct.d_instancePar_FPITCH_dX=0.0;
instanceStruct.instancePar_given_FPITCH=in.given("FPITCH");
instanceStruct.instancePar_NFIN=in.NFIN;
instanceStruct.d_instancePar_NFIN_dX=0.0;
instanceStruct.instancePar_given_NFIN=in.given("NFIN");
instanceStruct.instancePar_ASEO=in.ASEO;
instanceStruct.d_instancePar_ASEO_dX=0.0;
instanceStruct.instancePar_given_ASEO=in.given("ASEO");
instanceStruct.instancePar_ADEO=in.ADEO;
instanceStruct.d_instancePar_ADEO_dX=0.0;
instanceStruct.instancePar_given_ADEO=in.given("ADEO");
instanceStruct.instancePar_PSEO=in.PSEO;
instanceStruct.d_instancePar_PSEO_dX=0.0;
instanceStruct.instancePar_given_PSEO=in.given("PSEO");
instanceStruct.instancePar_PDEO=in.PDEO;
instanceStruct.d_instancePar_PDEO_dX=0.0;
instanceStruct.instancePar_given_PDEO=in.given("PDEO");
instanceStruct.instancePar_ASEJ=in.ASEJ;
instanceStruct.d_instancePar_ASEJ_dX=0.0;
instanceStruct.instancePar_given_ASEJ=in.given("ASEJ");
instanceStruct.instancePar_ADEJ=in.ADEJ;
instanceStruct.d_instancePar_ADEJ_dX=0.0;
instanceStruct.instancePar_given_ADEJ=in.given("ADEJ");
instanceStruct.instancePar_PSEJ=in.PSEJ;
instanceStruct.d_instancePar_PSEJ_dX=0.0;
instanceStruct.instancePar_given_PSEJ=in.given("PSEJ");
instanceStruct.instancePar_PDEJ=in.PDEJ;
instanceStruct.d_instancePar_PDEJ_dX=0.0;
instanceStruct.instancePar_given_PDEJ=in.given("PDEJ");
instanceStruct.instancePar_CGSP=in.CGSP;
instanceStruct.d_instancePar_CGSP_dX=0.0;
instanceStruct.instancePar_given_CGSP=in.given("CGSP");
instanceStruct.instancePar_CGDP=in.CGDP;
instanceStruct.d_instancePar_CGDP_dX=0.0;
instanceStruct.instancePar_given_CGDP=in.given("CGDP");
instanceStruct.instancePar_CDSP=in.CDSP;
instanceStruct.d_instancePar_CDSP_dX=0.0;
instanceStruct.instancePar_given_CDSP=in.given("CDSP");
instanceStruct.instancePar_NRS=in.NRS;
instanceStruct.d_instancePar_NRS_dX=0.0;
instanceStruct.instancePar_given_NRS=in.given("NRS");
instanceStruct.instancePar_NRD=in.NRD;
instanceStruct.d_instancePar_NRD_dX=0.0;
instanceStruct.instancePar_given_NRD=in.given("NRD");
instanceStruct.instancePar_LRSD=in.LRSD;
instanceStruct.d_instancePar_LRSD_dX=0.0;
instanceStruct.instancePar_given_LRSD=in.given("LRSD");
instanceStruct.instancePar_NFINNOM=in.NFINNOM;
instanceStruct.d_instancePar_NFINNOM_dX=0.0;
instanceStruct.instancePar_given_NFINNOM=in.given("NFINNOM");
instanceStruct.instancePar_DTEMP=in.DTEMP;
instanceStruct.d_instancePar_DTEMP_dX=0.0;
instanceStruct.instancePar_given_DTEMP=in.given("DTEMP");
instanceStruct.instancePar_DELVTRAND=in.DELVTRAND;
instanceStruct.d_instancePar_DELVTRAND_dX=0.0;
instanceStruct.instancePar_given_DELVTRAND=in.given("DELVTRAND");
instanceStruct.instancePar_U0MULT=in.U0MULT;
instanceStruct.d_instancePar_U0MULT_dX=0.0;
instanceStruct.instancePar_given_U0MULT=in.given("U0MULT");
instanceStruct.instancePar_IDS0MULT=in.IDS0MULT;
instanceStruct.d_instancePar_IDS0MULT_dX=0.0;
instanceStruct.instancePar_given_IDS0MULT=in.given("IDS0MULT");
instanceStruct.instancePar_IGC0MULT=in.IGC0MULT;
instanceStruct.d_instancePar_IGC0MULT_dX=0.0;
instanceStruct.instancePar_given_IGC0MULT=in.given("IGC0MULT");
instanceStruct.instancePar_IGB0MULT=in.IGB0MULT;
instanceStruct.d_instancePar_IGB0MULT_dX=0.0;
instanceStruct.instancePar_given_IGB0MULT=in.given("IGB0MULT");
instanceStruct.instancePar_COVS=in.COVS;
instanceStruct.d_instancePar_COVS_dX=0.0;
instanceStruct.instancePar_given_COVS=in.given("COVS");
instanceStruct.instancePar_COVD=in.COVD;
instanceStruct.d_instancePar_COVD_dX=0.0;
instanceStruct.instancePar_given_COVD=in.given("COVD");
instanceStruct.instancePar_TGAA=in.TGAA;
instanceStruct.d_instancePar_TGAA_dX=0.0;
instanceStruct.instancePar_given_TGAA=in.given("TGAA");
instanceStruct.instancePar_TSUS=in.TSUS;
instanceStruct.d_instancePar_TSUS_dX=0.0;
instanceStruct.instancePar_given_TSUS=in.given("TSUS");
instanceStruct.instancePar_HPFF=in.HPFF;
instanceStruct.d_instancePar_HPFF_dX=0.0;
instanceStruct.instancePar_given_HPFF=in.given("HPFF");
instanceStruct.instancePar_WGAA=in.WGAA;
instanceStruct.d_instancePar_WGAA_dX=0.0;
instanceStruct.instancePar_given_WGAA=in.given("WGAA");
instanceStruct.instancePar_DWS1=in.DWS1;
instanceStruct.d_instancePar_DWS1_dX=0.0;
instanceStruct.instancePar_given_DWS1=in.given("DWS1");
instanceStruct.instancePar_DACH1=in.DACH1;
instanceStruct.d_instancePar_DACH1_dX=0.0;
instanceStruct.instancePar_given_DACH1=in.given("DACH1");
instanceStruct.instancePar_DWS2=in.DWS2;
instanceStruct.d_instancePar_DWS2_dX=0.0;
instanceStruct.instancePar_given_DWS2=in.given("DWS2");
instanceStruct.instancePar_DACH2=in.DACH2;
instanceStruct.d_instancePar_DACH2_dX=0.0;
instanceStruct.instancePar_given_DACH2=in.given("DACH2");
instanceStruct.instancePar_DWS3=in.DWS3;
instanceStruct.d_instancePar_DWS3_dX=0.0;
instanceStruct.instancePar_given_DWS3=in.given("DWS3");
instanceStruct.instancePar_DACH3=in.DACH3;
instanceStruct.d_instancePar_DACH3_dX=0.0;
instanceStruct.instancePar_given_DACH3=in.given("DACH3");
instanceStruct.instancePar_DWS4=in.DWS4;
instanceStruct.d_instancePar_DWS4_dX=0.0;
instanceStruct.instancePar_given_DWS4=in.given("DWS4");
instanceStruct.instancePar_DACH4=in.DACH4;
instanceStruct.d_instancePar_DACH4_dX=0.0;
instanceStruct.instancePar_given_DACH4=in.given("DACH4");
instanceStruct.instancePar_DWS5=in.DWS5;
instanceStruct.d_instancePar_DWS5_dX=0.0;
instanceStruct.instancePar_given_DWS5=in.given("DWS5");
instanceStruct.instancePar_DACH5=in.DACH5;
instanceStruct.d_instancePar_DACH5_dX=0.0;
instanceStruct.instancePar_given_DACH5=in.given("DACH5");
instanceStruct.instancePar_DWS6=in.DWS6;
instanceStruct.d_instancePar_DWS6_dX=0.0;
instanceStruct.instancePar_given_DWS6=in.given("DWS6");
instanceStruct.instancePar_DACH6=in.DACH6;
instanceStruct.d_instancePar_DACH6_dX=0.0;
instanceStruct.instancePar_given_DACH6=in.given("DACH6");
instanceStruct.instancePar_XL=in.XL;
instanceStruct.d_instancePar_XL_dX=0.0;
instanceStruct.instancePar_given_XL=in.given("XL");
instanceStruct.instancePar_XW=in.XW;
instanceStruct.d_instancePar_XW_dX=0.0;
instanceStruct.instancePar_given_XW=in.given("XW");
instanceStruct.instancePar_m=in.m;
instanceStruct.d_instancePar_m_dX=0.0;
instanceStruct.instancePar_given_m=in.given("m");


  // real hidden instance


  // Copy all the non-real instance params into vars of their appropriate type:
instanceStruct.instancePar_NGCON=in.NGCON;
instanceStruct.instancePar_given_NGCON=in.given("NGCON");
instanceStruct.instancePar_NGAA=in.NGAA;
instanceStruct.instancePar_given_NGAA=in.given("NGAA");
instanceStruct.instancePar_SUBBANDMOD=in.SUBBANDMOD;
instanceStruct.instancePar_given_SUBBANDMOD=in.given("SUBBANDMOD");
instanceStruct.instancePar_MOBSCMOD=in.MOBSCMOD;
instanceStruct.instancePar_given_MOBSCMOD=in.given("MOBSCMOD");
instanceStruct.instancePar_NF=in.NF;
instanceStruct.instancePar_given_NF=in.given("NF");




  // If there are any instance parameters that were not given, and have
  // corresponding model params, copy the model param into the instance.
  // This was already done by the instance constructor, but we do it again
  // because now we're propagating derivatives, and the user could be trying
  // to get sensitivity to the model parameter.
   if (!(in.given("L")))
   {
      instanceStruct.instancePar_L = modelStruct.modelPar_L;
      instanceStruct.d_instancePar_L_dX = modelStruct.d_modelPar_L_dX;
   }
   if (!(in.given("D")))
   {
      instanceStruct.instancePar_D = modelStruct.modelPar_D;
      instanceStruct.d_instancePar_D_dX = modelStruct.d_modelPar_D_dX;
   }
   if (!(in.given("TFIN")))
   {
      instanceStruct.instancePar_TFIN = modelStruct.modelPar_TFIN;
      instanceStruct.d_instancePar_TFIN_dX = modelStruct.d_modelPar_TFIN_dX;
   }
   if (!(in.given("FPITCH")))
   {
      instanceStruct.instancePar_FPITCH = modelStruct.modelPar_FPITCH;
      instanceStruct.d_instancePar_FPITCH_dX = modelStruct.d_modelPar_FPITCH_dX;
   }
   if (!(in.given("NFIN")))
   {
      instanceStruct.instancePar_NFIN = modelStruct.modelPar_NFIN;
      instanceStruct.d_instancePar_NFIN_dX = modelStruct.d_modelPar_NFIN_dX;
   }
   if (!(in.given("NGCON")))
   {
      instanceStruct.instancePar_NGCON = modelStruct.modelPar_NGCON;
   }
   if (!(in.given("ASEO")))
   {
      instanceStruct.instancePar_ASEO = modelStruct.modelPar_ASEO;
      instanceStruct.d_instancePar_ASEO_dX = modelStruct.d_modelPar_ASEO_dX;
   }
   if (!(in.given("ADEO")))
   {
      instanceStruct.instancePar_ADEO = modelStruct.modelPar_ADEO;
      instanceStruct.d_instancePar_ADEO_dX = modelStruct.d_modelPar_ADEO_dX;
   }
   if (!(in.given("PSEO")))
   {
      instanceStruct.instancePar_PSEO = modelStruct.modelPar_PSEO;
      instanceStruct.d_instancePar_PSEO_dX = modelStruct.d_modelPar_PSEO_dX;
   }
   if (!(in.given("PDEO")))
   {
      instanceStruct.instancePar_PDEO = modelStruct.modelPar_PDEO;
      instanceStruct.d_instancePar_PDEO_dX = modelStruct.d_modelPar_PDEO_dX;
   }
   if (!(in.given("ASEJ")))
   {
      instanceStruct.instancePar_ASEJ = modelStruct.modelPar_ASEJ;
      instanceStruct.d_instancePar_ASEJ_dX = modelStruct.d_modelPar_ASEJ_dX;
   }
   if (!(in.given("ADEJ")))
   {
      instanceStruct.instancePar_ADEJ = modelStruct.modelPar_ADEJ;
      instanceStruct.d_instancePar_ADEJ_dX = modelStruct.d_modelPar_ADEJ_dX;
   }
   if (!(in.given("PSEJ")))
   {
      instanceStruct.instancePar_PSEJ = modelStruct.modelPar_PSEJ;
      instanceStruct.d_instancePar_PSEJ_dX = modelStruct.d_modelPar_PSEJ_dX;
   }
   if (!(in.given("PDEJ")))
   {
      instanceStruct.instancePar_PDEJ = modelStruct.modelPar_PDEJ;
      instanceStruct.d_instancePar_PDEJ_dX = modelStruct.d_modelPar_PDEJ_dX;
   }
   if (!(in.given("CGSP")))
   {
      instanceStruct.instancePar_CGSP = modelStruct.modelPar_CGSP;
      instanceStruct.d_instancePar_CGSP_dX = modelStruct.d_modelPar_CGSP_dX;
   }
   if (!(in.given("CGDP")))
   {
      instanceStruct.instancePar_CGDP = modelStruct.modelPar_CGDP;
      instanceStruct.d_instancePar_CGDP_dX = modelStruct.d_modelPar_CGDP_dX;
   }
   if (!(in.given("CDSP")))
   {
      instanceStruct.instancePar_CDSP = modelStruct.modelPar_CDSP;
      instanceStruct.d_instancePar_CDSP_dX = modelStruct.d_modelPar_CDSP_dX;
   }
   if (!(in.given("NRS")))
   {
      instanceStruct.instancePar_NRS = modelStruct.modelPar_NRS;
      instanceStruct.d_instancePar_NRS_dX = modelStruct.d_modelPar_NRS_dX;
   }
   if (!(in.given("NRD")))
   {
      instanceStruct.instancePar_NRD = modelStruct.modelPar_NRD;
      instanceStruct.d_instancePar_NRD_dX = modelStruct.d_modelPar_NRD_dX;
   }
   if (!(in.given("LRSD")))
   {
      instanceStruct.instancePar_LRSD = modelStruct.modelPar_LRSD;
      instanceStruct.d_instancePar_LRSD_dX = modelStruct.d_modelPar_LRSD_dX;
   }
   if (!(in.given("NFINNOM")))
   {
      instanceStruct.instancePar_NFINNOM = modelStruct.modelPar_NFINNOM;
      instanceStruct.d_instancePar_NFINNOM_dX = modelStruct.d_modelPar_NFINNOM_dX;
   }
   if (!(in.given("DTEMP")))
   {
      instanceStruct.instancePar_DTEMP = modelStruct.modelPar_DTEMP;
      instanceStruct.d_instancePar_DTEMP_dX = modelStruct.d_modelPar_DTEMP_dX;
   }
   if (!(in.given("DELVTRAND")))
   {
      instanceStruct.instancePar_DELVTRAND = modelStruct.modelPar_DELVTRAND;
      instanceStruct.d_instancePar_DELVTRAND_dX = modelStruct.d_modelPar_DELVTRAND_dX;
   }
   if (!(in.given("U0MULT")))
   {
      instanceStruct.instancePar_U0MULT = modelStruct.modelPar_U0MULT;
      instanceStruct.d_instancePar_U0MULT_dX = modelStruct.d_modelPar_U0MULT_dX;
   }
   if (!(in.given("IDS0MULT")))
   {
      instanceStruct.instancePar_IDS0MULT = modelStruct.modelPar_IDS0MULT;
      instanceStruct.d_instancePar_IDS0MULT_dX = modelStruct.d_modelPar_IDS0MULT_dX;
   }
   if (!(in.given("IGC0MULT")))
   {
      instanceStruct.instancePar_IGC0MULT = modelStruct.modelPar_IGC0MULT;
      instanceStruct.d_instancePar_IGC0MULT_dX = modelStruct.d_modelPar_IGC0MULT_dX;
   }
   if (!(in.given("IGB0MULT")))
   {
      instanceStruct.instancePar_IGB0MULT = modelStruct.modelPar_IGB0MULT;
      instanceStruct.d_instancePar_IGB0MULT_dX = modelStruct.d_modelPar_IGB0MULT_dX;
   }
   if (!(in.given("COVS")))
   {
      instanceStruct.instancePar_COVS = modelStruct.modelPar_COVS;
      instanceStruct.d_instancePar_COVS_dX = modelStruct.d_modelPar_COVS_dX;
   }
   if (!(in.given("COVD")))
   {
      instanceStruct.instancePar_COVD = modelStruct.modelPar_COVD;
      instanceStruct.d_instancePar_COVD_dX = modelStruct.d_modelPar_COVD_dX;
   }
   if (!(in.given("TGAA")))
   {
      instanceStruct.instancePar_TGAA = modelStruct.modelPar_TGAA;
      instanceStruct.d_instancePar_TGAA_dX = modelStruct.d_modelPar_TGAA_dX;
   }
   if (!(in.given("TSUS")))
   {
      instanceStruct.instancePar_TSUS = modelStruct.modelPar_TSUS;
      instanceStruct.d_instancePar_TSUS_dX = modelStruct.d_modelPar_TSUS_dX;
   }
   if (!(in.given("HPFF")))
   {
      instanceStruct.instancePar_HPFF = modelStruct.modelPar_HPFF;
      instanceStruct.d_instancePar_HPFF_dX = modelStruct.d_modelPar_HPFF_dX;
   }
   if (!(in.given("WGAA")))
   {
      instanceStruct.instancePar_WGAA = modelStruct.modelPar_WGAA;
      instanceStruct.d_instancePar_WGAA_dX = modelStruct.d_modelPar_WGAA_dX;
   }
   if (!(in.given("DWS1")))
   {
      instanceStruct.instancePar_DWS1 = modelStruct.modelPar_DWS1;
      instanceStruct.d_instancePar_DWS1_dX = modelStruct.d_modelPar_DWS1_dX;
   }
   if (!(in.given("DACH1")))
   {
      instanceStruct.instancePar_DACH1 = modelStruct.modelPar_DACH1;
      instanceStruct.d_instancePar_DACH1_dX = modelStruct.d_modelPar_DACH1_dX;
   }
   if (!(in.given("DWS2")))
   {
      instanceStruct.instancePar_DWS2 = modelStruct.modelPar_DWS2;
      instanceStruct.d_instancePar_DWS2_dX = modelStruct.d_modelPar_DWS2_dX;
   }
   if (!(in.given("DACH2")))
   {
      instanceStruct.instancePar_DACH2 = modelStruct.modelPar_DACH2;
      instanceStruct.d_instancePar_DACH2_dX = modelStruct.d_modelPar_DACH2_dX;
   }
   if (!(in.given("DWS3")))
   {
      instanceStruct.instancePar_DWS3 = modelStruct.modelPar_DWS3;
      instanceStruct.d_instancePar_DWS3_dX = modelStruct.d_modelPar_DWS3_dX;
   }
   if (!(in.given("DACH3")))
   {
      instanceStruct.instancePar_DACH3 = modelStruct.modelPar_DACH3;
      instanceStruct.d_instancePar_DACH3_dX = modelStruct.d_modelPar_DACH3_dX;
   }
   if (!(in.given("DWS4")))
   {
      instanceStruct.instancePar_DWS4 = modelStruct.modelPar_DWS4;
      instanceStruct.d_instancePar_DWS4_dX = modelStruct.d_modelPar_DWS4_dX;
   }
   if (!(in.given("DACH4")))
   {
      instanceStruct.instancePar_DACH4 = modelStruct.modelPar_DACH4;
      instanceStruct.d_instancePar_DACH4_dX = modelStruct.d_modelPar_DACH4_dX;
   }
   if (!(in.given("DWS5")))
   {
      instanceStruct.instancePar_DWS5 = modelStruct.modelPar_DWS5;
      instanceStruct.d_instancePar_DWS5_dX = modelStruct.d_modelPar_DWS5_dX;
   }
   if (!(in.given("DACH5")))
   {
      instanceStruct.instancePar_DACH5 = modelStruct.modelPar_DACH5;
      instanceStruct.d_instancePar_DACH5_dX = modelStruct.d_modelPar_DACH5_dX;
   }
   if (!(in.given("DWS6")))
   {
      instanceStruct.instancePar_DWS6 = modelStruct.modelPar_DWS6;
      instanceStruct.d_instancePar_DWS6_dX = modelStruct.d_modelPar_DWS6_dX;
   }
   if (!(in.given("DACH6")))
   {
      instanceStruct.instancePar_DACH6 = modelStruct.modelPar_DACH6;
      instanceStruct.d_instancePar_DACH6_dX = modelStruct.d_modelPar_DACH6_dX;
   }
   if (!(in.given("NGAA")))
   {
      instanceStruct.instancePar_NGAA = modelStruct.modelPar_NGAA;
   }
   if (!(in.given("SUBBANDMOD")))
   {
      instanceStruct.instancePar_SUBBANDMOD = modelStruct.modelPar_SUBBANDMOD;
   }
   if (!(in.given("MOBSCMOD")))
   {
      instanceStruct.instancePar_MOBSCMOD = modelStruct.modelPar_MOBSCMOD;
   }


  //make local copies of all instance vars
  //reals
instanceStruct.instanceVar_NFINtotal=in.NFINtotal;
instanceStruct.d_instanceVar_NFINtotal_dX=0.0;
instanceStruct.instanceVar_TempLast=in.TempLast;
instanceStruct.d_instanceVar_TempLast_dX=0.0;
instanceStruct.instanceVar_DevTemp1=in.DevTemp1;
instanceStruct.d_instanceVar_DevTemp1_dX=0.0;
instanceStruct.instanceVar_DevTempeff=in.DevTempeff;
instanceStruct.d_instanceVar_DevTempeff_dX=0.0;
instanceStruct.instanceVar_DevTemplow0=in.DevTemplow0;
instanceStruct.d_instanceVar_DevTemplow0_dX=0.0;
instanceStruct.instanceVar_DevTemplow1=in.DevTemplow1;
instanceStruct.d_instanceVar_DevTemplow1_dX=0.0;
instanceStruct.instanceVar_ni=in.ni;
instanceStruct.d_instanceVar_ni_dX=0.0;
instanceStruct.instanceVar_niln=in.niln;
instanceStruct.d_instanceVar_niln_dX=0.0;
instanceStruct.instanceVar_epssub=in.epssub;
instanceStruct.d_instanceVar_epssub_dX=0.0;
instanceStruct.instanceVar_epsratio=in.epsratio;
instanceStruct.d_instanceVar_epsratio_dX=0.0;
instanceStruct.instanceVar_Eg=in.Eg;
instanceStruct.d_instanceVar_Eg_dX=0.0;
instanceStruct.instanceVar_Eg0=in.Eg0;
instanceStruct.d_instanceVar_Eg0_dX=0.0;
instanceStruct.instanceVar_Nc=in.Nc;
instanceStruct.d_instanceVar_Nc_dX=0.0;
instanceStruct.instanceVar_Lg=in.Lg;
instanceStruct.d_instanceVar_Lg_dX=0.0;
instanceStruct.instanceVar_Leff=in.Leff;
instanceStruct.d_instanceVar_Leff_dX=0.0;
instanceStruct.instanceVar_LeffCV=in.LeffCV;
instanceStruct.d_instanceVar_LeffCV_dX=0.0;
instanceStruct.instanceVar_LeffCV_acc=in.LeffCV_acc;
instanceStruct.d_instanceVar_LeffCV_acc_dX=0.0;
instanceStruct.instanceVar_Weff0=in.Weff0;
instanceStruct.d_instanceVar_Weff0_dX=0.0;
instanceStruct.instanceVar_WeffCV0=in.WeffCV0;
instanceStruct.d_instanceVar_WeffCV0_dX=0.0;
instanceStruct.instanceVar_WeffCV_acc=in.WeffCV_acc;
instanceStruct.d_instanceVar_WeffCV_acc_dX=0.0;
instanceStruct.instanceVar_cox=in.cox;
instanceStruct.d_instanceVar_cox_dX=0.0;
instanceStruct.instanceVar_phib=in.phib;
instanceStruct.d_instanceVar_phib_dX=0.0;
instanceStruct.instanceVar_deltaPhi=in.deltaPhi;
instanceStruct.d_instanceVar_deltaPhi_dX=0.0;
instanceStruct.instanceVar_T0=in.T0;
instanceStruct.d_instanceVar_T0_dX=0.0;
instanceStruct.instanceVar_T1=in.T1;
instanceStruct.d_instanceVar_T1_dX=0.0;
instanceStruct.instanceVar_T2=in.T2;
instanceStruct.d_instanceVar_T2_dX=0.0;
instanceStruct.instanceVar_T3=in.T3;
instanceStruct.d_instanceVar_T3_dX=0.0;
instanceStruct.instanceVar_Vtm=in.Vtm;
instanceStruct.d_instanceVar_Vtm_dX=0.0;
instanceStruct.instanceVar_Vtm0=in.Vtm0;
instanceStruct.d_instanceVar_Vtm0_dX=0.0;
instanceStruct.instanceVar_Vtmeff=in.Vtmeff;
instanceStruct.d_instanceVar_Vtmeff_dX=0.0;
instanceStruct.instanceVar_Dr=in.Dr;
instanceStruct.d_instanceVar_Dr_dX=0.0;
instanceStruct.instanceVar_WeffWRFactor=in.WeffWRFactor;
instanceStruct.d_instanceVar_WeffWRFactor_dX=0.0;
instanceStruct.instanceVar_RSourceGeo=in.RSourceGeo;
instanceStruct.d_instanceVar_RSourceGeo_dX=0.0;
instanceStruct.instanceVar_RDrainGeo=in.RDrainGeo;
instanceStruct.d_instanceVar_RDrainGeo_dX=0.0;
instanceStruct.instanceVar_Rdrain=in.Rdrain;
instanceStruct.d_instanceVar_Rdrain_dX=0.0;
instanceStruct.instanceVar_Rsource=in.Rsource;
instanceStruct.d_instanceVar_Rsource_dX=0.0;
instanceStruct.instanceVar_rdstemp=in.rdstemp;
instanceStruct.d_instanceVar_rdstemp_dX=0.0;
instanceStruct.instanceVar_Rdsi=in.Rdsi;
instanceStruct.d_instanceVar_Rdsi_dX=0.0;
instanceStruct.instanceVar_Tb=in.Tb;
instanceStruct.d_instanceVar_Tb_dX=0.0;
instanceStruct.instanceVar_Tnom=in.Tnom;
instanceStruct.d_instanceVar_Tnom_dX=0.0;
instanceStruct.instanceVar_TRatio=in.TRatio;
instanceStruct.d_instanceVar_TRatio_dX=0.0;
instanceStruct.instanceVar_TRatio_m1=in.TRatio_m1;
instanceStruct.d_instanceVar_TRatio_m1_dX=0.0;
instanceStruct.instanceVar_dvth_temp=in.dvth_temp;
instanceStruct.d_instanceVar_dvth_temp_dX=0.0;
instanceStruct.instanceVar_delTemp=in.delTemp;
instanceStruct.d_instanceVar_delTemp_dX=0.0;
instanceStruct.instanceVar_delTemp1=in.delTemp1;
instanceStruct.d_instanceVar_delTemp1_dX=0.0;
instanceStruct.instanceVar_delTRatio1=in.delTRatio1;
instanceStruct.d_instanceVar_delTRatio1_dX=0.0;
instanceStruct.instanceVar_ThetaSS=in.ThetaSS;
instanceStruct.d_instanceVar_ThetaSS_dX=0.0;
instanceStruct.instanceVar_K0_t=in.K0_t;
instanceStruct.d_instanceVar_K0_t_dX=0.0;
instanceStruct.instanceVar_K0SI_t=in.K0SI_t;
instanceStruct.d_instanceVar_K0SI_t_dX=0.0;
instanceStruct.instanceVar_K2SI_t=in.K2SI_t;
instanceStruct.d_instanceVar_K2SI_t_dX=0.0;
instanceStruct.instanceVar_K1_t=in.K1_t;
instanceStruct.d_instanceVar_K1_t_dX=0.0;
instanceStruct.instanceVar_K2SAT_t=in.K2SAT_t;
instanceStruct.d_instanceVar_K2SAT_t_dX=0.0;
instanceStruct.instanceVar_A1_t=in.A1_t;
instanceStruct.d_instanceVar_A1_t_dX=0.0;
instanceStruct.instanceVar_A2_t=in.A2_t;
instanceStruct.d_instanceVar_A2_t_dX=0.0;
instanceStruct.instanceVar_AIGBINV_t=in.AIGBINV_t;
instanceStruct.d_instanceVar_AIGBINV_t_dX=0.0;
instanceStruct.instanceVar_AIGBACC_t=in.AIGBACC_t;
instanceStruct.d_instanceVar_AIGBACC_t_dX=0.0;
instanceStruct.instanceVar_AIGC_t=in.AIGC_t;
instanceStruct.d_instanceVar_AIGC_t_dX=0.0;
instanceStruct.instanceVar_AIGS_t=in.AIGS_t;
instanceStruct.d_instanceVar_AIGS_t_dX=0.0;
instanceStruct.instanceVar_AIGD_t=in.AIGD_t;
instanceStruct.d_instanceVar_AIGD_t_dX=0.0;
instanceStruct.instanceVar_BETA0_t=in.BETA0_t;
instanceStruct.d_instanceVar_BETA0_t_dX=0.0;
instanceStruct.instanceVar_SII0_t=in.SII0_t;
instanceStruct.d_instanceVar_SII0_t_dX=0.0;
instanceStruct.instanceVar_BGISL_t=in.BGISL_t;
instanceStruct.d_instanceVar_BGISL_t_dX=0.0;
instanceStruct.instanceVar_BGISLB_t=in.BGISLB_t;
instanceStruct.d_instanceVar_BGISLB_t_dX=0.0;
instanceStruct.instanceVar_BGIDL_t=in.BGIDL_t;
instanceStruct.d_instanceVar_BGIDL_t_dX=0.0;
instanceStruct.instanceVar_BGIDLB_t=in.BGIDLB_t;
instanceStruct.d_instanceVar_BGIDLB_t_dX=0.0;
instanceStruct.instanceVar_igtemp=in.igtemp;
instanceStruct.d_instanceVar_igtemp_dX=0.0;
instanceStruct.instanceVar_PTWG_t=in.PTWG_t;
instanceStruct.d_instanceVar_PTWG_t_dX=0.0;
instanceStruct.instanceVar_PTWGR_t=in.PTWGR_t;
instanceStruct.d_instanceVar_PTWGR_t_dX=0.0;
instanceStruct.instanceVar_ALPHA0_t=in.ALPHA0_t;
instanceStruct.d_instanceVar_ALPHA0_t_dX=0.0;
instanceStruct.instanceVar_ALPHA1_t=in.ALPHA1_t;
instanceStruct.d_instanceVar_ALPHA1_t_dX=0.0;
instanceStruct.instanceVar_ALPHAII0_t=in.ALPHAII0_t;
instanceStruct.d_instanceVar_ALPHAII0_t_dX=0.0;
instanceStruct.instanceVar_ALPHAII1_t=in.ALPHAII1_t;
instanceStruct.d_instanceVar_ALPHAII1_t_dX=0.0;
instanceStruct.instanceVar_CJS_t=in.CJS_t;
instanceStruct.d_instanceVar_CJS_t_dX=0.0;
instanceStruct.instanceVar_CJSWS_t=in.CJSWS_t;
instanceStruct.d_instanceVar_CJSWS_t_dX=0.0;
instanceStruct.instanceVar_CJSWGD_t=in.CJSWGD_t;
instanceStruct.d_instanceVar_CJSWGD_t_dX=0.0;
instanceStruct.instanceVar_CJD_t=in.CJD_t;
instanceStruct.d_instanceVar_CJD_t_dX=0.0;
instanceStruct.instanceVar_CJSWD_t=in.CJSWD_t;
instanceStruct.d_instanceVar_CJSWD_t_dX=0.0;
instanceStruct.instanceVar_CJSWGS_t=in.CJSWGS_t;
instanceStruct.d_instanceVar_CJSWGS_t_dX=0.0;
instanceStruct.instanceVar_PBS_t=in.PBS_t;
instanceStruct.d_instanceVar_PBS_t_dX=0.0;
instanceStruct.instanceVar_PBSWS_t=in.PBSWS_t;
instanceStruct.d_instanceVar_PBSWS_t_dX=0.0;
instanceStruct.instanceVar_PBSWGS_t=in.PBSWGS_t;
instanceStruct.d_instanceVar_PBSWGS_t_dX=0.0;
instanceStruct.instanceVar_PBD_t=in.PBD_t;
instanceStruct.d_instanceVar_PBD_t_dX=0.0;
instanceStruct.instanceVar_PBSWD_t=in.PBSWD_t;
instanceStruct.d_instanceVar_PBSWD_t_dX=0.0;
instanceStruct.instanceVar_PBSWGD_t=in.PBSWGD_t;
instanceStruct.d_instanceVar_PBSWGD_t_dX=0.0;
instanceStruct.instanceVar_JSS_t=in.JSS_t;
instanceStruct.d_instanceVar_JSS_t_dX=0.0;
instanceStruct.instanceVar_JSWS_t=in.JSWS_t;
instanceStruct.d_instanceVar_JSWS_t_dX=0.0;
instanceStruct.instanceVar_JSWGS_t=in.JSWGS_t;
instanceStruct.d_instanceVar_JSWGS_t_dX=0.0;
instanceStruct.instanceVar_JSD_t=in.JSD_t;
instanceStruct.d_instanceVar_JSD_t_dX=0.0;
instanceStruct.instanceVar_JSWD_t=in.JSWD_t;
instanceStruct.d_instanceVar_JSWD_t_dX=0.0;
instanceStruct.instanceVar_JSWGD_t=in.JSWGD_t;
instanceStruct.d_instanceVar_JSWGD_t_dX=0.0;
instanceStruct.instanceVar_JTSS_t=in.JTSS_t;
instanceStruct.d_instanceVar_JTSS_t_dX=0.0;
instanceStruct.instanceVar_JTSD_t=in.JTSD_t;
instanceStruct.d_instanceVar_JTSD_t_dX=0.0;
instanceStruct.instanceVar_JTSSWS_t=in.JTSSWS_t;
instanceStruct.d_instanceVar_JTSSWS_t_dX=0.0;
instanceStruct.instanceVar_JTSSWD_t=in.JTSSWD_t;
instanceStruct.d_instanceVar_JTSSWD_t_dX=0.0;
instanceStruct.instanceVar_JTSSWGS_t=in.JTSSWGS_t;
instanceStruct.d_instanceVar_JTSSWGS_t_dX=0.0;
instanceStruct.instanceVar_JTSSWGD_t=in.JTSSWGD_t;
instanceStruct.d_instanceVar_JTSSWGD_t_dX=0.0;
instanceStruct.instanceVar_NJTS_t=in.NJTS_t;
instanceStruct.d_instanceVar_NJTS_t_dX=0.0;
instanceStruct.instanceVar_NJTSD_t=in.NJTSD_t;
instanceStruct.d_instanceVar_NJTSD_t_dX=0.0;
instanceStruct.instanceVar_NJTSSW_t=in.NJTSSW_t;
instanceStruct.d_instanceVar_NJTSSW_t_dX=0.0;
instanceStruct.instanceVar_NJTSSWD_t=in.NJTSSWD_t;
instanceStruct.d_instanceVar_NJTSSWD_t_dX=0.0;
instanceStruct.instanceVar_NJTSSWG_t=in.NJTSSWG_t;
instanceStruct.d_instanceVar_NJTSSWG_t_dX=0.0;
instanceStruct.instanceVar_NJTSSWGD_t=in.NJTSSWGD_t;
instanceStruct.d_instanceVar_NJTSSWGD_t_dX=0.0;
instanceStruct.instanceVar_K2_t=in.K2_t;
instanceStruct.d_instanceVar_K2_t_dX=0.0;
instanceStruct.instanceVar_K0SISAT_t=in.K0SISAT_t;
instanceStruct.d_instanceVar_K0SISAT_t_dX=0.0;
instanceStruct.instanceVar_K2SISAT_t=in.K2SISAT_t;
instanceStruct.d_instanceVar_K2SISAT_t_dX=0.0;
instanceStruct.instanceVar_ETA0_t=in.ETA0_t;
instanceStruct.d_instanceVar_ETA0_t_dX=0.0;
instanceStruct.instanceVar_ETA0CV_t=in.ETA0CV_t;
instanceStruct.d_instanceVar_ETA0CV_t_dX=0.0;
instanceStruct.instanceVar_ETA0R_t=in.ETA0R_t;
instanceStruct.d_instanceVar_ETA0R_t_dX=0.0;
instanceStruct.instanceVar_RSDR_t=in.RSDR_t;
instanceStruct.d_instanceVar_RSDR_t_dX=0.0;
instanceStruct.instanceVar_RSDRR_t=in.RSDRR_t;
instanceStruct.d_instanceVar_RSDRR_t_dX=0.0;
instanceStruct.instanceVar_RDDR_t=in.RDDR_t;
instanceStruct.d_instanceVar_RDDR_t_dX=0.0;
instanceStruct.instanceVar_RDDRR_t=in.RDDRR_t;
instanceStruct.d_instanceVar_RDDRR_t_dX=0.0;
instanceStruct.instanceVar_UA_t=in.UA_t;
instanceStruct.d_instanceVar_UA_t_dX=0.0;
instanceStruct.instanceVar_UACV_t=in.UACV_t;
instanceStruct.d_instanceVar_UACV_t_dX=0.0;
instanceStruct.instanceVar_UAR_t=in.UAR_t;
instanceStruct.d_instanceVar_UAR_t_dX=0.0;
instanceStruct.instanceVar_UA_tl=in.UA_tl;
instanceStruct.d_instanceVar_UA_tl_dX=0.0;
instanceStruct.instanceVar_UA_th=in.UA_th;
instanceStruct.d_instanceVar_UA_th_dX=0.0;
instanceStruct.instanceVar_UACV_tl=in.UACV_tl;
instanceStruct.d_instanceVar_UACV_tl_dX=0.0;
instanceStruct.instanceVar_UACV_th=in.UACV_th;
instanceStruct.d_instanceVar_UACV_th_dX=0.0;
instanceStruct.instanceVar_UAR_tl=in.UAR_tl;
instanceStruct.d_instanceVar_UAR_tl_dX=0.0;
instanceStruct.instanceVar_UAR_th=in.UAR_th;
instanceStruct.d_instanceVar_UAR_th_dX=0.0;
instanceStruct.instanceVar_wh=in.wh;
instanceStruct.d_instanceVar_wh_dX=0.0;
instanceStruct.instanceVar_wl=in.wl;
instanceStruct.d_instanceVar_wl_dX=0.0;
instanceStruct.instanceVar_UC_t=in.UC_t;
instanceStruct.d_instanceVar_UC_t_dX=0.0;
instanceStruct.instanceVar_UCCV_t=in.UCCV_t;
instanceStruct.d_instanceVar_UCCV_t_dX=0.0;
instanceStruct.instanceVar_UCR_t=in.UCR_t;
instanceStruct.d_instanceVar_UCR_t_dX=0.0;
instanceStruct.instanceVar_UCS_t=in.UCS_t;
instanceStruct.d_instanceVar_UCS_t_dX=0.0;
instanceStruct.instanceVar_UD_t=in.UD_t;
instanceStruct.d_instanceVar_UD_t_dX=0.0;
instanceStruct.instanceVar_UDCV_t=in.UDCV_t;
instanceStruct.d_instanceVar_UDCV_t_dX=0.0;
instanceStruct.instanceVar_UDR_t=in.UDR_t;
instanceStruct.d_instanceVar_UDR_t_dX=0.0;
instanceStruct.instanceVar_U0R_t=in.U0R_t;
instanceStruct.d_instanceVar_U0R_t_dX=0.0;
instanceStruct.instanceVar_ETAMOB_t=in.ETAMOB_t;
instanceStruct.d_instanceVar_ETAMOB_t_dX=0.0;
instanceStruct.instanceVar_EU_t=in.EU_t;
instanceStruct.d_instanceVar_EU_t_dX=0.0;
instanceStruct.instanceVar_UDS_t=in.UDS_t;
instanceStruct.d_instanceVar_UDS_t_dX=0.0;
instanceStruct.instanceVar_UDS_i=in.UDS_i;
instanceStruct.d_instanceVar_UDS_i_dX=0.0;
instanceStruct.instanceVar_UDS1_i=in.UDS1_i;
instanceStruct.d_instanceVar_UDS1_i_dX=0.0;
instanceStruct.instanceVar_UDD_t=in.UDD_t;
instanceStruct.d_instanceVar_UDD_t_dX=0.0;
instanceStruct.instanceVar_UDD_i=in.UDD_i;
instanceStruct.d_instanceVar_UDD_i_dX=0.0;
instanceStruct.instanceVar_UDD1_i=in.UDD1_i;
instanceStruct.d_instanceVar_UDD1_i_dX=0.0;
instanceStruct.instanceVar_UDSeff_t=in.UDSeff_t;
instanceStruct.d_instanceVar_UDSeff_t_dX=0.0;
instanceStruct.instanceVar_UDDeff_t=in.UDDeff_t;
instanceStruct.d_instanceVar_UDDeff_t_dX=0.0;
instanceStruct.instanceVar_VSAT_t=in.VSAT_t;
instanceStruct.d_instanceVar_VSAT_t_dX=0.0;
instanceStruct.instanceVar_VSATR_t=in.VSATR_t;
instanceStruct.d_instanceVar_VSATR_t_dX=0.0;
instanceStruct.instanceVar_VSAT1_t=in.VSAT1_t;
instanceStruct.d_instanceVar_VSAT1_t_dX=0.0;
instanceStruct.instanceVar_VSAT1R_t=in.VSAT1R_t;
instanceStruct.d_instanceVar_VSAT1R_t_dX=0.0;
instanceStruct.instanceVar_VSATCV_t=in.VSATCV_t;
instanceStruct.d_instanceVar_VSATCV_t_dX=0.0;
instanceStruct.instanceVar_MEXP_t=in.MEXP_t;
instanceStruct.d_instanceVar_MEXP_t_dX=0.0;
instanceStruct.instanceVar_MEXPR_t=in.MEXPR_t;
instanceStruct.d_instanceVar_MEXPR_t_dX=0.0;
instanceStruct.instanceVar_scl=in.scl;
instanceStruct.d_instanceVar_scl_dX=0.0;
instanceStruct.instanceVar_vbi=in.vbi;
instanceStruct.d_instanceVar_vbi_dX=0.0;
instanceStruct.instanceVar_tmp=in.tmp;
instanceStruct.d_instanceVar_tmp_dX=0.0;
instanceStruct.instanceVar_Theta_SCE=in.Theta_SCE;
instanceStruct.d_instanceVar_Theta_SCE_dX=0.0;
instanceStruct.instanceVar_Theta_SW=in.Theta_SW;
instanceStruct.d_instanceVar_Theta_SW_dX=0.0;
instanceStruct.instanceVar_Theta_DIBL=in.Theta_DIBL;
instanceStruct.d_instanceVar_Theta_DIBL_dX=0.0;
instanceStruct.instanceVar_Theta_RSCE=in.Theta_RSCE;
instanceStruct.d_instanceVar_Theta_RSCE_dX=0.0;
instanceStruct.instanceVar_Theta_DITS=in.Theta_DITS;
instanceStruct.d_instanceVar_Theta_DITS_dX=0.0;
instanceStruct.instanceVar_veseff=in.veseff;
instanceStruct.d_instanceVar_veseff_dX=0.0;
instanceStruct.instanceVar_Tcen0=in.Tcen0;
instanceStruct.d_instanceVar_Tcen0_dX=0.0;
instanceStruct.instanceVar_dvch_qm=in.dvch_qm;
instanceStruct.d_instanceVar_dvch_qm_dX=0.0;
instanceStruct.instanceVar_mx=in.mx;
instanceStruct.instanceVar_mxprime=in.mxprime;
instanceStruct.instanceVar_md=in.md;
instanceStruct.instanceVar_mdprime=in.mdprime;
instanceStruct.instanceVar_gprime=in.gprime;
instanceStruct.instanceVar_gfactor=in.gfactor;
instanceStruct.instanceVar_qbs=in.qbs;
instanceStruct.d_instanceVar_qbs_dX=0.0;
instanceStruct.instanceVar_qba=in.qba;
instanceStruct.d_instanceVar_qba_dX=0.0;
instanceStruct.instanceVar_eta_mu=in.eta_mu;
instanceStruct.d_instanceVar_eta_mu_dX=0.0;
instanceStruct.instanceVar_eta_mu_cv=in.eta_mu_cv;
instanceStruct.instanceVar_u0=in.u0;
instanceStruct.d_instanceVar_u0_dX=0.0;
instanceStruct.instanceVar_u0_cv=in.u0_cv;
instanceStruct.d_instanceVar_u0_cv_dX=0.0;
instanceStruct.instanceVar_u0r=in.u0r;
instanceStruct.d_instanceVar_u0r_dX=0.0;
instanceStruct.instanceVar_EeffFactor=in.EeffFactor;
instanceStruct.d_instanceVar_EeffFactor_dX=0.0;
instanceStruct.instanceVar_Cfr_geo=in.Cfr_geo;
instanceStruct.d_instanceVar_Cfr_geo_dX=0.0;
instanceStruct.instanceVar_ggeltd=in.ggeltd;
instanceStruct.d_instanceVar_ggeltd_dX=0.0;
instanceStruct.instanceVar_igbinv=in.igbinv;
instanceStruct.d_instanceVar_igbinv_dX=0.0;
instanceStruct.instanceVar_igsd_mult=in.igsd_mult;
instanceStruct.d_instanceVar_igsd_mult_dX=0.0;
instanceStruct.instanceVar_igsd_mult0=in.igsd_mult0;
instanceStruct.d_instanceVar_igsd_mult0_dX=0.0;
instanceStruct.instanceVar_igbs=in.igbs;
instanceStruct.d_instanceVar_igbs_dX=0.0;
instanceStruct.instanceVar_igbd=in.igbd;
instanceStruct.d_instanceVar_igbd_dX=0.0;
instanceStruct.instanceVar_igbacc=in.igbacc;
instanceStruct.d_instanceVar_igbacc_dX=0.0;
instanceStruct.instanceVar_igcs=in.igcs;
instanceStruct.d_instanceVar_igcs_dX=0.0;
instanceStruct.instanceVar_igcd=in.igcd;
instanceStruct.d_instanceVar_igcd_dX=0.0;
instanceStruct.instanceVar_igisl=in.igisl;
instanceStruct.d_instanceVar_igisl_dX=0.0;
instanceStruct.instanceVar_igidl=in.igidl;
instanceStruct.d_instanceVar_igidl_dX=0.0;
instanceStruct.instanceVar_igislb=in.igislb;
instanceStruct.d_instanceVar_igislb_dX=0.0;
instanceStruct.instanceVar_igidlb=in.igidlb;
instanceStruct.d_instanceVar_igidlb_dX=0.0;
instanceStruct.instanceVar_vfbsd=in.vfbsd;
instanceStruct.d_instanceVar_vfbsd_dX=0.0;
instanceStruct.instanceVar_igs=in.igs;
instanceStruct.d_instanceVar_igs_dX=0.0;
instanceStruct.instanceVar_igd=in.igd;
instanceStruct.d_instanceVar_igd_dX=0.0;
instanceStruct.instanceVar_Aechvb=in.Aechvb;
instanceStruct.instanceVar_Bechvb=in.Bechvb;
instanceStruct.instanceVar_Toxratio=in.Toxratio;
instanceStruct.d_instanceVar_Toxratio_dX=0.0;
instanceStruct.instanceVar_Iii=in.Iii;
instanceStruct.d_instanceVar_Iii_dX=0.0;
instanceStruct.instanceVar_cox_acc=in.cox_acc;
instanceStruct.d_instanceVar_cox_acc_dX=0.0;
instanceStruct.instanceVar_qg_acc=in.qg_acc;
instanceStruct.d_instanceVar_qg_acc_dX=0.0;
instanceStruct.instanceVar_qb_acc=in.qb_acc;
instanceStruct.d_instanceVar_qb_acc_dX=0.0;
instanceStruct.instanceVar_qgs_ov=in.qgs_ov;
instanceStruct.d_instanceVar_qgs_ov_dX=0.0;
instanceStruct.instanceVar_qgd_ov=in.qgd_ov;
instanceStruct.d_instanceVar_qgd_ov_dX=0.0;
instanceStruct.instanceVar_csbox=in.csbox;
instanceStruct.d_instanceVar_csbox_dX=0.0;
instanceStruct.instanceVar_cdbox=in.cdbox;
instanceStruct.d_instanceVar_cdbox_dX=0.0;
instanceStruct.instanceVar_cgbox=in.cgbox;
instanceStruct.d_instanceVar_cgbox_dX=0.0;
instanceStruct.instanceVar_vfbsdcv=in.vfbsdcv;
instanceStruct.d_instanceVar_vfbsdcv_dX=0.0;
instanceStruct.instanceVar_Ies=in.Ies;
instanceStruct.d_instanceVar_Ies_dX=0.0;
instanceStruct.instanceVar_Ied=in.Ied;
instanceStruct.d_instanceVar_Ied_dX=0.0;
instanceStruct.instanceVar_Czbs=in.Czbs;
instanceStruct.d_instanceVar_Czbs_dX=0.0;
instanceStruct.instanceVar_Czbssw=in.Czbssw;
instanceStruct.d_instanceVar_Czbssw_dX=0.0;
instanceStruct.instanceVar_Czbsswg=in.Czbsswg;
instanceStruct.d_instanceVar_Czbsswg_dX=0.0;
instanceStruct.instanceVar_Czbd=in.Czbd;
instanceStruct.d_instanceVar_Czbd_dX=0.0;
instanceStruct.instanceVar_Czbdsw=in.Czbdsw;
instanceStruct.d_instanceVar_Czbdsw_dX=0.0;
instanceStruct.instanceVar_Czbdswg=in.Czbdswg;
instanceStruct.d_instanceVar_Czbdswg_dX=0.0;
instanceStruct.instanceVar_Qesj=in.Qesj;
instanceStruct.d_instanceVar_Qesj_dX=0.0;
instanceStruct.instanceVar_Qedj=in.Qedj;
instanceStruct.d_instanceVar_Qedj_dX=0.0;
instanceStruct.instanceVar_Isbs=in.Isbs;
instanceStruct.d_instanceVar_Isbs_dX=0.0;
instanceStruct.instanceVar_Isbd=in.Isbd;
instanceStruct.d_instanceVar_Isbd_dX=0.0;
instanceStruct.instanceVar_Nvtms=in.Nvtms;
instanceStruct.d_instanceVar_Nvtms_dX=0.0;
instanceStruct.instanceVar_Nvtmd=in.Nvtmd;
instanceStruct.d_instanceVar_Nvtmd_dX=0.0;
instanceStruct.instanceVar_SslpRev=in.SslpRev;
instanceStruct.d_instanceVar_SslpRev_dX=0.0;
instanceStruct.instanceVar_IVjsmRev=in.IVjsmRev;
instanceStruct.d_instanceVar_IVjsmRev_dX=0.0;
instanceStruct.instanceVar_VjsmRev=in.VjsmRev;
instanceStruct.d_instanceVar_VjsmRev_dX=0.0;
instanceStruct.instanceVar_SslpFwd=in.SslpFwd;
instanceStruct.d_instanceVar_SslpFwd_dX=0.0;
instanceStruct.instanceVar_IVjsmFwd=in.IVjsmFwd;
instanceStruct.d_instanceVar_IVjsmFwd_dX=0.0;
instanceStruct.instanceVar_VjsmFwd=in.VjsmFwd;
instanceStruct.d_instanceVar_VjsmFwd_dX=0.0;
instanceStruct.instanceVar_XExpBVS=in.XExpBVS;
instanceStruct.d_instanceVar_XExpBVS_dX=0.0;
instanceStruct.instanceVar_DslpRev=in.DslpRev;
instanceStruct.d_instanceVar_DslpRev_dX=0.0;
instanceStruct.instanceVar_IVjdmRev=in.IVjdmRev;
instanceStruct.d_instanceVar_IVjdmRev_dX=0.0;
instanceStruct.instanceVar_VjdmRev=in.VjdmRev;
instanceStruct.d_instanceVar_VjdmRev_dX=0.0;
instanceStruct.instanceVar_DslpFwd=in.DslpFwd;
instanceStruct.d_instanceVar_DslpFwd_dX=0.0;
instanceStruct.instanceVar_IVjdmFwd=in.IVjdmFwd;
instanceStruct.d_instanceVar_IVjdmFwd_dX=0.0;
instanceStruct.instanceVar_VjdmFwd=in.VjdmFwd;
instanceStruct.d_instanceVar_VjdmFwd_dX=0.0;
instanceStruct.instanceVar_XExpBVD=in.XExpBVD;
instanceStruct.d_instanceVar_XExpBVD_dX=0.0;
instanceStruct.instanceVar_igentemp=in.igentemp;
instanceStruct.d_instanceVar_igentemp_dX=0.0;
instanceStruct.instanceVar_vec1s=in.vec1s;
instanceStruct.d_instanceVar_vec1s_dX=0.0;
instanceStruct.instanceVar_pb21s=in.pb21s;
instanceStruct.d_instanceVar_pb21s_dX=0.0;
instanceStruct.instanceVar_vec2s=in.vec2s;
instanceStruct.d_instanceVar_vec2s_dX=0.0;
instanceStruct.instanceVar_pb22s=in.pb22s;
instanceStruct.d_instanceVar_pb22s_dX=0.0;
instanceStruct.instanceVar_vec3s=in.vec3s;
instanceStruct.d_instanceVar_vec3s_dX=0.0;
instanceStruct.instanceVar_pb23s=in.pb23s;
instanceStruct.d_instanceVar_pb23s_dX=0.0;
instanceStruct.instanceVar_vec1d=in.vec1d;
instanceStruct.d_instanceVar_vec1d_dX=0.0;
instanceStruct.instanceVar_pb21d=in.pb21d;
instanceStruct.d_instanceVar_pb21d_dX=0.0;
instanceStruct.instanceVar_vec2d=in.vec2d;
instanceStruct.d_instanceVar_vec2d_dX=0.0;
instanceStruct.instanceVar_pb22d=in.pb22d;
instanceStruct.d_instanceVar_pb22d_dX=0.0;
instanceStruct.instanceVar_vec3d=in.vec3d;
instanceStruct.d_instanceVar_vec3d_dX=0.0;
instanceStruct.instanceVar_pb23d=in.pb23d;
instanceStruct.d_instanceVar_pb23d_dX=0.0;
instanceStruct.instanceVar_gcrg=in.gcrg;
instanceStruct.d_instanceVar_gcrg_dX=0.0;
instanceStruct.instanceVar_gtau=in.gtau;
instanceStruct.d_instanceVar_gtau_dX=0.0;
instanceStruct.instanceVar_NOIA2_i=in.NOIA2_i;
instanceStruct.d_instanceVar_NOIA2_i_dX=0.0;
instanceStruct.instanceVar_MPOWER_i=in.MPOWER_i;
instanceStruct.d_instanceVar_MPOWER_i_dX=0.0;
instanceStruct.instanceVar_QSREF_i=in.QSREF_i;
instanceStruct.d_instanceVar_QSREF_i_dX=0.0;
instanceStruct.instanceVar_litl=in.litl;
instanceStruct.d_instanceVar_litl_dX=0.0;
instanceStruct.instanceVar_sid=in.sid;
instanceStruct.d_instanceVar_sid_dX=0.0;
instanceStruct.instanceVar_gspr=in.gspr;
instanceStruct.d_instanceVar_gspr_dX=0.0;
instanceStruct.instanceVar_gdpr=in.gdpr;
instanceStruct.d_instanceVar_gdpr_dX=0.0;
instanceStruct.instanceVar_Dr0=in.Dr0;
instanceStruct.d_instanceVar_Dr0_dX=0.0;
instanceStruct.instanceVar_delta=in.delta;
instanceStruct.d_instanceVar_delta_dX=0.0;
instanceStruct.instanceVar_ctnoi=in.ctnoi;
instanceStruct.d_instanceVar_ctnoi_dX=0.0;
instanceStruct.instanceVar_sigrat=in.sigrat;
instanceStruct.d_instanceVar_sigrat_dX=0.0;
instanceStruct.instanceVar_gth=in.gth;
instanceStruct.d_instanceVar_gth_dX=0.0;
instanceStruct.instanceVar_cth=in.cth;
instanceStruct.d_instanceVar_cth_dX=0.0;
instanceStruct.instanceVar_NBODY_i=in.NBODY_i;
instanceStruct.d_instanceVar_NBODY_i_dX=0.0;
instanceStruct.instanceVar_PHIG_i=in.PHIG_i;
instanceStruct.d_instanceVar_PHIG_i_dX=0.0;
instanceStruct.instanceVar_CFD_i=in.CFD_i;
instanceStruct.d_instanceVar_CFD_i_dX=0.0;
instanceStruct.instanceVar_CFS_i=in.CFS_i;
instanceStruct.d_instanceVar_CFS_i_dX=0.0;
instanceStruct.instanceVar_COVS_i=in.COVS_i;
instanceStruct.d_instanceVar_COVS_i_dX=0.0;
instanceStruct.instanceVar_COVD_i=in.COVD_i;
instanceStruct.d_instanceVar_COVD_i_dX=0.0;
instanceStruct.instanceVar_CGSO_i=in.CGSO_i;
instanceStruct.d_instanceVar_CGSO_i_dX=0.0;
instanceStruct.instanceVar_CGDO_i=in.CGDO_i;
instanceStruct.d_instanceVar_CGDO_i_dX=0.0;
instanceStruct.instanceVar_CGSL_i=in.CGSL_i;
instanceStruct.d_instanceVar_CGSL_i_dX=0.0;
instanceStruct.instanceVar_CGDL_i=in.CGDL_i;
instanceStruct.d_instanceVar_CGDL_i_dX=0.0;
instanceStruct.instanceVar_CGBL_i=in.CGBL_i;
instanceStruct.d_instanceVar_CGBL_i_dX=0.0;
instanceStruct.instanceVar_CKAPPAS_i=in.CKAPPAS_i;
instanceStruct.d_instanceVar_CKAPPAS_i_dX=0.0;
instanceStruct.instanceVar_CKAPPAD_i=in.CKAPPAD_i;
instanceStruct.d_instanceVar_CKAPPAD_i_dX=0.0;
instanceStruct.instanceVar_CKAPPAB_i=in.CKAPPAB_i;
instanceStruct.d_instanceVar_CKAPPAB_i_dX=0.0;
instanceStruct.instanceVar_QMFACTOR_i=in.QMFACTOR_i;
instanceStruct.d_instanceVar_QMFACTOR_i_dX=0.0;
instanceStruct.instanceVar_QMTCENCV_i=in.QMTCENCV_i;
instanceStruct.d_instanceVar_QMTCENCV_i_dX=0.0;
instanceStruct.instanceVar_QMTCENCVA_i=in.QMTCENCVA_i;
instanceStruct.d_instanceVar_QMTCENCVA_i_dX=0.0;
instanceStruct.instanceVar_KSATIV_i=in.KSATIV_i;
instanceStruct.d_instanceVar_KSATIV_i_dX=0.0;
instanceStruct.instanceVar_KSATIVR_i=in.KSATIVR_i;
instanceStruct.d_instanceVar_KSATIVR_i_dX=0.0;
instanceStruct.instanceVar_KSATIV_t=in.KSATIV_t;
instanceStruct.d_instanceVar_KSATIV_t_dX=0.0;
instanceStruct.instanceVar_CDSC_i=in.CDSC_i;
instanceStruct.d_instanceVar_CDSC_i_dX=0.0;
instanceStruct.instanceVar_CDSCD_i=in.CDSCD_i;
instanceStruct.d_instanceVar_CDSCD_i_dX=0.0;
instanceStruct.instanceVar_CDSCDR_i=in.CDSCDR_i;
instanceStruct.d_instanceVar_CDSCDR_i_dX=0.0;
instanceStruct.instanceVar_CIT_i=in.CIT_i;
instanceStruct.d_instanceVar_CIT_i_dX=0.0;
instanceStruct.instanceVar_DVT0_i=in.DVT0_i;
instanceStruct.d_instanceVar_DVT0_i_dX=0.0;
instanceStruct.instanceVar_CITR_i=in.CITR_i;
instanceStruct.d_instanceVar_CITR_i_dX=0.0;
instanceStruct.instanceVar_PHIN_i=in.PHIN_i;
instanceStruct.d_instanceVar_PHIN_i_dX=0.0;
instanceStruct.instanceVar_ETA0_i=in.ETA0_i;
instanceStruct.d_instanceVar_ETA0_i_dX=0.0;
instanceStruct.instanceVar_ETA0CV_i=in.ETA0CV_i;
instanceStruct.d_instanceVar_ETA0CV_i_dX=0.0;
instanceStruct.instanceVar_ETA0R_i=in.ETA0R_i;
instanceStruct.d_instanceVar_ETA0R_i_dX=0.0;
instanceStruct.instanceVar_VSAT_i=in.VSAT_i;
instanceStruct.d_instanceVar_VSAT_i_dX=0.0;
instanceStruct.instanceVar_VSATR_i=in.VSATR_i;
instanceStruct.d_instanceVar_VSATR_i_dX=0.0;
instanceStruct.instanceVar_DVTP0_i=in.DVTP0_i;
instanceStruct.d_instanceVar_DVTP0_i_dX=0.0;
instanceStruct.instanceVar_DVTP1_i=in.DVTP1_i;
instanceStruct.d_instanceVar_DVTP1_i_dX=0.0;
instanceStruct.instanceVar_K0_i=in.K0_i;
instanceStruct.d_instanceVar_K0_i_dX=0.0;
instanceStruct.instanceVar_K01_i=in.K01_i;
instanceStruct.d_instanceVar_K01_i_dX=0.0;
instanceStruct.instanceVar_K0SI_i=in.K0SI_i;
instanceStruct.d_instanceVar_K0SI_i_dX=0.0;
instanceStruct.instanceVar_K0SI1_i=in.K0SI1_i;
instanceStruct.d_instanceVar_K0SI1_i_dX=0.0;
instanceStruct.instanceVar_K2SI_i=in.K2SI_i;
instanceStruct.d_instanceVar_K2SI_i_dX=0.0;
instanceStruct.instanceVar_K2SI1_i=in.K2SI1_i;
instanceStruct.d_instanceVar_K2SI1_i_dX=0.0;
instanceStruct.instanceVar_PHIBE_i=in.PHIBE_i;
instanceStruct.d_instanceVar_PHIBE_i_dX=0.0;
instanceStruct.instanceVar_K1_i=in.K1_i;
instanceStruct.d_instanceVar_K1_i_dX=0.0;
instanceStruct.instanceVar_K11_i=in.K11_i;
instanceStruct.d_instanceVar_K11_i_dX=0.0;
instanceStruct.instanceVar_K2SAT_i=in.K2SAT_i;
instanceStruct.d_instanceVar_K2SAT_i_dX=0.0;
instanceStruct.instanceVar_K2SAT1_i=in.K2SAT1_i;
instanceStruct.d_instanceVar_K2SAT1_i_dX=0.0;
instanceStruct.instanceVar_DELTAVSAT_i=in.DELTAVSAT_i;
instanceStruct.d_instanceVar_DELTAVSAT_i_dX=0.0;
instanceStruct.instanceVar_PSAT_i=in.PSAT_i;
instanceStruct.d_instanceVar_PSAT_i_dX=0.0;
instanceStruct.instanceVar_DELTAVSATCV_i=in.DELTAVSATCV_i;
instanceStruct.d_instanceVar_DELTAVSATCV_i_dX=0.0;
instanceStruct.instanceVar_PSATCV_i=in.PSATCV_i;
instanceStruct.d_instanceVar_PSATCV_i_dX=0.0;
instanceStruct.instanceVar_VSAT1_i=in.VSAT1_i;
instanceStruct.d_instanceVar_VSAT1_i_dX=0.0;
instanceStruct.instanceVar_VSAT1R_i=in.VSAT1R_i;
instanceStruct.d_instanceVar_VSAT1R_i_dX=0.0;
instanceStruct.instanceVar_PTWG_i=in.PTWG_i;
instanceStruct.d_instanceVar_PTWG_i_dX=0.0;
instanceStruct.instanceVar_PTWGR_i=in.PTWGR_i;
instanceStruct.d_instanceVar_PTWGR_i_dX=0.0;
instanceStruct.instanceVar_VSATCV_i=in.VSATCV_i;
instanceStruct.d_instanceVar_VSATCV_i_dX=0.0;
instanceStruct.instanceVar_U0_i=in.U0_i;
instanceStruct.d_instanceVar_U0_i_dX=0.0;
instanceStruct.instanceVar_U0CV_i=in.U0CV_i;
instanceStruct.d_instanceVar_U0CV_i_dX=0.0;
instanceStruct.instanceVar_U0R_i=in.U0R_i;
instanceStruct.d_instanceVar_U0R_i_dX=0.0;
instanceStruct.instanceVar_ETAMOB_i=in.ETAMOB_i;
instanceStruct.d_instanceVar_ETAMOB_i_dX=0.0;
instanceStruct.instanceVar_NGATE_i=in.NGATE_i;
instanceStruct.d_instanceVar_NGATE_i_dX=0.0;
instanceStruct.instanceVar_RDSW_i=in.RDSW_i;
instanceStruct.d_instanceVar_RDSW_i_dX=0.0;
instanceStruct.instanceVar_PRWGS_i=in.PRWGS_i;
instanceStruct.d_instanceVar_PRWGS_i_dX=0.0;
instanceStruct.instanceVar_PRWGD_i=in.PRWGD_i;
instanceStruct.d_instanceVar_PRWGD_i_dX=0.0;
instanceStruct.instanceVar_PDIBL1_i=in.PDIBL1_i;
instanceStruct.d_instanceVar_PDIBL1_i_dX=0.0;
instanceStruct.instanceVar_PDIBL1R_i=in.PDIBL1R_i;
instanceStruct.d_instanceVar_PDIBL1R_i_dX=0.0;
instanceStruct.instanceVar_PDIBL2_i=in.PDIBL2_i;
instanceStruct.d_instanceVar_PDIBL2_i_dX=0.0;
instanceStruct.instanceVar_PDIBL2R_i=in.PDIBL2R_i;
instanceStruct.d_instanceVar_PDIBL2R_i_dX=0.0;
instanceStruct.instanceVar_DROUT_i=in.DROUT_i;
instanceStruct.d_instanceVar_DROUT_i_dX=0.0;
instanceStruct.instanceVar_PVAG_i=in.PVAG_i;
instanceStruct.d_instanceVar_PVAG_i_dX=0.0;
instanceStruct.instanceVar_AIGBINV_i=in.AIGBINV_i;
instanceStruct.d_instanceVar_AIGBINV_i_dX=0.0;
instanceStruct.instanceVar_AIGBINV1_i=in.AIGBINV1_i;
instanceStruct.d_instanceVar_AIGBINV1_i_dX=0.0;
instanceStruct.instanceVar_BIGBINV_i=in.BIGBINV_i;
instanceStruct.d_instanceVar_BIGBINV_i_dX=0.0;
instanceStruct.instanceVar_CIGBINV_i=in.CIGBINV_i;
instanceStruct.d_instanceVar_CIGBINV_i_dX=0.0;
instanceStruct.instanceVar_EIGBINV_i=in.EIGBINV_i;
instanceStruct.d_instanceVar_EIGBINV_i_dX=0.0;
instanceStruct.instanceVar_NIGBINV_i=in.NIGBINV_i;
instanceStruct.d_instanceVar_NIGBINV_i_dX=0.0;
instanceStruct.instanceVar_AIGBACC_i=in.AIGBACC_i;
instanceStruct.d_instanceVar_AIGBACC_i_dX=0.0;
instanceStruct.instanceVar_AIGBACC1_i=in.AIGBACC1_i;
instanceStruct.d_instanceVar_AIGBACC1_i_dX=0.0;
instanceStruct.instanceVar_BIGBACC_i=in.BIGBACC_i;
instanceStruct.d_instanceVar_BIGBACC_i_dX=0.0;
instanceStruct.instanceVar_CIGBACC_i=in.CIGBACC_i;
instanceStruct.d_instanceVar_CIGBACC_i_dX=0.0;
instanceStruct.instanceVar_NIGBACC_i=in.NIGBACC_i;
instanceStruct.d_instanceVar_NIGBACC_i_dX=0.0;
instanceStruct.instanceVar_AIGC_i=in.AIGC_i;
instanceStruct.d_instanceVar_AIGC_i_dX=0.0;
instanceStruct.instanceVar_AIGC1_i=in.AIGC1_i;
instanceStruct.d_instanceVar_AIGC1_i_dX=0.0;
instanceStruct.instanceVar_BIGC_i=in.BIGC_i;
instanceStruct.d_instanceVar_BIGC_i_dX=0.0;
instanceStruct.instanceVar_CIGC_i=in.CIGC_i;
instanceStruct.d_instanceVar_CIGC_i_dX=0.0;
instanceStruct.instanceVar_PIGCD_i=in.PIGCD_i;
instanceStruct.d_instanceVar_PIGCD_i_dX=0.0;
instanceStruct.instanceVar_AIGS_i=in.AIGS_i;
instanceStruct.d_instanceVar_AIGS_i_dX=0.0;
instanceStruct.instanceVar_AIGS1_i=in.AIGS1_i;
instanceStruct.d_instanceVar_AIGS1_i_dX=0.0;
instanceStruct.instanceVar_BIGS_i=in.BIGS_i;
instanceStruct.d_instanceVar_BIGS_i_dX=0.0;
instanceStruct.instanceVar_CIGS_i=in.CIGS_i;
instanceStruct.d_instanceVar_CIGS_i_dX=0.0;
instanceStruct.instanceVar_POXEDGE_i=in.POXEDGE_i;
instanceStruct.d_instanceVar_POXEDGE_i_dX=0.0;
instanceStruct.instanceVar_AIGD_i=in.AIGD_i;
instanceStruct.d_instanceVar_AIGD_i_dX=0.0;
instanceStruct.instanceVar_AIGD1_i=in.AIGD1_i;
instanceStruct.d_instanceVar_AIGD1_i_dX=0.0;
instanceStruct.instanceVar_BIGD_i=in.BIGD_i;
instanceStruct.d_instanceVar_BIGD_i_dX=0.0;
instanceStruct.instanceVar_CIGD_i=in.CIGD_i;
instanceStruct.d_instanceVar_CIGD_i_dX=0.0;
instanceStruct.instanceVar_AGIDL_i=in.AGIDL_i;
instanceStruct.d_instanceVar_AGIDL_i_dX=0.0;
instanceStruct.instanceVar_BGIDL_i=in.BGIDL_i;
instanceStruct.d_instanceVar_BGIDL_i_dX=0.0;
instanceStruct.instanceVar_CGIDL_i=in.CGIDL_i;
instanceStruct.d_instanceVar_CGIDL_i_dX=0.0;
instanceStruct.instanceVar_EGIDL_i=in.EGIDL_i;
instanceStruct.d_instanceVar_EGIDL_i_dX=0.0;
instanceStruct.instanceVar_PGIDL_i=in.PGIDL_i;
instanceStruct.d_instanceVar_PGIDL_i_dX=0.0;
instanceStruct.instanceVar_AGISL_i=in.AGISL_i;
instanceStruct.d_instanceVar_AGISL_i_dX=0.0;
instanceStruct.instanceVar_BGISL_i=in.BGISL_i;
instanceStruct.d_instanceVar_BGISL_i_dX=0.0;
instanceStruct.instanceVar_CGISL_i=in.CGISL_i;
instanceStruct.d_instanceVar_CGISL_i_dX=0.0;
instanceStruct.instanceVar_EGISL_i=in.EGISL_i;
instanceStruct.d_instanceVar_EGISL_i_dX=0.0;
instanceStruct.instanceVar_PGISL_i=in.PGISL_i;
instanceStruct.d_instanceVar_PGISL_i_dX=0.0;
instanceStruct.instanceVar_AGIDLB_i=in.AGIDLB_i;
instanceStruct.d_instanceVar_AGIDLB_i_dX=0.0;
instanceStruct.instanceVar_BGIDLB_i=in.BGIDLB_i;
instanceStruct.d_instanceVar_BGIDLB_i_dX=0.0;
instanceStruct.instanceVar_CGIDLB_i=in.CGIDLB_i;
instanceStruct.d_instanceVar_CGIDLB_i_dX=0.0;
instanceStruct.instanceVar_EGIDLB_i=in.EGIDLB_i;
instanceStruct.d_instanceVar_EGIDLB_i_dX=0.0;
instanceStruct.instanceVar_PGIDLB_i=in.PGIDLB_i;
instanceStruct.d_instanceVar_PGIDLB_i_dX=0.0;
instanceStruct.instanceVar_AGISLB_i=in.AGISLB_i;
instanceStruct.d_instanceVar_AGISLB_i_dX=0.0;
instanceStruct.instanceVar_BGISLB_i=in.BGISLB_i;
instanceStruct.d_instanceVar_BGISLB_i_dX=0.0;
instanceStruct.instanceVar_CGISLB_i=in.CGISLB_i;
instanceStruct.d_instanceVar_CGISLB_i_dX=0.0;
instanceStruct.instanceVar_EGISLB_i=in.EGISLB_i;
instanceStruct.d_instanceVar_EGISLB_i_dX=0.0;
instanceStruct.instanceVar_PGISLB_i=in.PGISLB_i;
instanceStruct.d_instanceVar_PGISLB_i_dX=0.0;
instanceStruct.instanceVar_ALPHA0_i=in.ALPHA0_i;
instanceStruct.d_instanceVar_ALPHA0_i_dX=0.0;
instanceStruct.instanceVar_ALPHA1_i=in.ALPHA1_i;
instanceStruct.d_instanceVar_ALPHA1_i_dX=0.0;
instanceStruct.instanceVar_ALPHAII0_i=in.ALPHAII0_i;
instanceStruct.d_instanceVar_ALPHAII0_i_dX=0.0;
instanceStruct.instanceVar_ALPHAII1_i=in.ALPHAII1_i;
instanceStruct.d_instanceVar_ALPHAII1_i_dX=0.0;
instanceStruct.instanceVar_BETA0_i=in.BETA0_i;
instanceStruct.d_instanceVar_BETA0_i_dX=0.0;
instanceStruct.instanceVar_BETAII0_i=in.BETAII0_i;
instanceStruct.d_instanceVar_BETAII0_i_dX=0.0;
instanceStruct.instanceVar_BETAII1_i=in.BETAII1_i;
instanceStruct.d_instanceVar_BETAII1_i_dX=0.0;
instanceStruct.instanceVar_BETAII2_i=in.BETAII2_i;
instanceStruct.d_instanceVar_BETAII2_i_dX=0.0;
instanceStruct.instanceVar_ESATII_i=in.ESATII_i;
instanceStruct.d_instanceVar_ESATII_i_dX=0.0;
instanceStruct.instanceVar_LII_i=in.LII_i;
instanceStruct.d_instanceVar_LII_i_dX=0.0;
instanceStruct.instanceVar_SII0_i=in.SII0_i;
instanceStruct.d_instanceVar_SII0_i_dX=0.0;
instanceStruct.instanceVar_SII1_i=in.SII1_i;
instanceStruct.d_instanceVar_SII1_i_dX=0.0;
instanceStruct.instanceVar_SII2_i=in.SII2_i;
instanceStruct.d_instanceVar_SII2_i_dX=0.0;
instanceStruct.instanceVar_SIID_i=in.SIID_i;
instanceStruct.d_instanceVar_SIID_i_dX=0.0;
instanceStruct.instanceVar_TII_i=in.TII_i;
instanceStruct.d_instanceVar_TII_i_dX=0.0;
instanceStruct.instanceVar_MEXP_i=in.MEXP_i;
instanceStruct.d_instanceVar_MEXP_i_dX=0.0;
instanceStruct.instanceVar_MEXPR_i=in.MEXPR_i;
instanceStruct.d_instanceVar_MEXPR_i_dX=0.0;
instanceStruct.instanceVar_PCLM_i=in.PCLM_i;
instanceStruct.d_instanceVar_PCLM_i_dX=0.0;
instanceStruct.instanceVar_PCLMG_i=in.PCLMG_i;
instanceStruct.d_instanceVar_PCLMG_i_dX=0.0;
instanceStruct.instanceVar_PCLMCV_i=in.PCLMCV_i;
instanceStruct.d_instanceVar_PCLMCV_i_dX=0.0;
instanceStruct.instanceVar_PCLMR_i=in.PCLMR_i;
instanceStruct.d_instanceVar_PCLMR_i_dX=0.0;
instanceStruct.instanceVar_PCLM_t=in.PCLM_t;
instanceStruct.d_instanceVar_PCLM_t_dX=0.0;
instanceStruct.instanceVar_A1_i=in.A1_i;
instanceStruct.d_instanceVar_A1_i_dX=0.0;
instanceStruct.instanceVar_A2_i=in.A2_i;
instanceStruct.d_instanceVar_A2_i_dX=0.0;
instanceStruct.instanceVar_A11_i=in.A11_i;
instanceStruct.d_instanceVar_A11_i_dX=0.0;
instanceStruct.instanceVar_A21_i=in.A21_i;
instanceStruct.d_instanceVar_A21_i_dX=0.0;
instanceStruct.instanceVar_K1RSCE_i=in.K1RSCE_i;
instanceStruct.d_instanceVar_K1RSCE_i_dX=0.0;
instanceStruct.instanceVar_DVTSHIFT_i=in.DVTSHIFT_i;
instanceStruct.d_instanceVar_DVTSHIFT_i_dX=0.0;
instanceStruct.instanceVar_DVTSHIFTR_i=in.DVTSHIFTR_i;
instanceStruct.d_instanceVar_DVTSHIFTR_i_dX=0.0;
instanceStruct.instanceVar_UA_i=in.UA_i;
instanceStruct.d_instanceVar_UA_i_dX=0.0;
instanceStruct.instanceVar_UACV_i=in.UACV_i;
instanceStruct.d_instanceVar_UACV_i_dX=0.0;
instanceStruct.instanceVar_UC_i=in.UC_i;
instanceStruct.d_instanceVar_UC_i_dX=0.0;
instanceStruct.instanceVar_UCCV_i=in.UCCV_i;
instanceStruct.d_instanceVar_UCCV_i_dX=0.0;
instanceStruct.instanceVar_EU_i=in.EU_i;
instanceStruct.d_instanceVar_EU_i_dX=0.0;
instanceStruct.instanceVar_UD_i=in.UD_i;
instanceStruct.d_instanceVar_UD_i_dX=0.0;
instanceStruct.instanceVar_UDCV_i=in.UDCV_i;
instanceStruct.d_instanceVar_UDCV_i_dX=0.0;
instanceStruct.instanceVar_UCS_i=in.UCS_i;
instanceStruct.d_instanceVar_UCS_i_dX=0.0;
instanceStruct.instanceVar_UAR_i=in.UAR_i;
instanceStruct.d_instanceVar_UAR_i_dX=0.0;
instanceStruct.instanceVar_EUR_i=in.EUR_i;
instanceStruct.d_instanceVar_EUR_i_dX=0.0;
instanceStruct.instanceVar_UCR_i=in.UCR_i;
instanceStruct.d_instanceVar_UCR_i_dX=0.0;
instanceStruct.instanceVar_UDR_i=in.UDR_i;
instanceStruct.d_instanceVar_UDR_i_dX=0.0;
instanceStruct.instanceVar_UA1_i=in.UA1_i;
instanceStruct.d_instanceVar_UA1_i_dX=0.0;
instanceStruct.instanceVar_UA2_i=in.UA2_i;
instanceStruct.d_instanceVar_UA2_i_dX=0.0;
instanceStruct.instanceVar_UA1R_i=in.UA1R_i;
instanceStruct.d_instanceVar_UA1R_i_dX=0.0;
instanceStruct.instanceVar_UA1CV_i=in.UA1CV_i;
instanceStruct.d_instanceVar_UA1CV_i_dX=0.0;
instanceStruct.instanceVar_UA2CV_i=in.UA2CV_i;
instanceStruct.d_instanceVar_UA2CV_i_dX=0.0;
instanceStruct.instanceVar_UC1_i=in.UC1_i;
instanceStruct.d_instanceVar_UC1_i_dX=0.0;
instanceStruct.instanceVar_UC1CV_i=in.UC1CV_i;
instanceStruct.d_instanceVar_UC1CV_i_dX=0.0;
instanceStruct.instanceVar_UD1_i=in.UD1_i;
instanceStruct.d_instanceVar_UD1_i_dX=0.0;
instanceStruct.instanceVar_UD2_i=in.UD2_i;
instanceStruct.d_instanceVar_UD2_i_dX=0.0;
instanceStruct.instanceVar_UD1CV_i=in.UD1CV_i;
instanceStruct.d_instanceVar_UD1CV_i_dX=0.0;
instanceStruct.instanceVar_UD2CV_i=in.UD2CV_i;
instanceStruct.d_instanceVar_UD2CV_i_dX=0.0;
instanceStruct.instanceVar_UCSTE_i=in.UCSTE_i;
instanceStruct.d_instanceVar_UCSTE_i_dX=0.0;
instanceStruct.instanceVar_UCSTE1_i=in.UCSTE1_i;
instanceStruct.d_instanceVar_UCSTE1_i_dX=0.0;
instanceStruct.instanceVar_UTE_i=in.UTE_i;
instanceStruct.d_instanceVar_UTE_i_dX=0.0;
instanceStruct.instanceVar_UTE1_i=in.UTE1_i;
instanceStruct.d_instanceVar_UTE1_i_dX=0.0;
instanceStruct.instanceVar_UTL_i=in.UTL_i;
instanceStruct.d_instanceVar_UTL_i_dX=0.0;
instanceStruct.instanceVar_UTECV_i=in.UTECV_i;
instanceStruct.d_instanceVar_UTECV_i_dX=0.0;
instanceStruct.instanceVar_UTE1CV_i=in.UTE1CV_i;
instanceStruct.d_instanceVar_UTE1CV_i_dX=0.0;
instanceStruct.instanceVar_UTLCV_i=in.UTLCV_i;
instanceStruct.d_instanceVar_UTLCV_i_dX=0.0;
instanceStruct.instanceVar_EMOBT_i=in.EMOBT_i;
instanceStruct.d_instanceVar_EMOBT_i_dX=0.0;
instanceStruct.instanceVar_UC1R_i=in.UC1R_i;
instanceStruct.d_instanceVar_UC1R_i_dX=0.0;
instanceStruct.instanceVar_UD1R_i=in.UD1R_i;
instanceStruct.d_instanceVar_UD1R_i_dX=0.0;
instanceStruct.instanceVar_UTER_i=in.UTER_i;
instanceStruct.d_instanceVar_UTER_i_dX=0.0;
instanceStruct.instanceVar_UTLR_i=in.UTLR_i;
instanceStruct.d_instanceVar_UTLR_i_dX=0.0;
instanceStruct.instanceVar_EU1_i=in.EU1_i;
instanceStruct.d_instanceVar_EU1_i_dX=0.0;
instanceStruct.instanceVar_PTWGT_i=in.PTWGT_i;
instanceStruct.d_instanceVar_PTWGT_i_dX=0.0;
instanceStruct.instanceVar_AT_i=in.AT_i;
instanceStruct.d_instanceVar_AT_i_dX=0.0;
instanceStruct.instanceVar_ATCV_i=in.ATCV_i;
instanceStruct.d_instanceVar_ATCV_i_dX=0.0;
instanceStruct.instanceVar_ATR_i=in.ATR_i;
instanceStruct.d_instanceVar_ATR_i_dX=0.0;
instanceStruct.instanceVar_RDW_i=in.RDW_i;
instanceStruct.d_instanceVar_RDW_i_dX=0.0;
instanceStruct.instanceVar_RSW_i=in.RSW_i;
instanceStruct.d_instanceVar_RSW_i_dX=0.0;
instanceStruct.instanceVar_PRT_i=in.PRT_i;
instanceStruct.d_instanceVar_PRT_i_dX=0.0;
instanceStruct.instanceVar_PRT1_i=in.PRT1_i;
instanceStruct.d_instanceVar_PRT1_i_dX=0.0;
instanceStruct.instanceVar_TR0_i=in.TR0_i;
instanceStruct.d_instanceVar_TR0_i_dX=0.0;
instanceStruct.instanceVar_SPRT_i=in.SPRT_i;
instanceStruct.d_instanceVar_SPRT_i_dX=0.0;
instanceStruct.instanceVar_KT1_i=in.KT1_i;
instanceStruct.d_instanceVar_KT1_i_dX=0.0;
instanceStruct.instanceVar_TSS_i=in.TSS_i;
instanceStruct.d_instanceVar_TSS_i_dX=0.0;
instanceStruct.instanceVar_IIT_i=in.IIT_i;
instanceStruct.d_instanceVar_IIT_i_dX=0.0;
instanceStruct.instanceVar_IGT_i=in.IGT_i;
instanceStruct.d_instanceVar_IGT_i_dX=0.0;
instanceStruct.instanceVar_TGIDL_i=in.TGIDL_i;
instanceStruct.d_instanceVar_TGIDL_i_dX=0.0;
instanceStruct.instanceVar_NTGEN_i=in.NTGEN_i;
instanceStruct.d_instanceVar_NTGEN_i_dX=0.0;
instanceStruct.instanceVar_AIGEN_i=in.AIGEN_i;
instanceStruct.d_instanceVar_AIGEN_i_dX=0.0;
instanceStruct.instanceVar_BIGEN_i=in.BIGEN_i;
instanceStruct.d_instanceVar_BIGEN_i_dX=0.0;
instanceStruct.instanceVar_K0SISAT_i=in.K0SISAT_i;
instanceStruct.d_instanceVar_K0SISAT_i_dX=0.0;
instanceStruct.instanceVar_K0SISAT1_i=in.K0SISAT1_i;
instanceStruct.d_instanceVar_K0SISAT1_i_dX=0.0;
instanceStruct.instanceVar_K2SISAT_i=in.K2SISAT_i;
instanceStruct.d_instanceVar_K2SISAT_i_dX=0.0;
instanceStruct.instanceVar_K2SISAT1_i=in.K2SISAT1_i;
instanceStruct.d_instanceVar_K2SISAT1_i_dX=0.0;
instanceStruct.instanceVar_K2_i=in.K2_i;
instanceStruct.d_instanceVar_K2_i_dX=0.0;
instanceStruct.instanceVar_K21_i=in.K21_i;
instanceStruct.d_instanceVar_K21_i_dX=0.0;
instanceStruct.instanceVar_XRCRG1_i=in.XRCRG1_i;
instanceStruct.d_instanceVar_XRCRG1_i_dX=0.0;
instanceStruct.instanceVar_XRCRG2_i=in.XRCRG2_i;
instanceStruct.d_instanceVar_XRCRG2_i_dX=0.0;
instanceStruct.instanceVar_LINTIGEN_i=in.LINTIGEN_i;
instanceStruct.d_instanceVar_LINTIGEN_i_dX=0.0;
instanceStruct.instanceVar_Cins=in.Cins;
instanceStruct.d_instanceVar_Cins_dX=0.0;
instanceStruct.instanceVar_Ach=in.Ach;
instanceStruct.d_instanceVar_Ach_dX=0.0;
instanceStruct.instanceVar_Weff_UFCM=in.Weff_UFCM;
instanceStruct.d_instanceVar_Weff_UFCM_dX=0.0;
instanceStruct.instanceVar_WeffB=in.WeffB;
instanceStruct.d_instanceVar_WeffB_dX=0.0;
instanceStruct.instanceVar_rc=in.rc;
instanceStruct.d_instanceVar_rc_dX=0.0;
instanceStruct.instanceVar_Qdep_ov_Cins=in.Qdep_ov_Cins;
instanceStruct.d_instanceVar_Qdep_ov_Cins_dX=0.0;
instanceStruct.instanceVar_qi_acc_for_QM=in.qi_acc_for_QM;
instanceStruct.d_instanceVar_qi_acc_for_QM_dX=0.0;
instanceStruct.instanceVar_nq=in.nq;
instanceStruct.d_instanceVar_nq_dX=0.0;
instanceStruct.instanceVar_d1=in.d1;
instanceStruct.d_instanceVar_d1_dX=0.0;
instanceStruct.instanceVar_d2=in.d2;
instanceStruct.d_instanceVar_d2_dX=0.0;
instanceStruct.instanceVar_d3=in.d3;
instanceStruct.d_instanceVar_d3_dX=0.0;
instanceStruct.instanceVar_p1=in.p1;
instanceStruct.d_instanceVar_p1_dX=0.0;
instanceStruct.instanceVar_p2=in.p2;
instanceStruct.d_instanceVar_p2_dX=0.0;
instanceStruct.instanceVar_p3=in.p3;
instanceStruct.d_instanceVar_p3_dX=0.0;
instanceStruct.instanceVar_nc3d=in.nc3d;
instanceStruct.d_instanceVar_nc3d_dX=0.0;
instanceStruct.instanceVar_ncq=in.ncq;
instanceStruct.d_instanceVar_ncq_dX=0.0;
instanceStruct.instanceVar_qe2=in.qe2;
instanceStruct.d_instanceVar_qe2_dX=0.0;
instanceStruct.instanceVar_qe3=in.qe3;
instanceStruct.d_instanceVar_qe3_dX=0.0;
instanceStruct.instanceVar_qnds1=in.qnds1;
instanceStruct.d_instanceVar_qnds1_dX=0.0;
instanceStruct.instanceVar_qnds2=in.qnds2;
instanceStruct.d_instanceVar_qnds2_dX=0.0;
instanceStruct.instanceVar_qnds3=in.qnds3;
instanceStruct.d_instanceVar_qnds3_dX=0.0;
instanceStruct.instanceVar_qndd1=in.qndd1;
instanceStruct.d_instanceVar_qndd1_dX=0.0;
instanceStruct.instanceVar_qndd2=in.qndd2;
instanceStruct.d_instanceVar_qndd2_dX=0.0;
instanceStruct.instanceVar_qndd3=in.qndd3;
instanceStruct.d_instanceVar_qndd3_dX=0.0;
instanceStruct.instanceVar_qnd10=in.qnd10;
instanceStruct.d_instanceVar_qnd10_dX=0.0;
instanceStruct.instanceVar_qnd20=in.qnd20;
instanceStruct.d_instanceVar_qnd20_dX=0.0;
instanceStruct.instanceVar_qnd30=in.qnd30;
instanceStruct.d_instanceVar_qnd30_dX=0.0;
instanceStruct.instanceVar_rdstempvs=in.rdstempvs;
instanceStruct.d_instanceVar_rdstempvs_dX=0.0;
instanceStruct.instanceVar_Rvs_s=in.Rvs_s;
instanceStruct.d_instanceVar_Rvs_s_dX=0.0;
instanceStruct.instanceVar_Rvs_d=in.Rvs_d;
instanceStruct.d_instanceVar_Rvs_d_dX=0.0;
instanceStruct.instanceVar_gvs_d=in.gvs_d;
instanceStruct.d_instanceVar_gvs_d_dX=0.0;
instanceStruct.instanceVar_gvs_s=in.gvs_s;
instanceStruct.d_instanceVar_gvs_s_dX=0.0;
instanceStruct.instanceVar_gmin=in.gmin;


  //non-reals
instanceStruct.instanceVar_devsign=in.devsign;



  Linear::Vector * solVectorPtr = in.extData.nextSolVectorPtr;

  // extract solution variables
probeVars[in.admsProbeID_V_ge_GND] = (*solVectorPtr)[in.li_ge];
probeVars[in.admsProbeID_V_e_GND] = (*solVectorPtr)[in.li_e];
probeVars[in.admsProbeID_V_si_GND] = (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_di_GND] = (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_gi_GND] = (*solVectorPtr)[in.li_gi];
probeVars[in.admsProbeID_V_n_GND] = (in.collapseNode_n)?(0):((*solVectorPtr)[in.li_n]);
probeVars[in.admsProbeID_V_g_ge] = (*solVectorPtr)[in.li_g] - (*solVectorPtr)[in.li_ge];
probeVars[in.admsProbeID_V_ge_gi] = (*solVectorPtr)[in.li_ge] - (*solVectorPtr)[in.li_gi];
probeVars[in.admsProbeID_V_si1_si] = (*solVectorPtr)[in.li_si1] - (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_si_si1] = (*solVectorPtr)[in.li_si] - (*solVectorPtr)[in.li_si1];
probeVars[in.admsProbeID_V_di1_di] = (*solVectorPtr)[in.li_di1] - (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_q_GND] = (in.collapseNode_q)?(0):((*solVectorPtr)[in.li_q]);
probeVars[in.admsProbeID_V_ge_e] = (*solVectorPtr)[in.li_ge] - (*solVectorPtr)[in.li_e];
probeVars[in.admsProbeID_V_e_ge] = (*solVectorPtr)[in.li_e] - (*solVectorPtr)[in.li_ge];
probeVars[in.admsProbeID_V_ge_d] = (*solVectorPtr)[in.li_ge] - (*solVectorPtr)[in.li_d];
probeVars[in.admsProbeID_V_ge_s] = (*solVectorPtr)[in.li_ge] - (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_ge_di] = (*solVectorPtr)[in.li_ge] - (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_ge_si] = (*solVectorPtr)[in.li_ge] - (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_d_di1] = (*solVectorPtr)[in.li_d] - (*solVectorPtr)[in.li_di1];
probeVars[in.admsProbeID_V_gi_di1] = (*solVectorPtr)[in.li_gi] - (*solVectorPtr)[in.li_di1];
probeVars[in.admsProbeID_V_s_si1] = (*solVectorPtr)[in.li_s] - (*solVectorPtr)[in.li_si1];
probeVars[in.admsProbeID_V_gi_si1] = (*solVectorPtr)[in.li_gi] - (*solVectorPtr)[in.li_si1];
probeVars[in.admsProbeID_V_e_s] = (*solVectorPtr)[in.li_e] - (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_d_s] = (*solVectorPtr)[in.li_d] - (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_g_s] = (*solVectorPtr)[in.li_g] - (*solVectorPtr)[in.li_s];
probeVars[in.admsProbeID_V_gi_e] = (*solVectorPtr)[in.li_gi] - (*solVectorPtr)[in.li_e];
probeVars[in.admsProbeID_V_e_di] = (*solVectorPtr)[in.li_e] - (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_e_si] = (*solVectorPtr)[in.li_e] - (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_gi_di] = (*solVectorPtr)[in.li_gi] - (*solVectorPtr)[in.li_di];
probeVars[in.admsProbeID_V_di_si] = (*solVectorPtr)[in.li_di] - (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_V_gi_si] = (*solVectorPtr)[in.li_gi] - (*solVectorPtr)[in.li_si];
probeVars[in.admsProbeID_Temp_t_GND] = (in.collapseNode_t)?(0):((*solVectorPtr)[in.li_t]);


evaluateInitialInstance(
instanceStruct,
modelStruct,
in.admsNodeID_d,
in.admsNodeID_g,
in.admsNodeID_s,
in.admsNodeID_e,
in.admsNodeID_t,
in.admsNodeID_di,
in.admsNodeID_si,
in.admsNodeID_di1,
in.admsNodeID_si1,
in.admsNodeID_ge,
in.admsNodeID_gi,
in.admsNodeID_q,
in.admsNodeID_n,
 in.portsConnected_,
in.admsTemperature, in.adms_vt_nom,in.getDeviceOptions().gmin,in);


// Now call  the function that does the heavy lifting.

evaluateModelEquations(
probeVars,
// probe constants
in.admsProbeID_V_ge_GND,
in.admsProbeID_V_e_GND,
in.admsProbeID_V_si_GND,
in.admsProbeID_V_di_GND,
in.admsProbeID_V_gi_GND,
in.admsProbeID_V_n_GND,
in.admsProbeID_V_g_ge,
in.admsProbeID_V_ge_gi,
in.admsProbeID_V_si1_si,
in.admsProbeID_V_si_si1,
in.admsProbeID_V_di1_di,
in.admsProbeID_V_q_GND,
in.admsProbeID_V_ge_e,
in.admsProbeID_V_e_ge,
in.admsProbeID_V_ge_d,
in.admsProbeID_V_ge_s,
in.admsProbeID_V_ge_di,
in.admsProbeID_V_ge_si,
in.admsProbeID_V_d_di1,
in.admsProbeID_V_gi_di1,
in.admsProbeID_V_s_si1,
in.admsProbeID_V_gi_si1,
in.admsProbeID_V_e_s,
in.admsProbeID_V_d_s,
in.admsProbeID_V_g_s,
in.admsProbeID_V_gi_e,
in.admsProbeID_V_e_di,
in.admsProbeID_V_e_si,
in.admsProbeID_V_gi_di,
in.admsProbeID_V_di_si,
in.admsProbeID_V_gi_si,
in.admsProbeID_Temp_t_GND,

// node constants
in.admsNodeID_d,
in.admsNodeID_g,
in.admsNodeID_s,
in.admsNodeID_e,
in.admsNodeID_t,
in.admsNodeID_di,
in.admsNodeID_si,
in.admsNodeID_di1,
in.admsNodeID_si1,
in.admsNodeID_ge,
in.admsNodeID_gi,
in.admsNodeID_q,
in.admsNodeID_n,
instanceStruct,
modelStruct,
 in.portsConnected_,
 in.admsTemperature,
 in.adms_vt_nom,
 in.getDeviceOptions().gmin,
 d_staticContributions_dX,
 d_dynamicContributions_dX,
 in);


  // We now have the F and Q vector stuff, populate the dependencies:

    dfdp[in.admsNodeID_d+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_d];
    dqdp[in.admsNodeID_d+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_d];
    Findices[in.admsNodeID_d+inst*(13+0)] = in.li_d;
    Qindices[in.admsNodeID_d+inst*(13+0)] = in.li_d;
    dfdp[in.admsNodeID_g+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_g];
    dqdp[in.admsNodeID_g+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_g];
    Findices[in.admsNodeID_g+inst*(13+0)] = in.li_g;
    Qindices[in.admsNodeID_g+inst*(13+0)] = in.li_g;
    dfdp[in.admsNodeID_s+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_s];
    dqdp[in.admsNodeID_s+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_s];
    Findices[in.admsNodeID_s+inst*(13+0)] = in.li_s;
    Qindices[in.admsNodeID_s+inst*(13+0)] = in.li_s;
    dfdp[in.admsNodeID_e+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_e];
    dqdp[in.admsNodeID_e+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_e];
    Findices[in.admsNodeID_e+inst*(13+0)] = in.li_e;
    Qindices[in.admsNodeID_e+inst*(13+0)] = in.li_e;
    dfdp[in.admsNodeID_t+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_t];
    dqdp[in.admsNodeID_t+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_t];
    Findices[in.admsNodeID_t+inst*(13+0)] = in.li_t;
    Qindices[in.admsNodeID_t+inst*(13+0)] = in.li_t;
    dfdp[in.admsNodeID_di+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_di];
    dqdp[in.admsNodeID_di+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_di];
    Findices[in.admsNodeID_di+inst*(13+0)] = in.li_di;
    Qindices[in.admsNodeID_di+inst*(13+0)] = in.li_di;
    dfdp[in.admsNodeID_si+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_si];
    dqdp[in.admsNodeID_si+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_si];
    Findices[in.admsNodeID_si+inst*(13+0)] = in.li_si;
    Qindices[in.admsNodeID_si+inst*(13+0)] = in.li_si;
    dfdp[in.admsNodeID_di1+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_di1];
    dqdp[in.admsNodeID_di1+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_di1];
    Findices[in.admsNodeID_di1+inst*(13+0)] = in.li_di1;
    Qindices[in.admsNodeID_di1+inst*(13+0)] = in.li_di1;
    dfdp[in.admsNodeID_si1+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_si1];
    dqdp[in.admsNodeID_si1+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_si1];
    Findices[in.admsNodeID_si1+inst*(13+0)] = in.li_si1;
    Qindices[in.admsNodeID_si1+inst*(13+0)] = in.li_si1;
    dfdp[in.admsNodeID_ge+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_ge];
    dqdp[in.admsNodeID_ge+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_ge];
    Findices[in.admsNodeID_ge+inst*(13+0)] = in.li_ge;
    Qindices[in.admsNodeID_ge+inst*(13+0)] = in.li_ge;
    dfdp[in.admsNodeID_gi+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_gi];
    dqdp[in.admsNodeID_gi+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_gi];
    Findices[in.admsNodeID_gi+inst*(13+0)] = in.li_gi;
    Qindices[in.admsNodeID_gi+inst*(13+0)] = in.li_gi;
    dfdp[in.admsNodeID_q+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_q];
    dqdp[in.admsNodeID_q+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_q];
    Findices[in.admsNodeID_q+inst*(13+0)] = in.li_q;
    Qindices[in.admsNodeID_q+inst*(13+0)] = in.li_q;
    dfdp[in.admsNodeID_n+inst*(13+0)] += d_staticContributions_dX[in.admsNodeID_n];
    dqdp[in.admsNodeID_n+inst*(13+0)] += d_dynamicContributions_dX[in.admsNodeID_n];
    Findices[in.admsNodeID_n+inst*(13+0)] = in.li_n;
    Qindices[in.admsNodeID_n+inst*(13+0)] = in.li_n;
}

}

#endif // Xyce_ADMS_SENSITIVITIES

} // namespace ADMSbsimcmg_111
} // namespace Device
} // namespace Xyce
