
// -*-c++-*-
//-------------------------------------------------------------------------
//   Copyright 2002-2024 National Technology & Engineering Solutions of
//   Sandia, LLC (NTESS).  Under the terms of Contract DE-NA0003525 with
//   NTESS, the U.S. Government retains certain rights in this software.
//
//   This file is part of the Xyce(TM) Parallel Electrical Simulator.
//
//   Xyce(TM) is free software: you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation, either version 3 of the License, or
//   (at your option) any later version.
//
//   Xyce(TM) is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with Xyce(TM).
//   If not, see <http://www.gnu.org/licenses/>.
//-------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//
// Purpose        :
//
// Special Notes  : Generated from verilog file bsimcmg.va with ADMS
//                  interface for Xyce 7.9.0
//                  DO NOT EDIT THIS FILE DIRECTLY!  It may be overwritten!
//
// Creator        : admsXml-2.3.7
//
// Creation Date  : Thu, 23 May 2024 20:30:06
//
//-----------------------------------------------------------------------------
#ifndef Xyce_N_DEV_ADMSbsimcmg_111_h
#define Xyce_N_DEV_ADMSbsimcmg_111_h


#include <N_DEV_Configuration.h>
#include <N_DEV_Const.h>
#include <N_DEV_DeviceBlock.h>
#include <N_DEV_DeviceInstance.h>
#include <N_DEV_DeviceModel.h>
#include <N_DEV_MOSFET1.h>


// Xyce_config.h contains a VERSION macro from autoconf, and some
// Verilog-A models like to define a variable of that name.  This can be
// a serious problem, and we don't need the VERSION macro.  Get rid of it.
// This must happen *after* all the includes of Xyce headers, each of which
// includes Xyce_config.h.  The implementation file must do this all again
// because it includes more Xyce headers *after* including this one.
#ifdef VERSION
#undef VERSION
#endif

namespace Xyce {
namespace Device {
namespace ADMSbsimcmg_111 {

class Model;
class Instance;
class InstanceSensitivity;

#ifdef Xyce_ADMS_SENSITIVITIES
//-----------------------------------------------------------------------------
// Class         : InstanceSensitivity
//
// Purpose       : This class is a functor for sensitivity
//
// Special Notes :
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
class InstanceSensitivity : public baseSensitivity
{
public:
InstanceSensitivity() :
baseSensitivity() {};

virtual ~InstanceSensitivity() {};

virtual void operator()(
const ParameterBase &entity,
const std::string &param,
std::vector<double> & dfdp,
std::vector<double> & dqdp,
std::vector<double> & dbdp,
std::vector<int> & Findices,
std::vector<int> & Qindices,
std::vector<int> & Bindices
) const ;
};

static InstanceSensitivity instSens;


//-----------------------------------------------------------------------------
// Class         : ModelSensitivity
//
// Purpose       : This class is a functor for sensitivity
//
// Special Notes :
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
class ModelSensitivity : public baseSensitivity
{
public:
ModelSensitivity() :
baseSensitivity() {};

virtual ~ModelSensitivity() {};

virtual void operator()(
const ParameterBase &entity,
const std::string &param,
std::vector<double> & dfdp,
std::vector<double> & dqdp,
std::vector<double> & dbdp,
std::vector<int> & Findices,
std::vector<int> & Qindices,
std::vector<int> & Bindices
) const ;
};

static ModelSensitivity modSens;
#endif // Xyce_ADMS_SENSITIVITIES

// general purpose free functions
// thermal voltage at kelvin temperature temp)
static inline double adms_vt(const double temp) {return(CONSTKoverQ*temp);};


#ifdef Xyce_ADMS_SENSITIVITIES
//-----------------------------------------------------------------------------
// "structs" to hold instance and model param/variable copies
//-----------------------------------------------------------------------------
class instanceSensStruct
{
public:
// instance parameters
// reals
double instancePar_L;
double d_instancePar_L_dX;
bool instancePar_given_L;
double instancePar_D;
double d_instancePar_D_dX;
bool instancePar_given_D;
double instancePar_TFIN;
double d_instancePar_TFIN_dX;
bool instancePar_given_TFIN;
double instancePar_FPITCH;
double d_instancePar_FPITCH_dX;
bool instancePar_given_FPITCH;
double instancePar_NFIN;
double d_instancePar_NFIN_dX;
bool instancePar_given_NFIN;
double instancePar_ASEO;
double d_instancePar_ASEO_dX;
bool instancePar_given_ASEO;
double instancePar_ADEO;
double d_instancePar_ADEO_dX;
bool instancePar_given_ADEO;
double instancePar_PSEO;
double d_instancePar_PSEO_dX;
bool instancePar_given_PSEO;
double instancePar_PDEO;
double d_instancePar_PDEO_dX;
bool instancePar_given_PDEO;
double instancePar_ASEJ;
double d_instancePar_ASEJ_dX;
bool instancePar_given_ASEJ;
double instancePar_ADEJ;
double d_instancePar_ADEJ_dX;
bool instancePar_given_ADEJ;
double instancePar_PSEJ;
double d_instancePar_PSEJ_dX;
bool instancePar_given_PSEJ;
double instancePar_PDEJ;
double d_instancePar_PDEJ_dX;
bool instancePar_given_PDEJ;
double instancePar_CGSP;
double d_instancePar_CGSP_dX;
bool instancePar_given_CGSP;
double instancePar_CGDP;
double d_instancePar_CGDP_dX;
bool instancePar_given_CGDP;
double instancePar_CDSP;
double d_instancePar_CDSP_dX;
bool instancePar_given_CDSP;
double instancePar_NRS;
double d_instancePar_NRS_dX;
bool instancePar_given_NRS;
double instancePar_NRD;
double d_instancePar_NRD_dX;
bool instancePar_given_NRD;
double instancePar_LRSD;
double d_instancePar_LRSD_dX;
bool instancePar_given_LRSD;
double instancePar_NFINNOM;
double d_instancePar_NFINNOM_dX;
bool instancePar_given_NFINNOM;
double instancePar_DTEMP;
double d_instancePar_DTEMP_dX;
bool instancePar_given_DTEMP;
double instancePar_DELVTRAND;
double d_instancePar_DELVTRAND_dX;
bool instancePar_given_DELVTRAND;
double instancePar_U0MULT;
double d_instancePar_U0MULT_dX;
bool instancePar_given_U0MULT;
double instancePar_IDS0MULT;
double d_instancePar_IDS0MULT_dX;
bool instancePar_given_IDS0MULT;
double instancePar_IGC0MULT;
double d_instancePar_IGC0MULT_dX;
bool instancePar_given_IGC0MULT;
double instancePar_IGB0MULT;
double d_instancePar_IGB0MULT_dX;
bool instancePar_given_IGB0MULT;
double instancePar_COVS;
double d_instancePar_COVS_dX;
bool instancePar_given_COVS;
double instancePar_COVD;
double d_instancePar_COVD_dX;
bool instancePar_given_COVD;
double instancePar_TGAA;
double d_instancePar_TGAA_dX;
bool instancePar_given_TGAA;
double instancePar_TSUS;
double d_instancePar_TSUS_dX;
bool instancePar_given_TSUS;
double instancePar_HPFF;
double d_instancePar_HPFF_dX;
bool instancePar_given_HPFF;
double instancePar_WGAA;
double d_instancePar_WGAA_dX;
bool instancePar_given_WGAA;
double instancePar_DWS1;
double d_instancePar_DWS1_dX;
bool instancePar_given_DWS1;
double instancePar_DACH1;
double d_instancePar_DACH1_dX;
bool instancePar_given_DACH1;
double instancePar_DWS2;
double d_instancePar_DWS2_dX;
bool instancePar_given_DWS2;
double instancePar_DACH2;
double d_instancePar_DACH2_dX;
bool instancePar_given_DACH2;
double instancePar_DWS3;
double d_instancePar_DWS3_dX;
bool instancePar_given_DWS3;
double instancePar_DACH3;
double d_instancePar_DACH3_dX;
bool instancePar_given_DACH3;
double instancePar_DWS4;
double d_instancePar_DWS4_dX;
bool instancePar_given_DWS4;
double instancePar_DACH4;
double d_instancePar_DACH4_dX;
bool instancePar_given_DACH4;
double instancePar_DWS5;
double d_instancePar_DWS5_dX;
bool instancePar_given_DWS5;
double instancePar_DACH5;
double d_instancePar_DACH5_dX;
bool instancePar_given_DACH5;
double instancePar_DWS6;
double d_instancePar_DWS6_dX;
bool instancePar_given_DWS6;
double instancePar_DACH6;
double d_instancePar_DACH6_dX;
bool instancePar_given_DACH6;
double instancePar_XL;
double d_instancePar_XL_dX;
bool instancePar_given_XL;
double instancePar_XW;
double d_instancePar_XW_dX;
bool instancePar_given_XW;
double instancePar_m;
double d_instancePar_m_dX;
bool instancePar_given_m;
// non-reals(including hidden)
int instancePar_NGCON;
bool instancePar_given_NGCON;
int instancePar_NGAA;
bool instancePar_given_NGAA;
int instancePar_SUBBANDMOD;
bool instancePar_given_SUBBANDMOD;
int instancePar_MOBSCMOD;
bool instancePar_given_MOBSCMOD;
int instancePar_NF;
bool instancePar_given_NF;
// instance variables
// reals
double instanceVar_NFINtotal;
double d_instanceVar_NFINtotal_dX;
double instanceVar_TempLast;
double d_instanceVar_TempLast_dX;
double instanceVar_DevTemp1;
double d_instanceVar_DevTemp1_dX;
double instanceVar_DevTempeff;
double d_instanceVar_DevTempeff_dX;
double instanceVar_DevTemplow0;
double d_instanceVar_DevTemplow0_dX;
double instanceVar_DevTemplow1;
double d_instanceVar_DevTemplow1_dX;
double instanceVar_ni;
double d_instanceVar_ni_dX;
double instanceVar_niln;
double d_instanceVar_niln_dX;
double instanceVar_epssub;
double d_instanceVar_epssub_dX;
double instanceVar_epsratio;
double d_instanceVar_epsratio_dX;
double instanceVar_Eg;
double d_instanceVar_Eg_dX;
double instanceVar_Eg0;
double d_instanceVar_Eg0_dX;
double instanceVar_Nc;
double d_instanceVar_Nc_dX;
double instanceVar_Lg;
double d_instanceVar_Lg_dX;
double instanceVar_Leff;
double d_instanceVar_Leff_dX;
double instanceVar_LeffCV;
double d_instanceVar_LeffCV_dX;
double instanceVar_LeffCV_acc;
double d_instanceVar_LeffCV_acc_dX;
double instanceVar_Weff0;
double d_instanceVar_Weff0_dX;
double instanceVar_WeffCV0;
double d_instanceVar_WeffCV0_dX;
double instanceVar_WeffCV_acc;
double d_instanceVar_WeffCV_acc_dX;
double instanceVar_cox;
double d_instanceVar_cox_dX;
double instanceVar_phib;
double d_instanceVar_phib_dX;
double instanceVar_deltaPhi;
double d_instanceVar_deltaPhi_dX;
double instanceVar_T0;
double d_instanceVar_T0_dX;
double instanceVar_T1;
double d_instanceVar_T1_dX;
double instanceVar_T2;
double d_instanceVar_T2_dX;
double instanceVar_T3;
double d_instanceVar_T3_dX;
double instanceVar_Vtm;
double d_instanceVar_Vtm_dX;
double instanceVar_Vtm0;
double d_instanceVar_Vtm0_dX;
double instanceVar_Vtmeff;
double d_instanceVar_Vtmeff_dX;
double instanceVar_Dr;
double d_instanceVar_Dr_dX;
double instanceVar_WeffWRFactor;
double d_instanceVar_WeffWRFactor_dX;
double instanceVar_RSourceGeo;
double d_instanceVar_RSourceGeo_dX;
double instanceVar_RDrainGeo;
double d_instanceVar_RDrainGeo_dX;
double instanceVar_Rdrain;
double d_instanceVar_Rdrain_dX;
double instanceVar_Rsource;
double d_instanceVar_Rsource_dX;
double instanceVar_rdstemp;
double d_instanceVar_rdstemp_dX;
double instanceVar_Rdsi;
double d_instanceVar_Rdsi_dX;
double instanceVar_Tb;
double d_instanceVar_Tb_dX;
double instanceVar_Tnom;
double d_instanceVar_Tnom_dX;
double instanceVar_TRatio;
double d_instanceVar_TRatio_dX;
double instanceVar_TRatio_m1;
double d_instanceVar_TRatio_m1_dX;
double instanceVar_dvth_temp;
double d_instanceVar_dvth_temp_dX;
double instanceVar_delTemp;
double d_instanceVar_delTemp_dX;
double instanceVar_delTemp1;
double d_instanceVar_delTemp1_dX;
double instanceVar_delTRatio1;
double d_instanceVar_delTRatio1_dX;
double instanceVar_ThetaSS;
double d_instanceVar_ThetaSS_dX;
double instanceVar_K0_t;
double d_instanceVar_K0_t_dX;
double instanceVar_K0SI_t;
double d_instanceVar_K0SI_t_dX;
double instanceVar_K2SI_t;
double d_instanceVar_K2SI_t_dX;
double instanceVar_K1_t;
double d_instanceVar_K1_t_dX;
double instanceVar_K2SAT_t;
double d_instanceVar_K2SAT_t_dX;
double instanceVar_A1_t;
double d_instanceVar_A1_t_dX;
double instanceVar_A2_t;
double d_instanceVar_A2_t_dX;
double instanceVar_AIGBINV_t;
double d_instanceVar_AIGBINV_t_dX;
double instanceVar_AIGBACC_t;
double d_instanceVar_AIGBACC_t_dX;
double instanceVar_AIGC_t;
double d_instanceVar_AIGC_t_dX;
double instanceVar_AIGS_t;
double d_instanceVar_AIGS_t_dX;
double instanceVar_AIGD_t;
double d_instanceVar_AIGD_t_dX;
double instanceVar_BETA0_t;
double d_instanceVar_BETA0_t_dX;
double instanceVar_SII0_t;
double d_instanceVar_SII0_t_dX;
double instanceVar_BGISL_t;
double d_instanceVar_BGISL_t_dX;
double instanceVar_BGISLB_t;
double d_instanceVar_BGISLB_t_dX;
double instanceVar_BGIDL_t;
double d_instanceVar_BGIDL_t_dX;
double instanceVar_BGIDLB_t;
double d_instanceVar_BGIDLB_t_dX;
double instanceVar_igtemp;
double d_instanceVar_igtemp_dX;
double instanceVar_PTWG_t;
double d_instanceVar_PTWG_t_dX;
double instanceVar_PTWGR_t;
double d_instanceVar_PTWGR_t_dX;
double instanceVar_ALPHA0_t;
double d_instanceVar_ALPHA0_t_dX;
double instanceVar_ALPHA1_t;
double d_instanceVar_ALPHA1_t_dX;
double instanceVar_ALPHAII0_t;
double d_instanceVar_ALPHAII0_t_dX;
double instanceVar_ALPHAII1_t;
double d_instanceVar_ALPHAII1_t_dX;
double instanceVar_CJS_t;
double d_instanceVar_CJS_t_dX;
double instanceVar_CJSWS_t;
double d_instanceVar_CJSWS_t_dX;
double instanceVar_CJSWGD_t;
double d_instanceVar_CJSWGD_t_dX;
double instanceVar_CJD_t;
double d_instanceVar_CJD_t_dX;
double instanceVar_CJSWD_t;
double d_instanceVar_CJSWD_t_dX;
double instanceVar_CJSWGS_t;
double d_instanceVar_CJSWGS_t_dX;
double instanceVar_PBS_t;
double d_instanceVar_PBS_t_dX;
double instanceVar_PBSWS_t;
double d_instanceVar_PBSWS_t_dX;
double instanceVar_PBSWGS_t;
double d_instanceVar_PBSWGS_t_dX;
double instanceVar_PBD_t;
double d_instanceVar_PBD_t_dX;
double instanceVar_PBSWD_t;
double d_instanceVar_PBSWD_t_dX;
double instanceVar_PBSWGD_t;
double d_instanceVar_PBSWGD_t_dX;
double instanceVar_JSS_t;
double d_instanceVar_JSS_t_dX;
double instanceVar_JSWS_t;
double d_instanceVar_JSWS_t_dX;
double instanceVar_JSWGS_t;
double d_instanceVar_JSWGS_t_dX;
double instanceVar_JSD_t;
double d_instanceVar_JSD_t_dX;
double instanceVar_JSWD_t;
double d_instanceVar_JSWD_t_dX;
double instanceVar_JSWGD_t;
double d_instanceVar_JSWGD_t_dX;
double instanceVar_JTSS_t;
double d_instanceVar_JTSS_t_dX;
double instanceVar_JTSD_t;
double d_instanceVar_JTSD_t_dX;
double instanceVar_JTSSWS_t;
double d_instanceVar_JTSSWS_t_dX;
double instanceVar_JTSSWD_t;
double d_instanceVar_JTSSWD_t_dX;
double instanceVar_JTSSWGS_t;
double d_instanceVar_JTSSWGS_t_dX;
double instanceVar_JTSSWGD_t;
double d_instanceVar_JTSSWGD_t_dX;
double instanceVar_NJTS_t;
double d_instanceVar_NJTS_t_dX;
double instanceVar_NJTSD_t;
double d_instanceVar_NJTSD_t_dX;
double instanceVar_NJTSSW_t;
double d_instanceVar_NJTSSW_t_dX;
double instanceVar_NJTSSWD_t;
double d_instanceVar_NJTSSWD_t_dX;
double instanceVar_NJTSSWG_t;
double d_instanceVar_NJTSSWG_t_dX;
double instanceVar_NJTSSWGD_t;
double d_instanceVar_NJTSSWGD_t_dX;
double instanceVar_K2_t;
double d_instanceVar_K2_t_dX;
double instanceVar_K0SISAT_t;
double d_instanceVar_K0SISAT_t_dX;
double instanceVar_K2SISAT_t;
double d_instanceVar_K2SISAT_t_dX;
double instanceVar_ETA0_t;
double d_instanceVar_ETA0_t_dX;
double instanceVar_ETA0CV_t;
double d_instanceVar_ETA0CV_t_dX;
double instanceVar_ETA0R_t;
double d_instanceVar_ETA0R_t_dX;
double instanceVar_RSDR_t;
double d_instanceVar_RSDR_t_dX;
double instanceVar_RSDRR_t;
double d_instanceVar_RSDRR_t_dX;
double instanceVar_RDDR_t;
double d_instanceVar_RDDR_t_dX;
double instanceVar_RDDRR_t;
double d_instanceVar_RDDRR_t_dX;
double instanceVar_UA_t;
double d_instanceVar_UA_t_dX;
double instanceVar_UACV_t;
double d_instanceVar_UACV_t_dX;
double instanceVar_UAR_t;
double d_instanceVar_UAR_t_dX;
double instanceVar_UA_tl;
double d_instanceVar_UA_tl_dX;
double instanceVar_UA_th;
double d_instanceVar_UA_th_dX;
double instanceVar_UACV_tl;
double d_instanceVar_UACV_tl_dX;
double instanceVar_UACV_th;
double d_instanceVar_UACV_th_dX;
double instanceVar_UAR_tl;
double d_instanceVar_UAR_tl_dX;
double instanceVar_UAR_th;
double d_instanceVar_UAR_th_dX;
double instanceVar_wh;
double d_instanceVar_wh_dX;
double instanceVar_wl;
double d_instanceVar_wl_dX;
double instanceVar_UC_t;
double d_instanceVar_UC_t_dX;
double instanceVar_UCCV_t;
double d_instanceVar_UCCV_t_dX;
double instanceVar_UCR_t;
double d_instanceVar_UCR_t_dX;
double instanceVar_UCS_t;
double d_instanceVar_UCS_t_dX;
double instanceVar_UD_t;
double d_instanceVar_UD_t_dX;
double instanceVar_UDCV_t;
double d_instanceVar_UDCV_t_dX;
double instanceVar_UDR_t;
double d_instanceVar_UDR_t_dX;
double instanceVar_U0R_t;
double d_instanceVar_U0R_t_dX;
double instanceVar_ETAMOB_t;
double d_instanceVar_ETAMOB_t_dX;
double instanceVar_EU_t;
double d_instanceVar_EU_t_dX;
double instanceVar_UDS_t;
double d_instanceVar_UDS_t_dX;
double instanceVar_UDS_i;
double d_instanceVar_UDS_i_dX;
double instanceVar_UDS1_i;
double d_instanceVar_UDS1_i_dX;
double instanceVar_UDD_t;
double d_instanceVar_UDD_t_dX;
double instanceVar_UDD_i;
double d_instanceVar_UDD_i_dX;
double instanceVar_UDD1_i;
double d_instanceVar_UDD1_i_dX;
double instanceVar_UDSeff_t;
double d_instanceVar_UDSeff_t_dX;
double instanceVar_UDDeff_t;
double d_instanceVar_UDDeff_t_dX;
double instanceVar_VSAT_t;
double d_instanceVar_VSAT_t_dX;
double instanceVar_VSATR_t;
double d_instanceVar_VSATR_t_dX;
double instanceVar_VSAT1_t;
double d_instanceVar_VSAT1_t_dX;
double instanceVar_VSAT1R_t;
double d_instanceVar_VSAT1R_t_dX;
double instanceVar_VSATCV_t;
double d_instanceVar_VSATCV_t_dX;
double instanceVar_MEXP_t;
double d_instanceVar_MEXP_t_dX;
double instanceVar_MEXPR_t;
double d_instanceVar_MEXPR_t_dX;
double instanceVar_scl;
double d_instanceVar_scl_dX;
double instanceVar_vbi;
double d_instanceVar_vbi_dX;
double instanceVar_tmp;
double d_instanceVar_tmp_dX;
double instanceVar_Theta_SCE;
double d_instanceVar_Theta_SCE_dX;
double instanceVar_Theta_SW;
double d_instanceVar_Theta_SW_dX;
double instanceVar_Theta_DIBL;
double d_instanceVar_Theta_DIBL_dX;
double instanceVar_Theta_RSCE;
double d_instanceVar_Theta_RSCE_dX;
double instanceVar_Theta_DITS;
double d_instanceVar_Theta_DITS_dX;
double instanceVar_veseff;
double d_instanceVar_veseff_dX;
double instanceVar_Tcen0;
double d_instanceVar_Tcen0_dX;
double instanceVar_dvch_qm;
double d_instanceVar_dvch_qm_dX;
double instanceVar_mx;
double instanceVar_mxprime;
double instanceVar_md;
double instanceVar_mdprime;
double instanceVar_gprime;
double instanceVar_gfactor;
double instanceVar_qbs;
double d_instanceVar_qbs_dX;
double instanceVar_qba;
double d_instanceVar_qba_dX;
double instanceVar_eta_mu;
double d_instanceVar_eta_mu_dX;
double instanceVar_eta_mu_cv;
double instanceVar_u0;
double d_instanceVar_u0_dX;
double instanceVar_u0_cv;
double d_instanceVar_u0_cv_dX;
double instanceVar_u0r;
double d_instanceVar_u0r_dX;
double instanceVar_EeffFactor;
double d_instanceVar_EeffFactor_dX;
double instanceVar_Cfr_geo;
double d_instanceVar_Cfr_geo_dX;
double instanceVar_ggeltd;
double d_instanceVar_ggeltd_dX;
double instanceVar_igbinv;
double d_instanceVar_igbinv_dX;
double instanceVar_igsd_mult;
double d_instanceVar_igsd_mult_dX;
double instanceVar_igsd_mult0;
double d_instanceVar_igsd_mult0_dX;
double instanceVar_igbs;
double d_instanceVar_igbs_dX;
double instanceVar_igbd;
double d_instanceVar_igbd_dX;
double instanceVar_igbacc;
double d_instanceVar_igbacc_dX;
double instanceVar_igcs;
double d_instanceVar_igcs_dX;
double instanceVar_igcd;
double d_instanceVar_igcd_dX;
double instanceVar_igisl;
double d_instanceVar_igisl_dX;
double instanceVar_igidl;
double d_instanceVar_igidl_dX;
double instanceVar_igislb;
double d_instanceVar_igislb_dX;
double instanceVar_igidlb;
double d_instanceVar_igidlb_dX;
double instanceVar_vfbsd;
double d_instanceVar_vfbsd_dX;
double instanceVar_igs;
double d_instanceVar_igs_dX;
double instanceVar_igd;
double d_instanceVar_igd_dX;
double instanceVar_Aechvb;
double instanceVar_Bechvb;
double instanceVar_Toxratio;
double d_instanceVar_Toxratio_dX;
double instanceVar_Iii;
double d_instanceVar_Iii_dX;
double instanceVar_cox_acc;
double d_instanceVar_cox_acc_dX;
double instanceVar_qg_acc;
double d_instanceVar_qg_acc_dX;
double instanceVar_qb_acc;
double d_instanceVar_qb_acc_dX;
double instanceVar_qgs_ov;
double d_instanceVar_qgs_ov_dX;
double instanceVar_qgd_ov;
double d_instanceVar_qgd_ov_dX;
double instanceVar_csbox;
double d_instanceVar_csbox_dX;
double instanceVar_cdbox;
double d_instanceVar_cdbox_dX;
double instanceVar_cgbox;
double d_instanceVar_cgbox_dX;
double instanceVar_vfbsdcv;
double d_instanceVar_vfbsdcv_dX;
double instanceVar_Ies;
double d_instanceVar_Ies_dX;
double instanceVar_Ied;
double d_instanceVar_Ied_dX;
double instanceVar_Czbs;
double d_instanceVar_Czbs_dX;
double instanceVar_Czbssw;
double d_instanceVar_Czbssw_dX;
double instanceVar_Czbsswg;
double d_instanceVar_Czbsswg_dX;
double instanceVar_Czbd;
double d_instanceVar_Czbd_dX;
double instanceVar_Czbdsw;
double d_instanceVar_Czbdsw_dX;
double instanceVar_Czbdswg;
double d_instanceVar_Czbdswg_dX;
double instanceVar_Qesj;
double d_instanceVar_Qesj_dX;
double instanceVar_Qedj;
double d_instanceVar_Qedj_dX;
double instanceVar_Isbs;
double d_instanceVar_Isbs_dX;
double instanceVar_Isbd;
double d_instanceVar_Isbd_dX;
double instanceVar_Nvtms;
double d_instanceVar_Nvtms_dX;
double instanceVar_Nvtmd;
double d_instanceVar_Nvtmd_dX;
double instanceVar_SslpRev;
double d_instanceVar_SslpRev_dX;
double instanceVar_IVjsmRev;
double d_instanceVar_IVjsmRev_dX;
double instanceVar_VjsmRev;
double d_instanceVar_VjsmRev_dX;
double instanceVar_SslpFwd;
double d_instanceVar_SslpFwd_dX;
double instanceVar_IVjsmFwd;
double d_instanceVar_IVjsmFwd_dX;
double instanceVar_VjsmFwd;
double d_instanceVar_VjsmFwd_dX;
double instanceVar_XExpBVS;
double d_instanceVar_XExpBVS_dX;
double instanceVar_DslpRev;
double d_instanceVar_DslpRev_dX;
double instanceVar_IVjdmRev;
double d_instanceVar_IVjdmRev_dX;
double instanceVar_VjdmRev;
double d_instanceVar_VjdmRev_dX;
double instanceVar_DslpFwd;
double d_instanceVar_DslpFwd_dX;
double instanceVar_IVjdmFwd;
double d_instanceVar_IVjdmFwd_dX;
double instanceVar_VjdmFwd;
double d_instanceVar_VjdmFwd_dX;
double instanceVar_XExpBVD;
double d_instanceVar_XExpBVD_dX;
double instanceVar_igentemp;
double d_instanceVar_igentemp_dX;
double instanceVar_vec1s;
double d_instanceVar_vec1s_dX;
double instanceVar_pb21s;
double d_instanceVar_pb21s_dX;
double instanceVar_vec2s;
double d_instanceVar_vec2s_dX;
double instanceVar_pb22s;
double d_instanceVar_pb22s_dX;
double instanceVar_vec3s;
double d_instanceVar_vec3s_dX;
double instanceVar_pb23s;
double d_instanceVar_pb23s_dX;
double instanceVar_vec1d;
double d_instanceVar_vec1d_dX;
double instanceVar_pb21d;
double d_instanceVar_pb21d_dX;
double instanceVar_vec2d;
double d_instanceVar_vec2d_dX;
double instanceVar_pb22d;
double d_instanceVar_pb22d_dX;
double instanceVar_vec3d;
double d_instanceVar_vec3d_dX;
double instanceVar_pb23d;
double d_instanceVar_pb23d_dX;
double instanceVar_gcrg;
double d_instanceVar_gcrg_dX;
double instanceVar_gtau;
double d_instanceVar_gtau_dX;
double instanceVar_NOIA2_i;
double d_instanceVar_NOIA2_i_dX;
double instanceVar_MPOWER_i;
double d_instanceVar_MPOWER_i_dX;
double instanceVar_QSREF_i;
double d_instanceVar_QSREF_i_dX;
double instanceVar_litl;
double d_instanceVar_litl_dX;
double instanceVar_sid;
double d_instanceVar_sid_dX;
double instanceVar_gspr;
double d_instanceVar_gspr_dX;
double instanceVar_gdpr;
double d_instanceVar_gdpr_dX;
double instanceVar_Dr0;
double d_instanceVar_Dr0_dX;
double instanceVar_delta;
double d_instanceVar_delta_dX;
double instanceVar_ctnoi;
double d_instanceVar_ctnoi_dX;
double instanceVar_sigrat;
double d_instanceVar_sigrat_dX;
double instanceVar_gth;
double d_instanceVar_gth_dX;
double instanceVar_cth;
double d_instanceVar_cth_dX;
double instanceVar_NBODY_i;
double d_instanceVar_NBODY_i_dX;
double instanceVar_PHIG_i;
double d_instanceVar_PHIG_i_dX;
double instanceVar_CFD_i;
double d_instanceVar_CFD_i_dX;
double instanceVar_CFS_i;
double d_instanceVar_CFS_i_dX;
double instanceVar_COVS_i;
double d_instanceVar_COVS_i_dX;
double instanceVar_COVD_i;
double d_instanceVar_COVD_i_dX;
double instanceVar_CGSO_i;
double d_instanceVar_CGSO_i_dX;
double instanceVar_CGDO_i;
double d_instanceVar_CGDO_i_dX;
double instanceVar_CGSL_i;
double d_instanceVar_CGSL_i_dX;
double instanceVar_CGDL_i;
double d_instanceVar_CGDL_i_dX;
double instanceVar_CGBL_i;
double d_instanceVar_CGBL_i_dX;
double instanceVar_CKAPPAS_i;
double d_instanceVar_CKAPPAS_i_dX;
double instanceVar_CKAPPAD_i;
double d_instanceVar_CKAPPAD_i_dX;
double instanceVar_CKAPPAB_i;
double d_instanceVar_CKAPPAB_i_dX;
double instanceVar_QMFACTOR_i;
double d_instanceVar_QMFACTOR_i_dX;
double instanceVar_QMTCENCV_i;
double d_instanceVar_QMTCENCV_i_dX;
double instanceVar_QMTCENCVA_i;
double d_instanceVar_QMTCENCVA_i_dX;
double instanceVar_KSATIV_i;
double d_instanceVar_KSATIV_i_dX;
double instanceVar_KSATIVR_i;
double d_instanceVar_KSATIVR_i_dX;
double instanceVar_KSATIV_t;
double d_instanceVar_KSATIV_t_dX;
double instanceVar_CDSC_i;
double d_instanceVar_CDSC_i_dX;
double instanceVar_CDSCD_i;
double d_instanceVar_CDSCD_i_dX;
double instanceVar_CDSCDR_i;
double d_instanceVar_CDSCDR_i_dX;
double instanceVar_CIT_i;
double d_instanceVar_CIT_i_dX;
double instanceVar_DVT0_i;
double d_instanceVar_DVT0_i_dX;
double instanceVar_CITR_i;
double d_instanceVar_CITR_i_dX;
double instanceVar_PHIN_i;
double d_instanceVar_PHIN_i_dX;
double instanceVar_ETA0_i;
double d_instanceVar_ETA0_i_dX;
double instanceVar_ETA0CV_i;
double d_instanceVar_ETA0CV_i_dX;
double instanceVar_ETA0R_i;
double d_instanceVar_ETA0R_i_dX;
double instanceVar_VSAT_i;
double d_instanceVar_VSAT_i_dX;
double instanceVar_VSATR_i;
double d_instanceVar_VSATR_i_dX;
double instanceVar_DVTP0_i;
double d_instanceVar_DVTP0_i_dX;
double instanceVar_DVTP1_i;
double d_instanceVar_DVTP1_i_dX;
double instanceVar_K0_i;
double d_instanceVar_K0_i_dX;
double instanceVar_K01_i;
double d_instanceVar_K01_i_dX;
double instanceVar_K0SI_i;
double d_instanceVar_K0SI_i_dX;
double instanceVar_K0SI1_i;
double d_instanceVar_K0SI1_i_dX;
double instanceVar_K2SI_i;
double d_instanceVar_K2SI_i_dX;
double instanceVar_K2SI1_i;
double d_instanceVar_K2SI1_i_dX;
double instanceVar_PHIBE_i;
double d_instanceVar_PHIBE_i_dX;
double instanceVar_K1_i;
double d_instanceVar_K1_i_dX;
double instanceVar_K11_i;
double d_instanceVar_K11_i_dX;
double instanceVar_K2SAT_i;
double d_instanceVar_K2SAT_i_dX;
double instanceVar_K2SAT1_i;
double d_instanceVar_K2SAT1_i_dX;
double instanceVar_DELTAVSAT_i;
double d_instanceVar_DELTAVSAT_i_dX;
double instanceVar_PSAT_i;
double d_instanceVar_PSAT_i_dX;
double instanceVar_DELTAVSATCV_i;
double d_instanceVar_DELTAVSATCV_i_dX;
double instanceVar_PSATCV_i;
double d_instanceVar_PSATCV_i_dX;
double instanceVar_VSAT1_i;
double d_instanceVar_VSAT1_i_dX;
double instanceVar_VSAT1R_i;
double d_instanceVar_VSAT1R_i_dX;
double instanceVar_PTWG_i;
double d_instanceVar_PTWG_i_dX;
double instanceVar_PTWGR_i;
double d_instanceVar_PTWGR_i_dX;
double instanceVar_VSATCV_i;
double d_instanceVar_VSATCV_i_dX;
double instanceVar_U0_i;
double d_instanceVar_U0_i_dX;
double instanceVar_U0CV_i;
double d_instanceVar_U0CV_i_dX;
double instanceVar_U0R_i;
double d_instanceVar_U0R_i_dX;
double instanceVar_ETAMOB_i;
double d_instanceVar_ETAMOB_i_dX;
double instanceVar_NGATE_i;
double d_instanceVar_NGATE_i_dX;
double instanceVar_RDSW_i;
double d_instanceVar_RDSW_i_dX;
double instanceVar_PRWGS_i;
double d_instanceVar_PRWGS_i_dX;
double instanceVar_PRWGD_i;
double d_instanceVar_PRWGD_i_dX;
double instanceVar_PDIBL1_i;
double d_instanceVar_PDIBL1_i_dX;
double instanceVar_PDIBL1R_i;
double d_instanceVar_PDIBL1R_i_dX;
double instanceVar_PDIBL2_i;
double d_instanceVar_PDIBL2_i_dX;
double instanceVar_PDIBL2R_i;
double d_instanceVar_PDIBL2R_i_dX;
double instanceVar_DROUT_i;
double d_instanceVar_DROUT_i_dX;
double instanceVar_PVAG_i;
double d_instanceVar_PVAG_i_dX;
double instanceVar_AIGBINV_i;
double d_instanceVar_AIGBINV_i_dX;
double instanceVar_AIGBINV1_i;
double d_instanceVar_AIGBINV1_i_dX;
double instanceVar_BIGBINV_i;
double d_instanceVar_BIGBINV_i_dX;
double instanceVar_CIGBINV_i;
double d_instanceVar_CIGBINV_i_dX;
double instanceVar_EIGBINV_i;
double d_instanceVar_EIGBINV_i_dX;
double instanceVar_NIGBINV_i;
double d_instanceVar_NIGBINV_i_dX;
double instanceVar_AIGBACC_i;
double d_instanceVar_AIGBACC_i_dX;
double instanceVar_AIGBACC1_i;
double d_instanceVar_AIGBACC1_i_dX;
double instanceVar_BIGBACC_i;
double d_instanceVar_BIGBACC_i_dX;
double instanceVar_CIGBACC_i;
double d_instanceVar_CIGBACC_i_dX;
double instanceVar_NIGBACC_i;
double d_instanceVar_NIGBACC_i_dX;
double instanceVar_AIGC_i;
double d_instanceVar_AIGC_i_dX;
double instanceVar_AIGC1_i;
double d_instanceVar_AIGC1_i_dX;
double instanceVar_BIGC_i;
double d_instanceVar_BIGC_i_dX;
double instanceVar_CIGC_i;
double d_instanceVar_CIGC_i_dX;
double instanceVar_PIGCD_i;
double d_instanceVar_PIGCD_i_dX;
double instanceVar_AIGS_i;
double d_instanceVar_AIGS_i_dX;
double instanceVar_AIGS1_i;
double d_instanceVar_AIGS1_i_dX;
double instanceVar_BIGS_i;
double d_instanceVar_BIGS_i_dX;
double instanceVar_CIGS_i;
double d_instanceVar_CIGS_i_dX;
double instanceVar_POXEDGE_i;
double d_instanceVar_POXEDGE_i_dX;
double instanceVar_AIGD_i;
double d_instanceVar_AIGD_i_dX;
double instanceVar_AIGD1_i;
double d_instanceVar_AIGD1_i_dX;
double instanceVar_BIGD_i;
double d_instanceVar_BIGD_i_dX;
double instanceVar_CIGD_i;
double d_instanceVar_CIGD_i_dX;
double instanceVar_AGIDL_i;
double d_instanceVar_AGIDL_i_dX;
double instanceVar_BGIDL_i;
double d_instanceVar_BGIDL_i_dX;
double instanceVar_CGIDL_i;
double d_instanceVar_CGIDL_i_dX;
double instanceVar_EGIDL_i;
double d_instanceVar_EGIDL_i_dX;
double instanceVar_PGIDL_i;
double d_instanceVar_PGIDL_i_dX;
double instanceVar_AGISL_i;
double d_instanceVar_AGISL_i_dX;
double instanceVar_BGISL_i;
double d_instanceVar_BGISL_i_dX;
double instanceVar_CGISL_i;
double d_instanceVar_CGISL_i_dX;
double instanceVar_EGISL_i;
double d_instanceVar_EGISL_i_dX;
double instanceVar_PGISL_i;
double d_instanceVar_PGISL_i_dX;
double instanceVar_AGIDLB_i;
double d_instanceVar_AGIDLB_i_dX;
double instanceVar_BGIDLB_i;
double d_instanceVar_BGIDLB_i_dX;
double instanceVar_CGIDLB_i;
double d_instanceVar_CGIDLB_i_dX;
double instanceVar_EGIDLB_i;
double d_instanceVar_EGIDLB_i_dX;
double instanceVar_PGIDLB_i;
double d_instanceVar_PGIDLB_i_dX;
double instanceVar_AGISLB_i;
double d_instanceVar_AGISLB_i_dX;
double instanceVar_BGISLB_i;
double d_instanceVar_BGISLB_i_dX;
double instanceVar_CGISLB_i;
double d_instanceVar_CGISLB_i_dX;
double instanceVar_EGISLB_i;
double d_instanceVar_EGISLB_i_dX;
double instanceVar_PGISLB_i;
double d_instanceVar_PGISLB_i_dX;
double instanceVar_ALPHA0_i;
double d_instanceVar_ALPHA0_i_dX;
double instanceVar_ALPHA1_i;
double d_instanceVar_ALPHA1_i_dX;
double instanceVar_ALPHAII0_i;
double d_instanceVar_ALPHAII0_i_dX;
double instanceVar_ALPHAII1_i;
double d_instanceVar_ALPHAII1_i_dX;
double instanceVar_BETA0_i;
double d_instanceVar_BETA0_i_dX;
double instanceVar_BETAII0_i;
double d_instanceVar_BETAII0_i_dX;
double instanceVar_BETAII1_i;
double d_instanceVar_BETAII1_i_dX;
double instanceVar_BETAII2_i;
double d_instanceVar_BETAII2_i_dX;
double instanceVar_ESATII_i;
double d_instanceVar_ESATII_i_dX;
double instanceVar_LII_i;
double d_instanceVar_LII_i_dX;
double instanceVar_SII0_i;
double d_instanceVar_SII0_i_dX;
double instanceVar_SII1_i;
double d_instanceVar_SII1_i_dX;
double instanceVar_SII2_i;
double d_instanceVar_SII2_i_dX;
double instanceVar_SIID_i;
double d_instanceVar_SIID_i_dX;
double instanceVar_TII_i;
double d_instanceVar_TII_i_dX;
double instanceVar_MEXP_i;
double d_instanceVar_MEXP_i_dX;
double instanceVar_MEXPR_i;
double d_instanceVar_MEXPR_i_dX;
double instanceVar_PCLM_i;
double d_instanceVar_PCLM_i_dX;
double instanceVar_PCLMG_i;
double d_instanceVar_PCLMG_i_dX;
double instanceVar_PCLMCV_i;
double d_instanceVar_PCLMCV_i_dX;
double instanceVar_PCLMR_i;
double d_instanceVar_PCLMR_i_dX;
double instanceVar_PCLM_t;
double d_instanceVar_PCLM_t_dX;
double instanceVar_A1_i;
double d_instanceVar_A1_i_dX;
double instanceVar_A2_i;
double d_instanceVar_A2_i_dX;
double instanceVar_A11_i;
double d_instanceVar_A11_i_dX;
double instanceVar_A21_i;
double d_instanceVar_A21_i_dX;
double instanceVar_K1RSCE_i;
double d_instanceVar_K1RSCE_i_dX;
double instanceVar_DVTSHIFT_i;
double d_instanceVar_DVTSHIFT_i_dX;
double instanceVar_DVTSHIFTR_i;
double d_instanceVar_DVTSHIFTR_i_dX;
double instanceVar_UA_i;
double d_instanceVar_UA_i_dX;
double instanceVar_UACV_i;
double d_instanceVar_UACV_i_dX;
double instanceVar_UC_i;
double d_instanceVar_UC_i_dX;
double instanceVar_UCCV_i;
double d_instanceVar_UCCV_i_dX;
double instanceVar_EU_i;
double d_instanceVar_EU_i_dX;
double instanceVar_UD_i;
double d_instanceVar_UD_i_dX;
double instanceVar_UDCV_i;
double d_instanceVar_UDCV_i_dX;
double instanceVar_UCS_i;
double d_instanceVar_UCS_i_dX;
double instanceVar_UAR_i;
double d_instanceVar_UAR_i_dX;
double instanceVar_EUR_i;
double d_instanceVar_EUR_i_dX;
double instanceVar_UCR_i;
double d_instanceVar_UCR_i_dX;
double instanceVar_UDR_i;
double d_instanceVar_UDR_i_dX;
double instanceVar_UA1_i;
double d_instanceVar_UA1_i_dX;
double instanceVar_UA2_i;
double d_instanceVar_UA2_i_dX;
double instanceVar_UA1R_i;
double d_instanceVar_UA1R_i_dX;
double instanceVar_UA1CV_i;
double d_instanceVar_UA1CV_i_dX;
double instanceVar_UA2CV_i;
double d_instanceVar_UA2CV_i_dX;
double instanceVar_UC1_i;
double d_instanceVar_UC1_i_dX;
double instanceVar_UC1CV_i;
double d_instanceVar_UC1CV_i_dX;
double instanceVar_UD1_i;
double d_instanceVar_UD1_i_dX;
double instanceVar_UD2_i;
double d_instanceVar_UD2_i_dX;
double instanceVar_UD1CV_i;
double d_instanceVar_UD1CV_i_dX;
double instanceVar_UD2CV_i;
double d_instanceVar_UD2CV_i_dX;
double instanceVar_UCSTE_i;
double d_instanceVar_UCSTE_i_dX;
double instanceVar_UCSTE1_i;
double d_instanceVar_UCSTE1_i_dX;
double instanceVar_UTE_i;
double d_instanceVar_UTE_i_dX;
double instanceVar_UTE1_i;
double d_instanceVar_UTE1_i_dX;
double instanceVar_UTL_i;
double d_instanceVar_UTL_i_dX;
double instanceVar_UTECV_i;
double d_instanceVar_UTECV_i_dX;
double instanceVar_UTE1CV_i;
double d_instanceVar_UTE1CV_i_dX;
double instanceVar_UTLCV_i;
double d_instanceVar_UTLCV_i_dX;
double instanceVar_EMOBT_i;
double d_instanceVar_EMOBT_i_dX;
double instanceVar_UC1R_i;
double d_instanceVar_UC1R_i_dX;
double instanceVar_UD1R_i;
double d_instanceVar_UD1R_i_dX;
double instanceVar_UTER_i;
double d_instanceVar_UTER_i_dX;
double instanceVar_UTLR_i;
double d_instanceVar_UTLR_i_dX;
double instanceVar_EU1_i;
double d_instanceVar_EU1_i_dX;
double instanceVar_PTWGT_i;
double d_instanceVar_PTWGT_i_dX;
double instanceVar_AT_i;
double d_instanceVar_AT_i_dX;
double instanceVar_ATCV_i;
double d_instanceVar_ATCV_i_dX;
double instanceVar_ATR_i;
double d_instanceVar_ATR_i_dX;
double instanceVar_RDW_i;
double d_instanceVar_RDW_i_dX;
double instanceVar_RSW_i;
double d_instanceVar_RSW_i_dX;
double instanceVar_PRT_i;
double d_instanceVar_PRT_i_dX;
double instanceVar_PRT1_i;
double d_instanceVar_PRT1_i_dX;
double instanceVar_TR0_i;
double d_instanceVar_TR0_i_dX;
double instanceVar_SPRT_i;
double d_instanceVar_SPRT_i_dX;
double instanceVar_KT1_i;
double d_instanceVar_KT1_i_dX;
double instanceVar_TSS_i;
double d_instanceVar_TSS_i_dX;
double instanceVar_IIT_i;
double d_instanceVar_IIT_i_dX;
double instanceVar_IGT_i;
double d_instanceVar_IGT_i_dX;
double instanceVar_TGIDL_i;
double d_instanceVar_TGIDL_i_dX;
double instanceVar_NTGEN_i;
double d_instanceVar_NTGEN_i_dX;
double instanceVar_AIGEN_i;
double d_instanceVar_AIGEN_i_dX;
double instanceVar_BIGEN_i;
double d_instanceVar_BIGEN_i_dX;
double instanceVar_K0SISAT_i;
double d_instanceVar_K0SISAT_i_dX;
double instanceVar_K0SISAT1_i;
double d_instanceVar_K0SISAT1_i_dX;
double instanceVar_K2SISAT_i;
double d_instanceVar_K2SISAT_i_dX;
double instanceVar_K2SISAT1_i;
double d_instanceVar_K2SISAT1_i_dX;
double instanceVar_K2_i;
double d_instanceVar_K2_i_dX;
double instanceVar_K21_i;
double d_instanceVar_K21_i_dX;
double instanceVar_XRCRG1_i;
double d_instanceVar_XRCRG1_i_dX;
double instanceVar_XRCRG2_i;
double d_instanceVar_XRCRG2_i_dX;
double instanceVar_LINTIGEN_i;
double d_instanceVar_LINTIGEN_i_dX;
double instanceVar_Cins;
double d_instanceVar_Cins_dX;
double instanceVar_Ach;
double d_instanceVar_Ach_dX;
double instanceVar_Weff_UFCM;
double d_instanceVar_Weff_UFCM_dX;
double instanceVar_WeffB;
double d_instanceVar_WeffB_dX;
double instanceVar_rc;
double d_instanceVar_rc_dX;
double instanceVar_Qdep_ov_Cins;
double d_instanceVar_Qdep_ov_Cins_dX;
double instanceVar_qi_acc_for_QM;
double d_instanceVar_qi_acc_for_QM_dX;
double instanceVar_nq;
double d_instanceVar_nq_dX;
double instanceVar_d1;
double d_instanceVar_d1_dX;
double instanceVar_d2;
double d_instanceVar_d2_dX;
double instanceVar_d3;
double d_instanceVar_d3_dX;
double instanceVar_p1;
double d_instanceVar_p1_dX;
double instanceVar_p2;
double d_instanceVar_p2_dX;
double instanceVar_p3;
double d_instanceVar_p3_dX;
double instanceVar_nc3d;
double d_instanceVar_nc3d_dX;
double instanceVar_ncq;
double d_instanceVar_ncq_dX;
double instanceVar_qe2;
double d_instanceVar_qe2_dX;
double instanceVar_qe3;
double d_instanceVar_qe3_dX;
double instanceVar_qnds1;
double d_instanceVar_qnds1_dX;
double instanceVar_qnds2;
double d_instanceVar_qnds2_dX;
double instanceVar_qnds3;
double d_instanceVar_qnds3_dX;
double instanceVar_qndd1;
double d_instanceVar_qndd1_dX;
double instanceVar_qndd2;
double d_instanceVar_qndd2_dX;
double instanceVar_qndd3;
double d_instanceVar_qndd3_dX;
double instanceVar_qnd10;
double d_instanceVar_qnd10_dX;
double instanceVar_qnd20;
double d_instanceVar_qnd20_dX;
double instanceVar_qnd30;
double d_instanceVar_qnd30_dX;
double instanceVar_rdstempvs;
double d_instanceVar_rdstempvs_dX;
double instanceVar_Rvs_s;
double d_instanceVar_Rvs_s_dX;
double instanceVar_Rvs_d;
double d_instanceVar_Rvs_d_dX;
double instanceVar_gvs_d;
double d_instanceVar_gvs_d_dX;
double instanceVar_gvs_s;
double d_instanceVar_gvs_s_dX;
double instanceVar_gmin;
// non-reals
int instanceVar_devsign;
};

class modelSensStruct
{
public:
// model parameters
// reals
double modelPar_L;
double d_modelPar_L_dX;
bool modelPar_given_L;
double modelPar_D;
double d_modelPar_D_dX;
bool modelPar_given_D;
double modelPar_TFIN;
double d_modelPar_TFIN_dX;
bool modelPar_given_TFIN;
double modelPar_FPITCH;
double d_modelPar_FPITCH_dX;
bool modelPar_given_FPITCH;
double modelPar_NFIN;
double d_modelPar_NFIN_dX;
bool modelPar_given_NFIN;
double modelPar_ASEO;
double d_modelPar_ASEO_dX;
bool modelPar_given_ASEO;
double modelPar_ADEO;
double d_modelPar_ADEO_dX;
bool modelPar_given_ADEO;
double modelPar_PSEO;
double d_modelPar_PSEO_dX;
bool modelPar_given_PSEO;
double modelPar_PDEO;
double d_modelPar_PDEO_dX;
bool modelPar_given_PDEO;
double modelPar_ASEJ;
double d_modelPar_ASEJ_dX;
bool modelPar_given_ASEJ;
double modelPar_ADEJ;
double d_modelPar_ADEJ_dX;
bool modelPar_given_ADEJ;
double modelPar_PSEJ;
double d_modelPar_PSEJ_dX;
bool modelPar_given_PSEJ;
double modelPar_PDEJ;
double d_modelPar_PDEJ_dX;
bool modelPar_given_PDEJ;
double modelPar_CGSP;
double d_modelPar_CGSP_dX;
bool modelPar_given_CGSP;
double modelPar_CGDP;
double d_modelPar_CGDP_dX;
bool modelPar_given_CGDP;
double modelPar_CDSP;
double d_modelPar_CDSP_dX;
bool modelPar_given_CDSP;
double modelPar_NRS;
double d_modelPar_NRS_dX;
bool modelPar_given_NRS;
double modelPar_NRD;
double d_modelPar_NRD_dX;
bool modelPar_given_NRD;
double modelPar_LRSD;
double d_modelPar_LRSD_dX;
bool modelPar_given_LRSD;
double modelPar_NFINNOM;
double d_modelPar_NFINNOM_dX;
bool modelPar_given_NFINNOM;
double modelPar_DTEMP;
double d_modelPar_DTEMP_dX;
bool modelPar_given_DTEMP;
double modelPar_DELVTRAND;
double d_modelPar_DELVTRAND_dX;
bool modelPar_given_DELVTRAND;
double modelPar_U0MULT;
double d_modelPar_U0MULT_dX;
bool modelPar_given_U0MULT;
double modelPar_IDS0MULT;
double d_modelPar_IDS0MULT_dX;
bool modelPar_given_IDS0MULT;
double modelPar_IGC0MULT;
double d_modelPar_IGC0MULT_dX;
bool modelPar_given_IGC0MULT;
double modelPar_IGB0MULT;
double d_modelPar_IGB0MULT_dX;
bool modelPar_given_IGB0MULT;
double modelPar_COVS;
double d_modelPar_COVS_dX;
bool modelPar_given_COVS;
double modelPar_LCOVS;
double d_modelPar_LCOVS_dX;
bool modelPar_given_LCOVS;
double modelPar_NCOVS;
double d_modelPar_NCOVS_dX;
bool modelPar_given_NCOVS;
double modelPar_PCOVS;
double d_modelPar_PCOVS_dX;
bool modelPar_given_PCOVS;
double modelPar_WCOVS;
double d_modelPar_WCOVS_dX;
bool modelPar_given_WCOVS;
double modelPar_P2COVS;
double d_modelPar_P2COVS_dX;
bool modelPar_given_P2COVS;
double modelPar_COVD;
double d_modelPar_COVD_dX;
bool modelPar_given_COVD;
double modelPar_LCOVD;
double d_modelPar_LCOVD_dX;
bool modelPar_given_LCOVD;
double modelPar_NCOVD;
double d_modelPar_NCOVD_dX;
bool modelPar_given_NCOVD;
double modelPar_PCOVD;
double d_modelPar_PCOVD_dX;
bool modelPar_given_PCOVD;
double modelPar_WCOVD;
double d_modelPar_WCOVD_dX;
bool modelPar_given_WCOVD;
double modelPar_P2COVD;
double d_modelPar_P2COVD_dX;
bool modelPar_given_P2COVD;
double modelPar_TGAA;
double d_modelPar_TGAA_dX;
bool modelPar_given_TGAA;
double modelPar_TSUS;
double d_modelPar_TSUS_dX;
bool modelPar_given_TSUS;
double modelPar_HPFF;
double d_modelPar_HPFF_dX;
bool modelPar_given_HPFF;
double modelPar_WGAA;
double d_modelPar_WGAA_dX;
bool modelPar_given_WGAA;
double modelPar_DWS1;
double d_modelPar_DWS1_dX;
bool modelPar_given_DWS1;
double modelPar_DACH1;
double d_modelPar_DACH1_dX;
bool modelPar_given_DACH1;
double modelPar_DWS2;
double d_modelPar_DWS2_dX;
bool modelPar_given_DWS2;
double modelPar_DACH2;
double d_modelPar_DACH2_dX;
bool modelPar_given_DACH2;
double modelPar_DWS3;
double d_modelPar_DWS3_dX;
bool modelPar_given_DWS3;
double modelPar_DACH3;
double d_modelPar_DACH3_dX;
bool modelPar_given_DACH3;
double modelPar_DWS4;
double d_modelPar_DWS4_dX;
bool modelPar_given_DWS4;
double modelPar_DACH4;
double d_modelPar_DACH4_dX;
bool modelPar_given_DACH4;
double modelPar_DWS5;
double d_modelPar_DWS5_dX;
bool modelPar_given_DWS5;
double modelPar_DACH5;
double d_modelPar_DACH5_dX;
bool modelPar_given_DACH5;
double modelPar_DWS6;
double d_modelPar_DWS6_dX;
bool modelPar_given_DWS6;
double modelPar_DACH6;
double d_modelPar_DACH6_dX;
bool modelPar_given_DACH6;
double modelPar_LL;
double d_modelPar_LL_dX;
bool modelPar_given_LL;
double modelPar_LLN;
double d_modelPar_LLN_dX;
bool modelPar_given_LLN;
double modelPar_DLC;
double d_modelPar_DLC_dX;
bool modelPar_given_DLC;
double modelPar_DLCACC;
double d_modelPar_DLCACC_dX;
bool modelPar_given_DLCACC;
double modelPar_DWCACC;
double d_modelPar_DWCACC_dX;
bool modelPar_given_DWCACC;
double modelPar_LLC;
double d_modelPar_LLC_dX;
bool modelPar_given_LLC;
double modelPar_EOT;
double d_modelPar_EOT_dX;
bool modelPar_given_EOT;
double modelPar_TOXP;
double d_modelPar_TOXP_dX;
bool modelPar_given_TOXP;
double modelPar_EOTBOX;
double d_modelPar_EOTBOX_dX;
bool modelPar_given_EOTBOX;
double modelPar_HFIN;
double d_modelPar_HFIN_dX;
bool modelPar_given_HFIN;
double modelPar_DELTAW;
double d_modelPar_DELTAW_dX;
bool modelPar_given_DELTAW;
double modelPar_DELTAWCV;
double d_modelPar_DELTAWCV_dX;
bool modelPar_given_DELTAWCV;
double modelPar_NBODYN1;
double d_modelPar_NBODYN1_dX;
bool modelPar_given_NBODYN1;
double modelPar_NBODYN2;
double d_modelPar_NBODYN2_dX;
bool modelPar_given_NBODYN2;
double modelPar_NSD;
double d_modelPar_NSD_dX;
bool modelPar_given_NSD;
double modelPar_PHIGL;
double d_modelPar_PHIGL_dX;
bool modelPar_given_PHIGL;
double modelPar_PHIGLT;
double d_modelPar_PHIGLT_dX;
bool modelPar_given_PHIGLT;
double modelPar_PHIGN1;
double d_modelPar_PHIGN1_dX;
bool modelPar_given_PHIGN1;
double modelPar_PHIGN2;
double d_modelPar_PHIGN2_dX;
bool modelPar_given_PHIGN2;
double modelPar_EPSROX;
double d_modelPar_EPSROX_dX;
bool modelPar_given_EPSROX;
double modelPar_EPSRSUB;
double d_modelPar_EPSRSUB_dX;
bool modelPar_given_EPSRSUB;
double modelPar_EASUB;
double d_modelPar_EASUB_dX;
bool modelPar_given_EASUB;
double modelPar_NI0SUB;
double d_modelPar_NI0SUB_dX;
bool modelPar_given_NI0SUB;
double modelPar_BG0SUB;
double d_modelPar_BG0SUB_dX;
bool modelPar_given_BG0SUB;
double modelPar_NC0SUB;
double d_modelPar_NC0SUB_dX;
bool modelPar_given_NC0SUB;
double modelPar_IMIN;
double d_modelPar_IMIN_dX;
bool modelPar_given_IMIN;
double modelPar_LXL;
double d_modelPar_LXL_dX;
bool modelPar_given_LXL;
double modelPar_NXL;
double d_modelPar_NXL_dX;
bool modelPar_given_NXL;
double modelPar_PXL;
double d_modelPar_PXL_dX;
bool modelPar_given_PXL;
double modelPar_LINT;
double d_modelPar_LINT_dX;
bool modelPar_given_LINT;
double modelPar_LLINT;
double d_modelPar_LLINT_dX;
bool modelPar_given_LLINT;
double modelPar_NLINT;
double d_modelPar_NLINT_dX;
bool modelPar_given_NLINT;
double modelPar_PLINT;
double d_modelPar_PLINT_dX;
bool modelPar_given_PLINT;
double modelPar_DLBIN;
double d_modelPar_DLBIN_dX;
bool modelPar_given_DLBIN;
double modelPar_LDLBIN;
double d_modelPar_LDLBIN_dX;
bool modelPar_given_LDLBIN;
double modelPar_NDLBIN;
double d_modelPar_NDLBIN_dX;
bool modelPar_given_NDLBIN;
double modelPar_PDLBIN;
double d_modelPar_PDLBIN_dX;
bool modelPar_given_PDLBIN;
double modelPar_LXW;
double d_modelPar_LXW_dX;
bool modelPar_given_LXW;
double modelPar_NXW;
double d_modelPar_NXW_dX;
bool modelPar_given_NXW;
double modelPar_PXW;
double d_modelPar_PXW_dX;
bool modelPar_given_PXW;
double modelPar_WXW;
double d_modelPar_WXW_dX;
bool modelPar_given_WXW;
double modelPar_P2XW;
double d_modelPar_P2XW_dX;
bool modelPar_given_P2XW;
double modelPar_DWBIN;
double d_modelPar_DWBIN_dX;
bool modelPar_given_DWBIN;
double modelPar_LDWBIN;
double d_modelPar_LDWBIN_dX;
bool modelPar_given_LDWBIN;
double modelPar_NDWBIN;
double d_modelPar_NDWBIN_dX;
bool modelPar_given_NDWBIN;
double modelPar_PDWBIN;
double d_modelPar_PDWBIN_dX;
bool modelPar_given_PDWBIN;
double modelPar_WDWBIN;
double d_modelPar_WDWBIN_dX;
bool modelPar_given_WDWBIN;
double modelPar_P2DWBIN;
double d_modelPar_P2DWBIN_dX;
bool modelPar_given_P2DWBIN;
double modelPar_NBODY;
double d_modelPar_NBODY_dX;
bool modelPar_given_NBODY;
double modelPar_LNBODY;
double d_modelPar_LNBODY_dX;
bool modelPar_given_LNBODY;
double modelPar_NNBODY;
double d_modelPar_NNBODY_dX;
bool modelPar_given_NNBODY;
double modelPar_PNBODY;
double d_modelPar_PNBODY_dX;
bool modelPar_given_PNBODY;
double modelPar_PHIG;
double d_modelPar_PHIG_dX;
bool modelPar_given_PHIG;
double modelPar_LPHIG;
double d_modelPar_LPHIG_dX;
bool modelPar_given_LPHIG;
double modelPar_NPHIG;
double d_modelPar_NPHIG_dX;
bool modelPar_given_NPHIG;
double modelPar_PPHIG;
double d_modelPar_PPHIG_dX;
bool modelPar_given_PPHIG;
double modelPar_WPHIG;
double d_modelPar_WPHIG_dX;
bool modelPar_given_WPHIG;
double modelPar_P2PHIG;
double d_modelPar_P2PHIG_dX;
bool modelPar_given_P2PHIG;
double modelPar_NGATE;
double d_modelPar_NGATE_dX;
bool modelPar_given_NGATE;
double modelPar_LNGATE;
double d_modelPar_LNGATE_dX;
bool modelPar_given_LNGATE;
double modelPar_NNGATE;
double d_modelPar_NNGATE_dX;
bool modelPar_given_NNGATE;
double modelPar_PNGATE;
double d_modelPar_PNGATE_dX;
bool modelPar_given_PNGATE;
double modelPar_WNGATE;
double d_modelPar_WNGATE_dX;
bool modelPar_given_WNGATE;
double modelPar_P2NGATE;
double d_modelPar_P2NGATE_dX;
bool modelPar_given_P2NGATE;
double modelPar_minr;
double d_modelPar_minr_dX;
bool modelPar_given_minr;
double modelPar_CDSCN1;
double d_modelPar_CDSCN1_dX;
bool modelPar_given_CDSCN1;
double modelPar_CDSCN2;
double d_modelPar_CDSCN2_dX;
bool modelPar_given_CDSCN2;
double modelPar_CDSCDN1;
double d_modelPar_CDSCDN1_dX;
bool modelPar_given_CDSCDN1;
double modelPar_CDSCDN2;
double d_modelPar_CDSCDN2_dX;
bool modelPar_given_CDSCDN2;
double modelPar_CDSCDRN1;
double d_modelPar_CDSCDRN1_dX;
bool modelPar_given_CDSCDRN1;
double modelPar_CDSCDRN2;
double d_modelPar_CDSCDRN2_dX;
bool modelPar_given_CDSCDRN2;
double modelPar_ETA0N1;
double d_modelPar_ETA0N1_dX;
bool modelPar_given_ETA0N1;
double modelPar_ETA0N2;
double d_modelPar_ETA0N2_dX;
bool modelPar_given_ETA0N2;
double modelPar_ETA0LT;
double d_modelPar_ETA0LT_dX;
bool modelPar_given_ETA0LT;
double modelPar_ETA0N1CV;
double d_modelPar_ETA0N1CV_dX;
bool modelPar_given_ETA0N1CV;
double modelPar_ETA0N2CV;
double d_modelPar_ETA0N2CV_dX;
bool modelPar_given_ETA0N2CV;
double modelPar_ETA0LTCV;
double d_modelPar_ETA0LTCV_dX;
bool modelPar_given_ETA0LTCV;
double modelPar_TETA0;
double d_modelPar_TETA0_dX;
bool modelPar_given_TETA0;
double modelPar_TETA0CV;
double d_modelPar_TETA0CV_dX;
bool modelPar_given_TETA0CV;
double modelPar_TETA0R;
double d_modelPar_TETA0R_dX;
bool modelPar_given_TETA0R;
double modelPar_ADVTP0;
double d_modelPar_ADVTP0_dX;
bool modelPar_given_ADVTP0;
double modelPar_BDVTP0;
double d_modelPar_BDVTP0_dX;
bool modelPar_given_BDVTP0;
double modelPar_ADVTP1;
double d_modelPar_ADVTP1_dX;
bool modelPar_given_ADVTP1;
double modelPar_BDVTP1;
double d_modelPar_BDVTP1_dX;
bool modelPar_given_BDVTP1;
double modelPar_DVTP2;
double d_modelPar_DVTP2_dX;
bool modelPar_given_DVTP2;
double modelPar_THETASCE;
double d_modelPar_THETASCE_dX;
bool modelPar_given_THETASCE;
double modelPar_THETADIBL;
double d_modelPar_THETADIBL_dX;
bool modelPar_given_THETADIBL;
double modelPar_THETASW;
double d_modelPar_THETASW_dX;
bool modelPar_given_THETASW;
double modelPar_NVTM;
double d_modelPar_NVTM_dX;
bool modelPar_given_NVTM;
double modelPar_DVTP0;
double d_modelPar_DVTP0_dX;
bool modelPar_given_DVTP0;
double modelPar_LDVTP0;
double d_modelPar_LDVTP0_dX;
bool modelPar_given_LDVTP0;
double modelPar_NDVTP0;
double d_modelPar_NDVTP0_dX;
bool modelPar_given_NDVTP0;
double modelPar_PDVTP0;
double d_modelPar_PDVTP0_dX;
bool modelPar_given_PDVTP0;
double modelPar_WDVTP0;
double d_modelPar_WDVTP0_dX;
bool modelPar_given_WDVTP0;
double modelPar_P2DVTP0;
double d_modelPar_P2DVTP0_dX;
bool modelPar_given_P2DVTP0;
double modelPar_DVTP1;
double d_modelPar_DVTP1_dX;
bool modelPar_given_DVTP1;
double modelPar_LDVTP1;
double d_modelPar_LDVTP1_dX;
bool modelPar_given_LDVTP1;
double modelPar_NDVTP1;
double d_modelPar_NDVTP1_dX;
bool modelPar_given_NDVTP1;
double modelPar_PDVTP1;
double d_modelPar_PDVTP1_dX;
bool modelPar_given_PDVTP1;
double modelPar_WDVTP1;
double d_modelPar_WDVTP1_dX;
bool modelPar_given_WDVTP1;
double modelPar_P2DVTP1;
double d_modelPar_P2DVTP1_dX;
bool modelPar_given_P2DVTP1;
double modelPar_CIT;
double d_modelPar_CIT_dX;
bool modelPar_given_CIT;
double modelPar_LCIT;
double d_modelPar_LCIT_dX;
bool modelPar_given_LCIT;
double modelPar_NCIT;
double d_modelPar_NCIT_dX;
bool modelPar_given_NCIT;
double modelPar_PCIT;
double d_modelPar_PCIT_dX;
bool modelPar_given_PCIT;
double modelPar_WCIT;
double d_modelPar_WCIT_dX;
bool modelPar_given_WCIT;
double modelPar_P2CIT;
double d_modelPar_P2CIT_dX;
bool modelPar_given_P2CIT;
double modelPar_CITR;
double d_modelPar_CITR_dX;
bool modelPar_given_CITR;
double modelPar_LCITR;
double d_modelPar_LCITR_dX;
bool modelPar_given_LCITR;
double modelPar_NCITR;
double d_modelPar_NCITR_dX;
bool modelPar_given_NCITR;
double modelPar_PCITR;
double d_modelPar_PCITR_dX;
bool modelPar_given_PCITR;
double modelPar_WCITR;
double d_modelPar_WCITR_dX;
bool modelPar_given_WCITR;
double modelPar_P2CITR;
double d_modelPar_P2CITR_dX;
bool modelPar_given_P2CITR;
double modelPar_CDSC;
double d_modelPar_CDSC_dX;
bool modelPar_given_CDSC;
double modelPar_LCDSC;
double d_modelPar_LCDSC_dX;
bool modelPar_given_LCDSC;
double modelPar_NCDSC;
double d_modelPar_NCDSC_dX;
bool modelPar_given_NCDSC;
double modelPar_PCDSC;
double d_modelPar_PCDSC_dX;
bool modelPar_given_PCDSC;
double modelPar_WCDSC;
double d_modelPar_WCDSC_dX;
bool modelPar_given_WCDSC;
double modelPar_P2CDSC;
double d_modelPar_P2CDSC_dX;
bool modelPar_given_P2CDSC;
double modelPar_CDSCD;
double d_modelPar_CDSCD_dX;
bool modelPar_given_CDSCD;
double modelPar_LCDSCD;
double d_modelPar_LCDSCD_dX;
bool modelPar_given_LCDSCD;
double modelPar_NCDSCD;
double d_modelPar_NCDSCD_dX;
bool modelPar_given_NCDSCD;
double modelPar_PCDSCD;
double d_modelPar_PCDSCD_dX;
bool modelPar_given_PCDSCD;
double modelPar_WCDSCD;
double d_modelPar_WCDSCD_dX;
bool modelPar_given_WCDSCD;
double modelPar_P2CDSCD;
double d_modelPar_P2CDSCD_dX;
bool modelPar_given_P2CDSCD;
double modelPar_CDSCDR;
double d_modelPar_CDSCDR_dX;
bool modelPar_given_CDSCDR;
double modelPar_LCDSCDR;
double d_modelPar_LCDSCDR_dX;
bool modelPar_given_LCDSCDR;
double modelPar_NCDSCDR;
double d_modelPar_NCDSCDR_dX;
bool modelPar_given_NCDSCDR;
double modelPar_PCDSCDR;
double d_modelPar_PCDSCDR_dX;
bool modelPar_given_PCDSCDR;
double modelPar_WCDSCDR;
double d_modelPar_WCDSCDR_dX;
bool modelPar_given_WCDSCDR;
double modelPar_P2CDSCDR;
double d_modelPar_P2CDSCDR_dX;
bool modelPar_given_P2CDSCDR;
double modelPar_DVT0;
double d_modelPar_DVT0_dX;
bool modelPar_given_DVT0;
double modelPar_LDVT0;
double d_modelPar_LDVT0_dX;
bool modelPar_given_LDVT0;
double modelPar_NDVT0;
double d_modelPar_NDVT0_dX;
bool modelPar_given_NDVT0;
double modelPar_PDVT0;
double d_modelPar_PDVT0_dX;
bool modelPar_given_PDVT0;
double modelPar_WDVT0;
double d_modelPar_WDVT0_dX;
bool modelPar_given_WDVT0;
double modelPar_P2DVT0;
double d_modelPar_P2DVT0_dX;
bool modelPar_given_P2DVT0;
double modelPar_DVT1;
double d_modelPar_DVT1_dX;
bool modelPar_given_DVT1;
double modelPar_LDVT1;
double d_modelPar_LDVT1_dX;
bool modelPar_given_LDVT1;
double modelPar_NDVT1;
double d_modelPar_NDVT1_dX;
bool modelPar_given_NDVT1;
double modelPar_PDVT1;
double d_modelPar_PDVT1_dX;
bool modelPar_given_PDVT1;
double modelPar_WDVT1;
double d_modelPar_WDVT1_dX;
bool modelPar_given_WDVT1;
double modelPar_P2DVT1;
double d_modelPar_P2DVT1_dX;
bool modelPar_given_P2DVT1;
double modelPar_DVT1SS;
double d_modelPar_DVT1SS_dX;
bool modelPar_given_DVT1SS;
double modelPar_LDVT1SS;
double d_modelPar_LDVT1SS_dX;
bool modelPar_given_LDVT1SS;
double modelPar_NDVT1SS;
double d_modelPar_NDVT1SS_dX;
bool modelPar_given_NDVT1SS;
double modelPar_PDVT1SS;
double d_modelPar_PDVT1SS_dX;
bool modelPar_given_PDVT1SS;
double modelPar_WDVT1SS;
double d_modelPar_WDVT1SS_dX;
bool modelPar_given_WDVT1SS;
double modelPar_P2DVT1SS;
double d_modelPar_P2DVT1SS_dX;
bool modelPar_given_P2DVT1SS;
double modelPar_PHIN;
double d_modelPar_PHIN_dX;
bool modelPar_given_PHIN;
double modelPar_LPHIN;
double d_modelPar_LPHIN_dX;
bool modelPar_given_LPHIN;
double modelPar_NPHIN;
double d_modelPar_NPHIN_dX;
bool modelPar_given_NPHIN;
double modelPar_PPHIN;
double d_modelPar_PPHIN_dX;
bool modelPar_given_PPHIN;
double modelPar_WPHIN;
double d_modelPar_WPHIN_dX;
bool modelPar_given_WPHIN;
double modelPar_P2PHIN;
double d_modelPar_P2PHIN_dX;
bool modelPar_given_P2PHIN;
double modelPar_ETA0;
double d_modelPar_ETA0_dX;
bool modelPar_given_ETA0;
double modelPar_LETA0;
double d_modelPar_LETA0_dX;
bool modelPar_given_LETA0;
double modelPar_NETA0;
double d_modelPar_NETA0_dX;
bool modelPar_given_NETA0;
double modelPar_PETA0;
double d_modelPar_PETA0_dX;
bool modelPar_given_PETA0;
double modelPar_WETA0;
double d_modelPar_WETA0_dX;
bool modelPar_given_WETA0;
double modelPar_P2ETA0;
double d_modelPar_P2ETA0_dX;
bool modelPar_given_P2ETA0;
double modelPar_ETA0R;
double d_modelPar_ETA0R_dX;
bool modelPar_given_ETA0R;
double modelPar_LETA0R;
double d_modelPar_LETA0R_dX;
bool modelPar_given_LETA0R;
double modelPar_NETA0R;
double d_modelPar_NETA0R_dX;
bool modelPar_given_NETA0R;
double modelPar_PETA0R;
double d_modelPar_PETA0R_dX;
bool modelPar_given_PETA0R;
double modelPar_WETA0R;
double d_modelPar_WETA0R_dX;
bool modelPar_given_WETA0R;
double modelPar_P2ETA0R;
double d_modelPar_P2ETA0R_dX;
bool modelPar_given_P2ETA0R;
double modelPar_ETA0CV;
double d_modelPar_ETA0CV_dX;
bool modelPar_given_ETA0CV;
double modelPar_LETA0CV;
double d_modelPar_LETA0CV_dX;
bool modelPar_given_LETA0CV;
double modelPar_NETA0CV;
double d_modelPar_NETA0CV_dX;
bool modelPar_given_NETA0CV;
double modelPar_PETA0CV;
double d_modelPar_PETA0CV_dX;
bool modelPar_given_PETA0CV;
double modelPar_WETA0CV;
double d_modelPar_WETA0CV_dX;
bool modelPar_given_WETA0CV;
double modelPar_P2ETA0CV;
double d_modelPar_P2ETA0CV_dX;
bool modelPar_given_P2ETA0CV;
double modelPar_DSUB;
double d_modelPar_DSUB_dX;
bool modelPar_given_DSUB;
double modelPar_LDSUB;
double d_modelPar_LDSUB_dX;
bool modelPar_given_LDSUB;
double modelPar_NDSUB;
double d_modelPar_NDSUB_dX;
bool modelPar_given_NDSUB;
double modelPar_PDSUB;
double d_modelPar_PDSUB_dX;
bool modelPar_given_PDSUB;
double modelPar_WDSUB;
double d_modelPar_WDSUB_dX;
bool modelPar_given_WDSUB;
double modelPar_P2DSUB;
double d_modelPar_P2DSUB_dX;
bool modelPar_given_P2DSUB;
double modelPar_K1RSCE;
double d_modelPar_K1RSCE_dX;
bool modelPar_given_K1RSCE;
double modelPar_LK1RSCE;
double d_modelPar_LK1RSCE_dX;
bool modelPar_given_LK1RSCE;
double modelPar_NK1RSCE;
double d_modelPar_NK1RSCE_dX;
bool modelPar_given_NK1RSCE;
double modelPar_PK1RSCE;
double d_modelPar_PK1RSCE_dX;
bool modelPar_given_PK1RSCE;
double modelPar_WK1RSCE;
double d_modelPar_WK1RSCE_dX;
bool modelPar_given_WK1RSCE;
double modelPar_P2K1RSCE;
double d_modelPar_P2K1RSCE_dX;
bool modelPar_given_P2K1RSCE;
double modelPar_LPE0;
double d_modelPar_LPE0_dX;
bool modelPar_given_LPE0;
double modelPar_LLPE0;
double d_modelPar_LLPE0_dX;
bool modelPar_given_LLPE0;
double modelPar_NLPE0;
double d_modelPar_NLPE0_dX;
bool modelPar_given_NLPE0;
double modelPar_PLPE0;
double d_modelPar_PLPE0_dX;
bool modelPar_given_PLPE0;
double modelPar_WLPE0;
double d_modelPar_WLPE0_dX;
bool modelPar_given_WLPE0;
double modelPar_P2LPE0;
double d_modelPar_P2LPE0_dX;
bool modelPar_given_P2LPE0;
double modelPar_DVTSHIFT;
double d_modelPar_DVTSHIFT_dX;
bool modelPar_given_DVTSHIFT;
double modelPar_LDVTSHIFT;
double d_modelPar_LDVTSHIFT_dX;
bool modelPar_given_LDVTSHIFT;
double modelPar_NDVTSHIFT;
double d_modelPar_NDVTSHIFT_dX;
bool modelPar_given_NDVTSHIFT;
double modelPar_PDVTSHIFT;
double d_modelPar_PDVTSHIFT_dX;
bool modelPar_given_PDVTSHIFT;
double modelPar_WDVTSHIFT;
double d_modelPar_WDVTSHIFT_dX;
bool modelPar_given_WDVTSHIFT;
double modelPar_P2DVTSHIFT;
double d_modelPar_P2DVTSHIFT_dX;
bool modelPar_given_P2DVTSHIFT;
double modelPar_DVTSHIFTR;
double d_modelPar_DVTSHIFTR_dX;
bool modelPar_given_DVTSHIFTR;
double modelPar_LDVTSHIFTR;
double d_modelPar_LDVTSHIFTR_dX;
bool modelPar_given_LDVTSHIFTR;
double modelPar_NDVTSHIFTR;
double d_modelPar_NDVTSHIFTR_dX;
bool modelPar_given_NDVTSHIFTR;
double modelPar_PDVTSHIFTR;
double d_modelPar_PDVTSHIFTR_dX;
bool modelPar_given_PDVTSHIFTR;
double modelPar_WDVTSHIFTR;
double d_modelPar_WDVTSHIFTR_dX;
bool modelPar_given_WDVTSHIFTR;
double modelPar_P2DVTSHIFTR;
double d_modelPar_P2DVTSHIFTR_dX;
bool modelPar_given_P2DVTSHIFTR;
double modelPar_K0;
double d_modelPar_K0_dX;
bool modelPar_given_K0;
double modelPar_LK0;
double d_modelPar_LK0_dX;
bool modelPar_given_LK0;
double modelPar_NK0;
double d_modelPar_NK0_dX;
bool modelPar_given_NK0;
double modelPar_PK0;
double d_modelPar_PK0_dX;
bool modelPar_given_PK0;
double modelPar_WK0;
double d_modelPar_WK0_dX;
bool modelPar_given_WK0;
double modelPar_P2K0;
double d_modelPar_P2K0_dX;
bool modelPar_given_P2K0;
double modelPar_K01;
double d_modelPar_K01_dX;
bool modelPar_given_K01;
double modelPar_LK01;
double d_modelPar_LK01_dX;
bool modelPar_given_LK01;
double modelPar_NK01;
double d_modelPar_NK01_dX;
bool modelPar_given_NK01;
double modelPar_PK01;
double d_modelPar_PK01_dX;
bool modelPar_given_PK01;
double modelPar_WK01;
double d_modelPar_WK01_dX;
bool modelPar_given_WK01;
double modelPar_P2K01;
double d_modelPar_P2K01_dX;
bool modelPar_given_P2K01;
double modelPar_K0SI;
double d_modelPar_K0SI_dX;
bool modelPar_given_K0SI;
double modelPar_LK0SI;
double d_modelPar_LK0SI_dX;
bool modelPar_given_LK0SI;
double modelPar_NK0SI;
double d_modelPar_NK0SI_dX;
bool modelPar_given_NK0SI;
double modelPar_PK0SI;
double d_modelPar_PK0SI_dX;
bool modelPar_given_PK0SI;
double modelPar_WK0SI;
double d_modelPar_WK0SI_dX;
bool modelPar_given_WK0SI;
double modelPar_P2K0SI;
double d_modelPar_P2K0SI_dX;
bool modelPar_given_P2K0SI;
double modelPar_K0SI1;
double d_modelPar_K0SI1_dX;
bool modelPar_given_K0SI1;
double modelPar_LK0SI1;
double d_modelPar_LK0SI1_dX;
bool modelPar_given_LK0SI1;
double modelPar_NK0SI1;
double d_modelPar_NK0SI1_dX;
bool modelPar_given_NK0SI1;
double modelPar_PK0SI1;
double d_modelPar_PK0SI1_dX;
bool modelPar_given_PK0SI1;
double modelPar_WK0SI1;
double d_modelPar_WK0SI1_dX;
bool modelPar_given_WK0SI1;
double modelPar_P2K0SI1;
double d_modelPar_P2K0SI1_dX;
bool modelPar_given_P2K0SI1;
double modelPar_K2SI;
double d_modelPar_K2SI_dX;
bool modelPar_given_K2SI;
double modelPar_LK2SI;
double d_modelPar_LK2SI_dX;
bool modelPar_given_LK2SI;
double modelPar_NK2SI;
double d_modelPar_NK2SI_dX;
bool modelPar_given_NK2SI;
double modelPar_PK2SI;
double d_modelPar_PK2SI_dX;
bool modelPar_given_PK2SI;
double modelPar_WK2SI;
double d_modelPar_WK2SI_dX;
bool modelPar_given_WK2SI;
double modelPar_P2K2SI;
double d_modelPar_P2K2SI_dX;
bool modelPar_given_P2K2SI;
double modelPar_K2SI1;
double d_modelPar_K2SI1_dX;
bool modelPar_given_K2SI1;
double modelPar_LK2SI1;
double d_modelPar_LK2SI1_dX;
bool modelPar_given_LK2SI1;
double modelPar_NK2SI1;
double d_modelPar_NK2SI1_dX;
bool modelPar_given_NK2SI1;
double modelPar_PK2SI1;
double d_modelPar_PK2SI1_dX;
bool modelPar_given_PK2SI1;
double modelPar_WK2SI1;
double d_modelPar_WK2SI1_dX;
bool modelPar_given_WK2SI1;
double modelPar_P2K2SI1;
double d_modelPar_P2K2SI1_dX;
bool modelPar_given_P2K2SI1;
double modelPar_K0SISAT;
double d_modelPar_K0SISAT_dX;
bool modelPar_given_K0SISAT;
double modelPar_LK0SISAT;
double d_modelPar_LK0SISAT_dX;
bool modelPar_given_LK0SISAT;
double modelPar_NK0SISAT;
double d_modelPar_NK0SISAT_dX;
bool modelPar_given_NK0SISAT;
double modelPar_PK0SISAT;
double d_modelPar_PK0SISAT_dX;
bool modelPar_given_PK0SISAT;
double modelPar_WK0SISAT;
double d_modelPar_WK0SISAT_dX;
bool modelPar_given_WK0SISAT;
double modelPar_P2K0SISAT;
double d_modelPar_P2K0SISAT_dX;
bool modelPar_given_P2K0SISAT;
double modelPar_K0SISAT1;
double d_modelPar_K0SISAT1_dX;
bool modelPar_given_K0SISAT1;
double modelPar_LK0SISAT1;
double d_modelPar_LK0SISAT1_dX;
bool modelPar_given_LK0SISAT1;
double modelPar_NK0SISAT1;
double d_modelPar_NK0SISAT1_dX;
bool modelPar_given_NK0SISAT1;
double modelPar_PK0SISAT1;
double d_modelPar_PK0SISAT1_dX;
bool modelPar_given_PK0SISAT1;
double modelPar_WK0SISAT1;
double d_modelPar_WK0SISAT1_dX;
bool modelPar_given_WK0SISAT1;
double modelPar_P2K0SISAT1;
double d_modelPar_P2K0SISAT1_dX;
bool modelPar_given_P2K0SISAT1;
double modelPar_K2SISAT;
double d_modelPar_K2SISAT_dX;
bool modelPar_given_K2SISAT;
double modelPar_LK2SISAT;
double d_modelPar_LK2SISAT_dX;
bool modelPar_given_LK2SISAT;
double modelPar_NK2SISAT;
double d_modelPar_NK2SISAT_dX;
bool modelPar_given_NK2SISAT;
double modelPar_PK2SISAT;
double d_modelPar_PK2SISAT_dX;
bool modelPar_given_PK2SISAT;
double modelPar_WK2SISAT;
double d_modelPar_WK2SISAT_dX;
bool modelPar_given_WK2SISAT;
double modelPar_P2K2SISAT;
double d_modelPar_P2K2SISAT_dX;
bool modelPar_given_P2K2SISAT;
double modelPar_K2SISAT1;
double d_modelPar_K2SISAT1_dX;
bool modelPar_given_K2SISAT1;
double modelPar_LK2SISAT1;
double d_modelPar_LK2SISAT1_dX;
bool modelPar_given_LK2SISAT1;
double modelPar_NK2SISAT1;
double d_modelPar_NK2SISAT1_dX;
bool modelPar_given_NK2SISAT1;
double modelPar_PK2SISAT1;
double d_modelPar_PK2SISAT1_dX;
bool modelPar_given_PK2SISAT1;
double modelPar_WK2SISAT1;
double d_modelPar_WK2SISAT1_dX;
bool modelPar_given_WK2SISAT1;
double modelPar_P2K2SISAT1;
double d_modelPar_P2K2SISAT1_dX;
bool modelPar_given_P2K2SISAT1;
double modelPar_PHIBE;
double d_modelPar_PHIBE_dX;
bool modelPar_given_PHIBE;
double modelPar_LPHIBE;
double d_modelPar_LPHIBE_dX;
bool modelPar_given_LPHIBE;
double modelPar_NPHIBE;
double d_modelPar_NPHIBE_dX;
bool modelPar_given_NPHIBE;
double modelPar_PPHIBE;
double d_modelPar_PPHIBE_dX;
bool modelPar_given_PPHIBE;
double modelPar_WPHIBE;
double d_modelPar_WPHIBE_dX;
bool modelPar_given_WPHIBE;
double modelPar_P2PHIBE;
double d_modelPar_P2PHIBE_dX;
bool modelPar_given_P2PHIBE;
double modelPar_K1;
double d_modelPar_K1_dX;
bool modelPar_given_K1;
double modelPar_LK1;
double d_modelPar_LK1_dX;
bool modelPar_given_LK1;
double modelPar_NK1;
double d_modelPar_NK1_dX;
bool modelPar_given_NK1;
double modelPar_PK1;
double d_modelPar_PK1_dX;
bool modelPar_given_PK1;
double modelPar_WK1;
double d_modelPar_WK1_dX;
bool modelPar_given_WK1;
double modelPar_P2K1;
double d_modelPar_P2K1_dX;
bool modelPar_given_P2K1;
double modelPar_K11;
double d_modelPar_K11_dX;
bool modelPar_given_K11;
double modelPar_LK11;
double d_modelPar_LK11_dX;
bool modelPar_given_LK11;
double modelPar_NK11;
double d_modelPar_NK11_dX;
bool modelPar_given_NK11;
double modelPar_PK11;
double d_modelPar_PK11_dX;
bool modelPar_given_PK11;
double modelPar_WK11;
double d_modelPar_WK11_dX;
bool modelPar_given_WK11;
double modelPar_P2K11;
double d_modelPar_P2K11_dX;
bool modelPar_given_P2K11;
double modelPar_K2SAT;
double d_modelPar_K2SAT_dX;
bool modelPar_given_K2SAT;
double modelPar_LK2SAT;
double d_modelPar_LK2SAT_dX;
bool modelPar_given_LK2SAT;
double modelPar_NK2SAT;
double d_modelPar_NK2SAT_dX;
bool modelPar_given_NK2SAT;
double modelPar_PK2SAT;
double d_modelPar_PK2SAT_dX;
bool modelPar_given_PK2SAT;
double modelPar_WK2SAT;
double d_modelPar_WK2SAT_dX;
bool modelPar_given_WK2SAT;
double modelPar_P2K2SAT;
double d_modelPar_P2K2SAT_dX;
bool modelPar_given_P2K2SAT;
double modelPar_K2SAT1;
double d_modelPar_K2SAT1_dX;
bool modelPar_given_K2SAT1;
double modelPar_LK2SAT1;
double d_modelPar_LK2SAT1_dX;
bool modelPar_given_LK2SAT1;
double modelPar_NK2SAT1;
double d_modelPar_NK2SAT1_dX;
bool modelPar_given_NK2SAT1;
double modelPar_PK2SAT1;
double d_modelPar_PK2SAT1_dX;
bool modelPar_given_PK2SAT1;
double modelPar_WK2SAT1;
double d_modelPar_WK2SAT1_dX;
bool modelPar_given_WK2SAT1;
double modelPar_P2K2SAT1;
double d_modelPar_P2K2SAT1_dX;
bool modelPar_given_P2K2SAT1;
double modelPar_K2;
double d_modelPar_K2_dX;
bool modelPar_given_K2;
double modelPar_LK2;
double d_modelPar_LK2_dX;
bool modelPar_given_LK2;
double modelPar_NK2;
double d_modelPar_NK2_dX;
bool modelPar_given_NK2;
double modelPar_PK2;
double d_modelPar_PK2_dX;
bool modelPar_given_PK2;
double modelPar_WK2;
double d_modelPar_WK2_dX;
bool modelPar_given_WK2;
double modelPar_P2K2;
double d_modelPar_P2K2_dX;
bool modelPar_given_P2K2;
double modelPar_K21;
double d_modelPar_K21_dX;
bool modelPar_given_K21;
double modelPar_LK21;
double d_modelPar_LK21_dX;
bool modelPar_given_LK21;
double modelPar_NK21;
double d_modelPar_NK21_dX;
bool modelPar_given_NK21;
double modelPar_PK21;
double d_modelPar_PK21_dX;
bool modelPar_given_PK21;
double modelPar_WK21;
double d_modelPar_WK21_dX;
bool modelPar_given_WK21;
double modelPar_P2K21;
double d_modelPar_P2K21_dX;
bool modelPar_given_P2K21;
double modelPar_AQMTCEN;
double d_modelPar_AQMTCEN_dX;
bool modelPar_given_AQMTCEN;
double modelPar_BQMTCEN;
double d_modelPar_BQMTCEN_dX;
bool modelPar_given_BQMTCEN;
double modelPar_QM0;
double d_modelPar_QM0_dX;
bool modelPar_given_QM0;
double modelPar_PQM;
double d_modelPar_PQM_dX;
bool modelPar_given_PQM;
double modelPar_QM0ACC;
double d_modelPar_QM0ACC_dX;
bool modelPar_given_QM0ACC;
double modelPar_PQMACC;
double d_modelPar_PQMACC_dX;
bool modelPar_given_PQMACC;
double modelPar_QMFACTOR;
double d_modelPar_QMFACTOR_dX;
bool modelPar_given_QMFACTOR;
double modelPar_LQMFACTOR;
double d_modelPar_LQMFACTOR_dX;
bool modelPar_given_LQMFACTOR;
double modelPar_NQMFACTOR;
double d_modelPar_NQMFACTOR_dX;
bool modelPar_given_NQMFACTOR;
double modelPar_PQMFACTOR;
double d_modelPar_PQMFACTOR_dX;
bool modelPar_given_PQMFACTOR;
double modelPar_WQMFACTOR;
double d_modelPar_WQMFACTOR_dX;
bool modelPar_given_WQMFACTOR;
double modelPar_P2QMFACTOR;
double d_modelPar_P2QMFACTOR_dX;
bool modelPar_given_P2QMFACTOR;
double modelPar_QMTCENCV;
double d_modelPar_QMTCENCV_dX;
bool modelPar_given_QMTCENCV;
double modelPar_LQMTCENCV;
double d_modelPar_LQMTCENCV_dX;
bool modelPar_given_LQMTCENCV;
double modelPar_NQMTCENCV;
double d_modelPar_NQMTCENCV_dX;
bool modelPar_given_NQMTCENCV;
double modelPar_PQMTCENCV;
double d_modelPar_PQMTCENCV_dX;
bool modelPar_given_PQMTCENCV;
double modelPar_WQMTCENCV;
double d_modelPar_WQMTCENCV_dX;
bool modelPar_given_WQMTCENCV;
double modelPar_P2QMTCENCV;
double d_modelPar_P2QMTCENCV_dX;
bool modelPar_given_P2QMTCENCV;
double modelPar_QMTCENCVA;
double d_modelPar_QMTCENCVA_dX;
bool modelPar_given_QMTCENCVA;
double modelPar_LQMTCENCVA;
double d_modelPar_LQMTCENCVA_dX;
bool modelPar_given_LQMTCENCVA;
double modelPar_NQMTCENCVA;
double d_modelPar_NQMTCENCVA_dX;
bool modelPar_given_NQMTCENCVA;
double modelPar_PQMTCENCVA;
double d_modelPar_PQMTCENCVA_dX;
bool modelPar_given_PQMTCENCVA;
double modelPar_WQMTCENCVA;
double d_modelPar_WQMTCENCVA_dX;
bool modelPar_given_WQMTCENCVA;
double modelPar_P2QMTCENCVA;
double d_modelPar_P2QMTCENCVA_dX;
bool modelPar_given_P2QMTCENCVA;
double modelPar_VSATN1;
double d_modelPar_VSATN1_dX;
bool modelPar_given_VSATN1;
double modelPar_VSATN2;
double d_modelPar_VSATN2_dX;
bool modelPar_given_VSATN2;
double modelPar_AVSAT;
double d_modelPar_AVSAT_dX;
bool modelPar_given_AVSAT;
double modelPar_BVSAT;
double d_modelPar_BVSAT_dX;
bool modelPar_given_BVSAT;
double modelPar_VSAT1N1;
double d_modelPar_VSAT1N1_dX;
bool modelPar_given_VSAT1N1;
double modelPar_VSAT1N2;
double d_modelPar_VSAT1N2_dX;
bool modelPar_given_VSAT1N2;
double modelPar_VSAT1RN1;
double d_modelPar_VSAT1RN1_dX;
bool modelPar_given_VSAT1RN1;
double modelPar_VSAT1RN2;
double d_modelPar_VSAT1RN2_dX;
bool modelPar_given_VSAT1RN2;
double modelPar_AVSAT1;
double d_modelPar_AVSAT1_dX;
bool modelPar_given_AVSAT1;
double modelPar_BVSAT1;
double d_modelPar_BVSAT1_dX;
bool modelPar_given_BVSAT1;
double modelPar_APSAT;
double d_modelPar_APSAT_dX;
bool modelPar_given_APSAT;
double modelPar_BPSAT;
double d_modelPar_BPSAT_dX;
bool modelPar_given_BPSAT;
double modelPar_AVSATCV;
double d_modelPar_AVSATCV_dX;
bool modelPar_given_AVSATCV;
double modelPar_BVSATCV;
double d_modelPar_BVSATCV_dX;
bool modelPar_given_BVSATCV;
double modelPar_APSATCV;
double d_modelPar_APSATCV_dX;
bool modelPar_given_APSATCV;
double modelPar_BPSATCV;
double d_modelPar_BPSATCV_dX;
bool modelPar_given_BPSATCV;
double modelPar_AMEXP;
double d_modelPar_AMEXP_dX;
bool modelPar_given_AMEXP;
double modelPar_BMEXP;
double d_modelPar_BMEXP_dX;
bool modelPar_given_BMEXP;
double modelPar_AMEXPR;
double d_modelPar_AMEXPR_dX;
bool modelPar_given_AMEXPR;
double modelPar_BMEXPR;
double d_modelPar_BMEXPR_dX;
bool modelPar_given_BMEXPR;
double modelPar_APTWG;
double d_modelPar_APTWG_dX;
bool modelPar_given_APTWG;
double modelPar_BPTWG;
double d_modelPar_BPTWG_dX;
bool modelPar_given_BPTWG;
double modelPar_TMEXP;
double d_modelPar_TMEXP_dX;
bool modelPar_given_TMEXP;
double modelPar_TMEXP2;
double d_modelPar_TMEXP2_dX;
bool modelPar_given_TMEXP2;
double modelPar_TMEXPR;
double d_modelPar_TMEXPR_dX;
bool modelPar_given_TMEXPR;
double modelPar_DVSATCLAMP;
double d_modelPar_DVSATCLAMP_dX;
bool modelPar_given_DVSATCLAMP;
double modelPar_VSAT;
double d_modelPar_VSAT_dX;
bool modelPar_given_VSAT;
double modelPar_LVSAT;
double d_modelPar_LVSAT_dX;
bool modelPar_given_LVSAT;
double modelPar_NVSAT;
double d_modelPar_NVSAT_dX;
bool modelPar_given_NVSAT;
double modelPar_PVSAT;
double d_modelPar_PVSAT_dX;
bool modelPar_given_PVSAT;
double modelPar_WVSAT;
double d_modelPar_WVSAT_dX;
bool modelPar_given_WVSAT;
double modelPar_P2VSAT;
double d_modelPar_P2VSAT_dX;
bool modelPar_given_P2VSAT;
double modelPar_VSATR;
double d_modelPar_VSATR_dX;
bool modelPar_given_VSATR;
double modelPar_LVSATR;
double d_modelPar_LVSATR_dX;
bool modelPar_given_LVSATR;
double modelPar_NVSATR;
double d_modelPar_NVSATR_dX;
bool modelPar_given_NVSATR;
double modelPar_PVSATR;
double d_modelPar_PVSATR_dX;
bool modelPar_given_PVSATR;
double modelPar_WVSATR;
double d_modelPar_WVSATR_dX;
bool modelPar_given_WVSATR;
double modelPar_P2VSATR;
double d_modelPar_P2VSATR_dX;
bool modelPar_given_P2VSATR;
double modelPar_VSAT1;
double d_modelPar_VSAT1_dX;
bool modelPar_given_VSAT1;
double modelPar_LVSAT1;
double d_modelPar_LVSAT1_dX;
bool modelPar_given_LVSAT1;
double modelPar_NVSAT1;
double d_modelPar_NVSAT1_dX;
bool modelPar_given_NVSAT1;
double modelPar_PVSAT1;
double d_modelPar_PVSAT1_dX;
bool modelPar_given_PVSAT1;
double modelPar_WVSAT1;
double d_modelPar_WVSAT1_dX;
bool modelPar_given_WVSAT1;
double modelPar_P2VSAT1;
double d_modelPar_P2VSAT1_dX;
bool modelPar_given_P2VSAT1;
double modelPar_VSAT1R;
double d_modelPar_VSAT1R_dX;
bool modelPar_given_VSAT1R;
double modelPar_LVSAT1R;
double d_modelPar_LVSAT1R_dX;
bool modelPar_given_LVSAT1R;
double modelPar_NVSAT1R;
double d_modelPar_NVSAT1R_dX;
bool modelPar_given_NVSAT1R;
double modelPar_PVSAT1R;
double d_modelPar_PVSAT1R_dX;
bool modelPar_given_PVSAT1R;
double modelPar_WVSAT1R;
double d_modelPar_WVSAT1R_dX;
bool modelPar_given_WVSAT1R;
double modelPar_P2VSAT1R;
double d_modelPar_P2VSAT1R_dX;
bool modelPar_given_P2VSAT1R;
double modelPar_DELTAVSAT;
double d_modelPar_DELTAVSAT_dX;
bool modelPar_given_DELTAVSAT;
double modelPar_LDELTAVSAT;
double d_modelPar_LDELTAVSAT_dX;
bool modelPar_given_LDELTAVSAT;
double modelPar_NDELTAVSAT;
double d_modelPar_NDELTAVSAT_dX;
bool modelPar_given_NDELTAVSAT;
double modelPar_PDELTAVSAT;
double d_modelPar_PDELTAVSAT_dX;
bool modelPar_given_PDELTAVSAT;
double modelPar_WDELTAVSAT;
double d_modelPar_WDELTAVSAT_dX;
bool modelPar_given_WDELTAVSAT;
double modelPar_P2DELTAVSAT;
double d_modelPar_P2DELTAVSAT_dX;
bool modelPar_given_P2DELTAVSAT;
double modelPar_PSAT;
double d_modelPar_PSAT_dX;
bool modelPar_given_PSAT;
double modelPar_LPSAT;
double d_modelPar_LPSAT_dX;
bool modelPar_given_LPSAT;
double modelPar_NPSAT;
double d_modelPar_NPSAT_dX;
bool modelPar_given_NPSAT;
double modelPar_PPSAT;
double d_modelPar_PPSAT_dX;
bool modelPar_given_PPSAT;
double modelPar_WPSAT;
double d_modelPar_WPSAT_dX;
bool modelPar_given_WPSAT;
double modelPar_P2PSAT;
double d_modelPar_P2PSAT_dX;
bool modelPar_given_P2PSAT;
double modelPar_KSATIV;
double d_modelPar_KSATIV_dX;
bool modelPar_given_KSATIV;
double modelPar_LKSATIV;
double d_modelPar_LKSATIV_dX;
bool modelPar_given_LKSATIV;
double modelPar_NKSATIV;
double d_modelPar_NKSATIV_dX;
bool modelPar_given_NKSATIV;
double modelPar_PKSATIV;
double d_modelPar_PKSATIV_dX;
bool modelPar_given_PKSATIV;
double modelPar_WKSATIV;
double d_modelPar_WKSATIV_dX;
bool modelPar_given_WKSATIV;
double modelPar_P2KSATIV;
double d_modelPar_P2KSATIV_dX;
bool modelPar_given_P2KSATIV;
double modelPar_KSATIVT1;
double d_modelPar_KSATIVT1_dX;
bool modelPar_given_KSATIVT1;
double modelPar_KSATIVT2;
double d_modelPar_KSATIVT2_dX;
bool modelPar_given_KSATIVT2;
double modelPar_KSATIVR;
double d_modelPar_KSATIVR_dX;
bool modelPar_given_KSATIVR;
double modelPar_LKSATIVR;
double d_modelPar_LKSATIVR_dX;
bool modelPar_given_LKSATIVR;
double modelPar_NKSATIVR;
double d_modelPar_NKSATIVR_dX;
bool modelPar_given_NKSATIVR;
double modelPar_PKSATIVR;
double d_modelPar_PKSATIVR_dX;
bool modelPar_given_PKSATIVR;
double modelPar_WKSATIVR;
double d_modelPar_WKSATIVR_dX;
bool modelPar_given_WKSATIVR;
double modelPar_P2KSATIVR;
double d_modelPar_P2KSATIVR_dX;
bool modelPar_given_P2KSATIVR;
double modelPar_VSATCV;
double d_modelPar_VSATCV_dX;
bool modelPar_given_VSATCV;
double modelPar_LVSATCV;
double d_modelPar_LVSATCV_dX;
bool modelPar_given_LVSATCV;
double modelPar_NVSATCV;
double d_modelPar_NVSATCV_dX;
bool modelPar_given_NVSATCV;
double modelPar_PVSATCV;
double d_modelPar_PVSATCV_dX;
bool modelPar_given_PVSATCV;
double modelPar_WVSATCV;
double d_modelPar_WVSATCV_dX;
bool modelPar_given_WVSATCV;
double modelPar_P2VSATCV;
double d_modelPar_P2VSATCV_dX;
bool modelPar_given_P2VSATCV;
double modelPar_DELTAVSATCV;
double d_modelPar_DELTAVSATCV_dX;
bool modelPar_given_DELTAVSATCV;
double modelPar_LDELTAVSATCV;
double d_modelPar_LDELTAVSATCV_dX;
bool modelPar_given_LDELTAVSATCV;
double modelPar_NDELTAVSATCV;
double d_modelPar_NDELTAVSATCV_dX;
bool modelPar_given_NDELTAVSATCV;
double modelPar_PDELTAVSATCV;
double d_modelPar_PDELTAVSATCV_dX;
bool modelPar_given_PDELTAVSATCV;
double modelPar_WDELTAVSATCV;
double d_modelPar_WDELTAVSATCV_dX;
bool modelPar_given_WDELTAVSATCV;
double modelPar_P2DELTAVSATCV;
double d_modelPar_P2DELTAVSATCV_dX;
bool modelPar_given_P2DELTAVSATCV;
double modelPar_PSATCV;
double d_modelPar_PSATCV_dX;
bool modelPar_given_PSATCV;
double modelPar_LPSATCV;
double d_modelPar_LPSATCV_dX;
bool modelPar_given_LPSATCV;
double modelPar_NPSATCV;
double d_modelPar_NPSATCV_dX;
bool modelPar_given_NPSATCV;
double modelPar_PPSATCV;
double d_modelPar_PPSATCV_dX;
bool modelPar_given_PPSATCV;
double modelPar_WPSATCV;
double d_modelPar_WPSATCV_dX;
bool modelPar_given_WPSATCV;
double modelPar_P2PSATCV;
double d_modelPar_P2PSATCV_dX;
bool modelPar_given_P2PSATCV;
double modelPar_MEXP;
double d_modelPar_MEXP_dX;
bool modelPar_given_MEXP;
double modelPar_LMEXP;
double d_modelPar_LMEXP_dX;
bool modelPar_given_LMEXP;
double modelPar_NMEXP;
double d_modelPar_NMEXP_dX;
bool modelPar_given_NMEXP;
double modelPar_PMEXP;
double d_modelPar_PMEXP_dX;
bool modelPar_given_PMEXP;
double modelPar_WMEXP;
double d_modelPar_WMEXP_dX;
bool modelPar_given_WMEXP;
double modelPar_P2MEXP;
double d_modelPar_P2MEXP_dX;
bool modelPar_given_P2MEXP;
double modelPar_MEXPR;
double d_modelPar_MEXPR_dX;
bool modelPar_given_MEXPR;
double modelPar_LMEXPR;
double d_modelPar_LMEXPR_dX;
bool modelPar_given_LMEXPR;
double modelPar_NMEXPR;
double d_modelPar_NMEXPR_dX;
bool modelPar_given_NMEXPR;
double modelPar_PMEXPR;
double d_modelPar_PMEXPR_dX;
bool modelPar_given_PMEXPR;
double modelPar_WMEXPR;
double d_modelPar_WMEXPR_dX;
bool modelPar_given_WMEXPR;
double modelPar_P2MEXPR;
double d_modelPar_P2MEXPR_dX;
bool modelPar_given_P2MEXPR;
double modelPar_PTWG;
double d_modelPar_PTWG_dX;
bool modelPar_given_PTWG;
double modelPar_LPTWG;
double d_modelPar_LPTWG_dX;
bool modelPar_given_LPTWG;
double modelPar_NPTWG;
double d_modelPar_NPTWG_dX;
bool modelPar_given_NPTWG;
double modelPar_PPTWG;
double d_modelPar_PPTWG_dX;
bool modelPar_given_PPTWG;
double modelPar_WPTWG;
double d_modelPar_WPTWG_dX;
bool modelPar_given_WPTWG;
double modelPar_P2PTWG;
double d_modelPar_P2PTWG_dX;
bool modelPar_given_P2PTWG;
double modelPar_PTWGR;
double d_modelPar_PTWGR_dX;
bool modelPar_given_PTWGR;
double modelPar_LPTWGR;
double d_modelPar_LPTWGR_dX;
bool modelPar_given_LPTWGR;
double modelPar_NPTWGR;
double d_modelPar_NPTWGR_dX;
bool modelPar_given_NPTWGR;
double modelPar_PPTWGR;
double d_modelPar_PPTWGR_dX;
bool modelPar_given_PPTWGR;
double modelPar_WPTWGR;
double d_modelPar_WPTWGR_dX;
bool modelPar_given_WPTWGR;
double modelPar_P2PTWGR;
double d_modelPar_P2PTWGR_dX;
bool modelPar_given_P2PTWGR;
double modelPar_AT;
double d_modelPar_AT_dX;
bool modelPar_given_AT;
double modelPar_LAT;
double d_modelPar_LAT_dX;
bool modelPar_given_LAT;
double modelPar_NAT;
double d_modelPar_NAT_dX;
bool modelPar_given_NAT;
double modelPar_PAT;
double d_modelPar_PAT_dX;
bool modelPar_given_PAT;
double modelPar_WAT;
double d_modelPar_WAT_dX;
bool modelPar_given_WAT;
double modelPar_P2AT;
double d_modelPar_P2AT_dX;
bool modelPar_given_P2AT;
double modelPar_AT2;
double d_modelPar_AT2_dX;
bool modelPar_given_AT2;
double modelPar_ATR;
double d_modelPar_ATR_dX;
bool modelPar_given_ATR;
double modelPar_LATR;
double d_modelPar_LATR_dX;
bool modelPar_given_LATR;
double modelPar_NATR;
double d_modelPar_NATR_dX;
bool modelPar_given_NATR;
double modelPar_PATR;
double d_modelPar_PATR_dX;
bool modelPar_given_PATR;
double modelPar_WATR;
double d_modelPar_WATR_dX;
bool modelPar_given_WATR;
double modelPar_P2ATR;
double d_modelPar_P2ATR_dX;
bool modelPar_given_P2ATR;
double modelPar_ATCV;
double d_modelPar_ATCV_dX;
bool modelPar_given_ATCV;
double modelPar_LATCV;
double d_modelPar_LATCV_dX;
bool modelPar_given_LATCV;
double modelPar_NATCV;
double d_modelPar_NATCV_dX;
bool modelPar_given_NATCV;
double modelPar_PATCV;
double d_modelPar_PATCV_dX;
bool modelPar_given_PATCV;
double modelPar_WATCV;
double d_modelPar_WATCV_dX;
bool modelPar_given_WATCV;
double modelPar_P2ATCV;
double d_modelPar_P2ATCV_dX;
bool modelPar_given_P2ATCV;
double modelPar_AT2CV;
double d_modelPar_AT2CV_dX;
bool modelPar_given_AT2CV;
double modelPar_PTWGT;
double d_modelPar_PTWGT_dX;
bool modelPar_given_PTWGT;
double modelPar_LPTWGT;
double d_modelPar_LPTWGT_dX;
bool modelPar_given_LPTWGT;
double modelPar_NPTWGT;
double d_modelPar_NPTWGT_dX;
bool modelPar_given_NPTWGT;
double modelPar_PPTWGT;
double d_modelPar_PPTWGT_dX;
bool modelPar_given_PPTWGT;
double modelPar_WPTWGT;
double d_modelPar_WPTWGT_dX;
bool modelPar_given_WPTWGT;
double modelPar_P2PTWGT;
double d_modelPar_P2PTWGT_dX;
bool modelPar_given_P2PTWGT;
double modelPar_U0N1;
double d_modelPar_U0N1_dX;
bool modelPar_given_U0N1;
double modelPar_U0N1CV;
double d_modelPar_U0N1CV_dX;
bool modelPar_given_U0N1CV;
double modelPar_U0N1R;
double d_modelPar_U0N1R_dX;
bool modelPar_given_U0N1R;
double modelPar_U0N2;
double d_modelPar_U0N2_dX;
bool modelPar_given_U0N2;
double modelPar_U0N2CV;
double d_modelPar_U0N2CV_dX;
bool modelPar_given_U0N2CV;
double modelPar_U0N2R;
double d_modelPar_U0N2R_dX;
bool modelPar_given_U0N2R;
double modelPar_U0LT;
double d_modelPar_U0LT_dX;
bool modelPar_given_U0LT;
double modelPar_U0LTCV;
double d_modelPar_U0LTCV_dX;
bool modelPar_given_U0LTCV;
double modelPar_LPA;
double d_modelPar_LPA_dX;
bool modelPar_given_LPA;
double modelPar_LPAR;
double d_modelPar_LPAR_dX;
bool modelPar_given_LPAR;
double modelPar_AUA;
double d_modelPar_AUA_dX;
bool modelPar_given_AUA;
double modelPar_AUAR;
double d_modelPar_AUAR_dX;
bool modelPar_given_AUAR;
double modelPar_BUA;
double d_modelPar_BUA_dX;
bool modelPar_given_BUA;
double modelPar_BUAR;
double d_modelPar_BUAR_dX;
bool modelPar_given_BUAR;
double modelPar_AEU;
double d_modelPar_AEU_dX;
bool modelPar_given_AEU;
double modelPar_AEUR;
double d_modelPar_AEUR_dX;
bool modelPar_given_AEUR;
double modelPar_BEU;
double d_modelPar_BEU_dX;
bool modelPar_given_BEU;
double modelPar_BEUR;
double d_modelPar_BEUR_dX;
bool modelPar_given_BEUR;
double modelPar_AUD;
double d_modelPar_AUD_dX;
bool modelPar_given_AUD;
double modelPar_AUDR;
double d_modelPar_AUDR_dX;
bool modelPar_given_AUDR;
double modelPar_BUD;
double d_modelPar_BUD_dX;
bool modelPar_given_BUD;
double modelPar_BUDR;
double d_modelPar_BUDR_dX;
bool modelPar_given_BUDR;
double modelPar_CHARGEWF;
double d_modelPar_CHARGEWF_dX;
bool modelPar_given_CHARGEWF;
double modelPar_DMOBCLAMP;
double d_modelPar_DMOBCLAMP_dX;
bool modelPar_given_DMOBCLAMP;
double modelPar_U0;
double d_modelPar_U0_dX;
bool modelPar_given_U0;
double modelPar_LU0;
double d_modelPar_LU0_dX;
bool modelPar_given_LU0;
double modelPar_NU0;
double d_modelPar_NU0_dX;
bool modelPar_given_NU0;
double modelPar_PU0;
double d_modelPar_PU0_dX;
bool modelPar_given_PU0;
double modelPar_WU0;
double d_modelPar_WU0_dX;
bool modelPar_given_WU0;
double modelPar_P2U0;
double d_modelPar_P2U0_dX;
bool modelPar_given_P2U0;
double modelPar_U0R;
double d_modelPar_U0R_dX;
bool modelPar_given_U0R;
double modelPar_LU0R;
double d_modelPar_LU0R_dX;
bool modelPar_given_LU0R;
double modelPar_NU0R;
double d_modelPar_NU0R_dX;
bool modelPar_given_NU0R;
double modelPar_PU0R;
double d_modelPar_PU0R_dX;
bool modelPar_given_PU0R;
double modelPar_WU0R;
double d_modelPar_WU0R_dX;
bool modelPar_given_WU0R;
double modelPar_P2U0R;
double d_modelPar_P2U0R_dX;
bool modelPar_given_P2U0R;
double modelPar_U0CV;
double d_modelPar_U0CV_dX;
bool modelPar_given_U0CV;
double modelPar_LU0CV;
double d_modelPar_LU0CV_dX;
bool modelPar_given_LU0CV;
double modelPar_NU0CV;
double d_modelPar_NU0CV_dX;
bool modelPar_given_NU0CV;
double modelPar_PU0CV;
double d_modelPar_PU0CV_dX;
bool modelPar_given_PU0CV;
double modelPar_WU0CV;
double d_modelPar_WU0CV_dX;
bool modelPar_given_WU0CV;
double modelPar_P2U0CV;
double d_modelPar_P2U0CV_dX;
bool modelPar_given_P2U0CV;
double modelPar_ETAMOB;
double d_modelPar_ETAMOB_dX;
bool modelPar_given_ETAMOB;
double modelPar_LETAMOB;
double d_modelPar_LETAMOB_dX;
bool modelPar_given_LETAMOB;
double modelPar_NETAMOB;
double d_modelPar_NETAMOB_dX;
bool modelPar_given_NETAMOB;
double modelPar_PETAMOB;
double d_modelPar_PETAMOB_dX;
bool modelPar_given_PETAMOB;
double modelPar_WETAMOB;
double d_modelPar_WETAMOB_dX;
bool modelPar_given_WETAMOB;
double modelPar_P2ETAMOB;
double d_modelPar_P2ETAMOB_dX;
bool modelPar_given_P2ETAMOB;
double modelPar_UP;
double d_modelPar_UP_dX;
bool modelPar_given_UP;
double modelPar_LUP;
double d_modelPar_LUP_dX;
bool modelPar_given_LUP;
double modelPar_NUP;
double d_modelPar_NUP_dX;
bool modelPar_given_NUP;
double modelPar_PUP;
double d_modelPar_PUP_dX;
bool modelPar_given_PUP;
double modelPar_WUP;
double d_modelPar_WUP_dX;
bool modelPar_given_WUP;
double modelPar_P2UP;
double d_modelPar_P2UP_dX;
bool modelPar_given_P2UP;
double modelPar_UPR;
double d_modelPar_UPR_dX;
bool modelPar_given_UPR;
double modelPar_LUPR;
double d_modelPar_LUPR_dX;
bool modelPar_given_LUPR;
double modelPar_NUPR;
double d_modelPar_NUPR_dX;
bool modelPar_given_NUPR;
double modelPar_PUPR;
double d_modelPar_PUPR_dX;
bool modelPar_given_PUPR;
double modelPar_WUPR;
double d_modelPar_WUPR_dX;
bool modelPar_given_WUPR;
double modelPar_P2UPR;
double d_modelPar_P2UPR_dX;
bool modelPar_given_P2UPR;
double modelPar_UA;
double d_modelPar_UA_dX;
bool modelPar_given_UA;
double modelPar_LUA;
double d_modelPar_LUA_dX;
bool modelPar_given_LUA;
double modelPar_NUA;
double d_modelPar_NUA_dX;
bool modelPar_given_NUA;
double modelPar_PUA;
double d_modelPar_PUA_dX;
bool modelPar_given_PUA;
double modelPar_WUA;
double d_modelPar_WUA_dX;
bool modelPar_given_WUA;
double modelPar_P2UA;
double d_modelPar_P2UA_dX;
bool modelPar_given_P2UA;
double modelPar_UAR;
double d_modelPar_UAR_dX;
bool modelPar_given_UAR;
double modelPar_LUAR;
double d_modelPar_LUAR_dX;
bool modelPar_given_LUAR;
double modelPar_NUAR;
double d_modelPar_NUAR_dX;
bool modelPar_given_NUAR;
double modelPar_PUAR;
double d_modelPar_PUAR_dX;
bool modelPar_given_PUAR;
double modelPar_WUAR;
double d_modelPar_WUAR_dX;
bool modelPar_given_WUAR;
double modelPar_P2UAR;
double d_modelPar_P2UAR_dX;
bool modelPar_given_P2UAR;
double modelPar_UACV;
double d_modelPar_UACV_dX;
bool modelPar_given_UACV;
double modelPar_LUACV;
double d_modelPar_LUACV_dX;
bool modelPar_given_LUACV;
double modelPar_NUACV;
double d_modelPar_NUACV_dX;
bool modelPar_given_NUACV;
double modelPar_PUACV;
double d_modelPar_PUACV_dX;
bool modelPar_given_PUACV;
double modelPar_WUACV;
double d_modelPar_WUACV_dX;
bool modelPar_given_WUACV;
double modelPar_P2UACV;
double d_modelPar_P2UACV_dX;
bool modelPar_given_P2UACV;
double modelPar_UC;
double d_modelPar_UC_dX;
bool modelPar_given_UC;
double modelPar_LUC;
double d_modelPar_LUC_dX;
bool modelPar_given_LUC;
double modelPar_NUC;
double d_modelPar_NUC_dX;
bool modelPar_given_NUC;
double modelPar_PUC;
double d_modelPar_PUC_dX;
bool modelPar_given_PUC;
double modelPar_WUC;
double d_modelPar_WUC_dX;
bool modelPar_given_WUC;
double modelPar_P2UC;
double d_modelPar_P2UC_dX;
bool modelPar_given_P2UC;
double modelPar_UCR;
double d_modelPar_UCR_dX;
bool modelPar_given_UCR;
double modelPar_LUCR;
double d_modelPar_LUCR_dX;
bool modelPar_given_LUCR;
double modelPar_NUCR;
double d_modelPar_NUCR_dX;
bool modelPar_given_NUCR;
double modelPar_PUCR;
double d_modelPar_PUCR_dX;
bool modelPar_given_PUCR;
double modelPar_WUCR;
double d_modelPar_WUCR_dX;
bool modelPar_given_WUCR;
double modelPar_P2UCR;
double d_modelPar_P2UCR_dX;
bool modelPar_given_P2UCR;
double modelPar_UCCV;
double d_modelPar_UCCV_dX;
bool modelPar_given_UCCV;
double modelPar_LUCCV;
double d_modelPar_LUCCV_dX;
bool modelPar_given_LUCCV;
double modelPar_NUCCV;
double d_modelPar_NUCCV_dX;
bool modelPar_given_NUCCV;
double modelPar_PUCCV;
double d_modelPar_PUCCV_dX;
bool modelPar_given_PUCCV;
double modelPar_WUCCV;
double d_modelPar_WUCCV_dX;
bool modelPar_given_WUCCV;
double modelPar_P2UCCV;
double d_modelPar_P2UCCV_dX;
bool modelPar_given_P2UCCV;
double modelPar_EU;
double d_modelPar_EU_dX;
bool modelPar_given_EU;
double modelPar_LEU;
double d_modelPar_LEU_dX;
bool modelPar_given_LEU;
double modelPar_NEU;
double d_modelPar_NEU_dX;
bool modelPar_given_NEU;
double modelPar_PEU;
double d_modelPar_PEU_dX;
bool modelPar_given_PEU;
double modelPar_WEU;
double d_modelPar_WEU_dX;
bool modelPar_given_WEU;
double modelPar_P2EU;
double d_modelPar_P2EU_dX;
bool modelPar_given_P2EU;
double modelPar_EUR;
double d_modelPar_EUR_dX;
bool modelPar_given_EUR;
double modelPar_LEUR;
double d_modelPar_LEUR_dX;
bool modelPar_given_LEUR;
double modelPar_NEUR;
double d_modelPar_NEUR_dX;
bool modelPar_given_NEUR;
double modelPar_PEUR;
double d_modelPar_PEUR_dX;
bool modelPar_given_PEUR;
double modelPar_WEUR;
double d_modelPar_WEUR_dX;
bool modelPar_given_WEUR;
double modelPar_P2EUR;
double d_modelPar_P2EUR_dX;
bool modelPar_given_P2EUR;
double modelPar_UD;
double d_modelPar_UD_dX;
bool modelPar_given_UD;
double modelPar_LUD;
double d_modelPar_LUD_dX;
bool modelPar_given_LUD;
double modelPar_NUD;
double d_modelPar_NUD_dX;
bool modelPar_given_NUD;
double modelPar_PUD;
double d_modelPar_PUD_dX;
bool modelPar_given_PUD;
double modelPar_WUD;
double d_modelPar_WUD_dX;
bool modelPar_given_WUD;
double modelPar_P2UD;
double d_modelPar_P2UD_dX;
bool modelPar_given_P2UD;
double modelPar_UDR;
double d_modelPar_UDR_dX;
bool modelPar_given_UDR;
double modelPar_LUDR;
double d_modelPar_LUDR_dX;
bool modelPar_given_LUDR;
double modelPar_NUDR;
double d_modelPar_NUDR_dX;
bool modelPar_given_NUDR;
double modelPar_PUDR;
double d_modelPar_PUDR_dX;
bool modelPar_given_PUDR;
double modelPar_WUDR;
double d_modelPar_WUDR_dX;
bool modelPar_given_WUDR;
double modelPar_P2UDR;
double d_modelPar_P2UDR_dX;
bool modelPar_given_P2UDR;
double modelPar_UDCV;
double d_modelPar_UDCV_dX;
bool modelPar_given_UDCV;
double modelPar_LUDCV;
double d_modelPar_LUDCV_dX;
bool modelPar_given_LUDCV;
double modelPar_NUDCV;
double d_modelPar_NUDCV_dX;
bool modelPar_given_NUDCV;
double modelPar_PUDCV;
double d_modelPar_PUDCV_dX;
bool modelPar_given_PUDCV;
double modelPar_WUDCV;
double d_modelPar_WUDCV_dX;
bool modelPar_given_WUDCV;
double modelPar_P2UDCV;
double d_modelPar_P2UDCV_dX;
bool modelPar_given_P2UDCV;
double modelPar_UCS;
double d_modelPar_UCS_dX;
bool modelPar_given_UCS;
double modelPar_LUCS;
double d_modelPar_LUCS_dX;
bool modelPar_given_LUCS;
double modelPar_NUCS;
double d_modelPar_NUCS_dX;
bool modelPar_given_NUCS;
double modelPar_PUCS;
double d_modelPar_PUCS_dX;
bool modelPar_given_PUCS;
double modelPar_WUCS;
double d_modelPar_WUCS_dX;
bool modelPar_given_WUCS;
double modelPar_P2UCS;
double d_modelPar_P2UCS_dX;
bool modelPar_given_P2UCS;
double modelPar_UDS;
double d_modelPar_UDS_dX;
bool modelPar_given_UDS;
double modelPar_LUDS;
double d_modelPar_LUDS_dX;
bool modelPar_given_LUDS;
double modelPar_NUDS;
double d_modelPar_NUDS_dX;
bool modelPar_given_NUDS;
double modelPar_PUDS;
double d_modelPar_PUDS_dX;
bool modelPar_given_PUDS;
double modelPar_WUDS;
double d_modelPar_WUDS_dX;
bool modelPar_given_WUDS;
double modelPar_P2UDS;
double d_modelPar_P2UDS_dX;
bool modelPar_given_P2UDS;
double modelPar_UDS1;
double d_modelPar_UDS1_dX;
bool modelPar_given_UDS1;
double modelPar_LUDS1;
double d_modelPar_LUDS1_dX;
bool modelPar_given_LUDS1;
double modelPar_NUDS1;
double d_modelPar_NUDS1_dX;
bool modelPar_given_NUDS1;
double modelPar_PUDS1;
double d_modelPar_PUDS1_dX;
bool modelPar_given_PUDS1;
double modelPar_WUDS1;
double d_modelPar_WUDS1_dX;
bool modelPar_given_WUDS1;
double modelPar_P2UDS1;
double d_modelPar_P2UDS1_dX;
bool modelPar_given_P2UDS1;
double modelPar_UDD;
double d_modelPar_UDD_dX;
bool modelPar_given_UDD;
double modelPar_LUDD;
double d_modelPar_LUDD_dX;
bool modelPar_given_LUDD;
double modelPar_NUDD;
double d_modelPar_NUDD_dX;
bool modelPar_given_NUDD;
double modelPar_PUDD;
double d_modelPar_PUDD_dX;
bool modelPar_given_PUDD;
double modelPar_WUDD;
double d_modelPar_WUDD_dX;
bool modelPar_given_WUDD;
double modelPar_P2UDD;
double d_modelPar_P2UDD_dX;
bool modelPar_given_P2UDD;
double modelPar_UDD1;
double d_modelPar_UDD1_dX;
bool modelPar_given_UDD1;
double modelPar_LUDD1;
double d_modelPar_LUDD1_dX;
bool modelPar_given_LUDD1;
double modelPar_NUDD1;
double d_modelPar_NUDD1_dX;
bool modelPar_given_NUDD1;
double modelPar_PUDD1;
double d_modelPar_PUDD1_dX;
bool modelPar_given_PUDD1;
double modelPar_WUDD1;
double d_modelPar_WUDD1_dX;
bool modelPar_given_WUDD1;
double modelPar_P2UDD1;
double d_modelPar_P2UDD1_dX;
bool modelPar_given_P2UDD1;
double modelPar_UTE;
double d_modelPar_UTE_dX;
bool modelPar_given_UTE;
double modelPar_LUTE;
double d_modelPar_LUTE_dX;
bool modelPar_given_LUTE;
double modelPar_NUTE;
double d_modelPar_NUTE_dX;
bool modelPar_given_NUTE;
double modelPar_PUTE;
double d_modelPar_PUTE_dX;
bool modelPar_given_PUTE;
double modelPar_WUTE;
double d_modelPar_WUTE_dX;
bool modelPar_given_WUTE;
double modelPar_P2UTE;
double d_modelPar_P2UTE_dX;
bool modelPar_given_P2UTE;
double modelPar_UTER;
double d_modelPar_UTER_dX;
bool modelPar_given_UTER;
double modelPar_LUTER;
double d_modelPar_LUTER_dX;
bool modelPar_given_LUTER;
double modelPar_NUTER;
double d_modelPar_NUTER_dX;
bool modelPar_given_NUTER;
double modelPar_PUTER;
double d_modelPar_PUTER_dX;
bool modelPar_given_PUTER;
double modelPar_WUTER;
double d_modelPar_WUTER_dX;
bool modelPar_given_WUTER;
double modelPar_P2UTER;
double d_modelPar_P2UTER_dX;
bool modelPar_given_P2UTER;
double modelPar_UTECV;
double d_modelPar_UTECV_dX;
bool modelPar_given_UTECV;
double modelPar_LUTECV;
double d_modelPar_LUTECV_dX;
bool modelPar_given_LUTECV;
double modelPar_NUTECV;
double d_modelPar_NUTECV_dX;
bool modelPar_given_NUTECV;
double modelPar_PUTECV;
double d_modelPar_PUTECV_dX;
bool modelPar_given_PUTECV;
double modelPar_WUTECV;
double d_modelPar_WUTECV_dX;
bool modelPar_given_WUTECV;
double modelPar_P2UTECV;
double d_modelPar_P2UTECV_dX;
bool modelPar_given_P2UTECV;
double modelPar_UTE1;
double d_modelPar_UTE1_dX;
bool modelPar_given_UTE1;
double modelPar_LUTE1;
double d_modelPar_LUTE1_dX;
bool modelPar_given_LUTE1;
double modelPar_NUTE1;
double d_modelPar_NUTE1_dX;
bool modelPar_given_NUTE1;
double modelPar_PUTE1;
double d_modelPar_PUTE1_dX;
bool modelPar_given_PUTE1;
double modelPar_WUTE1;
double d_modelPar_WUTE1_dX;
bool modelPar_given_WUTE1;
double modelPar_P2UTE1;
double d_modelPar_P2UTE1_dX;
bool modelPar_given_P2UTE1;
double modelPar_UTE1CV;
double d_modelPar_UTE1CV_dX;
bool modelPar_given_UTE1CV;
double modelPar_LUTE1CV;
double d_modelPar_LUTE1CV_dX;
bool modelPar_given_LUTE1CV;
double modelPar_NUTE1CV;
double d_modelPar_NUTE1CV_dX;
bool modelPar_given_NUTE1CV;
double modelPar_PUTE1CV;
double d_modelPar_PUTE1CV_dX;
bool modelPar_given_PUTE1CV;
double modelPar_WUTE1CV;
double d_modelPar_WUTE1CV_dX;
bool modelPar_given_WUTE1CV;
double modelPar_P2UTE1CV;
double d_modelPar_P2UTE1CV_dX;
bool modelPar_given_P2UTE1CV;
double modelPar_UTL;
double d_modelPar_UTL_dX;
bool modelPar_given_UTL;
double modelPar_LUTL;
double d_modelPar_LUTL_dX;
bool modelPar_given_LUTL;
double modelPar_NUTL;
double d_modelPar_NUTL_dX;
bool modelPar_given_NUTL;
double modelPar_PUTL;
double d_modelPar_PUTL_dX;
bool modelPar_given_PUTL;
double modelPar_WUTL;
double d_modelPar_WUTL_dX;
bool modelPar_given_WUTL;
double modelPar_P2UTL;
double d_modelPar_P2UTL_dX;
bool modelPar_given_P2UTL;
double modelPar_UTLR;
double d_modelPar_UTLR_dX;
bool modelPar_given_UTLR;
double modelPar_LUTLR;
double d_modelPar_LUTLR_dX;
bool modelPar_given_LUTLR;
double modelPar_NUTLR;
double d_modelPar_NUTLR_dX;
bool modelPar_given_NUTLR;
double modelPar_PUTLR;
double d_modelPar_PUTLR_dX;
bool modelPar_given_PUTLR;
double modelPar_WUTLR;
double d_modelPar_WUTLR_dX;
bool modelPar_given_WUTLR;
double modelPar_P2UTLR;
double d_modelPar_P2UTLR_dX;
bool modelPar_given_P2UTLR;
double modelPar_UTLCV;
double d_modelPar_UTLCV_dX;
bool modelPar_given_UTLCV;
double modelPar_LUTLCV;
double d_modelPar_LUTLCV_dX;
bool modelPar_given_LUTLCV;
double modelPar_NUTLCV;
double d_modelPar_NUTLCV_dX;
bool modelPar_given_NUTLCV;
double modelPar_PUTLCV;
double d_modelPar_PUTLCV_dX;
bool modelPar_given_PUTLCV;
double modelPar_WUTLCV;
double d_modelPar_WUTLCV_dX;
bool modelPar_given_WUTLCV;
double modelPar_P2UTLCV;
double d_modelPar_P2UTLCV_dX;
bool modelPar_given_P2UTLCV;
double modelPar_EMOBT;
double d_modelPar_EMOBT_dX;
bool modelPar_given_EMOBT;
double modelPar_LEMOBT;
double d_modelPar_LEMOBT_dX;
bool modelPar_given_LEMOBT;
double modelPar_NEMOBT;
double d_modelPar_NEMOBT_dX;
bool modelPar_given_NEMOBT;
double modelPar_PEMOBT;
double d_modelPar_PEMOBT_dX;
bool modelPar_given_PEMOBT;
double modelPar_WEMOBT;
double d_modelPar_WEMOBT_dX;
bool modelPar_given_WEMOBT;
double modelPar_P2EMOBT;
double d_modelPar_P2EMOBT_dX;
bool modelPar_given_P2EMOBT;
double modelPar_UA1;
double d_modelPar_UA1_dX;
bool modelPar_given_UA1;
double modelPar_LUA1;
double d_modelPar_LUA1_dX;
bool modelPar_given_LUA1;
double modelPar_NUA1;
double d_modelPar_NUA1_dX;
bool modelPar_given_NUA1;
double modelPar_PUA1;
double d_modelPar_PUA1_dX;
bool modelPar_given_PUA1;
double modelPar_WUA1;
double d_modelPar_WUA1_dX;
bool modelPar_given_WUA1;
double modelPar_P2UA1;
double d_modelPar_P2UA1_dX;
bool modelPar_given_P2UA1;
double modelPar_UA1R;
double d_modelPar_UA1R_dX;
bool modelPar_given_UA1R;
double modelPar_LUA1R;
double d_modelPar_LUA1R_dX;
bool modelPar_given_LUA1R;
double modelPar_NUA1R;
double d_modelPar_NUA1R_dX;
bool modelPar_given_NUA1R;
double modelPar_PUA1R;
double d_modelPar_PUA1R_dX;
bool modelPar_given_PUA1R;
double modelPar_WUA1R;
double d_modelPar_WUA1R_dX;
bool modelPar_given_WUA1R;
double modelPar_P2UA1R;
double d_modelPar_P2UA1R_dX;
bool modelPar_given_P2UA1R;
double modelPar_UA1CV;
double d_modelPar_UA1CV_dX;
bool modelPar_given_UA1CV;
double modelPar_LUA1CV;
double d_modelPar_LUA1CV_dX;
bool modelPar_given_LUA1CV;
double modelPar_NUA1CV;
double d_modelPar_NUA1CV_dX;
bool modelPar_given_NUA1CV;
double modelPar_PUA1CV;
double d_modelPar_PUA1CV_dX;
bool modelPar_given_PUA1CV;
double modelPar_WUA1CV;
double d_modelPar_WUA1CV_dX;
bool modelPar_given_WUA1CV;
double modelPar_P2UA1CV;
double d_modelPar_P2UA1CV_dX;
bool modelPar_given_P2UA1CV;
double modelPar_UA2;
double d_modelPar_UA2_dX;
bool modelPar_given_UA2;
double modelPar_LUA2;
double d_modelPar_LUA2_dX;
bool modelPar_given_LUA2;
double modelPar_NUA2;
double d_modelPar_NUA2_dX;
bool modelPar_given_NUA2;
double modelPar_PUA2;
double d_modelPar_PUA2_dX;
bool modelPar_given_PUA2;
double modelPar_WUA2;
double d_modelPar_WUA2_dX;
bool modelPar_given_WUA2;
double modelPar_P2UA2;
double d_modelPar_P2UA2_dX;
bool modelPar_given_P2UA2;
double modelPar_UA2CV;
double d_modelPar_UA2CV_dX;
bool modelPar_given_UA2CV;
double modelPar_LUA2CV;
double d_modelPar_LUA2CV_dX;
bool modelPar_given_LUA2CV;
double modelPar_NUA2CV;
double d_modelPar_NUA2CV_dX;
bool modelPar_given_NUA2CV;
double modelPar_PUA2CV;
double d_modelPar_PUA2CV_dX;
bool modelPar_given_PUA2CV;
double modelPar_WUA2CV;
double d_modelPar_WUA2CV_dX;
bool modelPar_given_WUA2CV;
double modelPar_P2UA2CV;
double d_modelPar_P2UA2CV_dX;
bool modelPar_given_P2UA2CV;
double modelPar_EU1;
double d_modelPar_EU1_dX;
bool modelPar_given_EU1;
double modelPar_LEU1;
double d_modelPar_LEU1_dX;
bool modelPar_given_LEU1;
double modelPar_NEU1;
double d_modelPar_NEU1_dX;
bool modelPar_given_NEU1;
double modelPar_PEU1;
double d_modelPar_PEU1_dX;
bool modelPar_given_PEU1;
double modelPar_WEU1;
double d_modelPar_WEU1_dX;
bool modelPar_given_WEU1;
double modelPar_P2EU1;
double d_modelPar_P2EU1_dX;
bool modelPar_given_P2EU1;
double modelPar_UC1;
double d_modelPar_UC1_dX;
bool modelPar_given_UC1;
double modelPar_LUC1;
double d_modelPar_LUC1_dX;
bool modelPar_given_LUC1;
double modelPar_NUC1;
double d_modelPar_NUC1_dX;
bool modelPar_given_NUC1;
double modelPar_PUC1;
double d_modelPar_PUC1_dX;
bool modelPar_given_PUC1;
double modelPar_WUC1;
double d_modelPar_WUC1_dX;
bool modelPar_given_WUC1;
double modelPar_P2UC1;
double d_modelPar_P2UC1_dX;
bool modelPar_given_P2UC1;
double modelPar_UC1R;
double d_modelPar_UC1R_dX;
bool modelPar_given_UC1R;
double modelPar_LUC1R;
double d_modelPar_LUC1R_dX;
bool modelPar_given_LUC1R;
double modelPar_NUC1R;
double d_modelPar_NUC1R_dX;
bool modelPar_given_NUC1R;
double modelPar_PUC1R;
double d_modelPar_PUC1R_dX;
bool modelPar_given_PUC1R;
double modelPar_WUC1R;
double d_modelPar_WUC1R_dX;
bool modelPar_given_WUC1R;
double modelPar_P2UC1R;
double d_modelPar_P2UC1R_dX;
bool modelPar_given_P2UC1R;
double modelPar_UC1CV;
double d_modelPar_UC1CV_dX;
bool modelPar_given_UC1CV;
double modelPar_LUC1CV;
double d_modelPar_LUC1CV_dX;
bool modelPar_given_LUC1CV;
double modelPar_NUC1CV;
double d_modelPar_NUC1CV_dX;
bool modelPar_given_NUC1CV;
double modelPar_PUC1CV;
double d_modelPar_PUC1CV_dX;
bool modelPar_given_PUC1CV;
double modelPar_WUC1CV;
double d_modelPar_WUC1CV_dX;
bool modelPar_given_WUC1CV;
double modelPar_P2UC1CV;
double d_modelPar_P2UC1CV_dX;
bool modelPar_given_P2UC1CV;
double modelPar_UD1;
double d_modelPar_UD1_dX;
bool modelPar_given_UD1;
double modelPar_LUD1;
double d_modelPar_LUD1_dX;
bool modelPar_given_LUD1;
double modelPar_NUD1;
double d_modelPar_NUD1_dX;
bool modelPar_given_NUD1;
double modelPar_PUD1;
double d_modelPar_PUD1_dX;
bool modelPar_given_PUD1;
double modelPar_WUD1;
double d_modelPar_WUD1_dX;
bool modelPar_given_WUD1;
double modelPar_P2UD1;
double d_modelPar_P2UD1_dX;
bool modelPar_given_P2UD1;
double modelPar_UD1R;
double d_modelPar_UD1R_dX;
bool modelPar_given_UD1R;
double modelPar_LUD1R;
double d_modelPar_LUD1R_dX;
bool modelPar_given_LUD1R;
double modelPar_NUD1R;
double d_modelPar_NUD1R_dX;
bool modelPar_given_NUD1R;
double modelPar_PUD1R;
double d_modelPar_PUD1R_dX;
bool modelPar_given_PUD1R;
double modelPar_WUD1R;
double d_modelPar_WUD1R_dX;
bool modelPar_given_WUD1R;
double modelPar_P2UD1R;
double d_modelPar_P2UD1R_dX;
bool modelPar_given_P2UD1R;
double modelPar_UD1CV;
double d_modelPar_UD1CV_dX;
bool modelPar_given_UD1CV;
double modelPar_LUD1CV;
double d_modelPar_LUD1CV_dX;
bool modelPar_given_LUD1CV;
double modelPar_NUD1CV;
double d_modelPar_NUD1CV_dX;
bool modelPar_given_NUD1CV;
double modelPar_PUD1CV;
double d_modelPar_PUD1CV_dX;
bool modelPar_given_PUD1CV;
double modelPar_WUD1CV;
double d_modelPar_WUD1CV_dX;
bool modelPar_given_WUD1CV;
double modelPar_P2UD1CV;
double d_modelPar_P2UD1CV_dX;
bool modelPar_given_P2UD1CV;
double modelPar_UD2;
double d_modelPar_UD2_dX;
bool modelPar_given_UD2;
double modelPar_LUD2;
double d_modelPar_LUD2_dX;
bool modelPar_given_LUD2;
double modelPar_NUD2;
double d_modelPar_NUD2_dX;
bool modelPar_given_NUD2;
double modelPar_PUD2;
double d_modelPar_PUD2_dX;
bool modelPar_given_PUD2;
double modelPar_WUD2;
double d_modelPar_WUD2_dX;
bool modelPar_given_WUD2;
double modelPar_P2UD2;
double d_modelPar_P2UD2_dX;
bool modelPar_given_P2UD2;
double modelPar_UD2CV;
double d_modelPar_UD2CV_dX;
bool modelPar_given_UD2CV;
double modelPar_LUD2CV;
double d_modelPar_LUD2CV_dX;
bool modelPar_given_LUD2CV;
double modelPar_NUD2CV;
double d_modelPar_NUD2CV_dX;
bool modelPar_given_NUD2CV;
double modelPar_PUD2CV;
double d_modelPar_PUD2CV_dX;
bool modelPar_given_PUD2CV;
double modelPar_WUD2CV;
double d_modelPar_WUD2CV_dX;
bool modelPar_given_WUD2CV;
double modelPar_P2UD2CV;
double d_modelPar_P2UD2CV_dX;
bool modelPar_given_P2UD2CV;
double modelPar_UCSTE;
double d_modelPar_UCSTE_dX;
bool modelPar_given_UCSTE;
double modelPar_LUCSTE;
double d_modelPar_LUCSTE_dX;
bool modelPar_given_LUCSTE;
double modelPar_NUCSTE;
double d_modelPar_NUCSTE_dX;
bool modelPar_given_NUCSTE;
double modelPar_PUCSTE;
double d_modelPar_PUCSTE_dX;
bool modelPar_given_PUCSTE;
double modelPar_WUCSTE;
double d_modelPar_WUCSTE_dX;
bool modelPar_given_WUCSTE;
double modelPar_P2UCSTE;
double d_modelPar_P2UCSTE_dX;
bool modelPar_given_P2UCSTE;
double modelPar_UCSTE1;
double d_modelPar_UCSTE1_dX;
bool modelPar_given_UCSTE1;
double modelPar_LUCSTE1;
double d_modelPar_LUCSTE1_dX;
bool modelPar_given_LUCSTE1;
double modelPar_NUCSTE1;
double d_modelPar_NUCSTE1_dX;
bool modelPar_given_NUCSTE1;
double modelPar_PUCSTE1;
double d_modelPar_PUCSTE1_dX;
bool modelPar_given_PUCSTE1;
double modelPar_WUCSTE1;
double d_modelPar_WUCSTE1_dX;
bool modelPar_given_WUCSTE1;
double modelPar_P2UCSTE1;
double d_modelPar_P2UCSTE1_dX;
bool modelPar_given_P2UCSTE1;
double modelPar_ETAMOBTHIN;
double d_modelPar_ETAMOBTHIN_dX;
bool modelPar_given_ETAMOBTHIN;
double modelPar_ETAMOBTNI;
double d_modelPar_ETAMOBTNI_dX;
bool modelPar_given_ETAMOBTNI;
double modelPar_ETAMOBIR;
double d_modelPar_ETAMOBIR_dX;
bool modelPar_given_ETAMOBIR;
double modelPar_UATHIN;
double d_modelPar_UATHIN_dX;
bool modelPar_given_UATHIN;
double modelPar_UATSAT;
double d_modelPar_UATSAT_dX;
bool modelPar_given_UATSAT;
double modelPar_UARTSC;
double d_modelPar_UARTSC_dX;
bool modelPar_given_UARTSC;
double modelPar_UATNI;
double d_modelPar_UATNI_dX;
bool modelPar_given_UATNI;
double modelPar_UAIR;
double d_modelPar_UAIR_dX;
bool modelPar_given_UAIR;
double modelPar_EUTHIN;
double d_modelPar_EUTHIN_dX;
bool modelPar_given_EUTHIN;
double modelPar_EUPTSC;
double d_modelPar_EUPTSC_dX;
bool modelPar_given_EUPTSC;
double modelPar_EUTNI;
double d_modelPar_EUTNI_dX;
bool modelPar_given_EUTNI;
double modelPar_EUIR;
double d_modelPar_EUIR_dX;
bool modelPar_given_EUIR;
double modelPar_UDTHIN;
double d_modelPar_UDTHIN_dX;
bool modelPar_given_UDTHIN;
double modelPar_UDTSAT;
double d_modelPar_UDTSAT_dX;
bool modelPar_given_UDTSAT;
double modelPar_UDPTSC;
double d_modelPar_UDPTSC_dX;
bool modelPar_given_UDPTSC;
double modelPar_U0ETAWSC;
double d_modelPar_U0ETAWSC_dX;
bool modelPar_given_U0ETAWSC;
double modelPar_EGBULK;
double d_modelPar_EGBULK_dX;
bool modelPar_given_EGBULK;
double modelPar_U0EMSM1;
double d_modelPar_U0EMSM1_dX;
bool modelPar_given_U0EMSM1;
double modelPar_U0EMSM2;
double d_modelPar_U0EMSM2_dX;
bool modelPar_given_U0EMSM2;
double modelPar_RDSWMIN;
double d_modelPar_RDSWMIN_dX;
bool modelPar_given_RDSWMIN;
double modelPar_ARDSW;
double d_modelPar_ARDSW_dX;
bool modelPar_given_ARDSW;
double modelPar_BRDSW;
double d_modelPar_BRDSW_dX;
bool modelPar_given_BRDSW;
double modelPar_RSWMIN;
double d_modelPar_RSWMIN_dX;
bool modelPar_given_RSWMIN;
double modelPar_ARSW;
double d_modelPar_ARSW_dX;
bool modelPar_given_ARSW;
double modelPar_BRSW;
double d_modelPar_BRSW_dX;
bool modelPar_given_BRSW;
double modelPar_RDWMIN;
double d_modelPar_RDWMIN_dX;
bool modelPar_given_RDWMIN;
double modelPar_ARDW;
double d_modelPar_ARDW_dX;
bool modelPar_given_ARDW;
double modelPar_BRDW;
double d_modelPar_BRDW_dX;
bool modelPar_given_BRDW;
double modelPar_RSDR;
double d_modelPar_RSDR_dX;
bool modelPar_given_RSDR;
double modelPar_RSDRR;
double d_modelPar_RSDRR_dX;
bool modelPar_given_RSDRR;
double modelPar_RDDR;
double d_modelPar_RDDR_dX;
bool modelPar_given_RDDR;
double modelPar_RDDRR;
double d_modelPar_RDDRR_dX;
bool modelPar_given_RDDRR;
double modelPar_PRSDR;
double d_modelPar_PRSDR_dX;
bool modelPar_given_PRSDR;
double modelPar_PRDDR;
double d_modelPar_PRDDR_dX;
bool modelPar_given_PRDDR;
double modelPar_TRSDR;
double d_modelPar_TRSDR_dX;
bool modelPar_given_TRSDR;
double modelPar_TRDDR;
double d_modelPar_TRDDR_dX;
bool modelPar_given_TRDDR;
double modelPar_RDSW;
double d_modelPar_RDSW_dX;
bool modelPar_given_RDSW;
double modelPar_LRDSW;
double d_modelPar_LRDSW_dX;
bool modelPar_given_LRDSW;
double modelPar_NRDSW;
double d_modelPar_NRDSW_dX;
bool modelPar_given_NRDSW;
double modelPar_PRDSW;
double d_modelPar_PRDSW_dX;
bool modelPar_given_PRDSW;
double modelPar_WRDSW;
double d_modelPar_WRDSW_dX;
bool modelPar_given_WRDSW;
double modelPar_P2RDSW;
double d_modelPar_P2RDSW_dX;
bool modelPar_given_P2RDSW;
double modelPar_RSW;
double d_modelPar_RSW_dX;
bool modelPar_given_RSW;
double modelPar_LRSW;
double d_modelPar_LRSW_dX;
bool modelPar_given_LRSW;
double modelPar_NRSW;
double d_modelPar_NRSW_dX;
bool modelPar_given_NRSW;
double modelPar_PRSW;
double d_modelPar_PRSW_dX;
bool modelPar_given_PRSW;
double modelPar_WRSW;
double d_modelPar_WRSW_dX;
bool modelPar_given_WRSW;
double modelPar_P2RSW;
double d_modelPar_P2RSW_dX;
bool modelPar_given_P2RSW;
double modelPar_RDW;
double d_modelPar_RDW_dX;
bool modelPar_given_RDW;
double modelPar_LRDW;
double d_modelPar_LRDW_dX;
bool modelPar_given_LRDW;
double modelPar_NRDW;
double d_modelPar_NRDW_dX;
bool modelPar_given_NRDW;
double modelPar_PRDW;
double d_modelPar_PRDW_dX;
bool modelPar_given_PRDW;
double modelPar_WRDW;
double d_modelPar_WRDW_dX;
bool modelPar_given_WRDW;
double modelPar_P2RDW;
double d_modelPar_P2RDW_dX;
bool modelPar_given_P2RDW;
double modelPar_PRWGS;
double d_modelPar_PRWGS_dX;
bool modelPar_given_PRWGS;
double modelPar_LPRWGS;
double d_modelPar_LPRWGS_dX;
bool modelPar_given_LPRWGS;
double modelPar_NPRWGS;
double d_modelPar_NPRWGS_dX;
bool modelPar_given_NPRWGS;
double modelPar_PPRWGS;
double d_modelPar_PPRWGS_dX;
bool modelPar_given_PPRWGS;
double modelPar_WPRWGS;
double d_modelPar_WPRWGS_dX;
bool modelPar_given_WPRWGS;
double modelPar_P2PRWGS;
double d_modelPar_P2PRWGS_dX;
bool modelPar_given_P2PRWGS;
double modelPar_PRWGD;
double d_modelPar_PRWGD_dX;
bool modelPar_given_PRWGD;
double modelPar_LPRWGD;
double d_modelPar_LPRWGD_dX;
bool modelPar_given_LPRWGD;
double modelPar_NPRWGD;
double d_modelPar_NPRWGD_dX;
bool modelPar_given_NPRWGD;
double modelPar_PPRWGD;
double d_modelPar_PPRWGD_dX;
bool modelPar_given_PPRWGD;
double modelPar_WPRWGD;
double d_modelPar_WPRWGD_dX;
bool modelPar_given_WPRWGD;
double modelPar_P2PRWGD;
double d_modelPar_P2PRWGD_dX;
bool modelPar_given_P2PRWGD;
double modelPar_WR;
double d_modelPar_WR_dX;
bool modelPar_given_WR;
double modelPar_LWR;
double d_modelPar_LWR_dX;
bool modelPar_given_LWR;
double modelPar_NWR;
double d_modelPar_NWR_dX;
bool modelPar_given_NWR;
double modelPar_PWR;
double d_modelPar_PWR_dX;
bool modelPar_given_PWR;
double modelPar_WWR;
double d_modelPar_WWR_dX;
bool modelPar_given_WWR;
double modelPar_P2WR;
double d_modelPar_P2WR_dX;
bool modelPar_given_P2WR;
double modelPar_PRT;
double d_modelPar_PRT_dX;
bool modelPar_given_PRT;
double modelPar_LPRT;
double d_modelPar_LPRT_dX;
bool modelPar_given_LPRT;
double modelPar_NPRT;
double d_modelPar_NPRT_dX;
bool modelPar_given_NPRT;
double modelPar_PPRT;
double d_modelPar_PPRT_dX;
bool modelPar_given_PPRT;
double modelPar_WPRT;
double d_modelPar_WPRT_dX;
bool modelPar_given_WPRT;
double modelPar_P2PRT;
double d_modelPar_P2PRT_dX;
bool modelPar_given_P2PRT;
double modelPar_PRT1;
double d_modelPar_PRT1_dX;
bool modelPar_given_PRT1;
double modelPar_LPRT1;
double d_modelPar_LPRT1_dX;
bool modelPar_given_LPRT1;
double modelPar_NPRT1;
double d_modelPar_NPRT1_dX;
bool modelPar_given_NPRT1;
double modelPar_PPRT1;
double d_modelPar_PPRT1_dX;
bool modelPar_given_PPRT1;
double modelPar_WPRT1;
double d_modelPar_WPRT1_dX;
bool modelPar_given_WPRT1;
double modelPar_P2PRT1;
double d_modelPar_P2PRT1_dX;
bool modelPar_given_P2PRT1;
double modelPar_TR0;
double d_modelPar_TR0_dX;
bool modelPar_given_TR0;
double modelPar_LTR0;
double d_modelPar_LTR0_dX;
bool modelPar_given_LTR0;
double modelPar_NTR0;
double d_modelPar_NTR0_dX;
bool modelPar_given_NTR0;
double modelPar_PTR0;
double d_modelPar_PTR0_dX;
bool modelPar_given_PTR0;
double modelPar_WTR0;
double d_modelPar_WTR0_dX;
bool modelPar_given_WTR0;
double modelPar_P2TR0;
double d_modelPar_P2TR0_dX;
bool modelPar_given_P2TR0;
double modelPar_SPRT;
double d_modelPar_SPRT_dX;
bool modelPar_given_SPRT;
double modelPar_LSPRT;
double d_modelPar_LSPRT_dX;
bool modelPar_given_LSPRT;
double modelPar_NSPRT;
double d_modelPar_NSPRT_dX;
bool modelPar_given_NSPRT;
double modelPar_PSPRT;
double d_modelPar_PSPRT_dX;
bool modelPar_given_PSPRT;
double modelPar_WSPRT;
double d_modelPar_WSPRT_dX;
bool modelPar_given_WSPRT;
double modelPar_P2SPRT;
double d_modelPar_P2SPRT_dX;
bool modelPar_given_P2SPRT;
double modelPar_PDIBL1;
double d_modelPar_PDIBL1_dX;
bool modelPar_given_PDIBL1;
double modelPar_LPDIBL1;
double d_modelPar_LPDIBL1_dX;
bool modelPar_given_LPDIBL1;
double modelPar_NPDIBL1;
double d_modelPar_NPDIBL1_dX;
bool modelPar_given_NPDIBL1;
double modelPar_PPDIBL1;
double d_modelPar_PPDIBL1_dX;
bool modelPar_given_PPDIBL1;
double modelPar_WPDIBL1;
double d_modelPar_WPDIBL1_dX;
bool modelPar_given_WPDIBL1;
double modelPar_P2PDIBL1;
double d_modelPar_P2PDIBL1_dX;
bool modelPar_given_P2PDIBL1;
double modelPar_PDIBL2;
double d_modelPar_PDIBL2_dX;
bool modelPar_given_PDIBL2;
double modelPar_LPDIBL2;
double d_modelPar_LPDIBL2_dX;
bool modelPar_given_LPDIBL2;
double modelPar_NPDIBL2;
double d_modelPar_NPDIBL2_dX;
bool modelPar_given_NPDIBL2;
double modelPar_PPDIBL2;
double d_modelPar_PPDIBL2_dX;
bool modelPar_given_PPDIBL2;
double modelPar_WPDIBL2;
double d_modelPar_WPDIBL2_dX;
bool modelPar_given_WPDIBL2;
double modelPar_P2PDIBL2;
double d_modelPar_P2PDIBL2_dX;
bool modelPar_given_P2PDIBL2;
double modelPar_PDIBL1R;
double d_modelPar_PDIBL1R_dX;
bool modelPar_given_PDIBL1R;
double modelPar_LPDIBL1R;
double d_modelPar_LPDIBL1R_dX;
bool modelPar_given_LPDIBL1R;
double modelPar_NPDIBL1R;
double d_modelPar_NPDIBL1R_dX;
bool modelPar_given_NPDIBL1R;
double modelPar_PPDIBL1R;
double d_modelPar_PPDIBL1R_dX;
bool modelPar_given_PPDIBL1R;
double modelPar_WPDIBL1R;
double d_modelPar_WPDIBL1R_dX;
bool modelPar_given_WPDIBL1R;
double modelPar_P2PDIBL1R;
double d_modelPar_P2PDIBL1R_dX;
bool modelPar_given_P2PDIBL1R;
double modelPar_PDIBL2R;
double d_modelPar_PDIBL2R_dX;
bool modelPar_given_PDIBL2R;
double modelPar_LPDIBL2R;
double d_modelPar_LPDIBL2R_dX;
bool modelPar_given_LPDIBL2R;
double modelPar_NPDIBL2R;
double d_modelPar_NPDIBL2R_dX;
bool modelPar_given_NPDIBL2R;
double modelPar_PPDIBL2R;
double d_modelPar_PPDIBL2R_dX;
bool modelPar_given_PPDIBL2R;
double modelPar_WPDIBL2R;
double d_modelPar_WPDIBL2R_dX;
bool modelPar_given_WPDIBL2R;
double modelPar_P2PDIBL2R;
double d_modelPar_P2PDIBL2R_dX;
bool modelPar_given_P2PDIBL2R;
double modelPar_DROUT;
double d_modelPar_DROUT_dX;
bool modelPar_given_DROUT;
double modelPar_LDROUT;
double d_modelPar_LDROUT_dX;
bool modelPar_given_LDROUT;
double modelPar_NDROUT;
double d_modelPar_NDROUT_dX;
bool modelPar_given_NDROUT;
double modelPar_PDROUT;
double d_modelPar_PDROUT_dX;
bool modelPar_given_PDROUT;
double modelPar_WDROUT;
double d_modelPar_WDROUT_dX;
bool modelPar_given_WDROUT;
double modelPar_P2DROUT;
double d_modelPar_P2DROUT_dX;
bool modelPar_given_P2DROUT;
double modelPar_PVAG;
double d_modelPar_PVAG_dX;
bool modelPar_given_PVAG;
double modelPar_LPVAG;
double d_modelPar_LPVAG_dX;
bool modelPar_given_LPVAG;
double modelPar_NPVAG;
double d_modelPar_NPVAG_dX;
bool modelPar_given_NPVAG;
double modelPar_PPVAG;
double d_modelPar_PPVAG_dX;
bool modelPar_given_PPVAG;
double modelPar_WPVAG;
double d_modelPar_WPVAG_dX;
bool modelPar_given_WPVAG;
double modelPar_P2PVAG;
double d_modelPar_P2PVAG_dX;
bool modelPar_given_P2PVAG;
double modelPar_APCLM;
double d_modelPar_APCLM_dX;
bool modelPar_given_APCLM;
double modelPar_APCLMR;
double d_modelPar_APCLMR_dX;
bool modelPar_given_APCLMR;
double modelPar_BPCLM;
double d_modelPar_BPCLM_dX;
bool modelPar_given_BPCLM;
double modelPar_BPCLMR;
double d_modelPar_BPCLMR_dX;
bool modelPar_given_BPCLMR;
double modelPar_PCLM;
double d_modelPar_PCLM_dX;
bool modelPar_given_PCLM;
double modelPar_PCLMT;
double d_modelPar_PCLMT_dX;
bool modelPar_given_PCLMT;
double modelPar_LPCLM;
double d_modelPar_LPCLM_dX;
bool modelPar_given_LPCLM;
double modelPar_NPCLM;
double d_modelPar_NPCLM_dX;
bool modelPar_given_NPCLM;
double modelPar_PPCLM;
double d_modelPar_PPCLM_dX;
bool modelPar_given_PPCLM;
double modelPar_WPCLM;
double d_modelPar_WPCLM_dX;
bool modelPar_given_WPCLM;
double modelPar_P2PCLM;
double d_modelPar_P2PCLM_dX;
bool modelPar_given_P2PCLM;
double modelPar_PCLMR;
double d_modelPar_PCLMR_dX;
bool modelPar_given_PCLMR;
double modelPar_LPCLMR;
double d_modelPar_LPCLMR_dX;
bool modelPar_given_LPCLMR;
double modelPar_NPCLMR;
double d_modelPar_NPCLMR_dX;
bool modelPar_given_NPCLMR;
double modelPar_PPCLMR;
double d_modelPar_PPCLMR_dX;
bool modelPar_given_PPCLMR;
double modelPar_WPCLMR;
double d_modelPar_WPCLMR_dX;
bool modelPar_given_WPCLMR;
double modelPar_P2PCLMR;
double d_modelPar_P2PCLMR_dX;
bool modelPar_given_P2PCLMR;
double modelPar_PCLMG;
double d_modelPar_PCLMG_dX;
bool modelPar_given_PCLMG;
double modelPar_LPCLMG;
double d_modelPar_LPCLMG_dX;
bool modelPar_given_LPCLMG;
double modelPar_NPCLMG;
double d_modelPar_NPCLMG_dX;
bool modelPar_given_NPCLMG;
double modelPar_PPCLMG;
double d_modelPar_PPCLMG_dX;
bool modelPar_given_PPCLMG;
double modelPar_WPCLMG;
double d_modelPar_WPCLMG_dX;
bool modelPar_given_WPCLMG;
double modelPar_P2PCLMG;
double d_modelPar_P2PCLMG_dX;
bool modelPar_given_P2PCLMG;
double modelPar_PCLMCV;
double d_modelPar_PCLMCV_dX;
bool modelPar_given_PCLMCV;
double modelPar_LPCLMCV;
double d_modelPar_LPCLMCV_dX;
bool modelPar_given_LPCLMCV;
double modelPar_NPCLMCV;
double d_modelPar_NPCLMCV_dX;
bool modelPar_given_NPCLMCV;
double modelPar_PPCLMCV;
double d_modelPar_PPCLMCV_dX;
bool modelPar_given_PPCLMCV;
double modelPar_WPCLMCV;
double d_modelPar_WPCLMCV_dX;
bool modelPar_given_WPCLMCV;
double modelPar_P2PCLMCV;
double d_modelPar_P2PCLMCV_dX;
bool modelPar_given_P2PCLMCV;
double modelPar_A1;
double d_modelPar_A1_dX;
bool modelPar_given_A1;
double modelPar_LA1;
double d_modelPar_LA1_dX;
bool modelPar_given_LA1;
double modelPar_NA1;
double d_modelPar_NA1_dX;
bool modelPar_given_NA1;
double modelPar_PA1;
double d_modelPar_PA1_dX;
bool modelPar_given_PA1;
double modelPar_WA1;
double d_modelPar_WA1_dX;
bool modelPar_given_WA1;
double modelPar_P2A1;
double d_modelPar_P2A1_dX;
bool modelPar_given_P2A1;
double modelPar_A11;
double d_modelPar_A11_dX;
bool modelPar_given_A11;
double modelPar_LA11;
double d_modelPar_LA11_dX;
bool modelPar_given_LA11;
double modelPar_NA11;
double d_modelPar_NA11_dX;
bool modelPar_given_NA11;
double modelPar_PA11;
double d_modelPar_PA11_dX;
bool modelPar_given_PA11;
double modelPar_WA11;
double d_modelPar_WA11_dX;
bool modelPar_given_WA11;
double modelPar_P2A11;
double d_modelPar_P2A11_dX;
bool modelPar_given_P2A11;
double modelPar_A2;
double d_modelPar_A2_dX;
bool modelPar_given_A2;
double modelPar_LA2;
double d_modelPar_LA2_dX;
bool modelPar_given_LA2;
double modelPar_NA2;
double d_modelPar_NA2_dX;
bool modelPar_given_NA2;
double modelPar_PA2;
double d_modelPar_PA2_dX;
bool modelPar_given_PA2;
double modelPar_WA2;
double d_modelPar_WA2_dX;
bool modelPar_given_WA2;
double modelPar_P2A2;
double d_modelPar_P2A2_dX;
bool modelPar_given_P2A2;
double modelPar_A21;
double d_modelPar_A21_dX;
bool modelPar_given_A21;
double modelPar_LA21;
double d_modelPar_LA21_dX;
bool modelPar_given_LA21;
double modelPar_NA21;
double d_modelPar_NA21_dX;
bool modelPar_given_NA21;
double modelPar_PA21;
double d_modelPar_PA21_dX;
bool modelPar_given_PA21;
double modelPar_WA21;
double d_modelPar_WA21_dX;
bool modelPar_given_WA21;
double modelPar_P2A21;
double d_modelPar_P2A21_dX;
bool modelPar_given_P2A21;
double modelPar_RGEXT;
double d_modelPar_RGEXT_dX;
bool modelPar_given_RGEXT;
double modelPar_RGFIN;
double d_modelPar_RGFIN_dX;
bool modelPar_given_RGFIN;
double modelPar_RSHS;
double d_modelPar_RSHS_dX;
bool modelPar_given_RSHS;
double modelPar_RSHD;
double d_modelPar_RSHD_dX;
bool modelPar_given_RSHD;
double modelPar_HEPI;
double d_modelPar_HEPI_dX;
bool modelPar_given_HEPI;
double modelPar_TSILI;
double d_modelPar_TSILI_dX;
bool modelPar_given_TSILI;
double modelPar_RHOC;
double d_modelPar_RHOC_dX;
bool modelPar_given_RHOC;
double modelPar_RHORSD;
double d_modelPar_RHORSD_dX;
bool modelPar_given_RHORSD;
double modelPar_CRATIO;
double d_modelPar_CRATIO_dX;
bool modelPar_given_CRATIO;
double modelPar_DELTAPRSD;
double d_modelPar_DELTAPRSD_dX;
bool modelPar_given_DELTAPRSD;
double modelPar_LSP;
double d_modelPar_LSP_dX;
bool modelPar_given_LSP;
double modelPar_EPSRSP;
double d_modelPar_EPSRSP_dX;
bool modelPar_given_EPSRSP;
double modelPar_TGATE;
double d_modelPar_TGATE_dX;
bool modelPar_given_TGATE;
double modelPar_TMASK;
double d_modelPar_TMASK_dX;
bool modelPar_given_TMASK;
double modelPar_ASILIEND;
double d_modelPar_ASILIEND_dX;
bool modelPar_given_ASILIEND;
double modelPar_ARSDEND;
double d_modelPar_ARSDEND_dX;
bool modelPar_given_ARSDEND;
double modelPar_PRSDEND;
double d_modelPar_PRSDEND_dX;
bool modelPar_given_PRSDEND;
double modelPar_RGEOA;
double d_modelPar_RGEOA_dX;
bool modelPar_given_RGEOA;
double modelPar_RGEOB;
double d_modelPar_RGEOB_dX;
bool modelPar_given_RGEOB;
double modelPar_RGEOC;
double d_modelPar_RGEOC_dX;
bool modelPar_given_RGEOC;
double modelPar_RGEOD;
double d_modelPar_RGEOD_dX;
bool modelPar_given_RGEOD;
double modelPar_RGEOE;
double d_modelPar_RGEOE_dX;
bool modelPar_given_RGEOE;
double modelPar_CGEOA;
double d_modelPar_CGEOA_dX;
bool modelPar_given_CGEOA;
double modelPar_CGEOB;
double d_modelPar_CGEOB_dX;
bool modelPar_given_CGEOB;
double modelPar_CGEOC;
double d_modelPar_CGEOC_dX;
bool modelPar_given_CGEOC;
double modelPar_CGEOD;
double d_modelPar_CGEOD_dX;
bool modelPar_given_CGEOD;
double modelPar_CGEOE;
double d_modelPar_CGEOE_dX;
bool modelPar_given_CGEOE;
double modelPar_DLCIGS;
double d_modelPar_DLCIGS_dX;
bool modelPar_given_DLCIGS;
double modelPar_DLCIGD;
double d_modelPar_DLCIGD_dX;
bool modelPar_given_DLCIGD;
double modelPar_VFBSD;
double d_modelPar_VFBSD_dX;
bool modelPar_given_VFBSD;
double modelPar_VFBSDCV;
double d_modelPar_VFBSDCV_dX;
bool modelPar_given_VFBSDCV;
double modelPar_TOXREF;
double d_modelPar_TOXREF_dX;
bool modelPar_given_TOXREF;
double modelPar_TOXG;
double d_modelPar_TOXG_dX;
bool modelPar_given_TOXG;
double modelPar_IGBINVCLAMP;
double d_modelPar_IGBINVCLAMP_dX;
bool modelPar_given_IGBINVCLAMP;
double modelPar_IGBACCCLAMP;
double d_modelPar_IGBACCCLAMP_dX;
bool modelPar_given_IGBACCCLAMP;
double modelPar_IGCINVCLAMP;
double d_modelPar_IGCINVCLAMP_dX;
bool modelPar_given_IGCINVCLAMP;
double modelPar_NTOX;
double d_modelPar_NTOX_dX;
bool modelPar_given_NTOX;
double modelPar_LNTOX;
double d_modelPar_LNTOX_dX;
bool modelPar_given_LNTOX;
double modelPar_NNTOX;
double d_modelPar_NNTOX_dX;
bool modelPar_given_NNTOX;
double modelPar_PNTOX;
double d_modelPar_PNTOX_dX;
bool modelPar_given_PNTOX;
double modelPar_WNTOX;
double d_modelPar_WNTOX_dX;
bool modelPar_given_WNTOX;
double modelPar_P2NTOX;
double d_modelPar_P2NTOX_dX;
bool modelPar_given_P2NTOX;
double modelPar_AIGBINV;
double d_modelPar_AIGBINV_dX;
bool modelPar_given_AIGBINV;
double modelPar_LAIGBINV;
double d_modelPar_LAIGBINV_dX;
bool modelPar_given_LAIGBINV;
double modelPar_NAIGBINV;
double d_modelPar_NAIGBINV_dX;
bool modelPar_given_NAIGBINV;
double modelPar_PAIGBINV;
double d_modelPar_PAIGBINV_dX;
bool modelPar_given_PAIGBINV;
double modelPar_WAIGBINV;
double d_modelPar_WAIGBINV_dX;
bool modelPar_given_WAIGBINV;
double modelPar_P2AIGBINV;
double d_modelPar_P2AIGBINV_dX;
bool modelPar_given_P2AIGBINV;
double modelPar_AIGBINV1;
double d_modelPar_AIGBINV1_dX;
bool modelPar_given_AIGBINV1;
double modelPar_LAIGBINV1;
double d_modelPar_LAIGBINV1_dX;
bool modelPar_given_LAIGBINV1;
double modelPar_NAIGBINV1;
double d_modelPar_NAIGBINV1_dX;
bool modelPar_given_NAIGBINV1;
double modelPar_PAIGBINV1;
double d_modelPar_PAIGBINV1_dX;
bool modelPar_given_PAIGBINV1;
double modelPar_WAIGBINV1;
double d_modelPar_WAIGBINV1_dX;
bool modelPar_given_WAIGBINV1;
double modelPar_P2AIGBINV1;
double d_modelPar_P2AIGBINV1_dX;
bool modelPar_given_P2AIGBINV1;
double modelPar_BIGBINV;
double d_modelPar_BIGBINV_dX;
bool modelPar_given_BIGBINV;
double modelPar_LBIGBINV;
double d_modelPar_LBIGBINV_dX;
bool modelPar_given_LBIGBINV;
double modelPar_NBIGBINV;
double d_modelPar_NBIGBINV_dX;
bool modelPar_given_NBIGBINV;
double modelPar_PBIGBINV;
double d_modelPar_PBIGBINV_dX;
bool modelPar_given_PBIGBINV;
double modelPar_WBIGBINV;
double d_modelPar_WBIGBINV_dX;
bool modelPar_given_WBIGBINV;
double modelPar_P2BIGBINV;
double d_modelPar_P2BIGBINV_dX;
bool modelPar_given_P2BIGBINV;
double modelPar_CIGBINV;
double d_modelPar_CIGBINV_dX;
bool modelPar_given_CIGBINV;
double modelPar_LCIGBINV;
double d_modelPar_LCIGBINV_dX;
bool modelPar_given_LCIGBINV;
double modelPar_NCIGBINV;
double d_modelPar_NCIGBINV_dX;
bool modelPar_given_NCIGBINV;
double modelPar_PCIGBINV;
double d_modelPar_PCIGBINV_dX;
bool modelPar_given_PCIGBINV;
double modelPar_WCIGBINV;
double d_modelPar_WCIGBINV_dX;
bool modelPar_given_WCIGBINV;
double modelPar_P2CIGBINV;
double d_modelPar_P2CIGBINV_dX;
bool modelPar_given_P2CIGBINV;
double modelPar_EIGBINV;
double d_modelPar_EIGBINV_dX;
bool modelPar_given_EIGBINV;
double modelPar_LEIGBINV;
double d_modelPar_LEIGBINV_dX;
bool modelPar_given_LEIGBINV;
double modelPar_NEIGBINV;
double d_modelPar_NEIGBINV_dX;
bool modelPar_given_NEIGBINV;
double modelPar_PEIGBINV;
double d_modelPar_PEIGBINV_dX;
bool modelPar_given_PEIGBINV;
double modelPar_WEIGBINV;
double d_modelPar_WEIGBINV_dX;
bool modelPar_given_WEIGBINV;
double modelPar_P2EIGBINV;
double d_modelPar_P2EIGBINV_dX;
bool modelPar_given_P2EIGBINV;
double modelPar_NIGBINV;
double d_modelPar_NIGBINV_dX;
bool modelPar_given_NIGBINV;
double modelPar_LNIGBINV;
double d_modelPar_LNIGBINV_dX;
bool modelPar_given_LNIGBINV;
double modelPar_NNIGBINV;
double d_modelPar_NNIGBINV_dX;
bool modelPar_given_NNIGBINV;
double modelPar_PNIGBINV;
double d_modelPar_PNIGBINV_dX;
bool modelPar_given_PNIGBINV;
double modelPar_WNIGBINV;
double d_modelPar_WNIGBINV_dX;
bool modelPar_given_WNIGBINV;
double modelPar_P2NIGBINV;
double d_modelPar_P2NIGBINV_dX;
bool modelPar_given_P2NIGBINV;
double modelPar_AIGBACC;
double d_modelPar_AIGBACC_dX;
bool modelPar_given_AIGBACC;
double modelPar_LAIGBACC;
double d_modelPar_LAIGBACC_dX;
bool modelPar_given_LAIGBACC;
double modelPar_NAIGBACC;
double d_modelPar_NAIGBACC_dX;
bool modelPar_given_NAIGBACC;
double modelPar_PAIGBACC;
double d_modelPar_PAIGBACC_dX;
bool modelPar_given_PAIGBACC;
double modelPar_WAIGBACC;
double d_modelPar_WAIGBACC_dX;
bool modelPar_given_WAIGBACC;
double modelPar_P2AIGBACC;
double d_modelPar_P2AIGBACC_dX;
bool modelPar_given_P2AIGBACC;
double modelPar_AIGBACC1;
double d_modelPar_AIGBACC1_dX;
bool modelPar_given_AIGBACC1;
double modelPar_LAIGBACC1;
double d_modelPar_LAIGBACC1_dX;
bool modelPar_given_LAIGBACC1;
double modelPar_NAIGBACC1;
double d_modelPar_NAIGBACC1_dX;
bool modelPar_given_NAIGBACC1;
double modelPar_PAIGBACC1;
double d_modelPar_PAIGBACC1_dX;
bool modelPar_given_PAIGBACC1;
double modelPar_WAIGBACC1;
double d_modelPar_WAIGBACC1_dX;
bool modelPar_given_WAIGBACC1;
double modelPar_P2AIGBACC1;
double d_modelPar_P2AIGBACC1_dX;
bool modelPar_given_P2AIGBACC1;
double modelPar_BIGBACC;
double d_modelPar_BIGBACC_dX;
bool modelPar_given_BIGBACC;
double modelPar_LBIGBACC;
double d_modelPar_LBIGBACC_dX;
bool modelPar_given_LBIGBACC;
double modelPar_NBIGBACC;
double d_modelPar_NBIGBACC_dX;
bool modelPar_given_NBIGBACC;
double modelPar_PBIGBACC;
double d_modelPar_PBIGBACC_dX;
bool modelPar_given_PBIGBACC;
double modelPar_WBIGBACC;
double d_modelPar_WBIGBACC_dX;
bool modelPar_given_WBIGBACC;
double modelPar_P2BIGBACC;
double d_modelPar_P2BIGBACC_dX;
bool modelPar_given_P2BIGBACC;
double modelPar_CIGBACC;
double d_modelPar_CIGBACC_dX;
bool modelPar_given_CIGBACC;
double modelPar_LCIGBACC;
double d_modelPar_LCIGBACC_dX;
bool modelPar_given_LCIGBACC;
double modelPar_NCIGBACC;
double d_modelPar_NCIGBACC_dX;
bool modelPar_given_NCIGBACC;
double modelPar_PCIGBACC;
double d_modelPar_PCIGBACC_dX;
bool modelPar_given_PCIGBACC;
double modelPar_WCIGBACC;
double d_modelPar_WCIGBACC_dX;
bool modelPar_given_WCIGBACC;
double modelPar_P2CIGBACC;
double d_modelPar_P2CIGBACC_dX;
bool modelPar_given_P2CIGBACC;
double modelPar_NIGBACC;
double d_modelPar_NIGBACC_dX;
bool modelPar_given_NIGBACC;
double modelPar_LNIGBACC;
double d_modelPar_LNIGBACC_dX;
bool modelPar_given_LNIGBACC;
double modelPar_NNIGBACC;
double d_modelPar_NNIGBACC_dX;
bool modelPar_given_NNIGBACC;
double modelPar_PNIGBACC;
double d_modelPar_PNIGBACC_dX;
bool modelPar_given_PNIGBACC;
double modelPar_WNIGBACC;
double d_modelPar_WNIGBACC_dX;
bool modelPar_given_WNIGBACC;
double modelPar_P2NIGBACC;
double d_modelPar_P2NIGBACC_dX;
bool modelPar_given_P2NIGBACC;
double modelPar_AIGC;
double d_modelPar_AIGC_dX;
bool modelPar_given_AIGC;
double modelPar_LAIGC;
double d_modelPar_LAIGC_dX;
bool modelPar_given_LAIGC;
double modelPar_NAIGC;
double d_modelPar_NAIGC_dX;
bool modelPar_given_NAIGC;
double modelPar_PAIGC;
double d_modelPar_PAIGC_dX;
bool modelPar_given_PAIGC;
double modelPar_WAIGC;
double d_modelPar_WAIGC_dX;
bool modelPar_given_WAIGC;
double modelPar_P2AIGC;
double d_modelPar_P2AIGC_dX;
bool modelPar_given_P2AIGC;
double modelPar_AIGC1;
double d_modelPar_AIGC1_dX;
bool modelPar_given_AIGC1;
double modelPar_LAIGC1;
double d_modelPar_LAIGC1_dX;
bool modelPar_given_LAIGC1;
double modelPar_NAIGC1;
double d_modelPar_NAIGC1_dX;
bool modelPar_given_NAIGC1;
double modelPar_PAIGC1;
double d_modelPar_PAIGC1_dX;
bool modelPar_given_PAIGC1;
double modelPar_WAIGC1;
double d_modelPar_WAIGC1_dX;
bool modelPar_given_WAIGC1;
double modelPar_P2AIGC1;
double d_modelPar_P2AIGC1_dX;
bool modelPar_given_P2AIGC1;
double modelPar_BIGC;
double d_modelPar_BIGC_dX;
bool modelPar_given_BIGC;
double modelPar_LBIGC;
double d_modelPar_LBIGC_dX;
bool modelPar_given_LBIGC;
double modelPar_NBIGC;
double d_modelPar_NBIGC_dX;
bool modelPar_given_NBIGC;
double modelPar_PBIGC;
double d_modelPar_PBIGC_dX;
bool modelPar_given_PBIGC;
double modelPar_WBIGC;
double d_modelPar_WBIGC_dX;
bool modelPar_given_WBIGC;
double modelPar_P2BIGC;
double d_modelPar_P2BIGC_dX;
bool modelPar_given_P2BIGC;
double modelPar_CIGC;
double d_modelPar_CIGC_dX;
bool modelPar_given_CIGC;
double modelPar_LCIGC;
double d_modelPar_LCIGC_dX;
bool modelPar_given_LCIGC;
double modelPar_NCIGC;
double d_modelPar_NCIGC_dX;
bool modelPar_given_NCIGC;
double modelPar_PCIGC;
double d_modelPar_PCIGC_dX;
bool modelPar_given_PCIGC;
double modelPar_WCIGC;
double d_modelPar_WCIGC_dX;
bool modelPar_given_WCIGC;
double modelPar_P2CIGC;
double d_modelPar_P2CIGC_dX;
bool modelPar_given_P2CIGC;
double modelPar_PIGCD;
double d_modelPar_PIGCD_dX;
bool modelPar_given_PIGCD;
double modelPar_LPIGCD;
double d_modelPar_LPIGCD_dX;
bool modelPar_given_LPIGCD;
double modelPar_NPIGCD;
double d_modelPar_NPIGCD_dX;
bool modelPar_given_NPIGCD;
double modelPar_PPIGCD;
double d_modelPar_PPIGCD_dX;
bool modelPar_given_PPIGCD;
double modelPar_WPIGCD;
double d_modelPar_WPIGCD_dX;
bool modelPar_given_WPIGCD;
double modelPar_P2PIGCD;
double d_modelPar_P2PIGCD_dX;
bool modelPar_given_P2PIGCD;
double modelPar_AIGS;
double d_modelPar_AIGS_dX;
bool modelPar_given_AIGS;
double modelPar_LAIGS;
double d_modelPar_LAIGS_dX;
bool modelPar_given_LAIGS;
double modelPar_NAIGS;
double d_modelPar_NAIGS_dX;
bool modelPar_given_NAIGS;
double modelPar_PAIGS;
double d_modelPar_PAIGS_dX;
bool modelPar_given_PAIGS;
double modelPar_WAIGS;
double d_modelPar_WAIGS_dX;
bool modelPar_given_WAIGS;
double modelPar_P2AIGS;
double d_modelPar_P2AIGS_dX;
bool modelPar_given_P2AIGS;
double modelPar_AIGS1;
double d_modelPar_AIGS1_dX;
bool modelPar_given_AIGS1;
double modelPar_LAIGS1;
double d_modelPar_LAIGS1_dX;
bool modelPar_given_LAIGS1;
double modelPar_NAIGS1;
double d_modelPar_NAIGS1_dX;
bool modelPar_given_NAIGS1;
double modelPar_PAIGS1;
double d_modelPar_PAIGS1_dX;
bool modelPar_given_PAIGS1;
double modelPar_WAIGS1;
double d_modelPar_WAIGS1_dX;
bool modelPar_given_WAIGS1;
double modelPar_P2AIGS1;
double d_modelPar_P2AIGS1_dX;
bool modelPar_given_P2AIGS1;
double modelPar_BIGS;
double d_modelPar_BIGS_dX;
bool modelPar_given_BIGS;
double modelPar_LBIGS;
double d_modelPar_LBIGS_dX;
bool modelPar_given_LBIGS;
double modelPar_NBIGS;
double d_modelPar_NBIGS_dX;
bool modelPar_given_NBIGS;
double modelPar_PBIGS;
double d_modelPar_PBIGS_dX;
bool modelPar_given_PBIGS;
double modelPar_WBIGS;
double d_modelPar_WBIGS_dX;
bool modelPar_given_WBIGS;
double modelPar_P2BIGS;
double d_modelPar_P2BIGS_dX;
bool modelPar_given_P2BIGS;
double modelPar_CIGS;
double d_modelPar_CIGS_dX;
bool modelPar_given_CIGS;
double modelPar_LCIGS;
double d_modelPar_LCIGS_dX;
bool modelPar_given_LCIGS;
double modelPar_NCIGS;
double d_modelPar_NCIGS_dX;
bool modelPar_given_NCIGS;
double modelPar_PCIGS;
double d_modelPar_PCIGS_dX;
bool modelPar_given_PCIGS;
double modelPar_WCIGS;
double d_modelPar_WCIGS_dX;
bool modelPar_given_WCIGS;
double modelPar_P2CIGS;
double d_modelPar_P2CIGS_dX;
bool modelPar_given_P2CIGS;
double modelPar_AIGD;
double d_modelPar_AIGD_dX;
bool modelPar_given_AIGD;
double modelPar_LAIGD;
double d_modelPar_LAIGD_dX;
bool modelPar_given_LAIGD;
double modelPar_NAIGD;
double d_modelPar_NAIGD_dX;
bool modelPar_given_NAIGD;
double modelPar_PAIGD;
double d_modelPar_PAIGD_dX;
bool modelPar_given_PAIGD;
double modelPar_WAIGD;
double d_modelPar_WAIGD_dX;
bool modelPar_given_WAIGD;
double modelPar_P2AIGD;
double d_modelPar_P2AIGD_dX;
bool modelPar_given_P2AIGD;
double modelPar_AIGD1;
double d_modelPar_AIGD1_dX;
bool modelPar_given_AIGD1;
double modelPar_LAIGD1;
double d_modelPar_LAIGD1_dX;
bool modelPar_given_LAIGD1;
double modelPar_NAIGD1;
double d_modelPar_NAIGD1_dX;
bool modelPar_given_NAIGD1;
double modelPar_PAIGD1;
double d_modelPar_PAIGD1_dX;
bool modelPar_given_PAIGD1;
double modelPar_WAIGD1;
double d_modelPar_WAIGD1_dX;
bool modelPar_given_WAIGD1;
double modelPar_P2AIGD1;
double d_modelPar_P2AIGD1_dX;
bool modelPar_given_P2AIGD1;
double modelPar_BIGD;
double d_modelPar_BIGD_dX;
bool modelPar_given_BIGD;
double modelPar_LBIGD;
double d_modelPar_LBIGD_dX;
bool modelPar_given_LBIGD;
double modelPar_NBIGD;
double d_modelPar_NBIGD_dX;
bool modelPar_given_NBIGD;
double modelPar_PBIGD;
double d_modelPar_PBIGD_dX;
bool modelPar_given_PBIGD;
double modelPar_WBIGD;
double d_modelPar_WBIGD_dX;
bool modelPar_given_WBIGD;
double modelPar_P2BIGD;
double d_modelPar_P2BIGD_dX;
bool modelPar_given_P2BIGD;
double modelPar_CIGD;
double d_modelPar_CIGD_dX;
bool modelPar_given_CIGD;
double modelPar_LCIGD;
double d_modelPar_LCIGD_dX;
bool modelPar_given_LCIGD;
double modelPar_NCIGD;
double d_modelPar_NCIGD_dX;
bool modelPar_given_NCIGD;
double modelPar_PCIGD;
double d_modelPar_PCIGD_dX;
bool modelPar_given_PCIGD;
double modelPar_WCIGD;
double d_modelPar_WCIGD_dX;
bool modelPar_given_WCIGD;
double modelPar_P2CIGD;
double d_modelPar_P2CIGD_dX;
bool modelPar_given_P2CIGD;
double modelPar_POXEDGE;
double d_modelPar_POXEDGE_dX;
bool modelPar_given_POXEDGE;
double modelPar_LPOXEDGE;
double d_modelPar_LPOXEDGE_dX;
bool modelPar_given_LPOXEDGE;
double modelPar_NPOXEDGE;
double d_modelPar_NPOXEDGE_dX;
bool modelPar_given_NPOXEDGE;
double modelPar_PPOXEDGE;
double d_modelPar_PPOXEDGE_dX;
bool modelPar_given_PPOXEDGE;
double modelPar_WPOXEDGE;
double d_modelPar_WPOXEDGE_dX;
bool modelPar_given_WPOXEDGE;
double modelPar_P2POXEDGE;
double d_modelPar_P2POXEDGE_dX;
bool modelPar_given_P2POXEDGE;
double modelPar_AGIDL;
double d_modelPar_AGIDL_dX;
bool modelPar_given_AGIDL;
double modelPar_LAGIDL;
double d_modelPar_LAGIDL_dX;
bool modelPar_given_LAGIDL;
double modelPar_NAGIDL;
double d_modelPar_NAGIDL_dX;
bool modelPar_given_NAGIDL;
double modelPar_PAGIDL;
double d_modelPar_PAGIDL_dX;
bool modelPar_given_PAGIDL;
double modelPar_WAGIDL;
double d_modelPar_WAGIDL_dX;
bool modelPar_given_WAGIDL;
double modelPar_P2AGIDL;
double d_modelPar_P2AGIDL_dX;
bool modelPar_given_P2AGIDL;
double modelPar_BGIDL;
double d_modelPar_BGIDL_dX;
bool modelPar_given_BGIDL;
double modelPar_LBGIDL;
double d_modelPar_LBGIDL_dX;
bool modelPar_given_LBGIDL;
double modelPar_NBGIDL;
double d_modelPar_NBGIDL_dX;
bool modelPar_given_NBGIDL;
double modelPar_PBGIDL;
double d_modelPar_PBGIDL_dX;
bool modelPar_given_PBGIDL;
double modelPar_WBGIDL;
double d_modelPar_WBGIDL_dX;
bool modelPar_given_WBGIDL;
double modelPar_P2BGIDL;
double d_modelPar_P2BGIDL_dX;
bool modelPar_given_P2BGIDL;
double modelPar_CGIDL;
double d_modelPar_CGIDL_dX;
bool modelPar_given_CGIDL;
double modelPar_LCGIDL;
double d_modelPar_LCGIDL_dX;
bool modelPar_given_LCGIDL;
double modelPar_NCGIDL;
double d_modelPar_NCGIDL_dX;
bool modelPar_given_NCGIDL;
double modelPar_PCGIDL;
double d_modelPar_PCGIDL_dX;
bool modelPar_given_PCGIDL;
double modelPar_WCGIDL;
double d_modelPar_WCGIDL_dX;
bool modelPar_given_WCGIDL;
double modelPar_P2CGIDL;
double d_modelPar_P2CGIDL_dX;
bool modelPar_given_P2CGIDL;
double modelPar_EGIDL;
double d_modelPar_EGIDL_dX;
bool modelPar_given_EGIDL;
double modelPar_LEGIDL;
double d_modelPar_LEGIDL_dX;
bool modelPar_given_LEGIDL;
double modelPar_NEGIDL;
double d_modelPar_NEGIDL_dX;
bool modelPar_given_NEGIDL;
double modelPar_PEGIDL;
double d_modelPar_PEGIDL_dX;
bool modelPar_given_PEGIDL;
double modelPar_WEGIDL;
double d_modelPar_WEGIDL_dX;
bool modelPar_given_WEGIDL;
double modelPar_P2EGIDL;
double d_modelPar_P2EGIDL_dX;
bool modelPar_given_P2EGIDL;
double modelPar_PGIDL;
double d_modelPar_PGIDL_dX;
bool modelPar_given_PGIDL;
double modelPar_LPGIDL;
double d_modelPar_LPGIDL_dX;
bool modelPar_given_LPGIDL;
double modelPar_NPGIDL;
double d_modelPar_NPGIDL_dX;
bool modelPar_given_NPGIDL;
double modelPar_PPGIDL;
double d_modelPar_PPGIDL_dX;
bool modelPar_given_PPGIDL;
double modelPar_WPGIDL;
double d_modelPar_WPGIDL_dX;
bool modelPar_given_WPGIDL;
double modelPar_P2PGIDL;
double d_modelPar_P2PGIDL_dX;
bool modelPar_given_P2PGIDL;
double modelPar_AGISL;
double d_modelPar_AGISL_dX;
bool modelPar_given_AGISL;
double modelPar_LAGISL;
double d_modelPar_LAGISL_dX;
bool modelPar_given_LAGISL;
double modelPar_NAGISL;
double d_modelPar_NAGISL_dX;
bool modelPar_given_NAGISL;
double modelPar_PAGISL;
double d_modelPar_PAGISL_dX;
bool modelPar_given_PAGISL;
double modelPar_WAGISL;
double d_modelPar_WAGISL_dX;
bool modelPar_given_WAGISL;
double modelPar_P2AGISL;
double d_modelPar_P2AGISL_dX;
bool modelPar_given_P2AGISL;
double modelPar_BGISL;
double d_modelPar_BGISL_dX;
bool modelPar_given_BGISL;
double modelPar_LBGISL;
double d_modelPar_LBGISL_dX;
bool modelPar_given_LBGISL;
double modelPar_NBGISL;
double d_modelPar_NBGISL_dX;
bool modelPar_given_NBGISL;
double modelPar_PBGISL;
double d_modelPar_PBGISL_dX;
bool modelPar_given_PBGISL;
double modelPar_WBGISL;
double d_modelPar_WBGISL_dX;
bool modelPar_given_WBGISL;
double modelPar_P2BGISL;
double d_modelPar_P2BGISL_dX;
bool modelPar_given_P2BGISL;
double modelPar_CGISL;
double d_modelPar_CGISL_dX;
bool modelPar_given_CGISL;
double modelPar_LCGISL;
double d_modelPar_LCGISL_dX;
bool modelPar_given_LCGISL;
double modelPar_NCGISL;
double d_modelPar_NCGISL_dX;
bool modelPar_given_NCGISL;
double modelPar_PCGISL;
double d_modelPar_PCGISL_dX;
bool modelPar_given_PCGISL;
double modelPar_WCGISL;
double d_modelPar_WCGISL_dX;
bool modelPar_given_WCGISL;
double modelPar_P2CGISL;
double d_modelPar_P2CGISL_dX;
bool modelPar_given_P2CGISL;
double modelPar_EGISL;
double d_modelPar_EGISL_dX;
bool modelPar_given_EGISL;
double modelPar_LEGISL;
double d_modelPar_LEGISL_dX;
bool modelPar_given_LEGISL;
double modelPar_NEGISL;
double d_modelPar_NEGISL_dX;
bool modelPar_given_NEGISL;
double modelPar_PEGISL;
double d_modelPar_PEGISL_dX;
bool modelPar_given_PEGISL;
double modelPar_WEGISL;
double d_modelPar_WEGISL_dX;
bool modelPar_given_WEGISL;
double modelPar_P2EGISL;
double d_modelPar_P2EGISL_dX;
bool modelPar_given_P2EGISL;
double modelPar_PGISL;
double d_modelPar_PGISL_dX;
bool modelPar_given_PGISL;
double modelPar_LPGISL;
double d_modelPar_LPGISL_dX;
bool modelPar_given_LPGISL;
double modelPar_NPGISL;
double d_modelPar_NPGISL_dX;
bool modelPar_given_NPGISL;
double modelPar_PPGISL;
double d_modelPar_PPGISL_dX;
bool modelPar_given_PPGISL;
double modelPar_WPGISL;
double d_modelPar_WPGISL_dX;
bool modelPar_given_WPGISL;
double modelPar_P2PGISL;
double d_modelPar_P2PGISL_dX;
bool modelPar_given_P2PGISL;
double modelPar_AGIDLB;
double d_modelPar_AGIDLB_dX;
bool modelPar_given_AGIDLB;
double modelPar_LAGIDLB;
double d_modelPar_LAGIDLB_dX;
bool modelPar_given_LAGIDLB;
double modelPar_NAGIDLB;
double d_modelPar_NAGIDLB_dX;
bool modelPar_given_NAGIDLB;
double modelPar_PAGIDLB;
double d_modelPar_PAGIDLB_dX;
bool modelPar_given_PAGIDLB;
double modelPar_WAGIDLB;
double d_modelPar_WAGIDLB_dX;
bool modelPar_given_WAGIDLB;
double modelPar_P2AGIDLB;
double d_modelPar_P2AGIDLB_dX;
bool modelPar_given_P2AGIDLB;
double modelPar_BGIDLB;
double d_modelPar_BGIDLB_dX;
bool modelPar_given_BGIDLB;
double modelPar_LBGIDLB;
double d_modelPar_LBGIDLB_dX;
bool modelPar_given_LBGIDLB;
double modelPar_NBGIDLB;
double d_modelPar_NBGIDLB_dX;
bool modelPar_given_NBGIDLB;
double modelPar_PBGIDLB;
double d_modelPar_PBGIDLB_dX;
bool modelPar_given_PBGIDLB;
double modelPar_WBGIDLB;
double d_modelPar_WBGIDLB_dX;
bool modelPar_given_WBGIDLB;
double modelPar_P2BGIDLB;
double d_modelPar_P2BGIDLB_dX;
bool modelPar_given_P2BGIDLB;
double modelPar_CGIDLB;
double d_modelPar_CGIDLB_dX;
bool modelPar_given_CGIDLB;
double modelPar_LCGIDLB;
double d_modelPar_LCGIDLB_dX;
bool modelPar_given_LCGIDLB;
double modelPar_NCGIDLB;
double d_modelPar_NCGIDLB_dX;
bool modelPar_given_NCGIDLB;
double modelPar_PCGIDLB;
double d_modelPar_PCGIDLB_dX;
bool modelPar_given_PCGIDLB;
double modelPar_WCGIDLB;
double d_modelPar_WCGIDLB_dX;
bool modelPar_given_WCGIDLB;
double modelPar_P2CGIDLB;
double d_modelPar_P2CGIDLB_dX;
bool modelPar_given_P2CGIDLB;
double modelPar_EGIDLB;
double d_modelPar_EGIDLB_dX;
bool modelPar_given_EGIDLB;
double modelPar_LEGIDLB;
double d_modelPar_LEGIDLB_dX;
bool modelPar_given_LEGIDLB;
double modelPar_NEGIDLB;
double d_modelPar_NEGIDLB_dX;
bool modelPar_given_NEGIDLB;
double modelPar_PEGIDLB;
double d_modelPar_PEGIDLB_dX;
bool modelPar_given_PEGIDLB;
double modelPar_WEGIDLB;
double d_modelPar_WEGIDLB_dX;
bool modelPar_given_WEGIDLB;
double modelPar_P2EGIDLB;
double d_modelPar_P2EGIDLB_dX;
bool modelPar_given_P2EGIDLB;
double modelPar_PGIDLB;
double d_modelPar_PGIDLB_dX;
bool modelPar_given_PGIDLB;
double modelPar_LPGIDLB;
double d_modelPar_LPGIDLB_dX;
bool modelPar_given_LPGIDLB;
double modelPar_NPGIDLB;
double d_modelPar_NPGIDLB_dX;
bool modelPar_given_NPGIDLB;
double modelPar_PPGIDLB;
double d_modelPar_PPGIDLB_dX;
bool modelPar_given_PPGIDLB;
double modelPar_WPGIDLB;
double d_modelPar_WPGIDLB_dX;
bool modelPar_given_WPGIDLB;
double modelPar_P2PGIDLB;
double d_modelPar_P2PGIDLB_dX;
bool modelPar_given_P2PGIDLB;
double modelPar_AGISLB;
double d_modelPar_AGISLB_dX;
bool modelPar_given_AGISLB;
double modelPar_LAGISLB;
double d_modelPar_LAGISLB_dX;
bool modelPar_given_LAGISLB;
double modelPar_NAGISLB;
double d_modelPar_NAGISLB_dX;
bool modelPar_given_NAGISLB;
double modelPar_PAGISLB;
double d_modelPar_PAGISLB_dX;
bool modelPar_given_PAGISLB;
double modelPar_WAGISLB;
double d_modelPar_WAGISLB_dX;
bool modelPar_given_WAGISLB;
double modelPar_P2AGISLB;
double d_modelPar_P2AGISLB_dX;
bool modelPar_given_P2AGISLB;
double modelPar_BGISLB;
double d_modelPar_BGISLB_dX;
bool modelPar_given_BGISLB;
double modelPar_LBGISLB;
double d_modelPar_LBGISLB_dX;
bool modelPar_given_LBGISLB;
double modelPar_NBGISLB;
double d_modelPar_NBGISLB_dX;
bool modelPar_given_NBGISLB;
double modelPar_PBGISLB;
double d_modelPar_PBGISLB_dX;
bool modelPar_given_PBGISLB;
double modelPar_WBGISLB;
double d_modelPar_WBGISLB_dX;
bool modelPar_given_WBGISLB;
double modelPar_P2BGISLB;
double d_modelPar_P2BGISLB_dX;
bool modelPar_given_P2BGISLB;
double modelPar_CGISLB;
double d_modelPar_CGISLB_dX;
bool modelPar_given_CGISLB;
double modelPar_LCGISLB;
double d_modelPar_LCGISLB_dX;
bool modelPar_given_LCGISLB;
double modelPar_NCGISLB;
double d_modelPar_NCGISLB_dX;
bool modelPar_given_NCGISLB;
double modelPar_PCGISLB;
double d_modelPar_PCGISLB_dX;
bool modelPar_given_PCGISLB;
double modelPar_WCGISLB;
double d_modelPar_WCGISLB_dX;
bool modelPar_given_WCGISLB;
double modelPar_P2CGISLB;
double d_modelPar_P2CGISLB_dX;
bool modelPar_given_P2CGISLB;
double modelPar_EGISLB;
double d_modelPar_EGISLB_dX;
bool modelPar_given_EGISLB;
double modelPar_LEGISLB;
double d_modelPar_LEGISLB_dX;
bool modelPar_given_LEGISLB;
double modelPar_NEGISLB;
double d_modelPar_NEGISLB_dX;
bool modelPar_given_NEGISLB;
double modelPar_PEGISLB;
double d_modelPar_PEGISLB_dX;
bool modelPar_given_PEGISLB;
double modelPar_WEGISLB;
double d_modelPar_WEGISLB_dX;
bool modelPar_given_WEGISLB;
double modelPar_P2EGISLB;
double d_modelPar_P2EGISLB_dX;
bool modelPar_given_P2EGISLB;
double modelPar_PGISLB;
double d_modelPar_PGISLB_dX;
bool modelPar_given_PGISLB;
double modelPar_LPGISLB;
double d_modelPar_LPGISLB_dX;
bool modelPar_given_LPGISLB;
double modelPar_NPGISLB;
double d_modelPar_NPGISLB_dX;
bool modelPar_given_NPGISLB;
double modelPar_PPGISLB;
double d_modelPar_PPGISLB_dX;
bool modelPar_given_PPGISLB;
double modelPar_WPGISLB;
double d_modelPar_WPGISLB_dX;
bool modelPar_given_WPGISLB;
double modelPar_P2PGISLB;
double d_modelPar_P2PGISLB_dX;
bool modelPar_given_P2PGISLB;
double modelPar_ALPHA01;
double d_modelPar_ALPHA01_dX;
bool modelPar_given_ALPHA01;
double modelPar_ALPHA11;
double d_modelPar_ALPHA11_dX;
bool modelPar_given_ALPHA11;
double modelPar_ALPHAII01;
double d_modelPar_ALPHAII01_dX;
bool modelPar_given_ALPHAII01;
double modelPar_ALPHAII11;
double d_modelPar_ALPHAII11_dX;
bool modelPar_given_ALPHAII11;
double modelPar_IIMOD2CLAMP1;
double d_modelPar_IIMOD2CLAMP1_dX;
bool modelPar_given_IIMOD2CLAMP1;
double modelPar_IIMOD2CLAMP2;
double d_modelPar_IIMOD2CLAMP2_dX;
bool modelPar_given_IIMOD2CLAMP2;
double modelPar_IIMOD2CLAMP3;
double d_modelPar_IIMOD2CLAMP3_dX;
bool modelPar_given_IIMOD2CLAMP3;
double modelPar_ALPHA0;
double d_modelPar_ALPHA0_dX;
bool modelPar_given_ALPHA0;
double modelPar_LALPHA0;
double d_modelPar_LALPHA0_dX;
bool modelPar_given_LALPHA0;
double modelPar_NALPHA0;
double d_modelPar_NALPHA0_dX;
bool modelPar_given_NALPHA0;
double modelPar_PALPHA0;
double d_modelPar_PALPHA0_dX;
bool modelPar_given_PALPHA0;
double modelPar_WALPHA0;
double d_modelPar_WALPHA0_dX;
bool modelPar_given_WALPHA0;
double modelPar_P2ALPHA0;
double d_modelPar_P2ALPHA0_dX;
bool modelPar_given_P2ALPHA0;
double modelPar_ALPHA1;
double d_modelPar_ALPHA1_dX;
bool modelPar_given_ALPHA1;
double modelPar_LALPHA1;
double d_modelPar_LALPHA1_dX;
bool modelPar_given_LALPHA1;
double modelPar_NALPHA1;
double d_modelPar_NALPHA1_dX;
bool modelPar_given_NALPHA1;
double modelPar_PALPHA1;
double d_modelPar_PALPHA1_dX;
bool modelPar_given_PALPHA1;
double modelPar_WALPHA1;
double d_modelPar_WALPHA1_dX;
bool modelPar_given_WALPHA1;
double modelPar_P2ALPHA1;
double d_modelPar_P2ALPHA1_dX;
bool modelPar_given_P2ALPHA1;
double modelPar_BETA0;
double d_modelPar_BETA0_dX;
bool modelPar_given_BETA0;
double modelPar_LBETA0;
double d_modelPar_LBETA0_dX;
bool modelPar_given_LBETA0;
double modelPar_NBETA0;
double d_modelPar_NBETA0_dX;
bool modelPar_given_NBETA0;
double modelPar_PBETA0;
double d_modelPar_PBETA0_dX;
bool modelPar_given_PBETA0;
double modelPar_WBETA0;
double d_modelPar_WBETA0_dX;
bool modelPar_given_WBETA0;
double modelPar_P2BETA0;
double d_modelPar_P2BETA0_dX;
bool modelPar_given_P2BETA0;
double modelPar_ALPHAII0;
double d_modelPar_ALPHAII0_dX;
bool modelPar_given_ALPHAII0;
double modelPar_LALPHAII0;
double d_modelPar_LALPHAII0_dX;
bool modelPar_given_LALPHAII0;
double modelPar_NALPHAII0;
double d_modelPar_NALPHAII0_dX;
bool modelPar_given_NALPHAII0;
double modelPar_PALPHAII0;
double d_modelPar_PALPHAII0_dX;
bool modelPar_given_PALPHAII0;
double modelPar_WALPHAII0;
double d_modelPar_WALPHAII0_dX;
bool modelPar_given_WALPHAII0;
double modelPar_P2ALPHAII0;
double d_modelPar_P2ALPHAII0_dX;
bool modelPar_given_P2ALPHAII0;
double modelPar_ALPHAII1;
double d_modelPar_ALPHAII1_dX;
bool modelPar_given_ALPHAII1;
double modelPar_LALPHAII1;
double d_modelPar_LALPHAII1_dX;
bool modelPar_given_LALPHAII1;
double modelPar_NALPHAII1;
double d_modelPar_NALPHAII1_dX;
bool modelPar_given_NALPHAII1;
double modelPar_PALPHAII1;
double d_modelPar_PALPHAII1_dX;
bool modelPar_given_PALPHAII1;
double modelPar_WALPHAII1;
double d_modelPar_WALPHAII1_dX;
bool modelPar_given_WALPHAII1;
double modelPar_P2ALPHAII1;
double d_modelPar_P2ALPHAII1_dX;
bool modelPar_given_P2ALPHAII1;
double modelPar_BETAII0;
double d_modelPar_BETAII0_dX;
bool modelPar_given_BETAII0;
double modelPar_LBETAII0;
double d_modelPar_LBETAII0_dX;
bool modelPar_given_LBETAII0;
double modelPar_NBETAII0;
double d_modelPar_NBETAII0_dX;
bool modelPar_given_NBETAII0;
double modelPar_PBETAII0;
double d_modelPar_PBETAII0_dX;
bool modelPar_given_PBETAII0;
double modelPar_WBETAII0;
double d_modelPar_WBETAII0_dX;
bool modelPar_given_WBETAII0;
double modelPar_P2BETAII0;
double d_modelPar_P2BETAII0_dX;
bool modelPar_given_P2BETAII0;
double modelPar_BETAII1;
double d_modelPar_BETAII1_dX;
bool modelPar_given_BETAII1;
double modelPar_LBETAII1;
double d_modelPar_LBETAII1_dX;
bool modelPar_given_LBETAII1;
double modelPar_NBETAII1;
double d_modelPar_NBETAII1_dX;
bool modelPar_given_NBETAII1;
double modelPar_PBETAII1;
double d_modelPar_PBETAII1_dX;
bool modelPar_given_PBETAII1;
double modelPar_WBETAII1;
double d_modelPar_WBETAII1_dX;
bool modelPar_given_WBETAII1;
double modelPar_P2BETAII1;
double d_modelPar_P2BETAII1_dX;
bool modelPar_given_P2BETAII1;
double modelPar_BETAII2;
double d_modelPar_BETAII2_dX;
bool modelPar_given_BETAII2;
double modelPar_LBETAII2;
double d_modelPar_LBETAII2_dX;
bool modelPar_given_LBETAII2;
double modelPar_NBETAII2;
double d_modelPar_NBETAII2_dX;
bool modelPar_given_NBETAII2;
double modelPar_PBETAII2;
double d_modelPar_PBETAII2_dX;
bool modelPar_given_PBETAII2;
double modelPar_WBETAII2;
double d_modelPar_WBETAII2_dX;
bool modelPar_given_WBETAII2;
double modelPar_P2BETAII2;
double d_modelPar_P2BETAII2_dX;
bool modelPar_given_P2BETAII2;
double modelPar_ESATII;
double d_modelPar_ESATII_dX;
bool modelPar_given_ESATII;
double modelPar_LESATII;
double d_modelPar_LESATII_dX;
bool modelPar_given_LESATII;
double modelPar_NESATII;
double d_modelPar_NESATII_dX;
bool modelPar_given_NESATII;
double modelPar_PESATII;
double d_modelPar_PESATII_dX;
bool modelPar_given_PESATII;
double modelPar_WESATII;
double d_modelPar_WESATII_dX;
bool modelPar_given_WESATII;
double modelPar_P2ESATII;
double d_modelPar_P2ESATII_dX;
bool modelPar_given_P2ESATII;
double modelPar_LII;
double d_modelPar_LII_dX;
bool modelPar_given_LII;
double modelPar_LLII;
double d_modelPar_LLII_dX;
bool modelPar_given_LLII;
double modelPar_NLII;
double d_modelPar_NLII_dX;
bool modelPar_given_NLII;
double modelPar_PLII;
double d_modelPar_PLII_dX;
bool modelPar_given_PLII;
double modelPar_WLII;
double d_modelPar_WLII_dX;
bool modelPar_given_WLII;
double modelPar_P2LII;
double d_modelPar_P2LII_dX;
bool modelPar_given_P2LII;
double modelPar_SII0;
double d_modelPar_SII0_dX;
bool modelPar_given_SII0;
double modelPar_LSII0;
double d_modelPar_LSII0_dX;
bool modelPar_given_LSII0;
double modelPar_NSII0;
double d_modelPar_NSII0_dX;
bool modelPar_given_NSII0;
double modelPar_PSII0;
double d_modelPar_PSII0_dX;
bool modelPar_given_PSII0;
double modelPar_WSII0;
double d_modelPar_WSII0_dX;
bool modelPar_given_WSII0;
double modelPar_P2SII0;
double d_modelPar_P2SII0_dX;
bool modelPar_given_P2SII0;
double modelPar_SII1;
double d_modelPar_SII1_dX;
bool modelPar_given_SII1;
double modelPar_LSII1;
double d_modelPar_LSII1_dX;
bool modelPar_given_LSII1;
double modelPar_NSII1;
double d_modelPar_NSII1_dX;
bool modelPar_given_NSII1;
double modelPar_PSII1;
double d_modelPar_PSII1_dX;
bool modelPar_given_PSII1;
double modelPar_WSII1;
double d_modelPar_WSII1_dX;
bool modelPar_given_WSII1;
double modelPar_P2SII1;
double d_modelPar_P2SII1_dX;
bool modelPar_given_P2SII1;
double modelPar_SII2;
double d_modelPar_SII2_dX;
bool modelPar_given_SII2;
double modelPar_LSII2;
double d_modelPar_LSII2_dX;
bool modelPar_given_LSII2;
double modelPar_NSII2;
double d_modelPar_NSII2_dX;
bool modelPar_given_NSII2;
double modelPar_PSII2;
double d_modelPar_PSII2_dX;
bool modelPar_given_PSII2;
double modelPar_WSII2;
double d_modelPar_WSII2_dX;
bool modelPar_given_WSII2;
double modelPar_P2SII2;
double d_modelPar_P2SII2_dX;
bool modelPar_given_P2SII2;
double modelPar_SIID;
double d_modelPar_SIID_dX;
bool modelPar_given_SIID;
double modelPar_LSIID;
double d_modelPar_LSIID_dX;
bool modelPar_given_LSIID;
double modelPar_NSIID;
double d_modelPar_NSIID_dX;
bool modelPar_given_NSIID;
double modelPar_PSIID;
double d_modelPar_PSIID_dX;
bool modelPar_given_PSIID;
double modelPar_WSIID;
double d_modelPar_WSIID_dX;
bool modelPar_given_WSIID;
double modelPar_P2SIID;
double d_modelPar_P2SIID_dX;
bool modelPar_given_P2SIID;
double modelPar_EOTACC;
double d_modelPar_EOTACC_dX;
bool modelPar_given_EOTACC;
double modelPar_DELVFBACC;
double d_modelPar_DELVFBACC_dX;
bool modelPar_given_DELVFBACC;
double modelPar_CFS;
double d_modelPar_CFS_dX;
bool modelPar_given_CFS;
double modelPar_LCFS;
double d_modelPar_LCFS_dX;
bool modelPar_given_LCFS;
double modelPar_NCFS;
double d_modelPar_NCFS_dX;
bool modelPar_given_NCFS;
double modelPar_PCFS;
double d_modelPar_PCFS_dX;
bool modelPar_given_PCFS;
double modelPar_WCFS;
double d_modelPar_WCFS_dX;
bool modelPar_given_WCFS;
double modelPar_P2CFS;
double d_modelPar_P2CFS_dX;
bool modelPar_given_P2CFS;
double modelPar_CFD;
double d_modelPar_CFD_dX;
bool modelPar_given_CFD;
double modelPar_LCFD;
double d_modelPar_LCFD_dX;
bool modelPar_given_LCFD;
double modelPar_NCFD;
double d_modelPar_NCFD_dX;
bool modelPar_given_NCFD;
double modelPar_PCFD;
double d_modelPar_PCFD_dX;
bool modelPar_given_PCFD;
double modelPar_WCFD;
double d_modelPar_WCFD_dX;
bool modelPar_given_WCFD;
double modelPar_P2CFD;
double d_modelPar_P2CFD_dX;
bool modelPar_given_P2CFD;
double modelPar_CGSO;
double d_modelPar_CGSO_dX;
bool modelPar_given_CGSO;
double modelPar_CGDO;
double d_modelPar_CGDO_dX;
bool modelPar_given_CGDO;
double modelPar_CGBO;
double d_modelPar_CGBO_dX;
bool modelPar_given_CGBO;
double modelPar_CGBN;
double d_modelPar_CGBN_dX;
bool modelPar_given_CGBN;
double modelPar_CGBW;
double d_modelPar_CGBW_dX;
bool modelPar_given_CGBW;
double modelPar_CGSL;
double d_modelPar_CGSL_dX;
bool modelPar_given_CGSL;
double modelPar_LCGSL;
double d_modelPar_LCGSL_dX;
bool modelPar_given_LCGSL;
double modelPar_NCGSL;
double d_modelPar_NCGSL_dX;
bool modelPar_given_NCGSL;
double modelPar_PCGSL;
double d_modelPar_PCGSL_dX;
bool modelPar_given_PCGSL;
double modelPar_WCGSL;
double d_modelPar_WCGSL_dX;
bool modelPar_given_WCGSL;
double modelPar_P2CGSL;
double d_modelPar_P2CGSL_dX;
bool modelPar_given_P2CGSL;
double modelPar_CGDL;
double d_modelPar_CGDL_dX;
bool modelPar_given_CGDL;
double modelPar_LCGDL;
double d_modelPar_LCGDL_dX;
bool modelPar_given_LCGDL;
double modelPar_NCGDL;
double d_modelPar_NCGDL_dX;
bool modelPar_given_NCGDL;
double modelPar_PCGDL;
double d_modelPar_PCGDL_dX;
bool modelPar_given_PCGDL;
double modelPar_WCGDL;
double d_modelPar_WCGDL_dX;
bool modelPar_given_WCGDL;
double modelPar_P2CGDL;
double d_modelPar_P2CGDL_dX;
bool modelPar_given_P2CGDL;
double modelPar_CGBL;
double d_modelPar_CGBL_dX;
bool modelPar_given_CGBL;
double modelPar_LCGBL;
double d_modelPar_LCGBL_dX;
bool modelPar_given_LCGBL;
double modelPar_NCGBL;
double d_modelPar_NCGBL_dX;
bool modelPar_given_NCGBL;
double modelPar_PCGBL;
double d_modelPar_PCGBL_dX;
bool modelPar_given_PCGBL;
double modelPar_WCGBL;
double d_modelPar_WCGBL_dX;
bool modelPar_given_WCGBL;
double modelPar_P2CGBL;
double d_modelPar_P2CGBL_dX;
bool modelPar_given_P2CGBL;
double modelPar_CKAPPAS;
double d_modelPar_CKAPPAS_dX;
bool modelPar_given_CKAPPAS;
double modelPar_LCKAPPAS;
double d_modelPar_LCKAPPAS_dX;
bool modelPar_given_LCKAPPAS;
double modelPar_NCKAPPAS;
double d_modelPar_NCKAPPAS_dX;
bool modelPar_given_NCKAPPAS;
double modelPar_PCKAPPAS;
double d_modelPar_PCKAPPAS_dX;
bool modelPar_given_PCKAPPAS;
double modelPar_WCKAPPAS;
double d_modelPar_WCKAPPAS_dX;
bool modelPar_given_WCKAPPAS;
double modelPar_P2CKAPPAS;
double d_modelPar_P2CKAPPAS_dX;
bool modelPar_given_P2CKAPPAS;
double modelPar_CKAPPAD;
double d_modelPar_CKAPPAD_dX;
bool modelPar_given_CKAPPAD;
double modelPar_LCKAPPAD;
double d_modelPar_LCKAPPAD_dX;
bool modelPar_given_LCKAPPAD;
double modelPar_NCKAPPAD;
double d_modelPar_NCKAPPAD_dX;
bool modelPar_given_NCKAPPAD;
double modelPar_PCKAPPAD;
double d_modelPar_PCKAPPAD_dX;
bool modelPar_given_PCKAPPAD;
double modelPar_WCKAPPAD;
double d_modelPar_WCKAPPAD_dX;
bool modelPar_given_WCKAPPAD;
double modelPar_P2CKAPPAD;
double d_modelPar_P2CKAPPAD_dX;
bool modelPar_given_P2CKAPPAD;
double modelPar_CKAPPAB;
double d_modelPar_CKAPPAB_dX;
bool modelPar_given_CKAPPAB;
double modelPar_LCKAPPAB;
double d_modelPar_LCKAPPAB_dX;
bool modelPar_given_LCKAPPAB;
double modelPar_NCKAPPAB;
double d_modelPar_NCKAPPAB_dX;
bool modelPar_given_NCKAPPAB;
double modelPar_PCKAPPAB;
double d_modelPar_PCKAPPAB_dX;
bool modelPar_given_PCKAPPAB;
double modelPar_WCKAPPAB;
double d_modelPar_WCKAPPAB_dX;
bool modelPar_given_WCKAPPAB;
double modelPar_P2CKAPPAB;
double d_modelPar_P2CKAPPAB_dX;
bool modelPar_given_P2CKAPPAB;
double modelPar_CSDESW;
double d_modelPar_CSDESW_dX;
bool modelPar_given_CSDESW;
double modelPar_CJS;
double d_modelPar_CJS_dX;
bool modelPar_given_CJS;
double modelPar_CJD;
double d_modelPar_CJD_dX;
bool modelPar_given_CJD;
double modelPar_CJSWS;
double d_modelPar_CJSWS_dX;
bool modelPar_given_CJSWS;
double modelPar_CJSWD;
double d_modelPar_CJSWD_dX;
bool modelPar_given_CJSWD;
double modelPar_CJSWGS;
double d_modelPar_CJSWGS_dX;
bool modelPar_given_CJSWGS;
double modelPar_CJSWGD;
double d_modelPar_CJSWGD_dX;
bool modelPar_given_CJSWGD;
double modelPar_PBS;
double d_modelPar_PBS_dX;
bool modelPar_given_PBS;
double modelPar_PBD;
double d_modelPar_PBD_dX;
bool modelPar_given_PBD;
double modelPar_PBSWS;
double d_modelPar_PBSWS_dX;
bool modelPar_given_PBSWS;
double modelPar_PBSWD;
double d_modelPar_PBSWD_dX;
bool modelPar_given_PBSWD;
double modelPar_PBSWGS;
double d_modelPar_PBSWGS_dX;
bool modelPar_given_PBSWGS;
double modelPar_PBSWGD;
double d_modelPar_PBSWGD_dX;
bool modelPar_given_PBSWGD;
double modelPar_MJS;
double d_modelPar_MJS_dX;
bool modelPar_given_MJS;
double modelPar_MJD;
double d_modelPar_MJD_dX;
bool modelPar_given_MJD;
double modelPar_MJSWS;
double d_modelPar_MJSWS_dX;
bool modelPar_given_MJSWS;
double modelPar_MJSWD;
double d_modelPar_MJSWD_dX;
bool modelPar_given_MJSWD;
double modelPar_MJSWGS;
double d_modelPar_MJSWGS_dX;
bool modelPar_given_MJSWGS;
double modelPar_MJSWGD;
double d_modelPar_MJSWGD_dX;
bool modelPar_given_MJSWGD;
double modelPar_SJS;
double d_modelPar_SJS_dX;
bool modelPar_given_SJS;
double modelPar_SJD;
double d_modelPar_SJD_dX;
bool modelPar_given_SJD;
double modelPar_SJSWS;
double d_modelPar_SJSWS_dX;
bool modelPar_given_SJSWS;
double modelPar_SJSWD;
double d_modelPar_SJSWD_dX;
bool modelPar_given_SJSWD;
double modelPar_SJSWGS;
double d_modelPar_SJSWGS_dX;
bool modelPar_given_SJSWGS;
double modelPar_SJSWGD;
double d_modelPar_SJSWGD_dX;
bool modelPar_given_SJSWGD;
double modelPar_MJS2;
double d_modelPar_MJS2_dX;
bool modelPar_given_MJS2;
double modelPar_MJD2;
double d_modelPar_MJD2_dX;
bool modelPar_given_MJD2;
double modelPar_MJSWS2;
double d_modelPar_MJSWS2_dX;
bool modelPar_given_MJSWS2;
double modelPar_MJSWD2;
double d_modelPar_MJSWD2_dX;
bool modelPar_given_MJSWD2;
double modelPar_MJSWGS2;
double d_modelPar_MJSWGS2_dX;
bool modelPar_given_MJSWGS2;
double modelPar_MJSWGD2;
double d_modelPar_MJSWGD2_dX;
bool modelPar_given_MJSWGD2;
double modelPar_JSS;
double d_modelPar_JSS_dX;
bool modelPar_given_JSS;
double modelPar_JSD;
double d_modelPar_JSD_dX;
bool modelPar_given_JSD;
double modelPar_JSWS;
double d_modelPar_JSWS_dX;
bool modelPar_given_JSWS;
double modelPar_JSWD;
double d_modelPar_JSWD_dX;
bool modelPar_given_JSWD;
double modelPar_JSWGS;
double d_modelPar_JSWGS_dX;
bool modelPar_given_JSWGS;
double modelPar_JSWGD;
double d_modelPar_JSWGD_dX;
bool modelPar_given_JSWGD;
double modelPar_NJS;
double d_modelPar_NJS_dX;
bool modelPar_given_NJS;
double modelPar_NJD;
double d_modelPar_NJD_dX;
bool modelPar_given_NJD;
double modelPar_IJTHSFWD;
double d_modelPar_IJTHSFWD_dX;
bool modelPar_given_IJTHSFWD;
double modelPar_IJTHDFWD;
double d_modelPar_IJTHDFWD_dX;
bool modelPar_given_IJTHDFWD;
double modelPar_IJTHSREV;
double d_modelPar_IJTHSREV_dX;
bool modelPar_given_IJTHSREV;
double modelPar_IJTHDREV;
double d_modelPar_IJTHDREV_dX;
bool modelPar_given_IJTHDREV;
double modelPar_BVS;
double d_modelPar_BVS_dX;
bool modelPar_given_BVS;
double modelPar_BVD;
double d_modelPar_BVD_dX;
bool modelPar_given_BVD;
double modelPar_XJBVS;
double d_modelPar_XJBVS_dX;
bool modelPar_given_XJBVS;
double modelPar_XJBVD;
double d_modelPar_XJBVD_dX;
bool modelPar_given_XJBVD;
double modelPar_JTSS;
double d_modelPar_JTSS_dX;
bool modelPar_given_JTSS;
double modelPar_JTSD;
double d_modelPar_JTSD_dX;
bool modelPar_given_JTSD;
double modelPar_JTSSWS;
double d_modelPar_JTSSWS_dX;
bool modelPar_given_JTSSWS;
double modelPar_JTSSWD;
double d_modelPar_JTSSWD_dX;
bool modelPar_given_JTSSWD;
double modelPar_JTSSWGS;
double d_modelPar_JTSSWGS_dX;
bool modelPar_given_JTSSWGS;
double modelPar_JTSSWGD;
double d_modelPar_JTSSWGD_dX;
bool modelPar_given_JTSSWGD;
double modelPar_JTWEFF;
double d_modelPar_JTWEFF_dX;
bool modelPar_given_JTWEFF;
double modelPar_NJTS;
double d_modelPar_NJTS_dX;
bool modelPar_given_NJTS;
double modelPar_NJTSD;
double d_modelPar_NJTSD_dX;
bool modelPar_given_NJTSD;
double modelPar_NJTSSW;
double d_modelPar_NJTSSW_dX;
bool modelPar_given_NJTSSW;
double modelPar_NJTSSWD;
double d_modelPar_NJTSSWD_dX;
bool modelPar_given_NJTSSWD;
double modelPar_NJTSSWG;
double d_modelPar_NJTSSWG_dX;
bool modelPar_given_NJTSSWG;
double modelPar_NJTSSWGD;
double d_modelPar_NJTSSWGD_dX;
bool modelPar_given_NJTSSWGD;
double modelPar_VTSS;
double d_modelPar_VTSS_dX;
bool modelPar_given_VTSS;
double modelPar_VTSD;
double d_modelPar_VTSD_dX;
bool modelPar_given_VTSD;
double modelPar_VTSSWS;
double d_modelPar_VTSSWS_dX;
bool modelPar_given_VTSSWS;
double modelPar_VTSSWD;
double d_modelPar_VTSSWD_dX;
bool modelPar_given_VTSSWD;
double modelPar_VTSSWGS;
double d_modelPar_VTSSWGS_dX;
bool modelPar_given_VTSSWGS;
double modelPar_VTSSWGD;
double d_modelPar_VTSSWGD_dX;
bool modelPar_given_VTSSWGD;
double modelPar_LINTIGEN;
double d_modelPar_LINTIGEN_dX;
bool modelPar_given_LINTIGEN;
double modelPar_NTGEN;
double d_modelPar_NTGEN_dX;
bool modelPar_given_NTGEN;
double modelPar_LNTGEN;
double d_modelPar_LNTGEN_dX;
bool modelPar_given_LNTGEN;
double modelPar_NNTGEN;
double d_modelPar_NNTGEN_dX;
bool modelPar_given_NNTGEN;
double modelPar_PNTGEN;
double d_modelPar_PNTGEN_dX;
bool modelPar_given_PNTGEN;
double modelPar_WNTGEN;
double d_modelPar_WNTGEN_dX;
bool modelPar_given_WNTGEN;
double modelPar_P2NTGEN;
double d_modelPar_P2NTGEN_dX;
bool modelPar_given_P2NTGEN;
double modelPar_AIGEN;
double d_modelPar_AIGEN_dX;
bool modelPar_given_AIGEN;
double modelPar_LAIGEN;
double d_modelPar_LAIGEN_dX;
bool modelPar_given_LAIGEN;
double modelPar_NAIGEN;
double d_modelPar_NAIGEN_dX;
bool modelPar_given_NAIGEN;
double modelPar_PAIGEN;
double d_modelPar_PAIGEN_dX;
bool modelPar_given_PAIGEN;
double modelPar_WAIGEN;
double d_modelPar_WAIGEN_dX;
bool modelPar_given_WAIGEN;
double modelPar_P2AIGEN;
double d_modelPar_P2AIGEN_dX;
bool modelPar_given_P2AIGEN;
double modelPar_BIGEN;
double d_modelPar_BIGEN_dX;
bool modelPar_given_BIGEN;
double modelPar_LBIGEN;
double d_modelPar_LBIGEN_dX;
bool modelPar_given_LBIGEN;
double modelPar_NBIGEN;
double d_modelPar_NBIGEN_dX;
bool modelPar_given_NBIGEN;
double modelPar_PBIGEN;
double d_modelPar_PBIGEN_dX;
bool modelPar_given_PBIGEN;
double modelPar_WBIGEN;
double d_modelPar_WBIGEN_dX;
bool modelPar_given_WBIGEN;
double modelPar_P2BIGEN;
double d_modelPar_P2BIGEN_dX;
bool modelPar_given_P2BIGEN;
double modelPar_XRCRG1;
double d_modelPar_XRCRG1_dX;
bool modelPar_given_XRCRG1;
double modelPar_LXRCRG1;
double d_modelPar_LXRCRG1_dX;
bool modelPar_given_LXRCRG1;
double modelPar_NXRCRG1;
double d_modelPar_NXRCRG1_dX;
bool modelPar_given_NXRCRG1;
double modelPar_PXRCRG1;
double d_modelPar_PXRCRG1_dX;
bool modelPar_given_PXRCRG1;
double modelPar_WXRCRG1;
double d_modelPar_WXRCRG1_dX;
bool modelPar_given_WXRCRG1;
double modelPar_P2XRCRG1;
double d_modelPar_P2XRCRG1_dX;
bool modelPar_given_P2XRCRG1;
double modelPar_XRCRG2;
double d_modelPar_XRCRG2_dX;
bool modelPar_given_XRCRG2;
double modelPar_LXRCRG2;
double d_modelPar_LXRCRG2_dX;
bool modelPar_given_LXRCRG2;
double modelPar_NXRCRG2;
double d_modelPar_NXRCRG2_dX;
bool modelPar_given_NXRCRG2;
double modelPar_PXRCRG2;
double d_modelPar_PXRCRG2_dX;
bool modelPar_given_PXRCRG2;
double modelPar_WXRCRG2;
double d_modelPar_WXRCRG2_dX;
bool modelPar_given_WXRCRG2;
double modelPar_P2XRCRG2;
double d_modelPar_P2XRCRG2_dX;
bool modelPar_given_P2XRCRG2;
double modelPar_EF;
double d_modelPar_EF_dX;
bool modelPar_given_EF;
double modelPar_EM;
double d_modelPar_EM_dX;
bool modelPar_given_EM;
double modelPar_NOIA;
double d_modelPar_NOIA_dX;
bool modelPar_given_NOIA;
double modelPar_NOIB;
double d_modelPar_NOIB_dX;
bool modelPar_given_NOIB;
double modelPar_NOIC;
double d_modelPar_NOIC_dX;
bool modelPar_given_NOIC;
double modelPar_LINTNOI;
double d_modelPar_LINTNOI_dX;
bool modelPar_given_LINTNOI;
double modelPar_SMOOTH;
double d_modelPar_SMOOTH_dX;
bool modelPar_given_SMOOTH;
double modelPar_NOIA2;
double d_modelPar_NOIA2_dX;
bool modelPar_given_NOIA2;
double modelPar_LNOIA2;
double d_modelPar_LNOIA2_dX;
bool modelPar_given_LNOIA2;
double modelPar_NNOIA2;
double d_modelPar_NNOIA2_dX;
bool modelPar_given_NNOIA2;
double modelPar_PNOIA2;
double d_modelPar_PNOIA2_dX;
bool modelPar_given_PNOIA2;
double modelPar_WNOIA2;
double d_modelPar_WNOIA2_dX;
bool modelPar_given_WNOIA2;
double modelPar_P2NOIA2;
double d_modelPar_P2NOIA2_dX;
bool modelPar_given_P2NOIA2;
double modelPar_MPOWER;
double d_modelPar_MPOWER_dX;
bool modelPar_given_MPOWER;
double modelPar_LMPOWER;
double d_modelPar_LMPOWER_dX;
bool modelPar_given_LMPOWER;
double modelPar_NMPOWER;
double d_modelPar_NMPOWER_dX;
bool modelPar_given_NMPOWER;
double modelPar_PMPOWER;
double d_modelPar_PMPOWER_dX;
bool modelPar_given_PMPOWER;
double modelPar_WMPOWER;
double d_modelPar_WMPOWER_dX;
bool modelPar_given_WMPOWER;
double modelPar_P2MPOWER;
double d_modelPar_P2MPOWER_dX;
bool modelPar_given_P2MPOWER;
double modelPar_QSREF;
double d_modelPar_QSREF_dX;
bool modelPar_given_QSREF;
double modelPar_LQSREF;
double d_modelPar_LQSREF_dX;
bool modelPar_given_LQSREF;
double modelPar_NQSREF;
double d_modelPar_NQSREF_dX;
bool modelPar_given_NQSREF;
double modelPar_PQSREF;
double d_modelPar_PQSREF_dX;
bool modelPar_given_PQSREF;
double modelPar_WQSREF;
double d_modelPar_WQSREF_dX;
bool modelPar_given_WQSREF;
double modelPar_P2QSREF;
double d_modelPar_P2QSREF_dX;
bool modelPar_given_P2QSREF;
double modelPar_NTNOI;
double d_modelPar_NTNOI_dX;
bool modelPar_given_NTNOI;
double modelPar_RNOIA;
double d_modelPar_RNOIA_dX;
bool modelPar_given_RNOIA;
double modelPar_TNOIA;
double d_modelPar_TNOIA_dX;
bool modelPar_given_TNOIA;
double modelPar_RNOIB;
double d_modelPar_RNOIB_dX;
bool modelPar_given_RNOIB;
double modelPar_TNOIB;
double d_modelPar_TNOIB_dX;
bool modelPar_given_TNOIB;
double modelPar_RNOIC;
double d_modelPar_RNOIC_dX;
bool modelPar_given_RNOIC;
double modelPar_TNOIC;
double d_modelPar_TNOIC_dX;
bool modelPar_given_TNOIC;
double modelPar_RNOIK;
double d_modelPar_RNOIK_dX;
bool modelPar_given_RNOIK;
double modelPar_TNOIK;
double d_modelPar_TNOIK_dX;
bool modelPar_given_TNOIK;
double modelPar_TNOIK2;
double d_modelPar_TNOIK2_dX;
bool modelPar_given_TNOIK2;
double modelPar_TNOM;
double d_modelPar_TNOM_dX;
bool modelPar_given_TNOM;
double modelPar_TBGASUB;
double d_modelPar_TBGASUB_dX;
bool modelPar_given_TBGASUB;
double modelPar_TBGBSUB;
double d_modelPar_TBGBSUB_dX;
bool modelPar_given_TBGBSUB;
double modelPar_KT1L;
double d_modelPar_KT1L_dX;
bool modelPar_given_KT1L;
double modelPar_TCJ;
double d_modelPar_TCJ_dX;
bool modelPar_given_TCJ;
double modelPar_TCJSW;
double d_modelPar_TCJSW_dX;
bool modelPar_given_TCJSW;
double modelPar_TCJSWG;
double d_modelPar_TCJSWG_dX;
bool modelPar_given_TCJSWG;
double modelPar_TPB;
double d_modelPar_TPB_dX;
bool modelPar_given_TPB;
double modelPar_TPBSW;
double d_modelPar_TPBSW_dX;
bool modelPar_given_TPBSW;
double modelPar_TPBSWG;
double d_modelPar_TPBSWG_dX;
bool modelPar_given_TPBSWG;
double modelPar_XTIS;
double d_modelPar_XTIS_dX;
bool modelPar_given_XTIS;
double modelPar_XTID;
double d_modelPar_XTID_dX;
bool modelPar_given_XTID;
double modelPar_XTSS;
double d_modelPar_XTSS_dX;
bool modelPar_given_XTSS;
double modelPar_XTSD;
double d_modelPar_XTSD_dX;
bool modelPar_given_XTSD;
double modelPar_XTSSWS;
double d_modelPar_XTSSWS_dX;
bool modelPar_given_XTSSWS;
double modelPar_XTSSWD;
double d_modelPar_XTSSWD_dX;
bool modelPar_given_XTSSWD;
double modelPar_XTSSWGS;
double d_modelPar_XTSSWGS_dX;
bool modelPar_given_XTSSWGS;
double modelPar_XTSSWGD;
double d_modelPar_XTSSWGD_dX;
bool modelPar_given_XTSSWGD;
double modelPar_TNJTS;
double d_modelPar_TNJTS_dX;
bool modelPar_given_TNJTS;
double modelPar_TNJTSD;
double d_modelPar_TNJTSD_dX;
bool modelPar_given_TNJTSD;
double modelPar_TNJTSSW;
double d_modelPar_TNJTSSW_dX;
bool modelPar_given_TNJTSSW;
double modelPar_TNJTSSWD;
double d_modelPar_TNJTSSWD_dX;
bool modelPar_given_TNJTSSWD;
double modelPar_TNJTSSWG;
double d_modelPar_TNJTSSWG_dX;
bool modelPar_given_TNJTSSWG;
double modelPar_TNJTSSWGD;
double d_modelPar_TNJTSSWGD_dX;
bool modelPar_given_TNJTSSWGD;
double modelPar_KT1;
double d_modelPar_KT1_dX;
bool modelPar_given_KT1;
double modelPar_LKT1;
double d_modelPar_LKT1_dX;
bool modelPar_given_LKT1;
double modelPar_NKT1;
double d_modelPar_NKT1_dX;
bool modelPar_given_NKT1;
double modelPar_PKT1;
double d_modelPar_PKT1_dX;
bool modelPar_given_PKT1;
double modelPar_WKT1;
double d_modelPar_WKT1_dX;
bool modelPar_given_WKT1;
double modelPar_P2KT1;
double d_modelPar_P2KT1_dX;
bool modelPar_given_P2KT1;
double modelPar_KT11;
double d_modelPar_KT11_dX;
bool modelPar_given_KT11;
double modelPar_KT12;
double d_modelPar_KT12_dX;
bool modelPar_given_KT12;
double modelPar_TVTH;
double d_modelPar_TVTH_dX;
bool modelPar_given_TVTH;
double modelPar_TSS;
double d_modelPar_TSS_dX;
bool modelPar_given_TSS;
double modelPar_LTSS;
double d_modelPar_LTSS_dX;
bool modelPar_given_LTSS;
double modelPar_NTSS;
double d_modelPar_NTSS_dX;
bool modelPar_given_NTSS;
double modelPar_PTSS;
double d_modelPar_PTSS_dX;
bool modelPar_given_PTSS;
double modelPar_WTSS;
double d_modelPar_WTSS_dX;
bool modelPar_given_WTSS;
double modelPar_P2TSS;
double d_modelPar_P2TSS_dX;
bool modelPar_given_P2TSS;
double modelPar_IIT;
double d_modelPar_IIT_dX;
bool modelPar_given_IIT;
double modelPar_LIIT;
double d_modelPar_LIIT_dX;
bool modelPar_given_LIIT;
double modelPar_NIIT;
double d_modelPar_NIIT_dX;
bool modelPar_given_NIIT;
double modelPar_PIIT;
double d_modelPar_PIIT_dX;
bool modelPar_given_PIIT;
double modelPar_WIIT;
double d_modelPar_WIIT_dX;
bool modelPar_given_WIIT;
double modelPar_P2IIT;
double d_modelPar_P2IIT_dX;
bool modelPar_given_P2IIT;
double modelPar_TII;
double d_modelPar_TII_dX;
bool modelPar_given_TII;
double modelPar_LTII;
double d_modelPar_LTII_dX;
bool modelPar_given_LTII;
double modelPar_NTII;
double d_modelPar_NTII_dX;
bool modelPar_given_NTII;
double modelPar_PTII;
double d_modelPar_PTII_dX;
bool modelPar_given_PTII;
double modelPar_WTII;
double d_modelPar_WTII_dX;
bool modelPar_given_WTII;
double modelPar_P2TII;
double d_modelPar_P2TII_dX;
bool modelPar_given_P2TII;
double modelPar_TGIDL;
double d_modelPar_TGIDL_dX;
bool modelPar_given_TGIDL;
double modelPar_LTGIDL;
double d_modelPar_LTGIDL_dX;
bool modelPar_given_LTGIDL;
double modelPar_NTGIDL;
double d_modelPar_NTGIDL_dX;
bool modelPar_given_NTGIDL;
double modelPar_PTGIDL;
double d_modelPar_PTGIDL_dX;
bool modelPar_given_PTGIDL;
double modelPar_WTGIDL;
double d_modelPar_WTGIDL_dX;
bool modelPar_given_WTGIDL;
double modelPar_P2TGIDL;
double d_modelPar_P2TGIDL_dX;
bool modelPar_given_P2TGIDL;
double modelPar_IGT;
double d_modelPar_IGT_dX;
bool modelPar_given_IGT;
double modelPar_LIGT;
double d_modelPar_LIGT_dX;
bool modelPar_given_LIGT;
double modelPar_NIGT;
double d_modelPar_NIGT_dX;
bool modelPar_given_NIGT;
double modelPar_PIGT;
double d_modelPar_PIGT_dX;
bool modelPar_given_PIGT;
double modelPar_WIGT;
double d_modelPar_WIGT_dX;
bool modelPar_given_WIGT;
double modelPar_P2IGT;
double d_modelPar_P2IGT_dX;
bool modelPar_given_P2IGT;
double modelPar_TLOW;
double d_modelPar_TLOW_dX;
bool modelPar_given_TLOW;
double modelPar_TLOW1;
double d_modelPar_TLOW1_dX;
bool modelPar_given_TLOW1;
double modelPar_DTLOW;
double d_modelPar_DTLOW_dX;
bool modelPar_given_DTLOW;
double modelPar_DTLOW1;
double d_modelPar_DTLOW1_dX;
bool modelPar_given_DTLOW1;
double modelPar_KLOW1;
double d_modelPar_KLOW1_dX;
bool modelPar_given_KLOW1;
double modelPar_RTH0;
double d_modelPar_RTH0_dX;
bool modelPar_given_RTH0;
double modelPar_CTH0;
double d_modelPar_CTH0_dX;
bool modelPar_given_CTH0;
double modelPar_WTH0;
double d_modelPar_WTH0_dX;
bool modelPar_given_WTH0;
double modelPar_ASHEXP;
double d_modelPar_ASHEXP_dX;
bool modelPar_given_ASHEXP;
double modelPar_BSHEXP;
double d_modelPar_BSHEXP_dX;
bool modelPar_given_BSHEXP;
double modelPar_ACH_UFCM;
double d_modelPar_ACH_UFCM_dX;
bool modelPar_given_ACH_UFCM;
double modelPar_CINS_UFCM;
double d_modelPar_CINS_UFCM_dX;
bool modelPar_given_CINS_UFCM;
double modelPar_W_UFCM;
double d_modelPar_W_UFCM_dX;
bool modelPar_given_W_UFCM;
double modelPar_TFIN_TOP;
double d_modelPar_TFIN_TOP_dX;
bool modelPar_given_TFIN_TOP;
double modelPar_TFIN_BASE;
double d_modelPar_TFIN_BASE_dX;
bool modelPar_given_TFIN_BASE;
double modelPar_QMFACTORCV;
double d_modelPar_QMFACTORCV_dX;
bool modelPar_given_QMFACTORCV;
double modelPar_ALPHA_UFCM;
double d_modelPar_ALPHA_UFCM_dX;
bool modelPar_given_ALPHA_UFCM;
double modelPar_LMIN;
double d_modelPar_LMIN_dX;
bool modelPar_given_LMIN;
double modelPar_WMIN;
double d_modelPar_WMIN_dX;
bool modelPar_given_WMIN;
double modelPar_LMAX;
double d_modelPar_LMAX_dX;
bool modelPar_given_LMAX;
double modelPar_WMAX;
double d_modelPar_WMAX_dX;
bool modelPar_given_WMAX;
double modelPar_DIM1H;
double d_modelPar_DIM1H_dX;
bool modelPar_given_DIM1H;
double modelPar_DIMENSION1;
double d_modelPar_DIMENSION1_dX;
bool modelPar_given_DIMENSION1;
double modelPar_LDIMENSION1;
double d_modelPar_LDIMENSION1_dX;
bool modelPar_given_LDIMENSION1;
double modelPar_NDIMENSION1;
double d_modelPar_NDIMENSION1_dX;
bool modelPar_given_NDIMENSION1;
double modelPar_PDIMENSION1;
double d_modelPar_PDIMENSION1_dX;
bool modelPar_given_PDIMENSION1;
double modelPar_WDIMENSION1;
double d_modelPar_WDIMENSION1_dX;
bool modelPar_given_WDIMENSION1;
double modelPar_P2DIMENSION1;
double d_modelPar_P2DIMENSION1_dX;
bool modelPar_given_P2DIMENSION1;
double modelPar_DIM2H;
double d_modelPar_DIM2H_dX;
bool modelPar_given_DIM2H;
double modelPar_DIMENSION2;
double d_modelPar_DIMENSION2_dX;
bool modelPar_given_DIMENSION2;
double modelPar_LDIMENSION2;
double d_modelPar_LDIMENSION2_dX;
bool modelPar_given_LDIMENSION2;
double modelPar_NDIMENSION2;
double d_modelPar_NDIMENSION2_dX;
bool modelPar_given_NDIMENSION2;
double modelPar_PDIMENSION2;
double d_modelPar_PDIMENSION2_dX;
bool modelPar_given_PDIMENSION2;
double modelPar_WDIMENSION2;
double d_modelPar_WDIMENSION2_dX;
bool modelPar_given_WDIMENSION2;
double modelPar_P2DIMENSION2;
double d_modelPar_P2DIMENSION2_dX;
bool modelPar_given_P2DIMENSION2;
double modelPar_DIM3H;
double d_modelPar_DIM3H_dX;
bool modelPar_given_DIM3H;
double modelPar_DIMENSION3;
double d_modelPar_DIMENSION3_dX;
bool modelPar_given_DIMENSION3;
double modelPar_LDIMENSION3;
double d_modelPar_LDIMENSION3_dX;
bool modelPar_given_LDIMENSION3;
double modelPar_NDIMENSION3;
double d_modelPar_NDIMENSION3_dX;
bool modelPar_given_NDIMENSION3;
double modelPar_PDIMENSION3;
double d_modelPar_PDIMENSION3_dX;
bool modelPar_given_PDIMENSION3;
double modelPar_WDIMENSION3;
double d_modelPar_WDIMENSION3_dX;
bool modelPar_given_WDIMENSION3;
double modelPar_P2DIMENSION3;
double d_modelPar_P2DIMENSION3_dX;
bool modelPar_given_P2DIMENSION3;
double modelPar_WDIM0;
double d_modelPar_WDIM0_dX;
bool modelPar_given_WDIM0;
double modelPar_WDIMR;
double d_modelPar_WDIMR_dX;
bool modelPar_given_WDIMR;
double modelPar_SSP1;
double d_modelPar_SSP1_dX;
bool modelPar_given_SSP1;
double modelPar_LSSP1;
double d_modelPar_LSSP1_dX;
bool modelPar_given_LSSP1;
double modelPar_NSSP1;
double d_modelPar_NSSP1_dX;
bool modelPar_given_NSSP1;
double modelPar_PSSP1;
double d_modelPar_PSSP1_dX;
bool modelPar_given_PSSP1;
double modelPar_WSSP1;
double d_modelPar_WSSP1_dX;
bool modelPar_given_WSSP1;
double modelPar_P2SSP1;
double d_modelPar_P2SSP1_dX;
bool modelPar_given_P2SSP1;
double modelPar_SSP2;
double d_modelPar_SSP2_dX;
bool modelPar_given_SSP2;
double modelPar_LSSP2;
double d_modelPar_LSSP2_dX;
bool modelPar_given_LSSP2;
double modelPar_NSSP2;
double d_modelPar_NSSP2_dX;
bool modelPar_given_NSSP2;
double modelPar_PSSP2;
double d_modelPar_PSSP2_dX;
bool modelPar_given_PSSP2;
double modelPar_WSSP2;
double d_modelPar_WSSP2_dX;
bool modelPar_given_WSSP2;
double modelPar_P2SSP2;
double d_modelPar_P2SSP2_dX;
bool modelPar_given_P2SSP2;
double modelPar_SSP3;
double d_modelPar_SSP3_dX;
bool modelPar_given_SSP3;
double modelPar_LSSP3;
double d_modelPar_LSSP3_dX;
bool modelPar_given_LSSP3;
double modelPar_NSSP3;
double d_modelPar_NSSP3_dX;
bool modelPar_given_NSSP3;
double modelPar_PSSP3;
double d_modelPar_PSSP3_dX;
bool modelPar_given_PSSP3;
double modelPar_WSSP3;
double d_modelPar_WSSP3_dX;
bool modelPar_given_WSSP3;
double modelPar_P2SSP3;
double d_modelPar_P2SSP3_dX;
bool modelPar_given_P2SSP3;
double modelPar_DSSP1;
double d_modelPar_DSSP1_dX;
bool modelPar_given_DSSP1;
double modelPar_DSSP2;
double d_modelPar_DSSP2_dX;
bool modelPar_given_DSSP2;
double modelPar_DSSP3;
double d_modelPar_DSSP3_dX;
bool modelPar_given_DSSP3;
double modelPar_WSSP0;
double d_modelPar_WSSP0_dX;
bool modelPar_given_WSSP0;
double modelPar_WSSPR;
double d_modelPar_WSSPR_dX;
bool modelPar_given_WSSPR;
double modelPar_WGAANOM;
double d_modelPar_WGAANOM_dX;
bool modelPar_given_WGAANOM;
double modelPar_E2NOM;
double d_modelPar_E2NOM_dX;
bool modelPar_given_E2NOM;
double modelPar_LE2NOM;
double d_modelPar_LE2NOM_dX;
bool modelPar_given_LE2NOM;
double modelPar_NE2NOM;
double d_modelPar_NE2NOM_dX;
bool modelPar_given_NE2NOM;
double modelPar_PE2NOM;
double d_modelPar_PE2NOM_dX;
bool modelPar_given_PE2NOM;
double modelPar_WE2NOM;
double d_modelPar_WE2NOM_dX;
bool modelPar_given_WE2NOM;
double modelPar_P2E2NOM;
double d_modelPar_P2E2NOM_dX;
bool modelPar_given_P2E2NOM;
double modelPar_E3NOM;
double d_modelPar_E3NOM_dX;
bool modelPar_given_E3NOM;
double modelPar_LE3NOM;
double d_modelPar_LE3NOM_dX;
bool modelPar_given_LE3NOM;
double modelPar_NE3NOM;
double d_modelPar_NE3NOM_dX;
bool modelPar_given_NE3NOM;
double modelPar_PE3NOM;
double d_modelPar_PE3NOM_dX;
bool modelPar_given_PE3NOM;
double modelPar_WE3NOM;
double d_modelPar_WE3NOM_dX;
bool modelPar_given_WE3NOM;
double modelPar_P2E3NOM;
double d_modelPar_P2E3NOM_dX;
bool modelPar_given_P2E3NOM;
double modelPar_MFE2;
double d_modelPar_MFE2_dX;
bool modelPar_given_MFE2;
double modelPar_MFE3;
double d_modelPar_MFE3_dX;
bool modelPar_given_MFE3;
double modelPar_WSFE2;
double d_modelPar_WSFE2_dX;
bool modelPar_given_WSFE2;
double modelPar_WSFE3;
double d_modelPar_WSFE3_dX;
bool modelPar_given_WSFE3;
double modelPar_MFQ1NOM;
double d_modelPar_MFQ1NOM_dX;
bool modelPar_given_MFQ1NOM;
double modelPar_LMFQ1NOM;
double d_modelPar_LMFQ1NOM_dX;
bool modelPar_given_LMFQ1NOM;
double modelPar_NMFQ1NOM;
double d_modelPar_NMFQ1NOM_dX;
bool modelPar_given_NMFQ1NOM;
double modelPar_PMFQ1NOM;
double d_modelPar_PMFQ1NOM_dX;
bool modelPar_given_PMFQ1NOM;
double modelPar_WMFQ1NOM;
double d_modelPar_WMFQ1NOM_dX;
bool modelPar_given_WMFQ1NOM;
double modelPar_P2MFQ1NOM;
double d_modelPar_P2MFQ1NOM_dX;
bool modelPar_given_P2MFQ1NOM;
double modelPar_MFQ2NOM;
double d_modelPar_MFQ2NOM_dX;
bool modelPar_given_MFQ2NOM;
double modelPar_LMFQ2NOM;
double d_modelPar_LMFQ2NOM_dX;
bool modelPar_given_LMFQ2NOM;
double modelPar_NMFQ2NOM;
double d_modelPar_NMFQ2NOM_dX;
bool modelPar_given_NMFQ2NOM;
double modelPar_PMFQ2NOM;
double d_modelPar_PMFQ2NOM_dX;
bool modelPar_given_PMFQ2NOM;
double modelPar_WMFQ2NOM;
double d_modelPar_WMFQ2NOM_dX;
bool modelPar_given_WMFQ2NOM;
double modelPar_P2MFQ2NOM;
double d_modelPar_P2MFQ2NOM_dX;
bool modelPar_given_P2MFQ2NOM;
double modelPar_MFQ3NOM;
double d_modelPar_MFQ3NOM_dX;
bool modelPar_given_MFQ3NOM;
double modelPar_LMFQ3NOM;
double d_modelPar_LMFQ3NOM_dX;
bool modelPar_given_LMFQ3NOM;
double modelPar_NMFQ3NOM;
double d_modelPar_NMFQ3NOM_dX;
bool modelPar_given_NMFQ3NOM;
double modelPar_PMFQ3NOM;
double d_modelPar_PMFQ3NOM_dX;
bool modelPar_given_PMFQ3NOM;
double modelPar_WMFQ3NOM;
double d_modelPar_WMFQ3NOM_dX;
bool modelPar_given_WMFQ3NOM;
double modelPar_P2MFQ3NOM;
double d_modelPar_P2MFQ3NOM_dX;
bool modelPar_given_P2MFQ3NOM;
double modelPar_MFQ1;
double d_modelPar_MFQ1_dX;
bool modelPar_given_MFQ1;
double modelPar_MFQ2;
double d_modelPar_MFQ2_dX;
bool modelPar_given_MFQ2;
double modelPar_MFQ3;
double d_modelPar_MFQ3_dX;
bool modelPar_given_MFQ3;
double modelPar_WSFQ1;
double d_modelPar_WSFQ1_dX;
bool modelPar_given_WSFQ1;
double modelPar_WSFQ2;
double d_modelPar_WSFQ2_dX;
bool modelPar_given_WSFQ2;
double modelPar_WSFQ3;
double d_modelPar_WSFQ3_dX;
bool modelPar_given_WSFQ3;
double modelPar_TSRE2;
double d_modelPar_TSRE2_dX;
bool modelPar_given_TSRE2;
double modelPar_TDWSE2;
double d_modelPar_TDWSE2_dX;
bool modelPar_given_TDWSE2;
double modelPar_TSRE3;
double d_modelPar_TSRE3_dX;
bool modelPar_given_TSRE3;
double modelPar_TDWSE3;
double d_modelPar_TDWSE3_dX;
bool modelPar_given_TDWSE3;
double modelPar_TSRQ1;
double d_modelPar_TSRQ1_dX;
bool modelPar_given_TSRQ1;
double modelPar_TDWSQ1;
double d_modelPar_TDWSQ1_dX;
bool modelPar_given_TDWSQ1;
double modelPar_TSRQ2;
double d_modelPar_TSRQ2_dX;
bool modelPar_given_TSRQ2;
double modelPar_TDWSQ2;
double d_modelPar_TDWSQ2_dX;
bool modelPar_given_TDWSQ2;
double modelPar_TSRQ3;
double d_modelPar_TSRQ3_dX;
bool modelPar_given_TSRQ3;
double modelPar_TDWSQ3;
double d_modelPar_TDWSQ3_dX;
bool modelPar_given_TDWSQ3;
double modelPar_NVSRD;
double d_modelPar_NVSRD_dX;
bool modelPar_given_NVSRD;
double modelPar_VSATRSD;
double d_modelPar_VSATRSD_dX;
bool modelPar_given_VSATRSD;
double modelPar_PTWGVSRSD;
double d_modelPar_PTWGVSRSD_dX;
bool modelPar_given_PTWGVSRSD;
double modelPar_PTWG1VSRSD;
double d_modelPar_PTWG1VSRSD_dX;
bool modelPar_given_PTWG1VSRSD;
double modelPar_PSATXVSRSD;
double d_modelPar_PSATXVSRSD_dX;
bool modelPar_given_PSATXVSRSD;
double modelPar_MVSRSD;
double d_modelPar_MVSRSD_dX;
bool modelPar_given_MVSRSD;
double modelPar_NVSRS;
double d_modelPar_NVSRS_dX;
bool modelPar_given_NVSRS;
double modelPar_RDLCW;
double d_modelPar_RDLCW_dX;
bool modelPar_given_RDLCW;
double modelPar_RSLCW;
double d_modelPar_RSLCW_dX;
bool modelPar_given_RSLCW;
double modelPar_PRTVSRSD;
double d_modelPar_PRTVSRSD_dX;
bool modelPar_given_PRTVSRSD;
double modelPar_ATVSRSD;
double d_modelPar_ATVSRSD_dX;
bool modelPar_given_ATVSRSD;
double modelPar_VSRDFACTOR;
double d_modelPar_VSRDFACTOR_dX;
bool modelPar_given_VSRDFACTOR;
double modelPar_VSRSFACTOR;
double d_modelPar_VSRSFACTOR_dX;
bool modelPar_given_VSRSFACTOR;
double modelPar_RDVDS;
double d_modelPar_RDVDS_dX;
bool modelPar_given_RDVDS;
double modelPar_GAVSRD;
double d_modelPar_GAVSRD_dX;
bool modelPar_given_GAVSRD;
// non-reals (including hidden)
int modelPar_NGCON;
bool modelPar_given_NGCON;
int modelPar_NGAA;
bool modelPar_given_NGAA;
int modelPar_SUBBANDMOD;
bool modelPar_given_SUBBANDMOD;
int modelPar_MOBSCMOD;
bool modelPar_given_MOBSCMOD;
int modelPar_TYPE;
bool modelPar_given_TYPE;
int modelPar_BULKMOD;
bool modelPar_given_BULKMOD;
int modelPar_GEOMOD;
bool modelPar_given_GEOMOD;
int modelPar_CGEO1SW;
bool modelPar_given_CGEO1SW;
int modelPar_RDSMOD;
bool modelPar_given_RDSMOD;
int modelPar_ASYMMOD;
bool modelPar_given_ASYMMOD;
int modelPar_CVMOD;
bool modelPar_given_CVMOD;
int modelPar_IGCMOD;
bool modelPar_given_IGCMOD;
int modelPar_IGBMOD;
bool modelPar_given_IGBMOD;
int modelPar_GIDLMOD;
bool modelPar_given_GIDLMOD;
int modelPar_IIMOD;
bool modelPar_given_IIMOD;
int modelPar_TNOIMOD;
bool modelPar_given_TNOIMOD;
int modelPar_NQSMOD;
bool modelPar_given_NQSMOD;
int modelPar_SHMOD;
bool modelPar_given_SHMOD;
int modelPar_TEMPMOD;
bool modelPar_given_TEMPMOD;
int modelPar_RGATEMOD;
bool modelPar_given_RGATEMOD;
int modelPar_RGEOMOD;
bool modelPar_given_RGEOMOD;
int modelPar_CGEOMOD;
bool modelPar_given_CGEOMOD;
int modelPar_FNMOD;
bool modelPar_given_FNMOD;
int modelPar_CRYOMOD;
bool modelPar_given_CRYOMOD;
int modelPar_SH_WARN;
bool modelPar_given_SH_WARN;
int modelPar_IGCLAMP;
bool modelPar_given_IGCLAMP;
int modelPar_SDTERM;
bool modelPar_given_SDTERM;
};



//-----------------------------------------------------------------------------
// Free functions used by sensitivity
//
//-----------------------------------------------------------------------------
void evaluateModelEquations(
std::vector <double> & probeVars,
// probe constants
const int admsProbeID_V_ge_GND,
const int admsProbeID_V_e_GND,
const int admsProbeID_V_si_GND,
const int admsProbeID_V_di_GND,
const int admsProbeID_V_gi_GND,
const int admsProbeID_V_n_GND,
const int admsProbeID_V_g_ge,
const int admsProbeID_V_ge_gi,
const int admsProbeID_V_si1_si,
const int admsProbeID_V_si_si1,
const int admsProbeID_V_di1_di,
const int admsProbeID_V_q_GND,
const int admsProbeID_V_ge_e,
const int admsProbeID_V_e_ge,
const int admsProbeID_V_ge_d,
const int admsProbeID_V_ge_s,
const int admsProbeID_V_ge_di,
const int admsProbeID_V_ge_si,
const int admsProbeID_V_d_di1,
const int admsProbeID_V_gi_di1,
const int admsProbeID_V_s_si1,
const int admsProbeID_V_gi_si1,
const int admsProbeID_V_e_s,
const int admsProbeID_V_d_s,
const int admsProbeID_V_g_s,
const int admsProbeID_V_gi_e,
const int admsProbeID_V_e_di,
const int admsProbeID_V_e_si,
const int admsProbeID_V_gi_di,
const int admsProbeID_V_di_si,
const int admsProbeID_V_gi_si,
const int admsProbeID_Temp_t_GND,
// node constants
const int admsNodeID_d,
const int admsNodeID_g,
const int admsNodeID_s,
const int admsNodeID_e,
const int admsNodeID_t,
const int admsNodeID_di,
const int admsNodeID_si,
const int admsNodeID_di1,
const int admsNodeID_si1,
const int admsNodeID_ge,
const int admsNodeID_gi,
const int admsNodeID_q,
const int admsNodeID_n,
instanceSensStruct & instanceStruct,
modelSensStruct & modelStruct,
const std::vector<bool> & portsConnected_,
// basic variables
 double admsTemperature, double adms_vt_nom, double ADMSgmin_arg, std::vector <double> & d_staticContributions_dX, std::vector <double> & d_dynamicContributions_dX, const Instance & theInstance);

void evaluateInitialInstance(
instanceSensStruct & instanceStruct,
modelSensStruct & modelStruct,
const int admsNodeID_d,
const int admsNodeID_g,
const int admsNodeID_s,
const int admsNodeID_e,
const int admsNodeID_t,
const int admsNodeID_di,
const int admsNodeID_si,
const int admsNodeID_di1,
const int admsNodeID_si1,
const int admsNodeID_ge,
const int admsNodeID_gi,
const int admsNodeID_q,
const int admsNodeID_n,
 const std::vector<bool> & portsConnected_,
 double admsTemperature,double adms_vt_nom, double ADMSgmin_arg, const Instance & theInstance);

void evaluateInitialModel(
modelSensStruct & modelStruct,
 double admsTemperature, double ADMSgmin_arg, const Instance & theInstance);

#endif // Xyce_ADMS_SENSITIVITIES


// Limited exponential --- NOT what verilog LRM says, but what qucs,
// ng-spice, and zspice do.

template <typename T>
T limexp(const T &x)
{
  if ((x) < 80.0)
  return (exp(x));
  else
  return (exp(80.0)*(x-79.0));
}


struct Traits: public DeviceTraits<Model, Instance, MOSFET1::Traits>
{
  static const char *name() {return "BSIM-CMG FINFET v111.2.1";}
  static const char *deviceTypeName() {return "M level 111";}

  static int numNodes() {return 4;}

  static int numOptionalNodes() {return 1;};

  static bool modelRequired() {return true;}
  static bool isLinearDevice() {return false;}

  static Device *factory(const Configuration &configuration, const FactoryBlock &factory_block);
  static void loadModelParameters(ParametricData<Model> &model_parameters);
  static void loadInstanceParameters(ParametricData<Instance> &instance_parameters);
};

//-----------------------------------------------------------------------------
// Class         : Instance

//
// Purpose       : This class represents a single instance  of the
//                 device.  It mainly contains indices and pointers into
//                 the matrix equation (see the resistor instance class for
//                 more details).
//
// Special Notes :
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
class Instance : public DeviceInstance
{
  friend class ParametricData<Instance>;
  friend class Model;
#ifdef Xyce_ADMS_SENSITIVITIES
  friend class InstanceSensitivity;
  friend class ModelSensitivity;
#endif // Xyce_ADMS_SENSITIVITIES
  friend struct Traits;

  public:
    Instance(
      const Configuration &       configuration,
      const InstanceBlock &       instance_block,
      Model &                     model,
      const FactoryBlock &        factory_block);

    ~Instance();

private:
    Instance(const Instance &);
    Instance &operator=(const Instance &);

public:
    void registerLIDs( const LocalIdVector & intLIDVecRef,
                       const LocalIdVector & extLIDVecRef );
    void registerStoreLIDs( const LocalIdVector & stoLIDVecRef );
    void setupPointers();

    void loadNodeSymbols(Util::SymbolTable &symbol_table) const;

    const JacobianStamp & jacobianStamp() const;
    void registerJacLIDs( const JacobianStamp & jacLIDVec );

    void registerBranchDataLIDs(const std::vector<int> & branchLIDVecRef);

    bool processParams();
    bool updateTemperature ( const double & temp = -999.0 );
    bool updateIntermediateVars ();
    bool updatePrimaryState ();
    bool updateSecondaryState ();

    // load functions, residual:
    bool loadDAEQVector ();
    bool loadDAEFVector ();

    // load functions, Jacobian:
    bool loadDAEdQdx ();
    bool loadDAEdFdx ();

      void collapseNodes();
      int getNumNoiseSources () const;  // 16
      void setupNoiseSources (Xyce::Analysis::NoiseData & noiseData);
      void getNoiseSources (Xyce::Analysis::NoiseData & noiseData);

  private:

  public:
    // iterator reference to the bsimcmg_111 model which owns this instance.
    // Getters and setters
    Model &getModel()
    {
      return model_;
    }

  private:

    Model & model_;   //< Owning Model
    // Begin verilog Instance Variables
    //   Instance Parameters
    double L;
    double D;
    double TFIN;
    double FPITCH;
    double NFIN;
    int NGCON;
    double ASEO;
    double ADEO;
    double PSEO;
    double PDEO;
    double ASEJ;
    double ADEJ;
    double PSEJ;
    double PDEJ;
    double CGSP;
    double CGDP;
    double CDSP;
    double NRS;
    double NRD;
    double LRSD;
    double NFINNOM;
    double DTEMP;
    double DELVTRAND;
    double U0MULT;
    double IDS0MULT;
    double IGC0MULT;
    double IGB0MULT;
    double COVS;
    double COVD;
    double TGAA;
    double TSUS;
    double HPFF;
    double WGAA;
    double DWS1;
    double DACH1;
    double DWS2;
    double DACH2;
    double DWS3;
    double DACH3;
    double DWS4;
    double DACH4;
    double DWS5;
    double DACH5;
    double DWS6;
    double DACH6;
    int NGAA;
    int SUBBANDMOD;
    int MOBSCMOD;
    int NF;
    double XL;
    double XW;
    double m;
    //  Variables of global_instance scope
    double WEFF;
    double LEFF;
    double WEFFCV;
    double LEFFCV;
    double IDS;
     double d_IDS_dTemp_t_GND;
     double d_IDS_dV_di_si;
     double d_IDS_dV_e_si;
     double d_IDS_dV_e_di;
     double d_IDS_dV_gi_si;
     double d_IDS_dV_gi_e;
     double d_IDS_dV_gi_di1;
     double d_IDS_dV_gi_si1;
    double IDEFF;
    double ISEFF;
    double IGTOT;
    double IDSGEN;
    double III;
    double IGIDL;
    double IGISL;
    double IJSB;
    double IJDB;
    double ISUB;
    double BETA;
    double VDSSAT;
    double VDSEFF;
    double VFB;
    double VTH;
    double GM;
    double GDS;
    double GMBS;
    double QGI;
     double d_QGI_dV_di_si;
     double d_QGI_dV_e_si;
     double d_QGI_dV_e_di;
     double d_QGI_dV_gi_si;
     double d_QGI_dTemp_t_GND;
     double d_QGI_dV_gi_e;
     double d_QGI_dV_gi_di1;
     double d_QGI_dV_gi_si1;
    double QDI;
     double d_QDI_dV_di_si;
     double d_QDI_dV_e_si;
     double d_QDI_dV_e_di;
     double d_QDI_dV_gi_si;
     double d_QDI_dTemp_t_GND;
     double d_QDI_dV_gi_e;
    double QSI;
     double d_QSI_dV_gi_di1;
     double d_QSI_dV_gi_si1;
     double d_QSI_dV_di_si;
     double d_QSI_dV_e_si;
     double d_QSI_dV_e_di;
     double d_QSI_dV_gi_si;
     double d_QSI_dTemp_t_GND;
     double d_QSI_dV_gi_e;
    double QBI;
     double d_QBI_dV_gi_di1;
     double d_QBI_dV_gi_si1;
     double d_QBI_dV_gi_e;
     double d_QBI_dV_e_si;
     double d_QBI_dV_e_di;
     double d_QBI_dV_gi_si;
     double d_QBI_dV_di_si;
     double d_QBI_dTemp_t_GND;
    double QG;
     double d_QG_dV_di_si;
     double d_QG_dV_e_si;
     double d_QG_dV_e_di;
     double d_QG_dV_gi_si;
     double d_QG_dTemp_t_GND;
     double d_QG_dV_gi_e;
     double d_QG_dV_ge_s;
     double d_QG_dV_ge_di;
     double d_QG_dV_gi_di1;
     double d_QG_dV_gi_si1;
     double d_QG_dV_ge_si;
     double d_QG_dV_ge_d;
     double d_QG_dV_ge_e;
     double d_QG_dV_gi_di;
     double d_QG_dV_e_ge;
    double QD;
     double d_QD_dV_di_si;
     double d_QD_dV_e_si;
     double d_QD_dV_e_di;
     double d_QD_dV_gi_si;
     double d_QD_dTemp_t_GND;
     double d_QD_dV_gi_e;
     double d_QD_dV_ge_d;
     double d_QD_dV_gi_di1;
     double d_QD_dV_gi_si1;
     double d_QD_dV_ge_di;
     double d_QD_dV_ge_si;
     double d_QD_dV_d_di1;
     double d_QD_dV_s_si1;
     double d_QD_dV_gi_di;
     double d_QD_dV_d_s;
    double QS;
     double d_QS_dV_gi_di1;
     double d_QS_dV_gi_si1;
     double d_QS_dV_di_si;
     double d_QS_dV_e_si;
     double d_QS_dV_e_di;
     double d_QS_dV_gi_si;
     double d_QS_dTemp_t_GND;
     double d_QS_dV_gi_e;
     double d_QS_dV_ge_s;
     double d_QS_dV_ge_di;
     double d_QS_dV_ge_si;
     double d_QS_dV_d_di1;
     double d_QS_dV_s_si1;
     double d_QS_dV_gi_di;
     double d_QS_dV_d_s;
    double QB;
     double d_QB_dV_gi_di1;
     double d_QB_dV_gi_si1;
     double d_QB_dV_gi_e;
     double d_QB_dV_e_si;
     double d_QB_dV_e_di;
     double d_QB_dV_gi_si;
     double d_QB_dV_di_si;
     double d_QB_dTemp_t_GND;
     double d_QB_dV_ge_e;
     double d_QB_dV_gi_di;
     double d_QB_dV_ge_di;
     double d_QB_dV_ge_si;
     double d_QB_dV_e_ge;
     double d_QB_dV_d_di1;
     double d_QB_dV_s_si1;
    double CGGI;
    double CGSI;
    double CGDI;
    double CGEI;
    double CDGI;
    double CDDI;
    double CDSI;
    double CDEI;
    double CSGI;
    double CSDI;
    double CSSI;
    double CSEI;
    double CEGI;
    double CEDI;
    double CESI;
    double CEEI;
    double CGG;
    double CGS;
    double CGD;
    double CGE;
    double CDG;
    double CDD;
    double CDS;
    double CDE;
    double CSG;
    double CSD;
    double CSS;
    double CSE;
    double CEG;
    double CED;
    double CES;
    double CEE;
    double CGSEXT;
    double CGDEXT;
    double CGBOV;
    double CJST;
    double CJDT;
    double RSGEO;
    double RDGEO;
    double CFGEO;
    double T_TOTAL_K;
    double T_TOTAL_C;
    double T_DELTA_SH;
    double IGS;
    double IGD;
    double IGCS;
    double IGCD;
    double IGBS;
    double IGBD;
    double IGBACC;
    double IGBINV;
    double DIDSDVG;
    double DIDSDVS;
    double DIDSDVD;
    double DIGSDVG;
    double DIGSDVS;
    double DIGSDVD;
    double DIGDDVG;
    double DIGDDVS;
    double DIGDDVD;
    double DIIIDVG;
    double DIIIDVS;
    double DIIIDVD;
    double DIGIDLDVG;
    double DIGIDLDVS;
    double DIGIDLDVD;
    double DIGISLDVG;
    double DIGISLDVS;
    double DIGISLDVD;
    double CGT;
    double CST;
    double CDT;
    double DIDSDVTH;
    double DIGSDVTH;
    double DIGDDVTH;
    double DIIIDVTH;
    double DIGIDLDVTH;
    double DIGISLDVTH;
    double ITH;
     double d_ITH_dV_di_si;
     double d_ITH_dTemp_t_GND;
     double d_ITH_dV_e_si;
     double d_ITH_dV_e_di;
     double d_ITH_dV_gi_si;
     double d_ITH_dV_gi_e;
     double d_ITH_dV_gi_di1;
     double d_ITH_dV_gi_si1;
     double d_ITH_dV_di1_di;
     double d_ITH_dV_ge_e;
     double d_ITH_dV_gi_di;
     double d_ITH_dV_ge_di;
     double d_ITH_dV_ge_si;
     double d_ITH_dV_d_di1;
     double d_ITH_dV_s_si1;
     double d_ITH_dV_si1_si;
     double d_ITH_dV_si_si1;
    double DITHDVTH;
    double DITHDVG;
    double DITHDVS;
    double DITHDVD;
    double VDSAT;
    double VDS;
    double VGS;
    double VBS;
    int devsign;
    double NFINtotal;
    double TempLast;
     double d_TempLast_dTemp_t_GND;
    double DevTemp1;
     double d_DevTemp1_dTemp_t_GND;
    double DevTempeff;
     double d_DevTempeff_dTemp_t_GND;
    double DevTemplow0;
     double d_DevTemplow0_dTemp_t_GND;
    double DevTemplow1;
     double d_DevTemplow1_dTemp_t_GND;
    double ni;
     double d_ni_dTemp_t_GND;
    double niln;
     double d_niln_dTemp_t_GND;
    double epssub;
    double epsratio;
    double Eg;
     double d_Eg_dTemp_t_GND;
    double Eg0;
    double Nc;
     double d_Nc_dTemp_t_GND;
    double Lg;
    double Leff;
    double LeffCV;
    double LeffCV_acc;
    double Weff0;
    double WeffCV0;
    double WeffCV_acc;
    double cox;
    double phib;
     double d_phib_dTemp_t_GND;
    double deltaPhi;
     double d_deltaPhi_dTemp_t_GND;
    double T0;
     double d_T0_dV_ge_e;
     double d_T0_dV_gi_di;
     double d_T0_dV_ge_di;
     double d_T0_dV_ge_si;
     double d_T0_dV_gi_di1;
     double d_T0_dV_gi_si1;
     double d_T0_dV_gi_e;
     double d_T0_dV_e_si;
     double d_T0_dV_e_di;
     double d_T0_dV_gi_si;
     double d_T0_dV_di_si;
     double d_T0_dTemp_t_GND;
    double T1;
     double d_T1_dV_ge_e;
     double d_T1_dV_d_di1;
     double d_T1_dV_s_si1;
     double d_T1_dV_gi_di;
     double d_T1_dV_ge_di;
     double d_T1_dV_ge_si;
     double d_T1_dV_gi_di1;
     double d_T1_dV_gi_si1;
     double d_T1_dV_gi_e;
     double d_T1_dV_e_si;
     double d_T1_dV_e_di;
     double d_T1_dV_gi_si;
     double d_T1_dV_di_si;
     double d_T1_dTemp_t_GND;
    double T2;
     double d_T2_dV_d_di1;
     double d_T2_dV_s_si1;
     double d_T2_dV_ge_e;
     double d_T2_dV_gi_di;
     double d_T2_dV_ge_di;
     double d_T2_dV_ge_si;
     double d_T2_dV_gi_di1;
     double d_T2_dV_gi_si1;
     double d_T2_dV_gi_e;
     double d_T2_dV_gi_si;
     double d_T2_dV_e_si;
     double d_T2_dV_e_di;
     double d_T2_dV_di_si;
     double d_T2_dTemp_t_GND;
    double T3;
     double d_T3_dV_di1_di;
     double d_T3_dV_d_di1;
     double d_T3_dV_s_si1;
     double d_T3_dV_ge_e;
     double d_T3_dV_gi_di;
     double d_T3_dV_ge_di;
     double d_T3_dV_ge_si;
     double d_T3_dV_gi_di1;
     double d_T3_dV_gi_si1;
     double d_T3_dV_gi_e;
     double d_T3_dV_di_si;
     double d_T3_dV_e_si;
     double d_T3_dV_e_di;
     double d_T3_dV_gi_si;
     double d_T3_dTemp_t_GND;
    double Vtm;
     double d_Vtm_dTemp_t_GND;
    double Vtm0;
    double Vtmeff;
     double d_Vtmeff_dTemp_t_GND;
    double Dr;
     double d_Dr_dV_gi_di1;
     double d_Dr_dV_gi_si1;
     double d_Dr_dTemp_t_GND;
     double d_Dr_dV_di_si;
     double d_Dr_dV_e_si;
     double d_Dr_dV_e_di;
     double d_Dr_dV_gi_si;
     double d_Dr_dV_gi_e;
    double WeffWRFactor;
    double RSourceGeo;
    double RDrainGeo;
    double Rdrain;
     double d_Rdrain_dTemp_t_GND;
     double d_Rdrain_dV_d_di1;
     double d_Rdrain_dV_s_si1;
     double d_Rdrain_dV_gi_e;
     double d_Rdrain_dV_di_si;
     double d_Rdrain_dV_e_si;
     double d_Rdrain_dV_e_di;
     double d_Rdrain_dV_gi_si;
     double d_Rdrain_dV_gi_di1;
     double d_Rdrain_dV_gi_si1;
    double Rsource;
     double d_Rsource_dTemp_t_GND;
     double d_Rsource_dV_s_si1;
     double d_Rsource_dV_gi_e;
     double d_Rsource_dV_di_si;
     double d_Rsource_dV_e_si;
     double d_Rsource_dV_e_di;
     double d_Rsource_dV_gi_si;
     double d_Rsource_dV_gi_si1;
    double rdstemp;
     double d_rdstemp_dTemp_t_GND;
    double Rdsi;
     double d_Rdsi_dV_gi_di1;
     double d_Rdsi_dV_gi_si1;
     double d_Rdsi_dTemp_t_GND;
     double d_Rdsi_dV_gi_e;
     double d_Rdsi_dV_e_si;
     double d_Rdsi_dV_e_di;
     double d_Rdsi_dV_gi_si;
     double d_Rdsi_dV_di_si;
    double Tb;
     double d_Tb_dV_di_si;
     double d_Tb_dV_e_si;
     double d_Tb_dV_e_di;
     double d_Tb_dV_gi_si;
     double d_Tb_dTemp_t_GND;
    double Tnom;
    double TRatio;
     double d_TRatio_dTemp_t_GND;
    double TRatio_m1;
     double d_TRatio_m1_dTemp_t_GND;
    double dvth_temp;
     double d_dvth_temp_dTemp_t_GND;
    double delTemp;
     double d_delTemp_dTemp_t_GND;
    double delTemp1;
     double d_delTemp1_dTemp_t_GND;
    double delTRatio1;
     double d_delTRatio1_dTemp_t_GND;
    double ThetaSS;
     double d_ThetaSS_dTemp_t_GND;
    double K0_t;
     double d_K0_t_dTemp_t_GND;
    double K0SI_t;
     double d_K0SI_t_dTemp_t_GND;
    double K2SI_t;
     double d_K2SI_t_dTemp_t_GND;
    double K1_t;
     double d_K1_t_dTemp_t_GND;
    double K2SAT_t;
     double d_K2SAT_t_dTemp_t_GND;
    double A1_t;
     double d_A1_t_dTemp_t_GND;
    double A2_t;
     double d_A2_t_dTemp_t_GND;
    double AIGBINV_t;
     double d_AIGBINV_t_dTemp_t_GND;
    double AIGBACC_t;
     double d_AIGBACC_t_dTemp_t_GND;
    double AIGC_t;
     double d_AIGC_t_dTemp_t_GND;
    double AIGS_t;
     double d_AIGS_t_dTemp_t_GND;
    double AIGD_t;
     double d_AIGD_t_dTemp_t_GND;
    double BETA0_t;
     double d_BETA0_t_dTemp_t_GND;
    double SII0_t;
     double d_SII0_t_dTemp_t_GND;
    double BGISL_t;
     double d_BGISL_t_dTemp_t_GND;
    double BGISLB_t;
     double d_BGISLB_t_dTemp_t_GND;
    double BGIDL_t;
     double d_BGIDL_t_dTemp_t_GND;
    double BGIDLB_t;
     double d_BGIDLB_t_dTemp_t_GND;
    double igtemp;
     double d_igtemp_dTemp_t_GND;
    double PTWG_t;
     double d_PTWG_t_dTemp_t_GND;
    double PTWGR_t;
     double d_PTWGR_t_dTemp_t_GND;
    double ALPHA0_t;
     double d_ALPHA0_t_dTemp_t_GND;
    double ALPHA1_t;
     double d_ALPHA1_t_dTemp_t_GND;
    double ALPHAII0_t;
     double d_ALPHAII0_t_dTemp_t_GND;
    double ALPHAII1_t;
     double d_ALPHAII1_t_dTemp_t_GND;
    double CJS_t;
     double d_CJS_t_dTemp_t_GND;
    double CJSWS_t;
     double d_CJSWS_t_dTemp_t_GND;
    double CJSWGD_t;
     double d_CJSWGD_t_dTemp_t_GND;
    double CJD_t;
     double d_CJD_t_dTemp_t_GND;
    double CJSWD_t;
     double d_CJSWD_t_dTemp_t_GND;
    double CJSWGS_t;
     double d_CJSWGS_t_dTemp_t_GND;
    double PBS_t;
     double d_PBS_t_dTemp_t_GND;
    double PBSWS_t;
     double d_PBSWS_t_dTemp_t_GND;
    double PBSWGS_t;
     double d_PBSWGS_t_dTemp_t_GND;
    double PBD_t;
     double d_PBD_t_dTemp_t_GND;
    double PBSWD_t;
     double d_PBSWD_t_dTemp_t_GND;
    double PBSWGD_t;
     double d_PBSWGD_t_dTemp_t_GND;
    double JSS_t;
     double d_JSS_t_dTemp_t_GND;
    double JSWS_t;
     double d_JSWS_t_dTemp_t_GND;
    double JSWGS_t;
     double d_JSWGS_t_dTemp_t_GND;
    double JSD_t;
     double d_JSD_t_dTemp_t_GND;
    double JSWD_t;
     double d_JSWD_t_dTemp_t_GND;
    double JSWGD_t;
     double d_JSWGD_t_dTemp_t_GND;
    double JTSS_t;
     double d_JTSS_t_dTemp_t_GND;
    double JTSD_t;
     double d_JTSD_t_dTemp_t_GND;
    double JTSSWS_t;
     double d_JTSSWS_t_dTemp_t_GND;
    double JTSSWD_t;
     double d_JTSSWD_t_dTemp_t_GND;
    double JTSSWGS_t;
     double d_JTSSWGS_t_dTemp_t_GND;
    double JTSSWGD_t;
     double d_JTSSWGD_t_dTemp_t_GND;
    double NJTS_t;
     double d_NJTS_t_dTemp_t_GND;
    double NJTSD_t;
     double d_NJTSD_t_dTemp_t_GND;
    double NJTSSW_t;
     double d_NJTSSW_t_dTemp_t_GND;
    double NJTSSWD_t;
     double d_NJTSSWD_t_dTemp_t_GND;
    double NJTSSWG_t;
     double d_NJTSSWG_t_dTemp_t_GND;
    double NJTSSWGD_t;
     double d_NJTSSWGD_t_dTemp_t_GND;
    double K2_t;
     double d_K2_t_dTemp_t_GND;
    double K0SISAT_t;
     double d_K0SISAT_t_dTemp_t_GND;
    double K2SISAT_t;
     double d_K2SISAT_t_dTemp_t_GND;
    double ETA0_t;
     double d_ETA0_t_dTemp_t_GND;
    double ETA0CV_t;
     double d_ETA0CV_t_dTemp_t_GND;
    double ETA0R_t;
     double d_ETA0R_t_dTemp_t_GND;
    double RSDR_t;
     double d_RSDR_t_dTemp_t_GND;
    double RSDRR_t;
     double d_RSDRR_t_dTemp_t_GND;
    double RDDR_t;
     double d_RDDR_t_dTemp_t_GND;
    double RDDRR_t;
     double d_RDDRR_t_dTemp_t_GND;
    double UA_t;
     double d_UA_t_dTemp_t_GND;
    double UACV_t;
     double d_UACV_t_dTemp_t_GND;
    double UAR_t;
     double d_UAR_t_dTemp_t_GND;
    double UA_tl;
     double d_UA_tl_dTemp_t_GND;
    double UA_th;
     double d_UA_th_dTemp_t_GND;
    double UACV_tl;
     double d_UACV_tl_dTemp_t_GND;
    double UACV_th;
     double d_UACV_th_dTemp_t_GND;
    double UAR_tl;
     double d_UAR_tl_dTemp_t_GND;
    double UAR_th;
     double d_UAR_th_dTemp_t_GND;
    double wh;
     double d_wh_dTemp_t_GND;
    double wl;
     double d_wl_dTemp_t_GND;
    double UC_t;
     double d_UC_t_dTemp_t_GND;
    double UCCV_t;
     double d_UCCV_t_dTemp_t_GND;
    double UCR_t;
     double d_UCR_t_dTemp_t_GND;
    double UCS_t;
     double d_UCS_t_dTemp_t_GND;
    double UD_t;
     double d_UD_t_dTemp_t_GND;
    double UDCV_t;
     double d_UDCV_t_dTemp_t_GND;
    double UDR_t;
     double d_UDR_t_dTemp_t_GND;
    double U0R_t;
     double d_U0R_t_dTemp_t_GND;
    double ETAMOB_t;
     double d_ETAMOB_t_dTemp_t_GND;
    double EU_t;
     double d_EU_t_dTemp_t_GND;
    double UDS_t;
     double d_UDS_t_dTemp_t_GND;
    double UDS_i;
    double UDS1_i;
    double UDD_t;
     double d_UDD_t_dTemp_t_GND;
    double UDD_i;
    double UDD1_i;
    double UDSeff_t;
     double d_UDSeff_t_dTemp_t_GND;
    double UDDeff_t;
     double d_UDDeff_t_dTemp_t_GND;
    double VSAT_t;
     double d_VSAT_t_dTemp_t_GND;
    double VSATR_t;
     double d_VSATR_t_dTemp_t_GND;
    double VSAT1_t;
     double d_VSAT1_t_dTemp_t_GND;
    double VSAT1R_t;
     double d_VSAT1R_t_dTemp_t_GND;
    double VSATCV_t;
     double d_VSATCV_t_dTemp_t_GND;
    double MEXP_t;
     double d_MEXP_t_dTemp_t_GND;
    double MEXPR_t;
     double d_MEXPR_t_dTemp_t_GND;
    double scl;
    double vbi;
     double d_vbi_dTemp_t_GND;
    double tmp;
    double Theta_SCE;
    double Theta_SW;
    double Theta_DIBL;
    double Theta_RSCE;
    double Theta_DITS;
    double veseff;
     double d_veseff_dV_e_si;
     double d_veseff_dV_e_di;
     double d_veseff_dV_di_si;
     double d_veseff_dTemp_t_GND;
    double Tcen0;
    double dvch_qm;
     double d_dvch_qm_dTemp_t_GND;
    double mx;
    double mxprime;
    double md;
    double mdprime;
    double gprime;
    double gfactor;
    double qbs;
    double qba;
     double d_qba_dTemp_t_GND;
     double d_qba_dV_di_si;
     double d_qba_dV_gi_e;
     double d_qba_dV_e_si;
     double d_qba_dV_e_di;
     double d_qba_dV_gi_si;
    double eta_mu;
     double d_eta_mu_dTemp_t_GND;
    double eta_mu_cv;
    double u0;
     double d_u0_dTemp_t_GND;
    double u0_cv;
     double d_u0_cv_dTemp_t_GND;
    double u0r;
     double d_u0r_dTemp_t_GND;
    double EeffFactor;
    double Cfr_geo;
    double ggeltd;
    double igbinv;
     double d_igbinv_dV_gi_e;
     double d_igbinv_dV_di_si;
     double d_igbinv_dV_e_si;
     double d_igbinv_dV_e_di;
     double d_igbinv_dV_gi_si;
     double d_igbinv_dTemp_t_GND;
     double d_igbinv_dV_ge_di;
     double d_igbinv_dV_ge_si;
     double d_igbinv_dV_gi_di1;
     double d_igbinv_dV_gi_si1;
     double d_igbinv_dV_d_di1;
     double d_igbinv_dV_s_si1;
    double igsd_mult;
     double d_igsd_mult_dTemp_t_GND;
    double igsd_mult0;
    double igbs;
     double d_igbs_dV_gi_e;
     double d_igbs_dV_di_si;
     double d_igbs_dV_e_si;
     double d_igbs_dV_e_di;
     double d_igbs_dV_gi_si;
     double d_igbs_dTemp_t_GND;
     double d_igbs_dV_ge_di;
     double d_igbs_dV_ge_si;
     double d_igbs_dV_gi_di1;
     double d_igbs_dV_gi_si1;
     double d_igbs_dV_d_di1;
     double d_igbs_dV_s_si1;
    double igbd;
     double d_igbd_dV_gi_e;
     double d_igbd_dV_di_si;
     double d_igbd_dV_e_si;
     double d_igbd_dV_e_di;
     double d_igbd_dV_gi_si;
     double d_igbd_dTemp_t_GND;
     double d_igbd_dV_ge_di;
     double d_igbd_dV_ge_si;
     double d_igbd_dV_gi_di1;
     double d_igbd_dV_gi_si1;
     double d_igbd_dV_d_di1;
     double d_igbd_dV_s_si1;
    double igbacc;
     double d_igbacc_dV_gi_e;
     double d_igbacc_dV_di_si;
     double d_igbacc_dV_e_si;
     double d_igbacc_dV_e_di;
     double d_igbacc_dV_gi_si;
     double d_igbacc_dTemp_t_GND;
     double d_igbacc_dV_ge_di;
     double d_igbacc_dV_ge_si;
     double d_igbacc_dV_gi_di1;
     double d_igbacc_dV_gi_si1;
     double d_igbacc_dV_d_di1;
     double d_igbacc_dV_s_si1;
    double igcs;
     double d_igcs_dV_ge_di;
     double d_igcs_dV_ge_si;
     double d_igcs_dV_gi_di1;
     double d_igcs_dV_gi_si1;
     double d_igcs_dV_gi_e;
     double d_igcs_dV_e_si;
     double d_igcs_dV_e_di;
     double d_igcs_dV_gi_si;
     double d_igcs_dV_di_si;
     double d_igcs_dTemp_t_GND;
     double d_igcs_dV_d_di1;
     double d_igcs_dV_s_si1;
    double igcd;
     double d_igcd_dV_ge_di;
     double d_igcd_dV_ge_si;
     double d_igcd_dV_gi_di1;
     double d_igcd_dV_gi_si1;
     double d_igcd_dV_gi_e;
     double d_igcd_dV_e_si;
     double d_igcd_dV_e_di;
     double d_igcd_dV_gi_si;
     double d_igcd_dV_di_si;
     double d_igcd_dTemp_t_GND;
     double d_igcd_dV_d_di1;
     double d_igcd_dV_s_si1;
    double igisl;
     double d_igisl_dV_gi_di;
     double d_igisl_dV_ge_di;
     double d_igisl_dV_ge_si;
     double d_igisl_dV_gi_di1;
     double d_igisl_dV_gi_si1;
     double d_igisl_dV_d_di1;
     double d_igisl_dV_s_si1;
     double d_igisl_dV_gi_e;
     double d_igisl_dV_di_si;
     double d_igisl_dV_e_si;
     double d_igisl_dV_e_di;
     double d_igisl_dV_gi_si;
     double d_igisl_dTemp_t_GND;
    double igidl;
     double d_igidl_dV_gi_di;
     double d_igidl_dV_ge_di;
     double d_igidl_dV_ge_si;
     double d_igidl_dV_gi_di1;
     double d_igidl_dV_gi_si1;
     double d_igidl_dV_d_di1;
     double d_igidl_dV_s_si1;
     double d_igidl_dV_gi_e;
     double d_igidl_dV_di_si;
     double d_igidl_dV_e_si;
     double d_igidl_dV_e_di;
     double d_igidl_dV_gi_si;
     double d_igidl_dTemp_t_GND;
    double igislb;
     double d_igislb_dV_gi_di;
     double d_igislb_dV_ge_di;
     double d_igislb_dV_ge_si;
     double d_igislb_dV_gi_di1;
     double d_igislb_dV_gi_si1;
     double d_igislb_dV_d_di1;
     double d_igislb_dV_s_si1;
     double d_igislb_dV_gi_e;
     double d_igislb_dV_di_si;
     double d_igislb_dV_e_si;
     double d_igislb_dV_e_di;
     double d_igislb_dV_gi_si;
     double d_igislb_dTemp_t_GND;
    double igidlb;
     double d_igidlb_dV_gi_di;
     double d_igidlb_dV_ge_di;
     double d_igidlb_dV_ge_si;
     double d_igidlb_dV_gi_di1;
     double d_igidlb_dV_gi_si1;
     double d_igidlb_dV_d_di1;
     double d_igidlb_dV_s_si1;
     double d_igidlb_dV_gi_e;
     double d_igidlb_dV_di_si;
     double d_igidlb_dV_e_si;
     double d_igidlb_dV_e_di;
     double d_igidlb_dV_gi_si;
     double d_igidlb_dTemp_t_GND;
    double vfbsd;
     double d_vfbsd_dTemp_t_GND;
    double igs;
     double d_igs_dV_gi_di;
     double d_igs_dTemp_t_GND;
     double d_igs_dV_gi_si;
     double d_igs_dV_ge_di;
     double d_igs_dV_ge_si;
     double d_igs_dV_gi_di1;
     double d_igs_dV_gi_si1;
     double d_igs_dV_gi_e;
     double d_igs_dV_e_si;
     double d_igs_dV_e_di;
     double d_igs_dV_di_si;
    double igd;
     double d_igd_dV_gi_di;
     double d_igd_dTemp_t_GND;
     double d_igd_dV_gi_si;
     double d_igd_dV_ge_di;
     double d_igd_dV_ge_si;
     double d_igd_dV_gi_di1;
     double d_igd_dV_gi_si1;
     double d_igd_dV_gi_e;
     double d_igd_dV_e_si;
     double d_igd_dV_e_di;
     double d_igd_dV_di_si;
    double Aechvb;
    double Bechvb;
    double Toxratio;
    double Iii;
     double d_Iii_dV_ge_di;
     double d_Iii_dV_ge_si;
     double d_Iii_dV_gi_di1;
     double d_Iii_dV_gi_si1;
     double d_Iii_dV_gi_e;
     double d_Iii_dV_e_si;
     double d_Iii_dV_e_di;
     double d_Iii_dV_gi_si;
     double d_Iii_dV_di_si;
     double d_Iii_dTemp_t_GND;
    double cox_acc;
     double d_cox_acc_dV_gi_e;
     double d_cox_acc_dV_di_si;
     double d_cox_acc_dV_e_si;
     double d_cox_acc_dV_e_di;
     double d_cox_acc_dV_gi_si;
     double d_cox_acc_dTemp_t_GND;
    double qg_acc;
     double d_qg_acc_dV_gi_di1;
     double d_qg_acc_dV_gi_si1;
     double d_qg_acc_dV_gi_e;
     double d_qg_acc_dV_e_si;
     double d_qg_acc_dV_e_di;
     double d_qg_acc_dV_gi_si;
     double d_qg_acc_dV_di_si;
     double d_qg_acc_dTemp_t_GND;
    double qb_acc;
     double d_qb_acc_dV_gi_di1;
     double d_qb_acc_dV_gi_si1;
     double d_qb_acc_dV_gi_e;
     double d_qb_acc_dV_e_si;
     double d_qb_acc_dV_e_di;
     double d_qb_acc_dV_gi_si;
     double d_qb_acc_dV_di_si;
     double d_qb_acc_dTemp_t_GND;
    double qgs_ov;
     double d_qgs_ov_dV_ge_di;
     double d_qgs_ov_dV_gi_di1;
     double d_qgs_ov_dV_gi_si1;
     double d_qgs_ov_dV_gi_e;
     double d_qgs_ov_dV_e_si;
     double d_qgs_ov_dV_e_di;
     double d_qgs_ov_dV_gi_si;
     double d_qgs_ov_dV_di_si;
     double d_qgs_ov_dTemp_t_GND;
     double d_qgs_ov_dV_ge_si;
    double qgd_ov;
     double d_qgd_ov_dV_gi_di1;
     double d_qgd_ov_dV_gi_si1;
     double d_qgd_ov_dV_gi_e;
     double d_qgd_ov_dV_e_si;
     double d_qgd_ov_dV_e_di;
     double d_qgd_ov_dV_gi_si;
     double d_qgd_ov_dV_di_si;
     double d_qgd_ov_dTemp_t_GND;
     double d_qgd_ov_dV_ge_di;
     double d_qgd_ov_dV_ge_si;
    double csbox;
    double cdbox;
    double cgbox;
    double vfbsdcv;
     double d_vfbsdcv_dTemp_t_GND;
    double Ies;
     double d_Ies_dV_gi_di;
     double d_Ies_dV_ge_di;
     double d_Ies_dV_ge_si;
     double d_Ies_dV_gi_di1;
     double d_Ies_dV_gi_si1;
     double d_Ies_dV_gi_e;
     double d_Ies_dV_e_si;
     double d_Ies_dV_e_di;
     double d_Ies_dV_gi_si;
     double d_Ies_dV_di_si;
     double d_Ies_dTemp_t_GND;
    double Ied;
     double d_Ied_dV_gi_di;
     double d_Ied_dV_ge_di;
     double d_Ied_dV_ge_si;
     double d_Ied_dV_gi_di1;
     double d_Ied_dV_gi_si1;
     double d_Ied_dV_gi_e;
     double d_Ied_dV_e_si;
     double d_Ied_dV_e_di;
     double d_Ied_dV_gi_si;
     double d_Ied_dV_di_si;
     double d_Ied_dTemp_t_GND;
    double Czbs;
     double d_Czbs_dTemp_t_GND;
    double Czbssw;
     double d_Czbssw_dTemp_t_GND;
    double Czbsswg;
     double d_Czbsswg_dTemp_t_GND;
    double Czbd;
     double d_Czbd_dTemp_t_GND;
    double Czbdsw;
     double d_Czbdsw_dTemp_t_GND;
    double Czbdswg;
     double d_Czbdswg_dTemp_t_GND;
    double Qesj;
     double d_Qesj_dV_d_di1;
     double d_Qesj_dV_s_si1;
     double d_Qesj_dTemp_t_GND;
     double d_Qesj_dV_gi_di;
     double d_Qesj_dV_ge_di;
     double d_Qesj_dV_ge_si;
     double d_Qesj_dV_gi_di1;
     double d_Qesj_dV_gi_si1;
     double d_Qesj_dV_gi_e;
     double d_Qesj_dV_e_si;
     double d_Qesj_dV_e_di;
     double d_Qesj_dV_gi_si;
     double d_Qesj_dV_di_si;
    double Qedj;
     double d_Qedj_dV_d_di1;
     double d_Qedj_dV_s_si1;
     double d_Qedj_dTemp_t_GND;
     double d_Qedj_dV_gi_di;
     double d_Qedj_dV_ge_di;
     double d_Qedj_dV_ge_si;
     double d_Qedj_dV_gi_di1;
     double d_Qedj_dV_gi_si1;
     double d_Qedj_dV_gi_e;
     double d_Qedj_dV_e_si;
     double d_Qedj_dV_e_di;
     double d_Qedj_dV_gi_si;
     double d_Qedj_dV_di_si;
    double Isbs;
     double d_Isbs_dTemp_t_GND;
    double Isbd;
     double d_Isbd_dTemp_t_GND;
    double Nvtms;
     double d_Nvtms_dTemp_t_GND;
    double Nvtmd;
     double d_Nvtmd_dTemp_t_GND;
    double SslpRev;
     double d_SslpRev_dTemp_t_GND;
    double IVjsmRev;
     double d_IVjsmRev_dTemp_t_GND;
    double VjsmRev;
     double d_VjsmRev_dTemp_t_GND;
    double SslpFwd;
     double d_SslpFwd_dTemp_t_GND;
    double IVjsmFwd;
     double d_IVjsmFwd_dTemp_t_GND;
    double VjsmFwd;
     double d_VjsmFwd_dTemp_t_GND;
    double XExpBVS;
     double d_XExpBVS_dTemp_t_GND;
    double DslpRev;
     double d_DslpRev_dTemp_t_GND;
    double IVjdmRev;
     double d_IVjdmRev_dTemp_t_GND;
    double VjdmRev;
     double d_VjdmRev_dTemp_t_GND;
    double DslpFwd;
     double d_DslpFwd_dTemp_t_GND;
    double IVjdmFwd;
     double d_IVjdmFwd_dTemp_t_GND;
    double VjdmFwd;
     double d_VjdmFwd_dTemp_t_GND;
    double XExpBVD;
     double d_XExpBVD_dTemp_t_GND;
    double igentemp;
     double d_igentemp_dTemp_t_GND;
    double vec1s;
     double d_vec1s_dTemp_t_GND;
    double pb21s;
     double d_pb21s_dTemp_t_GND;
    double vec2s;
     double d_vec2s_dTemp_t_GND;
    double pb22s;
     double d_pb22s_dTemp_t_GND;
    double vec3s;
     double d_vec3s_dTemp_t_GND;
    double pb23s;
     double d_pb23s_dTemp_t_GND;
    double vec1d;
     double d_vec1d_dTemp_t_GND;
    double pb21d;
     double d_pb21d_dTemp_t_GND;
    double vec2d;
     double d_vec2d_dTemp_t_GND;
    double pb22d;
     double d_pb22d_dTemp_t_GND;
    double vec3d;
     double d_vec3d_dTemp_t_GND;
    double pb23d;
     double d_pb23d_dTemp_t_GND;
    double gcrg;
     double d_gcrg_dTemp_t_GND;
     double d_gcrg_dV_di_si;
     double d_gcrg_dV_e_si;
     double d_gcrg_dV_e_di;
     double d_gcrg_dV_gi_si;
     double d_gcrg_dV_gi_e;
     double d_gcrg_dV_gi_di1;
     double d_gcrg_dV_gi_si1;
     double d_gcrg_dV_ge_e;
     double d_gcrg_dV_gi_di;
     double d_gcrg_dV_ge_di;
     double d_gcrg_dV_ge_si;
    double gtau;
     double d_gtau_dTemp_t_GND;
     double d_gtau_dV_di_si;
     double d_gtau_dV_e_si;
     double d_gtau_dV_e_di;
     double d_gtau_dV_gi_si;
     double d_gtau_dV_gi_e;
     double d_gtau_dV_gi_di1;
     double d_gtau_dV_gi_si1;
     double d_gtau_dV_ge_e;
     double d_gtau_dV_gi_di;
     double d_gtau_dV_ge_di;
     double d_gtau_dV_ge_si;
    double NOIA2_i;
    double MPOWER_i;
    double QSREF_i;
    double litl;
    double sid;
    double gspr;
     double d_gspr_dTemp_t_GND;
     double d_gspr_dV_s_si1;
     double d_gspr_dV_gi_e;
     double d_gspr_dV_di_si;
     double d_gspr_dV_e_si;
     double d_gspr_dV_e_di;
     double d_gspr_dV_gi_si;
     double d_gspr_dV_gi_si1;
    double gdpr;
     double d_gdpr_dTemp_t_GND;
     double d_gdpr_dV_d_di1;
     double d_gdpr_dV_s_si1;
     double d_gdpr_dV_gi_e;
     double d_gdpr_dV_di_si;
     double d_gdpr_dV_e_si;
     double d_gdpr_dV_e_di;
     double d_gdpr_dV_gi_si;
     double d_gdpr_dV_gi_di1;
     double d_gdpr_dV_gi_si1;
    double Dr0;
     double d_Dr0_dTemp_t_GND;
     double d_Dr0_dV_di_si;
     double d_Dr0_dV_e_si;
     double d_Dr0_dV_e_di;
     double d_Dr0_dV_gi_si;
     double d_Dr0_dV_ge_e;
     double d_Dr0_dV_gi_di;
     double d_Dr0_dV_ge_di;
     double d_Dr0_dV_ge_si;
     double d_Dr0_dV_gi_di1;
     double d_Dr0_dV_gi_si1;
     double d_Dr0_dV_gi_e;
     double d_Dr0_dV_d_di1;
     double d_Dr0_dV_s_si1;
    double delta;
     double d_delta_dV_di_si;
     double d_delta_dV_e_si;
     double d_delta_dV_e_di;
     double d_delta_dV_gi_si;
     double d_delta_dTemp_t_GND;
     double d_delta_dV_gi_e;
     double d_delta_dV_ge_e;
     double d_delta_dV_gi_di;
     double d_delta_dV_ge_di;
     double d_delta_dV_ge_si;
     double d_delta_dV_gi_di1;
     double d_delta_dV_gi_si1;
     double d_delta_dV_d_di1;
     double d_delta_dV_s_si1;
    double ctnoi;
     double d_ctnoi_dV_d_di1;
     double d_ctnoi_dV_s_si1;
     double d_ctnoi_dV_ge_e;
     double d_ctnoi_dV_gi_di;
     double d_ctnoi_dV_ge_di;
     double d_ctnoi_dV_ge_si;
     double d_ctnoi_dV_gi_di1;
     double d_ctnoi_dV_gi_si1;
     double d_ctnoi_dV_gi_e;
     double d_ctnoi_dV_di_si;
     double d_ctnoi_dV_e_si;
     double d_ctnoi_dV_e_di;
     double d_ctnoi_dV_gi_si;
     double d_ctnoi_dTemp_t_GND;
    double sigrat;
     double d_sigrat_dV_di_si;
     double d_sigrat_dV_e_si;
     double d_sigrat_dV_e_di;
     double d_sigrat_dV_gi_si;
     double d_sigrat_dTemp_t_GND;
     double d_sigrat_dV_gi_e;
     double d_sigrat_dV_ge_e;
     double d_sigrat_dV_gi_di;
     double d_sigrat_dV_ge_di;
     double d_sigrat_dV_ge_si;
     double d_sigrat_dV_gi_di1;
     double d_sigrat_dV_gi_si1;
     double d_sigrat_dV_d_di1;
     double d_sigrat_dV_s_si1;
    double gth;
    double cth;
    double NBODY_i;
    double PHIG_i;
    double CFD_i;
    double CFS_i;
    double COVS_i;
     double d_COVS_i_dV_ge_di;
     double d_COVS_i_dV_ge_si;
     double d_COVS_i_dV_gi_di1;
     double d_COVS_i_dV_gi_si1;
     double d_COVS_i_dV_gi_e;
     double d_COVS_i_dV_e_si;
     double d_COVS_i_dV_e_di;
     double d_COVS_i_dV_gi_si;
     double d_COVS_i_dV_di_si;
     double d_COVS_i_dTemp_t_GND;
    double COVD_i;
     double d_COVD_i_dV_ge_di;
     double d_COVD_i_dV_ge_si;
     double d_COVD_i_dV_gi_di1;
     double d_COVD_i_dV_gi_si1;
     double d_COVD_i_dV_gi_e;
     double d_COVD_i_dV_e_si;
     double d_COVD_i_dV_e_di;
     double d_COVD_i_dV_gi_si;
     double d_COVD_i_dV_di_si;
     double d_COVD_i_dTemp_t_GND;
    double CGSO_i;
    double CGDO_i;
    double CGSL_i;
    double CGDL_i;
    double CGBL_i;
    double CKAPPAS_i;
    double CKAPPAD_i;
    double CKAPPAB_i;
    double QMFACTOR_i;
    double QMTCENCV_i;
    double QMTCENCVA_i;
    double KSATIV_i;
    double KSATIVR_i;
    double KSATIV_t;
     double d_KSATIV_t_dTemp_t_GND;
    double CDSC_i;
    double CDSCD_i;
    double CDSCDR_i;
    double CIT_i;
    double DVT0_i;
    double CITR_i;
    double PHIN_i;
    double ETA0_i;
    double ETA0CV_i;
    double ETA0R_i;
    double VSAT_i;
    double VSATR_i;
    double DVTP0_i;
    double DVTP1_i;
    double K0_i;
    double K01_i;
    double K0SI_i;
    double K0SI1_i;
    double K2SI_i;
    double K2SI1_i;
    double PHIBE_i;
    double K1_i;
    double K11_i;
    double K2SAT_i;
    double K2SAT1_i;
    double DELTAVSAT_i;
    double PSAT_i;
    double DELTAVSATCV_i;
    double PSATCV_i;
    double VSAT1_i;
    double VSAT1R_i;
    double PTWG_i;
    double PTWGR_i;
    double VSATCV_i;
    double U0_i;
    double U0CV_i;
    double U0R_i;
    double ETAMOB_i;
    double NGATE_i;
    double RDSW_i;
    double PRWGS_i;
    double PRWGD_i;
    double PDIBL1_i;
    double PDIBL1R_i;
    double PDIBL2_i;
    double PDIBL2R_i;
    double DROUT_i;
    double PVAG_i;
    double AIGBINV_i;
    double AIGBINV1_i;
    double BIGBINV_i;
    double CIGBINV_i;
    double EIGBINV_i;
    double NIGBINV_i;
    double AIGBACC_i;
    double AIGBACC1_i;
    double BIGBACC_i;
    double CIGBACC_i;
    double NIGBACC_i;
    double AIGC_i;
    double AIGC1_i;
    double BIGC_i;
    double CIGC_i;
    double PIGCD_i;
    double AIGS_i;
    double AIGS1_i;
    double BIGS_i;
    double CIGS_i;
    double POXEDGE_i;
    double AIGD_i;
    double AIGD1_i;
    double BIGD_i;
    double CIGD_i;
    double AGIDL_i;
    double BGIDL_i;
    double CGIDL_i;
    double EGIDL_i;
    double PGIDL_i;
    double AGISL_i;
    double BGISL_i;
    double CGISL_i;
    double EGISL_i;
    double PGISL_i;
    double AGIDLB_i;
    double BGIDLB_i;
    double CGIDLB_i;
    double EGIDLB_i;
    double PGIDLB_i;
    double AGISLB_i;
    double BGISLB_i;
    double CGISLB_i;
    double EGISLB_i;
    double PGISLB_i;
    double ALPHA0_i;
    double ALPHA1_i;
    double ALPHAII0_i;
    double ALPHAII1_i;
    double BETA0_i;
    double BETAII0_i;
    double BETAII1_i;
    double BETAII2_i;
    double ESATII_i;
    double LII_i;
    double SII0_i;
    double SII1_i;
    double SII2_i;
    double SIID_i;
    double TII_i;
    double MEXP_i;
    double MEXPR_i;
    double PCLM_i;
    double PCLMG_i;
    double PCLMCV_i;
    double PCLMR_i;
    double PCLM_t;
     double d_PCLM_t_dTemp_t_GND;
    double A1_i;
    double A2_i;
    double A11_i;
    double A21_i;
    double K1RSCE_i;
    double DVTSHIFT_i;
    double DVTSHIFTR_i;
    double UA_i;
    double UACV_i;
    double UC_i;
    double UCCV_i;
    double EU_i;
    double UD_i;
    double UDCV_i;
    double UCS_i;
    double UAR_i;
    double EUR_i;
    double UCR_i;
    double UDR_i;
    double UA1_i;
    double UA2_i;
    double UA1R_i;
    double UA1CV_i;
    double UA2CV_i;
    double UC1_i;
    double UC1CV_i;
    double UD1_i;
    double UD2_i;
    double UD1CV_i;
    double UD2CV_i;
    double UCSTE_i;
    double UCSTE1_i;
    double UTE_i;
    double UTE1_i;
    double UTL_i;
    double UTECV_i;
    double UTE1CV_i;
    double UTLCV_i;
    double EMOBT_i;
    double UC1R_i;
    double UD1R_i;
    double UTER_i;
    double UTLR_i;
    double EU1_i;
    double PTWGT_i;
    double AT_i;
    double ATCV_i;
    double ATR_i;
    double RDW_i;
    double RSW_i;
    double PRT_i;
    double PRT1_i;
    double TR0_i;
    double SPRT_i;
    double KT1_i;
    double TSS_i;
    double IIT_i;
    double IGT_i;
    double TGIDL_i;
    double NTGEN_i;
    double AIGEN_i;
    double BIGEN_i;
    double K0SISAT_i;
    double K0SISAT1_i;
    double K2SISAT_i;
    double K2SISAT1_i;
    double K2_i;
    double K21_i;
    double XRCRG1_i;
    double XRCRG2_i;
    double LINTIGEN_i;
    double Cins;
    double Ach;
    double Weff_UFCM;
    double WeffB;
    double rc;
    double Qdep_ov_Cins;
    double qi_acc_for_QM;
     double d_qi_acc_for_QM_dTemp_t_GND;
     double d_qi_acc_for_QM_dV_di_si;
     double d_qi_acc_for_QM_dV_gi_e;
     double d_qi_acc_for_QM_dV_e_si;
     double d_qi_acc_for_QM_dV_e_di;
     double d_qi_acc_for_QM_dV_gi_si;
    double nq;
     double d_nq_dTemp_t_GND;
     double d_nq_dV_di_si;
     double d_nq_dV_gi_e;
     double d_nq_dV_e_si;
     double d_nq_dV_e_di;
     double d_nq_dV_gi_si;
    double d1;
    double d2;
    double d3;
    double p1;
    double p2;
    double p3;
    double nc3d;
    double ncq;
    double qe2;
    double qe3;
    double qnds1;
     double d_qnds1_dV_e_si;
     double d_qnds1_dV_e_di;
     double d_qnds1_dV_gi_si;
     double d_qnds1_dV_di_si;
     double d_qnds1_dTemp_t_GND;
    double qnds2;
     double d_qnds2_dV_e_si;
     double d_qnds2_dV_e_di;
     double d_qnds2_dV_gi_si;
     double d_qnds2_dV_di_si;
     double d_qnds2_dTemp_t_GND;
    double qnds3;
     double d_qnds3_dV_e_si;
     double d_qnds3_dV_e_di;
     double d_qnds3_dV_gi_si;
     double d_qnds3_dV_di_si;
     double d_qnds3_dTemp_t_GND;
    double qndd1;
     double d_qndd1_dV_e_si;
     double d_qndd1_dV_e_di;
     double d_qndd1_dV_gi_si;
     double d_qndd1_dV_di_si;
     double d_qndd1_dTemp_t_GND;
    double qndd2;
     double d_qndd2_dV_e_si;
     double d_qndd2_dV_e_di;
     double d_qndd2_dV_gi_si;
     double d_qndd2_dV_di_si;
     double d_qndd2_dTemp_t_GND;
    double qndd3;
     double d_qndd3_dV_e_si;
     double d_qndd3_dV_e_di;
     double d_qndd3_dV_gi_si;
     double d_qndd3_dV_di_si;
     double d_qndd3_dTemp_t_GND;
    double qnd10;
    double qnd20;
    double qnd30;
    double rdstempvs;
     double d_rdstempvs_dTemp_t_GND;
    double Rvs_s;
     double d_Rvs_s_dV_ge_e;
     double d_Rvs_s_dV_gi_di;
     double d_Rvs_s_dV_ge_di;
     double d_Rvs_s_dV_ge_si;
     double d_Rvs_s_dV_gi_di1;
     double d_Rvs_s_dV_gi_si1;
     double d_Rvs_s_dV_gi_e;
     double d_Rvs_s_dV_e_si;
     double d_Rvs_s_dV_e_di;
     double d_Rvs_s_dV_gi_si;
     double d_Rvs_s_dV_di_si;
     double d_Rvs_s_dTemp_t_GND;
     double d_Rvs_s_dV_si_si1;
     double d_Rvs_s_dV_di1_di;
     double d_Rvs_s_dV_d_di1;
     double d_Rvs_s_dV_s_si1;
    double Rvs_d;
     double d_Rvs_d_dV_ge_e;
     double d_Rvs_d_dV_gi_di;
     double d_Rvs_d_dV_ge_di;
     double d_Rvs_d_dV_ge_si;
     double d_Rvs_d_dV_gi_di1;
     double d_Rvs_d_dV_gi_si1;
     double d_Rvs_d_dV_gi_e;
     double d_Rvs_d_dV_e_si;
     double d_Rvs_d_dV_e_di;
     double d_Rvs_d_dV_gi_si;
     double d_Rvs_d_dV_di_si;
     double d_Rvs_d_dTemp_t_GND;
     double d_Rvs_d_dV_di1_di;
     double d_Rvs_d_dV_d_di1;
     double d_Rvs_d_dV_s_si1;
    double gvs_d;
     double d_gvs_d_dV_ge_e;
     double d_gvs_d_dV_gi_di;
     double d_gvs_d_dV_ge_di;
     double d_gvs_d_dV_ge_si;
     double d_gvs_d_dV_gi_di1;
     double d_gvs_d_dV_gi_si1;
     double d_gvs_d_dV_gi_e;
     double d_gvs_d_dV_e_si;
     double d_gvs_d_dV_e_di;
     double d_gvs_d_dV_gi_si;
     double d_gvs_d_dV_di_si;
     double d_gvs_d_dTemp_t_GND;
     double d_gvs_d_dV_di1_di;
     double d_gvs_d_dV_d_di1;
     double d_gvs_d_dV_s_si1;
    double gvs_s;
     double d_gvs_s_dV_ge_e;
     double d_gvs_s_dV_gi_di;
     double d_gvs_s_dV_ge_di;
     double d_gvs_s_dV_ge_si;
     double d_gvs_s_dV_gi_di1;
     double d_gvs_s_dV_gi_si1;
     double d_gvs_s_dV_gi_e;
     double d_gvs_s_dV_e_si;
     double d_gvs_s_dV_e_di;
     double d_gvs_s_dV_gi_si;
     double d_gvs_s_dV_di_si;
     double d_gvs_s_dTemp_t_GND;
     double d_gvs_s_dV_si_si1;
     double d_gvs_s_dV_di1_di;
     double d_gvs_s_dV_d_di1;
     double d_gvs_s_dV_s_si1;
    double gmin;
    // end verilog Instance Variables=====
    // Nodal LID Variables
    int li_d;
    int li_g;
    int li_s;
    int li_e;
    int li_t;
    int li_di;
    int li_si;
    int li_di1;
    int li_si1;
    int li_ge;
    int li_gi;
    int li_q;
    int li_n;
    // end Nodal LID Variables
    // Branch LID Variables
    // end Branch LID Variables
    // Lead (branch) LID Variables
    int li_branch_id;
    int li_branch_ig;
    int li_branch_is;
    int li_branch_ie;
    int li_branch_it;
    // end Lead (branch) LID Variables
    // Jacobian  pointers
    double * f_di_Equ_gi_Node_Ptr;
    double * f_di_Equ_si1_Node_Ptr;
    double * f_si_Equ_gi_Node_Ptr;
    double * f_si_Equ_si1_Node_Ptr;
    double * f_di_Equ_di1_Node_Ptr;
    double * f_si_Equ_di1_Node_Ptr;
    double * f_di_Equ_e_Node_Ptr;
    double * f_si_Equ_e_Node_Ptr;
    double * f_di_Equ_si_Node_Ptr;
    double * f_si_Equ_si_Node_Ptr;
    double * f_di_Equ_di_Node_Ptr;
    double * f_si_Equ_di_Node_Ptr;
    double * f_di_Equ_t_Node_Ptr;
    double * f_si_Equ_t_Node_Ptr;
    double * f_gi_Equ_q_Node_Ptr;
    double * f_si_Equ_q_Node_Ptr;
    double * f_gi_Equ_ge_Node_Ptr;
    double * f_gi_Equ_si_Node_Ptr;
    double * f_si_Equ_ge_Node_Ptr;
    double * f_gi_Equ_di_Node_Ptr;
    double * f_gi_Equ_gi_Node_Ptr;
    double * f_gi_Equ_e_Node_Ptr;
    double * f_gi_Equ_si1_Node_Ptr;
    double * f_gi_Equ_di1_Node_Ptr;
    double * f_gi_Equ_t_Node_Ptr;
    double * f_di_Equ_q_Node_Ptr;
    double * f_di_Equ_ge_Node_Ptr;
    double * f_gi_Equ_s_Node_Ptr;
    double * f_si_Equ_s_Node_Ptr;
    double * f_gi_Equ_d_Node_Ptr;
    double * f_si_Equ_d_Node_Ptr;
    double * f_di_Equ_s_Node_Ptr;
    double * f_di_Equ_d_Node_Ptr;
    double * f_e_Equ_t_Node_Ptr;
    double * f_e_Equ_gi_Node_Ptr;
    double * f_e_Equ_si_Node_Ptr;
    double * f_e_Equ_e_Node_Ptr;
    double * f_e_Equ_di_Node_Ptr;
    double * f_e_Equ_s_Node_Ptr;
    double * f_e_Equ_si1_Node_Ptr;
    double * f_e_Equ_d_Node_Ptr;
    double * f_e_Equ_di1_Node_Ptr;
    double * f_e_Equ_ge_Node_Ptr;
    double * f_ge_Equ_e_Node_Ptr;
    double * f_ge_Equ_ge_Node_Ptr;
    double * f_ge_Equ_t_Node_Ptr;
    double * f_ge_Equ_gi_Node_Ptr;
    double * f_ge_Equ_si_Node_Ptr;
    double * f_ge_Equ_di_Node_Ptr;
    double * f_ge_Equ_si1_Node_Ptr;
    double * f_ge_Equ_di1_Node_Ptr;
    double * f_ge_Equ_s_Node_Ptr;
    double * f_ge_Equ_d_Node_Ptr;
    double * f_d_Equ_d_Node_Ptr;
    double * f_d_Equ_s_Node_Ptr;
    double * f_s_Equ_d_Node_Ptr;
    double * f_s_Equ_s_Node_Ptr;
    double * f_s_Equ_ge_Node_Ptr;
    double * f_s_Equ_si_Node_Ptr;
    double * f_s_Equ_t_Node_Ptr;
    double * f_s_Equ_di_Node_Ptr;
    double * f_s_Equ_gi_Node_Ptr;
    double * f_s_Equ_e_Node_Ptr;
    double * f_s_Equ_si1_Node_Ptr;
    double * f_s_Equ_di1_Node_Ptr;
    double * f_d_Equ_ge_Node_Ptr;
    double * f_d_Equ_di_Node_Ptr;
    double * f_d_Equ_t_Node_Ptr;
    double * f_d_Equ_si_Node_Ptr;
    double * f_d_Equ_gi_Node_Ptr;
    double * f_d_Equ_e_Node_Ptr;
    double * f_d_Equ_si1_Node_Ptr;
    double * f_d_Equ_di1_Node_Ptr;
    double * f_di1_Equ_gi_Node_Ptr;
    double * f_di1_Equ_si1_Node_Ptr;
    double * f_di1_Equ_di1_Node_Ptr;
    double * f_di1_Equ_si_Node_Ptr;
    double * f_di1_Equ_e_Node_Ptr;
    double * f_di1_Equ_di_Node_Ptr;
    double * f_di1_Equ_s_Node_Ptr;
    double * f_di1_Equ_t_Node_Ptr;
    double * f_di1_Equ_d_Node_Ptr;
    double * f_di1_Equ_ge_Node_Ptr;
    double * f_si1_Equ_gi_Node_Ptr;
    double * f_si1_Equ_si1_Node_Ptr;
    double * f_si1_Equ_si_Node_Ptr;
    double * f_si1_Equ_e_Node_Ptr;
    double * f_si1_Equ_di_Node_Ptr;
    double * f_si1_Equ_t_Node_Ptr;
    double * f_si1_Equ_s_Node_Ptr;
    double * f_si1_Equ_d_Node_Ptr;
    double * f_si1_Equ_di1_Node_Ptr;
    double * f_si1_Equ_ge_Node_Ptr;
    double * f_q_Equ_gi_Node_Ptr;
    double * f_q_Equ_e_Node_Ptr;
    double * f_q_Equ_t_Node_Ptr;
    double * f_q_Equ_si_Node_Ptr;
    double * f_q_Equ_di_Node_Ptr;
    double * f_q_Equ_ge_Node_Ptr;
    double * f_q_Equ_si1_Node_Ptr;
    double * f_q_Equ_di1_Node_Ptr;
    double * f_q_Equ_q_Node_Ptr;
    double * f_g_Equ_g_Node_Ptr;
    double * f_g_Equ_ge_Node_Ptr;
    double * f_ge_Equ_g_Node_Ptr;
    double * f_g_Equ_t_Node_Ptr;
    double * f_n_Equ_n_Node_Ptr;
    double * f_n_Equ_s_Node_Ptr;
    double * f_n_Equ_si1_Node_Ptr;
    double * f_n_Equ_d_Node_Ptr;
    double * f_n_Equ_di1_Node_Ptr;
    double * f_n_Equ_di_Node_Ptr;
    double * f_n_Equ_si_Node_Ptr;
    double * f_n_Equ_gi_Node_Ptr;
    double * f_n_Equ_e_Node_Ptr;
    double * f_n_Equ_ge_Node_Ptr;
    double * f_n_Equ_t_Node_Ptr;
    double * f_di_Equ_n_Node_Ptr;
    double * f_si_Equ_n_Node_Ptr;
    double * f_gi_Equ_n_Node_Ptr;
    double * f_t_Equ_gi_Node_Ptr;
    double * f_t_Equ_si1_Node_Ptr;
    double * f_t_Equ_di1_Node_Ptr;
    double * f_t_Equ_e_Node_Ptr;
    double * f_t_Equ_si_Node_Ptr;
    double * f_t_Equ_di_Node_Ptr;
    double * f_t_Equ_t_Node_Ptr;
    double * f_t_Equ_s_Node_Ptr;
    double * f_t_Equ_d_Node_Ptr;
    double * f_t_Equ_ge_Node_Ptr;
    double * q_di_Equ_gi_Node_Ptr;
    double * q_di_Equ_si1_Node_Ptr;
    double * q_si_Equ_gi_Node_Ptr;
    double * q_si_Equ_si1_Node_Ptr;
    double * q_di_Equ_di1_Node_Ptr;
    double * q_si_Equ_di1_Node_Ptr;
    double * q_di_Equ_e_Node_Ptr;
    double * q_si_Equ_e_Node_Ptr;
    double * q_di_Equ_si_Node_Ptr;
    double * q_si_Equ_si_Node_Ptr;
    double * q_di_Equ_di_Node_Ptr;
    double * q_si_Equ_di_Node_Ptr;
    double * q_di_Equ_t_Node_Ptr;
    double * q_si_Equ_t_Node_Ptr;
    double * q_gi_Equ_q_Node_Ptr;
    double * q_si_Equ_q_Node_Ptr;
    double * q_gi_Equ_ge_Node_Ptr;
    double * q_gi_Equ_si_Node_Ptr;
    double * q_si_Equ_ge_Node_Ptr;
    double * q_gi_Equ_di_Node_Ptr;
    double * q_gi_Equ_gi_Node_Ptr;
    double * q_gi_Equ_e_Node_Ptr;
    double * q_gi_Equ_si1_Node_Ptr;
    double * q_gi_Equ_di1_Node_Ptr;
    double * q_gi_Equ_t_Node_Ptr;
    double * q_di_Equ_q_Node_Ptr;
    double * q_di_Equ_ge_Node_Ptr;
    double * q_gi_Equ_s_Node_Ptr;
    double * q_si_Equ_s_Node_Ptr;
    double * q_gi_Equ_d_Node_Ptr;
    double * q_si_Equ_d_Node_Ptr;
    double * q_di_Equ_s_Node_Ptr;
    double * q_di_Equ_d_Node_Ptr;
    double * q_e_Equ_t_Node_Ptr;
    double * q_e_Equ_gi_Node_Ptr;
    double * q_e_Equ_si_Node_Ptr;
    double * q_e_Equ_e_Node_Ptr;
    double * q_e_Equ_di_Node_Ptr;
    double * q_e_Equ_s_Node_Ptr;
    double * q_e_Equ_si1_Node_Ptr;
    double * q_e_Equ_d_Node_Ptr;
    double * q_e_Equ_di1_Node_Ptr;
    double * q_e_Equ_ge_Node_Ptr;
    double * q_ge_Equ_e_Node_Ptr;
    double * q_ge_Equ_ge_Node_Ptr;
    double * q_ge_Equ_t_Node_Ptr;
    double * q_ge_Equ_gi_Node_Ptr;
    double * q_ge_Equ_si_Node_Ptr;
    double * q_ge_Equ_di_Node_Ptr;
    double * q_ge_Equ_si1_Node_Ptr;
    double * q_ge_Equ_di1_Node_Ptr;
    double * q_ge_Equ_s_Node_Ptr;
    double * q_ge_Equ_d_Node_Ptr;
    double * q_d_Equ_d_Node_Ptr;
    double * q_d_Equ_s_Node_Ptr;
    double * q_s_Equ_d_Node_Ptr;
    double * q_s_Equ_s_Node_Ptr;
    double * q_s_Equ_ge_Node_Ptr;
    double * q_s_Equ_si_Node_Ptr;
    double * q_s_Equ_t_Node_Ptr;
    double * q_s_Equ_di_Node_Ptr;
    double * q_s_Equ_gi_Node_Ptr;
    double * q_s_Equ_e_Node_Ptr;
    double * q_s_Equ_si1_Node_Ptr;
    double * q_s_Equ_di1_Node_Ptr;
    double * q_d_Equ_ge_Node_Ptr;
    double * q_d_Equ_di_Node_Ptr;
    double * q_d_Equ_t_Node_Ptr;
    double * q_d_Equ_si_Node_Ptr;
    double * q_d_Equ_gi_Node_Ptr;
    double * q_d_Equ_e_Node_Ptr;
    double * q_d_Equ_si1_Node_Ptr;
    double * q_d_Equ_di1_Node_Ptr;
    double * q_di1_Equ_gi_Node_Ptr;
    double * q_di1_Equ_si1_Node_Ptr;
    double * q_di1_Equ_di1_Node_Ptr;
    double * q_di1_Equ_si_Node_Ptr;
    double * q_di1_Equ_e_Node_Ptr;
    double * q_di1_Equ_di_Node_Ptr;
    double * q_di1_Equ_s_Node_Ptr;
    double * q_di1_Equ_t_Node_Ptr;
    double * q_di1_Equ_d_Node_Ptr;
    double * q_di1_Equ_ge_Node_Ptr;
    double * q_si1_Equ_gi_Node_Ptr;
    double * q_si1_Equ_si1_Node_Ptr;
    double * q_si1_Equ_si_Node_Ptr;
    double * q_si1_Equ_e_Node_Ptr;
    double * q_si1_Equ_di_Node_Ptr;
    double * q_si1_Equ_t_Node_Ptr;
    double * q_si1_Equ_s_Node_Ptr;
    double * q_si1_Equ_d_Node_Ptr;
    double * q_si1_Equ_di1_Node_Ptr;
    double * q_si1_Equ_ge_Node_Ptr;
    double * q_q_Equ_gi_Node_Ptr;
    double * q_q_Equ_e_Node_Ptr;
    double * q_q_Equ_t_Node_Ptr;
    double * q_q_Equ_si_Node_Ptr;
    double * q_q_Equ_di_Node_Ptr;
    double * q_q_Equ_ge_Node_Ptr;
    double * q_q_Equ_si1_Node_Ptr;
    double * q_q_Equ_di1_Node_Ptr;
    double * q_q_Equ_q_Node_Ptr;
    double * q_g_Equ_g_Node_Ptr;
    double * q_g_Equ_ge_Node_Ptr;
    double * q_ge_Equ_g_Node_Ptr;
    double * q_g_Equ_t_Node_Ptr;
    double * q_n_Equ_n_Node_Ptr;
    double * q_n_Equ_s_Node_Ptr;
    double * q_n_Equ_si1_Node_Ptr;
    double * q_n_Equ_d_Node_Ptr;
    double * q_n_Equ_di1_Node_Ptr;
    double * q_n_Equ_di_Node_Ptr;
    double * q_n_Equ_si_Node_Ptr;
    double * q_n_Equ_gi_Node_Ptr;
    double * q_n_Equ_e_Node_Ptr;
    double * q_n_Equ_ge_Node_Ptr;
    double * q_n_Equ_t_Node_Ptr;
    double * q_di_Equ_n_Node_Ptr;
    double * q_si_Equ_n_Node_Ptr;
    double * q_gi_Equ_n_Node_Ptr;
    double * q_t_Equ_gi_Node_Ptr;
    double * q_t_Equ_si1_Node_Ptr;
    double * q_t_Equ_di1_Node_Ptr;
    double * q_t_Equ_e_Node_Ptr;
    double * q_t_Equ_si_Node_Ptr;
    double * q_t_Equ_di_Node_Ptr;
    double * q_t_Equ_t_Node_Ptr;
    double * q_t_Equ_s_Node_Ptr;
    double * q_t_Equ_d_Node_Ptr;
    double * q_t_Equ_ge_Node_Ptr;
    // Jacobian offsets
    int A_di_Equ_gi_NodeOffset;
    int A_di_Equ_si1_NodeOffset;
    int A_si_Equ_gi_NodeOffset;
    int A_si_Equ_si1_NodeOffset;
    int A_di_Equ_di1_NodeOffset;
    int A_si_Equ_di1_NodeOffset;
    int A_di_Equ_e_NodeOffset;
    int A_si_Equ_e_NodeOffset;
    int A_di_Equ_si_NodeOffset;
    int A_si_Equ_si_NodeOffset;
    int A_di_Equ_di_NodeOffset;
    int A_si_Equ_di_NodeOffset;
    int A_di_Equ_t_NodeOffset;
    int A_si_Equ_t_NodeOffset;
    int A_gi_Equ_q_NodeOffset;
    int A_si_Equ_q_NodeOffset;
    int A_gi_Equ_ge_NodeOffset;
    int A_gi_Equ_si_NodeOffset;
    int A_si_Equ_ge_NodeOffset;
    int A_gi_Equ_di_NodeOffset;
    int A_gi_Equ_gi_NodeOffset;
    int A_gi_Equ_e_NodeOffset;
    int A_gi_Equ_si1_NodeOffset;
    int A_gi_Equ_di1_NodeOffset;
    int A_gi_Equ_t_NodeOffset;
    int A_di_Equ_q_NodeOffset;
    int A_di_Equ_ge_NodeOffset;
    int A_gi_Equ_s_NodeOffset;
    int A_si_Equ_s_NodeOffset;
    int A_gi_Equ_d_NodeOffset;
    int A_si_Equ_d_NodeOffset;
    int A_di_Equ_s_NodeOffset;
    int A_di_Equ_d_NodeOffset;
    int A_e_Equ_t_NodeOffset;
    int A_e_Equ_gi_NodeOffset;
    int A_e_Equ_si_NodeOffset;
    int A_e_Equ_e_NodeOffset;
    int A_e_Equ_di_NodeOffset;
    int A_e_Equ_s_NodeOffset;
    int A_e_Equ_si1_NodeOffset;
    int A_e_Equ_d_NodeOffset;
    int A_e_Equ_di1_NodeOffset;
    int A_e_Equ_ge_NodeOffset;
    int A_ge_Equ_e_NodeOffset;
    int A_ge_Equ_ge_NodeOffset;
    int A_ge_Equ_t_NodeOffset;
    int A_ge_Equ_gi_NodeOffset;
    int A_ge_Equ_si_NodeOffset;
    int A_ge_Equ_di_NodeOffset;
    int A_ge_Equ_si1_NodeOffset;
    int A_ge_Equ_di1_NodeOffset;
    int A_ge_Equ_s_NodeOffset;
    int A_ge_Equ_d_NodeOffset;
    int A_d_Equ_d_NodeOffset;
    int A_d_Equ_s_NodeOffset;
    int A_s_Equ_d_NodeOffset;
    int A_s_Equ_s_NodeOffset;
    int A_s_Equ_ge_NodeOffset;
    int A_s_Equ_si_NodeOffset;
    int A_s_Equ_t_NodeOffset;
    int A_s_Equ_di_NodeOffset;
    int A_s_Equ_gi_NodeOffset;
    int A_s_Equ_e_NodeOffset;
    int A_s_Equ_si1_NodeOffset;
    int A_s_Equ_di1_NodeOffset;
    int A_d_Equ_ge_NodeOffset;
    int A_d_Equ_di_NodeOffset;
    int A_d_Equ_t_NodeOffset;
    int A_d_Equ_si_NodeOffset;
    int A_d_Equ_gi_NodeOffset;
    int A_d_Equ_e_NodeOffset;
    int A_d_Equ_si1_NodeOffset;
    int A_d_Equ_di1_NodeOffset;
    int A_di1_Equ_gi_NodeOffset;
    int A_di1_Equ_si1_NodeOffset;
    int A_di1_Equ_di1_NodeOffset;
    int A_di1_Equ_si_NodeOffset;
    int A_di1_Equ_e_NodeOffset;
    int A_di1_Equ_di_NodeOffset;
    int A_di1_Equ_s_NodeOffset;
    int A_di1_Equ_t_NodeOffset;
    int A_di1_Equ_d_NodeOffset;
    int A_di1_Equ_ge_NodeOffset;
    int A_si1_Equ_gi_NodeOffset;
    int A_si1_Equ_si1_NodeOffset;
    int A_si1_Equ_si_NodeOffset;
    int A_si1_Equ_e_NodeOffset;
    int A_si1_Equ_di_NodeOffset;
    int A_si1_Equ_t_NodeOffset;
    int A_si1_Equ_s_NodeOffset;
    int A_si1_Equ_d_NodeOffset;
    int A_si1_Equ_di1_NodeOffset;
    int A_si1_Equ_ge_NodeOffset;
    int A_q_Equ_gi_NodeOffset;
    int A_q_Equ_e_NodeOffset;
    int A_q_Equ_t_NodeOffset;
    int A_q_Equ_si_NodeOffset;
    int A_q_Equ_di_NodeOffset;
    int A_q_Equ_ge_NodeOffset;
    int A_q_Equ_si1_NodeOffset;
    int A_q_Equ_di1_NodeOffset;
    int A_q_Equ_q_NodeOffset;
    int A_g_Equ_g_NodeOffset;
    int A_g_Equ_ge_NodeOffset;
    int A_ge_Equ_g_NodeOffset;
    int A_g_Equ_t_NodeOffset;
    int A_n_Equ_n_NodeOffset;
    int A_n_Equ_s_NodeOffset;
    int A_n_Equ_si1_NodeOffset;
    int A_n_Equ_d_NodeOffset;
    int A_n_Equ_di1_NodeOffset;
    int A_n_Equ_di_NodeOffset;
    int A_n_Equ_si_NodeOffset;
    int A_n_Equ_gi_NodeOffset;
    int A_n_Equ_e_NodeOffset;
    int A_n_Equ_ge_NodeOffset;
    int A_n_Equ_t_NodeOffset;
    int A_di_Equ_n_NodeOffset;
    int A_si_Equ_n_NodeOffset;
    int A_gi_Equ_n_NodeOffset;
    int A_t_Equ_gi_NodeOffset;
    int A_t_Equ_si1_NodeOffset;
    int A_t_Equ_di1_NodeOffset;
    int A_t_Equ_e_NodeOffset;
    int A_t_Equ_si_NodeOffset;
    int A_t_Equ_di_NodeOffset;
    int A_t_Equ_t_NodeOffset;
    int A_t_Equ_s_NodeOffset;
    int A_t_Equ_d_NodeOffset;
    int A_t_Equ_ge_NodeOffset;
    // end of Jacobian and pointers
   // node numbers
    static const int admsNodeID_d = 0;
    static const int admsNodeID_g = 1;
    static const int admsNodeID_s = 2;
    static const int admsNodeID_e = 3;
// optional node t:
    static const int admsNodeID_t = 4;
    static const int admsNodeID_di = 0+5;
    static const int admsNodeID_si = 1+5;
    static const int admsNodeID_di1 = 2+5;
    static const int admsNodeID_si1 = 3+5;
    static const int admsNodeID_ge = 4+5;
    static const int admsNodeID_gi = 5+5;
    static const int admsNodeID_q = 6+5;
    static const int admsNodeID_n = 7+5;
    static const int admsNodeID_GND = -1;
   // end node numbers
   // Additional IDs for branch equations
   // end branch numbers
   // Probe numbers
    static const int admsProbeID_V_ge_GND = 0;
    static const int admsProbeID_V_e_GND = 1;
    static const int admsProbeID_V_si_GND = 2;
    static const int admsProbeID_V_di_GND = 3;
    static const int admsProbeID_V_gi_GND = 4;
    static const int admsProbeID_V_n_GND = 5;
    static const int admsProbeID_V_g_ge = 6;
    static const int admsProbeID_V_ge_gi = 7;
    static const int admsProbeID_V_si1_si = 8;
    static const int admsProbeID_V_si_si1 = 9;
    static const int admsProbeID_V_di1_di = 10;
    static const int admsProbeID_V_q_GND = 11;
    static const int admsProbeID_V_ge_e = 12;
    static const int admsProbeID_V_e_ge = 13;
    static const int admsProbeID_V_ge_d = 14;
    static const int admsProbeID_V_ge_s = 15;
    static const int admsProbeID_V_ge_di = 16;
    static const int admsProbeID_V_ge_si = 17;
    static const int admsProbeID_V_d_di1 = 18;
    static const int admsProbeID_V_gi_di1 = 19;
    static const int admsProbeID_V_s_si1 = 20;
    static const int admsProbeID_V_gi_si1 = 21;
    static const int admsProbeID_V_e_s = 22;
    static const int admsProbeID_V_d_s = 23;
    static const int admsProbeID_V_g_s = 24;
    static const int admsProbeID_V_gi_e = 25;
    static const int admsProbeID_V_e_di = 26;
    static const int admsProbeID_V_e_si = 27;
    static const int admsProbeID_V_gi_di = 28;
    static const int admsProbeID_V_di_si = 29;
    static const int admsProbeID_V_gi_si = 30;
    static const int admsProbeID_Temp_t_GND = 31;
   // end probe numbers
   // Store LIDs
   // end store LIDs
   // Store LIDs for output vars
    int li_store_WEFF;
    int li_store_LEFF;
    int li_store_WEFFCV;
    int li_store_LEFFCV;
    int li_store_IDS;
    int li_store_IDEFF;
    int li_store_ISEFF;
    int li_store_IGTOT;
    int li_store_IDSGEN;
    int li_store_III;
    int li_store_IGIDL;
    int li_store_IGISL;
    int li_store_IJSB;
    int li_store_IJDB;
    int li_store_ISUB;
    int li_store_BETA;
    int li_store_VDSSAT;
    int li_store_VDSEFF;
    int li_store_VFB;
    int li_store_VTH;
    int li_store_GM;
    int li_store_GDS;
    int li_store_GMBS;
    int li_store_QGI;
    int li_store_QDI;
    int li_store_QSI;
    int li_store_QBI;
    int li_store_QG;
    int li_store_QD;
    int li_store_QS;
    int li_store_QB;
    int li_store_CGGI;
    int li_store_CGSI;
    int li_store_CGDI;
    int li_store_CGEI;
    int li_store_CDGI;
    int li_store_CDDI;
    int li_store_CDSI;
    int li_store_CDEI;
    int li_store_CSGI;
    int li_store_CSDI;
    int li_store_CSSI;
    int li_store_CSEI;
    int li_store_CEGI;
    int li_store_CEDI;
    int li_store_CESI;
    int li_store_CEEI;
    int li_store_CGG;
    int li_store_CGS;
    int li_store_CGD;
    int li_store_CGE;
    int li_store_CDG;
    int li_store_CDD;
    int li_store_CDS;
    int li_store_CDE;
    int li_store_CSG;
    int li_store_CSD;
    int li_store_CSS;
    int li_store_CSE;
    int li_store_CEG;
    int li_store_CED;
    int li_store_CES;
    int li_store_CEE;
    int li_store_CGSEXT;
    int li_store_CGDEXT;
    int li_store_CGBOV;
    int li_store_CJST;
    int li_store_CJDT;
    int li_store_RSGEO;
    int li_store_RDGEO;
    int li_store_CFGEO;
    int li_store_T_TOTAL_K;
    int li_store_T_TOTAL_C;
    int li_store_T_DELTA_SH;
    int li_store_IGS;
    int li_store_IGD;
    int li_store_IGCS;
    int li_store_IGCD;
    int li_store_IGBS;
    int li_store_IGBD;
    int li_store_IGBACC;
    int li_store_IGBINV;
    int li_store_DIDSDVG;
    int li_store_DIDSDVS;
    int li_store_DIDSDVD;
    int li_store_DIGSDVG;
    int li_store_DIGSDVS;
    int li_store_DIGSDVD;
    int li_store_DIGDDVG;
    int li_store_DIGDDVS;
    int li_store_DIGDDVD;
    int li_store_DIIIDVG;
    int li_store_DIIIDVS;
    int li_store_DIIIDVD;
    int li_store_DIGIDLDVG;
    int li_store_DIGIDLDVS;
    int li_store_DIGIDLDVD;
    int li_store_DIGISLDVG;
    int li_store_DIGISLDVS;
    int li_store_DIGISLDVD;
    int li_store_CGT;
    int li_store_CST;
    int li_store_CDT;
    int li_store_DIDSDVTH;
    int li_store_DIGSDVTH;
    int li_store_DIGDDVTH;
    int li_store_DIIIDVTH;
    int li_store_DIGIDLDVTH;
    int li_store_DIGISLDVTH;
    int li_store_ITH;
    int li_store_DITHDVTH;
    int li_store_DITHDVG;
    int li_store_DITHDVS;
    int li_store_DITHDVD;
    int li_store_VDSAT;
    int li_store_VDS;
    int li_store_VGS;
    int li_store_VBS;
   // end store LIDs for output vars
     // bools for collapsing nodes
     bool collapseNode_t;
     bool collapseNode_di;
     bool collapseNode_si;
     bool collapseNode_di1;
     bool collapseNode_si1;
     bool collapseNode_ge;
     bool collapseNode_gi;
     bool collapseNode_q;
     bool collapseNode_n;
 // Arrays to hold probes
 std::vector < double > probeVars;
 std::vector < std::vector < double > > d_probeVars;
 // Arrays to hold contributions
 // dynamic contributions are differentiated w.r.t time
 std::vector < double > staticContributions;
 std::vector < std::vector < double > > d_staticContributions;
 std::vector < double > dynamicContributions;
 std::vector < std::vector < double > > d_dynamicContributions;
//vectors to hold noise information for communication between methods
std::vector<double> noiseContribsPower;
std::vector<double> noiseContribsExponent;


    // this is what we'll use when any model uses $temperature.  We'll
    // set it in updateTemperature, and initialize it to whatever
    // is in devOptions when the instance is constructed.
    double admsTemperature;

    // vt at $temperature;
    double adms_vt_nom;


    // This one is for the annoying bogus "XyceADMSInstTemp" parameter
    // that we need so we can set it from the device manager when there's no
    // "TEMP" parameter to use
    double admsInstTemp;


    JacobianStamp jacStamp;
    IdVector nodeMap;
    PairMap pairToJacStampMap;

    // These instance-owned vectors are for storage of lead current data
    std::vector<double> leadCurrentF;
    std::vector<double> leadCurrentQ;

      std::vector<bool> portsConnected_;

    };



namespace AnalogFunctions
{

      // Analog Function ln_one_plus_exp
double ln_one_plus_exp(double x);
// Derivative of Analog Function ln_one_plus_exp
double d_ln_one_plus_exp(double x  , double d_x  );
// Evaluator class for Analog Function ln_one_plus_exp
class ln_one_plus_expEvaluator
{
  struct returnType
  {
     double value;
     double deriv_WRT_x;
  };
public:
  // constructor takes all same arguments as regular templated function,
  // even though it doesn't USE the output args
  ln_one_plus_expEvaluator(double x);
  // function that returns the precomputed values.  This, too, takes
  // all the same arguments as the regular function, though it ONLY
  // uses the output arguments
  double getValues(double  x);
  // function that returns the total derivative of the function and its
  // output arguments with respect to some variable.  We pass in the
  // normal arguments(none of which are used) and the derivatives of those
  // arguments with respect to the desired variable.  We compute the
  // derivatives using the chain rule and our precomputed derivatives
  // with respect to input variables
double getDerivs(double x  , double d_x);
private:
  returnType ln_one_plus_expReturn_;
  returnType evaluator_(double x);
};

}


//-----------------------------------------------------------------------------
// Class         : Model

// Purpose       :
// Special Notes :
// Creator       :
// Creation Date :
//-----------------------------------------------------------------------------
class Model : public DeviceModel
{
    typedef std::vector<Instance *> InstanceVector;

    friend class ParametricData<Model>;
    friend class Instance;
#ifdef Xyce_ADMS_SENSITIVITIES
    friend class InstanceSensitivity;
    friend class ModelSensitivity;
#endif // Xyce_ADMS_SENSITIVITIES
    friend struct Traits;

  public:
    Model(
      const Configuration &       configuration,
      const ModelBlock &          model_block,
      const FactoryBlock &        factory_block);

    ~Model();

private:
    Model(const Model &);
    Model &operator=(const Model &);

public:
    virtual void forEachInstance(DeviceInstanceOp &op) const /* override */;
    virtual std::ostream &printOutInstances(std::ostream &os) const;
    bool processParams();
    bool processInstanceParams();

  private:

  public:
    void addInstance(Instance *instance)
    {
      instanceContainer.push_back(instance);
    }

    void setupBaseInstanceContainer()
    {
      std::vector<Instance*>::iterator iter = instanceContainer.begin();
      std::vector<Instance*>::iterator end   = instanceContainer.end();
      for ( ; iter!=end; ++iter)
      {
      Xyce::Device::DeviceModel::baseInstanceContainer.push_back( static_cast<Xyce::Device::DeviceInstance *>(*iter) );
    }
  }

  private:
    std::vector<Instance*> instanceContainer;

  private:

    // This one is for the annoying bogus "XyceADMSInstTemp" parameter
    // that we need so we can set it from the device manager when there's no
    // "TEMP" model parameter to use
    double admsModTemp;
// Begin verilog Model Variables
//   Model Parameters
    double L;
    double D;
    double TFIN;
    double FPITCH;
    double NFIN;
    int NGCON;
    double ASEO;
    double ADEO;
    double PSEO;
    double PDEO;
    double ASEJ;
    double ADEJ;
    double PSEJ;
    double PDEJ;
    double CGSP;
    double CGDP;
    double CDSP;
    double NRS;
    double NRD;
    double LRSD;
    double NFINNOM;
    double DTEMP;
    double DELVTRAND;
    double U0MULT;
    double IDS0MULT;
    double IGC0MULT;
    double IGB0MULT;
    double COVS;
    double LCOVS;
    double NCOVS;
    double PCOVS;
    double WCOVS;
    double P2COVS;
    double COVD;
    double LCOVD;
    double NCOVD;
    double PCOVD;
    double WCOVD;
    double P2COVD;
    double TGAA;
    double TSUS;
    double HPFF;
    double WGAA;
    double DWS1;
    double DACH1;
    double DWS2;
    double DACH2;
    double DWS3;
    double DACH3;
    double DWS4;
    double DACH4;
    double DWS5;
    double DACH5;
    double DWS6;
    double DACH6;
    int NGAA;
    int SUBBANDMOD;
    int MOBSCMOD;
    int TYPE;
    int BULKMOD;
    int GEOMOD;
    int CGEO1SW;
    int RDSMOD;
    int ASYMMOD;
    int CVMOD;
    int IGCMOD;
    int IGBMOD;
    int GIDLMOD;
    int IIMOD;
    int TNOIMOD;
    int NQSMOD;
    int SHMOD;
    int TEMPMOD;
    int RGATEMOD;
    int RGEOMOD;
    int CGEOMOD;
    int FNMOD;
    int CRYOMOD;
    int SH_WARN;
    int IGCLAMP;
    double LL;
    double LLN;
    double DLC;
    double DLCACC;
    double DWCACC;
    double LLC;
    double EOT;
    double TOXP;
    double EOTBOX;
    double HFIN;
    double DELTAW;
    double DELTAWCV;
    double NBODYN1;
    double NBODYN2;
    double NSD;
    double PHIGL;
    double PHIGLT;
    double PHIGN1;
    double PHIGN2;
    double EPSROX;
    double EPSRSUB;
    double EASUB;
    double NI0SUB;
    double BG0SUB;
    double NC0SUB;
    double IMIN;
    double LXL;
    double NXL;
    double PXL;
    double LINT;
    double LLINT;
    double NLINT;
    double PLINT;
    double DLBIN;
    double LDLBIN;
    double NDLBIN;
    double PDLBIN;
    double LXW;
    double NXW;
    double PXW;
    double WXW;
    double P2XW;
    double DWBIN;
    double LDWBIN;
    double NDWBIN;
    double PDWBIN;
    double WDWBIN;
    double P2DWBIN;
    double NBODY;
    double LNBODY;
    double NNBODY;
    double PNBODY;
    double PHIG;
    double LPHIG;
    double NPHIG;
    double PPHIG;
    double WPHIG;
    double P2PHIG;
    double NGATE;
    double LNGATE;
    double NNGATE;
    double PNGATE;
    double WNGATE;
    double P2NGATE;
    double minr;
    double CDSCN1;
    double CDSCN2;
    double CDSCDN1;
    double CDSCDN2;
    double CDSCDRN1;
    double CDSCDRN2;
    double ETA0N1;
    double ETA0N2;
    double ETA0LT;
    double ETA0N1CV;
    double ETA0N2CV;
    double ETA0LTCV;
    double TETA0;
    double TETA0CV;
    double TETA0R;
    double ADVTP0;
    double BDVTP0;
    double ADVTP1;
    double BDVTP1;
    double DVTP2;
    double THETASCE;
    double THETADIBL;
    double THETASW;
    double NVTM;
    double DVTP0;
    double LDVTP0;
    double NDVTP0;
    double PDVTP0;
    double WDVTP0;
    double P2DVTP0;
    double DVTP1;
    double LDVTP1;
    double NDVTP1;
    double PDVTP1;
    double WDVTP1;
    double P2DVTP1;
    double CIT;
    double LCIT;
    double NCIT;
    double PCIT;
    double WCIT;
    double P2CIT;
    double CITR;
    double LCITR;
    double NCITR;
    double PCITR;
    double WCITR;
    double P2CITR;
    double CDSC;
    double LCDSC;
    double NCDSC;
    double PCDSC;
    double WCDSC;
    double P2CDSC;
    double CDSCD;
    double LCDSCD;
    double NCDSCD;
    double PCDSCD;
    double WCDSCD;
    double P2CDSCD;
    double CDSCDR;
    double LCDSCDR;
    double NCDSCDR;
    double PCDSCDR;
    double WCDSCDR;
    double P2CDSCDR;
    double DVT0;
    double LDVT0;
    double NDVT0;
    double PDVT0;
    double WDVT0;
    double P2DVT0;
    double DVT1;
    double LDVT1;
    double NDVT1;
    double PDVT1;
    double WDVT1;
    double P2DVT1;
    double DVT1SS;
    double LDVT1SS;
    double NDVT1SS;
    double PDVT1SS;
    double WDVT1SS;
    double P2DVT1SS;
    double PHIN;
    double LPHIN;
    double NPHIN;
    double PPHIN;
    double WPHIN;
    double P2PHIN;
    double ETA0;
    double LETA0;
    double NETA0;
    double PETA0;
    double WETA0;
    double P2ETA0;
    double ETA0R;
    double LETA0R;
    double NETA0R;
    double PETA0R;
    double WETA0R;
    double P2ETA0R;
    double ETA0CV;
    double LETA0CV;
    double NETA0CV;
    double PETA0CV;
    double WETA0CV;
    double P2ETA0CV;
    double DSUB;
    double LDSUB;
    double NDSUB;
    double PDSUB;
    double WDSUB;
    double P2DSUB;
    double K1RSCE;
    double LK1RSCE;
    double NK1RSCE;
    double PK1RSCE;
    double WK1RSCE;
    double P2K1RSCE;
    double LPE0;
    double LLPE0;
    double NLPE0;
    double PLPE0;
    double WLPE0;
    double P2LPE0;
    double DVTSHIFT;
    double LDVTSHIFT;
    double NDVTSHIFT;
    double PDVTSHIFT;
    double WDVTSHIFT;
    double P2DVTSHIFT;
    double DVTSHIFTR;
    double LDVTSHIFTR;
    double NDVTSHIFTR;
    double PDVTSHIFTR;
    double WDVTSHIFTR;
    double P2DVTSHIFTR;
    double K0;
    double LK0;
    double NK0;
    double PK0;
    double WK0;
    double P2K0;
    double K01;
    double LK01;
    double NK01;
    double PK01;
    double WK01;
    double P2K01;
    double K0SI;
    double LK0SI;
    double NK0SI;
    double PK0SI;
    double WK0SI;
    double P2K0SI;
    double K0SI1;
    double LK0SI1;
    double NK0SI1;
    double PK0SI1;
    double WK0SI1;
    double P2K0SI1;
    double K2SI;
    double LK2SI;
    double NK2SI;
    double PK2SI;
    double WK2SI;
    double P2K2SI;
    double K2SI1;
    double LK2SI1;
    double NK2SI1;
    double PK2SI1;
    double WK2SI1;
    double P2K2SI1;
    double K0SISAT;
    double LK0SISAT;
    double NK0SISAT;
    double PK0SISAT;
    double WK0SISAT;
    double P2K0SISAT;
    double K0SISAT1;
    double LK0SISAT1;
    double NK0SISAT1;
    double PK0SISAT1;
    double WK0SISAT1;
    double P2K0SISAT1;
    double K2SISAT;
    double LK2SISAT;
    double NK2SISAT;
    double PK2SISAT;
    double WK2SISAT;
    double P2K2SISAT;
    double K2SISAT1;
    double LK2SISAT1;
    double NK2SISAT1;
    double PK2SISAT1;
    double WK2SISAT1;
    double P2K2SISAT1;
    double PHIBE;
    double LPHIBE;
    double NPHIBE;
    double PPHIBE;
    double WPHIBE;
    double P2PHIBE;
    double K1;
    double LK1;
    double NK1;
    double PK1;
    double WK1;
    double P2K1;
    double K11;
    double LK11;
    double NK11;
    double PK11;
    double WK11;
    double P2K11;
    double K2SAT;
    double LK2SAT;
    double NK2SAT;
    double PK2SAT;
    double WK2SAT;
    double P2K2SAT;
    double K2SAT1;
    double LK2SAT1;
    double NK2SAT1;
    double PK2SAT1;
    double WK2SAT1;
    double P2K2SAT1;
    double K2;
    double LK2;
    double NK2;
    double PK2;
    double WK2;
    double P2K2;
    double K21;
    double LK21;
    double NK21;
    double PK21;
    double WK21;
    double P2K21;
    double AQMTCEN;
    double BQMTCEN;
    double QM0;
    double PQM;
    double QM0ACC;
    double PQMACC;
    double QMFACTOR;
    double LQMFACTOR;
    double NQMFACTOR;
    double PQMFACTOR;
    double WQMFACTOR;
    double P2QMFACTOR;
    double QMTCENCV;
    double LQMTCENCV;
    double NQMTCENCV;
    double PQMTCENCV;
    double WQMTCENCV;
    double P2QMTCENCV;
    double QMTCENCVA;
    double LQMTCENCVA;
    double NQMTCENCVA;
    double PQMTCENCVA;
    double WQMTCENCVA;
    double P2QMTCENCVA;
    double VSATN1;
    double VSATN2;
    double AVSAT;
    double BVSAT;
    double VSAT1N1;
    double VSAT1N2;
    double VSAT1RN1;
    double VSAT1RN2;
    double AVSAT1;
    double BVSAT1;
    double APSAT;
    double BPSAT;
    double AVSATCV;
    double BVSATCV;
    double APSATCV;
    double BPSATCV;
    double AMEXP;
    double BMEXP;
    double AMEXPR;
    double BMEXPR;
    double APTWG;
    double BPTWG;
    double TMEXP;
    double TMEXP2;
    double TMEXPR;
    double DVSATCLAMP;
    double VSAT;
    double LVSAT;
    double NVSAT;
    double PVSAT;
    double WVSAT;
    double P2VSAT;
    double VSATR;
    double LVSATR;
    double NVSATR;
    double PVSATR;
    double WVSATR;
    double P2VSATR;
    double VSAT1;
    double LVSAT1;
    double NVSAT1;
    double PVSAT1;
    double WVSAT1;
    double P2VSAT1;
    double VSAT1R;
    double LVSAT1R;
    double NVSAT1R;
    double PVSAT1R;
    double WVSAT1R;
    double P2VSAT1R;
    double DELTAVSAT;
    double LDELTAVSAT;
    double NDELTAVSAT;
    double PDELTAVSAT;
    double WDELTAVSAT;
    double P2DELTAVSAT;
    double PSAT;
    double LPSAT;
    double NPSAT;
    double PPSAT;
    double WPSAT;
    double P2PSAT;
    double KSATIV;
    double LKSATIV;
    double NKSATIV;
    double PKSATIV;
    double WKSATIV;
    double P2KSATIV;
    double KSATIVT1;
    double KSATIVT2;
    double KSATIVR;
    double LKSATIVR;
    double NKSATIVR;
    double PKSATIVR;
    double WKSATIVR;
    double P2KSATIVR;
    double VSATCV;
    double LVSATCV;
    double NVSATCV;
    double PVSATCV;
    double WVSATCV;
    double P2VSATCV;
    double DELTAVSATCV;
    double LDELTAVSATCV;
    double NDELTAVSATCV;
    double PDELTAVSATCV;
    double WDELTAVSATCV;
    double P2DELTAVSATCV;
    double PSATCV;
    double LPSATCV;
    double NPSATCV;
    double PPSATCV;
    double WPSATCV;
    double P2PSATCV;
    double MEXP;
    double LMEXP;
    double NMEXP;
    double PMEXP;
    double WMEXP;
    double P2MEXP;
    double MEXPR;
    double LMEXPR;
    double NMEXPR;
    double PMEXPR;
    double WMEXPR;
    double P2MEXPR;
    double PTWG;
    double LPTWG;
    double NPTWG;
    double PPTWG;
    double WPTWG;
    double P2PTWG;
    double PTWGR;
    double LPTWGR;
    double NPTWGR;
    double PPTWGR;
    double WPTWGR;
    double P2PTWGR;
    double AT;
    double LAT;
    double NAT;
    double PAT;
    double WAT;
    double P2AT;
    double AT2;
    double ATR;
    double LATR;
    double NATR;
    double PATR;
    double WATR;
    double P2ATR;
    double ATCV;
    double LATCV;
    double NATCV;
    double PATCV;
    double WATCV;
    double P2ATCV;
    double AT2CV;
    double PTWGT;
    double LPTWGT;
    double NPTWGT;
    double PPTWGT;
    double WPTWGT;
    double P2PTWGT;
    double U0N1;
    double U0N1CV;
    double U0N1R;
    double U0N2;
    double U0N2CV;
    double U0N2R;
    double U0LT;
    double U0LTCV;
    double LPA;
    double LPAR;
    double AUA;
    double AUAR;
    double BUA;
    double BUAR;
    double AEU;
    double AEUR;
    double BEU;
    double BEUR;
    double AUD;
    double AUDR;
    double BUD;
    double BUDR;
    double CHARGEWF;
    double DMOBCLAMP;
    double U0;
    double LU0;
    double NU0;
    double PU0;
    double WU0;
    double P2U0;
    double U0R;
    double LU0R;
    double NU0R;
    double PU0R;
    double WU0R;
    double P2U0R;
    double U0CV;
    double LU0CV;
    double NU0CV;
    double PU0CV;
    double WU0CV;
    double P2U0CV;
    double ETAMOB;
    double LETAMOB;
    double NETAMOB;
    double PETAMOB;
    double WETAMOB;
    double P2ETAMOB;
    double UP;
    double LUP;
    double NUP;
    double PUP;
    double WUP;
    double P2UP;
    double UPR;
    double LUPR;
    double NUPR;
    double PUPR;
    double WUPR;
    double P2UPR;
    double UA;
    double LUA;
    double NUA;
    double PUA;
    double WUA;
    double P2UA;
    double UAR;
    double LUAR;
    double NUAR;
    double PUAR;
    double WUAR;
    double P2UAR;
    double UACV;
    double LUACV;
    double NUACV;
    double PUACV;
    double WUACV;
    double P2UACV;
    double UC;
    double LUC;
    double NUC;
    double PUC;
    double WUC;
    double P2UC;
    double UCR;
    double LUCR;
    double NUCR;
    double PUCR;
    double WUCR;
    double P2UCR;
    double UCCV;
    double LUCCV;
    double NUCCV;
    double PUCCV;
    double WUCCV;
    double P2UCCV;
    double EU;
    double LEU;
    double NEU;
    double PEU;
    double WEU;
    double P2EU;
    double EUR;
    double LEUR;
    double NEUR;
    double PEUR;
    double WEUR;
    double P2EUR;
    double UD;
    double LUD;
    double NUD;
    double PUD;
    double WUD;
    double P2UD;
    double UDR;
    double LUDR;
    double NUDR;
    double PUDR;
    double WUDR;
    double P2UDR;
    double UDCV;
    double LUDCV;
    double NUDCV;
    double PUDCV;
    double WUDCV;
    double P2UDCV;
    double UCS;
    double LUCS;
    double NUCS;
    double PUCS;
    double WUCS;
    double P2UCS;
    double UDS;
    double LUDS;
    double NUDS;
    double PUDS;
    double WUDS;
    double P2UDS;
    double UDS1;
    double LUDS1;
    double NUDS1;
    double PUDS1;
    double WUDS1;
    double P2UDS1;
    double UDD;
    double LUDD;
    double NUDD;
    double PUDD;
    double WUDD;
    double P2UDD;
    double UDD1;
    double LUDD1;
    double NUDD1;
    double PUDD1;
    double WUDD1;
    double P2UDD1;
    double UTE;
    double LUTE;
    double NUTE;
    double PUTE;
    double WUTE;
    double P2UTE;
    double UTER;
    double LUTER;
    double NUTER;
    double PUTER;
    double WUTER;
    double P2UTER;
    double UTECV;
    double LUTECV;
    double NUTECV;
    double PUTECV;
    double WUTECV;
    double P2UTECV;
    double UTE1;
    double LUTE1;
    double NUTE1;
    double PUTE1;
    double WUTE1;
    double P2UTE1;
    double UTE1CV;
    double LUTE1CV;
    double NUTE1CV;
    double PUTE1CV;
    double WUTE1CV;
    double P2UTE1CV;
    double UTL;
    double LUTL;
    double NUTL;
    double PUTL;
    double WUTL;
    double P2UTL;
    double UTLR;
    double LUTLR;
    double NUTLR;
    double PUTLR;
    double WUTLR;
    double P2UTLR;
    double UTLCV;
    double LUTLCV;
    double NUTLCV;
    double PUTLCV;
    double WUTLCV;
    double P2UTLCV;
    double EMOBT;
    double LEMOBT;
    double NEMOBT;
    double PEMOBT;
    double WEMOBT;
    double P2EMOBT;
    double UA1;
    double LUA1;
    double NUA1;
    double PUA1;
    double WUA1;
    double P2UA1;
    double UA1R;
    double LUA1R;
    double NUA1R;
    double PUA1R;
    double WUA1R;
    double P2UA1R;
    double UA1CV;
    double LUA1CV;
    double NUA1CV;
    double PUA1CV;
    double WUA1CV;
    double P2UA1CV;
    double UA2;
    double LUA2;
    double NUA2;
    double PUA2;
    double WUA2;
    double P2UA2;
    double UA2CV;
    double LUA2CV;
    double NUA2CV;
    double PUA2CV;
    double WUA2CV;
    double P2UA2CV;
    double EU1;
    double LEU1;
    double NEU1;
    double PEU1;
    double WEU1;
    double P2EU1;
    double UC1;
    double LUC1;
    double NUC1;
    double PUC1;
    double WUC1;
    double P2UC1;
    double UC1R;
    double LUC1R;
    double NUC1R;
    double PUC1R;
    double WUC1R;
    double P2UC1R;
    double UC1CV;
    double LUC1CV;
    double NUC1CV;
    double PUC1CV;
    double WUC1CV;
    double P2UC1CV;
    double UD1;
    double LUD1;
    double NUD1;
    double PUD1;
    double WUD1;
    double P2UD1;
    double UD1R;
    double LUD1R;
    double NUD1R;
    double PUD1R;
    double WUD1R;
    double P2UD1R;
    double UD1CV;
    double LUD1CV;
    double NUD1CV;
    double PUD1CV;
    double WUD1CV;
    double P2UD1CV;
    double UD2;
    double LUD2;
    double NUD2;
    double PUD2;
    double WUD2;
    double P2UD2;
    double UD2CV;
    double LUD2CV;
    double NUD2CV;
    double PUD2CV;
    double WUD2CV;
    double P2UD2CV;
    double UCSTE;
    double LUCSTE;
    double NUCSTE;
    double PUCSTE;
    double WUCSTE;
    double P2UCSTE;
    double UCSTE1;
    double LUCSTE1;
    double NUCSTE1;
    double PUCSTE1;
    double WUCSTE1;
    double P2UCSTE1;
    double ETAMOBTHIN;
    double ETAMOBTNI;
    double ETAMOBIR;
    double UATHIN;
    double UATSAT;
    double UARTSC;
    double UATNI;
    double UAIR;
    double EUTHIN;
    double EUPTSC;
    double EUTNI;
    double EUIR;
    double UDTHIN;
    double UDTSAT;
    double UDPTSC;
    double U0ETAWSC;
    double EGBULK;
    double U0EMSM1;
    double U0EMSM2;
    double RDSWMIN;
    double ARDSW;
    double BRDSW;
    double RSWMIN;
    double ARSW;
    double BRSW;
    double RDWMIN;
    double ARDW;
    double BRDW;
    double RSDR;
    double RSDRR;
    double RDDR;
    double RDDRR;
    double PRSDR;
    double PRDDR;
    double TRSDR;
    double TRDDR;
    double RDSW;
    double LRDSW;
    double NRDSW;
    double PRDSW;
    double WRDSW;
    double P2RDSW;
    double RSW;
    double LRSW;
    double NRSW;
    double PRSW;
    double WRSW;
    double P2RSW;
    double RDW;
    double LRDW;
    double NRDW;
    double PRDW;
    double WRDW;
    double P2RDW;
    double PRWGS;
    double LPRWGS;
    double NPRWGS;
    double PPRWGS;
    double WPRWGS;
    double P2PRWGS;
    double PRWGD;
    double LPRWGD;
    double NPRWGD;
    double PPRWGD;
    double WPRWGD;
    double P2PRWGD;
    double WR;
    double LWR;
    double NWR;
    double PWR;
    double WWR;
    double P2WR;
    double PRT;
    double LPRT;
    double NPRT;
    double PPRT;
    double WPRT;
    double P2PRT;
    double PRT1;
    double LPRT1;
    double NPRT1;
    double PPRT1;
    double WPRT1;
    double P2PRT1;
    double TR0;
    double LTR0;
    double NTR0;
    double PTR0;
    double WTR0;
    double P2TR0;
    double SPRT;
    double LSPRT;
    double NSPRT;
    double PSPRT;
    double WSPRT;
    double P2SPRT;
    double PDIBL1;
    double LPDIBL1;
    double NPDIBL1;
    double PPDIBL1;
    double WPDIBL1;
    double P2PDIBL1;
    double PDIBL2;
    double LPDIBL2;
    double NPDIBL2;
    double PPDIBL2;
    double WPDIBL2;
    double P2PDIBL2;
    double PDIBL1R;
    double LPDIBL1R;
    double NPDIBL1R;
    double PPDIBL1R;
    double WPDIBL1R;
    double P2PDIBL1R;
    double PDIBL2R;
    double LPDIBL2R;
    double NPDIBL2R;
    double PPDIBL2R;
    double WPDIBL2R;
    double P2PDIBL2R;
    double DROUT;
    double LDROUT;
    double NDROUT;
    double PDROUT;
    double WDROUT;
    double P2DROUT;
    double PVAG;
    double LPVAG;
    double NPVAG;
    double PPVAG;
    double WPVAG;
    double P2PVAG;
    double APCLM;
    double APCLMR;
    double BPCLM;
    double BPCLMR;
    double PCLM;
    double PCLMT;
    double LPCLM;
    double NPCLM;
    double PPCLM;
    double WPCLM;
    double P2PCLM;
    double PCLMR;
    double LPCLMR;
    double NPCLMR;
    double PPCLMR;
    double WPCLMR;
    double P2PCLMR;
    double PCLMG;
    double LPCLMG;
    double NPCLMG;
    double PPCLMG;
    double WPCLMG;
    double P2PCLMG;
    double PCLMCV;
    double LPCLMCV;
    double NPCLMCV;
    double PPCLMCV;
    double WPCLMCV;
    double P2PCLMCV;
    double A1;
    double LA1;
    double NA1;
    double PA1;
    double WA1;
    double P2A1;
    double A11;
    double LA11;
    double NA11;
    double PA11;
    double WA11;
    double P2A11;
    double A2;
    double LA2;
    double NA2;
    double PA2;
    double WA2;
    double P2A2;
    double A21;
    double LA21;
    double NA21;
    double PA21;
    double WA21;
    double P2A21;
    double RGEXT;
    double RGFIN;
    double RSHS;
    double RSHD;
    double HEPI;
    double TSILI;
    double RHOC;
    double RHORSD;
    double CRATIO;
    double DELTAPRSD;
    int SDTERM;
    double LSP;
    double EPSRSP;
    double TGATE;
    double TMASK;
    double ASILIEND;
    double ARSDEND;
    double PRSDEND;
    double RGEOA;
    double RGEOB;
    double RGEOC;
    double RGEOD;
    double RGEOE;
    double CGEOA;
    double CGEOB;
    double CGEOC;
    double CGEOD;
    double CGEOE;
    double DLCIGS;
    double DLCIGD;
    double VFBSD;
    double VFBSDCV;
    double TOXREF;
    double TOXG;
    double IGBINVCLAMP;
    double IGBACCCLAMP;
    double IGCINVCLAMP;
    double NTOX;
    double LNTOX;
    double NNTOX;
    double PNTOX;
    double WNTOX;
    double P2NTOX;
    double AIGBINV;
    double LAIGBINV;
    double NAIGBINV;
    double PAIGBINV;
    double WAIGBINV;
    double P2AIGBINV;
    double AIGBINV1;
    double LAIGBINV1;
    double NAIGBINV1;
    double PAIGBINV1;
    double WAIGBINV1;
    double P2AIGBINV1;
    double BIGBINV;
    double LBIGBINV;
    double NBIGBINV;
    double PBIGBINV;
    double WBIGBINV;
    double P2BIGBINV;
    double CIGBINV;
    double LCIGBINV;
    double NCIGBINV;
    double PCIGBINV;
    double WCIGBINV;
    double P2CIGBINV;
    double EIGBINV;
    double LEIGBINV;
    double NEIGBINV;
    double PEIGBINV;
    double WEIGBINV;
    double P2EIGBINV;
    double NIGBINV;
    double LNIGBINV;
    double NNIGBINV;
    double PNIGBINV;
    double WNIGBINV;
    double P2NIGBINV;
    double AIGBACC;
    double LAIGBACC;
    double NAIGBACC;
    double PAIGBACC;
    double WAIGBACC;
    double P2AIGBACC;
    double AIGBACC1;
    double LAIGBACC1;
    double NAIGBACC1;
    double PAIGBACC1;
    double WAIGBACC1;
    double P2AIGBACC1;
    double BIGBACC;
    double LBIGBACC;
    double NBIGBACC;
    double PBIGBACC;
    double WBIGBACC;
    double P2BIGBACC;
    double CIGBACC;
    double LCIGBACC;
    double NCIGBACC;
    double PCIGBACC;
    double WCIGBACC;
    double P2CIGBACC;
    double NIGBACC;
    double LNIGBACC;
    double NNIGBACC;
    double PNIGBACC;
    double WNIGBACC;
    double P2NIGBACC;
    double AIGC;
    double LAIGC;
    double NAIGC;
    double PAIGC;
    double WAIGC;
    double P2AIGC;
    double AIGC1;
    double LAIGC1;
    double NAIGC1;
    double PAIGC1;
    double WAIGC1;
    double P2AIGC1;
    double BIGC;
    double LBIGC;
    double NBIGC;
    double PBIGC;
    double WBIGC;
    double P2BIGC;
    double CIGC;
    double LCIGC;
    double NCIGC;
    double PCIGC;
    double WCIGC;
    double P2CIGC;
    double PIGCD;
    double LPIGCD;
    double NPIGCD;
    double PPIGCD;
    double WPIGCD;
    double P2PIGCD;
    double AIGS;
    double LAIGS;
    double NAIGS;
    double PAIGS;
    double WAIGS;
    double P2AIGS;
    double AIGS1;
    double LAIGS1;
    double NAIGS1;
    double PAIGS1;
    double WAIGS1;
    double P2AIGS1;
    double BIGS;
    double LBIGS;
    double NBIGS;
    double PBIGS;
    double WBIGS;
    double P2BIGS;
    double CIGS;
    double LCIGS;
    double NCIGS;
    double PCIGS;
    double WCIGS;
    double P2CIGS;
    double AIGD;
    double LAIGD;
    double NAIGD;
    double PAIGD;
    double WAIGD;
    double P2AIGD;
    double AIGD1;
    double LAIGD1;
    double NAIGD1;
    double PAIGD1;
    double WAIGD1;
    double P2AIGD1;
    double BIGD;
    double LBIGD;
    double NBIGD;
    double PBIGD;
    double WBIGD;
    double P2BIGD;
    double CIGD;
    double LCIGD;
    double NCIGD;
    double PCIGD;
    double WCIGD;
    double P2CIGD;
    double POXEDGE;
    double LPOXEDGE;
    double NPOXEDGE;
    double PPOXEDGE;
    double WPOXEDGE;
    double P2POXEDGE;
    double AGIDL;
    double LAGIDL;
    double NAGIDL;
    double PAGIDL;
    double WAGIDL;
    double P2AGIDL;
    double BGIDL;
    double LBGIDL;
    double NBGIDL;
    double PBGIDL;
    double WBGIDL;
    double P2BGIDL;
    double CGIDL;
    double LCGIDL;
    double NCGIDL;
    double PCGIDL;
    double WCGIDL;
    double P2CGIDL;
    double EGIDL;
    double LEGIDL;
    double NEGIDL;
    double PEGIDL;
    double WEGIDL;
    double P2EGIDL;
    double PGIDL;
    double LPGIDL;
    double NPGIDL;
    double PPGIDL;
    double WPGIDL;
    double P2PGIDL;
    double AGISL;
    double LAGISL;
    double NAGISL;
    double PAGISL;
    double WAGISL;
    double P2AGISL;
    double BGISL;
    double LBGISL;
    double NBGISL;
    double PBGISL;
    double WBGISL;
    double P2BGISL;
    double CGISL;
    double LCGISL;
    double NCGISL;
    double PCGISL;
    double WCGISL;
    double P2CGISL;
    double EGISL;
    double LEGISL;
    double NEGISL;
    double PEGISL;
    double WEGISL;
    double P2EGISL;
    double PGISL;
    double LPGISL;
    double NPGISL;
    double PPGISL;
    double WPGISL;
    double P2PGISL;
    double AGIDLB;
    double LAGIDLB;
    double NAGIDLB;
    double PAGIDLB;
    double WAGIDLB;
    double P2AGIDLB;
    double BGIDLB;
    double LBGIDLB;
    double NBGIDLB;
    double PBGIDLB;
    double WBGIDLB;
    double P2BGIDLB;
    double CGIDLB;
    double LCGIDLB;
    double NCGIDLB;
    double PCGIDLB;
    double WCGIDLB;
    double P2CGIDLB;
    double EGIDLB;
    double LEGIDLB;
    double NEGIDLB;
    double PEGIDLB;
    double WEGIDLB;
    double P2EGIDLB;
    double PGIDLB;
    double LPGIDLB;
    double NPGIDLB;
    double PPGIDLB;
    double WPGIDLB;
    double P2PGIDLB;
    double AGISLB;
    double LAGISLB;
    double NAGISLB;
    double PAGISLB;
    double WAGISLB;
    double P2AGISLB;
    double BGISLB;
    double LBGISLB;
    double NBGISLB;
    double PBGISLB;
    double WBGISLB;
    double P2BGISLB;
    double CGISLB;
    double LCGISLB;
    double NCGISLB;
    double PCGISLB;
    double WCGISLB;
    double P2CGISLB;
    double EGISLB;
    double LEGISLB;
    double NEGISLB;
    double PEGISLB;
    double WEGISLB;
    double P2EGISLB;
    double PGISLB;
    double LPGISLB;
    double NPGISLB;
    double PPGISLB;
    double WPGISLB;
    double P2PGISLB;
    double ALPHA01;
    double ALPHA11;
    double ALPHAII01;
    double ALPHAII11;
    double IIMOD2CLAMP1;
    double IIMOD2CLAMP2;
    double IIMOD2CLAMP3;
    double ALPHA0;
    double LALPHA0;
    double NALPHA0;
    double PALPHA0;
    double WALPHA0;
    double P2ALPHA0;
    double ALPHA1;
    double LALPHA1;
    double NALPHA1;
    double PALPHA1;
    double WALPHA1;
    double P2ALPHA1;
    double BETA0;
    double LBETA0;
    double NBETA0;
    double PBETA0;
    double WBETA0;
    double P2BETA0;
    double ALPHAII0;
    double LALPHAII0;
    double NALPHAII0;
    double PALPHAII0;
    double WALPHAII0;
    double P2ALPHAII0;
    double ALPHAII1;
    double LALPHAII1;
    double NALPHAII1;
    double PALPHAII1;
    double WALPHAII1;
    double P2ALPHAII1;
    double BETAII0;
    double LBETAII0;
    double NBETAII0;
    double PBETAII0;
    double WBETAII0;
    double P2BETAII0;
    double BETAII1;
    double LBETAII1;
    double NBETAII1;
    double PBETAII1;
    double WBETAII1;
    double P2BETAII1;
    double BETAII2;
    double LBETAII2;
    double NBETAII2;
    double PBETAII2;
    double WBETAII2;
    double P2BETAII2;
    double ESATII;
    double LESATII;
    double NESATII;
    double PESATII;
    double WESATII;
    double P2ESATII;
    double LII;
    double LLII;
    double NLII;
    double PLII;
    double WLII;
    double P2LII;
    double SII0;
    double LSII0;
    double NSII0;
    double PSII0;
    double WSII0;
    double P2SII0;
    double SII1;
    double LSII1;
    double NSII1;
    double PSII1;
    double WSII1;
    double P2SII1;
    double SII2;
    double LSII2;
    double NSII2;
    double PSII2;
    double WSII2;
    double P2SII2;
    double SIID;
    double LSIID;
    double NSIID;
    double PSIID;
    double WSIID;
    double P2SIID;
    double EOTACC;
    double DELVFBACC;
    double CFS;
    double LCFS;
    double NCFS;
    double PCFS;
    double WCFS;
    double P2CFS;
    double CFD;
    double LCFD;
    double NCFD;
    double PCFD;
    double WCFD;
    double P2CFD;
    double CGSO;
    double CGDO;
    double CGBO;
    double CGBN;
    double CGBW;
    double CGSL;
    double LCGSL;
    double NCGSL;
    double PCGSL;
    double WCGSL;
    double P2CGSL;
    double CGDL;
    double LCGDL;
    double NCGDL;
    double PCGDL;
    double WCGDL;
    double P2CGDL;
    double CGBL;
    double LCGBL;
    double NCGBL;
    double PCGBL;
    double WCGBL;
    double P2CGBL;
    double CKAPPAS;
    double LCKAPPAS;
    double NCKAPPAS;
    double PCKAPPAS;
    double WCKAPPAS;
    double P2CKAPPAS;
    double CKAPPAD;
    double LCKAPPAD;
    double NCKAPPAD;
    double PCKAPPAD;
    double WCKAPPAD;
    double P2CKAPPAD;
    double CKAPPAB;
    double LCKAPPAB;
    double NCKAPPAB;
    double PCKAPPAB;
    double WCKAPPAB;
    double P2CKAPPAB;
    double CSDESW;
    double CJS;
    double CJD;
    double CJSWS;
    double CJSWD;
    double CJSWGS;
    double CJSWGD;
    double PBS;
    double PBD;
    double PBSWS;
    double PBSWD;
    double PBSWGS;
    double PBSWGD;
    double MJS;
    double MJD;
    double MJSWS;
    double MJSWD;
    double MJSWGS;
    double MJSWGD;
    double SJS;
    double SJD;
    double SJSWS;
    double SJSWD;
    double SJSWGS;
    double SJSWGD;
    double MJS2;
    double MJD2;
    double MJSWS2;
    double MJSWD2;
    double MJSWGS2;
    double MJSWGD2;
    double JSS;
    double JSD;
    double JSWS;
    double JSWD;
    double JSWGS;
    double JSWGD;
    double NJS;
    double NJD;
    double IJTHSFWD;
    double IJTHDFWD;
    double IJTHSREV;
    double IJTHDREV;
    double BVS;
    double BVD;
    double XJBVS;
    double XJBVD;
    double JTSS;
    double JTSD;
    double JTSSWS;
    double JTSSWD;
    double JTSSWGS;
    double JTSSWGD;
    double JTWEFF;
    double NJTS;
    double NJTSD;
    double NJTSSW;
    double NJTSSWD;
    double NJTSSWG;
    double NJTSSWGD;
    double VTSS;
    double VTSD;
    double VTSSWS;
    double VTSSWD;
    double VTSSWGS;
    double VTSSWGD;
    double LINTIGEN;
    double NTGEN;
    double LNTGEN;
    double NNTGEN;
    double PNTGEN;
    double WNTGEN;
    double P2NTGEN;
    double AIGEN;
    double LAIGEN;
    double NAIGEN;
    double PAIGEN;
    double WAIGEN;
    double P2AIGEN;
    double BIGEN;
    double LBIGEN;
    double NBIGEN;
    double PBIGEN;
    double WBIGEN;
    double P2BIGEN;
    double XRCRG1;
    double LXRCRG1;
    double NXRCRG1;
    double PXRCRG1;
    double WXRCRG1;
    double P2XRCRG1;
    double XRCRG2;
    double LXRCRG2;
    double NXRCRG2;
    double PXRCRG2;
    double WXRCRG2;
    double P2XRCRG2;
    double EF;
    double EM;
    double NOIA;
    double NOIB;
    double NOIC;
    double LINTNOI;
    double SMOOTH;
    double NOIA2;
    double LNOIA2;
    double NNOIA2;
    double PNOIA2;
    double WNOIA2;
    double P2NOIA2;
    double MPOWER;
    double LMPOWER;
    double NMPOWER;
    double PMPOWER;
    double WMPOWER;
    double P2MPOWER;
    double QSREF;
    double LQSREF;
    double NQSREF;
    double PQSREF;
    double WQSREF;
    double P2QSREF;
    double NTNOI;
    double RNOIA;
    double TNOIA;
    double RNOIB;
    double TNOIB;
    double RNOIC;
    double TNOIC;
    double RNOIK;
    double TNOIK;
    double TNOIK2;
    double TNOM;
    double TBGASUB;
    double TBGBSUB;
    double KT1L;
    double TCJ;
    double TCJSW;
    double TCJSWG;
    double TPB;
    double TPBSW;
    double TPBSWG;
    double XTIS;
    double XTID;
    double XTSS;
    double XTSD;
    double XTSSWS;
    double XTSSWD;
    double XTSSWGS;
    double XTSSWGD;
    double TNJTS;
    double TNJTSD;
    double TNJTSSW;
    double TNJTSSWD;
    double TNJTSSWG;
    double TNJTSSWGD;
    double KT1;
    double LKT1;
    double NKT1;
    double PKT1;
    double WKT1;
    double P2KT1;
    double KT11;
    double KT12;
    double TVTH;
    double TSS;
    double LTSS;
    double NTSS;
    double PTSS;
    double WTSS;
    double P2TSS;
    double IIT;
    double LIIT;
    double NIIT;
    double PIIT;
    double WIIT;
    double P2IIT;
    double TII;
    double LTII;
    double NTII;
    double PTII;
    double WTII;
    double P2TII;
    double TGIDL;
    double LTGIDL;
    double NTGIDL;
    double PTGIDL;
    double WTGIDL;
    double P2TGIDL;
    double IGT;
    double LIGT;
    double NIGT;
    double PIGT;
    double WIGT;
    double P2IGT;
    double TLOW;
    double TLOW1;
    double DTLOW;
    double DTLOW1;
    double KLOW1;
    double RTH0;
    double CTH0;
    double WTH0;
    double ASHEXP;
    double BSHEXP;
    double ACH_UFCM;
    double CINS_UFCM;
    double W_UFCM;
    double TFIN_TOP;
    double TFIN_BASE;
    double QMFACTORCV;
    double ALPHA_UFCM;
    double LMIN;
    double WMIN;
    double LMAX;
    double WMAX;
    double DIM1H;
    double DIMENSION1;
    double LDIMENSION1;
    double NDIMENSION1;
    double PDIMENSION1;
    double WDIMENSION1;
    double P2DIMENSION1;
    double DIM2H;
    double DIMENSION2;
    double LDIMENSION2;
    double NDIMENSION2;
    double PDIMENSION2;
    double WDIMENSION2;
    double P2DIMENSION2;
    double DIM3H;
    double DIMENSION3;
    double LDIMENSION3;
    double NDIMENSION3;
    double PDIMENSION3;
    double WDIMENSION3;
    double P2DIMENSION3;
    double WDIM0;
    double WDIMR;
    double SSP1;
    double LSSP1;
    double NSSP1;
    double PSSP1;
    double WSSP1;
    double P2SSP1;
    double SSP2;
    double LSSP2;
    double NSSP2;
    double PSSP2;
    double WSSP2;
    double P2SSP2;
    double SSP3;
    double LSSP3;
    double NSSP3;
    double PSSP3;
    double WSSP3;
    double P2SSP3;
    double DSSP1;
    double DSSP2;
    double DSSP3;
    double WSSP0;
    double WSSPR;
    double WGAANOM;
    double E2NOM;
    double LE2NOM;
    double NE2NOM;
    double PE2NOM;
    double WE2NOM;
    double P2E2NOM;
    double E3NOM;
    double LE3NOM;
    double NE3NOM;
    double PE3NOM;
    double WE3NOM;
    double P2E3NOM;
    double MFE2;
    double MFE3;
    double WSFE2;
    double WSFE3;
    double MFQ1NOM;
    double LMFQ1NOM;
    double NMFQ1NOM;
    double PMFQ1NOM;
    double WMFQ1NOM;
    double P2MFQ1NOM;
    double MFQ2NOM;
    double LMFQ2NOM;
    double NMFQ2NOM;
    double PMFQ2NOM;
    double WMFQ2NOM;
    double P2MFQ2NOM;
    double MFQ3NOM;
    double LMFQ3NOM;
    double NMFQ3NOM;
    double PMFQ3NOM;
    double WMFQ3NOM;
    double P2MFQ3NOM;
    double MFQ1;
    double MFQ2;
    double MFQ3;
    double WSFQ1;
    double WSFQ2;
    double WSFQ3;
    double TSRE2;
    double TDWSE2;
    double TSRE3;
    double TDWSE3;
    double TSRQ1;
    double TDWSQ1;
    double TSRQ2;
    double TDWSQ2;
    double TSRQ3;
    double TDWSQ3;
    double NVSRD;
    double VSATRSD;
    double PTWGVSRSD;
    double PTWG1VSRSD;
    double PSATXVSRSD;
    double MVSRSD;
    double NVSRS;
    double RDLCW;
    double RSLCW;
    double PRTVSRSD;
    double ATVSRSD;
    double VSRDFACTOR;
    double VSRSFACTOR;
    double RDVDS;
    double GAVSRD;
    //  Variables of global_model scope
    // end verilog model variables=====
};

void registerDevice(const DeviceCountMap& deviceMap = DeviceCountMap(),
                    const std::set<int>& levelSet = std::set<int>());

} // namespace ADMSbsimcmg_111
} // namespace Device
} // namespace Xyce
#endif //Xyce_N_DEV_ADMSbsimcmg_111_h
